# encoding: UTF-8

module Sterile
  # @private
  class Data
    def self.codepoints_data
      [
        [
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          nil,
          [" "], #
          ["!"], # !
          ["\"", nil, "quot"], # "
          ["#"], # #
          ["$"], # $
          ["%"], # %
          ["&", nil, "amp"], # &
          ["'", nil, "apos"], # '
          ["("], # (
          [")"], # )
          ["*"], # *
          ["+"], # +
          [","], # ,
          ["-"], # -
          ["."], # .
          ["/"], # /
          ["0"], # 0
          ["1"], # 1
          ["2"], # 2
          ["3"], # 3
          ["4"], # 4
          ["5"], # 5
          ["6"], # 6
          ["7"], # 7
          ["8"], # 8
          ["9"], # 9
          [":"], # :
          [";"], # ;
          ["<", nil, "lt"], # <
          ["="], # =
          [">", nil, "gt"], # >
          ["?"], # ?
          ["@"], # @
          ["A"], # A
          ["B"], # B
          ["C", "C"], # C
          ["D", "D"], # D
          ["E"], # E
          ["F"], # F
          ["G"], # G
          ["H"], # H
          ["I"], # I
          ["J"], # J
          ["K"], # K
          ["L"], # L
          ["M"], # M
          ["N"], # N
          ["O"], # O
          ["P"], # P
          ["Q"], # Q
          ["R"], # R
          ["S"], # S
          ["T"], # T
          ["U"], # U
          ["V"], # V
          ["W"], # W
          ["X"], # X
          ["Y"], # Y
          ["Z"], # Z
          ["["], # [
          ["\\"], # \
          ["]"], # ]
          ["^"], # ^
          ["_"], # _
          ["`"], # `
          ["a"], # a
          ["b"], # b
          ["c"], # c
          ["d"], # d
          ["e"], # e
          ["f"], # f
          ["g"], # g
          ["h"], # h
          ["i"], # i
          ["j"], # j
          ["k"], # k
          ["l"], # l
          ["m"], # m
          ["n"], # n
          ["o"], # o
          ["p"], # p
          ["q"], # q
          ["r"], # r
          ["s"], # s
          ["t"], # t
          ["u"], # u
          ["v"], # v
          ["w"], # w
          ["x"], # x
          ["y"], # y
          ["z"], # z
          ["{"], # {
          ["|"], # |
          ["}"], # }
          ["~"], # ~
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          ["'"], # 
          ["'"], # 
          ["\""], # 
          ["\""], # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          nil, # 
          [" ", nil, "nbsp"], #  
          [nil, nil, "iexcl"], # ¡
          ["C/", nil, "cent"], # ¢
          ["PS", nil, "pound"], # £
          ["$?", nil, "curren"], # ¤
          ["Y=", nil, "yen"], # ¥
          ["|", nil, "brvbar"], # ¦
          ["SS", nil, "sect"], # §
          ["\"", nil, "uml"], # ¨
          ["(c)", nil, "copy"], # ©
          ["a", nil, "ordf"], # ª
          ["<<", nil, "laquo"], # «
          ["!", nil, "not"], # ¬
          [nil, nil, "shy"], # ­
          ["(r)", nil, "reg"], # ®
          ["-", nil, "macr"], # ¯
          ["deg", nil, "deg"], # °
          ["+-", nil, "plusmn"], # ±
          ["2", nil, "sup2"], # ²
          ["3", nil, "sup3"], # ³
          ["'", nil, "acute"], # ´
          ["u", nil, "micro"], # µ
          ["P", nil, "para"], # ¶
          ["*", nil, "middot"], # ·
          [",", nil, "cedil"], # ¸
          ["1", nil, "sup1"], # ¹
          ["o", nil, "ordm"], # º
          [">>", nil, "raquo"], # »
          ["1/4", nil, "frac14"], # ¼
          ["1/2", nil, "frac12"], # ½
          ["3/4", nil, "frac34"], # ¾
          [nil, nil, "iquest"], # ¿
          ["A", "A", "Agrave"], # À
          ["A", "A", "Aacute"], # Á
          ["A", "A", "Acirc"], # Â
          ["A", "A", "Atilde"], # Ã
          ["A", "A", "Auml"], # Ä
          ["A", "A", "Aring"], # Å
          ["AE", "AE", "AElig"], # Æ
          ["C", "C", "Ccedil"], # Ç
          ["E", "E", "Egrave"], # È
          ["E", "E", "Eacute"], # É
          ["E", "E", "Ecirc"], # Ê
          ["E", "E", "Euml"], # Ë
          ["I", "I", "Igrave"], # Ì
          ["I", "I", "Iacute"], # Í
          ["I", "I", "Icirc"], # Î
          ["I", "I", "Iuml"], # Ï
          ["D", "D", "ETH"], # Ð
          ["N", "N", "Ntilde"], # Ñ
          ["O", "O", "Ograve"], # Ò
          ["O", "O", "Oacute"], # Ó
          ["O", "O", "Ocirc"], # Ô
          ["O", "O", "Otilde"], # Õ
          ["O", "O", "Ouml"], # Ö
          ["x", nil, "times"], # ×
          ["O", "O", "Oslash"], # Ø
          ["U", "U", "Ugrave"], # Ù
          ["U", "U", "Uacute"], # Ú
          ["U", "U", "Ucirc"], # Û
          ["U", "U", "Uuml"], # Ü
          ["Y", "Y", "Yacute"], # Ý
          ["Th", "P", "THORN"], # Þ
          ["ss", "B", "szlig"], # ß
          ["a", "a", "agrave"], # à
          ["a", "a", "aacute"], # á
          ["a", "a", "acirc"], # â
          ["a", "a", "atilde"], # ã
          ["a", "a", "auml"], # ä
          ["a", "a", "aring"], # å
          ["ae", "ae", "aelig"], # æ
          ["c", "c", "ccedil"], # ç
          ["e", "e", "egrave"], # è
          ["e", "e", "eacute"], # é
          ["e", "e", "ecirc"], # ê
          ["e", "e", "euml"], # ë
          ["i", "i", "igrave"], # ì
          ["i", "i", "iacute"], # í
          ["i", "i", "icirc"], # î
          ["i", "i", "iuml"], # ï
          ["d", "o", "eth"], # ð
          ["n", "n", "ntilde"], # ñ
          ["o", "o", "ograve"], # ò
          ["o", "o", "oacute"], # ó
          ["o", "o", "ocirc"], # ô
          ["o", "o", "otilde"], # õ
          ["o", "o", "ouml"], # ö
          ["/", nil, "divide"], # ÷
          ["o", "o", "oslash"], # ø
          ["u", "u", "ugrave"], # ù
          ["u", "u", "uacute"], # ú
          ["u", "u", "ucirc"], # û
          ["u", "u", "uuml"], # ü
          ["y", "y", "yacute"], # ý
          ["th", "b", "thorn"], # þ
          ["y", "y", "yuml"] # ÿ
        ],
        [
          ["A", "A"], # Ā
          ["a", "a"], # ā
          ["A", "A"], # Ă
          ["a", "a"], # ă
          ["A", "A"], # Ą
          ["a", "a"], # ą
          ["C", "C"], # Ć
          ["c", "c"], # ć
          ["C", "C"], # Ĉ
          ["c", "c"], # ĉ
          ["C", "C"], # Ċ
          ["c", "c"], # ċ
          ["C", "C"], # Č
          ["c", "c"], # č
          ["D", "D"], # Ď
          ["d", "d"], # ď
          ["D", "D"], # Đ
          ["d", "d"], # đ
          ["E", "E"], # Ē
          ["e", "e"], # ē
          ["E", "E"], # Ĕ
          ["e", "e"], # ĕ
          ["E", "E"], # Ė
          ["e", "e"], # ė
          ["E", "E"], # Ę
          ["e", "e"], # ę
          ["E", "E"], # Ě
          ["e", "e"], # ě
          ["G", "G"], # Ĝ
          ["g", "g"], # ĝ
          ["G", "G"], # Ğ
          ["g", "g"], # ğ
          ["G", "G"], # Ġ
          ["g", "g"], # ġ
          ["G", "G"], # Ģ
          ["g", "g"], # ģ
          ["H", "H"], # Ĥ
          ["h", "h"], # ĥ
          ["H", "H"], # Ħ
          ["h", "h"], # ħ
          ["I", "I"], # Ĩ
          ["i", "i"], # ĩ
          ["I", "I"], # Ī
          ["i", "i"], # ī
          ["I", "I"], # Ĭ
          ["i", "i"], # ĭ
          ["I", "I"], # Į
          ["i", "i"], # į
          ["I", "I"], # İ
          ["i", "i"], # ı
          ["IJ", "IJ"], # Ĳ
          [nil, "ij"], # ĳ
          ["J", "J"], # Ĵ
          ["j", "j"], # ĵ
          ["K", "K"], # Ķ
          ["k", "k"], # ķ
          ["k", "K"], # ĸ
          ["L", "L"], # Ĺ
          ["l", "l"], # ĺ
          ["L", "L"], # Ļ
          ["l", "l"], # ļ
          ["L", "L"], # Ľ
          ["l", "l"], # ľ
          ["L", "L"], # Ŀ
          ["l", "l"], # ŀ
          ["L", "L"], # Ł
          ["l", "l"], # ł
          ["N", "N"], # Ń
          ["n", "n"], # ń
          ["N", "N"], # Ņ
          ["n", "n"], # ņ
          ["N", "N"], # Ň
          ["n", "n"], # ň
          ["'n", "n"], # ŉ
          ["ng", "N"], # Ŋ
          ["NG", "n"], # ŋ
          ["O", "O"], # Ō
          ["o", "o"], # ō
          ["O", "O"], # Ŏ
          ["o", "o"], # ŏ
          ["O", "O"], # Ő
          ["o", "o"], # ő
          ["OE", "OE", "OElig"], # Œ
          ["oe", "oe", "oelig"], # œ
          ["R", "R"], # Ŕ
          ["r", "r"], # ŕ
          ["R", "R"], # Ŗ
          ["r", "r"], # ŗ
          ["R", "R"], # Ř
          ["r", "r"], # ř
          ["S", "S"], # Ś
          ["s", "s"], # ś
          ["S", "S"], # Ŝ
          ["s", "s"], # ŝ
          ["S", "S"], # Ş
          ["s", "s"], # ş
          ["S", "S", "Scaron"], # Š
          ["s", "s", "scaron"], # š
          ["T", "T"], # Ţ
          ["t", "t"], # ţ
          ["T", "T"], # Ť
          ["t", "t"], # ť
          ["T", "T"], # Ŧ
          ["t", "t"], # ŧ
          ["U", "U"], # Ũ
          ["u", "u"], # ũ
          ["U", "U"], # Ū
          ["u", "u"], # ū
          ["U", "U"], # Ŭ
          ["u", "u"], # ŭ
          ["U", "U"], # Ů
          ["u", "u"], # ů
          ["U", "U"], # Ű
          ["u", "u"], # ű
          ["U", "U"], # Ų
          ["u", "u"], # ų
          ["W", "W"], # Ŵ
          ["w", "w"], # ŵ
          ["Y", "Y"], # Ŷ
          ["y", "y"], # ŷ
          ["Y", "Y", "Yuml"], # Ÿ
          ["Z", "Z"], # Ź
          ["z", "z"], # ź
          ["Z", "Z"], # Ż
          ["z", "z"], # ż
          ["Z", "Z"], # Ž
          ["z", "z"], # ž
          ["s", "T"], # ſ
          ["b", "b"], # ƀ
          ["B", "B"], # Ɓ
          ["B", "b"], # Ƃ
          ["b", "b"], # ƃ
          ["6", "b"], # Ƅ
          ["6", "b"], # ƅ
          ["O", "C"], # Ɔ
          ["C", "C"], # Ƈ
          ["c", "c"], # ƈ
          ["D", "D"], # Ɖ
          ["D", "D"], # Ɗ
          ["D", "D"], # Ƌ
          ["d", "d"], # ƌ
          ["d", "o"], # ƍ
          ["3", "E"], # Ǝ
          ["@", "e"], # Ə
          ["E", "E"], # Ɛ
          ["F", "F"], # Ƒ
          ["f", "f", "fnof"], # ƒ
          ["G", "G"], # Ɠ
          ["G", "X"], # Ɣ
          ["hv", "h"], # ƕ
          ["I", "t"], # Ɩ
          ["I", "I"], # Ɨ
          ["K", "K"], # Ƙ
          ["k", "k"], # ƙ
          ["l", "l"], # ƚ
          ["l", "y"], # ƛ
          ["W", "M"], # Ɯ
          ["N", "N"], # Ɲ
          ["n"], # ƞ
          ["O", "O"], # Ɵ
          ["O", "O"], # Ơ
          ["o", "o"], # ơ
          ["OI", "a"], # Ƣ
          ["oi", "a"], # ƣ
          ["P", "P"], # Ƥ
          ["p", "p"], # ƥ
          ["YR", "R"], # Ʀ
          ["2", "S"], # Ƨ
          ["2", "s"], # ƨ
          ["SH", "E"], # Ʃ
          ["sh", "l"], # ƪ
          ["t", "t"], # ƫ
          ["T", "T"], # Ƭ
          ["t", "t"], # ƭ
          ["T", "T"], # Ʈ
          ["U", "U"], # Ư
          ["u", "u"], # ư
          ["Y", "U"], # Ʊ
          ["V", "V"], # Ʋ
          ["Y", "Y"], # Ƴ
          ["y", "y"], # ƴ
          ["Z", "Z"], # Ƶ
          ["z", "z"], # ƶ
          ["ZH", "3"], # Ʒ
          ["ZH", "3"], # Ƹ
          ["zh", "3"], # ƹ
          ["zh", "3"], # ƺ
          ["2", "2"], # ƻ
          ["5", "5"], # Ƽ
          ["5", "5"], # ƽ
          ["ts", "3"], # ƾ
          ["w", "p"], # ƿ
          ["|"], # ǀ
          ["||"], # ǁ
          ["|="], # ǂ
          ["!"], # ǃ
          ["DZ", "DZ"], # Ǆ
          ["Dz", "Dz"], # ǅ
          ["dz", "dz"], # ǆ
          ["LJ", "LJ"], # Ǉ
          ["Lj", "Lj"], # ǈ
          ["lj", "lj"], # ǉ
          ["NJ", "NJ"], # Ǌ
          ["Nj", "Nj"], # ǋ
          ["nj", "nj"], # ǌ
          ["A", "A"], # Ǎ
          ["a", "a"], # ǎ
          ["I", "I"], # Ǐ
          ["i", "i"], # ǐ
          ["O", "O"], # Ǒ
          ["o", "o"], # ǒ
          ["U", "U"], # Ǔ
          ["u", "u"], # ǔ
          ["U", "U"], # Ǖ
          ["u", "u"], # ǖ
          ["U", "U"], # Ǘ
          ["u", "u"], # ǘ
          ["U", "U"], # Ǚ
          ["u", "u"], # ǚ
          ["U", "U"], # Ǜ
          ["u", "u"], # ǜ
          ["@"], # ǝ
          ["A", "A"], # Ǟ
          ["a", "a"], # ǟ
          ["A", "A"], # Ǡ
          ["a", "a"], # ǡ
          ["AE", "AE"], # Ǣ
          ["ae", "ae"], # ǣ
          ["G", "G"], # Ǥ
          ["g", "g"], # ǥ
          ["G", "G"], # Ǧ
          ["g", "g"], # ǧ
          ["K", "K"], # Ǩ
          ["k", "k"], # ǩ
          ["O", "O"], # Ǫ
          ["o", "o"], # ǫ
          ["O", "O"], # Ǭ
          ["o", "o"], # ǭ
          ["ZH", "3"], # Ǯ
          ["zh", "3"], # ǯ
          ["j", "j"], # ǰ
          ["DZ", "DZ"], # Ǳ
          ["D", "Dz"], # ǲ
          ["dz", "dz"], # ǳ
          ["G", "G"], # Ǵ
          ["g", "g"], # ǵ
          ["HV", "H"], # Ƕ
          ["W", "P"], # Ƿ
          ["N", "N"], # Ǹ
          ["n", "n"], # ǹ
          ["A", "A"], # Ǻ
          ["a", "a"], # ǻ
          ["AE", "AE"], # Ǽ
          ["ae", "ae"], # ǽ
          ["O", "O"], # Ǿ
          ["o", "o"] # ǿ
        ],
        [
          ["A", "A"], # Ȁ
          ["a", "a"], # ȁ
          ["A", "A"], # Ȃ
          ["a", "a"], # ȃ
          ["E", "E"], # Ȅ
          ["e", "e"], # ȅ
          ["E", "E"], # Ȇ
          ["e", "e"], # ȇ
          ["I", "I"], # Ȉ
          ["i"], # ȉ
          ["I", "I"], # Ȋ
          ["i", "i"], # ȋ
          ["O", "O"], # Ȍ
          ["o", "o"], # ȍ
          ["O", "O"], # Ȏ
          ["o", "o"], # ȏ
          ["R", "R"], # Ȑ
          ["r", "r"], # ȑ
          ["R", "R"], # Ȓ
          ["r", "r"], # ȓ
          ["U", "U"], # Ȕ
          ["u", "u"], # ȕ
          ["U", "U"], # Ȗ
          ["u", "u"], # ȗ
          ["S", "S"], # Ș
          ["s", "s"], # ș
          ["T", "T"], # Ț
          ["t", "t"], # ț
          ["Y", "3"], # Ȝ
          ["y", "3"], # ȝ
          ["H", "H"], # Ȟ
          ["h", "h"], # ȟ
          [nil, "N"], # Ƞ
          [nil, "d"], # ȡ
          ["OU", "o"], # Ȣ
          ["ou", "o"], # ȣ
          ["Z", "Z"], # Ȥ
          ["z", "z"], # ȥ
          ["A", "A"], # Ȧ
          ["a", "a"], # ȧ
          ["E", "E"], # Ȩ
          ["e", "e"], # ȩ
          ["O", "O"], # Ȫ
          ["o", "o"], # ȫ
          ["O", "O"], # Ȭ
          ["o", "o"], # ȭ
          ["O", "O"], # Ȯ
          ["o", "o"], # ȯ
          ["O", "O"], # Ȱ
          ["o", "o"], # ȱ
          ["Y", "Y"], # Ȳ
          ["y", "y"], # ȳ
          [nil, "l"], # ȴ
          [nil, "n"], # ȵ
          [nil, "t"], # ȶ
          nil, # ȷ
          nil, # ȸ
          nil, # ȹ
          nil, # Ⱥ
          nil, # Ȼ
          nil, # ȼ
          nil, # Ƚ
          nil, # Ⱦ
          nil, # ȿ
          nil, # ɀ
          nil, # Ɂ
          nil, # ɂ
          nil, # Ƀ
          nil, # Ʉ
          nil, # Ʌ
          nil, # Ɇ
          nil, # ɇ
          nil, # Ɉ
          nil, # ɉ
          nil, # Ɋ
          nil, # ɋ
          nil, # Ɍ
          nil, # ɍ
          nil, # Ɏ
          nil, # ɏ
          ["a"], # ɐ
          ["a"], # ɑ
          ["a"], # ɒ
          ["b", "b"], # ɓ
          ["o", "c"], # ɔ
          ["c"], # ɕ
          ["d"], # ɖ
          ["d", "d"], # ɗ
          ["e"], # ɘ
          ["@", "e"], # ə
          ["@"], # ɚ
          ["e", "E"], # ɛ
          ["e"], # ɜ
          ["e"], # ɝ
          ["e"], # ɞ
          ["j"], # ɟ
          ["g", "g"], # ɠ
          ["g"], # ɡ
          ["g"], # ɢ
          ["g", "X"], # ɣ
          ["u"], # ɤ
          ["Y"], # ɥ
          ["h"], # ɦ
          ["h"], # ɧ
          ["i", "i"], # ɨ
          ["i", "l"], # ɩ
          ["I"], # ɪ
          ["l"], # ɫ
          ["l"], # ɬ
          ["l"], # ɭ
          ["lZ"], # ɮ
          ["W", "w"], # ɯ
          ["W"], # ɰ
          ["m"], # ɱ
          ["n", "n"], # ɲ
          ["n"], # ɳ
          ["n"], # ɴ
          ["o", "o"], # ɵ
          ["OE"], # ɶ
          ["O"], # ɷ
          ["F"], # ɸ
          ["R"], # ɹ
          ["R"], # ɺ
          ["R"], # ɻ
          ["R"], # ɼ
          ["r"], # ɽ
          ["r"], # ɾ
          ["R"], # ɿ
          ["R"], # ʀ
          ["R"], # ʁ
          ["s"], # ʂ
          ["S", "S"], # ʃ
          ["j"], # ʄ
          ["S"], # ʅ
          ["S"], # ʆ
          ["t"], # ʇ
          ["t", "t"], # ʈ
          ["U"], # ʉ
          ["U", "u"], # ʊ
          ["v"], # ʋ
          ["^"], # ʌ
          ["W"], # ʍ
          ["Y"], # ʎ
          ["Y"], # ʏ
          ["z"], # ʐ
          ["z"], # ʑ
          ["Z", "3"], # ʒ
          ["Z"], # ʓ
          ["?"], # ʔ
          ["?"], # ʕ
          ["?"], # ʖ
          ["C"], # ʗ
          ["@"], # ʘ
          ["B"], # ʙ
          ["E"], # ʚ
          ["G"], # ʛ
          ["H"], # ʜ
          ["j"], # ʝ
          ["k"], # ʞ
          ["L"], # ʟ
          ["q"], # ʠ
          ["?"], # ʡ
          ["?"], # ʢ
          ["dz"], # ʣ
          ["dZ"], # ʤ
          ["dz"], # ʥ
          ["ts"], # ʦ
          ["tS"], # ʧ
          ["tC"], # ʨ
          ["fN"], # ʩ
          ["ls"], # ʪ
          ["lz"], # ʫ
          ["WW"], # ʬ
          ["]]"], # ʭ
          nil, # ʮ
          nil, # ʯ
          ["k"], # ʰ
          ["h"], # ʱ
          ["j"], # ʲ
          ["r"], # ʳ
          ["r"], # ʴ
          ["r"], # ʵ
          ["r"], # ʶ
          ["w"], # ʷ
          ["y"], # ʸ
          ["'"], # ʹ
          ["\""], # ʺ
          ["`"], # ʻ
          ["'"], # ʼ
          ["`"], # ʽ
          ["`"], # ʾ
          ["'"], # ʿ
          ["?"], # ˀ
          ["?"], # ˁ
          ["<"], # ˂
          [">"], # ˃
          ["^"], # ˄
          ["V"], # ˅
          ["^", nil, "circ"], # ˆ
          ["V"], # ˇ
          ["'"], # ˈ
          ["-"], # ˉ
          ["/"], # ˊ
          ["`"], # ˋ
          [","], # ˌ
          ["_"], # ˍ
          ["\\"], # ˎ
          ["/"], # ˏ
          [":"], # ː
          ["."], # ˑ
          ["`"], # ˒
          ["'"], # ˓
          ["^"], # ˔
          ["V"], # ˕
          ["+"], # ˖
          ["-"], # ˗
          ["V"], # ˘
          ["."], # ˙
          ["@"], # ˚
          [","], # ˛
          ["~", nil, "tilde"], # ˜
          ["\""], # ˝
          ["R"], # ˞
          ["X"], # ˟
          ["G"], # ˠ
          ["l"], # ˡ
          ["s"], # ˢ
          ["x"], # ˣ
          ["?"], # ˤ
          nil, # ˥
          nil, # ˦
          nil, # ˧
          nil, # ˨
          nil, # ˩
          nil, # ˪
          nil, # ˫
          ["V"], # ˬ
          ["="], # ˭
          ["\""], # ˮ
          nil, # ˯
          nil, # ˰
          nil, # ˱
          nil, # ˲
          nil, # ˳
          nil, # ˴
          nil, # ˵
          nil, # ˶
          nil, # ˷
          nil, # ˸
          nil, # ˹
          nil, # ˺
          nil, # ˻
          nil, # ˼
          nil, # ˽
          nil, # ˾
          nil # ˿
        ],
        [
          nil, # ̀
          nil, # ́
          nil, # ̂
          nil, # ̃
          nil, # ̄
          nil, # ̅
          nil, # ̆
          nil, # ̇
          nil, # ̈
          nil, # ̉
          nil, # ̊
          nil, # ̋
          nil, # ̌
          nil, # ̍
          nil, # ̎
          nil, # ̏
          nil, # ̐
          nil, # ̑
          nil, # ̒
          nil, # ̓
          nil, # ̔
          nil, # ̕
          nil, # ̖
          nil, # ̗
          nil, # ̘
          nil, # ̙
          nil, # ̚
          nil, # ̛
          nil, # ̜
          nil, # ̝
          nil, # ̞
          nil, # ̟
          nil, # ̠
          nil, # ̡
          nil, # ̢
          nil, # ̣
          nil, # ̤
          nil, # ̥
          nil, # ̦
          nil, # ̧
          nil, # ̨
          nil, # ̩
          nil, # ̪
          nil, # ̫
          nil, # ̬
          nil, # ̭
          nil, # ̮
          nil, # ̯
          nil, # ̰
          nil, # ̱
          nil, # ̲
          nil, # ̳
          nil, # ̴
          nil, # ̵
          nil, # ̶
          nil, # ̷
          nil, # ̸
          nil, # ̹
          nil, # ̺
          nil, # ̻
          nil, # ̼
          nil, # ̽
          nil, # ̾
          nil, # ̿
          nil, # ̀
          nil, # ́
          nil, # ͂
          nil, # ̓
          nil, # ̈́
          nil, # ͅ
          nil, # ͆
          nil, # ͇
          nil, # ͈
          nil, # ͉
          nil, # ͊
          nil, # ͋
          nil, # ͌
          nil, # ͍
          nil, # ͎
          nil, # ͏
          nil, # ͐
          nil, # ͑
          nil, # ͒
          nil, # ͓
          nil, # ͔
          nil, # ͕
          nil, # ͖
          nil, # ͗
          nil, # ͘
          nil, # ͙
          nil, # ͚
          nil, # ͛
          nil, # ͜
          nil, # ͝
          nil, # ͞
          nil, # ͟
          nil, # ͠
          nil, # ͡
          nil, # ͢
          nil, # ͣ
          nil, # ͤ
          nil, # ͥ
          nil, # ͦ
          nil, # ͧ
          nil, # ͨ
          nil, # ͩ
          nil, # ͪ
          nil, # ͫ
          nil, # ͬ
          nil, # ͭ
          nil, # ͮ
          nil, # ͯ
          nil, # Ͱ
          nil, # ͱ
          nil, # Ͳ
          nil, # ͳ
          ["'"], # ʹ
          [","], # ͵
          nil, # Ͷ
          nil, # ͷ
          nil, # ͸
          nil, # ͹
          nil, # ͺ
          nil, # ͻ
          nil, # ͼ
          nil, # ͽ
          ["?"], # ;
          nil, # Ϳ
          nil, # ΀
          nil, # ΁
          nil, # ΂
          nil, # ΃
          nil, # ΄
          nil, # ΅
          ["A"], # Ά
          [";"], # ·
          ["E"], # Έ
          ["E"], # Ή
          ["I"], # Ί
          nil, # ΋
          ["O"], # Ό
          nil, # ΍
          ["U"], # Ύ
          ["O"], # Ώ
          ["I"], # ΐ
          ["A", nil, "Alpha"], # Α
          ["B", nil, "Beta"], # Β
          ["G", nil, "Gamma"], # Γ
          ["D", nil, "Delta"], # Δ
          ["E", nil, "Epsilon"], # Ε
          ["Z", nil, "Zeta"], # Ζ
          ["E", nil, "Eta"], # Η
          ["Th", nil, "Theta"], # Θ
          ["I", nil, "Iota"], # Ι
          ["K", nil, "Kappa"], # Κ
          ["L", nil, "Lambda"], # Λ
          ["M", nil, "Mu"], # Μ
          ["N", nil, "Nu"], # Ν
          ["Ks", nil, "Xi"], # Ξ
          ["O", nil, "Omicron"], # Ο
          ["P", nil, "Pi"], # Π
          ["R", nil, "Rho"], # Ρ
          nil, # ΢
          ["S", nil, "Sigma"], # Σ
          ["T", nil, "Tau"], # Τ
          ["U", nil, "Upsilon"], # Υ
          ["Ph", nil, "Phi"], # Φ
          ["Kh", nil, "Chi"], # Χ
          ["Ps", nil, "Psi"], # Ψ
          ["O", nil, "Omega"], # Ω
          ["I"], # Ϊ
          ["U"], # Ϋ
          ["a"], # ά
          ["e"], # έ
          ["e"], # ή
          ["i"], # ί
          ["u"], # ΰ
          ["a", nil, "alpha"], # α
          ["b", nil, "beta"], # β
          ["g", nil, "gamma"], # γ
          ["d", nil, "delta"], # δ
          ["e", nil, "epsilon"], # ε
          ["z", nil, "zeta"], # ζ
          ["e", nil, "eta"], # η
          ["th", nil, "theta"], # θ
          ["i", nil, "iota"], # ι
          ["k", nil, "kappa"], # κ
          ["l", nil, "lambda"], # λ
          ["m", nil, "mu"], # μ
          ["n", nil, "nu"], # ν
          ["x", nil, "xi"], # ξ
          ["o", nil, "omicron"], # ο
          ["p", nil, "pi"], # π
          ["r", nil, "rho"], # ρ
          ["s", nil, "sigmaf"], # ς
          ["s", nil, "sigma"], # σ
          ["t", nil, "tau"], # τ
          ["u", nil, "upsilon"], # υ
          ["ph", nil, "phi"], # φ
          ["kh", nil, "chi"], # χ
          ["ps", nil, "psi"], # ψ
          ["o", nil, "omega"], # ω
          ["i"], # ϊ
          ["u"], # ϋ
          ["o"], # ό
          ["u"], # ύ
          ["o"], # ώ
          nil, # Ϗ
          ["b"], # ϐ
          ["th", nil, "thetasym"], # ϑ
          ["U", nil, "upsih"], # ϒ
          ["U"], # ϓ
          ["U"], # ϔ
          ["ph"], # ϕ
          ["p", nil, "piv"], # ϖ
          ["&"], # ϗ
          nil, # Ϙ
          nil, # ϙ
          ["St"], # Ϛ
          ["st"], # ϛ
          ["W"], # Ϝ
          ["w"], # ϝ
          ["Q"], # Ϟ
          ["q"], # ϟ
          ["Sp"], # Ϡ
          ["sp"], # ϡ
          ["Sh"], # Ϣ
          ["sh"], # ϣ
          ["F"], # Ϥ
          ["f"], # ϥ
          ["Kh"], # Ϧ
          ["kh"], # ϧ
          ["H"], # Ϩ
          ["h"], # ϩ
          ["G"], # Ϫ
          ["g"], # ϫ
          ["CH"], # Ϭ
          ["ch"], # ϭ
          ["Ti"], # Ϯ
          ["ti"], # ϯ
          ["k"], # ϰ
          ["r"], # ϱ
          ["c"], # ϲ
          ["j"], # ϳ
          nil, # ϴ
          nil, # ϵ
          nil, # ϶
          nil, # Ϸ
          nil, # ϸ
          nil, # Ϲ
          nil, # Ϻ
          nil, # ϻ
          nil, # ϼ
          nil, # Ͻ
          nil, # Ͼ
          nil # Ͽ
        ],
        [
          ["Ie"], # Ѐ
          ["Io"], # Ё
          ["Dj"], # Ђ
          ["Gj"], # Ѓ
          ["Ie"], # Є
          ["Dz"], # Ѕ
          ["I"], # І
          ["Yi"], # Ї
          ["J"], # Ј
          ["Lj"], # Љ
          ["Nj"], # Њ
          ["Tsh"], # Ћ
          ["Kj"], # Ќ
          ["I"], # Ѝ
          ["U"], # Ў
          ["Dzh"], # Џ
          ["A"], # А
          ["B"], # Б
          ["V"], # В
          ["G"], # Г
          ["D"], # Д
          ["Ie"], # Е
          ["Zh"], # Ж
          ["Z"], # З
          ["I"], # И
          ["I"], # Й
          ["K"], # К
          ["L"], # Л
          ["M"], # М
          ["N"], # Н
          ["O"], # О
          ["P"], # П
          ["R"], # Р
          ["S"], # С
          ["T"], # Т
          ["U"], # У
          ["F"], # Ф
          ["Kh"], # Х
          ["Ts"], # Ц
          ["Ch"], # Ч
          ["Sh"], # Ш
          ["Shch"], # Щ
          nil, # Ъ
          ["Y"], # Ы
          ["'"], # Ь
          ["E"], # Э
          ["Iu"], # Ю
          ["Ia"], # Я
          ["a"], # а
          ["b"], # б
          ["v"], # в
          ["gh"], # г
          ["d"], # д
          ["ie"], # е
          ["zh"], # ж
          ["z"], # з
          ["i"], # и
          ["i"], # й
          ["k"], # к
          ["l"], # л
          ["m"], # м
          ["n"], # н
          ["o"], # о
          ["p"], # п
          ["r"], # р
          ["s"], # с
          ["t"], # т
          ["u"], # у
          ["f"], # ф
          ["kh"], # х
          ["ts"], # ц
          ["ch"], # ч
          ["sh"], # ш
          ["shch"], # щ
          nil, # ъ
          ["y"], # ы
          ["'"], # ь
          ["e"], # э
          ["iu"], # ю
          ["ia"], # я
          ["ie"], # ѐ
          ["io"], # ё
          ["dj"], # ђ
          ["gj"], # ѓ
          ["ie"], # є
          ["dz"], # ѕ
          ["i"], # і
          ["yi"], # ї
          ["j"], # ј
          ["lj"], # љ
          ["nj"], # њ
          ["tsh"], # ћ
          ["kj"], # ќ
          ["i"], # ѝ
          ["u"], # ў
          ["dzh"], # џ
          ["O"], # Ѡ
          ["o"], # ѡ
          ["E"], # Ѣ
          ["e"], # ѣ
          ["Ie"], # Ѥ
          ["ie"], # ѥ
          ["E"], # Ѧ
          ["e"], # ѧ
          ["Ie"], # Ѩ
          ["ie"], # ѩ
          ["O"], # Ѫ
          ["o"], # ѫ
          ["Io"], # Ѭ
          ["io"], # ѭ
          ["Ks"], # Ѯ
          ["ks"], # ѯ
          ["Ps"], # Ѱ
          ["ps"], # ѱ
          ["F"], # Ѳ
          ["f"], # ѳ
          ["Y"], # Ѵ
          ["y"], # ѵ
          ["Y"], # Ѷ
          ["y"], # ѷ
          ["u"], # Ѹ
          ["u"], # ѹ
          ["O"], # Ѻ
          ["o"], # ѻ
          ["O"], # Ѽ
          ["o"], # ѽ
          ["Ot"], # Ѿ
          ["ot"], # ѿ
          ["Q"], # Ҁ
          ["q"], # ҁ
          ["*1000*"], # ҂
          nil, # ҃
          nil, # ҄
          nil, # ҅
          nil, # ҆
          nil, # ҇
          ["*100.000*"], # ҈
          ["*1.000.000*"], # ҉
          nil, # Ҋ
          nil, # ҋ
          ["\""], # Ҍ
          ["\""], # ҍ
          ["R'"], # Ҏ
          ["r'"], # ҏ
          ["G'"], # Ґ
          ["g'"], # ґ
          ["G'"], # Ғ
          ["g'"], # ғ
          ["G'"], # Ҕ
          ["g'"], # ҕ
          ["Zh'"], # Җ
          ["zh'"], # җ
          ["Z'"], # Ҙ
          ["z'"], # ҙ
          ["K'"], # Қ
          ["k'"], # қ
          ["K'"], # Ҝ
          ["k'"], # ҝ
          ["K'"], # Ҟ
          ["k'"], # ҟ
          ["K'"], # Ҡ
          ["k'"], # ҡ
          ["N'"], # Ң
          ["n'"], # ң
          ["Ng"], # Ҥ
          ["ng"], # ҥ
          ["P'"], # Ҧ
          ["p'"], # ҧ
          ["Kh"], # Ҩ
          ["kh"], # ҩ
          ["S'"], # Ҫ
          ["s'"], # ҫ
          ["T'"], # Ҭ
          ["t'"], # ҭ
          ["U"], # Ү
          ["u"], # ү
          ["U'"], # Ұ
          ["u'"], # ұ
          ["Kh'"], # Ҳ
          ["kh'"], # ҳ
          ["Tts"], # Ҵ
          ["tts"], # ҵ
          ["Ch'"], # Ҷ
          ["ch'"], # ҷ
          ["Ch'"], # Ҹ
          ["ch'"], # ҹ
          ["H"], # Һ
          ["h"], # һ
          ["Ch"], # Ҽ
          ["ch"], # ҽ
          ["Ch'"], # Ҿ
          ["ch'"], # ҿ
          ["I"], # Ӏ
          ["Zh"], # Ӂ
          ["zh"], # ӂ
          ["K'"], # Ӄ
          ["k'"], # ӄ
          nil, # Ӆ
          nil, # ӆ
          ["N'"], # Ӈ
          ["n'"], # ӈ
          nil, # Ӊ
          nil, # ӊ
          ["Ch"], # Ӌ
          ["ch"], # ӌ
          nil, # Ӎ
          nil, # ӎ
          nil, # ӏ
          ["a"], # Ӑ
          ["a"], # ӑ
          ["A"], # Ӓ
          ["a"], # ӓ
          ["Ae"], # Ӕ
          ["ae"], # ӕ
          ["Ie"], # Ӗ
          ["ie"], # ӗ
          ["@"], # Ә
          ["@"], # ә
          ["@"], # Ӛ
          ["@"], # ӛ
          ["Zh"], # Ӝ
          ["zh"], # ӝ
          ["Z"], # Ӟ
          ["z"], # ӟ
          ["Dz"], # Ӡ
          ["dz"], # ӡ
          ["I"], # Ӣ
          ["i"], # ӣ
          ["I"], # Ӥ
          ["i"], # ӥ
          ["O"], # Ӧ
          ["o"], # ӧ
          ["O"], # Ө
          ["o"], # ө
          ["O"], # Ӫ
          ["o"], # ӫ
          ["E"], # Ӭ
          ["e"], # ӭ
          ["U"], # Ӯ
          ["u"], # ӯ
          ["U"], # Ӱ
          ["u"], # ӱ
          ["U"], # Ӳ
          ["u"], # ӳ
          ["Ch"], # Ӵ
          ["ch"], # ӵ
          nil, # Ӷ
          nil, # ӷ
          ["Y"], # Ӹ
          ["y"], # ӹ
          nil, # Ӻ
          nil, # ӻ
          nil, # Ӽ
          nil, # ӽ
          nil, # Ӿ
          nil # ӿ
        ],
        [
          nil, # Ԁ
          nil, # ԁ
          nil, # Ԃ
          nil, # ԃ
          nil, # Ԅ
          nil, # ԅ
          nil, # Ԇ
          nil, # ԇ
          nil, # Ԉ
          nil, # ԉ
          nil, # Ԋ
          nil, # ԋ
          nil, # Ԍ
          nil, # ԍ
          nil, # Ԏ
          nil, # ԏ
          nil, # Ԑ
          nil, # ԑ
          nil, # Ԓ
          nil, # ԓ
          nil, # Ԕ
          nil, # ԕ
          nil, # Ԗ
          nil, # ԗ
          nil, # Ԙ
          nil, # ԙ
          nil, # Ԛ
          nil, # ԛ
          nil, # Ԝ
          nil, # ԝ
          nil, # Ԟ
          nil, # ԟ
          nil, # Ԡ
          nil, # ԡ
          nil, # Ԣ
          nil, # ԣ
          nil, # Ԥ
          nil, # ԥ
          nil, # Ԧ
          nil, # ԧ
          nil, # Ԩ
          nil, # ԩ
          nil, # Ԫ
          nil, # ԫ
          nil, # Ԭ
          nil, # ԭ
          nil, # Ԯ
          nil, # ԯ
          nil, # ԰
          ["A"], # Ա
          ["B"], # Բ
          ["G"], # Գ
          ["D"], # Դ
          ["E"], # Ե
          ["Z"], # Զ
          ["E"], # Է
          ["E"], # Ը
          ["T`"], # Թ
          ["Zh"], # Ժ
          ["I"], # Ի
          ["L"], # Լ
          ["Kh"], # Խ
          ["Ts"], # Ծ
          ["K"], # Կ
          ["H"], # Հ
          ["Dz"], # Ձ
          ["Gh"], # Ղ
          ["Ch"], # Ճ
          ["M"], # Մ
          ["Y"], # Յ
          ["N"], # Ն
          ["Sh"], # Շ
          ["O"], # Ո
          ["Ch`"], # Չ
          ["P"], # Պ
          ["J"], # Ջ
          ["Rh"], # Ռ
          ["S"], # Ս
          ["V"], # Վ
          ["T"], # Տ
          ["R"], # Ր
          ["Ts`"], # Ց
          ["W"], # Ւ
          ["P`"], # Փ
          ["K`"], # Ք
          ["O"], # Օ
          ["F"], # Ֆ
          nil, # ՗
          nil, # ՘
          ["<"], # ՙ
          ["'"], # ՚
          ["/"], # ՛
          ["!"], # ՜
          [","], # ՝
          ["?"], # ՞
          ["."], # ՟
          nil, # ՠ
          ["a"], # ա
          ["b"], # բ
          ["g"], # գ
          ["d"], # դ
          ["e"], # ե
          ["z"], # զ
          ["e"], # է
          ["e"], # ը
          ["t`"], # թ
          ["zh"], # ժ
          ["i"], # ի
          ["l"], # լ
          ["kh"], # խ
          ["ts"], # ծ
          ["k"], # կ
          ["h"], # հ
          ["dz"], # ձ
          ["gh"], # ղ
          ["ch"], # ճ
          ["m"], # մ
          ["y"], # յ
          ["n"], # ն
          ["sh"], # շ
          ["o"], # ո
          ["ch`"], # չ
          ["p"], # պ
          ["j"], # ջ
          ["rh"], # ռ
          ["s"], # ս
          ["v"], # վ
          ["t"], # տ
          ["r"], # ր
          ["ts`"], # ց
          ["w"], # ւ
          ["p`"], # փ
          ["k`"], # ք
          ["o"], # օ
          ["f"], # ֆ
          ["ew"], # և
          nil, # ֈ
          ["."], # ։
          ["-"], # ֊
          nil, # ֋
          nil, # ֌
          nil, # ֍
          nil, # ֎
          nil, # ֏
          nil, # ֐
          nil, # ֑
          nil, # ֒
          nil, # ֓
          nil, # ֔
          nil, # ֕
          nil, # ֖
          nil, # ֗
          nil, # ֘
          nil, # ֙
          nil, # ֚
          nil, # ֛
          nil, # ֜
          nil, # ֝
          nil, # ֞
          nil, # ֟
          nil, # ֠
          nil, # ֡
          nil, # ֢
          nil, # ֣
          nil, # ֤
          nil, # ֥
          nil, # ֦
          nil, # ֧
          nil, # ֨
          nil, # ֩
          nil, # ֪
          nil, # ֫
          nil, # ֬
          nil, # ֭
          nil, # ֮
          nil, # ֯
          ["@"], # ְ
          ["e"], # ֱ
          ["a"], # ֲ
          ["o"], # ֳ
          ["i"], # ִ
          ["e"], # ֵ
          ["e"], # ֶ
          ["a"], # ַ
          ["a"], # ָ
          ["o"], # ֹ
          nil, # ֺ
          ["u"], # ֻ
          ["'"], # ּ
          nil, # ֽ
          nil, # ־
          nil, # ֿ
          nil, # ׀
          nil, # ׁ
          nil, # ׂ
          [":"], # ׃
          nil, # ׄ
          nil, # ׅ
          nil, # ׆
          nil, # ׇ
          nil, # ׈
          nil, # ׉
          nil, # ׊
          nil, # ׋
          nil, # ׌
          nil, # ׍
          nil, # ׎
          nil, # ׏
          nil, # א
          ["b"], # ב
          ["g"], # ג
          ["d"], # ד
          ["h"], # ה
          ["v"], # ו
          ["z"], # ז
          ["kh"], # ח
          ["t"], # ט
          ["y"], # י
          ["k"], # ך
          ["k"], # כ
          ["l"], # ל
          ["m"], # ם
          ["m"], # מ
          ["n"], # ן
          ["n"], # נ
          ["s"], # ס
          ["`"], # ע
          ["p"], # ף
          ["p"], # פ
          ["ts"], # ץ
          ["ts"], # צ
          ["q"], # ק
          ["r"], # ר
          ["sh"], # ש
          ["t"], # ת
          nil, # ׫
          nil, # ׬
          nil, # ׭
          nil, # ׮
          nil, # ׯ
          ["V"], # װ
          ["oy"], # ױ
          ["i"], # ײ
          ["'"], # ׳
          ["\""], # ״
          nil, # ׵
          nil, # ׶
          nil, # ׷
          nil, # ׸
          nil, # ׹
          nil, # ׺
          nil, # ׻
          nil, # ׼
          nil, # ׽
          nil, # ׾
          nil # ׿
        ],
        [
          nil, # ؀
          nil, # ؁
          nil, # ؂
          nil, # ؃
          nil, # ؄
          nil, # ؅
          nil, # ؆
          nil, # ؇
          nil, # ؈
          nil, # ؉
          nil, # ؊
          nil, # ؋
          [","], # ،
          nil, # ؍
          nil, # ؎
          nil, # ؏
          nil, # ؐ
          nil, # ؑ
          nil, # ؒ
          nil, # ؓ
          nil, # ؔ
          nil, # ؕ
          nil, # ؖ
          nil, # ؗ
          nil, # ؘ
          nil, # ؙ
          nil, # ؚ
          [";"], # ؛
          nil, # ؜
          nil, # ؝
          nil, # ؞
          ["?"], # ؟
          nil, # ؠ
          nil, # ء
          ["a"], # آ
          ["'"], # أ
          ["w'"], # ؤ
          nil, # إ
          ["y'"], # ئ
          nil, # ا
          ["b"], # ب
          ["@"], # ة
          ["t"], # ت
          ["th"], # ث
          ["j"], # ج
          ["H"], # ح
          ["kh"], # خ
          ["d"], # د
          ["dh"], # ذ
          ["r"], # ر
          ["z"], # ز
          ["s"], # س
          ["sh"], # ش
          ["S"], # ص
          ["D"], # ض
          ["T"], # ط
          ["Z"], # ظ
          ["`"], # ع
          ["G"], # غ
          nil, # ػ
          nil, # ؼ
          nil, # ؽ
          nil, # ؾ
          nil, # ؿ
          nil, # ـ
          ["f"], # ف
          ["q"], # ق
          ["k"], # ك
          ["l"], # ل
          ["m"], # م
          ["n"], # ن
          ["h"], # ه
          ["w"], # و
          ["~"], # ى
          ["y"], # ي
          ["an"], # ً
          ["un"], # ٌ
          ["in"], # ٍ
          ["a"], # َ
          ["u"], # ُ
          ["i"], # ِ
          ["W"], # ّ
          nil, # ْ
          nil, # ٓ
          ["'"], # ٔ
          ["'"], # ٕ
          nil, # ٖ
          nil, # ٗ
          nil, # ٘
          nil, # ٙ
          nil, # ٚ
          nil, # ٛ
          nil, # ٜ
          nil, # ٝ
          nil, # ٞ
          nil, # ٟ
          ["0"], # ٠
          ["1"], # ١
          ["2"], # ٢
          ["3"], # ٣
          ["4"], # ٤
          ["5"], # ٥
          ["6"], # ٦
          ["7"], # ٧
          ["8"], # ٨
          ["9"], # ٩
          ["%"], # ٪
          ["."], # ٫
          [","], # ٬
          ["*"], # ٭
          nil, # ٮ
          nil, # ٯ
          nil, # ٰ
          ["'"], # ٱ
          ["'"], # ٲ
          ["'"], # ٳ
          nil, # ٴ
          ["'"], # ٵ
          ["'w"], # ٶ
          ["'u"], # ٷ
          ["'y"], # ٸ
          ["tt"], # ٹ
          ["tth"], # ٺ
          ["b"], # ٻ
          ["t"], # ټ
          ["T"], # ٽ
          ["p"], # پ
          ["th"], # ٿ
          ["bh"], # ڀ
          ["'h"], # ځ
          ["H"], # ڂ
          ["ny"], # ڃ
          ["dy"], # ڄ
          ["H"], # څ
          ["ch"], # چ
          ["cch"], # ڇ
          ["dd"], # ڈ
          ["D"], # ډ
          ["D"], # ڊ
          ["Dt"], # ڋ
          ["dh"], # ڌ
          ["ddh"], # ڍ
          ["d"], # ڎ
          ["D"], # ڏ
          ["D"], # ڐ
          ["rr"], # ڑ
          ["R"], # ڒ
          ["R"], # ړ
          ["R"], # ڔ
          ["R"], # ڕ
          ["R"], # ږ
          ["R"], # ڗ
          ["j"], # ژ
          ["R"], # ڙ
          ["S"], # ښ
          ["S"], # ڛ
          ["S"], # ڜ
          ["S"], # ڝ
          ["S"], # ڞ
          ["T"], # ڟ
          ["GH"], # ڠ
          ["F"], # ڡ
          ["F"], # ڢ
          ["F"], # ڣ
          ["v"], # ڤ
          ["f"], # ڥ
          ["ph"], # ڦ
          ["Q"], # ڧ
          ["Q"], # ڨ
          ["kh"], # ک
          ["k"], # ڪ
          ["K"], # ګ
          ["K"], # ڬ
          ["ng"], # ڭ
          ["K"], # ڮ
          ["g"], # گ
          ["G"], # ڰ
          ["N"], # ڱ
          ["G"], # ڲ
          ["G"], # ڳ
          ["G"], # ڴ
          ["L"], # ڵ
          ["L"], # ڶ
          ["L"], # ڷ
          ["L"], # ڸ
          ["N"], # ڹ
          ["N"], # ں
          ["N"], # ڻ
          ["N"], # ڼ
          ["N"], # ڽ
          ["h"], # ھ
          ["Ch"], # ڿ
          ["hy"], # ۀ
          ["h"], # ہ
          ["H"], # ۂ
          ["@"], # ۃ
          ["W"], # ۄ
          ["oe"], # ۅ
          ["oe"], # ۆ
          ["u"], # ۇ
          ["yu"], # ۈ
          ["yu"], # ۉ
          ["W"], # ۊ
          ["v"], # ۋ
          ["y"], # ی
          ["Y"], # ۍ
          ["Y"], # ێ
          ["W"], # ۏ
          nil, # ې
          nil, # ۑ
          ["y"], # ے
          ["y'"], # ۓ
          ["."], # ۔
          ["ae"], # ە
          nil, # ۖ
          nil, # ۗ
          nil, # ۘ
          nil, # ۙ
          nil, # ۚ
          nil, # ۛ
          nil, # ۜ
          ["@"], # ۝
          ["#"], # ۞
          nil, # ۟
          nil, # ۠
          nil, # ۡ
          nil, # ۢ
          nil, # ۣ
          nil, # ۤ
          nil, # ۥ
          nil, # ۦ
          nil, # ۧ
          nil, # ۨ
          ["^"], # ۩
          nil, # ۪
          nil, # ۫
          nil, # ۬
          nil, # ۭ
          nil, # ۮ
          nil, # ۯ
          ["0"], # ۰
          ["1"], # ۱
          ["2"], # ۲
          ["3"], # ۳
          ["4"], # ۴
          ["5"], # ۵
          ["6"], # ۶
          ["7"], # ۷
          ["8"], # ۸
          ["9"], # ۹
          ["Sh"], # ۺ
          ["D"], # ۻ
          ["Gh"], # ۼ
          ["&"], # ۽
          ["+m"], # ۾
          nil # ۿ
        ],
        [
          ["//"], # ܀
          ["/"], # ܁
          [","], # ܂
          ["!"], # ܃
          ["!"], # ܄
          ["-"], # ܅
          [","], # ܆
          [","], # ܇
          [";"], # ܈
          ["?"], # ܉
          ["~"], # ܊
          ["{"], # ܋
          ["}"], # ܌
          ["*"], # ܍
          nil, # ܎
          nil, # ܏
          ["'"], # ܐ
          nil, # ܑ
          ["b"], # ܒ
          ["g"], # ܓ
          ["g"], # ܔ
          ["d"], # ܕ
          ["d"], # ܖ
          ["h"], # ܗ
          ["w"], # ܘ
          ["z"], # ܙ
          ["H"], # ܚ
          ["t"], # ܛ
          ["t"], # ܜ
          ["y"], # ܝ
          ["yh"], # ܞ
          ["k"], # ܟ
          ["l"], # ܠ
          ["m"], # ܡ
          ["n"], # ܢ
          ["s"], # ܣ
          ["s"], # ܤ
          ["`"], # ܥ
          ["p"], # ܦ
          ["p"], # ܧ
          ["S"], # ܨ
          ["q"], # ܩ
          ["r"], # ܪ
          ["sh"], # ܫ
          ["t"], # ܬ
          nil, # ܭ
          nil, # ܮ
          nil, # ܯ
          ["a"], # ܰ
          ["a"], # ܱ
          ["a"], # ܲ
          ["A"], # ܳ
          ["A"], # ܴ
          ["A"], # ܵ
          ["e"], # ܶ
          ["e"], # ܷ
          ["e"], # ܸ
          ["E"], # ܹ
          ["i"], # ܺ
          ["i"], # ܻ
          ["u"], # ܼ
          ["u"], # ܽ
          ["u"], # ܾ
          ["o"], # ܿ
          nil, # ݀
          ["`"], # ݁
          ["'"], # ݂
          nil, # ݃
          nil, # ݄
          ["X"], # ݅
          ["Q"], # ݆
          ["@"], # ݇
          ["@"], # ݈
          ["|"], # ݉
          ["+"], # ݊
          nil, # ݋
          nil, # ݌
          nil, # ݍ
          nil, # ݎ
          nil, # ݏ
          nil, # ݐ
          nil, # ݑ
          nil, # ݒ
          nil, # ݓ
          nil, # ݔ
          nil, # ݕ
          nil, # ݖ
          nil, # ݗ
          nil, # ݘ
          nil, # ݙ
          nil, # ݚ
          nil, # ݛ
          nil, # ݜ
          nil, # ݝ
          nil, # ݞ
          nil, # ݟ
          nil, # ݠ
          nil, # ݡ
          nil, # ݢ
          nil, # ݣ
          nil, # ݤ
          nil, # ݥ
          nil, # ݦ
          nil, # ݧ
          nil, # ݨ
          nil, # ݩ
          nil, # ݪ
          nil, # ݫ
          nil, # ݬ
          nil, # ݭ
          nil, # ݮ
          nil, # ݯ
          nil, # ݰ
          nil, # ݱ
          nil, # ݲ
          nil, # ݳ
          nil, # ݴ
          nil, # ݵ
          nil, # ݶ
          nil, # ݷ
          nil, # ݸ
          nil, # ݹ
          nil, # ݺ
          nil, # ݻ
          nil, # ݼ
          nil, # ݽ
          nil, # ݾ
          nil, # ݿ
          ["h"], # ހ
          ["sh"], # ށ
          ["n"], # ނ
          ["r"], # ރ
          ["b"], # ބ
          ["L"], # ޅ
          ["k"], # ކ
          ["'"], # އ
          ["v"], # ވ
          ["m"], # މ
          ["f"], # ފ
          ["dh"], # ދ
          ["th"], # ތ
          ["l"], # ލ
          ["g"], # ގ
          ["ny"], # ޏ
          ["s"], # ސ
          ["d"], # ޑ
          ["z"], # ޒ
          ["t"], # ޓ
          ["y"], # ޔ
          ["p"], # ޕ
          ["j"], # ޖ
          ["ch"], # ޗ
          ["tt"], # ޘ
          ["hh"], # ޙ
          ["kh"], # ޚ
          ["th"], # ޛ
          ["z"], # ޜ
          ["sh"], # ޝ
          ["s"], # ޞ
          ["d"], # ޟ
          ["t"], # ޠ
          ["z"], # ޡ
          ["`"], # ޢ
          ["gh"], # ޣ
          ["q"], # ޤ
          ["w"], # ޥ
          ["a"], # ަ
          ["aa"], # ާ
          ["i"], # ި
          ["ee"], # ީ
          ["u"], # ު
          ["oo"], # ޫ
          ["e"], # ެ
          ["ey"], # ޭ
          ["o"], # ޮ
          ["oa"], # ޯ
          nil, # ް
          nil, # ޱ
          nil, # ޲
          nil, # ޳
          nil, # ޴
          nil, # ޵
          nil, # ޶
          nil, # ޷
          nil, # ޸
          nil, # ޹
          nil, # ޺
          nil, # ޻
          nil, # ޼
          nil, # ޽
          nil, # ޾
          nil, # ޿
          nil, # ߀
          nil, # ߁
          nil, # ߂
          nil, # ߃
          nil, # ߄
          nil, # ߅
          nil, # ߆
          nil, # ߇
          nil, # ߈
          nil, # ߉
          nil, # ߊ
          nil, # ߋ
          nil, # ߌ
          nil, # ߍ
          nil, # ߎ
          nil, # ߏ
          nil, # ߐ
          nil, # ߑ
          nil, # ߒ
          nil, # ߓ
          nil, # ߔ
          nil, # ߕ
          nil, # ߖ
          nil, # ߗ
          nil, # ߘ
          nil, # ߙ
          nil, # ߚ
          nil, # ߛ
          nil, # ߜ
          nil, # ߝ
          nil, # ߞ
          nil, # ߟ
          nil, # ߠ
          nil, # ߡ
          nil, # ߢ
          nil, # ߣ
          nil, # ߤ
          nil, # ߥ
          nil, # ߦ
          nil, # ߧ
          nil, # ߨ
          nil, # ߩ
          nil, # ߪ
          nil, # ߫
          nil, # ߬
          nil, # ߭
          nil, # ߮
          nil, # ߯
          nil, # ߰
          nil, # ߱
          nil, # ߲
          nil, # ߳
          nil, # ߴ
          nil, # ߵ
          nil, # ߶
          nil, # ߷
          nil, # ߸
          nil, # ߹
          nil, # ߺ
          nil, # ߻
          nil, # ߼
          nil, # ߽
          nil, # ߾
          nil # ߿
        ],
        nil,
        [
          nil, # ऀ
          ["N"], # ँ
          ["N"], # ं
          ["H"], # ः
          nil, # ऄ
          ["a"], # अ
          ["aa"], # आ
          ["i"], # इ
          ["ii"], # ई
          ["u"], # उ
          ["uu"], # ऊ
          ["R"], # ऋ
          ["L"], # ऌ
          ["eN"], # ऍ
          ["e"], # ऎ
          ["e"], # ए
          ["ai"], # ऐ
          ["oN"], # ऑ
          ["o"], # ऒ
          ["o"], # ओ
          ["au"], # औ
          ["k"], # क
          ["kh"], # ख
          ["g"], # ग
          ["gh"], # घ
          ["ng"], # ङ
          ["c"], # च
          ["ch"], # छ
          ["j"], # ज
          ["jh"], # झ
          ["ny"], # ञ
          ["tt"], # ट
          ["tth"], # ठ
          ["dd"], # ड
          ["ddh"], # ढ
          ["nn"], # ण
          ["t"], # त
          ["th"], # थ
          ["d"], # द
          ["dh"], # ध
          ["n"], # न
          ["nnn"], # ऩ
          ["p"], # प
          ["ph"], # फ
          ["b"], # ब
          ["bh"], # भ
          ["m"], # म
          ["y"], # य
          ["r"], # र
          ["rr"], # ऱ
          ["l"], # ल
          ["l"], # ळ
          ["lll"], # ऴ
          ["v"], # व
          ["sh"], # श
          ["ss"], # ष
          ["s"], # स
          ["h"], # ह
          nil, # ऺ
          nil, # ऻ
          ["'"], # ़
          ["'"], # ऽ
          ["aa"], # ा
          ["i"], # ि
          ["ii"], # ी
          ["u"], # ु
          ["uu"], # ू
          ["R"], # ृ
          ["RR"], # ॄ
          ["eN"], # ॅ
          ["e"], # ॆ
          ["e"], # े
          ["ai"], # ै
          ["oN"], # ॉ
          ["o"], # ॊ
          ["o"], # ो
          ["au"], # ौ
          nil, # ्
          nil, # ॎ
          nil, # ॏ
          ["AUM"], # ॐ
          ["'"], # ॑
          ["'"], # ॒
          ["`"], # ॓
          ["'"], # ॔
          nil, # ॕ
          nil, # ॖ
          nil, # ॗ
          ["q"], # क़
          ["khh"], # ख़
          ["ghh"], # ग़
          ["z"], # ज़
          ["dddh"], # ड़
          ["rh"], # ढ़
          ["f"], # फ़
          ["yy"], # य़
          ["RR"], # ॠ
          ["LL"], # ॡ
          ["L"], # ॢ
          ["LL"], # ॣ
          [" / "], # ।
          [" // "], # ॥
          ["0"], # ०
          ["1"], # १
          ["2"], # २
          ["3"], # ३
          ["4"], # ४
          ["5"], # ५
          ["6"], # ६
          ["7"], # ७
          ["8"], # ८
          ["9"], # ९
          ["."], # ॰
          nil, # ॱ
          nil, # ॲ
          nil, # ॳ
          nil, # ॴ
          nil, # ॵ
          nil, # ॶ
          nil, # ॷ
          nil, # ॸ
          nil, # ॹ
          nil, # ॺ
          nil, # ॻ
          nil, # ॼ
          nil, # ॽ
          nil, # ॾ
          nil, # ॿ
          nil, # ঀ
          ["N"], # ঁ
          ["N"], # ং
          ["H"], # ঃ
          nil, # ঄
          ["a"], # অ
          ["aa"], # আ
          ["i"], # ই
          ["ii"], # ঈ
          ["u"], # উ
          ["uu"], # ঊ
          ["R"], # ঋ
          ["RR"], # ঌ
          nil, # ঍
          nil, # ঎
          ["e"], # এ
          ["ai"], # ঐ
          nil, # ঑
          nil, # ঒
          ["o"], # ও
          ["au"], # ঔ
          ["k"], # ক
          ["kh"], # খ
          ["g"], # গ
          ["gh"], # ঘ
          ["ng"], # ঙ
          ["c"], # চ
          ["ch"], # ছ
          ["j"], # জ
          ["jh"], # ঝ
          ["ny"], # ঞ
          ["tt"], # ট
          ["tth"], # ঠ
          ["dd"], # ড
          ["ddh"], # ঢ
          ["nn"], # ণ
          ["t"], # ত
          ["th"], # থ
          ["d"], # দ
          ["dh"], # ধ
          ["n"], # ন
          nil, # ঩
          ["p"], # প
          ["ph"], # ফ
          ["b"], # ব
          ["bh"], # ভ
          ["m"], # ম
          ["y"], # য
          ["r"], # র
          nil, # ঱
          ["l"], # ল
          nil, # ঳
          nil, # ঴
          nil, # ঵
          ["sh"], # শ
          ["ss"], # ষ
          ["s"], # স
          ["h"], # হ
          nil, # ঺
          nil, # ঻
          ["'"], # ়
          nil, # ঽ
          ["aa"], # া
          ["i"], # ি
          ["ii"], # ী
          ["u"], # ু
          ["uu"], # ূ
          ["R"], # ৃ
          ["RR"], # ৄ
          nil, # ৅
          nil, # ৆
          ["e"], # ে
          ["ai"], # ৈ
          nil, # ৉
          nil, # ৊
          ["o"], # ো
          ["au"], # ৌ
          nil, # ্
          nil, # ৎ
          nil, # ৏
          nil, # ৐
          nil, # ৑
          nil, # ৒
          nil, # ৓
          nil, # ৔
          nil, # ৕
          nil, # ৖
          ["+"], # ৗ
          nil, # ৘
          nil, # ৙
          nil, # ৚
          nil, # ৛
          ["rr"], # ড়
          ["rh"], # ঢ়
          nil, # ৞
          ["yy"], # য়
          ["RR"], # ৠ
          ["LL"], # ৡ
          ["L"], # ৢ
          ["LL"], # ৣ
          nil, # ৤
          nil, # ৥
          ["0"], # ০
          ["1"], # ১
          ["2"], # ২
          ["3"], # ৩
          ["4"], # ৪
          ["5"], # ৫
          ["6"], # ৬
          ["7"], # ৭
          ["8"], # ৮
          ["9"], # ৯
          ["r'"], # ৰ
          ["r`"], # ৱ
          ["Rs"], # ৲
          ["Rs"], # ৳
          ["1/"], # ৴
          ["2/"], # ৵
          ["3/"], # ৶
          ["4/"], # ৷
          [" 1 - 1/"], # ৸
          ["/16"], # ৹
          nil, # ৺
          nil, # ৻
          nil, # ৼ
          nil, # ৽
          nil, # ৾
          nil # ৿
        ],
        [
          nil, # ਀
          nil, # ਁ
          ["N"], # ਂ
          nil, # ਃ
          nil, # ਄
          ["a"], # ਅ
          ["aa"], # ਆ
          ["i"], # ਇ
          ["ii"], # ਈ
          ["u"], # ਉ
          ["uu"], # ਊ
          nil, # ਋
          nil, # ਌
          nil, # ਍
          nil, # ਎
          ["ee"], # ਏ
          ["ai"], # ਐ
          nil, # ਑
          nil, # ਒
          ["oo"], # ਓ
          ["au"], # ਔ
          ["k"], # ਕ
          ["kh"], # ਖ
          ["g"], # ਗ
          ["gh"], # ਘ
          ["ng"], # ਙ
          ["c"], # ਚ
          ["ch"], # ਛ
          ["j"], # ਜ
          ["jh"], # ਝ
          ["ny"], # ਞ
          ["tt"], # ਟ
          ["tth"], # ਠ
          ["dd"], # ਡ
          ["ddh"], # ਢ
          ["nn"], # ਣ
          ["t"], # ਤ
          ["th"], # ਥ
          ["d"], # ਦ
          ["dh"], # ਧ
          ["n"], # ਨ
          nil, # ਩
          ["p"], # ਪ
          ["ph"], # ਫ
          ["b"], # ਬ
          ["bb"], # ਭ
          ["m"], # ਮ
          ["y"], # ਯ
          ["r"], # ਰ
          nil, # ਱
          ["l"], # ਲ
          ["ll"], # ਲ਼
          nil, # ਴
          ["v"], # ਵ
          ["sh"], # ਸ਼
          nil, # ਷
          ["s"], # ਸ
          ["h"], # ਹ
          nil, # ਺
          nil, # ਻
          ["'"], # ਼
          nil, # ਽
          ["aa"], # ਾ
          ["i"], # ਿ
          ["ii"], # ੀ
          ["u"], # ੁ
          ["uu"], # ੂ
          nil, # ੃
          nil, # ੄
          nil, # ੅
          nil, # ੆
          ["ee"], # ੇ
          ["ai"], # ੈ
          nil, # ੉
          nil, # ੊
          ["oo"], # ੋ
          ["au"], # ੌ
          nil, # ੍
          nil, # ੎
          nil, # ੏
          nil, # ੐
          nil, # ੑ
          nil, # ੒
          nil, # ੓
          nil, # ੔
          nil, # ੕
          nil, # ੖
          nil, # ੗
          nil, # ੘
          ["khh"], # ਖ਼
          ["ghh"], # ਗ਼
          ["z"], # ਜ਼
          ["rr"], # ੜ
          nil, # ੝
          ["f"], # ਫ਼
          nil, # ੟
          nil, # ੠
          nil, # ੡
          nil, # ੢
          nil, # ੣
          nil, # ੤
          nil, # ੥
          ["0"], # ੦
          ["1"], # ੧
          ["2"], # ੨
          ["3"], # ੩
          ["4"], # ੪
          ["5"], # ੫
          ["6"], # ੬
          ["7"], # ੭
          ["8"], # ੮
          ["9"], # ੯
          ["N"], # ੰ
          ["H"], # ੱ
          nil, # ੲ
          nil, # ੳ
          ["G.E.O."], # ੴ
          nil, # ੵ
          nil, # ੶
          nil, # ੷
          nil, # ੸
          nil, # ੹
          nil, # ੺
          nil, # ੻
          nil, # ੼
          nil, # ੽
          nil, # ੾
          nil, # ੿
          nil, # ઀
          ["N"], # ઁ
          ["N"], # ં
          ["H"], # ઃ
          nil, # ઄
          ["a"], # અ
          ["aa"], # આ
          ["i"], # ઇ
          ["ii"], # ઈ
          ["u"], # ઉ
          ["uu"], # ઊ
          ["R"], # ઋ
          nil, # ઌ
          ["eN"], # ઍ
          nil, # ઎
          ["e"], # એ
          ["ai"], # ઐ
          ["oN"], # ઑ
          nil, # ઒
          ["o"], # ઓ
          ["au"], # ઔ
          ["k"], # ક
          ["kh"], # ખ
          ["g"], # ગ
          ["gh"], # ઘ
          ["ng"], # ઙ
          ["c"], # ચ
          ["ch"], # છ
          ["j"], # જ
          ["jh"], # ઝ
          ["ny"], # ઞ
          ["tt"], # ટ
          ["tth"], # ઠ
          ["dd"], # ડ
          ["ddh"], # ઢ
          ["nn"], # ણ
          ["t"], # ત
          ["th"], # થ
          ["d"], # દ
          ["dh"], # ધ
          ["n"], # ન
          nil, # ઩
          ["p"], # પ
          ["ph"], # ફ
          ["b"], # બ
          ["bh"], # ભ
          ["m"], # મ
          ["ya"], # ય
          ["r"], # ર
          nil, # ઱
          ["l"], # લ
          ["ll"], # ળ
          nil, # ઴
          ["v"], # વ
          ["sh"], # શ
          ["ss"], # ષ
          ["s"], # સ
          ["h"], # હ
          nil, # ઺
          nil, # ઻
          ["'"], # ઼
          ["'"], # ઽ
          ["aa"], # ા
          ["i"], # િ
          ["ii"], # ી
          ["u"], # ુ
          ["uu"], # ૂ
          ["R"], # ૃ
          ["RR"], # ૄ
          ["eN"], # ૅ
          nil, # ૆
          ["e"], # ે
          ["ai"], # ૈ
          ["oN"], # ૉ
          nil, # ૊
          ["o"], # ો
          ["au"], # ૌ
          nil, # ્
          nil, # ૎
          nil, # ૏
          ["AUM"], # ૐ
          nil, # ૑
          nil, # ૒
          nil, # ૓
          nil, # ૔
          nil, # ૕
          nil, # ૖
          nil, # ૗
          nil, # ૘
          nil, # ૙
          nil, # ૚
          nil, # ૛
          nil, # ૜
          nil, # ૝
          nil, # ૞
          nil, # ૟
          ["RR"], # ૠ
          nil, # ૡ
          nil, # ૢ
          nil, # ૣ
          nil, # ૤
          nil, # ૥
          ["0"], # ૦
          ["1"], # ૧
          ["2"], # ૨
          ["3"], # ૩
          ["4"], # ૪
          ["5"], # ૫
          ["6"], # ૬
          ["7"], # ૭
          ["8"], # ૮
          ["9"], # ૯
          nil, # ૰
          nil, # ૱
          nil, # ૲
          nil, # ૳
          nil, # ૴
          nil, # ૵
          nil, # ૶
          nil, # ૷
          nil, # ૸
          nil, # ૹ
          nil, # ૺ
          nil, # ૻ
          nil, # ૼ
          nil, # ૽
          nil, # ૾
          nil # ૿
        ],
        [
          nil, # ଀
          ["N"], # ଁ
          ["N"], # ଂ
          ["H"], # ଃ
          nil, # ଄
          ["a"], # ଅ
          ["aa"], # ଆ
          ["i"], # ଇ
          ["ii"], # ଈ
          ["u"], # ଉ
          ["uu"], # ଊ
          ["R"], # ଋ
          ["L"], # ଌ
          nil, # ଍
          nil, # ଎
          ["e"], # ଏ
          ["ai"], # ଐ
          nil, # ଑
          nil, # ଒
          ["o"], # ଓ
          ["au"], # ଔ
          ["k"], # କ
          ["kh"], # ଖ
          ["g"], # ଗ
          ["gh"], # ଘ
          ["ng"], # ଙ
          ["c"], # ଚ
          ["ch"], # ଛ
          ["j"], # ଜ
          ["jh"], # ଝ
          ["ny"], # ଞ
          ["tt"], # ଟ
          ["tth"], # ଠ
          ["dd"], # ଡ
          ["ddh"], # ଢ
          ["nn"], # ଣ
          ["t"], # ତ
          ["th"], # ଥ
          ["d"], # ଦ
          ["dh"], # ଧ
          ["n"], # ନ
          nil, # ଩
          ["p"], # ପ
          ["ph"], # ଫ
          ["b"], # ବ
          ["bh"], # ଭ
          ["m"], # ମ
          ["y"], # ଯ
          ["r"], # ର
          nil, # ଱
          ["l"], # ଲ
          ["ll"], # ଳ
          nil, # ଴
          nil, # ଵ
          ["sh"], # ଶ
          ["ss"], # ଷ
          ["s"], # ସ
          ["h"], # ହ
          nil, # ଺
          nil, # ଻
          ["'"], # ଼
          ["'"], # ଽ
          ["aa"], # ା
          ["i"], # ି
          ["ii"], # ୀ
          ["u"], # ୁ
          ["uu"], # ୂ
          ["R"], # ୃ
          nil, # ୄ
          nil, # ୅
          nil, # ୆
          ["e"], # େ
          ["ai"], # ୈ
          nil, # ୉
          nil, # ୊
          ["o"], # ୋ
          ["au"], # ୌ
          nil, # ୍
          nil, # ୎
          nil, # ୏
          nil, # ୐
          nil, # ୑
          nil, # ୒
          nil, # ୓
          nil, # ୔
          nil, # ୕
          ["+"], # ୖ
          ["+"], # ୗ
          nil, # ୘
          nil, # ୙
          nil, # ୚
          nil, # ୛
          ["rr"], # ଡ଼
          ["rh"], # ଢ଼
          nil, # ୞
          ["yy"], # ୟ
          ["RR"], # ୠ
          ["LL"], # ୡ
          nil, # ୢ
          nil, # ୣ
          nil, # ୤
          nil, # ୥
          ["0"], # ୦
          ["1"], # ୧
          ["2"], # ୨
          ["3"], # ୩
          ["4"], # ୪
          ["5"], # ୫
          ["6"], # ୬
          ["7"], # ୭
          ["8"], # ୮
          ["9"], # ୯
          nil, # ୰
          nil, # ୱ
          nil, # ୲
          nil, # ୳
          nil, # ୴
          nil, # ୵
          nil, # ୶
          nil, # ୷
          nil, # ୸
          nil, # ୹
          nil, # ୺
          nil, # ୻
          nil, # ୼
          nil, # ୽
          nil, # ୾
          nil, # ୿
          nil, # ஀
          nil, # ஁
          ["N"], # ஂ
          ["H"], # ஃ
          nil, # ஄
          ["a"], # அ
          ["aa"], # ஆ
          ["i"], # இ
          ["ii"], # ஈ
          ["u"], # உ
          ["uu"], # ஊ
          nil, # ஋
          nil, # ஌
          nil, # ஍
          ["e"], # எ
          ["ee"], # ஏ
          ["ai"], # ஐ
          nil, # ஑
          ["o"], # ஒ
          ["oo"], # ஓ
          ["au"], # ஔ
          ["k"], # க
          nil, # ஖
          nil, # ஗
          nil, # ஘
          ["ng"], # ங
          ["c"], # ச
          nil, # ஛
          ["j"], # ஜ
          nil, # ஝
          ["ny"], # ஞ
          ["tt"], # ட
          nil, # ஠
          nil, # ஡
          nil, # ஢
          ["nn"], # ண
          ["t"], # த
          nil, # ஥
          nil, # ஦
          nil, # ஧
          ["n"], # ந
          ["nnn"], # ன
          ["p"], # ப
          nil, # ஫
          nil, # ஬
          nil, # ஭
          ["m"], # ம
          ["y"], # ய
          ["r"], # ர
          ["rr"], # ற
          ["l"], # ல
          ["ll"], # ள
          ["lll"], # ழ
          ["v"], # வ
          nil, # ஶ
          ["ss"], # ஷ
          ["s"], # ஸ
          ["h"], # ஹ
          nil, # ஺
          nil, # ஻
          nil, # ஼
          nil, # ஽
          ["aa"], # ா
          ["i"], # ி
          ["ii"], # ீ
          ["u"], # ு
          ["uu"], # ூ
          nil, # ௃
          nil, # ௄
          nil, # ௅
          ["e"], # ெ
          ["ee"], # ே
          ["ai"], # ை
          nil, # ௉
          ["o"], # ொ
          ["oo"], # ோ
          ["au"], # ௌ
          nil, # ்
          nil, # ௎
          nil, # ௏
          nil, # ௐ
          nil, # ௑
          nil, # ௒
          nil, # ௓
          nil, # ௔
          nil, # ௕
          nil, # ௖
          ["+"], # ௗ
          nil, # ௘
          nil, # ௙
          nil, # ௚
          nil, # ௛
          nil, # ௜
          nil, # ௝
          nil, # ௞
          nil, # ௟
          nil, # ௠
          nil, # ௡
          nil, # ௢
          nil, # ௣
          nil, # ௤
          nil, # ௥
          ["0"], # ௦
          ["1"], # ௧
          ["2"], # ௨
          ["3"], # ௩
          ["4"], # ௪
          ["5"], # ௫
          ["6"], # ௬
          ["7"], # ௭
          ["8"], # ௮
          ["9"], # ௯
          ["+10+"], # ௰
          ["+100+"], # ௱
          ["+1000+"], # ௲
          nil, # ௳
          nil, # ௴
          nil, # ௵
          nil, # ௶
          nil, # ௷
          nil, # ௸
          nil, # ௹
          nil, # ௺
          nil, # ௻
          nil, # ௼
          nil, # ௽
          nil, # ௾
          nil # ௿
        ],
        [
          nil, # ఀ
          ["N"], # ఁ
          ["N"], # ం
          ["H"], # ః
          nil, # ఄ
          ["a"], # అ
          ["aa"], # ఆ
          ["i"], # ఇ
          ["ii"], # ఈ
          ["u"], # ఉ
          ["uu"], # ఊ
          ["R"], # ఋ
          ["L"], # ఌ
          nil, # ఍
          ["e"], # ఎ
          ["ee"], # ఏ
          ["ai"], # ఐ
          nil, # ఑
          ["o"], # ఒ
          ["oo"], # ఓ
          ["au"], # ఔ
          ["k"], # క
          ["kh"], # ఖ
          ["g"], # గ
          ["gh"], # ఘ
          ["ng"], # ఙ
          ["c"], # చ
          ["ch"], # ఛ
          ["j"], # జ
          ["jh"], # ఝ
          ["ny"], # ఞ
          ["tt"], # ట
          ["tth"], # ఠ
          ["dd"], # డ
          ["ddh"], # ఢ
          ["nn"], # ణ
          ["t"], # త
          ["th"], # థ
          ["d"], # ద
          ["dh"], # ధ
          ["n"], # న
          nil, # ఩
          ["p"], # ప
          ["ph"], # ఫ
          ["b"], # బ
          ["bh"], # భ
          ["m"], # మ
          ["y"], # య
          ["r"], # ర
          ["rr"], # ఱ
          ["l"], # ల
          ["ll"], # ళ
          nil, # ఴ
          ["v"], # వ
          ["sh"], # శ
          ["ss"], # ష
          ["s"], # స
          ["h"], # హ
          nil, # ఺
          nil, # ఻
          nil, # ఼
          nil, # ఽ
          ["aa"], # ా
          ["i"], # ి
          ["ii"], # ీ
          ["u"], # ు
          ["uu"], # ూ
          ["R"], # ృ
          ["RR"], # ౄ
          nil, # ౅
          ["e"], # ె
          ["ee"], # ే
          ["ai"], # ై
          nil, # ౉
          ["o"], # ొ
          ["oo"], # ో
          ["au"], # ౌ
          nil, # ్
          nil, # ౎
          nil, # ౏
          nil, # ౐
          nil, # ౑
          nil, # ౒
          nil, # ౓
          nil, # ౔
          ["+"], # ౕ
          ["+"], # ౖ
          nil, # ౗
          nil, # ౘ
          nil, # ౙ
          nil, # ౚ
          nil, # ౛
          nil, # ౜
          nil, # ౝ
          nil, # ౞
          nil, # ౟
          ["RR"], # ౠ
          ["LL"], # ౡ
          nil, # ౢ
          nil, # ౣ
          nil, # ౤
          nil, # ౥
          ["0"], # ౦
          ["1"], # ౧
          ["2"], # ౨
          ["3"], # ౩
          ["4"], # ౪
          ["5"], # ౫
          ["6"], # ౬
          ["7"], # ౭
          ["8"], # ౮
          ["9"], # ౯
          nil, # ౰
          nil, # ౱
          nil, # ౲
          nil, # ౳
          nil, # ౴
          nil, # ౵
          nil, # ౶
          nil, # ౷
          nil, # ౸
          nil, # ౹
          nil, # ౺
          nil, # ౻
          nil, # ౼
          nil, # ౽
          nil, # ౾
          nil, # ౿
          nil, # ಀ
          nil, # ಁ
          ["N"], # ಂ
          ["H"], # ಃ
          nil, # ಄
          ["a"], # ಅ
          ["aa"], # ಆ
          ["i"], # ಇ
          ["ii"], # ಈ
          ["u"], # ಉ
          ["uu"], # ಊ
          ["R"], # ಋ
          ["L"], # ಌ
          nil, # ಍
          ["e"], # ಎ
          ["ee"], # ಏ
          ["ai"], # ಐ
          nil, # ಑
          ["o"], # ಒ
          ["oo"], # ಓ
          ["au"], # ಔ
          ["k"], # ಕ
          ["kh"], # ಖ
          ["g"], # ಗ
          ["gh"], # ಘ
          ["ng"], # ಙ
          ["c"], # ಚ
          ["ch"], # ಛ
          ["j"], # ಜ
          ["jh"], # ಝ
          ["ny"], # ಞ
          ["tt"], # ಟ
          ["tth"], # ಠ
          ["dd"], # ಡ
          ["ddh"], # ಢ
          ["nn"], # ಣ
          ["t"], # ತ
          ["th"], # ಥ
          ["d"], # ದ
          ["dh"], # ಧ
          ["n"], # ನ
          nil, # ಩
          ["p"], # ಪ
          ["ph"], # ಫ
          ["b"], # ಬ
          ["bh"], # ಭ
          ["m"], # ಮ
          ["y"], # ಯ
          ["r"], # ರ
          ["rr"], # ಱ
          ["l"], # ಲ
          ["ll"], # ಳ
          nil, # ಴
          ["v"], # ವ
          ["sh"], # ಶ
          ["ss"], # ಷ
          ["s"], # ಸ
          ["h"], # ಹ
          nil, # ಺
          nil, # ಻
          nil, # ಼
          nil, # ಽ
          ["aa"], # ಾ
          ["i"], # ಿ
          ["ii"], # ೀ
          ["u"], # ು
          ["uu"], # ೂ
          ["R"], # ೃ
          ["RR"], # ೄ
          nil, # ೅
          ["e"], # ೆ
          ["ee"], # ೇ
          ["ai"], # ೈ
          nil, # ೉
          ["o"], # ೊ
          ["oo"], # ೋ
          ["au"], # ೌ
          nil, # ್
          nil, # ೎
          nil, # ೏
          nil, # ೐
          nil, # ೑
          nil, # ೒
          nil, # ೓
          nil, # ೔
          ["+"], # ೕ
          ["+"], # ೖ
          nil, # ೗
          nil, # ೘
          nil, # ೙
          nil, # ೚
          nil, # ೛
          nil, # ೜
          nil, # ೝ
          ["lll"], # ೞ
          nil, # ೟
          ["RR"], # ೠ
          ["LL"], # ೡ
          nil, # ೢ
          nil, # ೣ
          nil, # ೤
          nil, # ೥
          ["0"], # ೦
          ["1"], # ೧
          ["2"], # ೨
          ["3"], # ೩
          ["4"], # ೪
          ["5"], # ೫
          ["6"], # ೬
          ["7"], # ೭
          ["8"], # ೮
          ["9"], # ೯
          nil, # ೰
          nil, # ೱ
          nil, # ೲ
          nil, # ೳ
          nil, # ೴
          nil, # ೵
          nil, # ೶
          nil, # ೷
          nil, # ೸
          nil, # ೹
          nil, # ೺
          nil, # ೻
          nil, # ೼
          nil, # ೽
          nil, # ೾
          nil # ೿
        ],
        [
          nil, # ഀ
          nil, # ഁ
          ["N"], # ം
          ["H"], # ഃ
          nil, # ഄ
          ["a"], # അ
          ["aa"], # ആ
          ["i"], # ഇ
          ["ii"], # ഈ
          ["u"], # ഉ
          ["uu"], # ഊ
          ["R"], # ഋ
          ["L"], # ഌ
          nil, # ഍
          ["e"], # എ
          ["ee"], # ഏ
          ["ai"], # ഐ
          nil, # ഑
          ["o"], # ഒ
          ["oo"], # ഓ
          ["au"], # ഔ
          ["k"], # ക
          ["kh"], # ഖ
          ["g"], # ഗ
          ["gh"], # ഘ
          ["ng"], # ങ
          ["c"], # ച
          ["ch"], # ഛ
          ["j"], # ജ
          ["jh"], # ഝ
          ["ny"], # ഞ
          ["tt"], # ട
          ["tth"], # ഠ
          ["dd"], # ഡ
          ["ddh"], # ഢ
          ["nn"], # ണ
          ["t"], # ത
          ["th"], # ഥ
          ["d"], # ദ
          ["dh"], # ധ
          ["n"], # ന
          nil, # ഩ
          ["p"], # പ
          ["ph"], # ഫ
          ["b"], # ബ
          ["bh"], # ഭ
          ["m"], # മ
          ["y"], # യ
          ["r"], # ര
          ["rr"], # റ
          ["l"], # ല
          ["ll"], # ള
          ["lll"], # ഴ
          ["v"], # വ
          ["sh"], # ശ
          ["ss"], # ഷ
          ["s"], # സ
          ["h"], # ഹ
          nil, # ഺ
          nil, # ഻
          nil, # ഼
          nil, # ഽ
          ["aa"], # ാ
          ["i"], # ി
          ["ii"], # ീ
          ["u"], # ു
          ["uu"], # ൂ
          ["R"], # ൃ
          nil, # ൄ
          nil, # ൅
          ["e"], # െ
          ["ee"], # േ
          ["ai"], # ൈ
          nil, # ൉
          ["o"], # ൊ
          ["oo"], # ോ
          ["au"], # ൌ
          nil, # ്
          nil, # ൎ
          nil, # ൏
          nil, # ൐
          nil, # ൑
          nil, # ൒
          nil, # ൓
          nil, # ൔ
          nil, # ൕ
          nil, # ൖ
          ["+"], # ൗ
          nil, # ൘
          nil, # ൙
          nil, # ൚
          nil, # ൛
          nil, # ൜
          nil, # ൝
          nil, # ൞
          nil, # ൟ
          ["RR"], # ൠ
          ["LL"], # ൡ
          nil, # ൢ
          nil, # ൣ
          nil, # ൤
          nil, # ൥
          ["0"], # ൦
          ["1"], # ൧
          ["2"], # ൨
          ["3"], # ൩
          ["4"], # ൪
          ["5"], # ൫
          ["6"], # ൬
          ["7"], # ൭
          ["8"], # ൮
          ["9"], # ൯
          nil, # ൰
          nil, # ൱
          nil, # ൲
          nil, # ൳
          nil, # ൴
          nil, # ൵
          nil, # ൶
          nil, # ൷
          nil, # ൸
          nil, # ൹
          nil, # ൺ
          nil, # ൻ
          nil, # ർ
          nil, # ൽ
          nil, # ൾ
          nil, # ൿ
          nil, # ඀
          nil, # ඁ
          ["N"], # ං
          ["H"], # ඃ
          nil, # ඄
          ["a"], # අ
          ["aa"], # ආ
          ["ae"], # ඇ
          ["aae"], # ඈ
          ["i"], # ඉ
          ["ii"], # ඊ
          ["u"], # උ
          ["uu"], # ඌ
          ["R"], # ඍ
          ["RR"], # ඎ
          ["L"], # ඏ
          ["LL"], # ඐ
          ["e"], # එ
          ["ee"], # ඒ
          ["ai"], # ඓ
          ["o"], # ඔ
          ["oo"], # ඕ
          ["au"], # ඖ
          nil, # ඗
          nil, # ඘
          nil, # ඙
          ["k"], # ක
          ["kh"], # ඛ
          ["g"], # ග
          ["gh"], # ඝ
          ["ng"], # ඞ
          ["nng"], # ඟ
          ["c"], # ච
          ["ch"], # ඡ
          ["j"], # ජ
          ["jh"], # ඣ
          ["ny"], # ඤ
          ["jny"], # ඥ
          ["nyj"], # ඦ
          ["tt"], # ට
          ["tth"], # ඨ
          ["dd"], # ඩ
          ["ddh"], # ඪ
          ["nn"], # ණ
          ["nndd"], # ඬ
          ["t"], # ත
          ["th"], # ථ
          ["d"], # ද
          ["dh"], # ධ
          ["n"], # න
          nil, # ඲
          ["nd"], # ඳ
          ["p"], # ප
          ["ph"], # ඵ
          ["b"], # බ
          ["bh"], # භ
          ["m"], # ම
          ["mb"], # ඹ
          ["y"], # ය
          ["r"], # ර
          nil, # ඼
          ["l"], # ල
          nil, # ඾
          nil, # ඿
          ["v"], # ව
          ["sh"], # ශ
          ["ss"], # ෂ
          ["s"], # ස
          ["h"], # හ
          ["ll"], # ළ
          ["f"], # ෆ
          nil, # ෇
          nil, # ෈
          nil, # ෉
          nil, # ්
          nil, # ෋
          nil, # ෌
          nil, # ෍
          nil, # ෎
          ["aa"], # ා
          ["ae"], # ැ
          ["aae"], # ෑ
          ["i"], # ි
          ["ii"], # ී
          ["u"], # ු
          nil, # ෕
          ["uu"], # ූ
          nil, # ෗
          ["R"], # ෘ
          ["e"], # ෙ
          ["ee"], # ේ
          ["ai"], # ෛ
          ["o"], # ො
          ["oo"], # ෝ
          ["au"], # ෞ
          ["L"], # ෟ
          nil, # ෠
          nil, # ෡
          nil, # ෢
          nil, # ෣
          nil, # ෤
          nil, # ෥
          nil, # ෦
          nil, # ෧
          nil, # ෨
          nil, # ෩
          nil, # ෪
          nil, # ෫
          nil, # ෬
          nil, # ෭
          nil, # ෮
          nil, # ෯
          nil, # ෰
          nil, # ෱
          ["RR"], # ෲ
          ["LL"], # ෳ
          [" . "], # ෴
          nil, # ෵
          nil, # ෶
          nil, # ෷
          nil, # ෸
          nil, # ෹
          nil, # ෺
          nil, # ෻
          nil, # ෼
          nil, # ෽
          nil, # ෾
          nil # ෿
        ],
        [
          nil, # ฀
          ["k"], # ก
          ["kh"], # ข
          ["kh"], # ฃ
          ["kh"], # ค
          ["kh"], # ฅ
          ["kh"], # ฆ
          ["ng"], # ง
          ["cch"], # จ
          ["ch"], # ฉ
          ["ch"], # ช
          ["ch"], # ซ
          ["ch"], # ฌ
          ["y"], # ญ
          ["d"], # ฎ
          ["t"], # ฏ
          ["th"], # ฐ
          ["th"], # ฑ
          ["th"], # ฒ
          ["n"], # ณ
          ["d"], # ด
          ["t"], # ต
          ["th"], # ถ
          ["th"], # ท
          ["th"], # ธ
          ["n"], # น
          ["b"], # บ
          ["p"], # ป
          ["ph"], # ผ
          ["f"], # ฝ
          ["ph"], # พ
          ["f"], # ฟ
          ["ph"], # ภ
          ["m"], # ม
          ["y"], # ย
          ["r"], # ร
          ["R"], # ฤ
          ["l"], # ล
          ["L"], # ฦ
          ["w"], # ว
          ["s"], # ศ
          ["s"], # ษ
          ["s"], # ส
          ["h"], # ห
          ["l"], # ฬ
          ["`"], # อ
          ["h"], # ฮ
          ["~"], # ฯ
          ["a"], # ะ
          ["a"], # ั
          ["aa"], # า
          ["am"], # ำ
          ["i"], # ิ
          ["ii"], # ี
          ["ue"], # ึ
          ["uue"], # ื
          ["u"], # ุ
          ["uu"], # ู
          ["'"], # ฺ
          nil, # ฻
          nil, # ฼
          nil, # ฽
          nil, # ฾
          ["Bh."], # ฿
          ["e"], # เ
          ["ae"], # แ
          ["o"], # โ
          ["ai"], # ใ
          ["ai"], # ไ
          ["ao"], # ๅ
          ["+"], # ๆ
          nil, # ็
          nil, # ่
          nil, # ้
          nil, # ๊
          nil, # ๋
          nil, # ์
          ["M"], # ํ
          nil, # ๎
          [" * "], # ๏
          ["0"], # ๐
          ["1"], # ๑
          ["2"], # ๒
          ["3"], # ๓
          ["4"], # ๔
          ["5"], # ๕
          ["6"], # ๖
          ["7"], # ๗
          ["8"], # ๘
          ["9"], # ๙
          [" // "], # ๚
          [" /// "], # ๛
          nil, # ๜
          nil, # ๝
          nil, # ๞
          nil, # ๟
          nil, # ๠
          nil, # ๡
          nil, # ๢
          nil, # ๣
          nil, # ๤
          nil, # ๥
          nil, # ๦
          nil, # ๧
          nil, # ๨
          nil, # ๩
          nil, # ๪
          nil, # ๫
          nil, # ๬
          nil, # ๭
          nil, # ๮
          nil, # ๯
          nil, # ๰
          nil, # ๱
          nil, # ๲
          nil, # ๳
          nil, # ๴
          nil, # ๵
          nil, # ๶
          nil, # ๷
          nil, # ๸
          nil, # ๹
          nil, # ๺
          nil, # ๻
          nil, # ๼
          nil, # ๽
          nil, # ๾
          nil, # ๿
          nil, # ຀
          ["k"], # ກ
          ["kh"], # ຂ
          nil, # ຃
          ["kh"], # ຄ
          nil, # ຅
          nil, # ຆ
          ["ng"], # ງ
          ["ch"], # ຈ
          nil, # ຉ
          ["s"], # ຊ
          nil, # ຋
          nil, # ຌ
          ["ny"], # ຍ
          nil, # ຎ
          nil, # ຏ
          nil, # ຐ
          nil, # ຑ
          nil, # ຒ
          nil, # ຓ
          ["d"], # ດ
          ["h"], # ຕ
          ["th"], # ຖ
          ["th"], # ທ
          nil, # ຘ
          ["n"], # ນ
          ["b"], # ບ
          ["p"], # ປ
          ["ph"], # ຜ
          ["f"], # ຝ
          ["ph"], # ພ
          ["f"], # ຟ
          nil, # ຠ
          ["m"], # ມ
          ["y"], # ຢ
          ["r"], # ຣ
          nil, # ຤
          ["l"], # ລ
          nil, # ຦
          ["w"], # ວ
          nil, # ຨ
          nil, # ຩ
          ["s"], # ສ
          ["h"], # ຫ
          nil, # ຬ
          ["`"], # ອ
          nil, # ຮ
          ["~"], # ຯ
          ["a"], # ະ
          nil, # ັ
          ["aa"], # າ
          ["am"], # ຳ
          ["i"], # ິ
          ["ii"], # ີ
          ["y"], # ຶ
          ["yy"], # ື
          ["u"], # ຸ
          ["uu"], # ູ
          nil, # ຺
          ["o"], # ົ
          ["l"], # ຼ
          ["ny"], # ຽ
          nil, # ຾
          nil, # ຿
          ["e"], # ເ
          ["ei"], # ແ
          ["o"], # ໂ
          ["ay"], # ໃ
          ["ai"], # ໄ
          nil, # ໅
          ["+"], # ໆ
          nil, # ໇
          nil, # ່
          nil, # ້
          nil, # ໊
          nil, # ໋
          nil, # ໌
          ["M"], # ໍ
          nil, # ໎
          nil, # ໏
          ["0"], # ໐
          ["1"], # ໑
          ["2"], # ໒
          ["3"], # ໓
          ["4"], # ໔
          ["5"], # ໕
          ["6"], # ໖
          ["7"], # ໗
          ["8"], # ໘
          ["9"], # ໙
          nil, # ໚
          nil, # ໛
          ["hn"], # ໜ
          ["hm"], # ໝ
          nil, # ໞ
          nil, # ໟ
          nil, # ໠
          nil, # ໡
          nil, # ໢
          nil, # ໣
          nil, # ໤
          nil, # ໥
          nil, # ໦
          nil, # ໧
          nil, # ໨
          nil, # ໩
          nil, # ໪
          nil, # ໫
          nil, # ໬
          nil, # ໭
          nil, # ໮
          nil, # ໯
          nil, # ໰
          nil, # ໱
          nil, # ໲
          nil, # ໳
          nil, # ໴
          nil, # ໵
          nil, # ໶
          nil, # ໷
          nil, # ໸
          nil, # ໹
          nil, # ໺
          nil, # ໻
          nil, # ໼
          nil, # ໽
          nil, # ໾
          nil # ໿
        ],
        [
          ["AUM"], # ༀ
          nil, # ༁
          nil, # ༂
          nil, # ༃
          nil, # ༄
          nil, # ༅
          nil, # ༆
          nil, # ༇
          [" // "], # ༈
          [" * "], # ༉
          nil, # ༊
          ["-"], # ་
          [" / "], # ༌
          [" / "], # །
          [" // "], # ༎
          [" -/ "], # ༏
          [" +/ "], # ༐
          [" X/ "], # ༑
          [" /XX/ "], # ༒
          [" /X/ "], # ༓
          [", "], # ༔
          nil, # ༕
          nil, # ༖
          nil, # ༗
          nil, # ༘
          nil, # ༙
          nil, # ༚
          nil, # ༛
          nil, # ༜
          nil, # ༝
          nil, # ༞
          nil, # ༟
          ["0"], # ༠
          ["1"], # ༡
          ["2"], # ༢
          ["3"], # ༣
          ["4"], # ༤
          ["5"], # ༥
          ["6"], # ༦
          ["7"], # ༧
          ["8"], # ༨
          ["9"], # ༩
          [".5"], # ༪
          ["1.5"], # ༫
          ["2.5"], # ༬
          ["3.5"], # ༭
          ["4.5"], # ༮
          ["5.5"], # ༯
          ["6.5"], # ༰
          ["7.5"], # ༱
          ["8.5"], # ༲
          ["-.5"], # ༳
          ["+"], # ༴
          ["*"], # ༵
          ["^"], # ༶
          ["_"], # ༷
          nil, # ༸
          ["~"], # ༹
          nil, # ༺
          ["]"], # ༻
          ["[["], # ༼
          ["]]"], # ༽
          nil, # ༾
          nil, # ༿
          ["k"], # ཀ
          ["kh"], # ཁ
          ["g"], # ག
          ["gh"], # གྷ
          ["ng"], # ང
          ["c"], # ཅ
          ["ch"], # ཆ
          ["j"], # ཇ
          nil, # ཈
          ["ny"], # ཉ
          ["tt"], # ཊ
          ["tth"], # ཋ
          ["dd"], # ཌ
          ["ddh"], # ཌྷ
          ["nn"], # ཎ
          ["t"], # ཏ
          ["th"], # ཐ
          ["d"], # ད
          ["dh"], # དྷ
          ["n"], # ན
          ["p"], # པ
          ["ph"], # ཕ
          ["b"], # བ
          ["bh"], # བྷ
          ["m"], # མ
          ["ts"], # ཙ
          ["tsh"], # ཚ
          ["dz"], # ཛ
          ["dzh"], # ཛྷ
          ["w"], # ཝ
          ["zh"], # ཞ
          ["z"], # ཟ
          ["'"], # འ
          ["y"], # ཡ
          ["r"], # ར
          ["l"], # ལ
          ["sh"], # ཤ
          ["ssh"], # ཥ
          ["s"], # ས
          ["h"], # ཧ
          ["a"], # ཨ
          ["kss"], # ཀྵ
          ["r"], # ཪ
          nil, # ཫ
          nil, # ཬ
          nil, # ཭
          nil, # ཮
          nil, # ཯
          nil, # ཰
          ["aa"], # ཱ
          ["i"], # ི
          ["ii"], # ཱི
          ["u"], # ུ
          ["uu"], # ཱུ
          ["R"], # ྲྀ
          ["RR"], # ཷ
          ["L"], # ླྀ
          ["LL"], # ཹ
          ["e"], # ེ
          ["ee"], # ཻ
          ["o"], # ོ
          ["oo"], # ཽ
          ["M"], # ཾ
          ["H"], # ཿ
          ["i"], # ྀ
          ["ii"], # ཱྀ
          nil, # ྂ
          nil, # ྃ
          nil, # ྄
          nil, # ྅
          nil, # ྆
          nil, # ྇
          nil, # ྈ
          nil, # ྉ
          nil, # ྊ
          nil, # ྋ
          nil, # ྌ
          nil, # ྍ
          nil, # ྎ
          nil, # ྏ
          ["k"], # ྐ
          ["kh"], # ྑ
          ["g"], # ྒ
          ["gh"], # ྒྷ
          ["ng"], # ྔ
          ["c"], # ྕ
          ["ch"], # ྖ
          ["j"], # ྗ
          nil, # ྘
          ["ny"], # ྙ
          ["tt"], # ྚ
          ["tth"], # ྛ
          ["dd"], # ྜ
          ["ddh"], # ྜྷ
          ["nn"], # ྞ
          ["t"], # ྟ
          ["th"], # ྠ
          ["d"], # ྡ
          ["dh"], # ྡྷ
          ["n"], # ྣ
          ["p"], # ྤ
          ["ph"], # ྥ
          ["b"], # ྦ
          ["bh"], # ྦྷ
          ["m"], # ྨ
          ["ts"], # ྩ
          ["tsh"], # ྪ
          ["dz"], # ྫ
          ["dzh"], # ྫྷ
          ["w"], # ྭ
          ["zh"], # ྮ
          ["z"], # ྯ
          ["'"], # ྰ
          ["y"], # ྱ
          ["r"], # ྲ
          ["l"], # ླ
          ["sh"], # ྴ
          ["ss"], # ྵ
          ["s"], # ྶ
          ["h"], # ྷ
          ["a"], # ྸ
          ["kss"], # ྐྵ
          ["w"], # ྺ
          ["y"], # ྻ
          ["r"], # ྼ
          nil, # ྽
          ["X"], # ྾
          [" :X: "], # ྿
          [" /O/ "], # ࿀
          [" /o/ "], # ࿁
          [" \\o\\ "], # ࿂
          [" (O) "], # ࿃
          nil, # ࿄
          nil, # ࿅
          nil, # ࿆
          nil, # ࿇
          nil, # ࿈
          nil, # ࿉
          nil, # ࿊
          nil, # ࿋
          nil, # ࿌
          nil, # ࿍
          nil, # ࿎
          nil, # ࿏
          nil, # ࿐
          nil, # ࿑
          nil, # ࿒
          nil, # ࿓
          nil, # ࿔
          nil, # ࿕
          nil, # ࿖
          nil, # ࿗
          nil, # ࿘
          nil, # ࿙
          nil, # ࿚
          nil, # ࿛
          nil, # ࿜
          nil, # ࿝
          nil, # ࿞
          nil, # ࿟
          nil, # ࿠
          nil, # ࿡
          nil, # ࿢
          nil, # ࿣
          nil, # ࿤
          nil, # ࿥
          nil, # ࿦
          nil, # ࿧
          nil, # ࿨
          nil, # ࿩
          nil, # ࿪
          nil, # ࿫
          nil, # ࿬
          nil, # ࿭
          nil, # ࿮
          nil, # ࿯
          nil, # ࿰
          nil, # ࿱
          nil, # ࿲
          nil, # ࿳
          nil, # ࿴
          nil, # ࿵
          nil, # ࿶
          nil, # ࿷
          nil, # ࿸
          nil, # ࿹
          nil, # ࿺
          nil, # ࿻
          nil, # ࿼
          nil, # ࿽
          nil, # ࿾
          nil # ࿿
        ],
        [
          ["k"], # က
          ["kh"], # ခ
          ["g"], # ဂ
          ["gh"], # ဃ
          ["ng"], # င
          ["c"], # စ
          ["ch"], # ဆ
          ["j"], # ဇ
          ["jh"], # ဈ
          ["ny"], # ဉ
          ["nny"], # ည
          ["tt"], # ဋ
          ["tth"], # ဌ
          ["dd"], # ဍ
          ["ddh"], # ဎ
          ["nn"], # ဏ
          ["tt"], # တ
          ["th"], # ထ
          ["d"], # ဒ
          ["dh"], # ဓ
          ["n"], # န
          ["p"], # ပ
          ["ph"], # ဖ
          ["b"], # ဗ
          ["bh"], # ဘ
          ["m"], # မ
          ["y"], # ယ
          ["r"], # ရ
          ["l"], # လ
          ["w"], # ဝ
          ["s"], # သ
          ["h"], # ဟ
          ["ll"], # ဠ
          ["a"], # အ
          nil, # ဢ
          ["i"], # ဣ
          ["ii"], # ဤ
          ["u"], # ဥ
          ["uu"], # ဦ
          ["e"], # ဧ
          nil, # ဨ
          ["o"], # ဩ
          ["au"], # ဪ
          nil, # ါ
          ["aa"], # ာ
          ["i"], # ိ
          ["ii"], # ီ
          ["u"], # ု
          ["uu"], # ူ
          ["e"], # ေ
          ["ai"], # ဲ
          nil, # ဳ
          nil, # ဴ
          nil, # ဵ
          ["N"], # ံ
          ["'"], # ့
          [":"], # း
          nil, # ္
          nil, # ်
          nil, # ျ
          nil, # ြ
          nil, # ွ
          nil, # ှ
          nil, # ဿ
          ["0"], # ၀
          ["1"], # ၁
          ["2"], # ၂
          ["3"], # ၃
          ["4"], # ၄
          ["5"], # ၅
          ["6"], # ၆
          ["7"], # ၇
          ["8"], # ၈
          ["9"], # ၉
          [" / "], # ၊
          [" // "], # ။
          ["n*"], # ၌
          ["r*"], # ၍
          ["l*"], # ၎
          ["e*"], # ၏
          ["sh"], # ၐ
          ["ss"], # ၑ
          ["R"], # ၒ
          ["RR"], # ၓ
          ["L"], # ၔ
          ["LL"], # ၕ
          ["R"], # ၖ
          ["RR"], # ၗ
          ["L"], # ၘ
          ["LL"], # ၙ
          nil, # ၚ
          nil, # ၛ
          nil, # ၜ
          nil, # ၝ
          nil, # ၞ
          nil, # ၟ
          nil, # ၠ
          nil, # ၡ
          nil, # ၢ
          nil, # ၣ
          nil, # ၤ
          nil, # ၥ
          nil, # ၦ
          nil, # ၧ
          nil, # ၨ
          nil, # ၩ
          nil, # ၪ
          nil, # ၫ
          nil, # ၬ
          nil, # ၭ
          nil, # ၮ
          nil, # ၯ
          nil, # ၰ
          nil, # ၱ
          nil, # ၲ
          nil, # ၳ
          nil, # ၴ
          nil, # ၵ
          nil, # ၶ
          nil, # ၷ
          nil, # ၸ
          nil, # ၹ
          nil, # ၺ
          nil, # ၻ
          nil, # ၼ
          nil, # ၽ
          nil, # ၾ
          nil, # ၿ
          nil, # ႀ
          nil, # ႁ
          nil, # ႂ
          nil, # ႃ
          nil, # ႄ
          nil, # ႅ
          nil, # ႆ
          nil, # ႇ
          nil, # ႈ
          nil, # ႉ
          nil, # ႊ
          nil, # ႋ
          nil, # ႌ
          nil, # ႍ
          nil, # ႎ
          nil, # ႏ
          nil, # ႐
          nil, # ႑
          nil, # ႒
          nil, # ႓
          nil, # ႔
          nil, # ႕
          nil, # ႖
          nil, # ႗
          nil, # ႘
          nil, # ႙
          nil, # ႚ
          nil, # ႛ
          nil, # ႜ
          nil, # ႝ
          nil, # ႞
          nil, # ႟
          ["A"], # Ⴀ
          ["B"], # Ⴁ
          ["G"], # Ⴂ
          ["D"], # Ⴃ
          ["E"], # Ⴄ
          ["V"], # Ⴅ
          ["Z"], # Ⴆ
          ["T`"], # Ⴇ
          ["I"], # Ⴈ
          ["K"], # Ⴉ
          ["L"], # Ⴊ
          ["M"], # Ⴋ
          ["N"], # Ⴌ
          ["O"], # Ⴍ
          ["P"], # Ⴎ
          ["Zh"], # Ⴏ
          ["R"], # Ⴐ
          ["S"], # Ⴑ
          ["T"], # Ⴒ
          ["U"], # Ⴓ
          ["P`"], # Ⴔ
          ["K`"], # Ⴕ
          ["G'"], # Ⴖ
          ["Q"], # Ⴗ
          ["Sh"], # Ⴘ
          ["Ch`"], # Ⴙ
          ["C`"], # Ⴚ
          ["Z'"], # Ⴛ
          ["C"], # Ⴜ
          ["Ch"], # Ⴝ
          ["X"], # Ⴞ
          ["J"], # Ⴟ
          ["H"], # Ⴠ
          ["E"], # Ⴡ
          ["Y"], # Ⴢ
          ["W"], # Ⴣ
          ["Xh"], # Ⴤ
          ["OE"], # Ⴥ
          nil, # ჆
          nil, # Ⴧ
          nil, # ჈
          nil, # ჉
          nil, # ჊
          nil, # ჋
          nil, # ჌
          nil, # Ⴭ
          nil, # ჎
          nil, # ჏
          ["a"], # ა
          ["b"], # ბ
          ["g"], # გ
          ["d"], # დ
          ["e"], # ე
          ["v"], # ვ
          ["z"], # ზ
          ["t`"], # თ
          ["i"], # ი
          ["k"], # კ
          ["l"], # ლ
          ["m"], # მ
          ["n"], # ნ
          ["o"], # ო
          ["p"], # პ
          ["zh"], # ჟ
          ["r"], # რ
          ["s"], # ს
          ["t"], # ტ
          ["u"], # უ
          ["p`"], # ფ
          ["k`"], # ქ
          ["g'"], # ღ
          ["q"], # ყ
          ["sh"], # შ
          ["ch`"], # ჩ
          ["c`"], # ც
          ["z'"], # ძ
          ["c"], # წ
          ["ch"], # ჭ
          ["x"], # ხ
          ["j"], # ჯ
          ["h"], # ჰ
          ["e"], # ჱ
          ["y"], # ჲ
          ["w"], # ჳ
          ["xh"], # ჴ
          ["oe"], # ჵ
          ["f"], # ჶ
          nil, # ჷ
          nil, # ჸ
          nil, # ჹ
          nil, # ჺ
          [" // "], # ჻
          nil, # ჼ
          nil, # ჽ
          nil, # ჾ
          nil # ჿ
        ],
        [
          ["g"], # ᄀ
          ["gg"], # ᄁ
          ["n"], # ᄂ
          ["d"], # ᄃ
          ["dd"], # ᄄ
          ["r"], # ᄅ
          ["m"], # ᄆ
          ["b"], # ᄇ
          ["bb"], # ᄈ
          ["s"], # ᄉ
          ["ss"], # ᄊ
          nil, # ᄋ
          ["j"], # ᄌ
          ["jj"], # ᄍ
          ["c"], # ᄎ
          ["k"], # ᄏ
          ["t"], # ᄐ
          ["p"], # ᄑ
          ["h"], # ᄒ
          ["ng"], # ᄓ
          ["nn"], # ᄔ
          ["nd"], # ᄕ
          ["nb"], # ᄖ
          ["dg"], # ᄗ
          ["rn"], # ᄘ
          ["rr"], # ᄙ
          ["rh"], # ᄚ
          ["rN"], # ᄛ
          ["mb"], # ᄜ
          ["mN"], # ᄝ
          ["bg"], # ᄞ
          ["bn"], # ᄟ
          nil, # ᄠ
          ["bs"], # ᄡ
          ["bsg"], # ᄢ
          ["bst"], # ᄣ
          ["bsb"], # ᄤ
          ["bss"], # ᄥ
          ["bsj"], # ᄦ
          ["bj"], # ᄧ
          ["bc"], # ᄨ
          ["bt"], # ᄩ
          ["bp"], # ᄪ
          ["bN"], # ᄫ
          ["bbN"], # ᄬ
          ["sg"], # ᄭ
          ["sn"], # ᄮ
          ["sd"], # ᄯ
          ["sr"], # ᄰ
          ["sm"], # ᄱ
          ["sb"], # ᄲ
          ["sbg"], # ᄳ
          ["sss"], # ᄴ
          ["s"], # ᄵ
          ["sj"], # ᄶ
          ["sc"], # ᄷ
          ["sk"], # ᄸ
          ["st"], # ᄹ
          ["sp"], # ᄺ
          ["sh"], # ᄻ
          nil, # ᄼ
          nil, # ᄽ
          nil, # ᄾ
          nil, # ᄿ
          ["Z"], # ᅀ
          ["g"], # ᅁ
          ["d"], # ᅂ
          ["m"], # ᅃ
          ["b"], # ᅄ
          ["s"], # ᅅ
          ["Z"], # ᅆ
          nil, # ᅇ
          ["j"], # ᅈ
          ["c"], # ᅉ
          ["t"], # ᅊ
          ["p"], # ᅋ
          ["N"], # ᅌ
          ["j"], # ᅍ
          nil, # ᅎ
          nil, # ᅏ
          nil, # ᅐ
          nil, # ᅑ
          ["ck"], # ᅒ
          ["ch"], # ᅓ
          nil, # ᅔ
          nil, # ᅕ
          ["pb"], # ᅖ
          ["pN"], # ᅗ
          ["hh"], # ᅘ
          ["Q"], # ᅙ
          nil, # ᅚ
          nil, # ᅛ
          nil, # ᅜ
          nil, # ᅝ
          nil, # ᅞ
          nil, # ᅟ
          nil, # ᅠ
          ["a"], # ᅡ
          ["ae"], # ᅢ
          ["ya"], # ᅣ
          ["yae"], # ᅤ
          ["eo"], # ᅥ
          ["e"], # ᅦ
          ["yeo"], # ᅧ
          ["ye"], # ᅨ
          ["o"], # ᅩ
          ["wa"], # ᅪ
          ["wae"], # ᅫ
          ["oe"], # ᅬ
          ["yo"], # ᅭ
          ["u"], # ᅮ
          ["weo"], # ᅯ
          ["we"], # ᅰ
          ["wi"], # ᅱ
          ["yu"], # ᅲ
          ["eu"], # ᅳ
          ["yi"], # ᅴ
          ["i"], # ᅵ
          ["a-o"], # ᅶ
          ["a-u"], # ᅷ
          ["ya-o"], # ᅸ
          ["ya-yo"], # ᅹ
          ["eo-o"], # ᅺ
          ["eo-u"], # ᅻ
          ["eo-eu"], # ᅼ
          ["yeo-o"], # ᅽ
          ["yeo-u"], # ᅾ
          ["o-eo"], # ᅿ
          ["o-e"], # ᆀ
          ["o-ye"], # ᆁ
          ["o-o"], # ᆂ
          ["o-u"], # ᆃ
          ["yo-ya"], # ᆄ
          ["yo-yae"], # ᆅ
          ["yo-yeo"], # ᆆ
          ["yo-o"], # ᆇ
          ["yo-i"], # ᆈ
          ["u-a"], # ᆉ
          ["u-ae"], # ᆊ
          ["u-eo-eu"], # ᆋ
          ["u-ye"], # ᆌ
          ["u-u"], # ᆍ
          ["yu-a"], # ᆎ
          ["yu-eo"], # ᆏ
          ["yu-e"], # ᆐ
          ["yu-yeo"], # ᆑ
          ["yu-ye"], # ᆒ
          ["yu-u"], # ᆓ
          ["yu-i"], # ᆔ
          ["eu-u"], # ᆕ
          ["eu-eu"], # ᆖ
          ["yi-u"], # ᆗ
          ["i-a"], # ᆘ
          ["i-ya"], # ᆙ
          ["i-o"], # ᆚ
          ["i-u"], # ᆛ
          ["i-eu"], # ᆜ
          ["i-U"], # ᆝ
          ["U"], # ᆞ
          ["U-eo"], # ᆟ
          ["U-u"], # ᆠ
          ["U-i"], # ᆡ
          ["UU"], # ᆢ
          nil, # ᆣ
          nil, # ᆤ
          nil, # ᆥ
          nil, # ᆦ
          nil, # ᆧ
          ["g"], # ᆨ
          ["gg"], # ᆩ
          ["gs"], # ᆪ
          ["n"], # ᆫ
          ["nj"], # ᆬ
          ["nh"], # ᆭ
          ["d"], # ᆮ
          ["l"], # ᆯ
          ["lg"], # ᆰ
          ["lm"], # ᆱ
          ["lb"], # ᆲ
          ["ls"], # ᆳ
          ["lt"], # ᆴ
          ["lp"], # ᆵ
          ["lh"], # ᆶ
          ["m"], # ᆷ
          ["b"], # ᆸ
          ["bs"], # ᆹ
          ["s"], # ᆺ
          ["ss"], # ᆻ
          ["ng"], # ᆼ
          ["j"], # ᆽ
          ["c"], # ᆾ
          ["k"], # ᆿ
          ["t"], # ᇀ
          ["p"], # ᇁ
          ["h"], # ᇂ
          ["gl"], # ᇃ
          ["gsg"], # ᇄ
          ["ng"], # ᇅ
          ["nd"], # ᇆ
          ["ns"], # ᇇ
          ["nZ"], # ᇈ
          ["nt"], # ᇉ
          ["dg"], # ᇊ
          ["tl"], # ᇋ
          ["lgs"], # ᇌ
          ["ln"], # ᇍ
          ["ld"], # ᇎ
          ["lth"], # ᇏ
          ["ll"], # ᇐ
          ["lmg"], # ᇑ
          ["lms"], # ᇒ
          ["lbs"], # ᇓ
          ["lbh"], # ᇔ
          ["rNp"], # ᇕ
          ["lss"], # ᇖ
          ["lZ"], # ᇗ
          ["lk"], # ᇘ
          ["lQ"], # ᇙ
          ["mg"], # ᇚ
          ["ml"], # ᇛ
          ["mb"], # ᇜ
          ["ms"], # ᇝ
          ["mss"], # ᇞ
          ["mZ"], # ᇟ
          ["mc"], # ᇠ
          ["mh"], # ᇡ
          ["mN"], # ᇢ
          ["bl"], # ᇣ
          ["bp"], # ᇤ
          ["ph"], # ᇥ
          ["pN"], # ᇦ
          ["sg"], # ᇧ
          ["sd"], # ᇨ
          ["sl"], # ᇩ
          ["sb"], # ᇪ
          ["Z"], # ᇫ
          ["g"], # ᇬ
          ["ss"], # ᇭ
          nil, # ᇮ
          ["kh"], # ᇯ
          ["N"], # ᇰ
          ["Ns"], # ᇱ
          ["NZ"], # ᇲ
          ["pb"], # ᇳ
          ["pN"], # ᇴ
          ["hn"], # ᇵ
          ["hl"], # ᇶ
          ["hm"], # ᇷ
          ["hb"], # ᇸ
          ["Q"], # ᇹ
          nil, # ᇺ
          nil, # ᇻ
          nil, # ᇼ
          nil, # ᇽ
          nil, # ᇾ
          nil # ᇿ
        ],
        [
          ["ha"], # ሀ
          ["hu"], # ሁ
          ["hi"], # ሂ
          ["haa"], # ሃ
          ["hee"], # ሄ
          ["he"], # ህ
          ["ho"], # ሆ
          nil, # ሇ
          ["la"], # ለ
          ["lu"], # ሉ
          ["li"], # ሊ
          ["laa"], # ላ
          ["lee"], # ሌ
          ["le"], # ል
          ["lo"], # ሎ
          ["lwa"], # ሏ
          ["hha"], # ሐ
          ["hhu"], # ሑ
          ["hhi"], # ሒ
          ["hhaa"], # ሓ
          ["hhee"], # ሔ
          ["hhe"], # ሕ
          ["hho"], # ሖ
          ["hhwa"], # ሗ
          ["ma"], # መ
          ["mu"], # ሙ
          ["mi"], # ሚ
          ["maa"], # ማ
          ["mee"], # ሜ
          ["me"], # ም
          ["mo"], # ሞ
          ["mwa"], # ሟ
          ["sza"], # ሠ
          ["szu"], # ሡ
          ["szi"], # ሢ
          ["szaa"], # ሣ
          ["szee"], # ሤ
          ["sze"], # ሥ
          ["szo"], # ሦ
          ["szwa"], # ሧ
          ["ra"], # ረ
          ["ru"], # ሩ
          ["ri"], # ሪ
          ["raa"], # ራ
          ["ree"], # ሬ
          ["re"], # ር
          ["ro"], # ሮ
          ["rwa"], # ሯ
          ["sa"], # ሰ
          ["su"], # ሱ
          ["si"], # ሲ
          ["saa"], # ሳ
          ["see"], # ሴ
          ["se"], # ስ
          ["so"], # ሶ
          ["swa"], # ሷ
          ["sha"], # ሸ
          ["shu"], # ሹ
          ["shi"], # ሺ
          ["shaa"], # ሻ
          ["shee"], # ሼ
          ["she"], # ሽ
          ["sho"], # ሾ
          ["shwa"], # ሿ
          ["qa"], # ቀ
          ["qu"], # ቁ
          ["qi"], # ቂ
          ["qaa"], # ቃ
          ["qee"], # ቄ
          ["qe"], # ቅ
          ["qo"], # ቆ
          nil, # ቇ
          ["qwa"], # ቈ
          nil, # ቉
          ["qwi"], # ቊ
          ["qwaa"], # ቋ
          ["qwee"], # ቌ
          ["qwe"], # ቍ
          nil, # ቎
          nil, # ቏
          ["qha"], # ቐ
          ["qhu"], # ቑ
          ["qhi"], # ቒ
          ["qhaa"], # ቓ
          ["qhee"], # ቔ
          ["qhe"], # ቕ
          ["qho"], # ቖ
          nil, # ቗
          ["qhwa"], # ቘ
          nil, # ቙
          ["qhwi"], # ቚ
          ["qhwaa"], # ቛ
          ["qhwee"], # ቜ
          ["qhwe"], # ቝ
          nil, # ቞
          nil, # ቟
          ["ba"], # በ
          ["bu"], # ቡ
          ["bi"], # ቢ
          ["baa"], # ባ
          ["bee"], # ቤ
          ["be"], # ብ
          ["bo"], # ቦ
          ["bwa"], # ቧ
          ["va"], # ቨ
          ["vu"], # ቩ
          ["vi"], # ቪ
          ["vaa"], # ቫ
          ["vee"], # ቬ
          ["ve"], # ቭ
          ["vo"], # ቮ
          ["vwa"], # ቯ
          ["ta"], # ተ
          ["tu"], # ቱ
          ["ti"], # ቲ
          ["taa"], # ታ
          ["tee"], # ቴ
          ["te"], # ት
          ["to"], # ቶ
          ["twa"], # ቷ
          ["ca"], # ቸ
          ["cu"], # ቹ
          ["ci"], # ቺ
          ["caa"], # ቻ
          ["cee"], # ቼ
          ["ce"], # ች
          ["co"], # ቾ
          ["cwa"], # ቿ
          ["xa"], # ኀ
          ["xu"], # ኁ
          ["xi"], # ኂ
          ["xaa"], # ኃ
          ["xee"], # ኄ
          ["xe"], # ኅ
          ["xo"], # ኆ
          nil, # ኇ
          ["xwa"], # ኈ
          nil, # ኉
          ["xwi"], # ኊ
          ["xwaa"], # ኋ
          ["xwee"], # ኌ
          ["xwe"], # ኍ
          nil, # ኎
          nil, # ኏
          ["na"], # ነ
          ["nu"], # ኑ
          ["ni"], # ኒ
          ["naa"], # ና
          ["nee"], # ኔ
          ["ne"], # ን
          ["no"], # ኖ
          ["nwa"], # ኗ
          ["nya"], # ኘ
          ["nyu"], # ኙ
          ["nyi"], # ኚ
          ["nyaa"], # ኛ
          ["nyee"], # ኜ
          ["nye"], # ኝ
          ["nyo"], # ኞ
          ["nywa"], # ኟ
          ["'a"], # አ
          ["'u"], # ኡ
          nil, # ኢ
          ["'aa"], # ኣ
          ["'ee"], # ኤ
          ["'e"], # እ
          ["'o"], # ኦ
          ["'wa"], # ኧ
          ["ka"], # ከ
          ["ku"], # ኩ
          ["ki"], # ኪ
          ["kaa"], # ካ
          ["kee"], # ኬ
          ["ke"], # ክ
          ["ko"], # ኮ
          nil, # ኯ
          ["kwa"], # ኰ
          nil, # ኱
          ["kwi"], # ኲ
          ["kwaa"], # ኳ
          ["kwee"], # ኴ
          ["kwe"], # ኵ
          nil, # ኶
          nil, # ኷
          ["kxa"], # ኸ
          ["kxu"], # ኹ
          ["kxi"], # ኺ
          ["kxaa"], # ኻ
          ["kxee"], # ኼ
          ["kxe"], # ኽ
          ["kxo"], # ኾ
          nil, # ኿
          ["kxwa"], # ዀ
          nil, # ዁
          ["kxwi"], # ዂ
          ["kxwaa"], # ዃ
          ["kxwee"], # ዄ
          ["kxwe"], # ዅ
          nil, # ዆
          nil, # ዇
          ["wa"], # ወ
          ["wu"], # ዉ
          ["wi"], # ዊ
          ["waa"], # ዋ
          ["wee"], # ዌ
          ["we"], # ው
          ["wo"], # ዎ
          nil, # ዏ
          ["`a"], # ዐ
          ["`u"], # ዑ
          ["`i"], # ዒ
          ["`aa"], # ዓ
          ["`ee"], # ዔ
          ["`e"], # ዕ
          ["`o"], # ዖ
          nil, # ዗
          ["za"], # ዘ
          ["zu"], # ዙ
          ["zi"], # ዚ
          ["zaa"], # ዛ
          ["zee"], # ዜ
          ["ze"], # ዝ
          ["zo"], # ዞ
          ["zwa"], # ዟ
          ["zha"], # ዠ
          ["zhu"], # ዡ
          ["zhi"], # ዢ
          ["zhaa"], # ዣ
          ["zhee"], # ዤ
          ["zhe"], # ዥ
          ["zho"], # ዦ
          ["zhwa"], # ዧ
          ["ya"], # የ
          ["yu"], # ዩ
          ["yi"], # ዪ
          ["yaa"], # ያ
          ["yee"], # ዬ
          ["ye"], # ይ
          ["yo"], # ዮ
          nil, # ዯ
          ["da"], # ደ
          ["du"], # ዱ
          ["di"], # ዲ
          ["daa"], # ዳ
          ["dee"], # ዴ
          ["de"], # ድ
          ["do"], # ዶ
          ["dwa"], # ዷ
          ["dda"], # ዸ
          ["ddu"], # ዹ
          ["ddi"], # ዺ
          ["ddaa"], # ዻ
          ["ddee"], # ዼ
          ["dde"], # ዽ
          ["ddo"], # ዾ
          ["ddwa"] # ዿ
        ],
        [
          ["ja"], # ጀ
          ["ju"], # ጁ
          ["ji"], # ጂ
          ["jaa"], # ጃ
          ["jee"], # ጄ
          ["je"], # ጅ
          ["jo"], # ጆ
          ["jwa"], # ጇ
          ["ga"], # ገ
          ["gu"], # ጉ
          ["gi"], # ጊ
          ["gaa"], # ጋ
          ["gee"], # ጌ
          ["ge"], # ግ
          ["go"], # ጎ
          nil, # ጏ
          ["gwa"], # ጐ
          nil, # ጑
          ["gwi"], # ጒ
          ["gwaa"], # ጓ
          ["gwee"], # ጔ
          ["gwe"], # ጕ
          nil, # ጖
          nil, # ጗
          ["gga"], # ጘ
          ["ggu"], # ጙ
          ["ggi"], # ጚ
          ["ggaa"], # ጛ
          ["ggee"], # ጜ
          ["gge"], # ጝ
          ["ggo"], # ጞ
          nil, # ጟ
          ["tha"], # ጠ
          ["thu"], # ጡ
          ["thi"], # ጢ
          ["thaa"], # ጣ
          ["thee"], # ጤ
          ["the"], # ጥ
          ["tho"], # ጦ
          ["thwa"], # ጧ
          ["cha"], # ጨ
          ["chu"], # ጩ
          ["chi"], # ጪ
          ["chaa"], # ጫ
          ["chee"], # ጬ
          ["che"], # ጭ
          ["cho"], # ጮ
          ["chwa"], # ጯ
          ["pha"], # ጰ
          ["phu"], # ጱ
          ["phi"], # ጲ
          ["phaa"], # ጳ
          ["phee"], # ጴ
          ["phe"], # ጵ
          ["pho"], # ጶ
          ["phwa"], # ጷ
          ["tsa"], # ጸ
          ["tsu"], # ጹ
          ["tsi"], # ጺ
          ["tsaa"], # ጻ
          ["tsee"], # ጼ
          ["tse"], # ጽ
          ["tso"], # ጾ
          ["tswa"], # ጿ
          ["tza"], # ፀ
          ["tzu"], # ፁ
          ["tzi"], # ፂ
          ["tzaa"], # ፃ
          ["tzee"], # ፄ
          ["tze"], # ፅ
          ["tzo"], # ፆ
          nil, # ፇ
          ["fa"], # ፈ
          ["fu"], # ፉ
          ["fi"], # ፊ
          ["faa"], # ፋ
          ["fee"], # ፌ
          ["fe"], # ፍ
          ["fo"], # ፎ
          ["fwa"], # ፏ
          ["pa"], # ፐ
          ["pu"], # ፑ
          ["pi"], # ፒ
          ["paa"], # ፓ
          ["pee"], # ፔ
          ["pe"], # ፕ
          ["po"], # ፖ
          ["pwa"], # ፗ
          ["rya"], # ፘ
          ["mya"], # ፙ
          ["fya"], # ፚ
          nil, # ፛
          nil, # ፜
          nil, # ፝
          nil, # ፞
          nil, # ፟
          nil, # ፠
          [" "], # ፡
          ["."], # ።
          [","], # ፣
          [";"], # ፤
          [":"], # ፥
          [":: "], # ፦
          ["?"], # ፧
          ["//"], # ፨
          ["1"], # ፩
          ["2"], # ፪
          ["3"], # ፫
          ["4"], # ፬
          ["5"], # ፭
          ["6"], # ፮
          ["7"], # ፯
          ["8"], # ፰
          ["9"], # ፱
          ["10+"], # ፲
          ["20+"], # ፳
          ["30+"], # ፴
          ["40+"], # ፵
          ["50+"], # ፶
          ["60+"], # ፷
          ["70+"], # ፸
          ["80+"], # ፹
          ["90+"], # ፺
          ["100+"], # ፻
          ["10,000+"], # ፼
          nil, # ፽
          nil, # ፾
          nil, # ፿
          nil, # ᎀ
          nil, # ᎁ
          nil, # ᎂ
          nil, # ᎃ
          nil, # ᎄ
          nil, # ᎅ
          nil, # ᎆ
          nil, # ᎇ
          nil, # ᎈ
          nil, # ᎉ
          nil, # ᎊ
          nil, # ᎋ
          nil, # ᎌ
          nil, # ᎍ
          nil, # ᎎ
          nil, # ᎏ
          nil, # ᎐
          nil, # ᎑
          nil, # ᎒
          nil, # ᎓
          nil, # ᎔
          nil, # ᎕
          nil, # ᎖
          nil, # ᎗
          nil, # ᎘
          nil, # ᎙
          nil, # ᎚
          nil, # ᎛
          nil, # ᎜
          nil, # ᎝
          nil, # ᎞
          nil, # ᎟
          ["a"], # Ꭰ
          ["e"], # Ꭱ
          ["i"], # Ꭲ
          ["o"], # Ꭳ
          ["u"], # Ꭴ
          ["v"], # Ꭵ
          ["ga"], # Ꭶ
          ["ka"], # Ꭷ
          ["ge"], # Ꭸ
          ["gi"], # Ꭹ
          ["go"], # Ꭺ
          ["gu"], # Ꭻ
          ["gv"], # Ꭼ
          ["ha"], # Ꭽ
          ["he"], # Ꭾ
          ["hi"], # Ꭿ
          ["ho"], # Ꮀ
          ["hu"], # Ꮁ
          ["hv"], # Ꮂ
          ["la"], # Ꮃ
          ["le"], # Ꮄ
          ["li"], # Ꮅ
          ["lo"], # Ꮆ
          ["lu"], # Ꮇ
          ["lv"], # Ꮈ
          ["ma"], # Ꮉ
          ["me"], # Ꮊ
          ["mi"], # Ꮋ
          ["mo"], # Ꮌ
          ["mu"], # Ꮍ
          ["na"], # Ꮎ
          ["hna"], # Ꮏ
          ["nah"], # Ꮐ
          ["ne"], # Ꮑ
          ["ni"], # Ꮒ
          ["no"], # Ꮓ
          ["nu"], # Ꮔ
          ["nv"], # Ꮕ
          ["qua"], # Ꮖ
          ["que"], # Ꮗ
          ["qui"], # Ꮘ
          ["quo"], # Ꮙ
          ["quu"], # Ꮚ
          ["quv"], # Ꮛ
          ["sa"], # Ꮜ
          ["s"], # Ꮝ
          ["se"], # Ꮞ
          ["si"], # Ꮟ
          ["so"], # Ꮠ
          ["su"], # Ꮡ
          ["sv"], # Ꮢ
          ["da"], # Ꮣ
          ["ta"], # Ꮤ
          ["de"], # Ꮥ
          ["te"], # Ꮦ
          ["di"], # Ꮧ
          ["ti"], # Ꮨ
          ["do"], # Ꮩ
          ["du"], # Ꮪ
          ["dv"], # Ꮫ
          ["dla"], # Ꮬ
          ["tla"], # Ꮭ
          ["tle"], # Ꮮ
          ["tli"], # Ꮯ
          ["tlo"], # Ꮰ
          ["tlu"], # Ꮱ
          ["tlv"], # Ꮲ
          ["tsa"], # Ꮳ
          ["tse"], # Ꮴ
          ["tsi"], # Ꮵ
          ["tso"], # Ꮶ
          ["tsu"], # Ꮷ
          ["tsv"], # Ꮸ
          ["wa"], # Ꮹ
          ["we"], # Ꮺ
          ["wi"], # Ꮻ
          ["wo"], # Ꮼ
          ["wu"], # Ꮽ
          ["wv"], # Ꮾ
          ["ya"], # Ꮿ
          ["ye"], # Ᏸ
          ["yi"], # Ᏹ
          ["yo"], # Ᏺ
          ["yu"], # Ᏻ
          ["yv"], # Ᏼ
          nil, # Ᏽ
          nil, # ᏶
          nil, # ᏷
          nil, # ᏸ
          nil, # ᏹ
          nil, # ᏺ
          nil, # ᏻ
          nil, # ᏼ
          nil, # ᏽ
          nil, # ᏾
          nil # ᏿
        ],
        [
          nil, # ᐀
          ["e"], # ᐁ
          ["aai"], # ᐂ
          ["i"], # ᐃ
          ["ii"], # ᐄ
          ["o"], # ᐅ
          ["oo"], # ᐆ
          ["oo"], # ᐇ
          ["ee"], # ᐈ
          ["i"], # ᐉ
          ["a"], # ᐊ
          ["aa"], # ᐋ
          ["we"], # ᐌ
          ["we"], # ᐍ
          ["wi"], # ᐎ
          ["wi"], # ᐏ
          ["wii"], # ᐐ
          ["wii"], # ᐑ
          ["wo"], # ᐒ
          ["wo"], # ᐓ
          ["woo"], # ᐔ
          ["woo"], # ᐕ
          ["woo"], # ᐖ
          ["wa"], # ᐗ
          ["wa"], # ᐘ
          ["waa"], # ᐙ
          ["waa"], # ᐚ
          ["waa"], # ᐛ
          ["ai"], # ᐜ
          ["w"], # ᐝ
          ["'"], # ᐞ
          ["t"], # ᐟ
          ["k"], # ᐠ
          ["sh"], # ᐡ
          ["s"], # ᐢ
          ["n"], # ᐣ
          ["w"], # ᐤ
          ["n"], # ᐥ
          nil, # ᐦ
          ["w"], # ᐧ
          ["c"], # ᐨ
          ["?"], # ᐩ
          ["l"], # ᐪ
          ["en"], # ᐫ
          ["in"], # ᐬ
          ["on"], # ᐭ
          ["an"], # ᐮ
          ["pe"], # ᐯ
          ["paai"], # ᐰ
          ["pi"], # ᐱ
          ["pii"], # ᐲ
          ["po"], # ᐳ
          ["poo"], # ᐴ
          ["poo"], # ᐵ
          ["hee"], # ᐶ
          ["hi"], # ᐷ
          ["pa"], # ᐸ
          ["paa"], # ᐹ
          ["pwe"], # ᐺ
          ["pwe"], # ᐻ
          ["pwi"], # ᐼ
          ["pwi"], # ᐽ
          ["pwii"], # ᐾ
          ["pwii"], # ᐿ
          ["pwo"], # ᑀ
          ["pwo"], # ᑁ
          ["pwoo"], # ᑂ
          ["pwoo"], # ᑃ
          ["pwa"], # ᑄ
          ["pwa"], # ᑅ
          ["pwaa"], # ᑆ
          ["pwaa"], # ᑇ
          ["pwaa"], # ᑈ
          ["p"], # ᑉ
          ["p"], # ᑊ
          ["h"], # ᑋ
          ["te"], # ᑌ
          ["taai"], # ᑍ
          ["ti"], # ᑎ
          ["tii"], # ᑏ
          ["to"], # ᑐ
          ["too"], # ᑑ
          ["too"], # ᑒ
          ["dee"], # ᑓ
          ["di"], # ᑔ
          ["ta"], # ᑕ
          ["taa"], # ᑖ
          ["twe"], # ᑗ
          ["twe"], # ᑘ
          ["twi"], # ᑙ
          ["twi"], # ᑚ
          ["twii"], # ᑛ
          ["twii"], # ᑜ
          ["two"], # ᑝ
          ["two"], # ᑞ
          ["twoo"], # ᑟ
          ["twoo"], # ᑠ
          ["twa"], # ᑡ
          ["twa"], # ᑢ
          ["twaa"], # ᑣ
          ["twaa"], # ᑤ
          ["twaa"], # ᑥ
          ["t"], # ᑦ
          ["tte"], # ᑧ
          ["tti"], # ᑨ
          ["tto"], # ᑩ
          ["tta"], # ᑪ
          ["ke"], # ᑫ
          ["kaai"], # ᑬ
          ["ki"], # ᑭ
          ["kii"], # ᑮ
          ["ko"], # ᑯ
          ["koo"], # ᑰ
          ["koo"], # ᑱ
          ["ka"], # ᑲ
          ["kaa"], # ᑳ
          ["kwe"], # ᑴ
          ["kwe"], # ᑵ
          ["kwi"], # ᑶ
          ["kwi"], # ᑷ
          ["kwii"], # ᑸ
          ["kwii"], # ᑹ
          ["kwo"], # ᑺ
          ["kwo"], # ᑻ
          ["kwoo"], # ᑼ
          ["kwoo"], # ᑽ
          ["kwa"], # ᑾ
          ["kwa"], # ᑿ
          ["kwaa"], # ᒀ
          ["kwaa"], # ᒁ
          ["kwaa"], # ᒂ
          ["k"], # ᒃ
          ["kw"], # ᒄ
          ["keh"], # ᒅ
          ["kih"], # ᒆ
          ["koh"], # ᒇ
          ["kah"], # ᒈ
          ["ce"], # ᒉ
          ["caai"], # ᒊ
          ["ci"], # ᒋ
          ["cii"], # ᒌ
          ["co"], # ᒍ
          ["coo"], # ᒎ
          ["coo"], # ᒏ
          ["ca"], # ᒐ
          ["caa"], # ᒑ
          ["cwe"], # ᒒ
          ["cwe"], # ᒓ
          ["cwi"], # ᒔ
          ["cwi"], # ᒕ
          ["cwii"], # ᒖ
          ["cwii"], # ᒗ
          ["cwo"], # ᒘ
          ["cwo"], # ᒙ
          ["cwoo"], # ᒚ
          ["cwoo"], # ᒛ
          ["cwa"], # ᒜ
          ["cwa"], # ᒝ
          ["cwaa"], # ᒞ
          ["cwaa"], # ᒟ
          ["cwaa"], # ᒠ
          ["c"], # ᒡ
          ["th"], # ᒢ
          ["me"], # ᒣ
          ["maai"], # ᒤ
          ["mi"], # ᒥ
          ["mii"], # ᒦ
          ["mo"], # ᒧ
          ["moo"], # ᒨ
          ["moo"], # ᒩ
          ["ma"], # ᒪ
          ["maa"], # ᒫ
          ["mwe"], # ᒬ
          ["mwe"], # ᒭ
          ["mwi"], # ᒮ
          ["mwi"], # ᒯ
          ["mwii"], # ᒰ
          ["mwii"], # ᒱ
          ["mwo"], # ᒲ
          ["mwo"], # ᒳ
          ["mwoo"], # ᒴ
          ["mwoo"], # ᒵ
          ["mwa"], # ᒶ
          ["mwa"], # ᒷ
          ["mwaa"], # ᒸ
          ["mwaa"], # ᒹ
          ["mwaa"], # ᒺ
          ["m"], # ᒻ
          ["m"], # ᒼ
          ["mh"], # ᒽ
          ["m"], # ᒾ
          ["m"], # ᒿ
          ["ne"], # ᓀ
          ["naai"], # ᓁ
          ["ni"], # ᓂ
          ["nii"], # ᓃ
          ["no"], # ᓄ
          ["noo"], # ᓅ
          ["noo"], # ᓆ
          ["na"], # ᓇ
          ["naa"], # ᓈ
          ["nwe"], # ᓉ
          ["nwe"], # ᓊ
          ["nwa"], # ᓋ
          ["nwa"], # ᓌ
          ["nwaa"], # ᓍ
          ["nwaa"], # ᓎ
          ["nwaa"], # ᓏ
          ["n"], # ᓐ
          ["ng"], # ᓑ
          ["nh"], # ᓒ
          ["le"], # ᓓ
          ["laai"], # ᓔ
          ["li"], # ᓕ
          ["lii"], # ᓖ
          ["lo"], # ᓗ
          ["loo"], # ᓘ
          ["loo"], # ᓙ
          ["la"], # ᓚ
          ["laa"], # ᓛ
          ["lwe"], # ᓜ
          ["lwe"], # ᓝ
          ["lwi"], # ᓞ
          ["lwi"], # ᓟ
          ["lwii"], # ᓠ
          ["lwii"], # ᓡ
          ["lwo"], # ᓢ
          ["lwo"], # ᓣ
          ["lwoo"], # ᓤ
          ["lwoo"], # ᓥ
          ["lwa"], # ᓦ
          ["lwa"], # ᓧ
          ["lwaa"], # ᓨ
          ["lwaa"], # ᓩ
          ["l"], # ᓪ
          ["l"], # ᓫ
          ["l"], # ᓬ
          ["se"], # ᓭ
          ["saai"], # ᓮ
          ["si"], # ᓯ
          ["sii"], # ᓰ
          ["so"], # ᓱ
          ["soo"], # ᓲ
          ["soo"], # ᓳ
          ["sa"], # ᓴ
          ["saa"], # ᓵ
          ["swe"], # ᓶ
          ["swe"], # ᓷ
          ["swi"], # ᓸ
          ["swi"], # ᓹ
          ["swii"], # ᓺ
          ["swii"], # ᓻ
          ["swo"], # ᓼ
          ["swo"], # ᓽ
          ["swoo"], # ᓾ
          ["swoo"] # ᓿ
        ],
        [
          ["swa"], # ᔀ
          ["swa"], # ᔁ
          ["swaa"], # ᔂ
          ["swaa"], # ᔃ
          ["swaa"], # ᔄ
          ["s"], # ᔅ
          ["s"], # ᔆ
          ["sw"], # ᔇ
          ["s"], # ᔈ
          ["sk"], # ᔉ
          ["skw"], # ᔊ
          ["sW"], # ᔋ
          ["spwa"], # ᔌ
          ["stwa"], # ᔍ
          ["skwa"], # ᔎ
          ["scwa"], # ᔏ
          ["she"], # ᔐ
          ["shi"], # ᔑ
          ["shii"], # ᔒ
          ["sho"], # ᔓ
          ["shoo"], # ᔔ
          ["sha"], # ᔕ
          ["shaa"], # ᔖ
          ["shwe"], # ᔗ
          ["shwe"], # ᔘ
          ["shwi"], # ᔙ
          ["shwi"], # ᔚ
          ["shwii"], # ᔛ
          ["shwii"], # ᔜ
          ["shwo"], # ᔝ
          ["shwo"], # ᔞ
          ["shwoo"], # ᔟ
          ["shwoo"], # ᔠ
          ["shwa"], # ᔡ
          ["shwa"], # ᔢ
          ["shwaa"], # ᔣ
          ["shwaa"], # ᔤ
          ["sh"], # ᔥ
          ["ye"], # ᔦ
          ["yaai"], # ᔧ
          ["yi"], # ᔨ
          ["yii"], # ᔩ
          ["yo"], # ᔪ
          ["yoo"], # ᔫ
          ["yoo"], # ᔬ
          ["ya"], # ᔭ
          ["yaa"], # ᔮ
          ["ywe"], # ᔯ
          ["ywe"], # ᔰ
          ["ywi"], # ᔱ
          ["ywi"], # ᔲ
          ["ywii"], # ᔳ
          ["ywii"], # ᔴ
          ["ywo"], # ᔵ
          ["ywo"], # ᔶ
          ["ywoo"], # ᔷ
          ["ywoo"], # ᔸ
          ["ywa"], # ᔹ
          ["ywa"], # ᔺ
          ["ywaa"], # ᔻ
          ["ywaa"], # ᔼ
          ["ywaa"], # ᔽ
          ["y"], # ᔾ
          ["y"], # ᔿ
          ["y"], # ᕀ
          ["yi"], # ᕁ
          ["re"], # ᕂ
          ["re"], # ᕃ
          ["le"], # ᕄ
          ["raai"], # ᕅ
          ["ri"], # ᕆ
          ["rii"], # ᕇ
          ["ro"], # ᕈ
          ["roo"], # ᕉ
          ["lo"], # ᕊ
          ["ra"], # ᕋ
          ["raa"], # ᕌ
          ["la"], # ᕍ
          ["rwaa"], # ᕎ
          ["rwaa"], # ᕏ
          ["r"], # ᕐ
          ["r"], # ᕑ
          ["r"], # ᕒ
          ["fe"], # ᕓ
          ["faai"], # ᕔ
          ["fi"], # ᕕ
          ["fii"], # ᕖ
          ["fo"], # ᕗ
          ["foo"], # ᕘ
          ["fa"], # ᕙ
          ["faa"], # ᕚ
          ["fwaa"], # ᕛ
          ["fwaa"], # ᕜ
          ["f"], # ᕝ
          ["the"], # ᕞ
          ["the"], # ᕟ
          ["thi"], # ᕠ
          ["thi"], # ᕡ
          ["thii"], # ᕢ
          ["thii"], # ᕣ
          ["tho"], # ᕤ
          ["thoo"], # ᕥ
          ["tha"], # ᕦ
          ["thaa"], # ᕧ
          ["thwaa"], # ᕨ
          ["thwaa"], # ᕩ
          ["th"], # ᕪ
          ["tthe"], # ᕫ
          ["tthi"], # ᕬ
          ["ttho"], # ᕭ
          ["ttha"], # ᕮ
          ["tth"], # ᕯ
          ["tye"], # ᕰ
          ["tyi"], # ᕱ
          ["tyo"], # ᕲ
          ["tya"], # ᕳ
          ["he"], # ᕴ
          ["hi"], # ᕵ
          ["hii"], # ᕶ
          ["ho"], # ᕷ
          ["hoo"], # ᕸ
          ["ha"], # ᕹ
          ["haa"], # ᕺ
          ["h"], # ᕻ
          ["h"], # ᕼ
          ["hk"], # ᕽ
          ["qaai"], # ᕾ
          ["qi"], # ᕿ
          ["qii"], # ᖀ
          ["qo"], # ᖁ
          ["qoo"], # ᖂ
          ["qa"], # ᖃ
          ["qaa"], # ᖄ
          ["q"], # ᖅ
          ["tlhe"], # ᖆ
          ["tlhi"], # ᖇ
          ["tlho"], # ᖈ
          ["tlha"], # ᖉ
          ["re"], # ᖊ
          ["ri"], # ᖋ
          ["ro"], # ᖌ
          ["ra"], # ᖍ
          ["ngaai"], # ᖎ
          ["ngi"], # ᖏ
          ["ngii"], # ᖐ
          ["ngo"], # ᖑ
          ["ngoo"], # ᖒ
          ["nga"], # ᖓ
          ["ngaa"], # ᖔ
          ["ng"], # ᖕ
          ["nng"], # ᖖ
          ["she"], # ᖗ
          ["shi"], # ᖘ
          ["sho"], # ᖙ
          ["sha"], # ᖚ
          ["the"], # ᖛ
          ["thi"], # ᖜ
          ["tho"], # ᖝ
          ["tha"], # ᖞ
          ["th"], # ᖟ
          ["lhi"], # ᖠ
          ["lhii"], # ᖡ
          ["lho"], # ᖢ
          ["lhoo"], # ᖣ
          ["lha"], # ᖤ
          ["lhaa"], # ᖥ
          ["lh"], # ᖦ
          ["the"], # ᖧ
          ["thi"], # ᖨ
          ["thii"], # ᖩ
          ["tho"], # ᖪ
          ["thoo"], # ᖫ
          ["tha"], # ᖬ
          ["thaa"], # ᖭ
          ["th"], # ᖮ
          ["b"], # ᖯ
          ["e"], # ᖰ
          ["i"], # ᖱ
          ["o"], # ᖲ
          ["a"], # ᖳ
          ["we"], # ᖴ
          ["wi"], # ᖵ
          ["wo"], # ᖶ
          ["wa"], # ᖷ
          ["ne"], # ᖸ
          ["ni"], # ᖹ
          ["no"], # ᖺ
          ["na"], # ᖻ
          ["ke"], # ᖼ
          ["ki"], # ᖽ
          ["ko"], # ᖾ
          ["ka"], # ᖿ
          ["he"], # ᗀ
          ["hi"], # ᗁ
          ["ho"], # ᗂ
          ["ha"], # ᗃ
          ["ghu"], # ᗄ
          ["gho"], # ᗅ
          ["ghe"], # ᗆ
          ["ghee"], # ᗇ
          ["ghi"], # ᗈ
          ["gha"], # ᗉ
          ["ru"], # ᗊ
          ["ro"], # ᗋ
          ["re"], # ᗌ
          ["ree"], # ᗍ
          ["ri"], # ᗎ
          ["ra"], # ᗏ
          ["wu"], # ᗐ
          ["wo"], # ᗑ
          ["we"], # ᗒ
          ["wee"], # ᗓ
          ["wi"], # ᗔ
          ["wa"], # ᗕ
          ["hwu"], # ᗖ
          ["hwo"], # ᗗ
          ["hwe"], # ᗘ
          ["hwee"], # ᗙ
          ["hwi"], # ᗚ
          ["hwa"], # ᗛ
          ["thu"], # ᗜ
          ["tho"], # ᗝ
          ["the"], # ᗞ
          ["thee"], # ᗟ
          ["thi"], # ᗠ
          ["tha"], # ᗡ
          ["ttu"], # ᗢ
          ["tto"], # ᗣ
          ["tte"], # ᗤ
          ["ttee"], # ᗥ
          ["tti"], # ᗦ
          ["tta"], # ᗧ
          ["pu"], # ᗨ
          ["po"], # ᗩ
          ["pe"], # ᗪ
          ["pee"], # ᗫ
          ["pi"], # ᗬ
          ["pa"], # ᗭ
          ["p"], # ᗮ
          ["gu"], # ᗯ
          ["go"], # ᗰ
          ["ge"], # ᗱ
          ["gee"], # ᗲ
          ["gi"], # ᗳ
          ["ga"], # ᗴ
          ["khu"], # ᗵ
          ["kho"], # ᗶ
          ["khe"], # ᗷ
          ["khee"], # ᗸ
          ["khi"], # ᗹ
          ["kha"], # ᗺ
          ["kku"], # ᗻ
          ["kko"], # ᗼ
          ["kke"], # ᗽ
          ["kkee"], # ᗾ
          ["kki"] # ᗿ
        ],
        [
          ["kka"], # ᘀ
          ["kk"], # ᘁ
          ["nu"], # ᘂ
          ["no"], # ᘃ
          ["ne"], # ᘄ
          ["nee"], # ᘅ
          ["ni"], # ᘆ
          ["na"], # ᘇ
          ["mu"], # ᘈ
          ["mo"], # ᘉ
          ["me"], # ᘊ
          ["mee"], # ᘋ
          ["mi"], # ᘌ
          ["ma"], # ᘍ
          ["yu"], # ᘎ
          ["yo"], # ᘏ
          ["ye"], # ᘐ
          ["yee"], # ᘑ
          ["yi"], # ᘒ
          ["ya"], # ᘓ
          ["ju"], # ᘔ
          ["ju"], # ᘕ
          ["jo"], # ᘖ
          ["je"], # ᘗ
          ["jee"], # ᘘ
          ["ji"], # ᘙ
          ["ji"], # ᘚ
          ["ja"], # ᘛ
          ["jju"], # ᘜ
          ["jjo"], # ᘝ
          ["jje"], # ᘞ
          ["jjee"], # ᘟ
          ["jji"], # ᘠ
          ["jja"], # ᘡ
          ["lu"], # ᘢ
          ["lo"], # ᘣ
          ["le"], # ᘤ
          ["lee"], # ᘥ
          ["li"], # ᘦ
          ["la"], # ᘧ
          ["dlu"], # ᘨ
          ["dlo"], # ᘩ
          ["dle"], # ᘪ
          ["dlee"], # ᘫ
          ["dli"], # ᘬ
          ["dla"], # ᘭ
          ["lhu"], # ᘮ
          ["lho"], # ᘯ
          ["lhe"], # ᘰ
          ["lhee"], # ᘱ
          ["lhi"], # ᘲ
          ["lha"], # ᘳ
          ["tlhu"], # ᘴ
          ["tlho"], # ᘵ
          ["tlhe"], # ᘶ
          ["tlhee"], # ᘷ
          ["tlhi"], # ᘸ
          ["tlha"], # ᘹ
          ["tlu"], # ᘺ
          ["tlo"], # ᘻ
          ["tle"], # ᘼ
          ["tlee"], # ᘽ
          ["tli"], # ᘾ
          ["tla"], # ᘿ
          ["zu"], # ᙀ
          ["zo"], # ᙁ
          ["ze"], # ᙂ
          ["zee"], # ᙃ
          ["zi"], # ᙄ
          ["za"], # ᙅ
          ["z"], # ᙆ
          ["z"], # ᙇ
          ["dzu"], # ᙈ
          ["dzo"], # ᙉ
          ["dze"], # ᙊ
          ["dzee"], # ᙋ
          ["dzi"], # ᙌ
          ["dza"], # ᙍ
          ["su"], # ᙎ
          ["so"], # ᙏ
          ["se"], # ᙐ
          ["see"], # ᙑ
          ["si"], # ᙒ
          ["sa"], # ᙓ
          ["shu"], # ᙔ
          ["sho"], # ᙕ
          ["she"], # ᙖ
          ["shee"], # ᙗ
          ["shi"], # ᙘ
          ["sha"], # ᙙ
          ["sh"], # ᙚ
          ["tsu"], # ᙛ
          ["tso"], # ᙜ
          ["tse"], # ᙝ
          ["tsee"], # ᙞ
          ["tsi"], # ᙟ
          ["tsa"], # ᙠ
          ["chu"], # ᙡ
          ["cho"], # ᙢ
          ["che"], # ᙣ
          ["chee"], # ᙤ
          ["chi"], # ᙥ
          ["cha"], # ᙦ
          ["ttsu"], # ᙧ
          ["ttso"], # ᙨ
          ["ttse"], # ᙩ
          ["ttsee"], # ᙪ
          ["ttsi"], # ᙫ
          ["ttsa"], # ᙬ
          ["X"], # ᙭
          ["."], # ᙮
          ["qai"], # ᙯ
          ["ngai"], # ᙰ
          ["nngi"], # ᙱ
          ["nngii"], # ᙲ
          ["nngo"], # ᙳ
          ["nngoo"], # ᙴ
          ["nnga"], # ᙵ
          ["nngaa"], # ᙶ
          nil, # ᙷ
          nil, # ᙸ
          nil, # ᙹ
          nil, # ᙺ
          nil, # ᙻ
          nil, # ᙼ
          nil, # ᙽ
          nil, # ᙾ
          nil, # ᙿ
          [" "], #  
          ["b"], # ᚁ
          ["l"], # ᚂ
          ["f"], # ᚃ
          ["s"], # ᚄ
          ["n"], # ᚅ
          ["h"], # ᚆ
          ["d"], # ᚇ
          ["t"], # ᚈ
          ["c"], # ᚉ
          ["q"], # ᚊ
          ["m"], # ᚋ
          ["g"], # ᚌ
          ["ng"], # ᚍ
          ["z"], # ᚎ
          ["r"], # ᚏ
          ["a"], # ᚐ
          ["o"], # ᚑ
          ["u"], # ᚒ
          ["e"], # ᚓ
          ["i"], # ᚔ
          ["ch"], # ᚕ
          ["th"], # ᚖ
          ["ph"], # ᚗ
          ["p"], # ᚘ
          ["x"], # ᚙ
          ["p"], # ᚚ
          ["<"], # ᚛
          [">"], # ᚜
          nil, # ᚝
          nil, # ᚞
          nil, # ᚟
          ["f"], # ᚠ
          ["v"], # ᚡ
          ["u"], # ᚢ
          ["yr"], # ᚣ
          ["y"], # ᚤ
          ["w"], # ᚥ
          ["th"], # ᚦ
          ["th"], # ᚧ
          ["a"], # ᚨ
          ["o"], # ᚩ
          ["ac"], # ᚪ
          ["ae"], # ᚫ
          ["o"], # ᚬ
          ["o"], # ᚭ
          ["o"], # ᚮ
          ["oe"], # ᚯ
          ["on"], # ᚰ
          ["r"], # ᚱ
          ["k"], # ᚲ
          ["c"], # ᚳ
          ["k"], # ᚴ
          ["g"], # ᚵ
          ["ng"], # ᚶ
          ["g"], # ᚷ
          ["g"], # ᚸ
          ["w"], # ᚹ
          ["h"], # ᚺ
          ["h"], # ᚻ
          ["h"], # ᚼ
          ["h"], # ᚽ
          ["n"], # ᚾ
          ["n"], # ᚿ
          ["n"], # ᛀ
          ["i"], # ᛁ
          ["e"], # ᛂ
          ["j"], # ᛃ
          ["g"], # ᛄ
          ["ae"], # ᛅ
          ["a"], # ᛆ
          ["eo"], # ᛇ
          ["p"], # ᛈ
          ["z"], # ᛉ
          ["s"], # ᛊ
          ["s"], # ᛋ
          ["s"], # ᛌ
          ["c"], # ᛍ
          ["z"], # ᛎ
          ["t"], # ᛏ
          ["t"], # ᛐ
          ["d"], # ᛑ
          ["b"], # ᛒ
          ["b"], # ᛓ
          ["p"], # ᛔ
          ["p"], # ᛕ
          ["e"], # ᛖ
          ["m"], # ᛗ
          ["m"], # ᛘ
          ["m"], # ᛙ
          ["l"], # ᛚ
          ["l"], # ᛛ
          ["ng"], # ᛜ
          ["ng"], # ᛝ
          ["d"], # ᛞ
          ["o"], # ᛟ
          ["ear"], # ᛠ
          ["ior"], # ᛡ
          ["qu"], # ᛢ
          ["qu"], # ᛣ
          ["qu"], # ᛤ
          ["s"], # ᛥ
          ["yr"], # ᛦ
          ["yr"], # ᛧ
          ["yr"], # ᛨ
          ["q"], # ᛩ
          ["x"], # ᛪ
          ["."], # ᛫
          [":"], # ᛬
          ["+"], # ᛭
          ["17"], # ᛮ
          ["18"], # ᛯ
          ["19"], # ᛰ
          nil, # ᛱ
          nil, # ᛲ
          nil, # ᛳ
          nil, # ᛴ
          nil, # ᛵ
          nil, # ᛶ
          nil, # ᛷ
          nil, # ᛸ
          nil, # ᛹
          nil, # ᛺
          nil, # ᛻
          nil, # ᛼
          nil, # ᛽
          nil, # ᛾
          nil # ᛿
        ],
        [
          nil, # ᜀ
          nil, # ᜁ
          nil, # ᜂ
          nil, # ᜃ
          nil, # ᜄ
          nil, # ᜅ
          nil, # ᜆ
          nil, # ᜇ
          nil, # ᜈ
          nil, # ᜉ
          nil, # ᜊ
          nil, # ᜋ
          nil, # ᜌ
          nil, # ᜍ
          nil, # ᜎ
          nil, # ᜏ
          nil, # ᜐ
          nil, # ᜑ
          nil, # ᜒ
          nil, # ᜓ
          nil, # ᜔
          nil, # ᜕
          nil, # ᜖
          nil, # ᜗
          nil, # ᜘
          nil, # ᜙
          nil, # ᜚
          nil, # ᜛
          nil, # ᜜
          nil, # ᜝
          nil, # ᜞
          nil, # ᜟ
          nil, # ᜠ
          nil, # ᜡ
          nil, # ᜢ
          nil, # ᜣ
          nil, # ᜤ
          nil, # ᜥ
          nil, # ᜦ
          nil, # ᜧ
          nil, # ᜨ
          nil, # ᜩ
          nil, # ᜪ
          nil, # ᜫ
          nil, # ᜬ
          nil, # ᜭ
          nil, # ᜮ
          nil, # ᜯ
          nil, # ᜰ
          nil, # ᜱ
          nil, # ᜲ
          nil, # ᜳ
          nil, # ᜴
          nil, # ᜵
          nil, # ᜶
          nil, # ᜷
          nil, # ᜸
          nil, # ᜹
          nil, # ᜺
          nil, # ᜻
          nil, # ᜼
          nil, # ᜽
          nil, # ᜾
          nil, # ᜿
          nil, # ᝀ
          nil, # ᝁ
          nil, # ᝂ
          nil, # ᝃ
          nil, # ᝄ
          nil, # ᝅ
          nil, # ᝆ
          nil, # ᝇ
          nil, # ᝈ
          nil, # ᝉ
          nil, # ᝊ
          nil, # ᝋ
          nil, # ᝌ
          nil, # ᝍ
          nil, # ᝎ
          nil, # ᝏ
          nil, # ᝐ
          nil, # ᝑ
          nil, # ᝒ
          nil, # ᝓ
          nil, # ᝔
          nil, # ᝕
          nil, # ᝖
          nil, # ᝗
          nil, # ᝘
          nil, # ᝙
          nil, # ᝚
          nil, # ᝛
          nil, # ᝜
          nil, # ᝝
          nil, # ᝞
          nil, # ᝟
          nil, # ᝠ
          nil, # ᝡ
          nil, # ᝢ
          nil, # ᝣ
          nil, # ᝤ
          nil, # ᝥ
          nil, # ᝦ
          nil, # ᝧ
          nil, # ᝨ
          nil, # ᝩ
          nil, # ᝪ
          nil, # ᝫ
          nil, # ᝬ
          nil, # ᝭
          nil, # ᝮ
          nil, # ᝯ
          nil, # ᝰ
          nil, # ᝱
          nil, # ᝲ
          nil, # ᝳ
          nil, # ᝴
          nil, # ᝵
          nil, # ᝶
          nil, # ᝷
          nil, # ᝸
          nil, # ᝹
          nil, # ᝺
          nil, # ᝻
          nil, # ᝼
          nil, # ᝽
          nil, # ᝾
          nil, # ᝿
          ["k"], # ក
          ["kh"], # ខ
          ["g"], # គ
          ["gh"], # ឃ
          ["ng"], # ង
          ["c"], # ច
          ["ch"], # ឆ
          ["j"], # ជ
          ["jh"], # ឈ
          ["ny"], # ញ
          ["t"], # ដ
          ["tth"], # ឋ
          ["d"], # ឌ
          ["ddh"], # ឍ
          ["nn"], # ណ
          ["t"], # ត
          ["th"], # ថ
          ["d"], # ទ
          ["dh"], # ធ
          ["n"], # ន
          ["p"], # ប
          ["ph"], # ផ
          ["b"], # ព
          ["bh"], # ភ
          ["m"], # ម
          ["y"], # យ
          ["r"], # រ
          ["l"], # ល
          ["v"], # វ
          ["sh"], # ឝ
          ["ss"], # ឞ
          ["s"], # ស
          ["h"], # ហ
          ["l"], # ឡ
          ["q"], # អ
          ["a"], # ឣ
          ["aa"], # ឤ
          ["i"], # ឥ
          ["ii"], # ឦ
          ["u"], # ឧ
          ["uk"], # ឨ
          ["uu"], # ឩ
          ["uuv"], # ឪ
          ["ry"], # ឫ
          ["ryy"], # ឬ
          ["ly"], # ឭ
          ["lyy"], # ឮ
          ["e"], # ឯ
          ["ai"], # ឰ
          ["oo"], # ឱ
          ["oo"], # ឲ
          ["au"], # ឳ
          ["a"], # ឴
          ["aa"], # ឵
          ["aa"], # ា
          ["i"], # ិ
          ["ii"], # ី
          ["y"], # ឹ
          ["yy"], # ឺ
          ["u"], # ុ
          ["uu"], # ូ
          ["ua"], # ួ
          ["oe"], # ើ
          ["ya"], # ឿ
          ["ie"], # ៀ
          ["e"], # េ
          ["ae"], # ែ
          ["ai"], # ៃ
          ["oo"], # ោ
          ["au"], # ៅ
          ["M"], # ំ
          ["H"], # ះ
          ["a`"], # ៈ
          nil, # ៉
          nil, # ៊
          nil, # ់
          ["r"], # ៌
          nil, # ៍
          ["!"], # ៎
          nil, # ៏
          nil, # ័
          nil, # ៑
          nil, # ្
          nil, # ៓
          ["."], # ។
          [" // "], # ៕
          [":"], # ៖
          ["+"], # ៗ
          ["++"], # ៘
          [" * "], # ៙
          [" /// "], # ៚
          ["KR"], # ៛
          ["'"], # ៜ
          nil, # ៝
          nil, # ៞
          nil, # ៟
          ["0"], # ០
          ["1"], # ១
          ["2"], # ២
          ["3"], # ៣
          ["4"], # ៤
          ["5"], # ៥
          ["6"], # ៦
          ["7"], # ៧
          ["8"], # ៨
          ["9"], # ៩
          nil, # ៪
          nil, # ៫
          nil, # ៬
          nil, # ៭
          nil, # ៮
          nil, # ៯
          nil, # ៰
          nil, # ៱
          nil, # ៲
          nil, # ៳
          nil, # ៴
          nil, # ៵
          nil, # ៶
          nil, # ៷
          nil, # ៸
          nil, # ៹
          nil, # ៺
          nil, # ៻
          nil, # ៼
          nil, # ៽
          nil, # ៾
          nil # ៿
        ],
        [
          [" @ "], # ᠀
          [" ... "], # ᠁
          [", "], # ᠂
          [". "], # ᠃
          [": "], # ᠄
          [" // "], # ᠅
          nil, # ᠆
          ["-"], # ᠇
          [", "], # ᠈
          [". "], # ᠉
          nil, # ᠊
          nil, # ᠋
          nil, # ᠌
          nil, # ᠍
          nil, # ᠎
          nil, # ᠏
          ["0"], # ᠐
          ["1"], # ᠑
          ["2"], # ᠒
          ["3"], # ᠓
          ["4"], # ᠔
          ["5"], # ᠕
          ["6"], # ᠖
          ["7"], # ᠗
          ["8"], # ᠘
          ["9"], # ᠙
          nil, # ᠚
          nil, # ᠛
          nil, # ᠜
          nil, # ᠝
          nil, # ᠞
          nil, # ᠟
          ["a"], # ᠠ
          ["e"], # ᠡ
          ["i"], # ᠢ
          ["o"], # ᠣ
          ["u"], # ᠤ
          ["O"], # ᠥ
          ["U"], # ᠦ
          ["ee"], # ᠧ
          ["n"], # ᠨ
          ["ng"], # ᠩ
          ["b"], # ᠪ
          ["p"], # ᠫ
          ["q"], # ᠬ
          ["g"], # ᠭ
          ["m"], # ᠮ
          ["l"], # ᠯ
          ["s"], # ᠰ
          ["sh"], # ᠱ
          ["t"], # ᠲ
          ["d"], # ᠳ
          ["ch"], # ᠴ
          ["j"], # ᠵ
          ["y"], # ᠶ
          ["r"], # ᠷ
          ["w"], # ᠸ
          ["f"], # ᠹ
          ["k"], # ᠺ
          ["kha"], # ᠻ
          ["ts"], # ᠼ
          ["z"], # ᠽ
          ["h"], # ᠾ
          ["zr"], # ᠿ
          ["lh"], # ᡀ
          ["zh"], # ᡁ
          ["ch"], # ᡂ
          ["-"], # ᡃ
          ["e"], # ᡄ
          ["i"], # ᡅ
          ["o"], # ᡆ
          ["u"], # ᡇ
          ["O"], # ᡈ
          ["U"], # ᡉ
          ["ng"], # ᡊ
          ["b"], # ᡋ
          ["p"], # ᡌ
          ["q"], # ᡍ
          ["g"], # ᡎ
          ["m"], # ᡏ
          ["t"], # ᡐ
          ["d"], # ᡑ
          ["ch"], # ᡒ
          ["j"], # ᡓ
          ["ts"], # ᡔ
          ["y"], # ᡕ
          ["w"], # ᡖ
          ["k"], # ᡗ
          ["g"], # ᡘ
          ["h"], # ᡙ
          ["jy"], # ᡚ
          ["ny"], # ᡛ
          ["dz"], # ᡜ
          ["e"], # ᡝ
          ["i"], # ᡞ
          ["iy"], # ᡟ
          ["U"], # ᡠ
          ["u"], # ᡡ
          ["ng"], # ᡢ
          ["k"], # ᡣ
          ["g"], # ᡤ
          ["h"], # ᡥ
          ["p"], # ᡦ
          ["sh"], # ᡧ
          ["t"], # ᡨ
          ["d"], # ᡩ
          ["j"], # ᡪ
          ["f"], # ᡫ
          ["g"], # ᡬ
          ["h"], # ᡭ
          ["ts"], # ᡮ
          ["z"], # ᡯ
          ["r"], # ᡰ
          ["ch"], # ᡱ
          ["zh"], # ᡲ
          ["i"], # ᡳ
          ["k"], # ᡴ
          ["r"], # ᡵ
          ["f"], # ᡶ
          ["zh"], # ᡷ
          nil, # ᡸ
          nil, # ᡹
          nil, # ᡺
          nil, # ᡻
          nil, # ᡼
          nil, # ᡽
          nil, # ᡾
          nil, # ᡿
          nil, # ᢀ
          ["H"], # ᢁ
          ["X"], # ᢂ
          ["W"], # ᢃ
          ["M"], # ᢄ
          [" 3 "], # ᢅ
          [" 333 "], # ᢆ
          ["a"], # ᢇ
          ["i"], # ᢈ
          ["k"], # ᢉ
          ["ng"], # ᢊ
          ["c"], # ᢋ
          ["tt"], # ᢌ
          ["tth"], # ᢍ
          ["dd"], # ᢎ
          ["nn"], # ᢏ
          ["t"], # ᢐ
          ["d"], # ᢑ
          ["p"], # ᢒ
          ["ph"], # ᢓ
          ["ss"], # ᢔ
          ["zh"], # ᢕ
          ["z"], # ᢖ
          ["a"], # ᢗ
          ["t"], # ᢘ
          ["zh"], # ᢙ
          ["gh"], # ᢚ
          ["ng"], # ᢛ
          ["c"], # ᢜ
          ["jh"], # ᢝ
          ["tta"], # ᢞ
          ["ddh"], # ᢟ
          ["t"], # ᢠ
          ["dh"], # ᢡ
          ["ss"], # ᢢ
          ["cy"], # ᢣ
          ["zh"], # ᢤ
          ["z"], # ᢥ
          ["u"], # ᢦ
          ["y"], # ᢧ
          ["bh"], # ᢨ
          ["'"], # ᢩ
          nil, # ᢪ
          nil, # ᢫
          nil, # ᢬
          nil, # ᢭
          nil, # ᢮
          nil, # ᢯
          nil, # ᢰ
          nil, # ᢱ
          nil, # ᢲ
          nil, # ᢳ
          nil, # ᢴ
          nil, # ᢵ
          nil, # ᢶ
          nil, # ᢷ
          nil, # ᢸ
          nil, # ᢹ
          nil, # ᢺ
          nil, # ᢻ
          nil, # ᢼ
          nil, # ᢽ
          nil, # ᢾ
          nil, # ᢿ
          nil, # ᣀ
          nil, # ᣁ
          nil, # ᣂ
          nil, # ᣃ
          nil, # ᣄ
          nil, # ᣅ
          nil, # ᣆ
          nil, # ᣇ
          nil, # ᣈ
          nil, # ᣉ
          nil, # ᣊ
          nil, # ᣋ
          nil, # ᣌ
          nil, # ᣍ
          nil, # ᣎ
          nil, # ᣏ
          nil, # ᣐ
          nil, # ᣑ
          nil, # ᣒ
          nil, # ᣓ
          nil, # ᣔ
          nil, # ᣕ
          nil, # ᣖ
          nil, # ᣗ
          nil, # ᣘ
          nil, # ᣙ
          nil, # ᣚ
          nil, # ᣛ
          nil, # ᣜ
          nil, # ᣝ
          nil, # ᣞ
          nil, # ᣟ
          nil, # ᣠ
          nil, # ᣡ
          nil, # ᣢ
          nil, # ᣣ
          nil, # ᣤ
          nil, # ᣥ
          nil, # ᣦ
          nil, # ᣧ
          nil, # ᣨ
          nil, # ᣩ
          nil, # ᣪ
          nil, # ᣫ
          nil, # ᣬ
          nil, # ᣭ
          nil, # ᣮ
          nil, # ᣯ
          nil, # ᣰ
          nil, # ᣱ
          nil, # ᣲ
          nil, # ᣳ
          nil, # ᣴ
          nil, # ᣵ
          nil, # ᣶
          nil, # ᣷
          nil, # ᣸
          nil, # ᣹
          nil, # ᣺
          nil, # ᣻
          nil, # ᣼
          nil, # ᣽
          nil, # ᣾
          nil # ᣿
        ],
        nil,
        nil,
        nil,
        nil,
        nil,
        [
          ["A", "A"], # Ḁ
          ["a", "a"], # ḁ
          ["B", "B"], # Ḃ
          ["b", "b"], # ḃ
          ["B", "B"], # Ḅ
          ["b", "b"], # ḅ
          ["B", "B"], # Ḇ
          ["b", "b"], # ḇ
          ["C", "C"], # Ḉ
          ["c", "c"], # ḉ
          ["D", "D"], # Ḋ
          ["d", "d"], # ḋ
          ["D", "D"], # Ḍ
          ["d", "d"], # ḍ
          ["D", "D"], # Ḏ
          ["d", "d"], # ḏ
          ["D", "D"], # Ḑ
          ["d", "d"], # ḑ
          ["D", "D"], # Ḓ
          ["d", "d"], # ḓ
          ["E", "E"], # Ḕ
          ["e", "e"], # ḕ
          ["E", "E"], # Ḗ
          ["e", "e"], # ḗ
          ["E", "E"], # Ḙ
          ["e", "e"], # ḙ
          ["E", "E"], # Ḛ
          ["e", "e"], # ḛ
          ["E", "E"], # Ḝ
          ["e", "e"], # ḝ
          ["F", "F"], # Ḟ
          ["f", "f"], # ḟ
          ["G", "G"], # Ḡ
          ["g", "g"], # ḡ
          ["H", "H"], # Ḣ
          ["h", "h"], # ḣ
          ["H", "H"], # Ḥ
          ["h"], # ḥ
          ["H", "H"], # Ḧ
          ["h", "h"], # ḧ
          ["H", "H"], # Ḩ
          ["h", "h"], # ḩ
          ["H", "H"], # Ḫ
          ["h", "h"], # ḫ
          ["I", "I"], # Ḭ
          ["i", "i"], # ḭ
          ["I", "I"], # Ḯ
          ["i", "i"], # ḯ
          ["K", "K"], # Ḱ
          ["k", "k"], # ḱ
          ["K", "K"], # Ḳ
          ["k", "k"], # ḳ
          ["K", "K"], # Ḵ
          ["k"], # ḵ
          ["L", "L"], # Ḷ
          ["l", "l"], # ḷ
          ["L", "L"], # Ḹ
          ["l", "l"], # ḹ
          ["L", "L"], # Ḻ
          ["l", "l"], # ḻ
          ["L", "L"], # Ḽ
          ["l", "l"], # ḽ
          ["M", "M"], # Ḿ
          ["m", "m"], # ḿ
          ["M", "M"], # Ṁ
          ["m", "m"], # ṁ
          ["M", "M"], # Ṃ
          ["m", "m"], # ṃ
          ["N", "N"], # Ṅ
          ["n", "n"], # ṅ
          ["N", "N"], # Ṇ
          ["n", "n"], # ṇ
          ["N", "N"], # Ṉ
          ["n", "n"], # ṉ
          ["N", "N"], # Ṋ
          ["n", "n"], # ṋ
          ["O", "O"], # Ṍ
          ["o", "o"], # ṍ
          ["O", "O"], # Ṏ
          ["o", "o"], # ṏ
          ["O", "O"], # Ṑ
          ["o", "o"], # ṑ
          ["O", "O"], # Ṓ
          ["o", "o"], # ṓ
          ["P", "P"], # Ṕ
          ["p", "p"], # ṕ
          ["P", "P"], # Ṗ
          ["p", "p"], # ṗ
          ["R", "R"], # Ṙ
          ["r", "r"], # ṙ
          ["R", "R"], # Ṛ
          ["r", "r"], # ṛ
          ["R", "R"], # Ṝ
          ["r", "r"], # ṝ
          ["R", "R"], # Ṟ
          ["r", "r"], # ṟ
          ["S", "S"], # Ṡ
          ["s", "s"], # ṡ
          ["S", "S"], # Ṣ
          ["s", "s"], # ṣ
          ["S", "S"], # Ṥ
          ["s", "s"], # ṥ
          ["S", "S"], # Ṧ
          ["s", "s"], # ṧ
          ["S", "S"], # Ṩ
          ["s", "s"], # ṩ
          ["T", "T"], # Ṫ
          ["t", "t"], # ṫ
          ["T", "T"], # Ṭ
          ["t", "t"], # ṭ
          ["T", "T"], # Ṯ
          ["t", "t"], # ṯ
          ["T", "T"], # Ṱ
          ["t", "t"], # ṱ
          ["U", "U"], # Ṳ
          ["u", "u"], # ṳ
          ["U", "U"], # Ṵ
          ["u", "u"], # ṵ
          ["U", "U"], # Ṷ
          ["u", "u"], # ṷ
          ["U", "U"], # Ṹ
          ["u", "u"], # ṹ
          ["U", "U"], # Ṻ
          ["u", "u"], # ṻ
          ["V", "V"], # Ṽ
          ["v", "v"], # ṽ
          ["V", "V"], # Ṿ
          ["v", "v"], # ṿ
          ["W", "W"], # Ẁ
          ["w", "w"], # ẁ
          ["W", "W"], # Ẃ
          ["w", "w"], # ẃ
          ["W", "W"], # Ẅ
          ["w", "w"], # ẅ
          ["W", "W"], # Ẇ
          ["w", "w"], # ẇ
          ["W", "W"], # Ẉ
          ["w", "w"], # ẉ
          ["X", "X"], # Ẋ
          ["x", "x"], # ẋ
          ["X", "X"], # Ẍ
          ["x", "x"], # ẍ
          ["Y", "Y"], # Ẏ
          ["y", "y"], # ẏ
          ["Z", "Z"], # Ẑ
          ["z", "z"], # ẑ
          ["Z", "Z"], # Ẓ
          ["z", "z"], # ẓ
          ["Z", "Z"], # Ẕ
          ["z", "z"], # ẕ
          ["h", "h"], # ẖ
          ["t", "t"], # ẗ
          ["w", "w"], # ẘ
          ["y", "y"], # ẙ
          ["a", "a"], # ẚ
          ["S", "T"], # ẛ
          nil, # ẜ
          nil, # ẝ
          nil, # ẞ
          nil, # ẟ
          ["A", "A"], # Ạ
          ["a", "a"], # ạ
          ["A", "A"], # Ả
          ["a", "a"], # ả
          ["A", "A"], # Ấ
          ["a", "a"], # ấ
          ["A", "A"], # Ầ
          ["a", "a"], # ầ
          ["A", "A"], # Ẩ
          ["a", "a"], # ẩ
          ["A", "A"], # Ẫ
          ["a", "a"], # ẫ
          ["A", "A"], # Ậ
          ["a", "a"], # ậ
          ["A", "A"], # Ắ
          ["a", "a"], # ắ
          ["A", "A"], # Ằ
          ["a", "a"], # ằ
          ["A", "A"], # Ẳ
          ["a", "a"], # ẳ
          ["A", "A"], # Ẵ
          ["a", "a"], # ẵ
          ["A", "A"], # Ặ
          ["a", "a"], # ặ
          ["E", "E"], # Ẹ
          ["e", "e"], # ẹ
          ["E", "E"], # Ẻ
          ["e", "e"], # ẻ
          ["E", "E"], # Ẽ
          ["e", "e"], # ẽ
          ["E", "E"], # Ế
          ["e", "e"], # ế
          ["E", "E"], # Ề
          ["e", "e"], # ề
          ["E", "E"], # Ể
          ["e", "e"], # ể
          ["E", "E"], # Ễ
          ["e", "e"], # ễ
          ["E", "E"], # Ệ
          ["e", "e"], # ệ
          ["I", "I"], # Ỉ
          ["i", "i"], # ỉ
          ["I", "I"], # Ị
          ["i"], # ị
          ["O", "O"], # Ọ
          ["o", "o"], # ọ
          ["O", "O"], # Ỏ
          ["o", "o"], # ỏ
          ["O", "O"], # Ố
          ["o", "o"], # ố
          ["O", "O"], # Ồ
          ["o", "o"], # ồ
          ["O", "O"], # Ổ
          ["o", "o"], # ổ
          ["O", "O"], # Ỗ
          ["o", "o"], # ỗ
          ["O", "O"], # Ộ
          ["o", "o"], # ộ
          ["O", "O"], # Ớ
          ["o", "o"], # ớ
          ["O", "O"], # Ờ
          ["o", "o"], # ờ
          ["O", "O"], # Ở
          ["o", "o"], # ở
          ["O", "O"], # Ỡ
          ["o", "o"], # ỡ
          ["O", "O"], # Ợ
          ["o", "o"], # ợ
          ["U", "U"], # Ụ
          ["u", "u"], # ụ
          ["U", "U"], # Ủ
          ["u", "u"], # ủ
          ["U", "U"], # Ứ
          ["u", "u"], # ứ
          ["U", "U"], # Ừ
          ["u", "u"], # ừ
          ["U", "U"], # Ử
          ["u", "u"], # ử
          ["U", "U"], # Ữ
          ["u", "u"], # ữ
          ["U", "U"], # Ự
          ["u", "u"], # ự
          ["Y", "Y"], # Ỳ
          ["y", "y"], # ỳ
          ["Y", "Y"], # Ỵ
          ["y", "y"], # ỵ
          ["Y", "Y"], # Ỷ
          ["y", "y"], # ỷ
          ["Y", "Y"], # Ỹ
          ["y", "y"], # ỹ
          nil, # Ỻ
          nil, # ỻ
          nil, # Ỽ
          nil, # ỽ
          nil, # Ỿ
          nil # ỿ
        ],
        [
          ["a"], # ἀ
          ["a"], # ἁ
          ["a"], # ἂ
          ["a"], # ἃ
          ["a"], # ἄ
          ["a"], # ἅ
          ["a"], # ἆ
          ["a"], # ἇ
          ["A"], # Ἀ
          ["A"], # Ἁ
          ["A"], # Ἂ
          ["A"], # Ἃ
          ["A"], # Ἄ
          ["A"], # Ἅ
          ["A"], # Ἆ
          ["A"], # Ἇ
          ["e"], # ἐ
          ["e"], # ἑ
          ["e"], # ἒ
          ["e"], # ἓ
          ["e"], # ἔ
          ["e"], # ἕ
          nil, # ἖
          nil, # ἗
          ["E"], # Ἐ
          ["E"], # Ἑ
          ["E"], # Ἒ
          ["E"], # Ἓ
          ["E"], # Ἔ
          ["E"], # Ἕ
          nil, # ἞
          nil, # ἟
          ["e"], # ἠ
          ["e"], # ἡ
          ["e"], # ἢ
          ["e"], # ἣ
          ["e"], # ἤ
          ["e"], # ἥ
          ["e"], # ἦ
          ["e"], # ἧ
          ["E"], # Ἠ
          ["E"], # Ἡ
          ["E"], # Ἢ
          ["E"], # Ἣ
          ["E"], # Ἤ
          ["E"], # Ἥ
          ["E"], # Ἦ
          ["E"], # Ἧ
          ["i"], # ἰ
          ["i"], # ἱ
          ["i"], # ἲ
          ["i"], # ἳ
          ["i"], # ἴ
          ["i"], # ἵ
          ["i"], # ἶ
          ["i"], # ἷ
          ["I"], # Ἰ
          ["I"], # Ἱ
          ["I"], # Ἲ
          ["I"], # Ἳ
          ["I"], # Ἴ
          ["I"], # Ἵ
          ["I"], # Ἶ
          ["I"], # Ἷ
          ["o"], # ὀ
          ["o"], # ὁ
          ["o"], # ὂ
          ["o"], # ὃ
          ["o"], # ὄ
          ["o"], # ὅ
          nil, # ὆
          nil, # ὇
          ["O"], # Ὀ
          ["O"], # Ὁ
          ["O"], # Ὂ
          ["O"], # Ὃ
          ["O"], # Ὄ
          ["O"], # Ὅ
          nil, # ὎
          nil, # ὏
          ["u"], # ὐ
          ["u"], # ὑ
          ["u"], # ὒ
          ["u"], # ὓ
          ["u"], # ὔ
          ["u"], # ὕ
          ["u"], # ὖ
          ["u"], # ὗ
          nil, # ὘
          ["U"], # Ὑ
          nil, # ὚
          ["U"], # Ὓ
          nil, # ὜
          ["U"], # Ὕ
          nil, # ὞
          ["U"], # Ὗ
          ["o"], # ὠ
          ["o"], # ὡ
          ["o"], # ὢ
          ["o"], # ὣ
          ["o"], # ὤ
          ["o"], # ὥ
          ["o"], # ὦ
          ["o"], # ὧ
          ["O"], # Ὠ
          ["O"], # Ὡ
          ["O"], # Ὢ
          ["O"], # Ὣ
          ["O"], # Ὤ
          ["O"], # Ὥ
          ["O"], # Ὦ
          ["O"], # Ὧ
          ["a"], # ὰ
          ["a"], # ά
          ["e"], # ὲ
          ["e"], # έ
          ["e"], # ὴ
          ["e"], # ή
          ["i"], # ὶ
          ["i"], # ί
          ["o"], # ὸ
          ["o"], # ό
          ["u"], # ὺ
          ["u"], # ύ
          ["o"], # ὼ
          ["o"], # ώ
          nil, # ὾
          nil, # ὿
          ["a"], # ᾀ
          ["a"], # ᾁ
          ["a"], # ᾂ
          ["a"], # ᾃ
          ["a"], # ᾄ
          ["a"], # ᾅ
          ["a"], # ᾆ
          ["a"], # ᾇ
          ["A"], # ᾈ
          ["A"], # ᾉ
          ["A"], # ᾊ
          ["A"], # ᾋ
          ["A"], # ᾌ
          ["A"], # ᾍ
          ["A"], # ᾎ
          ["A"], # ᾏ
          ["e"], # ᾐ
          ["e"], # ᾑ
          ["e"], # ᾒ
          ["e"], # ᾓ
          ["e"], # ᾔ
          ["e"], # ᾕ
          ["e"], # ᾖ
          ["e"], # ᾗ
          ["E"], # ᾘ
          ["E"], # ᾙ
          ["E"], # ᾚ
          ["E"], # ᾛ
          ["E"], # ᾜ
          ["E"], # ᾝ
          ["E"], # ᾞ
          ["E"], # ᾟ
          ["o"], # ᾠ
          ["o"], # ᾡ
          ["o"], # ᾢ
          ["o"], # ᾣ
          ["o"], # ᾤ
          ["o"], # ᾥ
          ["o"], # ᾦ
          ["o"], # ᾧ
          ["O"], # ᾨ
          ["O"], # ᾩ
          ["O"], # ᾪ
          ["O"], # ᾫ
          ["O"], # ᾬ
          ["O"], # ᾭ
          ["O"], # ᾮ
          ["O"], # ᾯ
          ["a"], # ᾰ
          ["a"], # ᾱ
          ["a"], # ᾲ
          ["a"], # ᾳ
          ["a"], # ᾴ
          nil, # ᾵
          ["a"], # ᾶ
          ["a"], # ᾷ
          ["A"], # Ᾰ
          ["A"], # Ᾱ
          ["A"], # Ὰ
          ["A"], # Ά
          ["A"], # ᾼ
          ["'"], # ᾽
          ["i"], # ι
          ["'"], # ᾿
          ["~"], # ῀
          ["\"~"], # ῁
          ["e"], # ῂ
          ["e"], # ῃ
          ["e"], # ῄ
          nil, # ῅
          ["e"], # ῆ
          ["e"], # ῇ
          ["E"], # Ὲ
          ["E"], # Έ
          ["E"], # Ὴ
          ["E"], # Ή
          ["E"], # ῌ
          ["'`"], # ῍
          ["''"], # ῎
          ["'~"], # ῏
          ["i"], # ῐ
          ["i"], # ῑ
          ["i"], # ῒ
          ["i"], # ΐ
          nil, # ῔
          nil, # ῕
          ["i"], # ῖ
          ["i"], # ῗ
          ["I"], # Ῐ
          ["I"], # Ῑ
          ["I"], # Ὶ
          ["I"], # Ί
          nil, # ῜
          ["`'"], # ῝
          ["`'"], # ῞
          ["`~"], # ῟
          ["u"], # ῠ
          ["u"], # ῡ
          ["u"], # ῢ
          ["u"], # ΰ
          ["R"], # ῤ
          ["R"], # ῥ
          ["u"], # ῦ
          ["u"], # ῧ
          ["U"], # Ῠ
          ["U"], # Ῡ
          ["U"], # Ὺ
          ["U"], # Ύ
          ["R"], # Ῥ
          ["\"`"], # ῭
          ["\"'"], # ΅
          ["`"], # `
          nil, # ῰
          nil, # ῱
          ["o"], # ῲ
          ["o"], # ῳ
          ["o"], # ῴ
          nil, # ῵
          ["o"], # ῶ
          ["o"], # ῷ
          ["O"], # Ὸ
          ["O"], # Ό
          ["O"], # Ὼ
          ["O"], # Ώ
          ["O"], # ῼ
          ["'"], # ´
          ["`"], # ῾
          nil # ῿
        ],
        [
          [" "], #  
          [" "], #  
          [" ", nil, "ensp"], #  
          [" ", nil, "emsp"], #  
          [" "], #  
          [" "], #  
          [" "], #  
          [" "], #  
          [" "], #  
          [" ", nil, "thinsp"], #  
          [" "], #  
          nil, # ​
          [nil, nil, "zwnj"], # ‌
          [nil, nil, "zwj"], # ‍
          [nil, nil, "lrm"], # ‎
          [nil, nil, "rlm"], # ‏
          ["-"], # ‐
          ["-"], # ‑
          ["-"], # ‒
          ["-", nil, "ndash"], # –
          ["--", nil, "mdash"], # —
          ["--"], # ―
          ["||"], # ‖
          ["_"], # ‗
          ["'", nil, "lsquo"], # ‘
          ["'", nil, "rsquo"], # ’
          [",", nil, "sbquo"], # ‚
          ["'"], # ‛
          ["\"", nil, "ldquo"], # “
          ["\"", nil, "rdquo"], # ”
          [",,", nil, "bdquo"], # „
          ["\""], # ‟
          ["+", nil, "dagger"], # †
          ["++", nil, "Dagger"], # ‡
          ["*", nil, "bull"], # •
          ["*>"], # ‣
          ["."], # ․
          [".."], # ‥
          ["...", nil, "hellip"], # …
          ["."], # ‧
          nil, # 
          nil, # 
          nil, # ‪
          nil, # ‫
          nil, # ‬
          nil, # ‭
          nil, # ‮
          [" "], #  
          ["%0", nil, "permil"], # ‰
          ["%00"], # ‱
          ["'", nil, "prime"], # ′
          ["\"", nil, "Prime"], # ″
          ["'''"], # ‴
          ["`"], # ‵
          ["``"], # ‶
          ["```"], # ‷
          ["^"], # ‸
          ["<", nil, "lsaquo"], # ‹
          [">", nil, "rsaquo"], # ›
          ["*"], # ※
          ["!!"], # ‼
          ["?!"], # ‽
          ["-", nil, "oline"], # ‾
          ["_"], # ‿
          ["-"], # ⁀
          ["^"], # ⁁
          ["***"], # ⁂
          ["--"], # ⁃
          ["/", nil, "frasl"], # ⁄
          ["-["], # ⁅
          ["]-"], # ⁆
          nil, # ⁇
          ["?!"], # ⁈
          ["!?"], # ⁉
          ["7"], # ⁊
          ["PP"], # ⁋
          ["(]"], # ⁌
          ["[)"], # ⁍
          ["*"], # ⁎
          [";"], # ⁏
          nil, # ⁐
          nil, # ⁑
          nil, # ⁒
          ["~"], # ⁓
          nil, # ⁔
          nil, # ⁕
          nil, # ⁖
          nil, # ⁗
          nil, # ⁘
          nil, # ⁙
          nil, # ⁚
          nil, # ⁛
          nil, # ⁜
          nil, # ⁝
          nil, # ⁞
          nil, #  
          nil, # ⁠
          nil, # ⁡
          nil, # ⁢
          nil, # ⁣
          nil, # ⁤
          nil, # ⁥
          nil, # ⁦
          nil, # ⁧
          nil, # ⁨
          nil, # ⁩
          nil, # ⁪
          nil, # ⁫
          nil, # ⁬
          nil, # ⁭
          nil, # ⁮
          nil, # ⁯
          ["0"], # ⁰
          nil, # ⁱ
          nil, # ⁲
          nil, # ⁳
          ["4"], # ⁴
          ["5"], # ⁵
          ["6"], # ⁶
          ["7"], # ⁷
          ["8"], # ⁸
          ["9"], # ⁹
          ["+"], # ⁺
          ["-"], # ⁻
          ["="], # ⁼
          ["("], # ⁽
          [")"], # ⁾
          ["n"], # ⁿ
          ["0"], # ₀
          ["1"], # ₁
          ["2"], # ₂
          ["3"], # ₃
          ["4"], # ₄
          ["5"], # ₅
          ["6"], # ₆
          ["7"], # ₇
          ["8"], # ₈
          ["9"], # ₉
          ["+"], # ₊
          ["-"], # ₋
          ["="], # ₌
          ["("], # ₍
          [")"], # ₎
          nil, # ₏
          nil, # ₐ
          nil, # ₑ
          nil, # ₒ
          nil, # ₓ
          nil, # ₔ
          nil, # ₕ
          nil, # ₖ
          nil, # ₗ
          nil, # ₘ
          nil, # ₙ
          nil, # ₚ
          nil, # ₛ
          nil, # ₜ
          nil, # ₝
          nil, # ₞
          nil, # ₟
          ["ECU"], # ₠
          ["CL"], # ₡
          ["Cr"], # ₢
          ["FF"], # ₣
          ["L"], # ₤
          ["mil"], # ₥
          ["N"], # ₦
          ["Pts"], # ₧
          ["Rs"], # ₨
          ["W"], # ₩
          ["NS"], # ₪
          ["D"], # ₫
          ["EU", nil, "euro"], # €
          ["K"], # ₭
          ["T"], # ₮
          ["Dr"], # ₯
          nil, # ₰
          nil, # ₱
          nil, # ₲
          nil, # ₳
          nil, # ₴
          nil, # ₵
          nil, # ₶
          nil, # ₷
          nil, # ₸
          nil, # ₹
          nil, # ₺
          nil, # ₻
          nil, # ₼
          nil, # ₽
          nil, # ₾
          nil, # ₿
          nil, # ⃀
          nil, # ⃁
          nil, # ⃂
          nil, # ⃃
          nil, # ⃄
          nil, # ⃅
          nil, # ⃆
          nil, # ⃇
          nil, # ⃈
          nil, # ⃉
          nil, # ⃊
          nil, # ⃋
          nil, # ⃌
          nil, # ⃍
          nil, # ⃎
          nil, # ⃏
          nil, # ⃐
          nil, # ⃑
          nil, # ⃒
          nil, # ⃓
          nil, # ⃔
          nil, # ⃕
          nil, # ⃖
          nil, # ⃗
          nil, # ⃘
          nil, # ⃙
          nil, # ⃚
          nil, # ⃛
          nil, # ⃜
          nil, # ⃝
          nil, # ⃞
          nil, # ⃟
          nil, # ⃠
          nil, # ⃡
          nil, # ⃢
          nil, # ⃣
          nil, # ⃤
          nil, # ⃥
          nil, # ⃦
          nil, # ⃧
          nil, # ⃨
          nil, # ⃩
          nil, # ⃪
          nil, # ⃫
          nil, # ⃬
          nil, # ⃭
          nil, # ⃮
          nil, # ⃯
          nil, # ⃰
          nil, # ⃱
          nil, # ⃲
          nil, # ⃳
          nil, # ⃴
          nil, # ⃵
          nil, # ⃶
          nil, # ⃷
          nil, # ⃸
          nil, # ⃹
          nil, # ⃺
          nil, # ⃻
          nil, # ⃼
          nil, # ⃽
          nil, # ⃾
          nil # ⃿
        ],
        [
          nil, # ℀
          nil, # ℁
          ["C"], # ℂ
          nil, # ℃
          nil, # ℄
          nil, # ℅
          nil, # ℆
          ["E"], # ℇ
          nil, # ℈
          nil, # ℉
          nil, # ℊ
          ["H"], # ℋ
          ["H"], # ℌ
          ["H"], # ℍ
          nil, # ℎ
          nil, # ℏ
          ["I"], # ℐ
          ["I", nil, "image"], # ℑ
          ["L"], # ℒ
          nil, # ℓ
          nil, # ℔
          ["N"], # ℕ
          nil, # №
          nil, # ℗
          [nil, nil, "weierp"], # ℘
          ["P"], # ℙ
          ["Q"], # ℚ
          ["R"], # ℛ
          ["R", nil, "real"], # ℜ
          ["R"], # ℝ
          nil, # ℞
          nil, # ℟
          nil, # ℠
          nil, # ℡
          [nil, nil, "trade"], # ™
          nil, # ℣
          ["Z"], # ℤ
          nil, # ℥
          nil, # Ω
          nil, # ℧
          ["Z"], # ℨ
          nil, # ℩
          ["K"], # K
          nil, # Å
          ["B"], # ℬ
          ["C"], # ℭ
          nil, # ℮
          nil, # ℯ
          ["E"], # ℰ
          ["F"], # ℱ
          nil, # Ⅎ
          ["M"], # ℳ
          nil, # ℴ
          [nil, nil, "alefsym"], # ℵ
          nil, # ℶ
          nil, # ℷ
          nil, # ℸ
          nil, # ℹ
          nil, # ℺
          nil, # ℻
          nil, # ℼ
          nil, # ℽ
          nil, # ℾ
          nil, # ℿ
          nil, # ⅀
          nil, # ⅁
          nil, # ⅂
          nil, # ⅃
          nil, # ⅄
          nil, # ⅅ
          nil, # ⅆ
          nil, # ⅇ
          nil, # ⅈ
          nil, # ⅉ
          nil, # ⅊
          nil, # ⅋
          nil, # ⅌
          nil, # ⅍
          nil, # ⅎ
          nil, # ⅏
          nil, # ⅐
          nil, # ⅑
          nil, # ⅒
          [" 1/3 "], # ⅓
          [" 2/3 "], # ⅔
          [" 1/5 "], # ⅕
          [" 2/5 "], # ⅖
          [" 3/5 "], # ⅗
          [" 4/5 "], # ⅘
          [" 1/6 "], # ⅙
          [" 5/6 "], # ⅚
          [" 1/8 "], # ⅛
          [" 3/8 "], # ⅜
          [" 5/8 "], # ⅝
          [" 7/8 "], # ⅞
          [" 1/"], # ⅟
          ["I"], # Ⅰ
          ["II"], # Ⅱ
          ["III"], # Ⅲ
          ["IV"], # Ⅳ
          ["V"], # Ⅴ
          ["VI"], # Ⅵ
          ["VII"], # Ⅶ
          ["VIII"], # Ⅷ
          ["IX"], # Ⅸ
          ["X"], # Ⅹ
          ["XI"], # Ⅺ
          ["XII"], # Ⅻ
          ["L"], # Ⅼ
          ["C"], # Ⅽ
          ["D"], # Ⅾ
          ["M"], # Ⅿ
          ["i"], # ⅰ
          ["ii"], # ⅱ
          ["iii"], # ⅲ
          ["iv"], # ⅳ
          ["v"], # ⅴ
          ["vi"], # ⅵ
          ["vii"], # ⅶ
          ["viii"], # ⅷ
          ["ix"], # ⅸ
          ["x"], # ⅹ
          ["xi"], # ⅺ
          ["xii"], # ⅻ
          ["l"], # ⅼ
          ["c"], # ⅽ
          ["d"], # ⅾ
          ["m"], # ⅿ
          ["(D"], # ↀ
          ["D)"], # ↁ
          ["((|))"], # ↂ
          [")"], # Ↄ
          nil, # ↄ
          nil, # ↅ
          nil, # ↆ
          nil, # ↇ
          nil, # ↈ
          nil, # ↉
          nil, # ↊
          nil, # ↋
          nil, # ↌
          nil, # ↍
          nil, # ↎
          nil, # ↏
          ["-", nil, "larr"], # ←
          ["|", nil, "uarr"], # ↑
          ["-", nil, "rarr"], # →
          ["|", nil, "darr"], # ↓
          ["-", nil, "harr"], # ↔
          ["|"], # ↕
          ["\\"], # ↖
          ["/"], # ↗
          ["\\"], # ↘
          ["/"], # ↙
          ["-"], # ↚
          ["-"], # ↛
          ["~"], # ↜
          ["~"], # ↝
          ["-"], # ↞
          ["|"], # ↟
          ["-"], # ↠
          ["|"], # ↡
          ["-"], # ↢
          ["-"], # ↣
          ["-"], # ↤
          ["|"], # ↥
          ["-"], # ↦
          ["|"], # ↧
          ["|"], # ↨
          ["-"], # ↩
          ["-"], # ↪
          ["-"], # ↫
          ["-"], # ↬
          ["-"], # ↭
          ["-"], # ↮
          ["|"], # ↯
          ["|"], # ↰
          ["|"], # ↱
          ["|"], # ↲
          ["|"], # ↳
          ["|"], # ↴
          ["|", nil, "crarr"], # ↵
          ["^"], # ↶
          ["V"], # ↷
          ["\\"], # ↸
          ["="], # ↹
          ["V"], # ↺
          ["^"], # ↻
          ["-"], # ↼
          ["-"], # ↽
          ["|"], # ↾
          ["|"], # ↿
          ["-"], # ⇀
          ["-"], # ⇁
          ["|"], # ⇂
          ["|"], # ⇃
          ["="], # ⇄
          ["|"], # ⇅
          ["="], # ⇆
          ["="], # ⇇
          ["|"], # ⇈
          ["="], # ⇉
          ["|"], # ⇊
          ["="], # ⇋
          ["="], # ⇌
          ["="], # ⇍
          ["="], # ⇎
          ["="], # ⇏
          ["=", nil, "lArr"], # ⇐
          ["|", nil, "uArr"], # ⇑
          ["=", nil, "rArr"], # ⇒
          ["|", nil, "dArr"], # ⇓
          ["=", nil, "hArr"], # ⇔
          ["|"], # ⇕
          ["\\"], # ⇖
          ["/"], # ⇗
          ["\\"], # ⇘
          ["/"], # ⇙
          ["="], # ⇚
          ["="], # ⇛
          ["~"], # ⇜
          ["~"], # ⇝
          ["|"], # ⇞
          ["|"], # ⇟
          ["-"], # ⇠
          ["|"], # ⇡
          ["-"], # ⇢
          ["|"], # ⇣
          ["-"], # ⇤
          ["-"], # ⇥
          ["-"], # ⇦
          ["|"], # ⇧
          ["-"], # ⇨
          ["|"], # ⇩
          ["|"], # ⇪
          ["|"], # ⇫
          ["|"], # ⇬
          ["|"], # ⇭
          ["|"], # ⇮
          ["|"], # ⇯
          ["-"], # ⇰
          ["\\"], # ⇱
          ["\\"], # ⇲
          ["|"], # ⇳
          nil, # ⇴
          nil, # ⇵
          nil, # ⇶
          nil, # ⇷
          nil, # ⇸
          nil, # ⇹
          nil, # ⇺
          nil, # ⇻
          nil, # ⇼
          nil, # ⇽
          nil, # ⇾
          nil # ⇿
        ],
        [
          [nil, nil, "forall"], # ∀
          nil, # ∁
          [nil, nil, "part"], # ∂
          [nil, nil, "exist"], # ∃
          nil, # ∄
          [nil, nil, "empty"], # ∅
          nil, # ∆
          [nil, nil, "nabla"], # ∇
          [nil, nil, "isin"], # ∈
          [nil, nil, "notin"], # ∉
          nil, # ∊
          [nil, nil, "ni"], # ∋
          nil, # ∌
          nil, # ∍
          nil, # ∎
          [nil, nil, "prod"], # ∏
          nil, # ∐
          [nil, nil, "sum"], # ∑
          ["-", nil, "minus"], # −
          nil, # ∓
          nil, # ∔
          ["/"], # ∕
          ["\\"], # ∖
          ["*", nil, "lowast"], # ∗
          nil, # ∘
          nil, # ∙
          [nil, nil, "radic"], # √
          nil, # ∛
          nil, # ∜
          [nil, nil, "prop"], # ∝
          [nil, nil, "infin"], # ∞
          nil, # ∟
          [nil, nil, "ang"], # ∠
          nil, # ∡
          nil, # ∢
          ["|"], # ∣
          nil, # ∤
          nil, # ∥
          nil, # ∦
          [nil, nil, "and"], # ∧
          [nil, nil, "or"], # ∨
          [nil, nil, "cap"], # ∩
          [nil, nil, "cup"], # ∪
          [nil, nil, "int"], # ∫
          nil, # ∬
          nil, # ∭
          nil, # ∮
          nil, # ∯
          nil, # ∰
          nil, # ∱
          nil, # ∲
          nil, # ∳
          [nil, nil, "there4"], # ∴
          nil, # ∵
          [":"], # ∶
          nil, # ∷
          nil, # ∸
          nil, # ∹
          nil, # ∺
          nil, # ∻
          ["~", nil, "sim"], # ∼
          nil, # ∽
          nil, # ∾
          nil, # ∿
          nil, # ≀
          nil, # ≁
          nil, # ≂
          nil, # ≃
          nil, # ≄
          [nil, nil, "cong"], # ≅
          nil, # ≆
          nil, # ≇
          [nil, nil, "asymp"], # ≈
          nil, # ≉
          nil, # ≊
          nil, # ≋
          nil, # ≌
          nil, # ≍
          nil, # ≎
          nil, # ≏
          nil, # ≐
          nil, # ≑
          nil, # ≒
          nil, # ≓
          nil, # ≔
          nil, # ≕
          nil, # ≖
          nil, # ≗
          nil, # ≘
          nil, # ≙
          nil, # ≚
          nil, # ≛
          nil, # ≜
          nil, # ≝
          nil, # ≞
          nil, # ≟
          [nil, nil, "ne"], # ≠
          [nil, nil, "equiv"], # ≡
          nil, # ≢
          nil, # ≣
          [nil, nil, "le"], # ≤
          [nil, nil, "ge"], # ≥
          nil, # ≦
          nil, # ≧
          nil, # ≨
          nil, # ≩
          nil, # ≪
          nil, # ≫
          nil, # ≬
          nil, # ≭
          nil, # ≮
          nil, # ≯
          nil, # ≰
          nil, # ≱
          nil, # ≲
          nil, # ≳
          nil, # ≴
          nil, # ≵
          nil, # ≶
          nil, # ≷
          nil, # ≸
          nil, # ≹
          nil, # ≺
          nil, # ≻
          nil, # ≼
          nil, # ≽
          nil, # ≾
          nil, # ≿
          nil, # ⊀
          nil, # ⊁
          [nil, nil, "sub"], # ⊂
          [nil, nil, "sup"], # ⊃
          [nil, nil, "nsub"], # ⊄
          nil, # ⊅
          [nil, nil, "sube"], # ⊆
          [nil, nil, "supe"], # ⊇
          nil, # ⊈
          nil, # ⊉
          nil, # ⊊
          nil, # ⊋
          nil, # ⊌
          nil, # ⊍
          nil, # ⊎
          nil, # ⊏
          nil, # ⊐
          nil, # ⊑
          nil, # ⊒
          nil, # ⊓
          nil, # ⊔
          [nil, nil, "oplus"], # ⊕
          nil, # ⊖
          [nil, nil, "otimes"], # ⊗
          nil, # ⊘
          nil, # ⊙
          nil, # ⊚
          nil, # ⊛
          nil, # ⊜
          nil, # ⊝
          nil, # ⊞
          nil, # ⊟
          nil, # ⊠
          nil, # ⊡
          nil, # ⊢
          nil, # ⊣
          nil, # ⊤
          [nil, nil, "perp"], # ⊥
          nil, # ⊦
          nil, # ⊧
          nil, # ⊨
          nil, # ⊩
          nil, # ⊪
          nil, # ⊫
          nil, # ⊬
          nil, # ⊭
          nil, # ⊮
          nil, # ⊯
          nil, # ⊰
          nil, # ⊱
          nil, # ⊲
          nil, # ⊳
          nil, # ⊴
          nil, # ⊵
          nil, # ⊶
          nil, # ⊷
          nil, # ⊸
          nil, # ⊹
          nil, # ⊺
          nil, # ⊻
          nil, # ⊼
          nil, # ⊽
          nil, # ⊾
          nil, # ⊿
          nil, # ⋀
          nil, # ⋁
          nil, # ⋂
          nil, # ⋃
          nil, # ⋄
          [nil, nil, "sdot"], # ⋅
          nil, # ⋆
          nil, # ⋇
          nil, # ⋈
          nil, # ⋉
          nil, # ⋊
          nil, # ⋋
          nil, # ⋌
          nil, # ⋍
          nil, # ⋎
          nil, # ⋏
          nil, # ⋐
          nil, # ⋑
          nil, # ⋒
          nil, # ⋓
          nil, # ⋔
          nil, # ⋕
          nil, # ⋖
          nil, # ⋗
          nil, # ⋘
          nil, # ⋙
          nil, # ⋚
          nil, # ⋛
          nil, # ⋜
          nil, # ⋝
          nil, # ⋞
          nil, # ⋟
          nil, # ⋠
          nil, # ⋡
          nil, # ⋢
          nil, # ⋣
          nil, # ⋤
          nil, # ⋥
          nil, # ⋦
          nil, # ⋧
          nil, # ⋨
          nil, # ⋩
          nil, # ⋪
          nil, # ⋫
          nil, # ⋬
          nil, # ⋭
          nil, # ⋮
          nil, # ⋯
          nil, # ⋰
          nil, # ⋱
          nil, # ⋲
          nil, # ⋳
          nil, # ⋴
          nil, # ⋵
          nil, # ⋶
          nil, # ⋷
          nil, # ⋸
          nil, # ⋹
          nil, # ⋺
          nil, # ⋻
          nil, # ⋼
          nil, # ⋽
          nil, # ⋾
          nil # ⋿
        ],
        [
          nil, # ⌀
          nil, # ⌁
          nil, # ⌂
          ["^"], # ⌃
          nil, # ⌄
          nil, # ⌅
          nil, # ⌆
          nil, # ⌇
          [nil, nil, "lceil"], # ⌈
          [nil, nil, "rceil"], # ⌉
          [nil, nil, "lfloor"], # ⌊
          [nil, nil, "rfloor"], # ⌋
          nil, # ⌌
          nil, # ⌍
          nil, # ⌎
          nil, # ⌏
          nil, # ⌐
          nil, # ⌑
          nil, # ⌒
          nil, # ⌓
          nil, # ⌔
          nil, # ⌕
          nil, # ⌖
          nil, # ⌗
          nil, # ⌘
          nil, # ⌙
          nil, # ⌚
          nil, # ⌛
          nil, # ⌜
          nil, # ⌝
          nil, # ⌞
          nil, # ⌟
          nil, # ⌠
          nil, # ⌡
          nil, # ⌢
          nil, # ⌣
          nil, # ⌤
          nil, # ⌥
          nil, # ⌦
          nil, # ⌧
          nil, # ⌨
          ["<"], # 〈
          [">"], # 〉
          nil, # ⌫
          nil, # ⌬
          nil, # ⌭
          nil, # ⌮
          nil, # ⌯
          nil, # ⌰
          nil, # ⌱
          nil, # ⌲
          nil, # ⌳
          nil, # ⌴
          nil, # ⌵
          nil, # ⌶
          nil, # ⌷
          nil, # ⌸
          nil, # ⌹
          nil, # ⌺
          nil, # ⌻
          nil, # ⌼
          nil, # ⌽
          nil, # ⌾
          nil, # ⌿
          nil, # ⍀
          nil, # ⍁
          nil, # ⍂
          nil, # ⍃
          nil, # ⍄
          nil, # ⍅
          nil, # ⍆
          nil, # ⍇
          nil, # ⍈
          nil, # ⍉
          nil, # ⍊
          nil, # ⍋
          nil, # ⍌
          nil, # ⍍
          nil, # ⍎
          nil, # ⍏
          nil, # ⍐
          nil, # ⍑
          nil, # ⍒
          nil, # ⍓
          nil, # ⍔
          nil, # ⍕
          nil, # ⍖
          nil, # ⍗
          nil, # ⍘
          nil, # ⍙
          nil, # ⍚
          nil, # ⍛
          nil, # ⍜
          nil, # ⍝
          nil, # ⍞
          nil, # ⍟
          nil, # ⍠
          nil, # ⍡
          nil, # ⍢
          nil, # ⍣
          nil, # ⍤
          nil, # ⍥
          nil, # ⍦
          nil, # ⍧
          nil, # ⍨
          nil, # ⍩
          nil, # ⍪
          nil, # ⍫
          nil, # ⍬
          nil, # ⍭
          nil, # ⍮
          nil, # ⍯
          nil, # ⍰
          nil, # ⍱
          nil, # ⍲
          nil, # ⍳
          nil, # ⍴
          nil, # ⍵
          nil, # ⍶
          nil, # ⍷
          nil, # ⍸
          nil, # ⍹
          nil, # ⍺
          nil, # ⍻
          nil, # ⍼
          nil, # ⍽
          nil, # ⍾
          nil, # ⍿
          nil, # ⎀
          nil, # ⎁
          nil, # ⎂
          nil, # ⎃
          nil, # ⎄
          nil, # ⎅
          nil, # ⎆
          nil, # ⎇
          nil, # ⎈
          nil, # ⎉
          nil, # ⎊
          nil, # ⎋
          nil, # ⎌
          nil, # ⎍
          nil, # ⎎
          nil, # ⎏
          nil, # ⎐
          nil, # ⎑
          nil, # ⎒
          nil, # ⎓
          nil, # ⎔
          nil, # ⎕
          nil, # ⎖
          nil, # ⎗
          nil, # ⎘
          nil, # ⎙
          nil, # ⎚
          nil, # ⎛
          nil, # ⎜
          nil, # ⎝
          nil, # ⎞
          nil, # ⎟
          nil, # ⎠
          nil, # ⎡
          nil, # ⎢
          nil, # ⎣
          nil, # ⎤
          nil, # ⎥
          nil, # ⎦
          nil, # ⎧
          nil, # ⎨
          nil, # ⎩
          nil, # ⎪
          nil, # ⎫
          nil, # ⎬
          nil, # ⎭
          nil, # ⎮
          nil, # ⎯
          nil, # ⎰
          nil, # ⎱
          nil, # ⎲
          nil, # ⎳
          nil, # ⎴
          nil, # ⎵
          nil, # ⎶
          nil, # ⎷
          nil, # ⎸
          nil, # ⎹
          nil, # ⎺
          nil, # ⎻
          nil, # ⎼
          nil, # ⎽
          nil, # ⎾
          nil, # ⎿
          nil, # ⏀
          nil, # ⏁
          nil, # ⏂
          nil, # ⏃
          nil, # ⏄
          nil, # ⏅
          nil, # ⏆
          nil, # ⏇
          nil, # ⏈
          nil, # ⏉
          nil, # ⏊
          nil, # ⏋
          nil, # ⏌
          nil, # ⏍
          nil, # ⏎
          nil, # ⏏
          nil, # ⏐
          nil, # ⏑
          nil, # ⏒
          nil, # ⏓
          nil, # ⏔
          nil, # ⏕
          nil, # ⏖
          nil, # ⏗
          nil, # ⏘
          nil, # ⏙
          nil, # ⏚
          nil, # ⏛
          nil, # ⏜
          nil, # ⏝
          nil, # ⏞
          nil, # ⏟
          nil, # ⏠
          nil, # ⏡
          nil, # ⏢
          nil, # ⏣
          nil, # ⏤
          nil, # ⏥
          nil, # ⏦
          nil, # ⏧
          nil, # ⏨
          nil, # ⏩
          nil, # ⏪
          nil, # ⏫
          nil, # ⏬
          nil, # ⏭
          nil, # ⏮
          nil, # ⏯
          nil, # ⏰
          nil, # ⏱
          nil, # ⏲
          nil, # ⏳
          nil, # ⏴
          nil, # ⏵
          nil, # ⏶
          nil, # ⏷
          nil, # ⏸
          nil, # ⏹
          nil, # ⏺
          nil, # ⏻
          nil, # ⏼
          nil, # ⏽
          nil, # ⏾
          nil # ⏿
        ],
        [
          nil, # ␀
          nil, # ␁
          nil, # ␂
          nil, # ␃
          nil, # ␄
          nil, # ␅
          nil, # ␆
          nil, # ␇
          nil, # ␈
          nil, # ␉
          nil, # ␊
          nil, # ␋
          nil, # ␌
          nil, # ␍
          nil, # ␎
          nil, # ␏
          nil, # ␐
          nil, # ␑
          nil, # ␒
          nil, # ␓
          nil, # ␔
          nil, # ␕
          nil, # ␖
          nil, # ␗
          nil, # ␘
          nil, # ␙
          nil, # ␚
          nil, # ␛
          nil, # ␜
          nil, # ␝
          nil, # ␞
          nil, # ␟
          nil, # ␠
          nil, # ␡
          nil, # ␢
          nil, # ␣
          nil, # ␤
          nil, # ␥
          nil, # ␦
          nil, # ␧
          nil, # ␨
          nil, # ␩
          nil, # ␪
          nil, # ␫
          nil, # ␬
          nil, # ␭
          nil, # ␮
          nil, # ␯
          nil, # ␰
          nil, # ␱
          nil, # ␲
          nil, # ␳
          nil, # ␴
          nil, # ␵
          nil, # ␶
          nil, # ␷
          nil, # ␸
          nil, # ␹
          nil, # ␺
          nil, # ␻
          nil, # ␼
          nil, # ␽
          nil, # ␾
          nil, # ␿
          nil, # ⑀
          nil, # ⑁
          nil, # ⑂
          nil, # ⑃
          nil, # ⑄
          nil, # ⑅
          nil, # ⑆
          nil, # ⑇
          nil, # ⑈
          nil, # ⑉
          nil, # ⑊
          nil, # ⑋
          nil, # ⑌
          nil, # ⑍
          nil, # ⑎
          nil, # ⑏
          nil, # ⑐
          nil, # ⑑
          nil, # ⑒
          nil, # ⑓
          nil, # ⑔
          nil, # ⑕
          nil, # ⑖
          nil, # ⑗
          nil, # ⑘
          nil, # ⑙
          nil, # ⑚
          nil, # ⑛
          nil, # ⑜
          nil, # ⑝
          nil, # ⑞
          nil, # ⑟
          nil, # ①
          nil, # ②
          nil, # ③
          nil, # ④
          nil, # ⑤
          nil, # ⑥
          nil, # ⑦
          nil, # ⑧
          nil, # ⑨
          nil, # ⑩
          nil, # ⑪
          nil, # ⑫
          nil, # ⑬
          nil, # ⑭
          nil, # ⑮
          nil, # ⑯
          nil, # ⑰
          nil, # ⑱
          nil, # ⑲
          nil, # ⑳
          nil, # ⑴
          nil, # ⑵
          nil, # ⑶
          nil, # ⑷
          nil, # ⑸
          nil, # ⑹
          nil, # ⑺
          nil, # ⑻
          nil, # ⑼
          nil, # ⑽
          nil, # ⑾
          nil, # ⑿
          nil, # ⒀
          nil, # ⒁
          nil, # ⒂
          nil, # ⒃
          nil, # ⒄
          nil, # ⒅
          nil, # ⒆
          nil, # ⒇
          nil, # ⒈
          nil, # ⒉
          nil, # ⒊
          nil, # ⒋
          nil, # ⒌
          nil, # ⒍
          nil, # ⒎
          nil, # ⒏
          nil, # ⒐
          nil, # ⒑
          nil, # ⒒
          nil, # ⒓
          nil, # ⒔
          nil, # ⒕
          nil, # ⒖
          nil, # ⒗
          nil, # ⒘
          nil, # ⒙
          nil, # ⒚
          nil, # ⒛
          nil, # ⒜
          nil, # ⒝
          nil, # ⒞
          nil, # ⒟
          nil, # ⒠
          nil, # ⒡
          nil, # ⒢
          nil, # ⒣
          nil, # ⒤
          nil, # ⒥
          nil, # ⒦
          nil, # ⒧
          nil, # ⒨
          nil, # ⒩
          nil, # ⒪
          nil, # ⒫
          nil, # ⒬
          nil, # ⒭
          nil, # ⒮
          nil, # ⒯
          nil, # ⒰
          nil, # ⒱
          nil, # ⒲
          nil, # ⒳
          nil, # ⒴
          nil, # ⒵
          nil, # Ⓐ
          nil, # Ⓑ
          nil, # Ⓒ
          nil, # Ⓓ
          nil, # Ⓔ
          nil, # Ⓕ
          nil, # Ⓖ
          nil, # Ⓗ
          nil, # Ⓘ
          nil, # Ⓙ
          nil, # Ⓚ
          nil, # Ⓛ
          nil, # Ⓜ
          nil, # Ⓝ
          nil, # Ⓞ
          nil, # Ⓟ
          nil, # Ⓠ
          nil, # Ⓡ
          nil, # Ⓢ
          nil, # Ⓣ
          nil, # Ⓤ
          nil, # Ⓥ
          nil, # Ⓦ
          nil, # Ⓧ
          nil, # Ⓨ
          nil, # Ⓩ
          nil, # ⓐ
          nil, # ⓑ
          nil, # ⓒ
          nil, # ⓓ
          nil, # ⓔ
          nil, # ⓕ
          nil, # ⓖ
          nil, # ⓗ
          nil, # ⓘ
          nil, # ⓙ
          nil, # ⓚ
          nil, # ⓛ
          nil, # ⓜ
          nil, # ⓝ
          nil, # ⓞ
          nil, # ⓟ
          nil, # ⓠ
          nil, # ⓡ
          nil, # ⓢ
          nil, # ⓣ
          nil, # ⓤ
          nil, # ⓥ
          nil, # ⓦ
          nil, # ⓧ
          nil, # ⓨ
          nil, # ⓩ
          nil, # ⓪
          nil, # ⓫
          nil, # ⓬
          nil, # ⓭
          nil, # ⓮
          nil, # ⓯
          nil, # ⓰
          nil, # ⓱
          nil, # ⓲
          nil, # ⓳
          nil, # ⓴
          nil, # ⓵
          nil, # ⓶
          nil, # ⓷
          nil, # ⓸
          nil, # ⓹
          nil, # ⓺
          nil, # ⓻
          nil, # ⓼
          nil, # ⓽
          nil, # ⓾
          nil # ⓿
        ],
        [
          ["-"], # ─
          ["-"], # ━
          ["|"], # │
          ["|"], # ┃
          ["-"], # ┄
          ["-"], # ┅
          ["|"], # ┆
          ["|"], # ┇
          ["-"], # ┈
          ["-"], # ┉
          ["|"], # ┊
          ["|"], # ┋
          ["+"], # ┌
          ["+"], # ┍
          ["+"], # ┎
          ["+"], # ┏
          ["+"], # ┐
          ["+"], # ┑
          ["+"], # ┒
          ["+"], # ┓
          ["+"], # └
          ["+"], # ┕
          ["+"], # ┖
          ["+"], # ┗
          ["+"], # ┘
          ["+"], # ┙
          ["+"], # ┚
          ["+"], # ┛
          ["+"], # ├
          ["+"], # ┝
          ["+"], # ┞
          ["+"], # ┟
          ["+"], # ┠
          ["+"], # ┡
          ["+"], # ┢
          ["+"], # ┣
          ["+"], # ┤
          ["+"], # ┥
          ["+"], # ┦
          ["+"], # ┧
          ["+"], # ┨
          ["+"], # ┩
          ["+"], # ┪
          ["+"], # ┫
          ["+"], # ┬
          ["+"], # ┭
          ["+"], # ┮
          ["+"], # ┯
          ["+"], # ┰
          ["+"], # ┱
          ["+"], # ┲
          ["+"], # ┳
          ["+"], # ┴
          ["+"], # ┵
          ["+"], # ┶
          ["+"], # ┷
          ["+"], # ┸
          ["+"], # ┹
          ["+"], # ┺
          ["+"], # ┻
          ["+"], # ┼
          ["+"], # ┽
          ["+"], # ┾
          ["+"], # ┿
          ["+"], # ╀
          ["+"], # ╁
          ["+"], # ╂
          ["+"], # ╃
          ["+"], # ╄
          ["+"], # ╅
          ["+"], # ╆
          ["+"], # ╇
          ["+"], # ╈
          ["+"], # ╉
          ["+"], # ╊
          ["+"], # ╋
          ["-"], # ╌
          ["-"], # ╍
          ["|"], # ╎
          ["|"], # ╏
          ["-"], # ═
          ["|"], # ║
          ["+"], # ╒
          ["+"], # ╓
          ["+"], # ╔
          ["+"], # ╕
          ["+"], # ╖
          ["+"], # ╗
          ["+"], # ╘
          ["+"], # ╙
          ["+"], # ╚
          ["+"], # ╛
          ["+"], # ╜
          ["+"], # ╝
          ["+"], # ╞
          ["+"], # ╟
          ["+"], # ╠
          ["+"], # ╡
          ["+"], # ╢
          ["+"], # ╣
          ["+"], # ╤
          ["+"], # ╥
          ["+"], # ╦
          ["+"], # ╧
          ["+"], # ╨
          ["+"], # ╩
          ["+"], # ╪
          ["+"], # ╫
          ["+"], # ╬
          ["+"], # ╭
          ["+"], # ╮
          ["+"], # ╯
          ["+"], # ╰
          ["/"], # ╱
          ["\\"], # ╲
          ["X"], # ╳
          ["-"], # ╴
          ["|"], # ╵
          ["-"], # ╶
          ["|"], # ╷
          ["-"], # ╸
          ["|"], # ╹
          ["-"], # ╺
          ["|"], # ╻
          ["-"], # ╼
          ["|"], # ╽
          ["-"], # ╾
          ["|"], # ╿
          ["#"], # ▀
          ["#"], # ▁
          ["#"], # ▂
          ["#"], # ▃
          ["#"], # ▄
          ["#"], # ▅
          ["#"], # ▆
          ["#"], # ▇
          ["#"], # █
          ["#"], # ▉
          ["#"], # ▊
          ["#"], # ▋
          ["#"], # ▌
          ["#"], # ▍
          ["#"], # ▎
          ["#"], # ▏
          ["#"], # ▐
          ["#"], # ░
          ["#"], # ▒
          ["#"], # ▓
          ["-"], # ▔
          ["|"], # ▕
          nil, # ▖
          nil, # ▗
          nil, # ▘
          nil, # ▙
          nil, # ▚
          nil, # ▛
          nil, # ▜
          nil, # ▝
          nil, # ▞
          nil, # ▟
          ["#"], # ■
          ["#"], # □
          ["#"], # ▢
          ["#"], # ▣
          ["#"], # ▤
          ["#"], # ▥
          ["#"], # ▦
          ["#"], # ▧
          ["#"], # ▨
          ["#"], # ▩
          ["#"], # ▪
          ["#"], # ▫
          ["#"], # ▬
          ["#"], # ▭
          ["#"], # ▮
          ["#"], # ▯
          ["#"], # ▰
          ["#"], # ▱
          ["^"], # ▲
          ["^"], # △
          ["^"], # ▴
          ["^"], # ▵
          [">"], # ▶
          [">"], # ▷
          [">"], # ▸
          [">"], # ▹
          [">"], # ►
          [">"], # ▻
          ["V"], # ▼
          ["V"], # ▽
          ["V"], # ▾
          ["V"], # ▿
          ["<"], # ◀
          ["<"], # ◁
          ["<"], # ◂
          ["<"], # ◃
          ["<"], # ◄
          ["<"], # ◅
          ["*"], # ◆
          ["*"], # ◇
          ["*"], # ◈
          ["*"], # ◉
          ["*", nil, "loz"], # ◊
          ["*"], # ○
          ["*"], # ◌
          ["*"], # ◍
          ["*"], # ◎
          ["*"], # ●
          ["*"], # ◐
          ["*"], # ◑
          ["*"], # ◒
          ["*"], # ◓
          ["*"], # ◔
          ["*"], # ◕
          ["*"], # ◖
          ["*"], # ◗
          ["*"], # ◘
          ["*"], # ◙
          ["*"], # ◚
          ["*"], # ◛
          ["*"], # ◜
          ["*"], # ◝
          ["*"], # ◞
          ["*"], # ◟
          ["*"], # ◠
          ["*"], # ◡
          ["*"], # ◢
          ["*"], # ◣
          ["*"], # ◤
          ["*"], # ◥
          ["*"], # ◦
          ["#"], # ◧
          ["#"], # ◨
          ["#"], # ◩
          ["#"], # ◪
          ["#"], # ◫
          ["^"], # ◬
          ["^"], # ◭
          ["^"], # ◮
          ["O"], # ◯
          ["#"], # ◰
          ["#"], # ◱
          ["#"], # ◲
          ["#"], # ◳
          ["#"], # ◴
          ["#"], # ◵
          ["#"], # ◶
          ["#"], # ◷
          nil, # ◸
          nil, # ◹
          nil, # ◺
          nil, # ◻
          nil, # ◼
          nil, # ◽
          nil, # ◾
          nil # ◿
        ],
        [
          nil, # ☀
          nil, # ☁
          nil, # ☂
          nil, # ☃
          nil, # ☄
          nil, # ★
          nil, # ☆
          nil, # ☇
          nil, # ☈
          nil, # ☉
          nil, # ☊
          nil, # ☋
          nil, # ☌
          nil, # ☍
          nil, # ☎
          nil, # ☏
          nil, # ☐
          nil, # ☑
          nil, # ☒
          nil, # ☓
          nil, # ☔
          nil, # ☕
          nil, # ☖
          nil, # ☗
          nil, # ☘
          nil, # ☙
          nil, # ☚
          nil, # ☛
          nil, # ☜
          nil, # ☝
          nil, # ☞
          nil, # ☟
          nil, # ☠
          nil, # ☡
          nil, # ☢
          nil, # ☣
          nil, # ☤
          nil, # ☥
          nil, # ☦
          nil, # ☧
          nil, # ☨
          nil, # ☩
          nil, # ☪
          nil, # ☫
          nil, # ☬
          nil, # ☭
          nil, # ☮
          nil, # ☯
          nil, # ☰
          nil, # ☱
          nil, # ☲
          nil, # ☳
          nil, # ☴
          nil, # ☵
          nil, # ☶
          nil, # ☷
          nil, # ☸
          nil, # ☹
          nil, # ☺
          nil, # ☻
          nil, # ☼
          nil, # ☽
          nil, # ☾
          nil, # ☿
          nil, # ♀
          nil, # ♁
          nil, # ♂
          nil, # ♃
          nil, # ♄
          nil, # ♅
          nil, # ♆
          nil, # ♇
          nil, # ♈
          nil, # ♉
          nil, # ♊
          nil, # ♋
          nil, # ♌
          nil, # ♍
          nil, # ♎
          nil, # ♏
          nil, # ♐
          nil, # ♑
          nil, # ♒
          nil, # ♓
          nil, # ♔
          nil, # ♕
          nil, # ♖
          nil, # ♗
          nil, # ♘
          nil, # ♙
          nil, # ♚
          nil, # ♛
          nil, # ♜
          nil, # ♝
          nil, # ♞
          nil, # ♟
          [nil, nil, "spades"], # ♠
          nil, # ♡
          nil, # ♢
          [nil, nil, "clubs"], # ♣
          nil, # ♤
          [nil, nil, "hearts"], # ♥
          [nil, nil, "diams"], # ♦
          nil, # ♧
          nil, # ♨
          nil, # ♩
          nil, # ♪
          nil, # ♫
          nil, # ♬
          nil, # ♭
          nil, # ♮
          nil, # ♯
          nil, # ♰
          nil, # ♱
          nil, # ♲
          nil, # ♳
          nil, # ♴
          nil, # ♵
          nil, # ♶
          nil, # ♷
          nil, # ♸
          nil, # ♹
          nil, # ♺
          nil, # ♻
          nil, # ♼
          nil, # ♽
          nil, # ♾
          nil, # ♿
          nil, # ⚀
          nil, # ⚁
          nil, # ⚂
          nil, # ⚃
          nil, # ⚄
          nil, # ⚅
          nil, # ⚆
          nil, # ⚇
          nil, # ⚈
          nil, # ⚉
          nil, # ⚊
          nil, # ⚋
          nil, # ⚌
          nil, # ⚍
          nil, # ⚎
          nil, # ⚏
          nil, # ⚐
          nil, # ⚑
          nil, # ⚒
          nil, # ⚓
          nil, # ⚔
          nil, # ⚕
          nil, # ⚖
          nil, # ⚗
          nil, # ⚘
          nil, # ⚙
          nil, # ⚚
          nil, # ⚛
          nil, # ⚜
          nil, # ⚝
          nil, # ⚞
          nil, # ⚟
          nil, # ⚠
          nil, # ⚡
          nil, # ⚢
          nil, # ⚣
          nil, # ⚤
          nil, # ⚥
          nil, # ⚦
          nil, # ⚧
          nil, # ⚨
          nil, # ⚩
          nil, # ⚪
          nil, # ⚫
          nil, # ⚬
          nil, # ⚭
          nil, # ⚮
          nil, # ⚯
          nil, # ⚰
          nil, # ⚱
          nil, # ⚲
          nil, # ⚳
          nil, # ⚴
          nil, # ⚵
          nil, # ⚶
          nil, # ⚷
          nil, # ⚸
          ["*"], # ⚹
          nil, # ⚺
          nil, # ⚻
          nil, # ⚼
          nil, # ⚽
          nil, # ⚾
          nil, # ⚿
          nil, # ⛀
          nil, # ⛁
          nil, # ⛂
          nil, # ⛃
          nil, # ⛄
          nil, # ⛅
          nil, # ⛆
          nil, # ⛇
          nil, # ⛈
          nil, # ⛉
          nil, # ⛊
          nil, # ⛋
          nil, # ⛌
          nil, # ⛍
          nil, # ⛎
          nil, # ⛏
          nil, # ⛐
          nil, # ⛑
          nil, # ⛒
          nil, # ⛓
          nil, # ⛔
          nil, # ⛕
          nil, # ⛖
          nil, # ⛗
          nil, # ⛘
          nil, # ⛙
          nil, # ⛚
          nil, # ⛛
          nil, # ⛜
          nil, # ⛝
          nil, # ⛞
          nil, # ⛟
          nil, # ⛠
          nil, # ⛡
          nil, # ⛢
          nil, # ⛣
          nil, # ⛤
          nil, # ⛥
          nil, # ⛦
          nil, # ⛧
          nil, # ⛨
          nil, # ⛩
          nil, # ⛪
          nil, # ⛫
          nil, # ⛬
          nil, # ⛭
          nil, # ⛮
          nil, # ⛯
          nil, # ⛰
          nil, # ⛱
          nil, # ⛲
          nil, # ⛳
          nil, # ⛴
          nil, # ⛵
          nil, # ⛶
          nil, # ⛷
          nil, # ⛸
          nil, # ⛹
          nil, # ⛺
          nil, # ⛻
          nil, # ⛼
          nil, # ⛽
          nil, # ⛾
          nil # ⛿
        ],
        [
          nil, # ✀
          nil, # ✁
          nil, # ✂
          nil, # ✃
          nil, # ✄
          nil, # ✅
          nil, # ✆
          nil, # ✇
          nil, # ✈
          nil, # ✉
          nil, # ✊
          nil, # ✋
          nil, # ✌
          nil, # ✍
          nil, # ✎
          nil, # ✏
          nil, # ✐
          nil, # ✑
          nil, # ✒
          nil, # ✓
          nil, # ✔
          nil, # ✕
          nil, # ✖
          nil, # ✗
          nil, # ✘
          nil, # ✙
          nil, # ✚
          nil, # ✛
          nil, # ✜
          nil, # ✝
          nil, # ✞
          nil, # ✟
          nil, # ✠
          nil, # ✡
          nil, # ✢
          nil, # ✣
          nil, # ✤
          nil, # ✥
          nil, # ✦
          nil, # ✧
          nil, # ✨
          nil, # ✩
          nil, # ✪
          nil, # ✫
          nil, # ✬
          nil, # ✭
          nil, # ✮
          nil, # ✯
          nil, # ✰
          ["*"], # ✱
          nil, # ✲
          nil, # ✳
          nil, # ✴
          nil, # ✵
          nil, # ✶
          nil, # ✷
          nil, # ✸
          nil, # ✹
          nil, # ✺
          nil, # ✻
          nil, # ✼
          nil, # ✽
          nil, # ✾
          nil, # ✿
          nil, # ❀
          nil, # ❁
          nil, # ❂
          nil, # ❃
          nil, # ❄
          nil, # ❅
          nil, # ❆
          nil, # ❇
          nil, # ❈
          nil, # ❉
          nil, # ❊
          nil, # ❋
          nil, # ❌
          nil, # ❍
          nil, # ❎
          nil, # ❏
          nil, # ❐
          nil, # ❑
          nil, # ❒
          nil, # ❓
          nil, # ❔
          nil, # ❕
          nil, # ❖
          nil, # ❗
          ["|"], # ❘
          nil, # ❙
          nil, # ❚
          nil, # ❛
          nil, # ❜
          nil, # ❝
          nil, # ❞
          nil, # ❟
          nil, # ❠
          nil, # ❡
          ["!"], # ❢
          nil, # ❣
          nil, # ❤
          nil, # ❥
          nil, # ❦
          nil, # ❧
          nil, # ❨
          nil, # ❩
          nil, # ❪
          nil, # ❫
          nil, # ❬
          nil, # ❭
          nil, # ❮
          nil, # ❯
          nil, # ❰
          nil, # ❱
          nil, # ❲
          nil, # ❳
          nil, # ❴
          nil, # ❵
          nil, # ❶
          nil, # ❷
          nil, # ❸
          nil, # ❹
          nil, # ❺
          nil, # ❻
          nil, # ❼
          nil, # ❽
          nil, # ❾
          nil, # ❿
          nil, # ➀
          nil, # ➁
          nil, # ➂
          nil, # ➃
          nil, # ➄
          nil, # ➅
          nil, # ➆
          nil, # ➇
          nil, # ➈
          nil, # ➉
          nil, # ➊
          nil, # ➋
          nil, # ➌
          nil, # ➍
          nil, # ➎
          nil, # ➏
          nil, # ➐
          nil, # ➑
          nil, # ➒
          nil, # ➓
          nil, # ➔
          nil, # ➕
          nil, # ➖
          nil, # ➗
          nil, # ➘
          nil, # ➙
          nil, # ➚
          nil, # ➛
          nil, # ➜
          nil, # ➝
          nil, # ➞
          nil, # ➟
          nil, # ➠
          nil, # ➡
          nil, # ➢
          nil, # ➣
          nil, # ➤
          nil, # ➥
          nil, # ➦
          nil, # ➧
          nil, # ➨
          nil, # ➩
          nil, # ➪
          nil, # ➫
          nil, # ➬
          nil, # ➭
          nil, # ➮
          nil, # ➯
          nil, # ➰
          nil, # ➱
          nil, # ➲
          nil, # ➳
          nil, # ➴
          nil, # ➵
          nil, # ➶
          nil, # ➷
          nil, # ➸
          nil, # ➹
          nil, # ➺
          nil, # ➻
          nil, # ➼
          nil, # ➽
          nil, # ➾
          nil, # ➿
          nil, # ⟀
          nil, # ⟁
          nil, # ⟂
          nil, # ⟃
          nil, # ⟄
          nil, # ⟅
          nil, # ⟆
          nil, # ⟇
          nil, # ⟈
          nil, # ⟉
          nil, # ⟊
          nil, # ⟋
          nil, # ⟌
          nil, # ⟍
          nil, # ⟎
          nil, # ⟏
          nil, # ⟐
          nil, # ⟑
          nil, # ⟒
          nil, # ⟓
          nil, # ⟔
          nil, # ⟕
          nil, # ⟖
          nil, # ⟗
          nil, # ⟘
          nil, # ⟙
          nil, # ⟚
          nil, # ⟛
          nil, # ⟜
          nil, # ⟝
          nil, # ⟞
          nil, # ⟟
          nil, # ⟠
          nil, # ⟡
          nil, # ⟢
          nil, # ⟣
          nil, # ⟤
          nil, # ⟥
          nil, # ⟦
          nil, # ⟧
          ["<", nil, "lang"], # ⟨
          [">", nil, "rang"], # ⟩
          nil, # ⟪
          nil, # ⟫
          nil, # ⟬
          nil, # ⟭
          nil, # ⟮
          nil, # ⟯
          nil, # ⟰
          nil, # ⟱
          nil, # ⟲
          nil, # ⟳
          nil, # ⟴
          nil, # ⟵
          nil, # ⟶
          nil, # ⟷
          nil, # ⟸
          nil, # ⟹
          nil, # ⟺
          nil, # ⟻
          nil, # ⟼
          nil, # ⟽
          nil, # ⟾
          nil # ⟿
        ],
        [
          [" "], # ⠀
          ["a"], # ⠁
          ["1"], # ⠂
          ["b"], # ⠃
          ["'"], # ⠄
          ["k"], # ⠅
          ["2"], # ⠆
          ["l"], # ⠇
          ["@"], # ⠈
          ["c"], # ⠉
          ["i"], # ⠊
          ["f"], # ⠋
          ["/"], # ⠌
          ["m"], # ⠍
          ["s"], # ⠎
          ["p"], # ⠏
          ["\""], # ⠐
          ["e"], # ⠑
          ["3"], # ⠒
          ["h"], # ⠓
          ["9"], # ⠔
          ["o"], # ⠕
          ["6"], # ⠖
          ["r"], # ⠗
          ["^"], # ⠘
          ["d"], # ⠙
          ["j"], # ⠚
          ["g"], # ⠛
          [">"], # ⠜
          ["n"], # ⠝
          ["t"], # ⠞
          ["q"], # ⠟
          [","], # ⠠
          ["*"], # ⠡
          ["5"], # ⠢
          ["<"], # ⠣
          ["-"], # ⠤
          ["u"], # ⠥
          ["8"], # ⠦
          ["v"], # ⠧
          ["."], # ⠨
          ["%"], # ⠩
          ["["], # ⠪
          ["$"], # ⠫
          ["+"], # ⠬
          ["x"], # ⠭
          ["!"], # ⠮
          ["&"], # ⠯
          [";"], # ⠰
          [":"], # ⠱
          ["4"], # ⠲
          ["\\"], # ⠳
          ["0"], # ⠴
          ["z"], # ⠵
          ["7"], # ⠶
          ["("], # ⠷
          ["_"], # ⠸
          ["?"], # ⠹
          ["w"], # ⠺
          ["]"], # ⠻
          ["#"], # ⠼
          ["y"], # ⠽
          [")"], # ⠾
          ["="], # ⠿
          ["[d7]"], # ⡀
          ["[d17]"], # ⡁
          ["[d27]"], # ⡂
          ["[d127]"], # ⡃
          ["[d37]"], # ⡄
          ["[d137]"], # ⡅
          ["[d237]"], # ⡆
          ["[d1237]"], # ⡇
          ["[d47]"], # ⡈
          ["[d147]"], # ⡉
          ["[d247]"], # ⡊
          ["[d1247]"], # ⡋
          ["[d347]"], # ⡌
          ["[d1347]"], # ⡍
          ["[d2347]"], # ⡎
          ["[d12347]"], # ⡏
          ["[d57]"], # ⡐
          ["[d157]"], # ⡑
          ["[d257]"], # ⡒
          ["[d1257]"], # ⡓
          ["[d357]"], # ⡔
          ["[d1357]"], # ⡕
          ["[d2357]"], # ⡖
          ["[d12357]"], # ⡗
          ["[d457]"], # ⡘
          ["[d1457]"], # ⡙
          ["[d2457]"], # ⡚
          ["[d12457]"], # ⡛
          ["[d3457]"], # ⡜
          ["[d13457]"], # ⡝
          ["[d23457]"], # ⡞
          ["[d123457]"], # ⡟
          ["[d67]"], # ⡠
          ["[d167]"], # ⡡
          ["[d267]"], # ⡢
          ["[d1267]"], # ⡣
          ["[d367]"], # ⡤
          ["[d1367]"], # ⡥
          ["[d2367]"], # ⡦
          ["[d12367]"], # ⡧
          ["[d467]"], # ⡨
          ["[d1467]"], # ⡩
          ["[d2467]"], # ⡪
          ["[d12467]"], # ⡫
          ["[d3467]"], # ⡬
          ["[d13467]"], # ⡭
          ["[d23467]"], # ⡮
          ["[d123467]"], # ⡯
          ["[d567]"], # ⡰
          ["[d1567]"], # ⡱
          ["[d2567]"], # ⡲
          ["[d12567]"], # ⡳
          ["[d3567]"], # ⡴
          ["[d13567]"], # ⡵
          ["[d23567]"], # ⡶
          ["[d123567]"], # ⡷
          ["[d4567]"], # ⡸
          ["[d14567]"], # ⡹
          ["[d24567]"], # ⡺
          ["[d124567]"], # ⡻
          ["[d34567]"], # ⡼
          ["[d134567]"], # ⡽
          ["[d234567]"], # ⡾
          ["[d1234567]"], # ⡿
          ["[d8]"], # ⢀
          ["[d18]"], # ⢁
          ["[d28]"], # ⢂
          ["[d128]"], # ⢃
          ["[d38]"], # ⢄
          ["[d138]"], # ⢅
          ["[d238]"], # ⢆
          ["[d1238]"], # ⢇
          ["[d48]"], # ⢈
          ["[d148]"], # ⢉
          ["[d248]"], # ⢊
          ["[d1248]"], # ⢋
          ["[d348]"], # ⢌
          ["[d1348]"], # ⢍
          ["[d2348]"], # ⢎
          ["[d12348]"], # ⢏
          ["[d58]"], # ⢐
          ["[d158]"], # ⢑
          ["[d258]"], # ⢒
          ["[d1258]"], # ⢓
          ["[d358]"], # ⢔
          ["[d1358]"], # ⢕
          ["[d2358]"], # ⢖
          ["[d12358]"], # ⢗
          ["[d458]"], # ⢘
          ["[d1458]"], # ⢙
          ["[d2458]"], # ⢚
          ["[d12458]"], # ⢛
          ["[d3458]"], # ⢜
          ["[d13458]"], # ⢝
          ["[d23458]"], # ⢞
          ["[d123458]"], # ⢟
          ["[d68]"], # ⢠
          ["[d168]"], # ⢡
          ["[d268]"], # ⢢
          ["[d1268]"], # ⢣
          ["[d368]"], # ⢤
          ["[d1368]"], # ⢥
          ["[d2368]"], # ⢦
          ["[d12368]"], # ⢧
          ["[d468]"], # ⢨
          ["[d1468]"], # ⢩
          ["[d2468]"], # ⢪
          ["[d12468]"], # ⢫
          ["[d3468]"], # ⢬
          ["[d13468]"], # ⢭
          ["[d23468]"], # ⢮
          ["[d123468]"], # ⢯
          ["[d568]"], # ⢰
          ["[d1568]"], # ⢱
          ["[d2568]"], # ⢲
          ["[d12568]"], # ⢳
          ["[d3568]"], # ⢴
          ["[d13568]"], # ⢵
          ["[d23568]"], # ⢶
          ["[d123568]"], # ⢷
          ["[d4568]"], # ⢸
          ["[d14568]"], # ⢹
          ["[d24568]"], # ⢺
          ["[d124568]"], # ⢻
          ["[d34568]"], # ⢼
          ["[d134568]"], # ⢽
          ["[d234568]"], # ⢾
          ["[d1234568]"], # ⢿
          ["[d78]"], # ⣀
          ["[d178]"], # ⣁
          ["[d278]"], # ⣂
          ["[d1278]"], # ⣃
          ["[d378]"], # ⣄
          ["[d1378]"], # ⣅
          ["[d2378]"], # ⣆
          ["[d12378]"], # ⣇
          ["[d478]"], # ⣈
          ["[d1478]"], # ⣉
          ["[d2478]"], # ⣊
          ["[d12478]"], # ⣋
          ["[d3478]"], # ⣌
          ["[d13478]"], # ⣍
          ["[d23478]"], # ⣎
          ["[d123478]"], # ⣏
          ["[d578]"], # ⣐
          ["[d1578]"], # ⣑
          ["[d2578]"], # ⣒
          ["[d12578]"], # ⣓
          ["[d3578]"], # ⣔
          ["[d13578]"], # ⣕
          ["[d23578]"], # ⣖
          ["[d123578]"], # ⣗
          ["[d4578]"], # ⣘
          ["[d14578]"], # ⣙
          ["[d24578]"], # ⣚
          ["[d124578]"], # ⣛
          ["[d34578]"], # ⣜
          ["[d134578]"], # ⣝
          ["[d234578]"], # ⣞
          ["[d1234578]"], # ⣟
          ["[d678]"], # ⣠
          ["[d1678]"], # ⣡
          ["[d2678]"], # ⣢
          ["[d12678]"], # ⣣
          ["[d3678]"], # ⣤
          ["[d13678]"], # ⣥
          ["[d23678]"], # ⣦
          ["[d123678]"], # ⣧
          ["[d4678]"], # ⣨
          ["[d14678]"], # ⣩
          ["[d24678]"], # ⣪
          ["[d124678]"], # ⣫
          ["[d34678]"], # ⣬
          ["[d134678]"], # ⣭
          ["[d234678]"], # ⣮
          ["[d1234678]"], # ⣯
          ["[d5678]"], # ⣰
          ["[d15678]"], # ⣱
          ["[d25678]"], # ⣲
          ["[d125678]"], # ⣳
          ["[d35678]"], # ⣴
          ["[d135678]"], # ⣵
          ["[d235678]"], # ⣶
          ["[d1235678]"], # ⣷
          ["[d45678]"], # ⣸
          ["[d145678]"], # ⣹
          ["[d245678]"], # ⣺
          ["[d1245678]"], # ⣻
          ["[d345678]"], # ⣼
          ["[d1345678]"], # ⣽
          ["[d2345678]"], # ⣾
          ["[d12345678]"] # ⣿
        ],
        nil,
        nil,
        nil,
        nil,
        nil,
        [
          nil, # ⸀
          nil, # ⸁
          nil, # ⸂
          nil, # ⸃
          nil, # ⸄
          nil, # ⸅
          nil, # ⸆
          nil, # ⸇
          nil, # ⸈
          nil, # ⸉
          nil, # ⸊
          nil, # ⸋
          nil, # ⸌
          nil, # ⸍
          nil, # ⸎
          nil, # ⸏
          nil, # ⸐
          nil, # ⸑
          nil, # ⸒
          nil, # ⸓
          nil, # ⸔
          nil, # ⸕
          nil, # ⸖
          nil, # ⸗
          nil, # ⸘
          nil, # ⸙
          nil, # ⸚
          nil, # ⸛
          nil, # ⸜
          nil, # ⸝
          nil, # ⸞
          nil, # ⸟
          nil, # ⸠
          nil, # ⸡
          nil, # ⸢
          nil, # ⸣
          nil, # ⸤
          nil, # ⸥
          nil, # ⸦
          nil, # ⸧
          nil, # ⸨
          nil, # ⸩
          nil, # ⸪
          nil, # ⸫
          nil, # ⸬
          nil, # ⸭
          nil, # ⸮
          nil, # ⸯ
          nil, # ⸰
          nil, # ⸱
          nil, # ⸲
          nil, # ⸳
          nil, # ⸴
          nil, # ⸵
          nil, # ⸶
          nil, # ⸷
          nil, # ⸸
          nil, # ⸹
          nil, # ⸺
          nil, # ⸻
          nil, # ⸼
          nil, # ⸽
          nil, # ⸾
          nil, # ⸿
          nil, # ⹀
          nil, # ⹁
          nil, # ⹂
          nil, # ⹃
          nil, # ⹄
          nil, # ⹅
          nil, # ⹆
          nil, # ⹇
          nil, # ⹈
          nil, # ⹉
          nil, # ⹊
          nil, # ⹋
          nil, # ⹌
          nil, # ⹍
          nil, # ⹎
          nil, # ⹏
          nil, # ⹐
          nil, # ⹑
          nil, # ⹒
          nil, # ⹓
          nil, # ⹔
          nil, # ⹕
          nil, # ⹖
          nil, # ⹗
          nil, # ⹘
          nil, # ⹙
          nil, # ⹚
          nil, # ⹛
          nil, # ⹜
          nil, # ⹝
          nil, # ⹞
          nil, # ⹟
          nil, # ⹠
          nil, # ⹡
          nil, # ⹢
          nil, # ⹣
          nil, # ⹤
          nil, # ⹥
          nil, # ⹦
          nil, # ⹧
          nil, # ⹨
          nil, # ⹩
          nil, # ⹪
          nil, # ⹫
          nil, # ⹬
          nil, # ⹭
          nil, # ⹮
          nil, # ⹯
          nil, # ⹰
          nil, # ⹱
          nil, # ⹲
          nil, # ⹳
          nil, # ⹴
          nil, # ⹵
          nil, # ⹶
          nil, # ⹷
          nil, # ⹸
          nil, # ⹹
          nil, # ⹺
          nil, # ⹻
          nil, # ⹼
          nil, # ⹽
          nil, # ⹾
          nil, # ⹿
          [" "], # ⺀
          [" "], # ⺁
          [" "], # ⺂
          [" "], # ⺃
          [" "], # ⺄
          [" "], # ⺅
          [" "], # ⺆
          [" "], # ⺇
          [" "], # ⺈
          [" "], # ⺉
          [" "], # ⺊
          [" "], # ⺋
          [" "], # ⺌
          [" "], # ⺍
          [" "], # ⺎
          [" "], # ⺏
          [" "], # ⺐
          [" "], # ⺑
          [" "], # ⺒
          [" "], # ⺓
          [" "], # ⺔
          [" "], # ⺕
          [" "], # ⺖
          [" "], # ⺗
          [" "], # ⺘
          [" "], # ⺙
          nil, # ⺚
          [" "], # ⺛
          [" "], # ⺜
          [" "], # ⺝
          [" "], # ⺞
          [" "], # ⺟
          [" "], # ⺠
          [" "], # ⺡
          [" "], # ⺢
          [" "], # ⺣
          [" "], # ⺤
          [" "], # ⺥
          [" "], # ⺦
          [" "], # ⺧
          [" "], # ⺨
          [" "], # ⺩
          [" "], # ⺪
          [" "], # ⺫
          [" "], # ⺬
          [" "], # ⺭
          [" "], # ⺮
          [" "], # ⺯
          [" "], # ⺰
          [" "], # ⺱
          [" "], # ⺲
          [" "], # ⺳
          [" "], # ⺴
          [" "], # ⺵
          [" "], # ⺶
          [" "], # ⺷
          [" "], # ⺸
          [" "], # ⺹
          [" "], # ⺺
          [" "], # ⺻
          [" "], # ⺼
          [" "], # ⺽
          [" "], # ⺾
          [" "], # ⺿
          [" "], # ⻀
          [" "], # ⻁
          [" "], # ⻂
          [" "], # ⻃
          [" "], # ⻄
          [" "], # ⻅
          [" "], # ⻆
          [" "], # ⻇
          [" "], # ⻈
          [" "], # ⻉
          [" "], # ⻊
          [" "], # ⻋
          [" "], # ⻌
          [" "], # ⻍
          [" "], # ⻎
          [" "], # ⻏
          [" "], # ⻐
          [" "], # ⻑
          [" "], # ⻒
          [" "], # ⻓
          [" "], # ⻔
          [" "], # ⻕
          [" "], # ⻖
          [" "], # ⻗
          [" "], # ⻘
          [" "], # ⻙
          [" "], # ⻚
          [" "], # ⻛
          [" "], # ⻜
          [" "], # ⻝
          [" "], # ⻞
          [" "], # ⻟
          [" "], # ⻠
          [" "], # ⻡
          [" "], # ⻢
          [" "], # ⻣
          [" "], # ⻤
          [" "], # ⻥
          [" "], # ⻦
          [" "], # ⻧
          [" "], # ⻨
          [" "], # ⻩
          [" "], # ⻪
          [" "], # ⻫
          [" "], # ⻬
          [" "], # ⻭
          [" "], # ⻮
          [" "], # ⻯
          [" "], # ⻰
          [" "], # ⻱
          [" "], # ⻲
          [" "], # ⻳
          nil, # ⻴
          nil, # ⻵
          nil, # ⻶
          nil, # ⻷
          nil, # ⻸
          nil, # ⻹
          nil, # ⻺
          nil, # ⻻
          nil, # ⻼
          nil, # ⻽
          nil, # ⻾
          nil # ⻿
        ],
        [
          [" "], # ⼀
          [" "], # ⼁
          [" "], # ⼂
          [" "], # ⼃
          [" "], # ⼄
          [" "], # ⼅
          [" "], # ⼆
          [" "], # ⼇
          [" "], # ⼈
          [" "], # ⼉
          [" "], # ⼊
          [" "], # ⼋
          [" "], # ⼌
          [" "], # ⼍
          [" "], # ⼎
          [" "], # ⼏
          [" "], # ⼐
          [" "], # ⼑
          [" "], # ⼒
          [" "], # ⼓
          [" "], # ⼔
          [" "], # ⼕
          [" "], # ⼖
          [" "], # ⼗
          [" "], # ⼘
          [" "], # ⼙
          [" "], # ⼚
          [" "], # ⼛
          [" "], # ⼜
          [" "], # ⼝
          [" "], # ⼞
          [" "], # ⼟
          [" "], # ⼠
          [" "], # ⼡
          [" "], # ⼢
          [" "], # ⼣
          [" "], # ⼤
          [" "], # ⼥
          [" "], # ⼦
          [" "], # ⼧
          [" "], # ⼨
          [" "], # ⼩
          [" "], # ⼪
          [" "], # ⼫
          [" "], # ⼬
          [" "], # ⼭
          [" "], # ⼮
          [" "], # ⼯
          [" "], # ⼰
          [" "], # ⼱
          [" "], # ⼲
          [" "], # ⼳
          [" "], # ⼴
          [" "], # ⼵
          [" "], # ⼶
          [" "], # ⼷
          [" "], # ⼸
          [" "], # ⼹
          [" "], # ⼺
          [" "], # ⼻
          [" "], # ⼼
          [" "], # ⼽
          [" "], # ⼾
          [" "], # ⼿
          [" "], # ⽀
          [" "], # ⽁
          [" "], # ⽂
          [" "], # ⽃
          [" "], # ⽄
          [" "], # ⽅
          [" "], # ⽆
          [" "], # ⽇
          [" "], # ⽈
          [" "], # ⽉
          [" "], # ⽊
          [" "], # ⽋
          [" "], # ⽌
          [" "], # ⽍
          [" "], # ⽎
          [" "], # ⽏
          [" "], # ⽐
          [" "], # ⽑
          [" "], # ⽒
          [" "], # ⽓
          [" "], # ⽔
          [" "], # ⽕
          [" "], # ⽖
          [" "], # ⽗
          [" "], # ⽘
          [" "], # ⽙
          [" "], # ⽚
          [" "], # ⽛
          [" "], # ⽜
          [" "], # ⽝
          [" "], # ⽞
          [" "], # ⽟
          [" "], # ⽠
          [" "], # ⽡
          [" "], # ⽢
          [" "], # ⽣
          [" "], # ⽤
          [" "], # ⽥
          [" "], # ⽦
          [" "], # ⽧
          [" "], # ⽨
          [" "], # ⽩
          [" "], # ⽪
          [" "], # ⽫
          [" "], # ⽬
          [" "], # ⽭
          [" "], # ⽮
          [" "], # ⽯
          [" "], # ⽰
          [" "], # ⽱
          [" "], # ⽲
          [" "], # ⽳
          [" "], # ⽴
          [" "], # ⽵
          [" "], # ⽶
          [" "], # ⽷
          [" "], # ⽸
          [" "], # ⽹
          [" "], # ⽺
          [" "], # ⽻
          [" "], # ⽼
          [" "], # ⽽
          [" "], # ⽾
          [" "], # ⽿
          [" "], # ⾀
          [" "], # ⾁
          [" "], # ⾂
          [" "], # ⾃
          [" "], # ⾄
          [" "], # ⾅
          [" "], # ⾆
          [" "], # ⾇
          [" "], # ⾈
          [" "], # ⾉
          [" "], # ⾊
          [" "], # ⾋
          [" "], # ⾌
          [" "], # ⾍
          [" "], # ⾎
          [" "], # ⾏
          [" "], # ⾐
          [" "], # ⾑
          [" "], # ⾒
          [" "], # ⾓
          [" "], # ⾔
          [" "], # ⾕
          [" "], # ⾖
          [" "], # ⾗
          [" "], # ⾘
          [" "], # ⾙
          [" "], # ⾚
          [" "], # ⾛
          [" "], # ⾜
          [" "], # ⾝
          [" "], # ⾞
          [" "], # ⾟
          [" "], # ⾠
          [" "], # ⾡
          [" "], # ⾢
          [" "], # ⾣
          [" "], # ⾤
          [" "], # ⾥
          [" "], # ⾦
          [" "], # ⾧
          [" "], # ⾨
          [" "], # ⾩
          [" "], # ⾪
          [" "], # ⾫
          [" "], # ⾬
          [" "], # ⾭
          [" "], # ⾮
          [" "], # ⾯
          [" "], # ⾰
          [" "], # ⾱
          [" "], # ⾲
          [" "], # ⾳
          [" "], # ⾴
          [" "], # ⾵
          [" "], # ⾶
          [" "], # ⾷
          [" "], # ⾸
          [" "], # ⾹
          [" "], # ⾺
          [" "], # ⾻
          [" "], # ⾼
          [" "], # ⾽
          [" "], # ⾾
          [" "], # ⾿
          [" "], # ⿀
          [" "], # ⿁
          [" "], # ⿂
          [" "], # ⿃
          [" "], # ⿄
          [" "], # ⿅
          [" "], # ⿆
          [" "], # ⿇
          [" "], # ⿈
          [" "], # ⿉
          [" "], # ⿊
          [" "], # ⿋
          [" "], # ⿌
          [" "], # ⿍
          [" "], # ⿎
          [" "], # ⿏
          [" "], # ⿐
          [" "], # ⿑
          [" "], # ⿒
          [" "], # ⿓
          [" "], # ⿔
          [" "], # ⿕
          nil, # ⿖
          nil, # ⿗
          nil, # ⿘
          nil, # ⿙
          nil, # ⿚
          nil, # ⿛
          nil, # ⿜
          nil, # ⿝
          nil, # ⿞
          nil, # ⿟
          nil, # ⿠
          nil, # ⿡
          nil, # ⿢
          nil, # ⿣
          nil, # ⿤
          nil, # ⿥
          nil, # ⿦
          nil, # ⿧
          nil, # ⿨
          nil, # ⿩
          nil, # ⿪
          nil, # ⿫
          nil, # ⿬
          nil, # ⿭
          nil, # ⿮
          nil, # ⿯
          [" "], # ⿰
          [" "], # ⿱
          [" "], # ⿲
          [" "], # ⿳
          [" "], # ⿴
          [" "], # ⿵
          [" "], # ⿶
          [" "], # ⿷
          [" "], # ⿸
          [" "], # ⿹
          [" "], # ⿺
          [" "], # ⿻
          nil, # ⿼
          nil, # ⿽
          nil, # ⿾
          nil # ⿿
        ],
        [
          [" "], # 　
          [", "], # 、
          [". "], # 。
          ["\""], # 〃
          ["[JIS]"], # 〄
          ["\""], # 々
          ["/"], # 〆
          ["0"], # 〇
          ["<"], # 〈
          [">"], # 〉
          ["<<"], # 《
          [">> "], # 》
          ["["], # 「
          ["] "], # 」
          ["{"], # 『
          ["} "], # 』
          ["[("], # 【
          [")] "], # 】
          ["@"], # 〒
          ["X "], # 〓
          ["["], # 〔
          ["] "], # 〕
          ["[["], # 〖
          ["]] "], # 〗
          ["(("], # 〘
          [")) "], # 〙
          ["[["], # 〚
          ["]] "], # 〛
          ["~ "], # 〜
          ["``"], # 〝
          ["''"], # 〞
          [",,"], # 〟
          ["@"], # 〠
          ["1"], # 〡
          ["2"], # 〢
          ["3"], # 〣
          ["4"], # 〤
          ["5"], # 〥
          ["6"], # 〦
          ["7"], # 〧
          ["8"], # 〨
          ["9"], # 〩
          nil, # 〪
          nil, # 〫
          nil, # 〬
          nil, # 〭
          nil, # 〮
          nil, # 〯
          ["~"], # 〰
          ["+"], # 〱
          ["+"], # 〲
          ["+"], # 〳
          ["+"], # 〴
          nil, # 〵
          ["@"], # 〶
          [" // "], # 〷
          ["+10+"], # 〸
          ["+20+"], # 〹
          ["+30+"], # 〺
          nil, # 〻
          nil, # 〼
          nil, # 〽
          nil, # 〾
          nil, # 〿
          nil, # ぀
          ["a"], # ぁ
          ["a"], # あ
          ["i"], # ぃ
          ["i"], # い
          ["u"], # ぅ
          ["u"], # う
          ["e"], # ぇ
          ["e"], # え
          ["o"], # ぉ
          ["o"], # お
          ["ka"], # か
          ["ga"], # が
          ["ki"], # き
          ["gi"], # ぎ
          ["ku"], # く
          ["gu"], # ぐ
          ["ke"], # け
          ["ge"], # げ
          ["ko"], # こ
          ["go"], # ご
          ["sa"], # さ
          ["za"], # ざ
          ["si"], # し
          ["zi"], # じ
          ["su"], # す
          ["zu"], # ず
          ["se"], # せ
          ["ze"], # ぜ
          ["so"], # そ
          ["zo"], # ぞ
          ["ta"], # た
          ["da"], # だ
          ["ti"], # ち
          ["di"], # ぢ
          ["tu"], # っ
          ["tu"], # つ
          ["du"], # づ
          ["te"], # て
          ["de"], # で
          ["to"], # と
          ["do"], # ど
          ["na"], # な
          ["ni"], # に
          ["nu"], # ぬ
          ["ne"], # ね
          ["no"], # の
          ["ha"], # は
          ["ba"], # ば
          ["pa"], # ぱ
          ["hi"], # ひ
          ["bi"], # び
          ["pi"], # ぴ
          ["hu"], # ふ
          ["bu"], # ぶ
          ["pu"], # ぷ
          ["he"], # へ
          ["be"], # べ
          ["pe"], # ぺ
          ["ho"], # ほ
          ["bo"], # ぼ
          ["po"], # ぽ
          ["ma"], # ま
          ["mi"], # み
          ["mu"], # む
          ["me"], # め
          ["mo"], # も
          ["ya"], # ゃ
          ["ya"], # や
          ["yu"], # ゅ
          ["yu"], # ゆ
          ["yo"], # ょ
          ["yo"], # よ
          ["ra"], # ら
          ["ri"], # り
          ["ru"], # る
          ["re"], # れ
          ["ro"], # ろ
          ["wa"], # ゎ
          ["wa"], # わ
          ["wi"], # ゐ
          ["we"], # ゑ
          ["wo"], # を
          ["n"], # ん
          ["vu"], # ゔ
          nil, # ゕ
          nil, # ゖ
          nil, # ゗
          nil, # ゘
          nil, # ゙
          nil, # ゚
          nil, # ゛
          nil, # ゜
          ["\""], # ゝ
          ["\""], # ゞ
          nil, # ゟ
          nil, # ゠
          ["a"], # ァ
          ["a"], # ア
          ["i"], # ィ
          ["i"], # イ
          ["u"], # ゥ
          ["u"], # ウ
          ["e"], # ェ
          ["e"], # エ
          ["o"], # ォ
          ["o"], # オ
          ["ka"], # カ
          ["ga"], # ガ
          ["ki"], # キ
          ["gi"], # ギ
          ["ku"], # ク
          ["gu"], # グ
          ["ke"], # ケ
          ["ge"], # ゲ
          ["ko"], # コ
          ["go"], # ゴ
          ["sa"], # サ
          ["za"], # ザ
          ["si"], # シ
          ["zi"], # ジ
          ["su"], # ス
          ["zu"], # ズ
          ["se"], # セ
          ["ze"], # ゼ
          ["so"], # ソ
          ["zo"], # ゾ
          ["ta"], # タ
          ["da"], # ダ
          ["ti"], # チ
          ["di"], # ヂ
          ["tu"], # ッ
          ["tu"], # ツ
          ["du"], # ヅ
          ["te"], # テ
          ["de"], # デ
          ["to"], # ト
          ["do"], # ド
          ["na"], # ナ
          ["ni"], # ニ
          ["nu"], # ヌ
          ["ne"], # ネ
          ["no"], # ノ
          ["ha"], # ハ
          ["ba"], # バ
          ["pa"], # パ
          ["hi"], # ヒ
          ["bi"], # ビ
          ["pi"], # ピ
          ["hu"], # フ
          ["bu"], # ブ
          ["pu"], # プ
          ["he"], # ヘ
          ["be"], # ベ
          ["pe"], # ペ
          ["ho"], # ホ
          ["bo"], # ボ
          ["po"], # ポ
          ["ma"], # マ
          ["mi"], # ミ
          ["mu"], # ム
          ["me"], # メ
          ["mo"], # モ
          ["ya"], # ャ
          ["ya"], # ヤ
          ["yu"], # ュ
          ["yu"], # ユ
          ["yo"], # ョ
          ["yo"], # ヨ
          ["ra"], # ラ
          ["ri"], # リ
          ["ru"], # ル
          ["re"], # レ
          ["ro"], # ロ
          ["wa"], # ヮ
          ["wa"], # ワ
          ["wi"], # ヰ
          ["we"], # ヱ
          ["wo"], # ヲ
          ["n"], # ン
          ["vu"], # ヴ
          ["ka"], # ヵ
          ["ke"], # ヶ
          ["va"], # ヷ
          ["vi"], # ヸ
          ["ve"], # ヹ
          ["vo"], # ヺ
          nil, # ・
          nil, # ー
          ["\""], # ヽ
          ["\""], # ヾ
          nil # ヿ
        ],
        [
          nil, # ㄀
          nil, # ㄁
          nil, # ㄂
          nil, # ㄃
          nil, # ㄄
          ["B"], # ㄅ
          ["P"], # ㄆ
          ["M"], # ㄇ
          ["F"], # ㄈ
          ["D"], # ㄉ
          ["T"], # ㄊ
          ["N"], # ㄋ
          ["L"], # ㄌ
          ["G"], # ㄍ
          ["K"], # ㄎ
          ["H"], # ㄏ
          ["J"], # ㄐ
          ["Q"], # ㄑ
          ["X"], # ㄒ
          ["ZH"], # ㄓ
          ["CH"], # ㄔ
          ["SH"], # ㄕ
          ["R"], # ㄖ
          ["Z"], # ㄗ
          ["C"], # ㄘ
          ["S"], # ㄙ
          ["A"], # ㄚ
          ["O"], # ㄛ
          ["E"], # ㄜ
          ["EH"], # ㄝ
          ["AI"], # ㄞ
          ["EI"], # ㄟ
          ["AU"], # ㄠ
          ["OU"], # ㄡ
          ["AN"], # ㄢ
          ["EN"], # ㄣ
          ["ANG"], # ㄤ
          ["ENG"], # ㄥ
          ["ER"], # ㄦ
          ["I"], # ㄧ
          ["U"], # ㄨ
          ["IU"], # ㄩ
          ["V"], # ㄪ
          ["NG"], # ㄫ
          ["GN"], # ㄬ
          nil, # ㄭ
          nil, # ㄮ
          nil, # ㄯ
          nil, # ㄰
          ["g"], # ㄱ
          ["gg"], # ㄲ
          ["gs"], # ㄳ
          ["n"], # ㄴ
          ["nj"], # ㄵ
          ["nh"], # ㄶ
          ["d"], # ㄷ
          ["dd"], # ㄸ
          ["r"], # ㄹ
          ["lg"], # ㄺ
          ["lm"], # ㄻ
          ["lb"], # ㄼ
          ["ls"], # ㄽ
          ["lt"], # ㄾ
          ["lp"], # ㄿ
          ["rh"], # ㅀ
          ["m"], # ㅁ
          ["b"], # ㅂ
          ["bb"], # ㅃ
          ["bs"], # ㅄ
          ["s"], # ㅅ
          ["ss"], # ㅆ
          nil, # ㅇ
          ["j"], # ㅈ
          ["jj"], # ㅉ
          ["c"], # ㅊ
          ["k"], # ㅋ
          ["t"], # ㅌ
          ["p"], # ㅍ
          ["h"], # ㅎ
          ["a"], # ㅏ
          ["ae"], # ㅐ
          ["ya"], # ㅑ
          ["yae"], # ㅒ
          ["eo"], # ㅓ
          ["e"], # ㅔ
          ["yeo"], # ㅕ
          ["ye"], # ㅖ
          ["o"], # ㅗ
          ["wa"], # ㅘ
          ["wae"], # ㅙ
          ["oe"], # ㅚ
          ["yo"], # ㅛ
          ["u"], # ㅜ
          ["weo"], # ㅝ
          ["we"], # ㅞ
          ["wi"], # ㅟ
          ["yu"], # ㅠ
          ["eu"], # ㅡ
          ["yi"], # ㅢ
          ["i"], # ㅣ
          nil, # ㅤ
          ["nn"], # ㅥ
          ["nd"], # ㅦ
          ["ns"], # ㅧ
          ["nZ"], # ㅨ
          ["lgs"], # ㅩ
          ["ld"], # ㅪ
          ["lbs"], # ㅫ
          ["lZ"], # ㅬ
          ["lQ"], # ㅭ
          ["mb"], # ㅮ
          ["ms"], # ㅯ
          ["mZ"], # ㅰ
          ["mN"], # ㅱ
          ["bg"], # ㅲ
          nil, # ㅳ
          ["bsg"], # ㅴ
          ["bst"], # ㅵ
          ["bj"], # ㅶ
          ["bt"], # ㅷ
          ["bN"], # ㅸ
          ["bbN"], # ㅹ
          ["sg"], # ㅺ
          ["sn"], # ㅻ
          ["sd"], # ㅼ
          ["sb"], # ㅽ
          ["sj"], # ㅾ
          ["Z"], # ㅿ
          nil, # ㆀ
          ["N"], # ㆁ
          ["Ns"], # ㆂ
          ["NZ"], # ㆃ
          ["pN"], # ㆄ
          ["hh"], # ㆅ
          ["Q"], # ㆆ
          ["yo-ya"], # ㆇ
          ["yo-yae"], # ㆈ
          ["yo-i"], # ㆉ
          ["yu-yeo"], # ㆊ
          ["yu-ye"], # ㆋ
          ["yu-i"], # ㆌ
          ["U"], # ㆍ
          ["U-i"], # ㆎ
          nil, # ㆏
          nil, # ㆐
          nil, # ㆑
          nil, # ㆒
          nil, # ㆓
          nil, # ㆔
          nil, # ㆕
          nil, # ㆖
          nil, # ㆗
          nil, # ㆘
          nil, # ㆙
          nil, # ㆚
          nil, # ㆛
          nil, # ㆜
          nil, # ㆝
          nil, # ㆞
          nil, # ㆟
          ["BU"], # ㆠ
          ["ZI"], # ㆡ
          ["JI"], # ㆢ
          ["GU"], # ㆣ
          ["EE"], # ㆤ
          ["ENN"], # ㆥ
          ["OO"], # ㆦ
          ["ONN"], # ㆧ
          ["IR"], # ㆨ
          ["ANN"], # ㆩ
          ["INN"], # ㆪ
          ["UNN"], # ㆫ
          ["IM"], # ㆬ
          ["NGG"], # ㆭ
          ["AINN"], # ㆮ
          ["AUNN"], # ㆯ
          ["AM"], # ㆰ
          ["OM"], # ㆱ
          ["ONG"], # ㆲ
          ["INNN"], # ㆳ
          ["P"], # ㆴ
          ["T"], # ㆵ
          ["K"], # ㆶ
          ["H"], # ㆷ
          nil, # ㆸ
          nil, # ㆹ
          nil, # ㆺ
          nil, # ㆻ
          nil, # ㆼ
          nil, # ㆽ
          nil, # ㆾ
          nil, # ㆿ
          nil, # ㇀
          nil, # ㇁
          nil, # ㇂
          nil, # ㇃
          nil, # ㇄
          nil, # ㇅
          nil, # ㇆
          nil, # ㇇
          nil, # ㇈
          nil, # ㇉
          nil, # ㇊
          nil, # ㇋
          nil, # ㇌
          nil, # ㇍
          nil, # ㇎
          nil, # ㇏
          nil, # ㇐
          nil, # ㇑
          nil, # ㇒
          nil, # ㇓
          nil, # ㇔
          nil, # ㇕
          nil, # ㇖
          nil, # ㇗
          nil, # ㇘
          nil, # ㇙
          nil, # ㇚
          nil, # ㇛
          nil, # ㇜
          nil, # ㇝
          nil, # ㇞
          nil, # ㇟
          nil, # ㇠
          nil, # ㇡
          nil, # ㇢
          nil, # ㇣
          nil, # ㇤
          nil, # ㇥
          nil, # ㇦
          nil, # ㇧
          nil, # ㇨
          nil, # ㇩
          nil, # ㇪
          nil, # ㇫
          nil, # ㇬
          nil, # ㇭
          nil, # ㇮
          nil, # ㇯
          nil, # ㇰ
          nil, # ㇱ
          nil, # ㇲ
          nil, # ㇳ
          nil, # ㇴ
          nil, # ㇵ
          nil, # ㇶ
          nil, # ㇷ
          nil, # ㇸ
          nil, # ㇹ
          nil, # ㇺ
          nil, # ㇻ
          nil, # ㇼ
          nil, # ㇽ
          nil, # ㇾ
          nil # ㇿ
        ],
        [
          ["(g)"], # ㈀
          ["(n)"], # ㈁
          ["(d)"], # ㈂
          ["(r)"], # ㈃
          ["(m)"], # ㈄
          ["(b)"], # ㈅
          ["(s)"], # ㈆
          ["()"], # ㈇
          ["(j)"], # ㈈
          ["(c)"], # ㈉
          ["(k)"], # ㈊
          ["(t)"], # ㈋
          ["(p)"], # ㈌
          ["(h)"], # ㈍
          ["(ga)"], # ㈎
          ["(na)"], # ㈏
          ["(da)"], # ㈐
          ["(ra)"], # ㈑
          ["(ma)"], # ㈒
          ["(ba)"], # ㈓
          ["(sa)"], # ㈔
          ["(a)"], # ㈕
          ["(ja)"], # ㈖
          ["(ca)"], # ㈗
          ["(ka)"], # ㈘
          ["(ta)"], # ㈙
          ["(pa)"], # ㈚
          ["(ha)"], # ㈛
          ["(ju)"], # ㈜
          nil, # ㈝
          nil, # ㈞
          nil, # ㈟
          ["(1) "], # ㈠
          ["(2) "], # ㈡
          ["(3) "], # ㈢
          ["(4) "], # ㈣
          ["(5) "], # ㈤
          ["(6) "], # ㈥
          ["(7) "], # ㈦
          ["(8) "], # ㈧
          ["(9) "], # ㈨
          ["(10) "], # ㈩
          ["(Yue) "], # ㈪
          ["(Huo) "], # ㈫
          ["(Shui) "], # ㈬
          ["(Mu) "], # ㈭
          ["(Jin) "], # ㈮
          ["(Tu) "], # ㈯
          ["(Ri) "], # ㈰
          ["(Zhu) "], # ㈱
          ["(You) "], # ㈲
          ["(She) "], # ㈳
          ["(Ming) "], # ㈴
          ["(Te) "], # ㈵
          ["(Cai) "], # ㈶
          ["(Zhu) "], # ㈷
          ["(Lao) "], # ㈸
          ["(Dai) "], # ㈹
          ["(Hu) "], # ㈺
          ["(Xue) "], # ㈻
          ["(Jian) "], # ㈼
          ["(Qi) "], # ㈽
          ["(Zi) "], # ㈾
          ["(Xie) "], # ㈿
          ["(Ji) "], # ㉀
          ["(Xiu) "], # ㉁
          ["<<"], # ㉂
          [">>"], # ㉃
          nil, # ㉄
          nil, # ㉅
          nil, # ㉆
          nil, # ㉇
          nil, # ㉈
          nil, # ㉉
          nil, # ㉊
          nil, # ㉋
          nil, # ㉌
          nil, # ㉍
          nil, # ㉎
          nil, # ㉏
          nil, # ㉐
          nil, # ㉑
          nil, # ㉒
          nil, # ㉓
          nil, # ㉔
          nil, # ㉕
          nil, # ㉖
          nil, # ㉗
          nil, # ㉘
          nil, # ㉙
          nil, # ㉚
          nil, # ㉛
          nil, # ㉜
          nil, # ㉝
          nil, # ㉞
          nil, # ㉟
          ["(g)"], # ㉠
          ["(n)"], # ㉡
          ["(d)"], # ㉢
          ["(r)"], # ㉣
          ["(m)"], # ㉤
          ["(b)"], # ㉥
          ["(s)"], # ㉦
          ["()"], # ㉧
          ["(j)"], # ㉨
          ["(c)"], # ㉩
          ["(k)"], # ㉪
          ["(t)"], # ㉫
          ["(p)"], # ㉬
          ["(h)"], # ㉭
          ["(ga)"], # ㉮
          ["(na)"], # ㉯
          ["(da)"], # ㉰
          ["(ra)"], # ㉱
          ["(ma)"], # ㉲
          ["(ba)"], # ㉳
          ["(sa)"], # ㉴
          ["(a)"], # ㉵
          ["(ja)"], # ㉶
          ["(ca)"], # ㉷
          ["(ka)"], # ㉸
          ["(ta)"], # ㉹
          ["(pa)"], # ㉺
          ["(ha)"], # ㉻
          nil, # ㉼
          nil, # ㉽
          nil, # ㉾
          ["KIS "], # ㉿
          ["(1) "], # ㊀
          ["(2) "], # ㊁
          ["(3) "], # ㊂
          ["(4) "], # ㊃
          ["(5) "], # ㊄
          ["(6) "], # ㊅
          ["(7) "], # ㊆
          ["(8) "], # ㊇
          ["(9) "], # ㊈
          ["(10) "], # ㊉
          ["(Yue) "], # ㊊
          ["(Huo) "], # ㊋
          ["(Shui) "], # ㊌
          ["(Mu) "], # ㊍
          ["(Jin) "], # ㊎
          ["(Tu) "], # ㊏
          ["(Ri) "], # ㊐
          ["(Zhu) "], # ㊑
          ["(You) "], # ㊒
          ["(She) "], # ㊓
          ["(Ming) "], # ㊔
          ["(Te) "], # ㊕
          ["(Cai) "], # ㊖
          ["(Zhu) "], # ㊗
          ["(Lao) "], # ㊘
          ["(Mi) "], # ㊙
          ["(Nan) "], # ㊚
          ["(Nu) "], # ㊛
          ["(Shi) "], # ㊜
          ["(You) "], # ㊝
          ["(Yin) "], # ㊞
          ["(Zhu) "], # ㊟
          ["(Xiang) "], # ㊠
          ["(Xiu) "], # ㊡
          ["(Xie) "], # ㊢
          ["(Zheng) "], # ㊣
          ["(Shang) "], # ㊤
          ["(Zhong) "], # ㊥
          ["(Xia) "], # ㊦
          ["(Zuo) "], # ㊧
          ["(You) "], # ㊨
          ["(Yi) "], # ㊩
          ["(Zong) "], # ㊪
          ["(Xue) "], # ㊫
          ["(Jian) "], # ㊬
          ["(Qi) "], # ㊭
          ["(Zi) "], # ㊮
          ["(Xie) "], # ㊯
          ["(Ye) "], # ㊰
          nil, # ㊱
          nil, # ㊲
          nil, # ㊳
          nil, # ㊴
          nil, # ㊵
          nil, # ㊶
          nil, # ㊷
          nil, # ㊸
          nil, # ㊹
          nil, # ㊺
          nil, # ㊻
          nil, # ㊼
          nil, # ㊽
          nil, # ㊾
          nil, # ㊿
          ["1M"], # ㋀
          ["2M"], # ㋁
          ["3M"], # ㋂
          ["4M"], # ㋃
          ["5M"], # ㋄
          ["6M"], # ㋅
          ["7M"], # ㋆
          ["8M"], # ㋇
          ["9M"], # ㋈
          ["10M"], # ㋉
          ["11M"], # ㋊
          ["12M"], # ㋋
          nil, # ㋌
          nil, # ㋍
          nil, # ㋎
          nil, # ㋏
          ["a"], # ㋐
          ["i"], # ㋑
          ["u"], # ㋒
          ["u"], # ㋓
          ["o"], # ㋔
          ["ka"], # ㋕
          ["ki"], # ㋖
          ["ku"], # ㋗
          ["ke"], # ㋘
          ["ko"], # ㋙
          ["sa"], # ㋚
          ["si"], # ㋛
          ["su"], # ㋜
          ["se"], # ㋝
          ["so"], # ㋞
          ["ta"], # ㋟
          ["ti"], # ㋠
          ["tu"], # ㋡
          ["te"], # ㋢
          ["to"], # ㋣
          ["na"], # ㋤
          ["ni"], # ㋥
          ["nu"], # ㋦
          ["ne"], # ㋧
          ["no"], # ㋨
          ["ha"], # ㋩
          ["hi"], # ㋪
          ["hu"], # ㋫
          ["he"], # ㋬
          ["ho"], # ㋭
          ["ma"], # ㋮
          ["mi"], # ㋯
          ["mu"], # ㋰
          ["me"], # ㋱
          ["mo"], # ㋲
          ["ya"], # ㋳
          ["yu"], # ㋴
          ["yo"], # ㋵
          ["ra"], # ㋶
          ["ri"], # ㋷
          ["ru"], # ㋸
          ["re"], # ㋹
          ["ro"], # ㋺
          ["wa"], # ㋻
          ["wi"], # ㋼
          ["we"], # ㋽
          ["wo"], # ㋾
          nil # ㋿
        ],
        [
          ["apartment"], # ㌀
          ["alpha"], # ㌁
          ["ampere"], # ㌂
          ["are"], # ㌃
          ["inning"], # ㌄
          ["inch"], # ㌅
          ["won"], # ㌆
          ["escudo"], # ㌇
          ["acre"], # ㌈
          ["ounce"], # ㌉
          ["ohm"], # ㌊
          ["kai-ri"], # ㌋
          ["carat"], # ㌌
          ["calorie"], # ㌍
          ["gallon"], # ㌎
          ["gamma"], # ㌏
          ["giga"], # ㌐
          ["guinea"], # ㌑
          ["curie"], # ㌒
          ["guilder"], # ㌓
          ["kilo"], # ㌔
          ["kilogram"], # ㌕
          ["kilometer"], # ㌖
          ["kilowatt"], # ㌗
          ["gram"], # ㌘
          ["gram ton"], # ㌙
          ["cruzeiro"], # ㌚
          ["krone"], # ㌛
          ["case"], # ㌜
          ["koruna"], # ㌝
          ["co-op"], # ㌞
          ["cycle"], # ㌟
          ["centime"], # ㌠
          ["shilling"], # ㌡
          ["centi"], # ㌢
          ["cent"], # ㌣
          ["dozen"], # ㌤
          ["desi"], # ㌥
          ["dollar"], # ㌦
          ["ton"], # ㌧
          ["nano"], # ㌨
          ["knot"], # ㌩
          ["heights"], # ㌪
          ["percent"], # ㌫
          ["parts"], # ㌬
          ["barrel"], # ㌭
          ["piaster"], # ㌮
          ["picul"], # ㌯
          ["pico"], # ㌰
          ["building"], # ㌱
          ["farad"], # ㌲
          ["feet"], # ㌳
          ["bushel"], # ㌴
          ["franc"], # ㌵
          ["hectare"], # ㌶
          ["peso"], # ㌷
          ["pfennig"], # ㌸
          ["hertz"], # ㌹
          ["pence"], # ㌺
          ["page"], # ㌻
          ["beta"], # ㌼
          ["point"], # ㌽
          ["volt"], # ㌾
          ["hon"], # ㌿
          ["pound"], # ㍀
          ["hall"], # ㍁
          ["horn"], # ㍂
          ["micro"], # ㍃
          ["mile"], # ㍄
          ["mach"], # ㍅
          ["mark"], # ㍆
          ["mansion"], # ㍇
          ["micron"], # ㍈
          ["milli"], # ㍉
          ["millibar"], # ㍊
          ["mega"], # ㍋
          ["megaton"], # ㍌
          ["meter"], # ㍍
          ["yard"], # ㍎
          ["yard"], # ㍏
          ["yuan"], # ㍐
          ["liter"], # ㍑
          ["lira"], # ㍒
          ["rupee"], # ㍓
          ["ruble"], # ㍔
          ["rem"], # ㍕
          ["roentgen"], # ㍖
          ["watt"], # ㍗
          ["0h"], # ㍘
          ["1h"], # ㍙
          ["2h"], # ㍚
          ["3h"], # ㍛
          ["4h"], # ㍜
          ["5h"], # ㍝
          ["6h"], # ㍞
          ["7h"], # ㍟
          ["8h"], # ㍠
          ["9h"], # ㍡
          ["10h"], # ㍢
          ["11h"], # ㍣
          ["12h"], # ㍤
          ["13h"], # ㍥
          ["14h"], # ㍦
          ["15h"], # ㍧
          ["16h"], # ㍨
          ["17h"], # ㍩
          ["18h"], # ㍪
          ["19h"], # ㍫
          ["20h"], # ㍬
          ["21h"], # ㍭
          ["22h"], # ㍮
          ["23h"], # ㍯
          ["24h"], # ㍰
          ["HPA"], # ㍱
          ["da"], # ㍲
          ["AU"], # ㍳
          ["bar"], # ㍴
          ["oV"], # ㍵
          ["pc"], # ㍶
          nil, # ㍷
          nil, # ㍸
          nil, # ㍹
          nil, # ㍺
          ["Heisei"], # ㍻
          ["Syouwa"], # ㍼
          ["Taisyou"], # ㍽
          ["Meiji"], # ㍾
          ["Inc."], # ㍿
          ["pA"], # ㎀
          ["nA"], # ㎁
          ["microamp"], # ㎂
          ["mA"], # ㎃
          ["kA"], # ㎄
          ["kB"], # ㎅
          ["MB"], # ㎆
          ["GB"], # ㎇
          ["cal"], # ㎈
          ["kcal"], # ㎉
          ["pF"], # ㎊
          ["nF"], # ㎋
          ["microFarad"], # ㎌
          ["microgram"], # ㎍
          ["mg"], # ㎎
          ["kg"], # ㎏
          ["Hz"], # ㎐
          ["kHz"], # ㎑
          ["MHz"], # ㎒
          ["GHz"], # ㎓
          ["THz"], # ㎔
          ["microliter"], # ㎕
          ["ml"], # ㎖
          ["dl"], # ㎗
          ["kl"], # ㎘
          ["fm"], # ㎙
          ["nm"], # ㎚
          ["micrometer"], # ㎛
          ["mm"], # ㎜
          ["cm"], # ㎝
          ["km"], # ㎞
          ["mm^2"], # ㎟
          ["cm^2"], # ㎠
          ["m^2"], # ㎡
          ["km^2"], # ㎢
          ["mm^4"], # ㎣
          ["cm^3"], # ㎤
          ["m^3"], # ㎥
          ["km^3"], # ㎦
          ["m/s"], # ㎧
          ["m/s^2"], # ㎨
          ["Pa"], # ㎩
          ["kPa"], # ㎪
          ["MPa"], # ㎫
          ["GPa"], # ㎬
          ["rad"], # ㎭
          ["rad/s"], # ㎮
          ["rad/s^2"], # ㎯
          ["ps"], # ㎰
          ["ns"], # ㎱
          ["microsecond"], # ㎲
          ["ms"], # ㎳
          ["pV"], # ㎴
          ["nV"], # ㎵
          ["microvolt"], # ㎶
          ["mV"], # ㎷
          ["kV"], # ㎸
          ["MV"], # ㎹
          ["pW"], # ㎺
          ["nW"], # ㎻
          ["microwatt"], # ㎼
          ["mW"], # ㎽
          ["kW"], # ㎾
          ["MW"], # ㎿
          ["kOhm"], # ㏀
          ["MOhm"], # ㏁
          ["a.m."], # ㏂
          ["Bq"], # ㏃
          ["cc"], # ㏄
          ["cd"], # ㏅
          ["C/kg"], # ㏆
          ["Co."], # ㏇
          ["dB"], # ㏈
          ["Gy"], # ㏉
          ["ha"], # ㏊
          ["HP"], # ㏋
          ["in"], # ㏌
          ["K.K."], # ㏍
          ["KM"], # ㏎
          ["kt"], # ㏏
          ["lm"], # ㏐
          ["ln"], # ㏑
          ["log"], # ㏒
          ["lx"], # ㏓
          ["mb"], # ㏔
          ["mil"], # ㏕
          ["mol"], # ㏖
          ["pH"], # ㏗
          ["p.m."], # ㏘
          ["PPM"], # ㏙
          ["PR"], # ㏚
          ["sr"], # ㏛
          ["Sv"], # ㏜
          ["Wb"], # ㏝
          nil, # ㏞
          nil, # ㏟
          ["1d"], # ㏠
          ["2d"], # ㏡
          ["3d"], # ㏢
          ["4d"], # ㏣
          ["5d"], # ㏤
          ["6d"], # ㏥
          ["7d"], # ㏦
          ["8d"], # ㏧
          ["9d"], # ㏨
          ["10d"], # ㏩
          ["11d"], # ㏪
          ["12d"], # ㏫
          ["13d"], # ㏬
          ["14d"], # ㏭
          ["15d"], # ㏮
          ["16d"], # ㏯
          ["17d"], # ㏰
          ["18d"], # ㏱
          ["19d"], # ㏲
          ["20d"], # ㏳
          ["21d"], # ㏴
          ["22d"], # ㏵
          ["23d"], # ㏶
          ["24d"], # ㏷
          ["25d"], # ㏸
          ["26d"], # ㏹
          ["27d"], # ㏺
          ["28d"], # ㏻
          ["29d"], # ㏼
          ["30d"], # ㏽
          ["31d"], # ㏾
          nil # ㏿
        ],
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        [
          [" "], # 䴀
          [" "], # 䴁
          [" "], # 䴂
          [" "], # 䴃
          [" "], # 䴄
          [" "], # 䴅
          [" "], # 䴆
          [" "], # 䴇
          [" "], # 䴈
          [" "], # 䴉
          [" "], # 䴊
          [" "], # 䴋
          [" "], # 䴌
          [" "], # 䴍
          [" "], # 䴎
          [" "], # 䴏
          [" "], # 䴐
          [" "], # 䴑
          [" "], # 䴒
          [" "], # 䴓
          [" "], # 䴔
          [" "], # 䴕
          [" "], # 䴖
          [" "], # 䴗
          [" "], # 䴘
          [" "], # 䴙
          [" "], # 䴚
          [" "], # 䴛
          [" "], # 䴜
          [" "], # 䴝
          [" "], # 䴞
          [" "], # 䴟
          [" "], # 䴠
          [" "], # 䴡
          [" "], # 䴢
          [" "], # 䴣
          [" "], # 䴤
          [" "], # 䴥
          [" "], # 䴦
          [" "], # 䴧
          [" "], # 䴨
          [" "], # 䴩
          [" "], # 䴪
          [" "], # 䴫
          [" "], # 䴬
          [" "], # 䴭
          [" "], # 䴮
          [" "], # 䴯
          [" "], # 䴰
          [" "], # 䴱
          [" "], # 䴲
          [" "], # 䴳
          [" "], # 䴴
          [" "], # 䴵
          [" "], # 䴶
          [" "], # 䴷
          [" "], # 䴸
          [" "], # 䴹
          [" "], # 䴺
          [" "], # 䴻
          [" "], # 䴼
          [" "], # 䴽
          [" "], # 䴾
          [" "], # 䴿
          [" "], # 䵀
          [" "], # 䵁
          [" "], # 䵂
          [" "], # 䵃
          [" "], # 䵄
          [" "], # 䵅
          [" "], # 䵆
          [" "], # 䵇
          [" "], # 䵈
          [" "], # 䵉
          [" "], # 䵊
          [" "], # 䵋
          [" "], # 䵌
          [" "], # 䵍
          [" "], # 䵎
          [" "], # 䵏
          [" "], # 䵐
          [" "], # 䵑
          [" "], # 䵒
          [" "], # 䵓
          [" "], # 䵔
          [" "], # 䵕
          [" "], # 䵖
          [" "], # 䵗
          [" "], # 䵘
          [" "], # 䵙
          [" "], # 䵚
          [" "], # 䵛
          [" "], # 䵜
          [" "], # 䵝
          [" "], # 䵞
          [" "], # 䵟
          [" "], # 䵠
          [" "], # 䵡
          [" "], # 䵢
          [" "], # 䵣
          [" "], # 䵤
          [" "], # 䵥
          [" "], # 䵦
          [" "], # 䵧
          [" "], # 䵨
          [" "], # 䵩
          [" "], # 䵪
          [" "], # 䵫
          [" "], # 䵬
          [" "], # 䵭
          [" "], # 䵮
          [" "], # 䵯
          [" "], # 䵰
          [" "], # 䵱
          [" "], # 䵲
          [" "], # 䵳
          [" "], # 䵴
          [" "], # 䵵
          [" "], # 䵶
          [" "], # 䵷
          [" "], # 䵸
          [" "], # 䵹
          [" "], # 䵺
          [" "], # 䵻
          [" "], # 䵼
          [" "], # 䵽
          [" "], # 䵾
          [" "], # 䵿
          [" "], # 䶀
          [" "], # 䶁
          [" "], # 䶂
          [" "], # 䶃
          [" "], # 䶄
          [" "], # 䶅
          [" "], # 䶆
          [" "], # 䶇
          [" "], # 䶈
          [" "], # 䶉
          [" "], # 䶊
          [" "], # 䶋
          [" "], # 䶌
          [" "], # 䶍
          [" "], # 䶎
          [" "], # 䶏
          [" "], # 䶐
          [" "], # 䶑
          [" "], # 䶒
          [" "], # 䶓
          [" "], # 䶔
          [" "], # 䶕
          [" "], # 䶖
          [" "], # 䶗
          [" "], # 䶘
          [" "], # 䶙
          [" "], # 䶚
          [" "], # 䶛
          [" "], # 䶜
          [" "], # 䶝
          [" "], # 䶞
          [" "], # 䶟
          [" "], # 䶠
          [" "], # 䶡
          [" "], # 䶢
          [" "], # 䶣
          [" "], # 䶤
          [" "], # 䶥
          [" "], # 䶦
          [" "], # 䶧
          [" "], # 䶨
          [" "], # 䶩
          [" "], # 䶪
          [" "], # 䶫
          [" "], # 䶬
          [" "], # 䶭
          [" "], # 䶮
          [" "], # 䶯
          [" "], # 䶰
          [" "], # 䶱
          [" "], # 䶲
          [" "], # 䶳
          [" "], # 䶴
          [" "], # 䶵
          nil, # 䶶
          nil, # 䶷
          nil, # 䶸
          nil, # 䶹
          nil, # 䶺
          nil, # 䶻
          nil, # 䶼
          nil, # 䶽
          nil, # 䶾
          nil, # 䶿
          nil, # ䷀
          nil, # ䷁
          nil, # ䷂
          nil, # ䷃
          nil, # ䷄
          nil, # ䷅
          nil, # ䷆
          nil, # ䷇
          nil, # ䷈
          nil, # ䷉
          nil, # ䷊
          nil, # ䷋
          nil, # ䷌
          nil, # ䷍
          nil, # ䷎
          nil, # ䷏
          nil, # ䷐
          nil, # ䷑
          nil, # ䷒
          nil, # ䷓
          nil, # ䷔
          nil, # ䷕
          nil, # ䷖
          nil, # ䷗
          nil, # ䷘
          nil, # ䷙
          nil, # ䷚
          nil, # ䷛
          nil, # ䷜
          nil, # ䷝
          nil, # ䷞
          nil, # ䷟
          nil, # ䷠
          nil, # ䷡
          nil, # ䷢
          nil, # ䷣
          nil, # ䷤
          nil, # ䷥
          nil, # ䷦
          nil, # ䷧
          nil, # ䷨
          nil, # ䷩
          nil, # ䷪
          nil, # ䷫
          nil, # ䷬
          nil, # ䷭
          nil, # ䷮
          nil, # ䷯
          nil, # ䷰
          nil, # ䷱
          nil, # ䷲
          nil, # ䷳
          nil, # ䷴
          nil, # ䷵
          nil, # ䷶
          nil, # ䷷
          nil, # ䷸
          nil, # ䷹
          nil, # ䷺
          nil, # ䷻
          nil, # ䷼
          nil, # ䷽
          nil, # ䷾
          nil # ䷿
        ],
        [
          [" "], # 一
          ["Ding "], # 丁
          ["Kao "], # 丂
          ["Qi "], # 七
          ["Shang "], # 丄
          ["Xia "], # 丅
          [" "], # 丆
          ["Mo "], # 万
          ["Zhang "], # 丈
          ["San "], # 三
          ["Shang "], # 上
          ["Xia "], # 下
          ["Ji "], # 丌
          ["Bu "], # 不
          ["Yu "], # 与
          ["Mian "], # 丏
          ["Gai "], # 丐
          ["Chou "], # 丑
          ["Chou "], # 丒
          ["Zhuan "], # 专
          ["Qie "], # 且
          ["Pi "], # 丕
          ["Shi "], # 世
          ["Shi "], # 丗
          ["Qiu "], # 丘
          ["Bing "], # 丙
          ["Ye "], # 业
          ["Cong "], # 丛
          ["Dong "], # 东
          ["Si "], # 丝
          ["Cheng "], # 丞
          ["Diu "], # 丟
          ["Qiu "], # 丠
          ["Liang "], # 両
          ["Diu "], # 丢
          ["You "], # 丣
          ["Liang "], # 两
          ["Yan "], # 严
          ["Bing "], # 並
          ["Sang "], # 丧
          ["Gun "], # 丨
          ["Jiu "], # 丩
          ["Ge "], # 个
          ["Ya "], # 丫
          ["Qiang "], # 丬
          ["Zhong "], # 中
          ["Ji "], # 丮
          ["Jie "], # 丯
          ["Feng "], # 丰
          ["Guan "], # 丱
          ["Chuan "], # 串
          ["Chan "], # 丳
          ["Lin "], # 临
          ["Zhuo "], # 丵
          ["Zhu "], # 丶
          ["Ha "], # 丷
          ["Wan "], # 丸
          ["Dan "], # 丹
          ["Wei "], # 为
          ["Zhu "], # 主
          ["Jing "], # 丼
          ["Li "], # 丽
          ["Ju "], # 举
          ["Pie "], # 丿
          ["Fu "], # 乀
          ["Yi "], # 乁
          ["Yi "], # 乂
          ["Nai "], # 乃
          ["Shime "], # 乄
          ["Jiu "], # 久
          ["Jiu "], # 乆
          ["Zhe "], # 乇
          ["Yao "], # 么
          ["Yi "], # 义
          [" "], # 乊
          ["Zhi "], # 之
          ["Wu "], # 乌
          ["Zha "], # 乍
          ["Hu "], # 乎
          ["Fa "], # 乏
          ["Le "], # 乐
          ["Zhong "], # 乑
          ["Ping "], # 乒
          ["Pang "], # 乓
          ["Qiao "], # 乔
          ["Hu "], # 乕
          ["Guai "], # 乖
          ["Cheng "], # 乗
          ["Cheng "], # 乘
          ["Yi "], # 乙
          ["Yin "], # 乚
          [" "], # 乛
          ["Mie "], # 乜
          ["Jiu "], # 九
          ["Qi "], # 乞
          ["Ye "], # 也
          ["Xi "], # 习
          ["Xiang "], # 乡
          ["Gai "], # 乢
          ["Diu "], # 乣
          ["Hal "], # 乤
          [" "], # 乥
          ["Shu "], # 书
          ["Twul "], # 乧
          ["Shi "], # 乨
          ["Ji "], # 乩
          ["Nang "], # 乪
          ["Jia "], # 乫
          ["Kel "], # 乬
          ["Shi "], # 乭
          [" "], # 乮
          ["Ol "], # 乯
          ["Mai "], # 买
          ["Luan "], # 乱
          ["Cal "], # 乲
          ["Ru "], # 乳
          ["Xue "], # 乴
          ["Yan "], # 乵
          ["Fu "], # 乶
          ["Sha "], # 乷
          ["Na "], # 乸
          ["Gan "], # 乹
          ["Sol "], # 乺
          ["El "], # 乻
          ["Cwul "], # 乼
          [" "], # 乽
          ["Gan "], # 乾
          ["Chi "], # 乿
          ["Gui "], # 亀
          ["Gan "], # 亁
          ["Luan "], # 亂
          ["Lin "], # 亃
          ["Yi "], # 亄
          ["Jue "], # 亅
          ["Liao "], # 了
          ["Ma "], # 亇
          ["Yu "], # 予
          ["Zheng "], # 争
          ["Shi "], # 亊
          ["Shi "], # 事
          ["Er "], # 二
          ["Chu "], # 亍
          ["Yu "], # 于
          ["Yu "], # 亏
          ["Yu "], # 亐
          ["Yun "], # 云
          ["Hu "], # 互
          ["Qi "], # 亓
          ["Wu "], # 五
          ["Jing "], # 井
          ["Si "], # 亖
          ["Sui "], # 亗
          ["Gen "], # 亘
          ["Gen "], # 亙
          ["Ya "], # 亚
          ["Xie "], # 些
          ["Ya "], # 亜
          ["Qi "], # 亝
          ["Ya "], # 亞
          ["Ji "], # 亟
          ["Tou "], # 亠
          ["Wang "], # 亡
          ["Kang "], # 亢
          ["Ta "], # 亣
          ["Jiao "], # 交
          ["Hai "], # 亥
          ["Yi "], # 亦
          ["Chan "], # 产
          ["Heng "], # 亨
          ["Mu "], # 亩
          [" "], # 亪
          ["Xiang "], # 享
          ["Jing "], # 京
          ["Ting "], # 亭
          ["Liang "], # 亮
          ["Xiang "], # 亯
          ["Jing "], # 亰
          ["Ye "], # 亱
          ["Qin "], # 亲
          ["Bo "], # 亳
          ["You "], # 亴
          ["Xie "], # 亵
          ["Dan "], # 亶
          ["Lian "], # 亷
          ["Duo "], # 亸
          ["Wei "], # 亹
          ["Ren "], # 人
          ["Ren "], # 亻
          ["Ji "], # 亼
          ["La "], # 亽
          ["Wang "], # 亾
          ["Yi "], # 亿
          ["Shi "], # 什
          ["Ren "], # 仁
          ["Le "], # 仂
          ["Ding "], # 仃
          ["Ze "], # 仄
          ["Jin "], # 仅
          ["Pu "], # 仆
          ["Chou "], # 仇
          ["Ba "], # 仈
          ["Zhang "], # 仉
          ["Jin "], # 今
          ["Jie "], # 介
          ["Bing "], # 仌
          ["Reng "], # 仍
          ["Cong "], # 从
          ["Fo "], # 仏
          ["San "], # 仐
          ["Lun "], # 仑
          ["Sya "], # 仒
          ["Cang "], # 仓
          ["Zi "], # 仔
          ["Shi "], # 仕
          ["Ta "], # 他
          ["Zhang "], # 仗
          ["Fu "], # 付
          ["Xian "], # 仙
          ["Xian "], # 仚
          ["Tuo "], # 仛
          ["Hong "], # 仜
          ["Tong "], # 仝
          ["Ren "], # 仞
          ["Qian "], # 仟
          ["Gan "], # 仠
          ["Yi "], # 仡
          ["Di "], # 仢
          ["Dai "], # 代
          ["Ling "], # 令
          ["Yi "], # 以
          ["Chao "], # 仦
          ["Chang "], # 仧
          ["Sa "], # 仨
          [" "], # 仩
          ["Yi "], # 仪
          ["Mu "], # 仫
          ["Men "], # 们
          ["Ren "], # 仭
          ["Jia "], # 仮
          ["Chao "], # 仯
          ["Yang "], # 仰
          ["Qian "], # 仱
          ["Zhong "], # 仲
          ["Pi "], # 仳
          ["Wan "], # 仴
          ["Wu "], # 仵
          ["Jian "], # 件
          ["Jie "], # 价
          ["Yao "], # 仸
          ["Feng "], # 仹
          ["Cang "], # 仺
          ["Ren "], # 任
          ["Wang "], # 仼
          ["Fen "], # 份
          ["Di "], # 仾
          ["Fang "] # 仿
        ],
        [
          ["Zhong "], # 伀
          ["Qi "], # 企
          ["Pei "], # 伂
          ["Yu "], # 伃
          ["Diao "], # 伄
          ["Dun "], # 伅
          ["Wen "], # 伆
          ["Yi "], # 伇
          ["Xin "], # 伈
          ["Kang "], # 伉
          ["Yi "], # 伊
          ["Ji "], # 伋
          ["Ai "], # 伌
          ["Wu "], # 伍
          ["Ji "], # 伎
          ["Fu "], # 伏
          ["Fa "], # 伐
          ["Xiu "], # 休
          ["Jin "], # 伒
          ["Bei "], # 伓
          ["Dan "], # 伔
          ["Fu "], # 伕
          ["Tang "], # 伖
          ["Zhong "], # 众
          ["You "], # 优
          ["Huo "], # 伙
          ["Hui "], # 会
          ["Yu "], # 伛
          ["Cui "], # 伜
          ["Chuan "], # 伝
          ["San "], # 伞
          ["Wei "], # 伟
          ["Chuan "], # 传
          ["Che "], # 伡
          ["Ya "], # 伢
          ["Xian "], # 伣
          ["Shang "], # 伤
          ["Chang "], # 伥
          ["Lun "], # 伦
          ["Cang "], # 伧
          ["Xun "], # 伨
          ["Xin "], # 伩
          ["Wei "], # 伪
          ["Zhu "], # 伫
          [" "], # 伬
          ["Xuan "], # 伭
          ["Nu "], # 伮
          ["Bo "], # 伯
          ["Gu "], # 估
          ["Ni "], # 伱
          ["Ni "], # 伲
          ["Xie "], # 伳
          ["Ban "], # 伴
          ["Xu "], # 伵
          ["Ling "], # 伶
          ["Zhou "], # 伷
          ["Shen "], # 伸
          ["Qu "], # 伹
          ["Si "], # 伺
          ["Beng "], # 伻
          ["Si "], # 似
          ["Jia "], # 伽
          ["Pi "], # 伾
          ["Yi "], # 伿
          ["Si "], # 佀
          ["Ai "], # 佁
          ["Zheng "], # 佂
          ["Dian "], # 佃
          ["Han "], # 佄
          ["Mai "], # 佅
          ["Dan "], # 但
          ["Zhu "], # 佇
          ["Bu "], # 佈
          ["Qu "], # 佉
          ["Bi "], # 佊
          ["Shao "], # 佋
          ["Ci "], # 佌
          ["Wei "], # 位
          ["Di "], # 低
          ["Zhu "], # 住
          ["Zuo "], # 佐
          ["You "], # 佑
          ["Yang "], # 佒
          ["Ti "], # 体
          ["Zhan "], # 佔
          ["He "], # 何
          ["Bi "], # 佖
          ["Tuo "], # 佗
          ["She "], # 佘
          ["Yu "], # 余
          ["Yi "], # 佚
          ["Fo "], # 佛
          ["Zuo "], # 作
          ["Kou "], # 佝
          ["Ning "], # 佞
          ["Tong "], # 佟
          ["Ni "], # 你
          ["Xuan "], # 佡
          ["Qu "], # 佢
          ["Yong "], # 佣
          ["Wa "], # 佤
          ["Qian "], # 佥
          [" "], # 佦
          ["Ka "], # 佧
          [" "], # 佨
          ["Pei "], # 佩
          ["Huai "], # 佪
          ["He "], # 佫
          ["Lao "], # 佬
          ["Xiang "], # 佭
          ["Ge "], # 佮
          ["Yang "], # 佯
          ["Bai "], # 佰
          ["Fa "], # 佱
          ["Ming "], # 佲
          ["Jia "], # 佳
          ["Er "], # 佴
          ["Bing "], # 併
          ["Ji "], # 佶
          ["Hen "], # 佷
          ["Huo "], # 佸
          ["Gui "], # 佹
          ["Quan "], # 佺
          ["Tiao "], # 佻
          ["Jiao "], # 佼
          ["Ci "], # 佽
          ["Yi "], # 佾
          ["Shi "], # 使
          ["Xing "], # 侀
          ["Shen "], # 侁
          ["Tuo "], # 侂
          ["Kan "], # 侃
          ["Zhi "], # 侄
          ["Gai "], # 侅
          ["Lai "], # 來
          ["Yi "], # 侇
          ["Chi "], # 侈
          ["Kua "], # 侉
          ["Guang "], # 侊
          ["Li "], # 例
          ["Yin "], # 侌
          ["Shi "], # 侍
          ["Mi "], # 侎
          ["Zhu "], # 侏
          ["Xu "], # 侐
          ["You "], # 侑
          ["An "], # 侒
          ["Lu "], # 侓
          ["Mou "], # 侔
          ["Er "], # 侕
          ["Lun "], # 侖
          ["Tong "], # 侗
          ["Cha "], # 侘
          ["Chi "], # 侙
          ["Xun "], # 侚
          ["Gong "], # 供
          ["Zhou "], # 侜
          ["Yi "], # 依
          ["Ru "], # 侞
          ["Jian "], # 侟
          ["Xia "], # 侠
          ["Jia "], # 価
          ["Zai "], # 侢
          ["Lu "], # 侣
          ["Ko "], # 侤
          ["Jiao "], # 侥
          ["Zhen "], # 侦
          ["Ce "], # 侧
          ["Qiao "], # 侨
          ["Kuai "], # 侩
          ["Chai "], # 侪
          ["Ning "], # 侫
          ["Nong "], # 侬
          ["Jin "], # 侭
          ["Wu "], # 侮
          ["Hou "], # 侯
          ["Jiong "], # 侰
          ["Cheng "], # 侱
          ["Zhen "], # 侲
          ["Zuo "], # 侳
          ["Chou "], # 侴
          ["Qin "], # 侵
          ["Lu "], # 侶
          ["Ju "], # 侷
          ["Shu "], # 侸
          ["Ting "], # 侹
          ["Shen "], # 侺
          ["Tuo "], # 侻
          ["Bo "], # 侼
          ["Nan "], # 侽
          ["Hao "], # 侾
          ["Bian "], # 便
          ["Tui "], # 俀
          ["Yu "], # 俁
          ["Xi "], # 係
          ["Cu "], # 促
          ["E "], # 俄
          ["Qiu "], # 俅
          ["Xu "], # 俆
          ["Kuang "], # 俇
          ["Ku "], # 俈
          ["Wu "], # 俉
          ["Jun "], # 俊
          ["Yi "], # 俋
          ["Fu "], # 俌
          ["Lang "], # 俍
          ["Zu "], # 俎
          ["Qiao "], # 俏
          ["Li "], # 俐
          ["Yong "], # 俑
          ["Hun "], # 俒
          ["Jing "], # 俓
          ["Xian "], # 俔
          ["San "], # 俕
          ["Pai "], # 俖
          ["Su "], # 俗
          ["Fu "], # 俘
          ["Xi "], # 俙
          ["Li "], # 俚
          ["Fu "], # 俛
          ["Ping "], # 俜
          ["Bao "], # 保
          ["Yu "], # 俞
          ["Si "], # 俟
          ["Xia "], # 俠
          ["Xin "], # 信
          ["Xiu "], # 俢
          ["Yu "], # 俣
          ["Ti "], # 俤
          ["Che "], # 俥
          ["Chou "], # 俦
          [" "], # 俧
          ["Yan "], # 俨
          ["Lia "], # 俩
          ["Li "], # 俪
          ["Lai "], # 俫
          [" "], # 俬
          ["Jian "], # 俭
          ["Xiu "], # 修
          ["Fu "], # 俯
          ["He "], # 俰
          ["Ju "], # 俱
          ["Xiao "], # 俲
          ["Pai "], # 俳
          ["Jian "], # 俴
          ["Biao "], # 俵
          ["Chu "], # 俶
          ["Fei "], # 俷
          ["Feng "], # 俸
          ["Ya "], # 俹
          ["An "], # 俺
          ["Bei "], # 俻
          ["Yu "], # 俼
          ["Xin "], # 俽
          ["Bi "], # 俾
          ["Jian "] # 俿
        ],
        [
          ["Chang "], # 倀
          ["Chi "], # 倁
          ["Bing "], # 倂
          ["Zan "], # 倃
          ["Yao "], # 倄
          ["Cui "], # 倅
          ["Lia "], # 倆
          ["Wan "], # 倇
          ["Lai "], # 倈
          ["Cang "], # 倉
          ["Zong "], # 倊
          ["Ge "], # 個
          ["Guan "], # 倌
          ["Bei "], # 倍
          ["Tian "], # 倎
          ["Shu "], # 倏
          ["Shu "], # 倐
          ["Men "], # 們
          ["Dao "], # 倒
          ["Tan "], # 倓
          ["Jue "], # 倔
          ["Chui "], # 倕
          ["Xing "], # 倖
          ["Peng "], # 倗
          ["Tang "], # 倘
          ["Hou "], # 候
          ["Yi "], # 倚
          ["Qi "], # 倛
          ["Ti "], # 倜
          ["Gan "], # 倝
          ["Jing "], # 倞
          ["Jie "], # 借
          ["Sui "], # 倠
          ["Chang "], # 倡
          ["Jie "], # 倢
          ["Fang "], # 倣
          ["Zhi "], # 値
          ["Kong "], # 倥
          ["Juan "], # 倦
          ["Zong "], # 倧
          ["Ju "], # 倨
          ["Qian "], # 倩
          ["Ni "], # 倪
          ["Lun "], # 倫
          ["Zhuo "], # 倬
          ["Wei "], # 倭
          ["Luo "], # 倮
          ["Song "], # 倯
          ["Leng "], # 倰
          ["Hun "], # 倱
          ["Dong "], # 倲
          ["Zi "], # 倳
          ["Ben "], # 倴
          ["Wu "], # 倵
          ["Ju "], # 倶
          ["Nai "], # 倷
          ["Cai "], # 倸
          ["Jian "], # 倹
          ["Zhai "], # 债
          ["Ye "], # 倻
          ["Zhi "], # 值
          ["Sha "], # 倽
          ["Qing "], # 倾
          [" "], # 倿
          ["Ying "], # 偀
          ["Cheng "], # 偁
          ["Jian "], # 偂
          ["Yan "], # 偃
          ["Nuan "], # 偄
          ["Zhong "], # 偅
          ["Chun "], # 偆
          ["Jia "], # 假
          ["Jie "], # 偈
          ["Wei "], # 偉
          ["Yu "], # 偊
          ["Bing "], # 偋
          ["Ruo "], # 偌
          ["Ti "], # 偍
          ["Wei "], # 偎
          ["Pian "], # 偏
          ["Yan "], # 偐
          ["Feng "], # 偑
          ["Tang "], # 偒
          ["Wo "], # 偓
          ["E "], # 偔
          ["Xie "], # 偕
          ["Che "], # 偖
          ["Sheng "], # 偗
          ["Kan "], # 偘
          ["Di "], # 偙
          ["Zuo "], # 做
          ["Cha "], # 偛
          ["Ting "], # 停
          ["Bei "], # 偝
          ["Ye "], # 偞
          ["Huang "], # 偟
          ["Yao "], # 偠
          ["Zhan "], # 偡
          ["Chou "], # 偢
          ["Yan "], # 偣
          ["You "], # 偤
          ["Jian "], # 健
          ["Xu "], # 偦
          ["Zha "], # 偧
          ["Ci "], # 偨
          ["Fu "], # 偩
          ["Bi "], # 偪
          ["Zhi "], # 偫
          ["Zong "], # 偬
          ["Mian "], # 偭
          ["Ji "], # 偮
          ["Yi "], # 偯
          ["Xie "], # 偰
          ["Xun "], # 偱
          ["Si "], # 偲
          ["Duan "], # 偳
          ["Ce "], # 側
          ["Zhen "], # 偵
          ["Ou "], # 偶
          ["Tou "], # 偷
          ["Tou "], # 偸
          ["Bei "], # 偹
          ["Za "], # 偺
          ["Lu "], # 偻
          ["Jie "], # 偼
          ["Wei "], # 偽
          ["Fen "], # 偾
          ["Chang "], # 偿
          ["Gui "], # 傀
          ["Sou "], # 傁
          ["Zhi "], # 傂
          ["Su "], # 傃
          ["Xia "], # 傄
          ["Fu "], # 傅
          ["Yuan "], # 傆
          ["Rong "], # 傇
          ["Li "], # 傈
          ["Ru "], # 傉
          ["Yun "], # 傊
          ["Gou "], # 傋
          ["Ma "], # 傌
          ["Bang "], # 傍
          ["Dian "], # 傎
          ["Tang "], # 傏
          ["Hao "], # 傐
          ["Jie "], # 傑
          ["Xi "], # 傒
          ["Shan "], # 傓
          ["Qian "], # 傔
          ["Jue "], # 傕
          ["Cang "], # 傖
          ["Chu "], # 傗
          ["San "], # 傘
          ["Bei "], # 備
          ["Xiao "], # 傚
          ["Yong "], # 傛
          ["Yao "], # 傜
          ["Tan "], # 傝
          ["Suo "], # 傞
          ["Yang "], # 傟
          ["Fa "], # 傠
          ["Bing "], # 傡
          ["Jia "], # 傢
          ["Dai "], # 傣
          ["Zai "], # 傤
          ["Tang "], # 傥
          [" "], # 傦
          ["Bin "], # 傧
          ["Chu "], # 储
          ["Nuo "], # 傩
          ["Can "], # 傪
          ["Lei "], # 傫
          ["Cui "], # 催
          ["Yong "], # 傭
          ["Zao "], # 傮
          ["Zong "], # 傯
          ["Peng "], # 傰
          ["Song "], # 傱
          ["Ao "], # 傲
          ["Chuan "], # 傳
          ["Yu "], # 傴
          ["Zhai "], # 債
          ["Cou "], # 傶
          ["Shang "], # 傷
          ["Qiang "], # 傸
          ["Jing "], # 傹
          ["Chi "], # 傺
          ["Sha "], # 傻
          ["Han "], # 傼
          ["Zhang "], # 傽
          ["Qing "], # 傾
          ["Yan "], # 傿
          ["Di "], # 僀
          ["Xi "], # 僁
          ["Lu "], # 僂
          ["Bei "], # 僃
          ["Piao "], # 僄
          ["Jin "], # 僅
          ["Lian "], # 僆
          ["Lu "], # 僇
          ["Man "], # 僈
          ["Qian "], # 僉
          ["Xian "], # 僊
          ["Tan "], # 僋
          ["Ying "], # 僌
          ["Dong "], # 働
          ["Zhuan "], # 僎
          ["Xiang "], # 像
          ["Shan "], # 僐
          ["Qiao "], # 僑
          ["Jiong "], # 僒
          ["Tui "], # 僓
          ["Zun "], # 僔
          ["Pu "], # 僕
          ["Xi "], # 僖
          ["Lao "], # 僗
          ["Chang "], # 僘
          ["Guang "], # 僙
          ["Liao "], # 僚
          ["Qi "], # 僛
          ["Deng "], # 僜
          ["Chan "], # 僝
          ["Wei "], # 僞
          ["Ji "], # 僟
          ["Fan "], # 僠
          ["Hui "], # 僡
          ["Chuan "], # 僢
          ["Jian "], # 僣
          ["Dan "], # 僤
          ["Jiao "], # 僥
          ["Jiu "], # 僦
          ["Seng "], # 僧
          ["Fen "], # 僨
          ["Xian "], # 僩
          ["Jue "], # 僪
          ["E "], # 僫
          ["Jiao "], # 僬
          ["Jian "], # 僭
          ["Tong "], # 僮
          ["Lin "], # 僯
          ["Bo "], # 僰
          ["Gu "], # 僱
          [" "], # 僲
          ["Su "], # 僳
          ["Xian "], # 僴
          ["Jiang "], # 僵
          ["Min "], # 僶
          ["Ye "], # 僷
          ["Jin "], # 僸
          ["Jia "], # 價
          ["Qiao "], # 僺
          ["Pi "], # 僻
          ["Feng "], # 僼
          ["Zhou "], # 僽
          ["Ai "], # 僾
          ["Sai "] # 僿
        ],
        [
          ["Yi "], # 儀
          ["Jun "], # 儁
          ["Nong "], # 儂
          ["Chan "], # 儃
          ["Yi "], # 億
          ["Dang "], # 儅
          ["Jing "], # 儆
          ["Xuan "], # 儇
          ["Kuai "], # 儈
          ["Jian "], # 儉
          ["Chu "], # 儊
          ["Dan "], # 儋
          ["Jiao "], # 儌
          ["Sha "], # 儍
          ["Zai "], # 儎
          [" "], # 儏
          ["Bin "], # 儐
          ["An "], # 儑
          ["Ru "], # 儒
          ["Tai "], # 儓
          ["Chou "], # 儔
          ["Chai "], # 儕
          ["Lan "], # 儖
          ["Ni "], # 儗
          ["Jin "], # 儘
          ["Qian "], # 儙
          ["Meng "], # 儚
          ["Wu "], # 儛
          ["Ning "], # 儜
          ["Qiong "], # 儝
          ["Ni "], # 儞
          ["Chang "], # 償
          ["Lie "], # 儠
          ["Lei "], # 儡
          ["Lu "], # 儢
          ["Kuang "], # 儣
          ["Bao "], # 儤
          ["Du "], # 儥
          ["Biao "], # 儦
          ["Zan "], # 儧
          ["Zhi "], # 儨
          ["Si "], # 儩
          ["You "], # 優
          ["Hao "], # 儫
          ["Chen "], # 儬
          ["Chen "], # 儭
          ["Li "], # 儮
          ["Teng "], # 儯
          ["Wei "], # 儰
          ["Long "], # 儱
          ["Chu "], # 儲
          ["Chan "], # 儳
          ["Rang "], # 儴
          ["Shu "], # 儵
          ["Hui "], # 儶
          ["Li "], # 儷
          ["Luo "], # 儸
          ["Zan "], # 儹
          ["Nuo "], # 儺
          ["Tang "], # 儻
          ["Yan "], # 儼
          ["Lei "], # 儽
          ["Nang "], # 儾
          ["Er "], # 儿
          ["Wu "], # 兀
          ["Yun "], # 允
          ["Zan "], # 兂
          ["Yuan "], # 元
          ["Xiong "], # 兄
          ["Chong "], # 充
          ["Zhao "], # 兆
          ["Xiong "], # 兇
          ["Xian "], # 先
          ["Guang "], # 光
          ["Dui "], # 兊
          ["Ke "], # 克
          ["Dui "], # 兌
          ["Mian "], # 免
          ["Tu "], # 兎
          ["Chang "], # 兏
          ["Er "], # 児
          ["Dui "], # 兑
          ["Er "], # 兒
          ["Xin "], # 兓
          ["Tu "], # 兔
          ["Si "], # 兕
          ["Yan "], # 兖
          ["Yan "], # 兗
          ["Shi "], # 兘
          ["Shi "], # 兙
          ["Dang "], # 党
          ["Qian "], # 兛
          ["Dou "], # 兜
          ["Fen "], # 兝
          ["Mao "], # 兞
          ["Shen "], # 兟
          ["Dou "], # 兠
          ["Bai "], # 兡
          ["Jing "], # 兢
          ["Li "], # 兣
          ["Huang "], # 兤
          ["Ru "], # 入
          ["Wang "], # 兦
          ["Nei "], # 內
          ["Quan "], # 全
          ["Liang "], # 兩
          ["Yu "], # 兪
          ["Ba "], # 八
          ["Gong "], # 公
          ["Liu "], # 六
          ["Xi "], # 兮
          [" "], # 兯
          ["Lan "], # 兰
          ["Gong "], # 共
          ["Tian "], # 兲
          ["Guan "], # 关
          ["Xing "], # 兴
          ["Bing "], # 兵
          ["Qi "], # 其
          ["Ju "], # 具
          ["Dian "], # 典
          ["Zi "], # 兹
          ["Ppwun "], # 兺
          ["Yang "], # 养
          ["Jian "], # 兼
          ["Shou "], # 兽
          ["Ji "], # 兾
          ["Yi "], # 兿
          ["Ji "], # 冀
          ["Chan "], # 冁
          ["Jiong "], # 冂
          ["Mao "], # 冃
          ["Ran "], # 冄
          ["Nei "], # 内
          ["Yuan "], # 円
          ["Mao "], # 冇
          ["Gang "], # 冈
          ["Ran "], # 冉
          ["Ce "], # 冊
          ["Jiong "], # 冋
          ["Ce "], # 册
          ["Zai "], # 再
          ["Gua "], # 冎
          ["Jiong "], # 冏
          ["Mao "], # 冐
          ["Zhou "], # 冑
          ["Mou "], # 冒
          ["Gou "], # 冓
          ["Xu "], # 冔
          ["Mian "], # 冕
          ["Mi "], # 冖
          ["Rong "], # 冗
          ["Yin "], # 冘
          ["Xie "], # 写
          ["Kan "], # 冚
          ["Jun "], # 军
          ["Nong "], # 农
          ["Yi "], # 冝
          ["Mi "], # 冞
          ["Shi "], # 冟
          ["Guan "], # 冠
          ["Meng "], # 冡
          ["Zhong "], # 冢
          ["Ju "], # 冣
          ["Yuan "], # 冤
          ["Ming "], # 冥
          ["Kou "], # 冦
          ["Lam "], # 冧
          ["Fu "], # 冨
          ["Xie "], # 冩
          ["Mi "], # 冪
          ["Bing "], # 冫
          ["Dong "], # 冬
          ["Tai "], # 冭
          ["Gang "], # 冮
          ["Feng "], # 冯
          ["Bing "], # 冰
          ["Hu "], # 冱
          ["Chong "], # 冲
          ["Jue "], # 决
          ["Hu "], # 冴
          ["Kuang "], # 况
          ["Ye "], # 冶
          ["Leng "], # 冷
          ["Pan "], # 冸
          ["Fu "], # 冹
          ["Min "], # 冺
          ["Dong "], # 冻
          ["Xian "], # 冼
          ["Lie "], # 冽
          ["Xia "], # 冾
          ["Jian "], # 冿
          ["Jing "], # 净
          ["Shu "], # 凁
          ["Mei "], # 凂
          ["Tu "], # 凃
          ["Qi "], # 凄
          ["Gu "], # 凅
          ["Zhun "], # 准
          ["Song "], # 凇
          ["Jing "], # 凈
          ["Liang "], # 凉
          ["Qing "], # 凊
          ["Diao "], # 凋
          ["Ling "], # 凌
          ["Dong "], # 凍
          ["Gan "], # 凎
          ["Jian "], # 减
          ["Yin "], # 凐
          ["Cou "], # 凑
          ["Yi "], # 凒
          ["Li "], # 凓
          ["Cang "], # 凔
          ["Ming "], # 凕
          ["Zhuen "], # 凖
          ["Cui "], # 凗
          ["Si "], # 凘
          ["Duo "], # 凙
          ["Jin "], # 凚
          ["Lin "], # 凛
          ["Lin "], # 凜
          ["Ning "], # 凝
          ["Xi "], # 凞
          ["Du "], # 凟
          ["Ji "], # 几
          ["Fan "], # 凡
          ["Fan "], # 凢
          ["Fan "], # 凣
          ["Feng "], # 凤
          ["Ju "], # 凥
          ["Chu "], # 処
          ["Tako "], # 凧
          ["Feng "], # 凨
          ["Mok "], # 凩
          ["Ci "], # 凪
          ["Fu "], # 凫
          ["Feng "], # 凬
          ["Ping "], # 凭
          ["Feng "], # 凮
          ["Kai "], # 凯
          ["Huang "], # 凰
          ["Kai "], # 凱
          ["Gan "], # 凲
          ["Deng "], # 凳
          ["Ping "], # 凴
          ["Qu "], # 凵
          ["Xiong "], # 凶
          ["Kuai "], # 凷
          ["Tu "], # 凸
          ["Ao "], # 凹
          ["Chu "], # 出
          ["Ji "], # 击
          ["Dang "], # 凼
          ["Han "], # 函
          ["Han "], # 凾
          ["Zao "] # 凿
        ],
        [
          ["Dao "], # 刀
          ["Diao "], # 刁
          ["Dao "], # 刂
          ["Ren "], # 刃
          ["Ren "], # 刄
          ["Chuang "], # 刅
          ["Fen "], # 分
          ["Qie "], # 切
          ["Yi "], # 刈
          ["Ji "], # 刉
          ["Kan "], # 刊
          ["Qian "], # 刋
          ["Cun "], # 刌
          ["Chu "], # 刍
          ["Wen "], # 刎
          ["Ji "], # 刏
          ["Dan "], # 刐
          ["Xing "], # 刑
          ["Hua "], # 划
          ["Wan "], # 刓
          ["Jue "], # 刔
          ["Li "], # 刕
          ["Yue "], # 刖
          ["Lie "], # 列
          ["Liu "], # 刘
          ["Ze "], # 则
          ["Gang "], # 刚
          ["Chuang "], # 创
          ["Fu "], # 刜
          ["Chu "], # 初
          ["Qu "], # 刞
          ["Ju "], # 刟
          ["Shan "], # 删
          ["Min "], # 刡
          ["Ling "], # 刢
          ["Zhong "], # 刣
          ["Pan "], # 判
          ["Bie "], # 別
          ["Jie "], # 刦
          ["Jie "], # 刧
          ["Bao "], # 刨
          ["Li "], # 利
          ["Shan "], # 刪
          ["Bie "], # 别
          ["Chan "], # 刬
          ["Jing "], # 刭
          ["Gua "], # 刮
          ["Gen "], # 刯
          ["Dao "], # 到
          ["Chuang "], # 刱
          ["Kui "], # 刲
          ["Ku "], # 刳
          ["Duo "], # 刴
          ["Er "], # 刵
          ["Zhi "], # 制
          ["Shua "], # 刷
          ["Quan "], # 券
          ["Cha "], # 刹
          ["Ci "], # 刺
          ["Ke "], # 刻
          ["Jie "], # 刼
          ["Gui "], # 刽
          ["Ci "], # 刾
          ["Gui "], # 刿
          ["Kai "], # 剀
          ["Duo "], # 剁
          ["Ji "], # 剂
          ["Ti "], # 剃
          ["Jing "], # 剄
          ["Lou "], # 剅
          ["Gen "], # 剆
          ["Ze "], # 則
          ["Yuan "], # 剈
          ["Cuo "], # 剉
          ["Xue "], # 削
          ["Ke "], # 剋
          ["La "], # 剌
          ["Qian "], # 前
          ["Cha "], # 剎
          ["Chuang "], # 剏
          ["Gua "], # 剐
          ["Jian "], # 剑
          ["Cuo "], # 剒
          ["Li "], # 剓
          ["Ti "], # 剔
          ["Fei "], # 剕
          ["Pou "], # 剖
          ["Chan "], # 剗
          ["Qi "], # 剘
          ["Chuang "], # 剙
          ["Zi "], # 剚
          ["Gang "], # 剛
          ["Wan "], # 剜
          ["Bo "], # 剝
          ["Ji "], # 剞
          ["Duo "], # 剟
          ["Qing "], # 剠
          ["Yan "], # 剡
          ["Zhuo "], # 剢
          ["Jian "], # 剣
          ["Ji "], # 剤
          ["Bo "], # 剥
          ["Yan "], # 剦
          ["Ju "], # 剧
          ["Huo "], # 剨
          ["Sheng "], # 剩
          ["Jian "], # 剪
          ["Duo "], # 剫
          ["Duan "], # 剬
          ["Wu "], # 剭
          ["Gua "], # 剮
          ["Fu "], # 副
          ["Sheng "], # 剰
          ["Jian "], # 剱
          ["Ge "], # 割
          ["Zha "], # 剳
          ["Kai "], # 剴
          ["Chuang "], # 創
          ["Juan "], # 剶
          ["Chan "], # 剷
          ["Tuan "], # 剸
          ["Lu "], # 剹
          ["Li "], # 剺
          ["Fou "], # 剻
          ["Shan "], # 剼
          ["Piao "], # 剽
          ["Kou "], # 剾
          ["Jiao "], # 剿
          ["Gua "], # 劀
          ["Qiao "], # 劁
          ["Jue "], # 劂
          ["Hua "], # 劃
          ["Zha "], # 劄
          ["Zhuo "], # 劅
          ["Lian "], # 劆
          ["Ju "], # 劇
          ["Pi "], # 劈
          ["Liu "], # 劉
          ["Gui "], # 劊
          ["Jiao "], # 劋
          ["Gui "], # 劌
          ["Jian "], # 劍
          ["Jian "], # 劎
          ["Tang "], # 劏
          ["Huo "], # 劐
          ["Ji "], # 劑
          ["Jian "], # 劒
          ["Yi "], # 劓
          ["Jian "], # 劔
          ["Zhi "], # 劕
          ["Chan "], # 劖
          ["Cuan "], # 劗
          ["Mo "], # 劘
          ["Li "], # 劙
          ["Zhu "], # 劚
          ["Li "], # 力
          ["Ya "], # 劜
          ["Quan "], # 劝
          ["Ban "], # 办
          ["Gong "], # 功
          ["Jia "], # 加
          ["Wu "], # 务
          ["Mai "], # 劢
          ["Lie "], # 劣
          ["Jin "], # 劤
          ["Keng "], # 劥
          ["Xie "], # 劦
          ["Zhi "], # 劧
          ["Dong "], # 动
          ["Zhu "], # 助
          ["Nu "], # 努
          ["Jie "], # 劫
          ["Qu "], # 劬
          ["Shao "], # 劭
          ["Yi "], # 劮
          ["Zhu "], # 劯
          ["Miao "], # 劰
          ["Li "], # 励
          ["Jing "], # 劲
          ["Lao "], # 劳
          ["Lao "], # 労
          ["Juan "], # 劵
          ["Kou "], # 劶
          ["Yang "], # 劷
          ["Wa "], # 劸
          ["Xiao "], # 効
          ["Mou "], # 劺
          ["Kuang "], # 劻
          ["Jie "], # 劼
          ["Lie "], # 劽
          ["He "], # 劾
          ["Shi "], # 势
          ["Ke "], # 勀
          ["Jing "], # 勁
          ["Hao "], # 勂
          ["Bo "], # 勃
          ["Min "], # 勄
          ["Chi "], # 勅
          ["Lang "], # 勆
          ["Yong "], # 勇
          ["Yong "], # 勈
          ["Mian "], # 勉
          ["Ke "], # 勊
          ["Xun "], # 勋
          ["Juan "], # 勌
          ["Qing "], # 勍
          ["Lu "], # 勎
          ["Pou "], # 勏
          ["Meng "], # 勐
          ["Lai "], # 勑
          ["Le "], # 勒
          ["Kai "], # 勓
          ["Mian "], # 勔
          ["Dong "], # 動
          ["Xu "], # 勖
          ["Xu "], # 勗
          ["Kan "], # 勘
          ["Wu "], # 務
          ["Yi "], # 勚
          ["Xun "], # 勛
          ["Weng "], # 勜
          ["Sheng "], # 勝
          ["Lao "], # 勞
          ["Mu "], # 募
          ["Lu "], # 勠
          ["Piao "], # 勡
          ["Shi "], # 勢
          ["Ji "], # 勣
          ["Qin "], # 勤
          ["Qiang "], # 勥
          ["Jiao "], # 勦
          ["Quan "], # 勧
          ["Yang "], # 勨
          ["Yi "], # 勩
          ["Jue "], # 勪
          ["Fan "], # 勫
          ["Juan "], # 勬
          ["Tong "], # 勭
          ["Ju "], # 勮
          ["Dan "], # 勯
          ["Xie "], # 勰
          ["Mai "], # 勱
          ["Xun "], # 勲
          ["Xun "], # 勳
          ["Lu "], # 勴
          ["Li "], # 勵
          ["Che "], # 勶
          ["Rang "], # 勷
          ["Quan "], # 勸
          ["Bao "], # 勹
          ["Shao "], # 勺
          ["Yun "], # 勻
          ["Jiu "], # 勼
          ["Bao "], # 勽
          ["Gou "], # 勾
          ["Wu "] # 勿
        ],
        [
          ["Yun "], # 匀
          ["Mwun "], # 匁
          ["Nay "], # 匂
          ["Gai "], # 匃
          ["Gai "], # 匄
          ["Bao "], # 包
          ["Cong "], # 匆
          [" "], # 匇
          ["Xiong "], # 匈
          ["Peng "], # 匉
          ["Ju "], # 匊
          ["Tao "], # 匋
          ["Ge "], # 匌
          ["Pu "], # 匍
          ["An "], # 匎
          ["Pao "], # 匏
          ["Fu "], # 匐
          ["Gong "], # 匑
          ["Da "], # 匒
          ["Jiu "], # 匓
          ["Qiong "], # 匔
          ["Bi "], # 匕
          ["Hua "], # 化
          ["Bei "], # 北
          ["Nao "], # 匘
          ["Chi "], # 匙
          ["Fang "], # 匚
          ["Jiu "], # 匛
          ["Yi "], # 匜
          ["Za "], # 匝
          ["Jiang "], # 匞
          ["Kang "], # 匟
          ["Jiang "], # 匠
          ["Kuang "], # 匡
          ["Hu "], # 匢
          ["Xia "], # 匣
          ["Qu "], # 匤
          ["Bian "], # 匥
          ["Gui "], # 匦
          ["Qie "], # 匧
          ["Zang "], # 匨
          ["Kuang "], # 匩
          ["Fei "], # 匪
          ["Hu "], # 匫
          ["Tou "], # 匬
          ["Gui "], # 匭
          ["Gui "], # 匮
          ["Hui "], # 匯
          ["Dan "], # 匰
          ["Gui "], # 匱
          ["Lian "], # 匲
          ["Lian "], # 匳
          ["Suan "], # 匴
          ["Du "], # 匵
          ["Jiu "], # 匶
          ["Qu "], # 匷
          ["Xi "], # 匸
          ["Pi "], # 匹
          ["Qu "], # 区
          ["Yi "], # 医
          ["Qia "], # 匼
          ["Yan "], # 匽
          ["Bian "], # 匾
          ["Ni "], # 匿
          ["Qu "], # 區
          ["Shi "], # 十
          ["Xin "], # 卂
          ["Qian "], # 千
          ["Nian "], # 卄
          ["Sa "], # 卅
          ["Zu "], # 卆
          ["Sheng "], # 升
          ["Wu "], # 午
          ["Hui "], # 卉
          ["Ban "], # 半
          ["Shi "], # 卋
          ["Xi "], # 卌
          ["Wan "], # 卍
          ["Hua "], # 华
          ["Xie "], # 协
          ["Wan "], # 卐
          ["Bei "], # 卑
          ["Zu "], # 卒
          ["Zhuo "], # 卓
          ["Xie "], # 協
          ["Dan "], # 单
          ["Mai "], # 卖
          ["Nan "], # 南
          ["Dan "], # 単
          ["Ji "], # 卙
          ["Bo "], # 博
          ["Shuai "], # 卛
          ["Bu "], # 卜
          ["Kuang "], # 卝
          ["Bian "], # 卞
          ["Bu "], # 卟
          ["Zhan "], # 占
          ["Qia "], # 卡
          ["Lu "], # 卢
          ["You "], # 卣
          ["Lu "], # 卤
          ["Xi "], # 卥
          ["Gua "], # 卦
          ["Wo "], # 卧
          ["Xie "], # 卨
          ["Jie "], # 卩
          ["Jie "], # 卪
          ["Wei "], # 卫
          ["Ang "], # 卬
          ["Qiong "], # 卭
          ["Zhi "], # 卮
          ["Mao "], # 卯
          ["Yin "], # 印
          ["Wei "], # 危
          ["Shao "], # 卲
          ["Ji "], # 即
          ["Que "], # 却
          ["Luan "], # 卵
          ["Shi "], # 卶
          ["Juan "], # 卷
          ["Xie "], # 卸
          ["Xu "], # 卹
          ["Jin "], # 卺
          ["Que "], # 卻
          ["Wu "], # 卼
          ["Ji "], # 卽
          ["E "], # 卾
          ["Qing "], # 卿
          ["Xi "], # 厀
          [" "], # 厁
          ["Han "], # 厂
          ["Zhan "], # 厃
          ["E "], # 厄
          ["Ting "], # 厅
          ["Li "], # 历
          ["Zhe "], # 厇
          ["Han "], # 厈
          ["Li "], # 厉
          ["Ya "], # 厊
          ["Ya "], # 压
          ["Yan "], # 厌
          ["She "], # 厍
          ["Zhi "], # 厎
          ["Zha "], # 厏
          ["Pang "], # 厐
          [" "], # 厑
          ["He "], # 厒
          ["Ya "], # 厓
          ["Zhi "], # 厔
          ["Ce "], # 厕
          ["Pang "], # 厖
          ["Ti "], # 厗
          ["Li "], # 厘
          ["She "], # 厙
          ["Hou "], # 厚
          ["Ting "], # 厛
          ["Zui "], # 厜
          ["Cuo "], # 厝
          ["Fei "], # 厞
          ["Yuan "], # 原
          ["Ce "], # 厠
          ["Yuan "], # 厡
          ["Xiang "], # 厢
          ["Yan "], # 厣
          ["Li "], # 厤
          ["Jue "], # 厥
          ["Sha "], # 厦
          ["Dian "], # 厧
          ["Chu "], # 厨
          ["Jiu "], # 厩
          ["Qin "], # 厪
          ["Ao "], # 厫
          ["Gui "], # 厬
          ["Yan "], # 厭
          ["Si "], # 厮
          ["Li "], # 厯
          ["Chang "], # 厰
          ["Lan "], # 厱
          ["Li "], # 厲
          ["Yan "], # 厳
          ["Yan "], # 厴
          ["Yuan "], # 厵
          ["Si "], # 厶
          ["Gong "], # 厷
          ["Lin "], # 厸
          ["Qiu "], # 厹
          ["Qu "], # 厺
          ["Qu "], # 去
          ["Uk "], # 厼
          ["Lei "], # 厽
          ["Du "], # 厾
          ["Xian "], # 县
          ["Zhuan "], # 叀
          ["San "], # 叁
          ["Can "], # 参
          ["Can "], # 參
          ["Can "], # 叄
          ["Can "], # 叅
          ["Ai "], # 叆
          ["Dai "], # 叇
          ["You "], # 又
          ["Cha "], # 叉
          ["Ji "], # 及
          ["You "], # 友
          ["Shuang "], # 双
          ["Fan "], # 反
          ["Shou "], # 収
          ["Guai "], # 叏
          ["Ba "], # 叐
          ["Fa "], # 发
          ["Ruo "], # 叒
          ["Shi "], # 叓
          ["Shu "], # 叔
          ["Zhuo "], # 叕
          ["Qu "], # 取
          ["Shou "], # 受
          ["Bian "], # 变
          ["Xu "], # 叙
          ["Jia "], # 叚
          ["Pan "], # 叛
          ["Sou "], # 叜
          ["Gao "], # 叝
          ["Wei "], # 叞
          ["Sou "], # 叟
          ["Die "], # 叠
          ["Rui "], # 叡
          ["Cong "], # 叢
          ["Kou "], # 口
          ["Gu "], # 古
          ["Ju "], # 句
          ["Ling "], # 另
          ["Gua "], # 叧
          ["Tao "], # 叨
          ["Kou "], # 叩
          ["Zhi "], # 只
          ["Jiao "], # 叫
          ["Zhao "], # 召
          ["Ba "], # 叭
          ["Ding "], # 叮
          ["Ke "], # 可
          ["Tai "], # 台
          ["Chi "], # 叱
          ["Shi "], # 史
          ["You "], # 右
          ["Qiu "], # 叴
          ["Po "], # 叵
          ["Xie "], # 叶
          ["Hao "], # 号
          ["Si "], # 司
          ["Tan "], # 叹
          ["Chi "], # 叺
          ["Le "], # 叻
          ["Diao "], # 叼
          ["Ji "], # 叽
          [" "], # 叾
          ["Hong "] # 叿
        ],
        [
          ["Mie "], # 吀
          ["Xu "], # 吁
          ["Mang "], # 吂
          ["Chi "], # 吃
          ["Ge "], # 各
          ["Xuan "], # 吅
          ["Yao "], # 吆
          ["Zi "], # 吇
          ["He "], # 合
          ["Ji "], # 吉
          ["Diao "], # 吊
          ["Cun "], # 吋
          ["Tong "], # 同
          ["Ming "], # 名
          ["Hou "], # 后
          ["Li "], # 吏
          ["Tu "], # 吐
          ["Xiang "], # 向
          ["Zha "], # 吒
          ["Xia "], # 吓
          ["Ye "], # 吔
          ["Lu "], # 吕
          ["A "], # 吖
          ["Ma "], # 吗
          ["Ou "], # 吘
          ["Xue "], # 吙
          ["Yi "], # 吚
          ["Jun "], # 君
          ["Chou "], # 吜
          ["Lin "], # 吝
          ["Tun "], # 吞
          ["Yin "], # 吟
          ["Fei "], # 吠
          ["Bi "], # 吡
          ["Qin "], # 吢
          ["Qin "], # 吣
          ["Jie "], # 吤
          ["Bu "], # 吥
          ["Fou "], # 否
          ["Ba "], # 吧
          ["Dun "], # 吨
          ["Fen "], # 吩
          ["E "], # 吪
          ["Han "], # 含
          ["Ting "], # 听
          ["Hang "], # 吭
          ["Shun "], # 吮
          ["Qi "], # 启
          ["Hong "], # 吰
          ["Zhi "], # 吱
          ["Shen "], # 吲
          ["Wu "], # 吳
          ["Wu "], # 吴
          ["Chao "], # 吵
          ["Ne "], # 吶
          ["Xue "], # 吷
          ["Xi "], # 吸
          ["Chui "], # 吹
          ["Dou "], # 吺
          ["Wen "], # 吻
          ["Hou "], # 吼
          ["Ou "], # 吽
          ["Wu "], # 吾
          ["Gao "], # 吿
          ["Ya "], # 呀
          ["Jun "], # 呁
          ["Lu "], # 呂
          ["E "], # 呃
          ["Ge "], # 呄
          ["Mei "], # 呅
          ["Ai "], # 呆
          ["Qi "], # 呇
          ["Cheng "], # 呈
          ["Wu "], # 呉
          ["Gao "], # 告
          ["Fu "], # 呋
          ["Jiao "], # 呌
          ["Hong "], # 呍
          ["Chi "], # 呎
          ["Sheng "], # 呏
          ["Ne "], # 呐
          ["Tun "], # 呑
          ["Fu "], # 呒
          ["Yi "], # 呓
          ["Dai "], # 呔
          ["Ou "], # 呕
          ["Li "], # 呖
          ["Bai "], # 呗
          ["Yuan "], # 员
          ["Kuai "], # 呙
          [" "], # 呚
          ["Qiang "], # 呛
          ["Wu "], # 呜
          ["E "], # 呝
          ["Shi "], # 呞
          ["Quan "], # 呟
          ["Pen "], # 呠
          ["Wen "], # 呡
          ["Ni "], # 呢
          ["M "], # 呣
          ["Ling "], # 呤
          ["Ran "], # 呥
          ["You "], # 呦
          ["Di "], # 呧
          ["Zhou "], # 周
          ["Shi "], # 呩
          ["Zhou "], # 呪
          ["Tie "], # 呫
          ["Xi "], # 呬
          ["Yi "], # 呭
          ["Qi "], # 呮
          ["Ping "], # 呯
          ["Zi "], # 呰
          ["Gu "], # 呱
          ["Zi "], # 呲
          ["Wei "], # 味
          ["Xu "], # 呴
          ["He "], # 呵
          ["Nao "], # 呶
          ["Xia "], # 呷
          ["Pei "], # 呸
          ["Yi "], # 呹
          ["Xiao "], # 呺
          ["Shen "], # 呻
          ["Hu "], # 呼
          ["Ming "], # 命
          ["Da "], # 呾
          ["Qu "], # 呿
          ["Ju "], # 咀
          ["Gem "], # 咁
          ["Za "], # 咂
          ["Tuo "], # 咃
          ["Duo "], # 咄
          ["Pou "], # 咅
          ["Pao "], # 咆
          ["Bi "], # 咇
          ["Fu "], # 咈
          ["Yang "], # 咉
          ["He "], # 咊
          ["Zha "], # 咋
          ["He "], # 和
          ["Hai "], # 咍
          ["Jiu "], # 咎
          ["Yong "], # 咏
          ["Fu "], # 咐
          ["Que "], # 咑
          ["Zhou "], # 咒
          ["Wa "], # 咓
          ["Ka "], # 咔
          ["Gu "], # 咕
          ["Ka "], # 咖
          ["Zuo "], # 咗
          ["Bu "], # 咘
          ["Long "], # 咙
          ["Dong "], # 咚
          ["Ning "], # 咛
          ["Tha "], # 咜
          ["Si "], # 咝
          ["Xian "], # 咞
          ["Huo "], # 咟
          ["Qi "], # 咠
          ["Er "], # 咡
          ["E "], # 咢
          ["Guang "], # 咣
          ["Zha "], # 咤
          ["Xi "], # 咥
          ["Yi "], # 咦
          ["Lie "], # 咧
          ["Zi "], # 咨
          ["Mie "], # 咩
          ["Mi "], # 咪
          ["Zhi "], # 咫
          ["Yao "], # 咬
          ["Ji "], # 咭
          ["Zhou "], # 咮
          ["Ge "], # 咯
          ["Shuai "], # 咰
          ["Zan "], # 咱
          ["Xiao "], # 咲
          ["Ke "], # 咳
          ["Hui "], # 咴
          ["Kua "], # 咵
          ["Huai "], # 咶
          ["Tao "], # 咷
          ["Xian "], # 咸
          ["E "], # 咹
          ["Xuan "], # 咺
          ["Xiu "], # 咻
          ["Wai "], # 咼
          ["Yan "], # 咽
          ["Lao "], # 咾
          ["Yi "], # 咿
          ["Ai "], # 哀
          ["Pin "], # 品
          ["Shen "], # 哂
          ["Tong "], # 哃
          ["Hong "], # 哄
          ["Xiong "], # 哅
          ["Chi "], # 哆
          ["Wa "], # 哇
          ["Ha "], # 哈
          ["Zai "], # 哉
          ["Yu "], # 哊
          ["Di "], # 哋
          ["Pai "], # 哌
          ["Xiang "], # 响
          ["Ai "], # 哎
          ["Hen "], # 哏
          ["Kuang "], # 哐
          ["Ya "], # 哑
          ["Da "], # 哒
          ["Xiao "], # 哓
          ["Bi "], # 哔
          ["Yue "], # 哕
          [" "], # 哖
          ["Hua "], # 哗
          ["Sasou "], # 哘
          ["Kuai "], # 哙
          ["Duo "], # 哚
          [" "], # 哛
          ["Ji "], # 哜
          ["Nong "], # 哝
          ["Mou "], # 哞
          ["Yo "], # 哟
          ["Hao "], # 哠
          ["Yuan "], # 員
          ["Long "], # 哢
          ["Pou "], # 哣
          ["Mang "], # 哤
          ["Ge "], # 哥
          ["E "], # 哦
          ["Chi "], # 哧
          ["Shao "], # 哨
          ["Li "], # 哩
          ["Na "], # 哪
          ["Zu "], # 哫
          ["He "], # 哬
          ["Ku "], # 哭
          ["Xiao "], # 哮
          ["Xian "], # 哯
          ["Lao "], # 哰
          ["Bo "], # 哱
          ["Zhe "], # 哲
          ["Zha "], # 哳
          ["Liang "], # 哴
          ["Ba "], # 哵
          ["Mie "], # 哶
          ["Le "], # 哷
          ["Sui "], # 哸
          ["Fou "], # 哹
          ["Bu "], # 哺
          ["Han "], # 哻
          ["Heng "], # 哼
          ["Geng "], # 哽
          ["Shuo "], # 哾
          ["Ge "] # 哿
        ],
        [
          ["You "], # 唀
          ["Yan "], # 唁
          ["Gu "], # 唂
          ["Gu "], # 唃
          ["Bai "], # 唄
          ["Han "], # 唅
          ["Suo "], # 唆
          ["Chun "], # 唇
          ["Yi "], # 唈
          ["Ai "], # 唉
          ["Jia "], # 唊
          ["Tu "], # 唋
          ["Xian "], # 唌
          ["Huan "], # 唍
          ["Li "], # 唎
          ["Xi "], # 唏
          ["Tang "], # 唐
          ["Zuo "], # 唑
          ["Qiu "], # 唒
          ["Che "], # 唓
          ["Wu "], # 唔
          ["Zao "], # 唕
          ["Ya "], # 唖
          ["Dou "], # 唗
          ["Qi "], # 唘
          ["Di "], # 唙
          ["Qin "], # 唚
          ["Ma "], # 唛
          ["Mal "], # 唜
          ["Hong "], # 唝
          ["Dou "], # 唞
          ["Kes "], # 唟
          ["Lao "], # 唠
          ["Liang "], # 唡
          ["Suo "], # 唢
          ["Zao "], # 唣
          ["Huan "], # 唤
          ["Lang "], # 唥
          ["Sha "], # 唦
          ["Ji "], # 唧
          ["Zuo "], # 唨
          ["Wo "], # 唩
          ["Feng "], # 唪
          ["Yin "], # 唫
          ["Hu "], # 唬
          ["Qi "], # 唭
          ["Shou "], # 售
          ["Wei "], # 唯
          ["Shua "], # 唰
          ["Chang "], # 唱
          ["Er "], # 唲
          ["Li "], # 唳
          ["Qiang "], # 唴
          ["An "], # 唵
          ["Jie "], # 唶
          ["Yo "], # 唷
          ["Nian "], # 唸
          ["Yu "], # 唹
          ["Tian "], # 唺
          ["Lai "], # 唻
          ["Sha "], # 唼
          ["Xi "], # 唽
          ["Tuo "], # 唾
          ["Hu "], # 唿
          ["Ai "], # 啀
          ["Zhou "], # 啁
          ["Nou "], # 啂
          ["Ken "], # 啃
          ["Zhuo "], # 啄
          ["Zhuo "], # 啅
          ["Shang "], # 商
          ["Di "], # 啇
          ["Heng "], # 啈
          ["Lan "], # 啉
          ["A "], # 啊
          ["Xiao "], # 啋
          ["Xiang "], # 啌
          ["Tun "], # 啍
          ["Wu "], # 啎
          ["Wen "], # 問
          ["Cui "], # 啐
          ["Sha "], # 啑
          ["Hu "], # 啒
          ["Qi "], # 啓
          ["Qi "], # 啔
          ["Tao "], # 啕
          ["Dan "], # 啖
          ["Dan "], # 啗
          ["Ye "], # 啘
          ["Zi "], # 啙
          ["Bi "], # 啚
          ["Cui "], # 啛
          ["Chuo "], # 啜
          ["He "], # 啝
          ["Ya "], # 啞
          ["Qi "], # 啟
          ["Zhe "], # 啠
          ["Pei "], # 啡
          ["Liang "], # 啢
          ["Xian "], # 啣
          ["Pi "], # 啤
          ["Sha "], # 啥
          ["La "], # 啦
          ["Ze "], # 啧
          ["Qing "], # 啨
          ["Gua "], # 啩
          ["Pa "], # 啪
          ["Zhe "], # 啫
          ["Se "], # 啬
          ["Zhuan "], # 啭
          ["Nie "], # 啮
          ["Guo "], # 啯
          ["Luo "], # 啰
          ["Yan "], # 啱
          ["Di "], # 啲
          ["Quan "], # 啳
          ["Tan "], # 啴
          ["Bo "], # 啵
          ["Ding "], # 啶
          ["Lang "], # 啷
          ["Xiao "], # 啸
          [" "], # 啹
          ["Tang "], # 啺
          ["Chi "], # 啻
          ["Ti "], # 啼
          ["An "], # 啽
          ["Jiu "], # 啾
          ["Dan "], # 啿
          ["Ke "], # 喀
          ["Yong "], # 喁
          ["Wei "], # 喂
          ["Nan "], # 喃
          ["Shan "], # 善
          ["Yu "], # 喅
          ["Zhe "], # 喆
          ["La "], # 喇
          ["Jie "], # 喈
          ["Hou "], # 喉
          ["Han "], # 喊
          ["Die "], # 喋
          ["Zhou "], # 喌
          ["Chai "], # 喍
          ["Wai "], # 喎
          ["Re "], # 喏
          ["Yu "], # 喐
          ["Yin "], # 喑
          ["Zan "], # 喒
          ["Yao "], # 喓
          ["Wo "], # 喔
          ["Mian "], # 喕
          ["Hu "], # 喖
          ["Yun "], # 喗
          ["Chuan "], # 喘
          ["Hui "], # 喙
          ["Huan "], # 喚
          ["Huan "], # 喛
          ["Xi "], # 喜
          ["He "], # 喝
          ["Ji "], # 喞
          ["Kui "], # 喟
          ["Zhong "], # 喠
          ["Wei "], # 喡
          ["Sha "], # 喢
          ["Xu "], # 喣
          ["Huang "], # 喤
          ["Du "], # 喥
          ["Nie "], # 喦
          ["Xuan "], # 喧
          ["Liang "], # 喨
          ["Yu "], # 喩
          ["Sang "], # 喪
          ["Chi "], # 喫
          ["Qiao "], # 喬
          ["Yan "], # 喭
          ["Dan "], # 單
          ["Pen "], # 喯
          ["Can "], # 喰
          ["Li "], # 喱
          ["Yo "], # 喲
          ["Zha "], # 喳
          ["Wei "], # 喴
          ["Miao "], # 喵
          ["Ying "], # 営
          ["Pen "], # 喷
          ["Phos "], # 喸
          ["Kui "], # 喹
          ["Xi "], # 喺
          ["Yu "], # 喻
          ["Jie "], # 喼
          ["Lou "], # 喽
          ["Ku "], # 喾
          ["Sao "], # 喿
          ["Huo "], # 嗀
          ["Ti "], # 嗁
          ["Yao "], # 嗂
          ["He "], # 嗃
          ["A "], # 嗄
          ["Xiu "], # 嗅
          ["Qiang "], # 嗆
          ["Se "], # 嗇
          ["Yong "], # 嗈
          ["Su "], # 嗉
          ["Hong "], # 嗊
          ["Xie "], # 嗋
          ["Yi "], # 嗌
          ["Suo "], # 嗍
          ["Ma "], # 嗎
          ["Cha "], # 嗏
          ["Hai "], # 嗐
          ["Ke "], # 嗑
          ["Ta "], # 嗒
          ["Sang "], # 嗓
          ["Tian "], # 嗔
          ["Ru "], # 嗕
          ["Sou "], # 嗖
          ["Wa "], # 嗗
          ["Ji "], # 嗘
          ["Pang "], # 嗙
          ["Wu "], # 嗚
          ["Xian "], # 嗛
          ["Shi "], # 嗜
          ["Ge "], # 嗝
          ["Zi "], # 嗞
          ["Jie "], # 嗟
          ["Luo "], # 嗠
          ["Weng "], # 嗡
          ["Wa "], # 嗢
          ["Si "], # 嗣
          ["Chi "], # 嗤
          ["Hao "], # 嗥
          ["Suo "], # 嗦
          ["Jia "], # 嗧
          ["Hai "], # 嗨
          ["Suo "], # 嗩
          ["Qin "], # 嗪
          ["Nie "], # 嗫
          ["He "], # 嗬
          ["Cis "], # 嗭
          ["Sai "], # 嗮
          ["Ng "], # 嗯
          ["Ge "], # 嗰
          ["Na "], # 嗱
          ["Dia "], # 嗲
          ["Ai "], # 嗳
          [" "], # 嗴
          ["Tong "], # 嗵
          ["Bi "], # 嗶
          ["Ao "], # 嗷
          ["Ao "], # 嗸
          ["Lian "], # 嗹
          ["Cui "], # 嗺
          ["Zhe "], # 嗻
          ["Mo "], # 嗼
          ["Sou "], # 嗽
          ["Sou "], # 嗾
          ["Tan "] # 嗿
        ],
        [
          ["Di "], # 嘀
          ["Qi "], # 嘁
          ["Jiao "], # 嘂
          ["Chong "], # 嘃
          ["Jiao "], # 嘄
          ["Kai "], # 嘅
          ["Tan "], # 嘆
          ["San "], # 嘇
          ["Cao "], # 嘈
          ["Jia "], # 嘉
          ["Ai "], # 嘊
          ["Xiao "], # 嘋
          ["Piao "], # 嘌
          ["Lou "], # 嘍
          ["Ga "], # 嘎
          ["Gu "], # 嘏
          ["Xiao "], # 嘐
          ["Hu "], # 嘑
          ["Hui "], # 嘒
          ["Guo "], # 嘓
          ["Ou "], # 嘔
          ["Xian "], # 嘕
          ["Ze "], # 嘖
          ["Chang "], # 嘗
          ["Xu "], # 嘘
          ["Po "], # 嘙
          ["De "], # 嘚
          ["Ma "], # 嘛
          ["Ma "], # 嘜
          ["Hu "], # 嘝
          ["Lei "], # 嘞
          ["Du "], # 嘟
          ["Ga "], # 嘠
          ["Tang "], # 嘡
          ["Ye "], # 嘢
          ["Beng "], # 嘣
          ["Ying "], # 嘤
          ["Saai "], # 嘥
          ["Jiao "], # 嘦
          ["Mi "], # 嘧
          ["Xiao "], # 嘨
          ["Hua "], # 嘩
          ["Mai "], # 嘪
          ["Ran "], # 嘫
          ["Zuo "], # 嘬
          ["Peng "], # 嘭
          ["Lao "], # 嘮
          ["Xiao "], # 嘯
          ["Ji "], # 嘰
          ["Zhu "], # 嘱
          ["Chao "], # 嘲
          ["Kui "], # 嘳
          ["Zui "], # 嘴
          ["Xiao "], # 嘵
          ["Si "], # 嘶
          ["Hao "], # 嘷
          ["Fu "], # 嘸
          ["Liao "], # 嘹
          ["Qiao "], # 嘺
          ["Xi "], # 嘻
          ["Xiu "], # 嘼
          ["Tan "], # 嘽
          ["Tan "], # 嘾
          ["Mo "], # 嘿
          ["Xun "], # 噀
          ["E "], # 噁
          ["Zun "], # 噂
          ["Fan "], # 噃
          ["Chi "], # 噄
          ["Hui "], # 噅
          ["Zan "], # 噆
          ["Chuang "], # 噇
          ["Cu "], # 噈
          ["Dan "], # 噉
          ["Yu "], # 噊
          ["Tun "], # 噋
          ["Cheng "], # 噌
          ["Jiao "], # 噍
          ["Ye "], # 噎
          ["Xi "], # 噏
          ["Qi "], # 噐
          ["Hao "], # 噑
          ["Lian "], # 噒
          ["Xu "], # 噓
          ["Deng "], # 噔
          ["Hui "], # 噕
          ["Yin "], # 噖
          ["Pu "], # 噗
          ["Jue "], # 噘
          ["Qin "], # 噙
          ["Xun "], # 噚
          ["Nie "], # 噛
          ["Lu "], # 噜
          ["Si "], # 噝
          ["Yan "], # 噞
          ["Ying "], # 噟
          ["Da "], # 噠
          ["Dan "], # 噡
          ["Yu "], # 噢
          ["Zhou "], # 噣
          ["Jin "], # 噤
          ["Nong "], # 噥
          ["Yue "], # 噦
          ["Hui "], # 噧
          ["Qi "], # 器
          ["E "], # 噩
          ["Zao "], # 噪
          ["Yi "], # 噫
          ["Shi "], # 噬
          ["Jiao "], # 噭
          ["Yuan "], # 噮
          ["Ai "], # 噯
          ["Yong "], # 噰
          ["Jue "], # 噱
          ["Kuai "], # 噲
          ["Yu "], # 噳
          ["Pen "], # 噴
          ["Dao "], # 噵
          ["Ge "], # 噶
          ["Xin "], # 噷
          ["Dun "], # 噸
          ["Dang "], # 噹
          ["Sin "], # 噺
          ["Sai "], # 噻
          ["Pi "], # 噼
          ["Pi "], # 噽
          ["Yin "], # 噾
          ["Zui "], # 噿
          ["Ning "], # 嚀
          ["Di "], # 嚁
          ["Lan "], # 嚂
          ["Ta "], # 嚃
          ["Huo "], # 嚄
          ["Ru "], # 嚅
          ["Hao "], # 嚆
          ["Xia "], # 嚇
          ["Ya "], # 嚈
          ["Duo "], # 嚉
          ["Xi "], # 嚊
          ["Chou "], # 嚋
          ["Ji "], # 嚌
          ["Jin "], # 嚍
          ["Hao "], # 嚎
          ["Ti "], # 嚏
          ["Chang "], # 嚐
          [" "], # 嚑
          [" "], # 嚒
          ["Ca "], # 嚓
          ["Ti "], # 嚔
          ["Lu "], # 嚕
          ["Hui "], # 嚖
          ["Bo "], # 嚗
          ["You "], # 嚘
          ["Nie "], # 嚙
          ["Yin "], # 嚚
          ["Hu "], # 嚛
          ["Mo "], # 嚜
          ["Huang "], # 嚝
          ["Zhe "], # 嚞
          ["Li "], # 嚟
          ["Liu "], # 嚠
          ["Haai "], # 嚡
          ["Nang "], # 嚢
          ["Xiao "], # 嚣
          ["Mo "], # 嚤
          ["Yan "], # 嚥
          ["Li "], # 嚦
          ["Lu "], # 嚧
          ["Long "], # 嚨
          ["Fu "], # 嚩
          ["Dan "], # 嚪
          ["Chen "], # 嚫
          ["Pin "], # 嚬
          ["Pi "], # 嚭
          ["Xiang "], # 嚮
          ["Huo "], # 嚯
          ["Mo "], # 嚰
          ["Xi "], # 嚱
          ["Duo "], # 嚲
          ["Ku "], # 嚳
          ["Yan "], # 嚴
          ["Chan "], # 嚵
          ["Ying "], # 嚶
          ["Rang "], # 嚷
          ["Dian "], # 嚸
          ["La "], # 嚹
          ["Ta "], # 嚺
          ["Xiao "], # 嚻
          ["Jiao "], # 嚼
          ["Chuo "], # 嚽
          ["Huan "], # 嚾
          ["Huo "], # 嚿
          ["Zhuan "], # 囀
          ["Nie "], # 囁
          ["Xiao "], # 囂
          ["Ca "], # 囃
          ["Li "], # 囄
          ["Chan "], # 囅
          ["Chai "], # 囆
          ["Li "], # 囇
          ["Yi "], # 囈
          ["Luo "], # 囉
          ["Nang "], # 囊
          ["Zan "], # 囋
          ["Su "], # 囌
          ["Xi "], # 囍
          ["So "], # 囎
          ["Jian "], # 囏
          ["Za "], # 囐
          ["Zhu "], # 囑
          ["Lan "], # 囒
          ["Nie "], # 囓
          ["Nang "], # 囔
          [" "], # 囕
          [" "], # 囖
          ["Wei "], # 囗
          ["Hui "], # 囘
          ["Yin "], # 囙
          ["Qiu "], # 囚
          ["Si "], # 四
          ["Nin "], # 囜
          ["Jian "], # 囝
          ["Hui "], # 回
          ["Xin "], # 囟
          ["Yin "], # 因
          ["Nan "], # 囡
          ["Tuan "], # 团
          ["Tuan "], # 団
          ["Dun "], # 囤
          ["Kang "], # 囥
          ["Yuan "], # 囦
          ["Jiong "], # 囧
          ["Pian "], # 囨
          ["Yun "], # 囩
          ["Cong "], # 囪
          ["Hu "], # 囫
          ["Hui "], # 囬
          ["Yuan "], # 园
          ["You "], # 囮
          ["Guo "], # 囯
          ["Kun "], # 困
          ["Cong "], # 囱
          ["Wei "], # 囲
          ["Tu "], # 図
          ["Wei "], # 围
          ["Lun "], # 囵
          ["Guo "], # 囶
          ["Qun "], # 囷
          ["Ri "], # 囸
          ["Ling "], # 囹
          ["Gu "], # 固
          ["Guo "], # 囻
          ["Tai "], # 囼
          ["Guo "], # 国
          ["Tu "], # 图
          ["You "] # 囿
        ],
        [
          ["Guo "], # 圀
          ["Yin "], # 圁
          ["Hun "], # 圂
          ["Pu "], # 圃
          ["Yu "], # 圄
          ["Han "], # 圅
          ["Yuan "], # 圆
          ["Lun "], # 圇
          ["Quan "], # 圈
          ["Yu "], # 圉
          ["Qing "], # 圊
          ["Guo "], # 國
          ["Chuan "], # 圌
          ["Wei "], # 圍
          ["Yuan "], # 圎
          ["Quan "], # 圏
          ["Ku "], # 圐
          ["Fu "], # 圑
          ["Yuan "], # 園
          ["Yuan "], # 圓
          ["E "], # 圔
          ["Tu "], # 圕
          ["Tu "], # 圖
          ["Tu "], # 圗
          ["Tuan "], # 團
          ["Lue "], # 圙
          ["Hui "], # 圚
          ["Yi "], # 圛
          ["Yuan "], # 圜
          ["Luan "], # 圝
          ["Luan "], # 圞
          ["Tu "], # 土
          ["Ya "], # 圠
          ["Tu "], # 圡
          ["Ting "], # 圢
          ["Sheng "], # 圣
          ["Pu "], # 圤
          ["Lu "], # 圥
          ["Iri "], # 圦
          ["Ya "], # 圧
          ["Zai "], # 在
          ["Wei "], # 圩
          ["Ge "], # 圪
          ["Yu "], # 圫
          ["Wu "], # 圬
          ["Gui "], # 圭
          ["Pi "], # 圮
          ["Yi "], # 圯
          ["Di "], # 地
          ["Qian "], # 圱
          ["Qian "], # 圲
          ["Zhen "], # 圳
          ["Zhuo "], # 圴
          ["Dang "], # 圵
          ["Qia "], # 圶
          ["Akutsu "], # 圷
          ["Yama "], # 圸
          ["Kuang "], # 圹
          ["Chang "], # 场
          ["Qi "], # 圻
          ["Nie "], # 圼
          ["Mo "], # 圽
          ["Ji "], # 圾
          ["Jia "], # 圿
          ["Zhi "], # 址
          ["Zhi "], # 坁
          ["Ban "], # 坂
          ["Xun "], # 坃
          ["Tou "], # 坄
          ["Qin "], # 坅
          ["Fen "], # 坆
          ["Jun "], # 均
          ["Keng "], # 坈
          ["Tun "], # 坉
          ["Fang "], # 坊
          ["Fen "], # 坋
          ["Ben "], # 坌
          ["Tan "], # 坍
          ["Kan "], # 坎
          ["Pi "], # 坏
          ["Zuo "], # 坐
          ["Keng "], # 坑
          ["Bi "], # 坒
          ["Xing "], # 坓
          ["Di "], # 坔
          ["Jing "], # 坕
          ["Ji "], # 坖
          ["Kuai "], # 块
          ["Di "], # 坘
          ["Jing "], # 坙
          ["Jian "], # 坚
          ["Tan "], # 坛
          ["Li "], # 坜
          ["Ba "], # 坝
          ["Wu "], # 坞
          ["Fen "], # 坟
          ["Zhui "], # 坠
          ["Po "], # 坡
          ["Pan "], # 坢
          ["Tang "], # 坣
          ["Kun "], # 坤
          ["Qu "], # 坥
          ["Tan "], # 坦
          ["Zhi "], # 坧
          ["Tuo "], # 坨
          ["Gan "], # 坩
          ["Ping "], # 坪
          ["Dian "], # 坫
          ["Gua "], # 坬
          ["Ni "], # 坭
          ["Tai "], # 坮
          ["Pi "], # 坯
          ["Jiong "], # 坰
          ["Yang "], # 坱
          ["Fo "], # 坲
          ["Ao "], # 坳
          ["Liu "], # 坴
          ["Qiu "], # 坵
          ["Mu "], # 坶
          ["Ke "], # 坷
          ["Gou "], # 坸
          ["Xue "], # 坹
          ["Ba "], # 坺
          ["Chi "], # 坻
          ["Che "], # 坼
          ["Ling "], # 坽
          ["Zhu "], # 坾
          ["Fu "], # 坿
          ["Hu "], # 垀
          ["Zhi "], # 垁
          ["Chui "], # 垂
          ["La "], # 垃
          ["Long "], # 垄
          ["Long "], # 垅
          ["Lu "], # 垆
          ["Ao "], # 垇
          ["Tay "], # 垈
          ["Pao "], # 垉
          [" "], # 垊
          ["Xing "], # 型
          ["Dong "], # 垌
          ["Ji "], # 垍
          ["Ke "], # 垎
          ["Lu "], # 垏
          ["Ci "], # 垐
          ["Chi "], # 垑
          ["Lei "], # 垒
          ["Gai "], # 垓
          ["Yin "], # 垔
          ["Hou "], # 垕
          ["Dui "], # 垖
          ["Zhao "], # 垗
          ["Fu "], # 垘
          ["Guang "], # 垙
          ["Yao "], # 垚
          ["Duo "], # 垛
          ["Duo "], # 垜
          ["Gui "], # 垝
          ["Cha "], # 垞
          ["Yang "], # 垟
          ["Yin "], # 垠
          ["Fa "], # 垡
          ["Gou "], # 垢
          ["Yuan "], # 垣
          ["Die "], # 垤
          ["Xie "], # 垥
          ["Ken "], # 垦
          ["Jiong "], # 垧
          ["Shou "], # 垨
          ["E "], # 垩
          ["Ha "], # 垪
          ["Dian "], # 垫
          ["Hong "], # 垬
          ["Wu "], # 垭
          ["Kua "], # 垮
          [" "], # 垯
          ["Tao "], # 垰
          ["Dang "], # 垱
          ["Kai "], # 垲
          ["Gake "], # 垳
          ["Nao "], # 垴
          ["An "], # 垵
          ["Xing "], # 垶
          ["Xian "], # 垷
          ["Huan "], # 垸
          ["Bang "], # 垹
          ["Pei "], # 垺
          ["Ba "], # 垻
          ["Yi "], # 垼
          ["Yin "], # 垽
          ["Han "], # 垾
          ["Xu "], # 垿
          ["Chui "], # 埀
          ["Cen "], # 埁
          ["Geng "], # 埂
          ["Ai "], # 埃
          ["Peng "], # 埄
          ["Fang "], # 埅
          ["Que "], # 埆
          ["Yong "], # 埇
          ["Xun "], # 埈
          ["Jia "], # 埉
          ["Di "], # 埊
          ["Mai "], # 埋
          ["Lang "], # 埌
          ["Xuan "], # 埍
          ["Cheng "], # 城
          ["Yan "], # 埏
          ["Jin "], # 埐
          ["Zhe "], # 埑
          ["Lei "], # 埒
          ["Lie "], # 埓
          ["Bu "], # 埔
          ["Cheng "], # 埕
          ["Gomi "], # 埖
          ["Bu "], # 埗
          ["Shi "], # 埘
          ["Xun "], # 埙
          ["Guo "], # 埚
          ["Jiong "], # 埛
          ["Ye "], # 埜
          ["Nian "], # 埝
          ["Di "], # 埞
          ["Yu "], # 域
          ["Bu "], # 埠
          ["Ya "], # 埡
          ["Juan "], # 埢
          ["Sui "], # 埣
          ["Pi "], # 埤
          ["Cheng "], # 埥
          ["Wan "], # 埦
          ["Ju "], # 埧
          ["Lun "], # 埨
          ["Zheng "], # 埩
          ["Kong "], # 埪
          ["Chong "], # 埫
          ["Dong "], # 埬
          ["Dai "], # 埭
          ["Tan "], # 埮
          ["An "], # 埯
          ["Cai "], # 埰
          ["Shu "], # 埱
          ["Beng "], # 埲
          ["Kan "], # 埳
          ["Zhi "], # 埴
          ["Duo "], # 埵
          ["Yi "], # 埶
          ["Zhi "], # 執
          ["Yi "], # 埸
          ["Pei "], # 培
          ["Ji "], # 基
          ["Zhun "], # 埻
          ["Qi "], # 埼
          ["Sao "], # 埽
          ["Ju "], # 埾
          ["Ni "] # 埿
        ],
        [
          ["Ku "], # 堀
          ["Ke "], # 堁
          ["Tang "], # 堂
          ["Kun "], # 堃
          ["Ni "], # 堄
          ["Jian "], # 堅
          ["Dui "], # 堆
          ["Jin "], # 堇
          ["Gang "], # 堈
          ["Yu "], # 堉
          ["E "], # 堊
          ["Peng "], # 堋
          ["Gu "], # 堌
          ["Tu "], # 堍
          ["Leng "], # 堎
          [" "], # 堏
          ["Ya "], # 堐
          ["Qian "], # 堑
          [" "], # 堒
          ["An "], # 堓
          [" "], # 堔
          ["Duo "], # 堕
          ["Nao "], # 堖
          ["Tu "], # 堗
          ["Cheng "], # 堘
          ["Yin "], # 堙
          ["Hun "], # 堚
          ["Bi "], # 堛
          ["Lian "], # 堜
          ["Guo "], # 堝
          ["Die "], # 堞
          ["Zhuan "], # 堟
          ["Hou "], # 堠
          ["Bao "], # 堡
          ["Bao "], # 堢
          ["Yu "], # 堣
          ["Di "], # 堤
          ["Mao "], # 堥
          ["Jie "], # 堦
          ["Ruan "], # 堧
          ["E "], # 堨
          ["Geng "], # 堩
          ["Kan "], # 堪
          ["Zong "], # 堫
          ["Yu "], # 堬
          ["Huang "], # 堭
          ["E "], # 堮
          ["Yao "], # 堯
          ["Yan "], # 堰
          ["Bao "], # 報
          ["Ji "], # 堲
          ["Mei "], # 堳
          ["Chang "], # 場
          ["Du "], # 堵
          ["Tuo "], # 堶
          ["Yin "], # 堷
          ["Feng "], # 堸
          ["Zhong "], # 堹
          ["Jie "], # 堺
          ["Zhen "], # 堻
          ["Feng "], # 堼
          ["Gang "], # 堽
          ["Chuan "], # 堾
          ["Jian "], # 堿
          ["Pyeng "], # 塀
          ["Toride "], # 塁
          ["Xiang "], # 塂
          ["Huang "], # 塃
          ["Leng "], # 塄
          ["Duan "], # 塅
          [" "], # 塆
          ["Xuan "], # 塇
          ["Ji "], # 塈
          ["Ji "], # 塉
          ["Kuai "], # 塊
          ["Ying "], # 塋
          ["Ta "], # 塌
          ["Cheng "], # 塍
          ["Yong "], # 塎
          ["Kai "], # 塏
          ["Su "], # 塐
          ["Su "], # 塑
          ["Shi "], # 塒
          ["Mi "], # 塓
          ["Ta "], # 塔
          ["Weng "], # 塕
          ["Cheng "], # 塖
          ["Tu "], # 塗
          ["Tang "], # 塘
          ["Que "], # 塙
          ["Zhong "], # 塚
          ["Li "], # 塛
          ["Peng "], # 塜
          ["Bang "], # 塝
          ["Sai "], # 塞
          ["Zang "], # 塟
          ["Dui "], # 塠
          ["Tian "], # 塡
          ["Wu "], # 塢
          ["Cheng "], # 塣
          ["Xun "], # 塤
          ["Ge "], # 塥
          ["Zhen "], # 塦
          ["Ai "], # 塧
          ["Gong "], # 塨
          ["Yan "], # 塩
          ["Kan "], # 塪
          ["Tian "], # 填
          ["Yuan "], # 塬
          ["Wen "], # 塭
          ["Xie "], # 塮
          ["Liu "], # 塯
          ["Ama "], # 塰
          ["Lang "], # 塱
          ["Chang "], # 塲
          ["Peng "], # 塳
          ["Beng "], # 塴
          ["Chen "], # 塵
          ["Cu "], # 塶
          ["Lu "], # 塷
          ["Ou "], # 塸
          ["Qian "], # 塹
          ["Mei "], # 塺
          ["Mo "], # 塻
          ["Zhuan "], # 塼
          ["Shuang "], # 塽
          ["Shu "], # 塾
          ["Lou "], # 塿
          ["Chi "], # 墀
          ["Man "], # 墁
          ["Biao "], # 墂
          ["Jing "], # 境
          ["Qi "], # 墄
          ["Shu "], # 墅
          ["Di "], # 墆
          ["Zhang "], # 墇
          ["Kan "], # 墈
          ["Yong "], # 墉
          ["Dian "], # 墊
          ["Chen "], # 墋
          ["Zhi "], # 墌
          ["Xi "], # 墍
          ["Guo "], # 墎
          ["Qiang "], # 墏
          ["Jin "], # 墐
          ["Di "], # 墑
          ["Shang "], # 墒
          ["Mu "], # 墓
          ["Cui "], # 墔
          ["Yan "], # 墕
          ["Ta "], # 墖
          ["Zeng "], # 増
          ["Qi "], # 墘
          ["Qiang "], # 墙
          ["Liang "], # 墚
          [" "], # 墛
          ["Zhui "], # 墜
          ["Qiao "], # 墝
          ["Zeng "], # 增
          ["Xu "], # 墟
          ["Shan "], # 墠
          ["Shan "], # 墡
          ["Ba "], # 墢
          ["Pu "], # 墣
          ["Kuai "], # 墤
          ["Dong "], # 墥
          ["Fan "], # 墦
          ["Que "], # 墧
          ["Mo "], # 墨
          ["Dun "], # 墩
          ["Dun "], # 墪
          ["Dun "], # 墫
          ["Di "], # 墬
          ["Sheng "], # 墭
          ["Duo "], # 墮
          ["Duo "], # 墯
          ["Tan "], # 墰
          ["Deng "], # 墱
          ["Wu "], # 墲
          ["Fen "], # 墳
          ["Huang "], # 墴
          ["Tan "], # 墵
          ["Da "], # 墶
          ["Ye "], # 墷
          ["Sho "], # 墸
          ["Mama "], # 墹
          ["Yu "], # 墺
          ["Qiang "], # 墻
          ["Ji "], # 墼
          ["Qiao "], # 墽
          ["Ken "], # 墾
          ["Yi "], # 墿
          ["Pi "], # 壀
          ["Bi "], # 壁
          ["Dian "], # 壂
          ["Jiang "], # 壃
          ["Ye "], # 壄
          ["Yong "], # 壅
          ["Bo "], # 壆
          ["Tan "], # 壇
          ["Lan "], # 壈
          ["Ju "], # 壉
          ["Huai "], # 壊
          ["Dang "], # 壋
          ["Rang "], # 壌
          ["Qian "], # 壍
          ["Xun "], # 壎
          ["Lan "], # 壏
          ["Xi "], # 壐
          ["He "], # 壑
          ["Ai "], # 壒
          ["Ya "], # 壓
          ["Dao "], # 壔
          ["Hao "], # 壕
          ["Ruan "], # 壖
          ["Mama "], # 壗
          ["Lei "], # 壘
          ["Kuang "], # 壙
          ["Lu "], # 壚
          ["Yan "], # 壛
          ["Tan "], # 壜
          ["Wei "], # 壝
          ["Huai "], # 壞
          ["Long "], # 壟
          ["Long "], # 壠
          ["Rui "], # 壡
          ["Li "], # 壢
          ["Lin "], # 壣
          ["Rang "], # 壤
          ["Ten "], # 壥
          ["Xun "], # 壦
          ["Yan "], # 壧
          ["Lei "], # 壨
          ["Ba "], # 壩
          [" "], # 壪
          ["Shi "], # 士
          ["Ren "], # 壬
          [" "], # 壭
          ["Zhuang "], # 壮
          ["Zhuang "], # 壯
          ["Sheng "], # 声
          ["Yi "], # 壱
          ["Mai "], # 売
          ["Ke "], # 壳
          ["Zhu "], # 壴
          ["Zhuang "], # 壵
          ["Hu "], # 壶
          ["Hu "], # 壷
          ["Kun "], # 壸
          ["Yi "], # 壹
          ["Hu "], # 壺
          ["Xu "], # 壻
          ["Kun "], # 壼
          ["Shou "], # 壽
          ["Mang "], # 壾
          ["Zun "] # 壿
        ],
        [
          ["Shou "], # 夀
          ["Yi "], # 夁
          ["Zhi "], # 夂
          ["Gu "], # 夃
          ["Chu "], # 处
          ["Jiang "], # 夅
          ["Feng "], # 夆
          ["Bei "], # 备
          ["Cay "], # 夈
          ["Bian "], # 変
          ["Sui "], # 夊
          ["Qun "], # 夋
          ["Ling "], # 夌
          ["Fu "], # 复
          ["Zuo "], # 夎
          ["Xia "], # 夏
          ["Xiong "], # 夐
          [" "], # 夑
          ["Nao "], # 夒
          ["Xia "], # 夓
          ["Kui "], # 夔
          ["Xi "], # 夕
          ["Wai "], # 外
          ["Yuan "], # 夗
          ["Mao "], # 夘
          ["Su "], # 夙
          ["Duo "], # 多
          ["Duo "], # 夛
          ["Ye "], # 夜
          ["Qing "], # 夝
          ["Uys "], # 夞
          ["Gou "], # 够
          ["Gou "], # 夠
          ["Qi "], # 夡
          ["Meng "], # 夢
          ["Meng "], # 夣
          ["Yin "], # 夤
          ["Huo "], # 夥
          ["Chen "], # 夦
          ["Da "], # 大
          ["Ze "], # 夨
          ["Tian "], # 天
          ["Tai "], # 太
          ["Fu "], # 夫
          ["Guai "], # 夬
          ["Yao "], # 夭
          ["Yang "], # 央
          ["Hang "], # 夯
          ["Gao "], # 夰
          ["Shi "], # 失
          ["Ben "], # 夲
          ["Tai "], # 夳
          ["Tou "], # 头
          ["Yan "], # 夵
          ["Bi "], # 夶
          ["Yi "], # 夷
          ["Kua "], # 夸
          ["Jia "], # 夹
          ["Duo "], # 夺
          ["Kwu "], # 夻
          ["Kuang "], # 夼
          ["Yun "], # 夽
          ["Jia "], # 夾
          ["Pa "], # 夿
          ["En "], # 奀
          ["Lian "], # 奁
          ["Huan "], # 奂
          ["Di "], # 奃
          ["Yan "], # 奄
          ["Pao "], # 奅
          ["Quan "], # 奆
          ["Qi "], # 奇
          ["Nai "], # 奈
          ["Feng "], # 奉
          ["Xie "], # 奊
          ["Fen "], # 奋
          ["Dian "], # 奌
          [" "], # 奍
          ["Kui "], # 奎
          ["Zou "], # 奏
          ["Huan "], # 奐
          ["Qi "], # 契
          ["Kai "], # 奒
          ["Zha "], # 奓
          ["Ben "], # 奔
          ["Yi "], # 奕
          ["Jiang "], # 奖
          ["Tao "], # 套
          ["Zang "], # 奘
          ["Ben "], # 奙
          ["Xi "], # 奚
          ["Xiang "], # 奛
          ["Fei "], # 奜
          ["Diao "], # 奝
          ["Xun "], # 奞
          ["Keng "], # 奟
          ["Dian "], # 奠
          ["Ao "], # 奡
          ["She "], # 奢
          ["Weng "], # 奣
          ["Pan "], # 奤
          ["Ao "], # 奥
          ["Wu "], # 奦
          ["Ao "], # 奧
          ["Jiang "], # 奨
          ["Lian "], # 奩
          ["Duo "], # 奪
          ["Yun "], # 奫
          ["Jiang "], # 奬
          ["Shi "], # 奭
          ["Fen "], # 奮
          ["Huo "], # 奯
          ["Bi "], # 奰
          ["Lian "], # 奱
          ["Duo "], # 奲
          ["Nu "], # 女
          ["Nu "], # 奴
          ["Ding "], # 奵
          ["Nai "], # 奶
          ["Qian "], # 奷
          ["Jian "], # 奸
          ["Ta "], # 她
          ["Jiu "], # 奺
          ["Nan "], # 奻
          ["Cha "], # 奼
          ["Hao "], # 好
          ["Xian "], # 奾
          ["Fan "], # 奿
          ["Ji "], # 妀
          ["Shuo "], # 妁
          ["Ru "], # 如
          ["Fei "], # 妃
          ["Wang "], # 妄
          ["Hong "], # 妅
          ["Zhuang "], # 妆
          ["Fu "], # 妇
          ["Ma "], # 妈
          ["Dan "], # 妉
          ["Ren "], # 妊
          ["Fu "], # 妋
          ["Jing "], # 妌
          ["Yan "], # 妍
          ["Xie "], # 妎
          ["Wen "], # 妏
          ["Zhong "], # 妐
          ["Pa "], # 妑
          ["Du "], # 妒
          ["Ji "], # 妓
          ["Keng "], # 妔
          ["Zhong "], # 妕
          ["Yao "], # 妖
          ["Jin "], # 妗
          ["Yun "], # 妘
          ["Miao "], # 妙
          ["Pei "], # 妚
          ["Shi "], # 妛
          ["Yue "], # 妜
          ["Zhuang "], # 妝
          ["Niu "], # 妞
          ["Yan "], # 妟
          ["Na "], # 妠
          ["Xin "], # 妡
          ["Fen "], # 妢
          ["Bi "], # 妣
          ["Yu "], # 妤
          ["Tuo "], # 妥
          ["Feng "], # 妦
          ["Yuan "], # 妧
          ["Fang "], # 妨
          ["Wu "], # 妩
          ["Yu "], # 妪
          ["Gui "], # 妫
          ["Du "], # 妬
          ["Ba "], # 妭
          ["Ni "], # 妮
          ["Zhou "], # 妯
          ["Zhuo "], # 妰
          ["Zhao "], # 妱
          ["Da "], # 妲
          ["Nai "], # 妳
          ["Yuan "], # 妴
          ["Tou "], # 妵
          ["Xuan "], # 妶
          ["Zhi "], # 妷
          ["E "], # 妸
          ["Mei "], # 妹
          ["Mo "], # 妺
          ["Qi "], # 妻
          ["Bi "], # 妼
          ["Shen "], # 妽
          ["Qie "], # 妾
          ["E "], # 妿
          ["He "], # 姀
          ["Xu "], # 姁
          ["Fa "], # 姂
          ["Zheng "], # 姃
          ["Min "], # 姄
          ["Ban "], # 姅
          ["Mu "], # 姆
          ["Fu "], # 姇
          ["Ling "], # 姈
          ["Zi "], # 姉
          ["Zi "], # 姊
          ["Shi "], # 始
          ["Ran "], # 姌
          ["Shan "], # 姍
          ["Yang "], # 姎
          ["Man "], # 姏
          ["Jie "], # 姐
          ["Gu "], # 姑
          ["Si "], # 姒
          ["Xing "], # 姓
          ["Wei "], # 委
          ["Zi "], # 姕
          ["Ju "], # 姖
          ["Shan "], # 姗
          ["Pin "], # 姘
          ["Ren "], # 姙
          ["Yao "], # 姚
          ["Tong "], # 姛
          ["Jiang "], # 姜
          ["Shu "], # 姝
          ["Ji "], # 姞
          ["Gai "], # 姟
          ["Shang "], # 姠
          ["Kuo "], # 姡
          ["Juan "], # 姢
          ["Jiao "], # 姣
          ["Gou "], # 姤
          ["Mu "], # 姥
          ["Jian "], # 姦
          ["Jian "], # 姧
          ["Yi "], # 姨
          ["Nian "], # 姩
          ["Zhi "], # 姪
          ["Ji "], # 姫
          ["Ji "], # 姬
          ["Xian "], # 姭
          ["Heng "], # 姮
          ["Guang "], # 姯
          ["Jun "], # 姰
          ["Kua "], # 姱
          ["Yan "], # 姲
          ["Ming "], # 姳
          ["Lie "], # 姴
          ["Pei "], # 姵
          ["Yan "], # 姶
          ["You "], # 姷
          ["Yan "], # 姸
          ["Cha "], # 姹
          ["Shen "], # 姺
          ["Yin "], # 姻
          ["Chi "], # 姼
          ["Gui "], # 姽
          ["Quan "], # 姾
          ["Zi "] # 姿
        ],
        [
          ["Song "], # 娀
          ["Wei "], # 威
          ["Hong "], # 娂
          ["Wa "], # 娃
          ["Lou "], # 娄
          ["Ya "], # 娅
          ["Rao "], # 娆
          ["Jiao "], # 娇
          ["Luan "], # 娈
          ["Ping "], # 娉
          ["Xian "], # 娊
          ["Shao "], # 娋
          ["Li "], # 娌
          ["Cheng "], # 娍
          ["Xiao "], # 娎
          ["Mang "], # 娏
          ["Fu "], # 娐
          ["Suo "], # 娑
          ["Wu "], # 娒
          ["Wei "], # 娓
          ["Ke "], # 娔
          ["Lai "], # 娕
          ["Chuo "], # 娖
          ["Ding "], # 娗
          ["Niang "], # 娘
          ["Xing "], # 娙
          ["Nan "], # 娚
          ["Yu "], # 娛
          ["Nuo "], # 娜
          ["Pei "], # 娝
          ["Nei "], # 娞
          ["Juan "], # 娟
          ["Shen "], # 娠
          ["Zhi "], # 娡
          ["Han "], # 娢
          ["Di "], # 娣
          ["Zhuang "], # 娤
          ["E "], # 娥
          ["Pin "], # 娦
          ["Tui "], # 娧
          ["Han "], # 娨
          ["Mian "], # 娩
          ["Wu "], # 娪
          ["Yan "], # 娫
          ["Wu "], # 娬
          ["Xi "], # 娭
          ["Yan "], # 娮
          ["Yu "], # 娯
          ["Si "], # 娰
          ["Yu "], # 娱
          ["Wa "], # 娲
          [" "], # 娳
          ["Xian "], # 娴
          ["Ju "], # 娵
          ["Qu "], # 娶
          ["Shui "], # 娷
          ["Qi "], # 娸
          ["Xian "], # 娹
          ["Zhui "], # 娺
          ["Dong "], # 娻
          ["Chang "], # 娼
          ["Lu "], # 娽
          ["Ai "], # 娾
          ["E "], # 娿
          ["E "], # 婀
          ["Lou "], # 婁
          ["Mian "], # 婂
          ["Cong "], # 婃
          ["Pou "], # 婄
          ["Ju "], # 婅
          ["Po "], # 婆
          ["Cai "], # 婇
          ["Ding "], # 婈
          ["Wan "], # 婉
          ["Biao "], # 婊
          ["Xiao "], # 婋
          ["Shu "], # 婌
          ["Qi "], # 婍
          ["Hui "], # 婎
          ["Fu "], # 婏
          ["E "], # 婐
          ["Wo "], # 婑
          ["Tan "], # 婒
          ["Fei "], # 婓
          ["Wei "], # 婔
          ["Jie "], # 婕
          ["Tian "], # 婖
          ["Ni "], # 婗
          ["Quan "], # 婘
          ["Jing "], # 婙
          ["Hun "], # 婚
          ["Jing "], # 婛
          ["Qian "], # 婜
          ["Dian "], # 婝
          ["Xing "], # 婞
          ["Hu "], # 婟
          ["Wa "], # 婠
          ["Lai "], # 婡
          ["Bi "], # 婢
          ["Yin "], # 婣
          ["Chou "], # 婤
          ["Chuo "], # 婥
          ["Fu "], # 婦
          ["Jing "], # 婧
          ["Lun "], # 婨
          ["Yan "], # 婩
          ["Lan "], # 婪
          ["Kun "], # 婫
          ["Yin "], # 婬
          ["Ya "], # 婭
          ["Ju "], # 婮
          ["Li "], # 婯
          ["Dian "], # 婰
          ["Xian "], # 婱
          ["Hwa "], # 婲
          ["Hua "], # 婳
          ["Ying "], # 婴
          ["Chan "], # 婵
          ["Shen "], # 婶
          ["Ting "], # 婷
          ["Dang "], # 婸
          ["Yao "], # 婹
          ["Wu "], # 婺
          ["Nan "], # 婻
          ["Ruo "], # 婼
          ["Jia "], # 婽
          ["Tou "], # 婾
          ["Xu "], # 婿
          ["Yu "], # 媀
          ["Wei "], # 媁
          ["Ti "], # 媂
          ["Rou "], # 媃
          ["Mei "], # 媄
          ["Dan "], # 媅
          ["Ruan "], # 媆
          ["Qin "], # 媇
          ["Hui "], # 媈
          ["Wu "], # 媉
          ["Qian "], # 媊
          ["Chun "], # 媋
          ["Mao "], # 媌
          ["Fu "], # 媍
          ["Jie "], # 媎
          ["Duan "], # 媏
          ["Xi "], # 媐
          ["Zhong "], # 媑
          ["Mei "], # 媒
          ["Huang "], # 媓
          ["Mian "], # 媔
          ["An "], # 媕
          ["Ying "], # 媖
          ["Xuan "], # 媗
          ["Jie "], # 媘
          ["Wei "], # 媙
          ["Mei "], # 媚
          ["Yuan "], # 媛
          ["Zhen "], # 媜
          ["Qiu "], # 媝
          ["Ti "], # 媞
          ["Xie "], # 媟
          ["Tuo "], # 媠
          ["Lian "], # 媡
          ["Mao "], # 媢
          ["Ran "], # 媣
          ["Si "], # 媤
          ["Pian "], # 媥
          ["Wei "], # 媦
          ["Wa "], # 媧
          ["Jiu "], # 媨
          ["Hu "], # 媩
          ["Ao "], # 媪
          [" "], # 媫
          ["Bou "], # 媬
          ["Xu "], # 媭
          ["Tou "], # 媮
          ["Gui "], # 媯
          ["Zou "], # 媰
          ["Yao "], # 媱
          ["Pi "], # 媲
          ["Xi "], # 媳
          ["Yuan "], # 媴
          ["Ying "], # 媵
          ["Rong "], # 媶
          ["Ru "], # 媷
          ["Chi "], # 媸
          ["Liu "], # 媹
          ["Mei "], # 媺
          ["Pan "], # 媻
          ["Ao "], # 媼
          ["Ma "], # 媽
          ["Gou "], # 媾
          ["Kui "], # 媿
          ["Qin "], # 嫀
          ["Jia "], # 嫁
          ["Sao "], # 嫂
          ["Zhen "], # 嫃
          ["Yuan "], # 嫄
          ["Cha "], # 嫅
          ["Yong "], # 嫆
          ["Ming "], # 嫇
          ["Ying "], # 嫈
          ["Ji "], # 嫉
          ["Su "], # 嫊
          ["Niao "], # 嫋
          ["Xian "], # 嫌
          ["Tao "], # 嫍
          ["Pang "], # 嫎
          ["Lang "], # 嫏
          ["Nao "], # 嫐
          ["Bao "], # 嫑
          ["Ai "], # 嫒
          ["Pi "], # 嫓
          ["Pin "], # 嫔
          ["Yi "], # 嫕
          ["Piao "], # 嫖
          ["Yu "], # 嫗
          ["Lei "], # 嫘
          ["Xuan "], # 嫙
          ["Man "], # 嫚
          ["Yi "], # 嫛
          ["Zhang "], # 嫜
          ["Kang "], # 嫝
          ["Yong "], # 嫞
          ["Ni "], # 嫟
          ["Li "], # 嫠
          ["Di "], # 嫡
          ["Gui "], # 嫢
          ["Yan "], # 嫣
          ["Jin "], # 嫤
          ["Zhuan "], # 嫥
          ["Chang "], # 嫦
          ["Ce "], # 嫧
          ["Han "], # 嫨
          ["Nen "], # 嫩
          ["Lao "], # 嫪
          ["Mo "], # 嫫
          ["Zhe "], # 嫬
          ["Hu "], # 嫭
          ["Hu "], # 嫮
          ["Ao "], # 嫯
          ["Nen "], # 嫰
          ["Qiang "], # 嫱
          ["Ma "], # 嫲
          ["Pie "], # 嫳
          ["Gu "], # 嫴
          ["Wu "], # 嫵
          ["Jiao "], # 嫶
          ["Tuo "], # 嫷
          ["Zhan "], # 嫸
          ["Mao "], # 嫹
          ["Xian "], # 嫺
          ["Xian "], # 嫻
          ["Mo "], # 嫼
          ["Liao "], # 嫽
          ["Lian "], # 嫾
          ["Hua "] # 嫿
        ],
        [
          ["Gui "], # 嬀
          ["Deng "], # 嬁
          ["Zhi "], # 嬂
          ["Xu "], # 嬃
          ["Yi "], # 嬄
          ["Hua "], # 嬅
          ["Xi "], # 嬆
          ["Hui "], # 嬇
          ["Rao "], # 嬈
          ["Xi "], # 嬉
          ["Yan "], # 嬊
          ["Chan "], # 嬋
          ["Jiao "], # 嬌
          ["Mei "], # 嬍
          ["Fan "], # 嬎
          ["Fan "], # 嬏
          ["Xian "], # 嬐
          ["Yi "], # 嬑
          ["Wei "], # 嬒
          ["Jiao "], # 嬓
          ["Fu "], # 嬔
          ["Shi "], # 嬕
          ["Bi "], # 嬖
          ["Shan "], # 嬗
          ["Sui "], # 嬘
          ["Qiang "], # 嬙
          ["Lian "], # 嬚
          ["Huan "], # 嬛
          ["Xin "], # 嬜
          ["Niao "], # 嬝
          ["Dong "], # 嬞
          ["Yi "], # 嬟
          ["Can "], # 嬠
          ["Ai "], # 嬡
          ["Niang "], # 嬢
          ["Neng "], # 嬣
          ["Ma "], # 嬤
          ["Tiao "], # 嬥
          ["Chou "], # 嬦
          ["Jin "], # 嬧
          ["Ci "], # 嬨
          ["Yu "], # 嬩
          ["Pin "], # 嬪
          ["Yong "], # 嬫
          ["Xu "], # 嬬
          ["Nai "], # 嬭
          ["Yan "], # 嬮
          ["Tai "], # 嬯
          ["Ying "], # 嬰
          ["Can "], # 嬱
          ["Niao "], # 嬲
          ["Wo "], # 嬳
          ["Ying "], # 嬴
          ["Mian "], # 嬵
          ["Kaka "], # 嬶
          ["Ma "], # 嬷
          ["Shen "], # 嬸
          ["Xing "], # 嬹
          ["Ni "], # 嬺
          ["Du "], # 嬻
          ["Liu "], # 嬼
          ["Yuan "], # 嬽
          ["Lan "], # 嬾
          ["Yan "], # 嬿
          ["Shuang "], # 孀
          ["Ling "], # 孁
          ["Jiao "], # 孂
          ["Niang "], # 孃
          ["Lan "], # 孄
          ["Xian "], # 孅
          ["Ying "], # 孆
          ["Shuang "], # 孇
          ["Shuai "], # 孈
          ["Quan "], # 孉
          ["Mi "], # 孊
          ["Li "], # 孋
          ["Luan "], # 孌
          ["Yan "], # 孍
          ["Zhu "], # 孎
          ["Lan "], # 孏
          ["Zi "], # 子
          ["Jie "], # 孑
          ["Jue "], # 孒
          ["Jue "], # 孓
          ["Kong "], # 孔
          ["Yun "], # 孕
          ["Zi "], # 孖
          ["Zi "], # 字
          ["Cun "], # 存
          ["Sun "], # 孙
          ["Fu "], # 孚
          ["Bei "], # 孛
          ["Zi "], # 孜
          ["Xiao "], # 孝
          ["Xin "], # 孞
          ["Meng "], # 孟
          ["Si "], # 孠
          ["Tai "], # 孡
          ["Bao "], # 孢
          ["Ji "], # 季
          ["Gu "], # 孤
          ["Nu "], # 孥
          ["Xue "], # 学
          [" "], # 孧
          ["Zhuan "], # 孨
          ["Hai "], # 孩
          ["Luan "], # 孪
          ["Sun "], # 孫
          ["Huai "], # 孬
          ["Mie "], # 孭
          ["Cong "], # 孮
          ["Qian "], # 孯
          ["Shu "], # 孰
          ["Chan "], # 孱
          ["Ya "], # 孲
          ["Zi "], # 孳
          ["Ni "], # 孴
          ["Fu "], # 孵
          ["Zi "], # 孶
          ["Li "], # 孷
          ["Xue "], # 學
          ["Bo "], # 孹
          ["Ru "], # 孺
          ["Lai "], # 孻
          ["Nie "], # 孼
          ["Nie "], # 孽
          ["Ying "], # 孾
          ["Luan "], # 孿
          ["Mian "], # 宀
          ["Zhu "], # 宁
          ["Rong "], # 宂
          ["Ta "], # 它
          ["Gui "], # 宄
          ["Zhai "], # 宅
          ["Qiong "], # 宆
          ["Yu "], # 宇
          ["Shou "], # 守
          ["An "], # 安
          ["Tu "], # 宊
          ["Song "], # 宋
          ["Wan "], # 完
          ["Rou "], # 宍
          ["Yao "], # 宎
          ["Hong "], # 宏
          ["Yi "], # 宐
          ["Jing "], # 宑
          ["Zhun "], # 宒
          ["Mi "], # 宓
          ["Zhu "], # 宔
          ["Dang "], # 宕
          ["Hong "], # 宖
          ["Zong "], # 宗
          ["Guan "], # 官
          ["Zhou "], # 宙
          ["Ding "], # 定
          ["Wan "], # 宛
          ["Yi "], # 宜
          ["Bao "], # 宝
          ["Shi "], # 实
          ["Shi "], # 実
          ["Chong "], # 宠
          ["Shen "], # 审
          ["Ke "], # 客
          ["Xuan "], # 宣
          ["Shi "], # 室
          ["You "], # 宥
          ["Huan "], # 宦
          ["Yi "], # 宧
          ["Tiao "], # 宨
          ["Shi "], # 宩
          ["Xian "], # 宪
          ["Gong "], # 宫
          ["Cheng "], # 宬
          ["Qun "], # 宭
          ["Gong "], # 宮
          ["Xiao "], # 宯
          ["Zai "], # 宰
          ["Zha "], # 宱
          ["Bao "], # 宲
          ["Hai "], # 害
          ["Yan "], # 宴
          ["Xiao "], # 宵
          ["Jia "], # 家
          ["Shen "], # 宷
          ["Chen "], # 宸
          ["Rong "], # 容
          ["Huang "], # 宺
          ["Mi "], # 宻
          ["Kou "], # 宼
          ["Kuan "], # 宽
          ["Bin "], # 宾
          ["Su "], # 宿
          ["Cai "], # 寀
          ["Zan "], # 寁
          ["Ji "], # 寂
          ["Yuan "], # 寃
          ["Ji "], # 寄
          ["Yin "], # 寅
          ["Mi "], # 密
          ["Kou "], # 寇
          ["Qing "], # 寈
          ["Que "], # 寉
          ["Zhen "], # 寊
          ["Jian "], # 寋
          ["Fu "], # 富
          ["Ning "], # 寍
          ["Bing "], # 寎
          ["Huan "], # 寏
          ["Mei "], # 寐
          ["Qin "], # 寑
          ["Han "], # 寒
          ["Yu "], # 寓
          ["Shi "], # 寔
          ["Ning "], # 寕
          ["Qin "], # 寖
          ["Ning "], # 寗
          ["Zhi "], # 寘
          ["Yu "], # 寙
          ["Bao "], # 寚
          ["Kuan "], # 寛
          ["Ning "], # 寜
          ["Qin "], # 寝
          ["Mo "], # 寞
          ["Cha "], # 察
          ["Ju "], # 寠
          ["Gua "], # 寡
          ["Qin "], # 寢
          ["Hu "], # 寣
          ["Wu "], # 寤
          ["Liao "], # 寥
          ["Shi "], # 實
          ["Zhu "], # 寧
          ["Zhai "], # 寨
          ["Shen "], # 審
          ["Wei "], # 寪
          ["Xie "], # 寫
          ["Kuan "], # 寬
          ["Hui "], # 寭
          ["Liao "], # 寮
          ["Jun "], # 寯
          ["Huan "], # 寰
          ["Yi "], # 寱
          ["Yi "], # 寲
          ["Bao "], # 寳
          ["Qin "], # 寴
          ["Chong "], # 寵
          ["Bao "], # 寶
          ["Feng "], # 寷
          ["Cun "], # 寸
          ["Dui "], # 对
          ["Si "], # 寺
          ["Xun "], # 寻
          ["Dao "], # 导
          ["Lu "], # 寽
          ["Dui "], # 対
          ["Shou "] # 寿
        ],
        [
          ["Po "], # 尀
          ["Feng "], # 封
          ["Zhuan "], # 専
          ["Fu "], # 尃
          ["She "], # 射
          ["Ke "], # 尅
          ["Jiang "], # 将
          ["Jiang "], # 將
          ["Zhuan "], # 專
          ["Wei "], # 尉
          ["Zun "], # 尊
          ["Xun "], # 尋
          ["Shu "], # 尌
          ["Dui "], # 對
          ["Dao "], # 導
          ["Xiao "], # 小
          ["Ji "], # 尐
          ["Shao "], # 少
          ["Er "], # 尒
          ["Er "], # 尓
          ["Er "], # 尔
          ["Ga "], # 尕
          ["Jian "], # 尖
          ["Shu "], # 尗
          ["Chen "], # 尘
          ["Shang "], # 尙
          ["Shang "], # 尚
          ["Mo "], # 尛
          ["Ga "], # 尜
          ["Chang "], # 尝
          ["Liao "], # 尞
          ["Xian "], # 尟
          ["Xian "], # 尠
          [" "], # 尡
          ["Wang "], # 尢
          ["Wang "], # 尣
          ["You "], # 尤
          ["Liao "], # 尥
          ["Liao "], # 尦
          ["Yao "], # 尧
          ["Mang "], # 尨
          ["Wang "], # 尩
          ["Wang "], # 尪
          ["Wang "], # 尫
          ["Ga "], # 尬
          ["Yao "], # 尭
          ["Duo "], # 尮
          ["Kui "], # 尯
          ["Zhong "], # 尰
          ["Jiu "], # 就
          ["Gan "], # 尲
          ["Gu "], # 尳
          ["Gan "], # 尴
          ["Tui "], # 尵
          ["Gan "], # 尶
          ["Gan "], # 尷
          ["Shi "], # 尸
          ["Yin "], # 尹
          ["Chi "], # 尺
          ["Kao "], # 尻
          ["Ni "], # 尼
          ["Jin "], # 尽
          ["Wei "], # 尾
          ["Niao "], # 尿
          ["Ju "], # 局
          ["Pi "], # 屁
          ["Ceng "], # 层
          ["Xi "], # 屃
          ["Bi "], # 屄
          ["Ju "], # 居
          ["Jie "], # 屆
          ["Tian "], # 屇
          ["Qu "], # 屈
          ["Ti "], # 屉
          ["Jie "], # 届
          ["Wu "], # 屋
          ["Diao "], # 屌
          ["Shi "], # 屍
          ["Shi "], # 屎
          ["Ping "], # 屏
          ["Ji "], # 屐
          ["Xie "], # 屑
          ["Chen "], # 屒
          ["Xi "], # 屓
          ["Ni "], # 屔
          ["Zhan "], # 展
          ["Xi "], # 屖
          [" "], # 屗
          ["Man "], # 屘
          ["E "], # 屙
          ["Lou "], # 屚
          ["Ping "], # 屛
          ["Ti "], # 屜
          ["Fei "], # 屝
          ["Shu "], # 属
          ["Xie "], # 屟
          ["Tu "], # 屠
          ["Lu "], # 屡
          ["Lu "], # 屢
          ["Xi "], # 屣
          ["Ceng "], # 層
          ["Lu "], # 履
          ["Ju "], # 屦
          ["Xie "], # 屧
          ["Ju "], # 屨
          ["Jue "], # 屩
          ["Liao "], # 屪
          ["Jue "], # 屫
          ["Shu "], # 屬
          ["Xi "], # 屭
          ["Che "], # 屮
          ["Tun "], # 屯
          ["Ni "], # 屰
          ["Shan "], # 山
          [" "], # 屲
          ["Xian "], # 屳
          ["Li "], # 屴
          ["Xue "], # 屵
          ["Nata "], # 屶
          [" "], # 屷
          ["Long "], # 屸
          ["Yi "], # 屹
          ["Qi "], # 屺
          ["Ren "], # 屻
          ["Wu "], # 屼
          ["Han "], # 屽
          ["Shen "], # 屾
          ["Yu "], # 屿
          ["Chu "], # 岀
          ["Sui "], # 岁
          ["Qi "], # 岂
          [" "], # 岃
          ["Yue "], # 岄
          ["Ban "], # 岅
          ["Yao "], # 岆
          ["Ang "], # 岇
          ["Ya "], # 岈
          ["Wu "], # 岉
          ["Jie "], # 岊
          ["E "], # 岋
          ["Ji "], # 岌
          ["Qian "], # 岍
          ["Fen "], # 岎
          ["Yuan "], # 岏
          ["Qi "], # 岐
          ["Cen "], # 岑
          ["Qian "], # 岒
          ["Qi "], # 岓
          ["Cha "], # 岔
          ["Jie "], # 岕
          ["Qu "], # 岖
          ["Gang "], # 岗
          ["Xian "], # 岘
          ["Ao "], # 岙
          ["Lan "], # 岚
          ["Dao "], # 岛
          ["Ba "], # 岜
          ["Zuo "], # 岝
          ["Zuo "], # 岞
          ["Yang "], # 岟
          ["Ju "], # 岠
          ["Gang "], # 岡
          ["Ke "], # 岢
          ["Gou "], # 岣
          ["Xue "], # 岤
          ["Bei "], # 岥
          ["Li "], # 岦
          ["Tiao "], # 岧
          ["Ju "], # 岨
          ["Yan "], # 岩
          ["Fu "], # 岪
          ["Xiu "], # 岫
          ["Jia "], # 岬
          ["Ling "], # 岭
          ["Tuo "], # 岮
          ["Pei "], # 岯
          ["You "], # 岰
          ["Dai "], # 岱
          ["Kuang "], # 岲
          ["Yue "], # 岳
          ["Qu "], # 岴
          ["Hu "], # 岵
          ["Po "], # 岶
          ["Min "], # 岷
          ["An "], # 岸
          ["Tiao "], # 岹
          ["Ling "], # 岺
          ["Chi "], # 岻
          ["Yuri "], # 岼
          ["Dong "], # 岽
          ["Cem "], # 岾
          ["Kui "], # 岿
          ["Xiu "], # 峀
          ["Mao "], # 峁
          ["Tong "], # 峂
          ["Xue "], # 峃
          ["Yi "], # 峄
          ["Kura "], # 峅
          ["He "], # 峆
          ["Ke "], # 峇
          ["Luo "], # 峈
          ["E "], # 峉
          ["Fu "], # 峊
          ["Xun "], # 峋
          ["Die "], # 峌
          ["Lu "], # 峍
          ["An "], # 峎
          ["Er "], # 峏
          ["Gai "], # 峐
          ["Quan "], # 峑
          ["Tong "], # 峒
          ["Yi "], # 峓
          ["Mu "], # 峔
          ["Shi "], # 峕
          ["An "], # 峖
          ["Wei "], # 峗
          ["Hu "], # 峘
          ["Zhi "], # 峙
          ["Mi "], # 峚
          ["Li "], # 峛
          ["Ji "], # 峜
          ["Tong "], # 峝
          ["Wei "], # 峞
          ["You "], # 峟
          ["Sang "], # 峠
          ["Xia "], # 峡
          ["Li "], # 峢
          ["Yao "], # 峣
          ["Jiao "], # 峤
          ["Zheng "], # 峥
          ["Luan "], # 峦
          ["Jiao "], # 峧
          ["E "], # 峨
          ["E "], # 峩
          ["Yu "], # 峪
          ["Ye "], # 峫
          ["Bu "], # 峬
          ["Qiao "], # 峭
          ["Qun "], # 峮
          ["Feng "], # 峯
          ["Feng "], # 峰
          ["Nao "], # 峱
          ["Li "], # 峲
          ["You "], # 峳
          ["Xian "], # 峴
          ["Hong "], # 峵
          ["Dao "], # 島
          ["Shen "], # 峷
          ["Cheng "], # 峸
          ["Tu "], # 峹
          ["Geng "], # 峺
          ["Jun "], # 峻
          ["Hao "], # 峼
          ["Xia "], # 峽
          ["Yin "], # 峾
          ["Yu "] # 峿
        ],
        [
          ["Lang "], # 崀
          ["Kan "], # 崁
          ["Lao "], # 崂
          ["Lai "], # 崃
          ["Xian "], # 崄
          ["Que "], # 崅
          ["Kong "], # 崆
          ["Chong "], # 崇
          ["Chong "], # 崈
          ["Ta "], # 崉
          ["Lin "], # 崊
          ["Hua "], # 崋
          ["Ju "], # 崌
          ["Lai "], # 崍
          ["Qi "], # 崎
          ["Min "], # 崏
          ["Kun "], # 崐
          ["Kun "], # 崑
          ["Zu "], # 崒
          ["Gu "], # 崓
          ["Cui "], # 崔
          ["Ya "], # 崕
          ["Ya "], # 崖
          ["Gang "], # 崗
          ["Lun "], # 崘
          ["Lun "], # 崙
          ["Leng "], # 崚
          ["Jue "], # 崛
          ["Duo "], # 崜
          ["Zheng "], # 崝
          ["Guo "], # 崞
          ["Yin "], # 崟
          ["Dong "], # 崠
          ["Han "], # 崡
          ["Zheng "], # 崢
          ["Wei "], # 崣
          ["Yao "], # 崤
          ["Pi "], # 崥
          ["Yan "], # 崦
          ["Song "], # 崧
          ["Jie "], # 崨
          ["Beng "], # 崩
          ["Zu "], # 崪
          ["Jue "], # 崫
          ["Dong "], # 崬
          ["Zhan "], # 崭
          ["Gu "], # 崮
          ["Yin "], # 崯
          [" "], # 崰
          ["Ze "], # 崱
          ["Huang "], # 崲
          ["Yu "], # 崳
          ["Wei "], # 崴
          ["Yang "], # 崵
          ["Feng "], # 崶
          ["Qiu "], # 崷
          ["Dun "], # 崸
          ["Ti "], # 崹
          ["Yi "], # 崺
          ["Zhi "], # 崻
          ["Shi "], # 崼
          ["Zai "], # 崽
          ["Yao "], # 崾
          ["E "], # 崿
          ["Zhu "], # 嵀
          ["Kan "], # 嵁
          ["Lu "], # 嵂
          ["Yan "], # 嵃
          ["Mei "], # 嵄
          ["Gan "], # 嵅
          ["Ji "], # 嵆
          ["Ji "], # 嵇
          ["Huan "], # 嵈
          ["Ting "], # 嵉
          ["Sheng "], # 嵊
          ["Mei "], # 嵋
          ["Qian "], # 嵌
          ["Wu "], # 嵍
          ["Yu "], # 嵎
          ["Zong "], # 嵏
          ["Lan "], # 嵐
          ["Jue "], # 嵑
          ["Yan "], # 嵒
          ["Yan "], # 嵓
          ["Wei "], # 嵔
          ["Zong "], # 嵕
          ["Cha "], # 嵖
          ["Sui "], # 嵗
          ["Rong "], # 嵘
          ["Yamashina "], # 嵙
          ["Qin "], # 嵚
          ["Yu "], # 嵛
          ["Kewashii "], # 嵜
          ["Lou "], # 嵝
          ["Tu "], # 嵞
          ["Dui "], # 嵟
          ["Xi "], # 嵠
          ["Weng "], # 嵡
          ["Cang "], # 嵢
          ["Dang "], # 嵣
          ["Hong "], # 嵤
          ["Jie "], # 嵥
          ["Ai "], # 嵦
          ["Liu "], # 嵧
          ["Wu "], # 嵨
          ["Song "], # 嵩
          ["Qiao "], # 嵪
          ["Zi "], # 嵫
          ["Wei "], # 嵬
          ["Beng "], # 嵭
          ["Dian "], # 嵮
          ["Cuo "], # 嵯
          ["Qian "], # 嵰
          ["Yong "], # 嵱
          ["Nie "], # 嵲
          ["Cuo "], # 嵳
          ["Ji "], # 嵴
          [" "], # 嵵
          ["Tao "], # 嵶
          ["Song "], # 嵷
          ["Zong "], # 嵸
          ["Jiang "], # 嵹
          ["Liao "], # 嵺
          ["Kang "], # 嵻
          ["Chan "], # 嵼
          ["Die "], # 嵽
          ["Cen "], # 嵾
          ["Ding "], # 嵿
          ["Tu "], # 嶀
          ["Lou "], # 嶁
          ["Zhang "], # 嶂
          ["Zhan "], # 嶃
          ["Zhan "], # 嶄
          ["Ao "], # 嶅
          ["Cao "], # 嶆
          ["Qu "], # 嶇
          ["Qiang "], # 嶈
          ["Zui "], # 嶉
          ["Zui "], # 嶊
          ["Dao "], # 嶋
          ["Dao "], # 嶌
          ["Xi "], # 嶍
          ["Yu "], # 嶎
          ["Bo "], # 嶏
          ["Long "], # 嶐
          ["Xiang "], # 嶑
          ["Ceng "], # 嶒
          ["Bo "], # 嶓
          ["Qin "], # 嶔
          ["Jiao "], # 嶕
          ["Yan "], # 嶖
          ["Lao "], # 嶗
          ["Zhan "], # 嶘
          ["Lin "], # 嶙
          ["Liao "], # 嶚
          ["Liao "], # 嶛
          ["Jin "], # 嶜
          ["Deng "], # 嶝
          ["Duo "], # 嶞
          ["Zun "], # 嶟
          ["Jiao "], # 嶠
          ["Gui "], # 嶡
          ["Yao "], # 嶢
          ["Qiao "], # 嶣
          ["Yao "], # 嶤
          ["Jue "], # 嶥
          ["Zhan "], # 嶦
          ["Yi "], # 嶧
          ["Xue "], # 嶨
          ["Nao "], # 嶩
          ["Ye "], # 嶪
          ["Ye "], # 嶫
          ["Yi "], # 嶬
          ["E "], # 嶭
          ["Xian "], # 嶮
          ["Ji "], # 嶯
          ["Xie "], # 嶰
          ["Ke "], # 嶱
          ["Xi "], # 嶲
          ["Di "], # 嶳
          ["Ao "], # 嶴
          ["Zui "], # 嶵
          [" "], # 嶶
          ["Ni "], # 嶷
          ["Rong "], # 嶸
          ["Dao "], # 嶹
          ["Ling "], # 嶺
          ["Za "], # 嶻
          ["Yu "], # 嶼
          ["Yue "], # 嶽
          ["Yin "], # 嶾
          [" "], # 嶿
          ["Jie "], # 巀
          ["Li "], # 巁
          ["Sui "], # 巂
          ["Long "], # 巃
          ["Long "], # 巄
          ["Dian "], # 巅
          ["Ying "], # 巆
          ["Xi "], # 巇
          ["Ju "], # 巈
          ["Chan "], # 巉
          ["Ying "], # 巊
          ["Kui "], # 巋
          ["Yan "], # 巌
          ["Wei "], # 巍
          ["Nao "], # 巎
          ["Quan "], # 巏
          ["Chao "], # 巐
          ["Cuan "], # 巑
          ["Luan "], # 巒
          ["Dian "], # 巓
          ["Dian "], # 巔
          [" "], # 巕
          ["Yan "], # 巖
          ["Yan "], # 巗
          ["Yan "], # 巘
          ["Nao "], # 巙
          ["Yan "], # 巚
          ["Chuan "], # 巛
          ["Gui "], # 巜
          ["Chuan "], # 川
          ["Zhou "], # 州
          ["Huang "], # 巟
          ["Jing "], # 巠
          ["Xun "], # 巡
          ["Chao "], # 巢
          ["Chao "], # 巣
          ["Lie "], # 巤
          ["Gong "], # 工
          ["Zuo "], # 左
          ["Qiao "], # 巧
          ["Ju "], # 巨
          ["Gong "], # 巩
          ["Kek "], # 巪
          ["Wu "], # 巫
          ["Pwu "], # 巬
          ["Pwu "], # 巭
          ["Chai "], # 差
          ["Qiu "], # 巯
          ["Qiu "], # 巰
          ["Ji "], # 己
          ["Yi "], # 已
          ["Si "], # 巳
          ["Ba "], # 巴
          ["Zhi "], # 巵
          ["Zhao "], # 巶
          ["Xiang "], # 巷
          ["Yi "], # 巸
          ["Jin "], # 巹
          ["Xun "], # 巺
          ["Juan "], # 巻
          ["Phas "], # 巼
          ["Xun "], # 巽
          ["Jin "], # 巾
          ["Fu "] # 巿
        ],
        [
          ["Za "], # 帀
          ["Bi "], # 币
          ["Shi "], # 市
          ["Bu "], # 布
          ["Ding "], # 帄
          ["Shuai "], # 帅
          ["Fan "], # 帆
          ["Nie "], # 帇
          ["Shi "], # 师
          ["Fen "], # 帉
          ["Pa "], # 帊
          ["Zhi "], # 帋
          ["Xi "], # 希
          ["Hu "], # 帍
          ["Dan "], # 帎
          ["Wei "], # 帏
          ["Zhang "], # 帐
          ["Tang "], # 帑
          ["Dai "], # 帒
          ["Ma "], # 帓
          ["Pei "], # 帔
          ["Pa "], # 帕
          ["Tie "], # 帖
          ["Fu "], # 帗
          ["Lian "], # 帘
          ["Zhi "], # 帙
          ["Zhou "], # 帚
          ["Bo "], # 帛
          ["Zhi "], # 帜
          ["Di "], # 帝
          ["Mo "], # 帞
          ["Yi "], # 帟
          ["Yi "], # 帠
          ["Ping "], # 帡
          ["Qia "], # 帢
          ["Juan "], # 帣
          ["Ru "], # 帤
          ["Shuai "], # 帥
          ["Dai "], # 带
          ["Zheng "], # 帧
          ["Shui "], # 帨
          ["Qiao "], # 帩
          ["Zhen "], # 帪
          ["Shi "], # 師
          ["Qun "], # 帬
          ["Xi "], # 席
          ["Bang "], # 帮
          ["Dai "], # 帯
          ["Gui "], # 帰
          ["Chou "], # 帱
          ["Ping "], # 帲
          ["Zhang "], # 帳
          ["Sha "], # 帴
          ["Wan "], # 帵
          ["Dai "], # 帶
          ["Wei "], # 帷
          ["Chang "], # 常
          ["Sha "], # 帹
          ["Qi "], # 帺
          ["Ze "], # 帻
          ["Guo "], # 帼
          ["Mao "], # 帽
          ["Du "], # 帾
          ["Hou "], # 帿
          ["Zheng "], # 幀
          ["Xu "], # 幁
          ["Mi "], # 幂
          ["Wei "], # 幃
          ["Wo "], # 幄
          ["Fu "], # 幅
          ["Yi "], # 幆
          ["Bang "], # 幇
          ["Ping "], # 幈
          ["Tazuna "], # 幉
          ["Gong "], # 幊
          ["Pan "], # 幋
          ["Huang "], # 幌
          ["Dao "], # 幍
          ["Mi "], # 幎
          ["Jia "], # 幏
          ["Teng "], # 幐
          ["Hui "], # 幑
          ["Zhong "], # 幒
          ["Shan "], # 幓
          ["Man "], # 幔
          ["Mu "], # 幕
          ["Biao "], # 幖
          ["Guo "], # 幗
          ["Ze "], # 幘
          ["Mu "], # 幙
          ["Bang "], # 幚
          ["Zhang "], # 幛
          ["Jiong "], # 幜
          ["Chan "], # 幝
          ["Fu "], # 幞
          ["Zhi "], # 幟
          ["Hu "], # 幠
          ["Fan "], # 幡
          ["Chuang "], # 幢
          ["Bi "], # 幣
          ["Hei "], # 幤
          [" "], # 幥
          ["Mi "], # 幦
          ["Qiao "], # 幧
          ["Chan "], # 幨
          ["Fen "], # 幩
          ["Meng "], # 幪
          ["Bang "], # 幫
          ["Chou "], # 幬
          ["Mie "], # 幭
          ["Chu "], # 幮
          ["Jie "], # 幯
          ["Xian "], # 幰
          ["Lan "], # 幱
          ["Gan "], # 干
          ["Ping "], # 平
          ["Nian "], # 年
          ["Qian "], # 幵
          ["Bing "], # 并
          ["Bing "], # 幷
          ["Xing "], # 幸
          ["Gan "], # 幹
          ["Yao "], # 幺
          ["Huan "], # 幻
          ["You "], # 幼
          ["You "], # 幽
          ["Ji "], # 幾
          ["Yan "], # 广
          ["Pi "], # 庀
          ["Ting "], # 庁
          ["Ze "], # 庂
          ["Guang "], # 広
          ["Zhuang "], # 庄
          ["Mo "], # 庅
          ["Qing "], # 庆
          ["Bi "], # 庇
          ["Qin "], # 庈
          ["Dun "], # 庉
          ["Chuang "], # 床
          ["Gui "], # 庋
          ["Ya "], # 庌
          ["Bai "], # 庍
          ["Jie "], # 庎
          ["Xu "], # 序
          ["Lu "], # 庐
          ["Wu "], # 庑
          [" "], # 庒
          ["Ku "], # 库
          ["Ying "], # 应
          ["Di "], # 底
          ["Pao "], # 庖
          ["Dian "], # 店
          ["Ya "], # 庘
          ["Miao "], # 庙
          ["Geng "], # 庚
          ["Ci "], # 庛
          ["Fu "], # 府
          ["Tong "], # 庝
          ["Pang "], # 庞
          ["Fei "], # 废
          ["Xiang "], # 庠
          ["Yi "], # 庡
          ["Zhi "], # 庢
          ["Tiao "], # 庣
          ["Zhi "], # 庤
          ["Xiu "], # 庥
          ["Du "], # 度
          ["Zuo "], # 座
          ["Xiao "], # 庨
          ["Tu "], # 庩
          ["Gui "], # 庪
          ["Ku "], # 庫
          ["Pang "], # 庬
          ["Ting "], # 庭
          ["You "], # 庮
          ["Bu "], # 庯
          ["Ding "], # 庰
          ["Cheng "], # 庱
          ["Lai "], # 庲
          ["Bei "], # 庳
          ["Ji "], # 庴
          ["An "], # 庵
          ["Shu "], # 庶
          ["Kang "], # 康
          ["Yong "], # 庸
          ["Tuo "], # 庹
          ["Song "], # 庺
          ["Shu "], # 庻
          ["Qing "], # 庼
          ["Yu "], # 庽
          ["Yu "], # 庾
          ["Miao "], # 庿
          ["Sou "], # 廀
          ["Ce "], # 廁
          ["Xiang "], # 廂
          ["Fei "], # 廃
          ["Jiu "], # 廄
          ["He "], # 廅
          ["Hui "], # 廆
          ["Liu "], # 廇
          ["Sha "], # 廈
          ["Lian "], # 廉
          ["Lang "], # 廊
          ["Sou "], # 廋
          ["Jian "], # 廌
          ["Pou "], # 廍
          ["Qing "], # 廎
          ["Jiu "], # 廏
          ["Jiu "], # 廐
          ["Qin "], # 廑
          ["Ao "], # 廒
          ["Kuo "], # 廓
          ["Lou "], # 廔
          ["Yin "], # 廕
          ["Liao "], # 廖
          ["Dai "], # 廗
          ["Lu "], # 廘
          ["Yi "], # 廙
          ["Chu "], # 廚
          ["Chan "], # 廛
          ["Tu "], # 廜
          ["Si "], # 廝
          ["Xin "], # 廞
          ["Miao "], # 廟
          ["Chang "], # 廠
          ["Wu "], # 廡
          ["Fei "], # 廢
          ["Guang "], # 廣
          ["Koc "], # 廤
          ["Kuai "], # 廥
          ["Bi "], # 廦
          ["Qiang "], # 廧
          ["Xie "], # 廨
          ["Lin "], # 廩
          ["Lin "], # 廪
          ["Liao "], # 廫
          ["Lu "], # 廬
          [" "], # 廭
          ["Ying "], # 廮
          ["Xian "], # 廯
          ["Ting "], # 廰
          ["Yong "], # 廱
          ["Li "], # 廲
          ["Ting "], # 廳
          ["Yin "], # 廴
          ["Xun "], # 廵
          ["Yan "], # 延
          ["Ting "], # 廷
          ["Di "], # 廸
          ["Po "], # 廹
          ["Jian "], # 建
          ["Hui "], # 廻
          ["Nai "], # 廼
          ["Hui "], # 廽
          ["Gong "], # 廾
          ["Nian "] # 廿
        ],
        [
          ["Kai "], # 开
          ["Bian "], # 弁
          ["Yi "], # 异
          ["Qi "], # 弃
          ["Nong "], # 弄
          ["Fen "], # 弅
          ["Ju "], # 弆
          ["Yan "], # 弇
          ["Yi "], # 弈
          ["Zang "], # 弉
          ["Bi "], # 弊
          ["Yi "], # 弋
          ["Yi "], # 弌
          ["Er "], # 弍
          ["San "], # 弎
          ["Shi "], # 式
          ["Er "], # 弐
          ["Shi "], # 弑
          ["Shi "], # 弒
          ["Gong "], # 弓
          ["Diao "], # 弔
          ["Yin "], # 引
          ["Hu "], # 弖
          ["Fu "], # 弗
          ["Hong "], # 弘
          ["Wu "], # 弙
          ["Tui "], # 弚
          ["Chi "], # 弛
          ["Jiang "], # 弜
          ["Ba "], # 弝
          ["Shen "], # 弞
          ["Di "], # 弟
          ["Zhang "], # 张
          ["Jue "], # 弡
          ["Tao "], # 弢
          ["Fu "], # 弣
          ["Di "], # 弤
          ["Mi "], # 弥
          ["Xian "], # 弦
          ["Hu "], # 弧
          ["Chao "], # 弨
          ["Nu "], # 弩
          ["Jing "], # 弪
          ["Zhen "], # 弫
          ["Yi "], # 弬
          ["Mi "], # 弭
          ["Quan "], # 弮
          ["Wan "], # 弯
          ["Shao "], # 弰
          ["Ruo "], # 弱
          ["Xuan "], # 弲
          ["Jing "], # 弳
          ["Dun "], # 弴
          ["Zhang "], # 張
          ["Jiang "], # 弶
          ["Qiang "], # 強
          ["Peng "], # 弸
          ["Dan "], # 弹
          ["Qiang "], # 强
          ["Bi "], # 弻
          ["Bi "], # 弼
          ["She "], # 弽
          ["Dan "], # 弾
          ["Jian "], # 弿
          ["Gou "], # 彀
          ["Sei "], # 彁
          ["Fa "], # 彂
          ["Bi "], # 彃
          ["Kou "], # 彄
          ["Nagi "], # 彅
          ["Bie "], # 彆
          ["Xiao "], # 彇
          ["Dan "], # 彈
          ["Kuo "], # 彉
          ["Qiang "], # 彊
          ["Hong "], # 彋
          ["Mi "], # 彌
          ["Kuo "], # 彍
          ["Wan "], # 彎
          ["Jue "], # 彏
          ["Ji "], # 彐
          ["Ji "], # 彑
          ["Gui "], # 归
          ["Dang "], # 当
          ["Lu "], # 彔
          ["Lu "], # 录
          ["Tuan "], # 彖
          ["Hui "], # 彗
          ["Zhi "], # 彘
          ["Hui "], # 彙
          ["Hui "], # 彚
          ["Yi "], # 彛
          ["Yi "], # 彜
          ["Yi "], # 彝
          ["Yi "], # 彞
          ["Huo "], # 彟
          ["Huo "], # 彠
          ["Shan "], # 彡
          ["Xing "], # 形
          ["Wen "], # 彣
          ["Tong "], # 彤
          ["Yan "], # 彥
          ["Yan "], # 彦
          ["Yu "], # 彧
          ["Chi "], # 彨
          ["Cai "], # 彩
          ["Biao "], # 彪
          ["Diao "], # 彫
          ["Bin "], # 彬
          ["Peng "], # 彭
          ["Yong "], # 彮
          ["Piao "], # 彯
          ["Zhang "], # 彰
          ["Ying "], # 影
          ["Chi "], # 彲
          ["Chi "], # 彳
          ["Zhuo "], # 彴
          ["Tuo "], # 彵
          ["Ji "], # 彶
          ["Pang "], # 彷
          ["Zhong "], # 彸
          ["Yi "], # 役
          ["Wang "], # 彺
          ["Che "], # 彻
          ["Bi "], # 彼
          ["Chi "], # 彽
          ["Ling "], # 彾
          ["Fu "], # 彿
          ["Wang "], # 往
          ["Zheng "], # 征
          ["Cu "], # 徂
          ["Wang "], # 徃
          ["Jing "], # 径
          ["Dai "], # 待
          ["Xi "], # 徆
          ["Xun "], # 徇
          ["Hen "], # 很
          ["Yang "], # 徉
          ["Huai "], # 徊
          ["Lu "], # 律
          ["Hou "], # 後
          ["Wa "], # 徍
          ["Cheng "], # 徎
          ["Zhi "], # 徏
          ["Xu "], # 徐
          ["Jing "], # 徑
          ["Tu "], # 徒
          ["Cong "], # 従
          [" "], # 徔
          ["Lai "], # 徕
          ["Cong "], # 徖
          ["De "], # 得
          ["Pai "], # 徘
          ["Xi "], # 徙
          [" "], # 徚
          ["Qi "], # 徛
          ["Chang "], # 徜
          ["Zhi "], # 徝
          ["Cong "], # 從
          ["Zhou "], # 徟
          ["Lai "], # 徠
          ["Yu "], # 御
          ["Xie "], # 徢
          ["Jie "], # 徣
          ["Jian "], # 徤
          ["Chi "], # 徥
          ["Jia "], # 徦
          ["Bian "], # 徧
          ["Huang "], # 徨
          ["Fu "], # 復
          ["Xun "], # 循
          ["Wei "], # 徫
          ["Pang "], # 徬
          ["Yao "], # 徭
          ["Wei "], # 微
          ["Xi "], # 徯
          ["Zheng "], # 徰
          ["Piao "], # 徱
          ["Chi "], # 徲
          ["De "], # 徳
          ["Zheng "], # 徴
          ["Zheng "], # 徵
          ["Bie "], # 徶
          ["De "], # 德
          ["Chong "], # 徸
          ["Che "], # 徹
          ["Jiao "], # 徺
          ["Wei "], # 徻
          ["Jiao "], # 徼
          ["Hui "], # 徽
          ["Mei "], # 徾
          ["Long "], # 徿
          ["Xiang "], # 忀
          ["Bao "], # 忁
          ["Qu "], # 忂
          ["Xin "], # 心
          ["Shu "], # 忄
          ["Bi "], # 必
          ["Yi "], # 忆
          ["Le "], # 忇
          ["Ren "], # 忈
          ["Dao "], # 忉
          ["Ding "], # 忊
          ["Gai "], # 忋
          ["Ji "], # 忌
          ["Ren "], # 忍
          ["Ren "], # 忎
          ["Chan "], # 忏
          ["Tan "], # 忐
          ["Te "], # 忑
          ["Te "], # 忒
          ["Gan "], # 忓
          ["Qi "], # 忔
          ["Shi "], # 忕
          ["Cun "], # 忖
          ["Zhi "], # 志
          ["Wang "], # 忘
          ["Mang "], # 忙
          ["Xi "], # 忚
          ["Fan "], # 忛
          ["Ying "], # 応
          ["Tian "], # 忝
          ["Min "], # 忞
          ["Min "], # 忟
          ["Zhong "], # 忠
          ["Chong "], # 忡
          ["Wu "], # 忢
          ["Ji "], # 忣
          ["Wu "], # 忤
          ["Xi "], # 忥
          ["Ye "], # 忦
          ["You "], # 忧
          ["Wan "], # 忨
          ["Cong "], # 忩
          ["Zhong "], # 忪
          ["Kuai "], # 快
          ["Yu "], # 忬
          ["Bian "], # 忭
          ["Zhi "], # 忮
          ["Qi "], # 忯
          ["Cui "], # 忰
          ["Chen "], # 忱
          ["Tai "], # 忲
          ["Tun "], # 忳
          ["Qian "], # 忴
          ["Nian "], # 念
          ["Hun "], # 忶
          ["Xiong "], # 忷
          ["Niu "], # 忸
          ["Wang "], # 忹
          ["Xian "], # 忺
          ["Xin "], # 忻
          ["Kang "], # 忼
          ["Hu "], # 忽
          ["Kai "], # 忾
          ["Fen "] # 忿
        ],
        [
          ["Huai "], # 怀
          ["Tai "], # 态
          ["Song "], # 怂
          ["Wu "], # 怃
          ["Ou "], # 怄
          ["Chang "], # 怅
          ["Chuang "], # 怆
          ["Ju "], # 怇
          ["Yi "], # 怈
          ["Bao "], # 怉
          ["Chao "], # 怊
          ["Min "], # 怋
          ["Pei "], # 怌
          ["Zuo "], # 怍
          ["Zen "], # 怎
          ["Yang "], # 怏
          ["Kou "], # 怐
          ["Ban "], # 怑
          ["Nu "], # 怒
          ["Nao "], # 怓
          ["Zheng "], # 怔
          ["Pa "], # 怕
          ["Bu "], # 怖
          ["Tie "], # 怗
          ["Gu "], # 怘
          ["Hu "], # 怙
          ["Ju "], # 怚
          ["Da "], # 怛
          ["Lian "], # 怜
          ["Si "], # 思
          ["Chou "], # 怞
          ["Di "], # 怟
          ["Dai "], # 怠
          ["Yi "], # 怡
          ["Tu "], # 怢
          ["You "], # 怣
          ["Fu "], # 怤
          ["Ji "], # 急
          ["Peng "], # 怦
          ["Xing "], # 性
          ["Yuan "], # 怨
          ["Ni "], # 怩
          ["Guai "], # 怪
          ["Fu "], # 怫
          ["Xi "], # 怬
          ["Bi "], # 怭
          ["You "], # 怮
          ["Qie "], # 怯
          ["Xuan "], # 怰
          ["Cong "], # 怱
          ["Bing "], # 怲
          ["Huang "], # 怳
          ["Xu "], # 怴
          ["Chu "], # 怵
          ["Pi "], # 怶
          ["Xi "], # 怷
          ["Xi "], # 怸
          ["Tan "], # 怹
          ["Koraeru "], # 怺
          ["Zong "], # 总
          ["Dui "], # 怼
          [" "], # 怽
          ["Ki "], # 怾
          ["Yi "], # 怿
          ["Chi "], # 恀
          ["Ren "], # 恁
          ["Xun "], # 恂
          ["Shi "], # 恃
          ["Xi "], # 恄
          ["Lao "], # 恅
          ["Heng "], # 恆
          ["Kuang "], # 恇
          ["Mu "], # 恈
          ["Zhi "], # 恉
          ["Xie "], # 恊
          ["Lian "], # 恋
          ["Tiao "], # 恌
          ["Huang "], # 恍
          ["Die "], # 恎
          ["Hao "], # 恏
          ["Kong "], # 恐
          ["Gui "], # 恑
          ["Heng "], # 恒
          ["Xi "], # 恓
          ["Xiao "], # 恔
          ["Shu "], # 恕
          ["S "], # 恖
          ["Kua "], # 恗
          ["Qiu "], # 恘
          ["Yang "], # 恙
          ["Hui "], # 恚
          ["Hui "], # 恛
          ["Chi "], # 恜
          ["Jia "], # 恝
          ["Yi "], # 恞
          ["Xiong "], # 恟
          ["Guai "], # 恠
          ["Lin "], # 恡
          ["Hui "], # 恢
          ["Zi "], # 恣
          ["Xu "], # 恤
          ["Chi "], # 恥
          ["Xiang "], # 恦
          ["Nu "], # 恧
          ["Hen "], # 恨
          ["En "], # 恩
          ["Ke "], # 恪
          ["Tong "], # 恫
          ["Tian "], # 恬
          ["Gong "], # 恭
          ["Quan "], # 恮
          ["Xi "], # 息
          ["Qia "], # 恰
          ["Yue "], # 恱
          ["Peng "], # 恲
          ["Ken "], # 恳
          ["De "], # 恴
          ["Hui "], # 恵
          ["E "], # 恶
          ["Kyuu "], # 恷
          ["Tong "], # 恸
          ["Yan "], # 恹
          ["Kai "], # 恺
          ["Ce "], # 恻
          ["Nao "], # 恼
          ["Yun "], # 恽
          ["Mang "], # 恾
          ["Yong "], # 恿
          ["Yong "], # 悀
          ["Yuan "], # 悁
          ["Pi "], # 悂
          ["Kun "], # 悃
          ["Qiao "], # 悄
          ["Yue "], # 悅
          ["Yu "], # 悆
          ["Yu "], # 悇
          ["Jie "], # 悈
          ["Xi "], # 悉
          ["Zhe "], # 悊
          ["Lin "], # 悋
          ["Ti "], # 悌
          ["Han "], # 悍
          ["Hao "], # 悎
          ["Qie "], # 悏
          ["Ti "], # 悐
          ["Bu "], # 悑
          ["Yi "], # 悒
          ["Qian "], # 悓
          ["Hui "], # 悔
          ["Xi "], # 悕
          ["Bei "], # 悖
          ["Man "], # 悗
          ["Yi "], # 悘
          ["Heng "], # 悙
          ["Song "], # 悚
          ["Quan "], # 悛
          ["Cheng "], # 悜
          ["Hui "], # 悝
          ["Wu "], # 悞
          ["Wu "], # 悟
          ["You "], # 悠
          ["Li "], # 悡
          ["Liang "], # 悢
          ["Huan "], # 患
          ["Cong "], # 悤
          ["Yi "], # 悥
          ["Yue "], # 悦
          ["Li "], # 悧
          ["Nin "], # 您
          ["Nao "], # 悩
          ["E "], # 悪
          ["Que "], # 悫
          ["Xuan "], # 悬
          ["Qian "], # 悭
          ["Wu "], # 悮
          ["Min "], # 悯
          ["Cong "], # 悰
          ["Fei "], # 悱
          ["Bei "], # 悲
          ["Duo "], # 悳
          ["Cui "], # 悴
          ["Chang "], # 悵
          ["Men "], # 悶
          ["Li "], # 悷
          ["Ji "], # 悸
          ["Guan "], # 悹
          ["Guan "], # 悺
          ["Xing "], # 悻
          ["Dao "], # 悼
          ["Qi "], # 悽
          ["Kong "], # 悾
          ["Tian "], # 悿
          ["Lun "], # 惀
          ["Xi "], # 惁
          ["Kan "], # 惂
          ["Kun "], # 惃
          ["Ni "], # 惄
          ["Qing "], # 情
          ["Chou "], # 惆
          ["Dun "], # 惇
          ["Guo "], # 惈
          ["Chan "], # 惉
          ["Liang "], # 惊
          ["Wan "], # 惋
          ["Yuan "], # 惌
          ["Jin "], # 惍
          ["Ji "], # 惎
          ["Lin "], # 惏
          ["Yu "], # 惐
          ["Huo "], # 惑
          ["He "], # 惒
          ["Quan "], # 惓
          ["Tan "], # 惔
          ["Ti "], # 惕
          ["Ti "], # 惖
          ["Nie "], # 惗
          ["Wang "], # 惘
          ["Chuo "], # 惙
          ["Bu "], # 惚
          ["Hun "], # 惛
          ["Xi "], # 惜
          ["Tang "], # 惝
          ["Xin "], # 惞
          ["Wei "], # 惟
          ["Hui "], # 惠
          ["E "], # 惡
          ["Rui "], # 惢
          ["Zong "], # 惣
          ["Jian "], # 惤
          ["Yong "], # 惥
          ["Dian "], # 惦
          ["Ju "], # 惧
          ["Can "], # 惨
          ["Cheng "], # 惩
          ["De "], # 惪
          ["Bei "], # 惫
          ["Qie "], # 惬
          ["Can "], # 惭
          ["Dan "], # 惮
          ["Guan "], # 惯
          ["Duo "], # 惰
          ["Nao "], # 惱
          ["Yun "], # 惲
          ["Xiang "], # 想
          ["Zhui "], # 惴
          ["Die "], # 惵
          ["Huang "], # 惶
          ["Chun "], # 惷
          ["Qiong "], # 惸
          ["Re "], # 惹
          ["Xing "], # 惺
          ["Ce "], # 惻
          ["Bian "], # 惼
          ["Hun "], # 惽
          ["Zong "], # 惾
          ["Ti "] # 惿
        ],
        [
          ["Qiao "], # 愀
          ["Chou "], # 愁
          ["Bei "], # 愂
          ["Xuan "], # 愃
          ["Wei "], # 愄
          ["Ge "], # 愅
          ["Qian "], # 愆
          ["Wei "], # 愇
          ["Yu "], # 愈
          ["Yu "], # 愉
          ["Bi "], # 愊
          ["Xuan "], # 愋
          ["Huan "], # 愌
          ["Min "], # 愍
          ["Bi "], # 愎
          ["Yi "], # 意
          ["Mian "], # 愐
          ["Yong "], # 愑
          ["Kai "], # 愒
          ["Dang "], # 愓
          ["Yin "], # 愔
          ["E "], # 愕
          ["Chen "], # 愖
          ["Mou "], # 愗
          ["Ke "], # 愘
          ["Ke "], # 愙
          ["Yu "], # 愚
          ["Ai "], # 愛
          ["Qie "], # 愜
          ["Yan "], # 愝
          ["Nuo "], # 愞
          ["Gan "], # 感
          ["Yun "], # 愠
          ["Zong "], # 愡
          ["Sai "], # 愢
          ["Leng "], # 愣
          ["Fen "], # 愤
          [" "], # 愥
          ["Kui "], # 愦
          ["Kui "], # 愧
          ["Que "], # 愨
          ["Gong "], # 愩
          ["Yun "], # 愪
          ["Su "], # 愫
          ["Su "], # 愬
          ["Qi "], # 愭
          ["Yao "], # 愮
          ["Song "], # 愯
          ["Huang "], # 愰
          ["Ji "], # 愱
          ["Gu "], # 愲
          ["Ju "], # 愳
          ["Chuang "], # 愴
          ["Ni "], # 愵
          ["Xie "], # 愶
          ["Kai "], # 愷
          ["Zheng "], # 愸
          ["Yong "], # 愹
          ["Cao "], # 愺
          ["Sun "], # 愻
          ["Shen "], # 愼
          ["Bo "], # 愽
          ["Kai "], # 愾
          ["Yuan "], # 愿
          ["Xie "], # 慀
          ["Hun "], # 慁
          ["Yong "], # 慂
          ["Yang "], # 慃
          ["Li "], # 慄
          ["Sao "], # 慅
          ["Tao "], # 慆
          ["Yin "], # 慇
          ["Ci "], # 慈
          ["Xu "], # 慉
          ["Qian "], # 慊
          ["Tai "], # 態
          ["Huang "], # 慌
          ["Yun "], # 慍
          ["Shen "], # 慎
          ["Ming "], # 慏
          [" "], # 慐
          ["She "], # 慑
          ["Cong "], # 慒
          ["Piao "], # 慓
          ["Mo "], # 慔
          ["Mu "], # 慕
          ["Guo "], # 慖
          ["Chi "], # 慗
          ["Can "], # 慘
          ["Can "], # 慙
          ["Can "], # 慚
          ["Cui "], # 慛
          ["Min "], # 慜
          ["Te "], # 慝
          ["Zhang "], # 慞
          ["Tong "], # 慟
          ["Ao "], # 慠
          ["Shuang "], # 慡
          ["Man "], # 慢
          ["Guan "], # 慣
          ["Que "], # 慤
          ["Zao "], # 慥
          ["Jiu "], # 慦
          ["Hui "], # 慧
          ["Kai "], # 慨
          ["Lian "], # 慩
          ["Ou "], # 慪
          ["Song "], # 慫
          ["Jin "], # 慬
          ["Yin "], # 慭
          ["Lu "], # 慮
          ["Shang "], # 慯
          ["Wei "], # 慰
          ["Tuan "], # 慱
          ["Man "], # 慲
          ["Qian "], # 慳
          ["She "], # 慴
          ["Yong "], # 慵
          ["Qing "], # 慶
          ["Kang "], # 慷
          ["Di "], # 慸
          ["Zhi "], # 慹
          ["Lou "], # 慺
          ["Juan "], # 慻
          ["Qi "], # 慼
          ["Qi "], # 慽
          ["Yu "], # 慾
          ["Ping "], # 慿
          ["Liao "], # 憀
          ["Cong "], # 憁
          ["You "], # 憂
          ["Chong "], # 憃
          ["Zhi "], # 憄
          ["Tong "], # 憅
          ["Cheng "], # 憆
          ["Qi "], # 憇
          ["Qu "], # 憈
          ["Peng "], # 憉
          ["Bei "], # 憊
          ["Bie "], # 憋
          ["Chun "], # 憌
          ["Jiao "], # 憍
          ["Zeng "], # 憎
          ["Chi "], # 憏
          ["Lian "], # 憐
          ["Ping "], # 憑
          ["Kui "], # 憒
          ["Hui "], # 憓
          ["Qiao "], # 憔
          ["Cheng "], # 憕
          ["Yin "], # 憖
          ["Yin "], # 憗
          ["Xi "], # 憘
          ["Xi "], # 憙
          ["Dan "], # 憚
          ["Tan "], # 憛
          ["Duo "], # 憜
          ["Dui "], # 憝
          ["Dui "], # 憞
          ["Su "], # 憟
          ["Jue "], # 憠
          ["Ce "], # 憡
          ["Xiao "], # 憢
          ["Fan "], # 憣
          ["Fen "], # 憤
          ["Lao "], # 憥
          ["Lao "], # 憦
          ["Chong "], # 憧
          ["Han "], # 憨
          ["Qi "], # 憩
          ["Xian "], # 憪
          ["Min "], # 憫
          ["Jing "], # 憬
          ["Liao "], # 憭
          ["Wu "], # 憮
          ["Can "], # 憯
          ["Jue "], # 憰
          ["Cu "], # 憱
          ["Xian "], # 憲
          ["Tan "], # 憳
          ["Sheng "], # 憴
          ["Pi "], # 憵
          ["Yi "], # 憶
          ["Chu "], # 憷
          ["Xian "], # 憸
          ["Nao "], # 憹
          ["Dan "], # 憺
          ["Tan "], # 憻
          ["Jing "], # 憼
          ["Song "], # 憽
          ["Han "], # 憾
          ["Jiao "], # 憿
          ["Wai "], # 懀
          ["Huan "], # 懁
          ["Dong "], # 懂
          ["Qin "], # 懃
          ["Qin "], # 懄
          ["Qu "], # 懅
          ["Cao "], # 懆
          ["Ken "], # 懇
          ["Xie "], # 懈
          ["Ying "], # 應
          ["Ao "], # 懊
          ["Mao "], # 懋
          ["Yi "], # 懌
          ["Lin "], # 懍
          ["Se "], # 懎
          ["Jun "], # 懏
          ["Huai "], # 懐
          ["Men "], # 懑
          ["Lan "], # 懒
          ["Ai "], # 懓
          ["Lin "], # 懔
          ["Yan "], # 懕
          ["Gua "], # 懖
          ["Xia "], # 懗
          ["Chi "], # 懘
          ["Yu "], # 懙
          ["Yin "], # 懚
          ["Dai "], # 懛
          ["Meng "], # 懜
          ["Ai "], # 懝
          ["Meng "], # 懞
          ["Dui "], # 懟
          ["Qi "], # 懠
          ["Mo "], # 懡
          ["Lan "], # 懢
          ["Men "], # 懣
          ["Chou "], # 懤
          ["Zhi "], # 懥
          ["Nuo "], # 懦
          ["Nuo "], # 懧
          ["Yan "], # 懨
          ["Yang "], # 懩
          ["Bo "], # 懪
          ["Zhi "], # 懫
          ["Kuang "], # 懬
          ["Kuang "], # 懭
          ["You "], # 懮
          ["Fu "], # 懯
          ["Liu "], # 懰
          ["Mie "], # 懱
          ["Cheng "], # 懲
          [" "], # 懳
          ["Chan "], # 懴
          ["Meng "], # 懵
          ["Lan "], # 懶
          ["Huai "], # 懷
          ["Xuan "], # 懸
          ["Rang "], # 懹
          ["Chan "], # 懺
          ["Ji "], # 懻
          ["Ju "], # 懼
          ["Huan "], # 懽
          ["She "], # 懾
          ["Yi "] # 懿
        ],
        [
          ["Lian "], # 戀
          ["Nan "], # 戁
          ["Mi "], # 戂
          ["Tang "], # 戃
          ["Jue "], # 戄
          ["Gang "], # 戅
          ["Gang "], # 戆
          ["Gang "], # 戇
          ["Ge "], # 戈
          ["Yue "], # 戉
          ["Wu "], # 戊
          ["Jian "], # 戋
          ["Xu "], # 戌
          ["Shu "], # 戍
          ["Rong "], # 戎
          ["Xi "], # 戏
          ["Cheng "], # 成
          ["Wo "], # 我
          ["Jie "], # 戒
          ["Ge "], # 戓
          ["Jian "], # 戔
          ["Qiang "], # 戕
          ["Huo "], # 或
          ["Qiang "], # 戗
          ["Zhan "], # 战
          ["Dong "], # 戙
          ["Qi "], # 戚
          ["Jia "], # 戛
          ["Die "], # 戜
          ["Zei "], # 戝
          ["Jia "], # 戞
          ["Ji "], # 戟
          ["Shi "], # 戠
          ["Kan "], # 戡
          ["Ji "], # 戢
          ["Kui "], # 戣
          ["Gai "], # 戤
          ["Deng "], # 戥
          ["Zhan "], # 戦
          ["Chuang "], # 戧
          ["Ge "], # 戨
          ["Jian "], # 戩
          ["Jie "], # 截
          ["Yu "], # 戫
          ["Jian "], # 戬
          ["Yan "], # 戭
          ["Lu "], # 戮
          ["Xi "], # 戯
          ["Zhan "], # 戰
          ["Xi "], # 戱
          ["Xi "], # 戲
          ["Chuo "], # 戳
          ["Dai "], # 戴
          ["Qu "], # 戵
          ["Hu "], # 戶
          ["Hu "], # 户
          ["Hu "], # 戸
          ["E "], # 戹
          ["Shi "], # 戺
          ["Li "], # 戻
          ["Mao "], # 戼
          ["Hu "], # 戽
          ["Li "], # 戾
          ["Fang "], # 房
          ["Suo "], # 所
          ["Bian "], # 扁
          ["Dian "], # 扂
          ["Jiong "], # 扃
          ["Shang "], # 扄
          ["Yi "], # 扅
          ["Yi "], # 扆
          ["Shan "], # 扇
          ["Hu "], # 扈
          ["Fei "], # 扉
          ["Yan "], # 扊
          ["Shou "], # 手
          ["T "], # 扌
          ["Cai "], # 才
          ["Zha "], # 扎
          ["Qiu "], # 扏
          ["Le "], # 扐
          ["Bu "], # 扑
          ["Ba "], # 扒
          ["Da "], # 打
          ["Reng "], # 扔
          ["Fu "], # 払
          ["Hameru "], # 扖
          ["Zai "], # 扗
          ["Tuo "], # 托
          ["Zhang "], # 扙
          ["Diao "], # 扚
          ["Kang "], # 扛
          ["Yu "], # 扜
          ["Ku "], # 扝
          ["Han "], # 扞
          ["Shen "], # 扟
          ["Cha "], # 扠
          ["Yi "], # 扡
          ["Gu "], # 扢
          ["Kou "], # 扣
          ["Wu "], # 扤
          ["Tuo "], # 扥
          ["Qian "], # 扦
          ["Zhi "], # 执
          ["Ren "], # 扨
          ["Kuo "], # 扩
          ["Men "], # 扪
          ["Sao "], # 扫
          ["Yang "], # 扬
          ["Niu "], # 扭
          ["Ban "], # 扮
          ["Che "], # 扯
          ["Rao "], # 扰
          ["Xi "], # 扱
          ["Qian "], # 扲
          ["Ban "], # 扳
          ["Jia "], # 扴
          ["Yu "], # 扵
          ["Fu "], # 扶
          ["Ao "], # 扷
          ["Xi "], # 扸
          ["Pi "], # 批
          ["Zhi "], # 扺
          ["Zi "], # 扻
          ["E "], # 扼
          ["Dun "], # 扽
          ["Zhao "], # 找
          ["Cheng "], # 承
          ["Ji "], # 技
          ["Yan "], # 抁
          ["Kuang "], # 抂
          ["Bian "], # 抃
          ["Chao "], # 抄
          ["Ju "], # 抅
          ["Wen "], # 抆
          ["Hu "], # 抇
          ["Yue "], # 抈
          ["Jue "], # 抉
          ["Ba "], # 把
          ["Qin "], # 抋
          ["Zhen "], # 抌
          ["Zheng "], # 抍
          ["Yun "], # 抎
          ["Wan "], # 抏
          ["Nu "], # 抐
          ["Yi "], # 抑
          ["Shu "], # 抒
          ["Zhua "], # 抓
          ["Pou "], # 抔
          ["Tou "], # 投
          ["Dou "], # 抖
          ["Kang "], # 抗
          ["Zhe "], # 折
          ["Pou "], # 抙
          ["Fu "], # 抚
          ["Pao "], # 抛
          ["Ba "], # 抜
          ["Ao "], # 抝
          ["Ze "], # 択
          ["Tuan "], # 抟
          ["Kou "], # 抠
          ["Lun "], # 抡
          ["Qiang "], # 抢
          [" "], # 抣
          ["Hu "], # 护
          ["Bao "], # 报
          ["Bing "], # 抦
          ["Zhi "], # 抧
          ["Peng "], # 抨
          ["Tan "], # 抩
          ["Pu "], # 抪
          ["Pi "], # 披
          ["Tai "], # 抬
          ["Yao "], # 抭
          ["Zhen "], # 抮
          ["Zha "], # 抯
          ["Yang "], # 抰
          ["Bao "], # 抱
          ["He "], # 抲
          ["Ni "], # 抳
          ["Yi "], # 抴
          ["Di "], # 抵
          ["Chi "], # 抶
          ["Pi "], # 抷
          ["Za "], # 抸
          ["Mo "], # 抹
          ["Mo "], # 抺
          ["Shen "], # 抻
          ["Ya "], # 押
          ["Chou "], # 抽
          ["Qu "], # 抾
          ["Min "], # 抿
          ["Chu "], # 拀
          ["Jia "], # 拁
          ["Fu "], # 拂
          ["Zhan "], # 拃
          ["Zhu "], # 拄
          ["Dan "], # 担
          ["Chai "], # 拆
          ["Mu "], # 拇
          ["Nian "], # 拈
          ["La "], # 拉
          ["Fu "], # 拊
          ["Pao "], # 拋
          ["Ban "], # 拌
          ["Pai "], # 拍
          ["Ling "], # 拎
          ["Na "], # 拏
          ["Guai "], # 拐
          ["Qian "], # 拑
          ["Ju "], # 拒
          ["Tuo "], # 拓
          ["Ba "], # 拔
          ["Tuo "], # 拕
          ["Tuo "], # 拖
          ["Ao "], # 拗
          ["Ju "], # 拘
          ["Zhuo "], # 拙
          ["Pan "], # 拚
          ["Zhao "], # 招
          ["Bai "], # 拜
          ["Bai "], # 拝
          ["Di "], # 拞
          ["Ni "], # 拟
          ["Ju "], # 拠
          ["Kuo "], # 拡
          ["Long "], # 拢
          ["Jian "], # 拣
          [" "], # 拤
          ["Yong "], # 拥
          ["Lan "], # 拦
          ["Ning "], # 拧
          ["Bo "], # 拨
          ["Ze "], # 择
          ["Qian "], # 拪
          ["Hen "], # 拫
          ["Gua "], # 括
          ["Shi "], # 拭
          ["Jie "], # 拮
          ["Zheng "], # 拯
          ["Nin "], # 拰
          ["Gong "], # 拱
          ["Gong "], # 拲
          ["Quan "], # 拳
          ["Shuan "], # 拴
          ["Cun "], # 拵
          ["Zan "], # 拶
          ["Kao "], # 拷
          ["Chi "], # 拸
          ["Xie "], # 拹
          ["Ce "], # 拺
          ["Hui "], # 拻
          ["Pin "], # 拼
          ["Zhuai "], # 拽
          ["Shi "], # 拾
          ["Na "] # 拿
        ],
        [
          ["Bo "], # 挀
          ["Chi "], # 持
          ["Gua "], # 挂
          ["Zhi "], # 挃
          ["Kuo "], # 挄
          ["Duo "], # 挅
          ["Duo "], # 挆
          ["Zhi "], # 指
          ["Qie "], # 挈
          ["An "], # 按
          ["Nong "], # 挊
          ["Zhen "], # 挋
          ["Ge "], # 挌
          ["Jiao "], # 挍
          ["Ku "], # 挎
          ["Dong "], # 挏
          ["Ru "], # 挐
          ["Tiao "], # 挑
          ["Lie "], # 挒
          ["Zha "], # 挓
          ["Lu "], # 挔
          ["Die "], # 挕
          ["Wa "], # 挖
          ["Jue "], # 挗
          ["Mushiru "], # 挘
          ["Ju "], # 挙
          ["Zhi "], # 挚
          ["Luan "], # 挛
          ["Ya "], # 挜
          ["Zhua "], # 挝
          ["Ta "], # 挞
          ["Xie "], # 挟
          ["Nao "], # 挠
          ["Dang "], # 挡
          ["Jiao "], # 挢
          ["Zheng "], # 挣
          ["Ji "], # 挤
          ["Hui "], # 挥
          ["Xun "], # 挦
          ["Ku "], # 挧
          ["Ai "], # 挨
          ["Tuo "], # 挩
          ["Nuo "], # 挪
          ["Cuo "], # 挫
          ["Bo "], # 挬
          ["Geng "], # 挭
          ["Ti "], # 挮
          ["Zhen "], # 振
          ["Cheng "], # 挰
          ["Suo "], # 挱
          ["Suo "], # 挲
          ["Keng "], # 挳
          ["Mei "], # 挴
          ["Long "], # 挵
          ["Ju "], # 挶
          ["Peng "], # 挷
          ["Jian "], # 挸
          ["Yi "], # 挹
          ["Ting "], # 挺
          ["Shan "], # 挻
          ["Nuo "], # 挼
          ["Wan "], # 挽
          ["Xie "], # 挾
          ["Cha "], # 挿
          ["Feng "], # 捀
          ["Jiao "], # 捁
          ["Wu "], # 捂
          ["Jun "], # 捃
          ["Jiu "], # 捄
          ["Tong "], # 捅
          ["Kun "], # 捆
          ["Huo "], # 捇
          ["Tu "], # 捈
          ["Zhuo "], # 捉
          ["Pou "], # 捊
          ["Le "], # 捋
          ["Ba "], # 捌
          ["Han "], # 捍
          ["Shao "], # 捎
          ["Nie "], # 捏
          ["Juan "], # 捐
          ["Ze "], # 捑
          ["Song "], # 捒
          ["Ye "], # 捓
          ["Jue "], # 捔
          ["Bu "], # 捕
          ["Huan "], # 捖
          ["Bu "], # 捗
          ["Zun "], # 捘
          ["Yi "], # 捙
          ["Zhai "], # 捚
          ["Lu "], # 捛
          ["Sou "], # 捜
          ["Tuo "], # 捝
          ["Lao "], # 捞
          ["Sun "], # 损
          ["Bang "], # 捠
          ["Jian "], # 捡
          ["Huan "], # 换
          ["Dao "], # 捣
          [" "], # 捤
          ["Wan "], # 捥
          ["Qin "], # 捦
          ["Peng "], # 捧
          ["She "], # 捨
          ["Lie "], # 捩
          ["Min "], # 捪
          ["Men "], # 捫
          ["Fu "], # 捬
          ["Bai "], # 捭
          ["Ju "], # 据
          ["Dao "], # 捯
          ["Wo "], # 捰
          ["Ai "], # 捱
          ["Juan "], # 捲
          ["Yue "], # 捳
          ["Zong "], # 捴
          ["Chen "], # 捵
          ["Chui "], # 捶
          ["Jie "], # 捷
          ["Tu "], # 捸
          ["Ben "], # 捹
          ["Na "], # 捺
          ["Nian "], # 捻
          ["Nuo "], # 捼
          ["Zu "], # 捽
          ["Wo "], # 捾
          ["Xi "], # 捿
          ["Xian "], # 掀
          ["Cheng "], # 掁
          ["Dian "], # 掂
          ["Sao "], # 掃
          ["Lun "], # 掄
          ["Qing "], # 掅
          ["Gang "], # 掆
          ["Duo "], # 掇
          ["Shou "], # 授
          ["Diao "], # 掉
          ["Pou "], # 掊
          ["Di "], # 掋
          ["Zhang "], # 掌
          ["Gun "], # 掍
          ["Ji "], # 掎
          ["Tao "], # 掏
          ["Qia "], # 掐
          ["Qi "], # 掑
          ["Pai "], # 排
          ["Shu "], # 掓
          ["Qian "], # 掔
          ["Ling "], # 掕
          ["Yi "], # 掖
          ["Ya "], # 掗
          ["Jue "], # 掘
          ["Zheng "], # 掙
          ["Liang "], # 掚
          ["Gua "], # 掛
          ["Yi "], # 掜
          ["Huo "], # 掝
          ["Shan "], # 掞
          ["Zheng "], # 掟
          ["Lue "], # 掠
          ["Cai "], # 採
          ["Tan "], # 探
          ["Che "], # 掣
          ["Bing "], # 掤
          ["Jie "], # 接
          ["Ti "], # 掦
          ["Kong "], # 控
          ["Tui "], # 推
          ["Yan "], # 掩
          ["Cuo "], # 措
          ["Zou "], # 掫
          ["Ju "], # 掬
          ["Tian "], # 掭
          ["Qian "], # 掮
          ["Ken "], # 掯
          ["Bai "], # 掰
          ["Shou "], # 掱
          ["Jie "], # 掲
          ["Lu "], # 掳
          ["Guo "], # 掴
          ["Haba "], # 掵
          [" "], # 掶
          ["Zhi "], # 掷
          ["Dan "], # 掸
          ["Mang "], # 掹
          ["Xian "], # 掺
          ["Sao "], # 掻
          ["Guan "], # 掼
          ["Peng "], # 掽
          ["Yuan "], # 掾
          ["Nuo "], # 掿
          ["Jian "], # 揀
          ["Zhen "], # 揁
          ["Jiu "], # 揂
          ["Jian "], # 揃
          ["Yu "], # 揄
          ["Yan "], # 揅
          ["Kui "], # 揆
          ["Nan "], # 揇
          ["Hong "], # 揈
          ["Rou "], # 揉
          ["Pi "], # 揊
          ["Wei "], # 揋
          ["Sai "], # 揌
          ["Zou "], # 揍
          ["Xuan "], # 揎
          ["Miao "], # 描
          ["Ti "], # 提
          ["Nie "], # 揑
          ["Cha "], # 插
          ["Shi "], # 揓
          ["Zong "], # 揔
          ["Zhen "], # 揕
          ["Yi "], # 揖
          ["Shun "], # 揗
          ["Heng "], # 揘
          ["Bian "], # 揙
          ["Yang "], # 揚
          ["Huan "], # 換
          ["Yan "], # 揜
          ["Zuan "], # 揝
          ["An "], # 揞
          ["Xu "], # 揟
          ["Ya "], # 揠
          ["Wo "], # 握
          ["Ke "], # 揢
          ["Chuai "], # 揣
          ["Ji "], # 揤
          ["Ti "], # 揥
          ["La "], # 揦
          ["La "], # 揧
          ["Cheng "], # 揨
          ["Kai "], # 揩
          ["Jiu "], # 揪
          ["Jiu "], # 揫
          ["Tu "], # 揬
          ["Jie "], # 揭
          ["Hui "], # 揮
          ["Geng "], # 揯
          ["Chong "], # 揰
          ["Shuo "], # 揱
          ["She "], # 揲
          ["Xie "], # 揳
          ["Yuan "], # 援
          ["Qian "], # 揵
          ["Ye "], # 揶
          ["Cha "], # 揷
          ["Zha "], # 揸
          ["Bei "], # 揹
          ["Yao "], # 揺
          [" "], # 揻
          [" "], # 揼
          ["Lan "], # 揽
          ["Wen "], # 揾
          ["Qin "] # 揿
        ],
        [
          ["Chan "], # 搀
          ["Ge "], # 搁
          ["Lou "], # 搂
          ["Zong "], # 搃
          ["Geng "], # 搄
          ["Jiao "], # 搅
          ["Gou "], # 搆
          ["Qin "], # 搇
          ["Yong "], # 搈
          ["Que "], # 搉
          ["Chou "], # 搊
          ["Chi "], # 搋
          ["Zhan "], # 搌
          ["Sun "], # 損
          ["Sun "], # 搎
          ["Bo "], # 搏
          ["Chu "], # 搐
          ["Rong "], # 搑
          ["Beng "], # 搒
          ["Cuo "], # 搓
          ["Sao "], # 搔
          ["Ke "], # 搕
          ["Yao "], # 搖
          ["Dao "], # 搗
          ["Zhi "], # 搘
          ["Nu "], # 搙
          ["Xie "], # 搚
          ["Jian "], # 搛
          ["Sou "], # 搜
          ["Qiu "], # 搝
          ["Gao "], # 搞
          ["Xian "], # 搟
          ["Shuo "], # 搠
          ["Sang "], # 搡
          ["Jin "], # 搢
          ["Mie "], # 搣
          ["E "], # 搤
          ["Chui "], # 搥
          ["Nuo "], # 搦
          ["Shan "], # 搧
          ["Ta "], # 搨
          ["Jie "], # 搩
          ["Tang "], # 搪
          ["Pan "], # 搫
          ["Ban "], # 搬
          ["Da "], # 搭
          ["Li "], # 搮
          ["Tao "], # 搯
          ["Hu "], # 搰
          ["Zhi "], # 搱
          ["Wa "], # 搲
          ["Xia "], # 搳
          ["Qian "], # 搴
          ["Wen "], # 搵
          ["Qiang "], # 搶
          ["Tian "], # 搷
          ["Zhen "], # 搸
          ["E "], # 搹
          ["Xi "], # 携
          ["Nuo "], # 搻
          ["Quan "], # 搼
          ["Cha "], # 搽
          ["Zha "], # 搾
          ["Ge "], # 搿
          ["Wu "], # 摀
          ["En "], # 摁
          ["She "], # 摂
          ["Kang "], # 摃
          ["She "], # 摄
          ["Shu "], # 摅
          ["Bai "], # 摆
          ["Yao "], # 摇
          ["Bin "], # 摈
          ["Sou "], # 摉
          ["Tan "], # 摊
          ["Sa "], # 摋
          ["Chan "], # 摌
          ["Suo "], # 摍
          ["Liao "], # 摎
          ["Chong "], # 摏
          ["Chuang "], # 摐
          ["Guo "], # 摑
          ["Bing "], # 摒
          ["Feng "], # 摓
          ["Shuai "], # 摔
          ["Di "], # 摕
          ["Qi "], # 摖
          ["Sou "], # 摗
          ["Zhai "], # 摘
          ["Lian "], # 摙
          ["Tang "], # 摚
          ["Chi "], # 摛
          ["Guan "], # 摜
          ["Lu "], # 摝
          ["Luo "], # 摞
          ["Lou "], # 摟
          ["Zong "], # 摠
          ["Gai "], # 摡
          ["Hu "], # 摢
          ["Zha "], # 摣
          ["Chuang "], # 摤
          ["Tang "], # 摥
          ["Hua "], # 摦
          ["Cui "], # 摧
          ["Nai "], # 摨
          ["Mo "], # 摩
          ["Jiang "], # 摪
          ["Gui "], # 摫
          ["Ying "], # 摬
          ["Zhi "], # 摭
          ["Ao "], # 摮
          ["Zhi "], # 摯
          ["Nie "], # 摰
          ["Man "], # 摱
          ["Shan "], # 摲
          ["Kou "], # 摳
          ["Shu "], # 摴
          ["Suo "], # 摵
          ["Tuan "], # 摶
          ["Jiao "], # 摷
          ["Mo "], # 摸
          ["Mo "], # 摹
          ["Zhe "], # 摺
          ["Xian "], # 摻
          ["Keng "], # 摼
          ["Piao "], # 摽
          ["Jiang "], # 摾
          ["Yin "], # 摿
          ["Gou "], # 撀
          ["Qian "], # 撁
          ["Lue "], # 撂
          ["Ji "], # 撃
          ["Ying "], # 撄
          ["Jue "], # 撅
          ["Pie "], # 撆
          ["Pie "], # 撇
          ["Lao "], # 撈
          ["Dun "], # 撉
          ["Xian "], # 撊
          ["Ruan "], # 撋
          ["Kui "], # 撌
          ["Zan "], # 撍
          ["Yi "], # 撎
          ["Xun "], # 撏
          ["Cheng "], # 撐
          ["Cheng "], # 撑
          ["Sa "], # 撒
          ["Nao "], # 撓
          ["Heng "], # 撔
          ["Si "], # 撕
          ["Qian "], # 撖
          ["Huang "], # 撗
          ["Da "], # 撘
          ["Zun "], # 撙
          ["Nian "], # 撚
          ["Lin "], # 撛
          ["Zheng "], # 撜
          ["Hui "], # 撝
          ["Zhuang "], # 撞
          ["Jiao "], # 撟
          ["Ji "], # 撠
          ["Cao "], # 撡
          ["Dan "], # 撢
          ["Dan "], # 撣
          ["Che "], # 撤
          ["Bo "], # 撥
          ["Che "], # 撦
          ["Jue "], # 撧
          ["Xiao "], # 撨
          ["Liao "], # 撩
          ["Ben "], # 撪
          ["Fu "], # 撫
          ["Qiao "], # 撬
          ["Bo "], # 播
          ["Cuo "], # 撮
          ["Zhuo "], # 撯
          ["Zhuan "], # 撰
          ["Tuo "], # 撱
          ["Pu "], # 撲
          ["Qin "], # 撳
          ["Dun "], # 撴
          ["Nian "], # 撵
          [" "], # 撶
          ["Xie "], # 撷
          ["Lu "], # 撸
          ["Jiao "], # 撹
          ["Cuan "], # 撺
          ["Ta "], # 撻
          ["Han "], # 撼
          ["Qiao "], # 撽
          ["Zhua "], # 撾
          ["Jian "], # 撿
          ["Gan "], # 擀
          ["Yong "], # 擁
          ["Lei "], # 擂
          ["Kuo "], # 擃
          ["Lu "], # 擄
          ["Shan "], # 擅
          ["Zhuo "], # 擆
          ["Ze "], # 擇
          ["Pu "], # 擈
          ["Chuo "], # 擉
          ["Ji "], # 擊
          ["Dang "], # 擋
          ["Suo "], # 擌
          ["Cao "], # 操
          ["Qing "], # 擎
          ["Jing "], # 擏
          ["Huan "], # 擐
          ["Jie "], # 擑
          ["Qin "], # 擒
          ["Kuai "], # 擓
          ["Dan "], # 擔
          ["Xi "], # 擕
          ["Ge "], # 擖
          ["Pi "], # 擗
          ["Bo "], # 擘
          ["Ao "], # 擙
          ["Ju "], # 據
          ["Ye "], # 擛
          [" "], # 擜
          ["Mang "], # 擝
          ["Sou "], # 擞
          ["Mi "], # 擟
          ["Ji "], # 擠
          ["Tai "], # 擡
          ["Zhuo "], # 擢
          ["Dao "], # 擣
          ["Xing "], # 擤
          ["Lan "], # 擥
          ["Ca "], # 擦
          ["Ju "], # 擧
          ["Ye "], # 擨
          ["Ru "], # 擩
          ["Ye "], # 擪
          ["Ye "], # 擫
          ["Ni "], # 擬
          ["Hu "], # 擭
          ["Ji "], # 擮
          ["Bin "], # 擯
          ["Ning "], # 擰
          ["Ge "], # 擱
          ["Zhi "], # 擲
          ["Jie "], # 擳
          ["Kuo "], # 擴
          ["Mo "], # 擵
          ["Jian "], # 擶
          ["Xie "], # 擷
          ["Lie "], # 擸
          ["Tan "], # 擹
          ["Bai "], # 擺
          ["Sou "], # 擻
          ["Lu "], # 擼
          ["Lue "], # 擽
          ["Rao "], # 擾
          ["Zhi "] # 擿
        ],
        [
          ["Pan "], # 攀
          ["Yang "], # 攁
          ["Lei "], # 攂
          ["Sa "], # 攃
          ["Shu "], # 攄
          ["Zan "], # 攅
          ["Nian "], # 攆
          ["Xian "], # 攇
          ["Jun "], # 攈
          ["Huo "], # 攉
          ["Li "], # 攊
          ["La "], # 攋
          ["Han "], # 攌
          ["Ying "], # 攍
          ["Lu "], # 攎
          ["Long "], # 攏
          ["Qian "], # 攐
          ["Qian "], # 攑
          ["Zan "], # 攒
          ["Qian "], # 攓
          ["Lan "], # 攔
          ["San "], # 攕
          ["Ying "], # 攖
          ["Mei "], # 攗
          ["Rang "], # 攘
          ["Chan "], # 攙
          [" "], # 攚
          ["Cuan "], # 攛
          ["Xi "], # 攜
          ["She "], # 攝
          ["Luo "], # 攞
          ["Jun "], # 攟
          ["Mi "], # 攠
          ["Li "], # 攡
          ["Zan "], # 攢
          ["Luan "], # 攣
          ["Tan "], # 攤
          ["Zuan "], # 攥
          ["Li "], # 攦
          ["Dian "], # 攧
          ["Wa "], # 攨
          ["Dang "], # 攩
          ["Jiao "], # 攪
          ["Jue "], # 攫
          ["Lan "], # 攬
          ["Li "], # 攭
          ["Nang "], # 攮
          ["Zhi "], # 支
          ["Gui "], # 攰
          ["Gui "], # 攱
          ["Qi "], # 攲
          ["Xin "], # 攳
          ["Pu "], # 攴
          ["Sui "], # 攵
          ["Shou "], # 收
          ["Kao "], # 攷
          ["You "], # 攸
          ["Gai "], # 改
          ["Yi "], # 攺
          ["Gong "], # 攻
          ["Gan "], # 攼
          ["Ban "], # 攽
          ["Fang "], # 放
          ["Zheng "], # 政
          ["Bo "], # 敀
          ["Dian "], # 敁
          ["Kou "], # 敂
          ["Min "], # 敃
          ["Wu "], # 敄
          ["Gu "], # 故
          ["He "], # 敆
          ["Ce "], # 敇
          ["Xiao "], # 效
          ["Mi "], # 敉
          ["Chu "], # 敊
          ["Ge "], # 敋
          ["Di "], # 敌
          ["Xu "], # 敍
          ["Jiao "], # 敎
          ["Min "], # 敏
          ["Chen "], # 敐
          ["Jiu "], # 救
          ["Zhen "], # 敒
          ["Duo "], # 敓
          ["Yu "], # 敔
          ["Chi "], # 敕
          ["Ao "], # 敖
          ["Bai "], # 敗
          ["Xu "], # 敘
          ["Jiao "], # 教
          ["Duo "], # 敚
          ["Lian "], # 敛
          ["Nie "], # 敜
          ["Bi "], # 敝
          ["Chang "], # 敞
          ["Dian "], # 敟
          ["Duo "], # 敠
          ["Yi "], # 敡
          ["Gan "], # 敢
          ["San "], # 散
          ["Ke "], # 敤
          ["Yan "], # 敥
          ["Dun "], # 敦
          ["Qi "], # 敧
          ["Dou "], # 敨
          ["Xiao "], # 敩
          ["Duo "], # 敪
          ["Jiao "], # 敫
          ["Jing "], # 敬
          ["Yang "], # 敭
          ["Xia "], # 敮
          ["Min "], # 敯
          ["Shu "], # 数
          ["Ai "], # 敱
          ["Qiao "], # 敲
          ["Ai "], # 敳
          ["Zheng "], # 整
          ["Di "], # 敵
          ["Zhen "], # 敶
          ["Fu "], # 敷
          ["Shu "], # 數
          ["Liao "], # 敹
          ["Qu "], # 敺
          ["Xiong "], # 敻
          ["Xi "], # 敼
          ["Jiao "], # 敽
          ["Sen "], # 敾
          ["Jiao "], # 敿
          ["Zhuo "], # 斀
          ["Yi "], # 斁
          ["Lian "], # 斂
          ["Bi "], # 斃
          ["Li "], # 斄
          ["Xiao "], # 斅
          ["Xiao "], # 斆
          ["Wen "], # 文
          ["Xue "], # 斈
          ["Qi "], # 斉
          ["Qi "], # 斊
          ["Zhai "], # 斋
          ["Bin "], # 斌
          ["Jue "], # 斍
          ["Zhai "], # 斎
          [" "], # 斏
          ["Fei "], # 斐
          ["Ban "], # 斑
          ["Ban "], # 斒
          ["Lan "], # 斓
          ["Yu "], # 斔
          ["Lan "], # 斕
          ["Wei "], # 斖
          ["Dou "], # 斗
          ["Sheng "], # 斘
          ["Liao "], # 料
          ["Jia "], # 斚
          ["Hu "], # 斛
          ["Xie "], # 斜
          ["Jia "], # 斝
          ["Yu "], # 斞
          ["Zhen "], # 斟
          ["Jiao "], # 斠
          ["Wo "], # 斡
          ["Tou "], # 斢
          ["Chu "], # 斣
          ["Jin "], # 斤
          ["Chi "], # 斥
          ["Yin "], # 斦
          ["Fu "], # 斧
          ["Qiang "], # 斨
          ["Zhan "], # 斩
          ["Qu "], # 斪
          ["Zhuo "], # 斫
          ["Zhan "], # 斬
          ["Duan "], # 断
          ["Zhuo "], # 斮
          ["Si "], # 斯
          ["Xin "], # 新
          ["Zhuo "], # 斱
          ["Zhuo "], # 斲
          ["Qin "], # 斳
          ["Lin "], # 斴
          ["Zhuo "], # 斵
          ["Chu "], # 斶
          ["Duan "], # 斷
          ["Zhu "], # 斸
          ["Fang "], # 方
          ["Xie "], # 斺
          ["Hang "], # 斻
          ["Yu "], # 於
          ["Shi "], # 施
          ["Pei "], # 斾
          ["You "], # 斿
          ["Mye "], # 旀
          ["Pang "], # 旁
          ["Qi "], # 旂
          ["Zhan "], # 旃
          ["Mao "], # 旄
          ["Lu "], # 旅
          ["Pei "], # 旆
          ["Pi "], # 旇
          ["Liu "], # 旈
          ["Fu "], # 旉
          ["Fang "], # 旊
          ["Xuan "], # 旋
          ["Jing "], # 旌
          ["Jing "], # 旍
          ["Ni "], # 旎
          ["Zu "], # 族
          ["Zhao "], # 旐
          ["Yi "], # 旑
          ["Liu "], # 旒
          ["Shao "], # 旓
          ["Jian "], # 旔
          ["Es "], # 旕
          ["Yi "], # 旖
          ["Qi "], # 旗
          ["Zhi "], # 旘
          ["Fan "], # 旙
          ["Piao "], # 旚
          ["Fan "], # 旛
          ["Zhan "], # 旜
          ["Guai "], # 旝
          ["Sui "], # 旞
          ["Yu "], # 旟
          ["Wu "], # 无
          ["Ji "], # 旡
          ["Ji "], # 既
          ["Ji "], # 旣
          ["Huo "], # 旤
          ["Ri "], # 日
          ["Dan "], # 旦
          ["Jiu "], # 旧
          ["Zhi "], # 旨
          ["Zao "], # 早
          ["Xie "], # 旪
          ["Tiao "], # 旫
          ["Xun "], # 旬
          ["Xu "], # 旭
          ["Xu "], # 旮
          ["Xu "], # 旯
          ["Gan "], # 旰
          ["Han "], # 旱
          ["Tai "], # 旲
          ["Di "], # 旳
          ["Xu "], # 旴
          ["Chan "], # 旵
          ["Shi "], # 时
          ["Kuang "], # 旷
          ["Yang "], # 旸
          ["Shi "], # 旹
          ["Wang "], # 旺
          ["Min "], # 旻
          ["Min "], # 旼
          ["Tun "], # 旽
          ["Chun "], # 旾
          ["Wu "] # 旿
        ],
        [
          ["Yun "], # 昀
          ["Bei "], # 昁
          ["Ang "], # 昂
          ["Ze "], # 昃
          ["Ban "], # 昄
          ["Jie "], # 昅
          ["Kun "], # 昆
          ["Sheng "], # 昇
          ["Hu "], # 昈
          ["Fang "], # 昉
          ["Hao "], # 昊
          ["Gui "], # 昋
          ["Chang "], # 昌
          ["Xuan "], # 昍
          ["Ming "], # 明
          ["Hun "], # 昏
          ["Fen "], # 昐
          ["Qin "], # 昑
          ["Hu "], # 昒
          ["Yi "], # 易
          ["Xi "], # 昔
          ["Xin "], # 昕
          ["Yan "], # 昖
          ["Ze "], # 昗
          ["Fang "], # 昘
          ["Tan "], # 昙
          ["Shen "], # 昚
          ["Ju "], # 昛
          ["Yang "], # 昜
          ["Zan "], # 昝
          ["Bing "], # 昞
          ["Xing "], # 星
          ["Ying "], # 映
          ["Xuan "], # 昡
          ["Pei "], # 昢
          ["Zhen "], # 昣
          ["Ling "], # 昤
          ["Chun "], # 春
          ["Hao "], # 昦
          ["Mei "], # 昧
          ["Zuo "], # 昨
          ["Mo "], # 昩
          ["Bian "], # 昪
          ["Xu "], # 昫
          ["Hun "], # 昬
          ["Zhao "], # 昭
          ["Zong "], # 昮
          ["Shi "], # 是
          ["Shi "], # 昰
          ["Yu "], # 昱
          ["Fei "], # 昲
          ["Die "], # 昳
          ["Mao "], # 昴
          ["Ni "], # 昵
          ["Chang "], # 昶
          ["Wen "], # 昷
          ["Dong "], # 昸
          ["Ai "], # 昹
          ["Bing "], # 昺
          ["Ang "], # 昻
          ["Zhou "], # 昼
          ["Long "], # 昽
          ["Xian "], # 显
          ["Kuang "], # 昿
          ["Tiao "], # 晀
          ["Chao "], # 晁
          ["Shi "], # 時
          ["Huang "], # 晃
          ["Huang "], # 晄
          ["Xuan "], # 晅
          ["Kui "], # 晆
          ["Xu "], # 晇
          ["Jiao "], # 晈
          ["Jin "], # 晉
          ["Zhi "], # 晊
          ["Jin "], # 晋
          ["Shang "], # 晌
          ["Tong "], # 晍
          ["Hong "], # 晎
          ["Yan "], # 晏
          ["Gai "], # 晐
          ["Xiang "], # 晑
          ["Shai "], # 晒
          ["Xiao "], # 晓
          ["Ye "], # 晔
          ["Yun "], # 晕
          ["Hui "], # 晖
          ["Han "], # 晗
          ["Han "], # 晘
          ["Jun "], # 晙
          ["Wan "], # 晚
          ["Xian "], # 晛
          ["Kun "], # 晜
          ["Zhou "], # 晝
          ["Xi "], # 晞
          ["Cheng "], # 晟
          ["Sheng "], # 晠
          ["Bu "], # 晡
          ["Zhe "], # 晢
          ["Zhe "], # 晣
          ["Wu "], # 晤
          ["Han "], # 晥
          ["Hui "], # 晦
          ["Hao "], # 晧
          ["Chen "], # 晨
          ["Wan "], # 晩
          ["Tian "], # 晪
          ["Zhuo "], # 晫
          ["Zui "], # 晬
          ["Zhou "], # 晭
          ["Pu "], # 普
          ["Jing "], # 景
          ["Xi "], # 晰
          ["Shan "], # 晱
          ["Yi "], # 晲
          ["Xi "], # 晳
          ["Qing "], # 晴
          ["Qi "], # 晵
          ["Jing "], # 晶
          ["Gui "], # 晷
          ["Zhen "], # 晸
          ["Yi "], # 晹
          ["Zhi "], # 智
          ["An "], # 晻
          ["Wan "], # 晼
          ["Lin "], # 晽
          ["Liang "], # 晾
          ["Chang "], # 晿
          ["Wang "], # 暀
          ["Xiao "], # 暁
          ["Zan "], # 暂
          ["Hi "], # 暃
          ["Xuan "], # 暄
          ["Xuan "], # 暅
          ["Yi "], # 暆
          ["Xia "], # 暇
          ["Yun "], # 暈
          ["Hui "], # 暉
          ["Fu "], # 暊
          ["Min "], # 暋
          ["Kui "], # 暌
          ["He "], # 暍
          ["Ying "], # 暎
          ["Du "], # 暏
          ["Wei "], # 暐
          ["Shu "], # 暑
          ["Qing "], # 暒
          ["Mao "], # 暓
          ["Nan "], # 暔
          ["Jian "], # 暕
          ["Nuan "], # 暖
          ["An "], # 暗
          ["Yang "], # 暘
          ["Chun "], # 暙
          ["Yao "], # 暚
          ["Suo "], # 暛
          ["Jin "], # 暜
          ["Ming "], # 暝
          ["Jiao "], # 暞
          ["Kai "], # 暟
          ["Gao "], # 暠
          ["Weng "], # 暡
          ["Chang "], # 暢
          ["Qi "], # 暣
          ["Hao "], # 暤
          ["Yan "], # 暥
          ["Li "], # 暦
          ["Ai "], # 暧
          ["Ji "], # 暨
          ["Gui "], # 暩
          ["Men "], # 暪
          ["Zan "], # 暫
          ["Xie "], # 暬
          ["Hao "], # 暭
          ["Mu "], # 暮
          ["Mo "], # 暯
          ["Cong "], # 暰
          ["Ni "], # 暱
          ["Zhang "], # 暲
          ["Hui "], # 暳
          ["Bao "], # 暴
          ["Han "], # 暵
          ["Xuan "], # 暶
          ["Chuan "], # 暷
          ["Liao "], # 暸
          ["Xian "], # 暹
          ["Dan "], # 暺
          ["Jing "], # 暻
          ["Pie "], # 暼
          ["Lin "], # 暽
          ["Tun "], # 暾
          ["Xi "], # 暿
          ["Yi "], # 曀
          ["Ji "], # 曁
          ["Huang "], # 曂
          ["Tai "], # 曃
          ["Ye "], # 曄
          ["Ye "], # 曅
          ["Li "], # 曆
          ["Tan "], # 曇
          ["Tong "], # 曈
          ["Xiao "], # 曉
          ["Fei "], # 曊
          ["Qin "], # 曋
          ["Zhao "], # 曌
          ["Hao "], # 曍
          ["Yi "], # 曎
          ["Xiang "], # 曏
          ["Xing "], # 曐
          ["Sen "], # 曑
          ["Jiao "], # 曒
          ["Bao "], # 曓
          ["Jing "], # 曔
          ["Yian "], # 曕
          ["Ai "], # 曖
          ["Ye "], # 曗
          ["Ru "], # 曘
          ["Shu "], # 曙
          ["Meng "], # 曚
          ["Xun "], # 曛
          ["Yao "], # 曜
          ["Pu "], # 曝
          ["Li "], # 曞
          ["Chen "], # 曟
          ["Kuang "], # 曠
          ["Die "], # 曡
          [" "], # 曢
          ["Yan "], # 曣
          ["Huo "], # 曤
          ["Lu "], # 曥
          ["Xi "], # 曦
          ["Rong "], # 曧
          ["Long "], # 曨
          ["Nang "], # 曩
          ["Luo "], # 曪
          ["Luan "], # 曫
          ["Shai "], # 曬
          ["Tang "], # 曭
          ["Yan "], # 曮
          ["Chu "], # 曯
          ["Yue "], # 曰
          ["Yue "], # 曱
          ["Qu "], # 曲
          ["Yi "], # 曳
          ["Geng "], # 更
          ["Ye "], # 曵
          ["Hu "], # 曶
          ["He "], # 曷
          ["Shu "], # 書
          ["Cao "], # 曹
          ["Cao "], # 曺
          ["Noboru "], # 曻
          ["Man "], # 曼
          ["Ceng "], # 曽
          ["Ceng "], # 曾
          ["Ti "] # 替
        ],
        [
          ["Zui "], # 最
          ["Can "], # 朁
          ["Xu "], # 朂
          ["Hui "], # 會
          ["Yin "], # 朄
          ["Qie "], # 朅
          ["Fen "], # 朆
          ["Pi "], # 朇
          ["Yue "], # 月
          ["You "], # 有
          ["Ruan "], # 朊
          ["Peng "], # 朋
          ["Ban "], # 朌
          ["Fu "], # 服
          ["Ling "], # 朎
          ["Fei "], # 朏
          ["Qu "], # 朐
          [" "], # 朑
          ["Nu "], # 朒
          ["Tiao "], # 朓
          ["Shuo "], # 朔
          ["Zhen "], # 朕
          ["Lang "], # 朖
          ["Lang "], # 朗
          ["Juan "], # 朘
          ["Ming "], # 朙
          ["Huang "], # 朚
          ["Wang "], # 望
          ["Tun "], # 朜
          ["Zhao "], # 朝
          ["Ji "], # 朞
          ["Qi "], # 期
          ["Ying "], # 朠
          ["Zong "], # 朡
          ["Wang "], # 朢
          ["Tong "], # 朣
          ["Lang "], # 朤
          [" "], # 朥
          ["Meng "], # 朦
          ["Long "], # 朧
          ["Mu "], # 木
          ["Deng "], # 朩
          ["Wei "], # 未
          ["Mo "], # 末
          ["Ben "], # 本
          ["Zha "], # 札
          ["Zhu "], # 朮
          ["Zhu "], # 术
          [" "], # 朰
          ["Zhu "], # 朱
          ["Ren "], # 朲
          ["Ba "], # 朳
          ["Po "], # 朴
          ["Duo "], # 朵
          ["Duo "], # 朶
          ["Dao "], # 朷
          ["Li "], # 朸
          ["Qiu "], # 朹
          ["Ji "], # 机
          ["Jiu "], # 朻
          ["Bi "], # 朼
          ["Xiu "], # 朽
          ["Ting "], # 朾
          ["Ci "], # 朿
          ["Sha "], # 杀
          ["Eburi "], # 杁
          ["Za "], # 杂
          ["Quan "], # 权
          ["Qian "], # 杄
          ["Yu "], # 杅
          ["Gan "], # 杆
          ["Wu "], # 杇
          ["Cha "], # 杈
          ["Shan "], # 杉
          ["Xun "], # 杊
          ["Fan "], # 杋
          ["Wu "], # 杌
          ["Zi "], # 杍
          ["Li "], # 李
          ["Xing "], # 杏
          ["Cai "], # 材
          ["Cun "], # 村
          ["Ren "], # 杒
          ["Shao "], # 杓
          ["Tuo "], # 杔
          ["Di "], # 杕
          ["Zhang "], # 杖
          ["Mang "], # 杗
          ["Chi "], # 杘
          ["Yi "], # 杙
          ["Gu "], # 杚
          ["Gong "], # 杛
          ["Du "], # 杜
          ["Yi "], # 杝
          ["Qi "], # 杞
          ["Shu "], # 束
          ["Gang "], # 杠
          ["Tiao "], # 条
          ["Moku "], # 杢
          ["Soma "], # 杣
          ["Tochi "], # 杤
          ["Lai "], # 来
          ["Sugi "], # 杦
          ["Mang "], # 杧
          ["Yang "], # 杨
          ["Ma "], # 杩
          ["Miao "], # 杪
          ["Si "], # 杫
          ["Yuan "], # 杬
          ["Hang "], # 杭
          ["Fei "], # 杮
          ["Bei "], # 杯
          ["Jie "], # 杰
          ["Dong "], # 東
          ["Gao "], # 杲
          ["Yao "], # 杳
          ["Xian "], # 杴
          ["Chu "], # 杵
          ["Qun "], # 杶
          ["Pa "], # 杷
          ["Shu "], # 杸
          ["Hua "], # 杹
          ["Xin "], # 杺
          ["Chou "], # 杻
          ["Zhu "], # 杼
          ["Chou "], # 杽
          ["Song "], # 松
          ["Ban "], # 板
          ["Song "], # 枀
          ["Ji "], # 极
          ["Yue "], # 枂
          ["Jin "], # 枃
          ["Gou "], # 构
          ["Ji "], # 枅
          ["Mao "], # 枆
          ["Pi "], # 枇
          ["Bi "], # 枈
          ["Wang "], # 枉
          ["Ang "], # 枊
          ["Fang "], # 枋
          ["Fen "], # 枌
          ["Yi "], # 枍
          ["Fu "], # 枎
          ["Nan "], # 枏
          ["Xi "], # 析
          ["Hu "], # 枑
          ["Ya "], # 枒
          ["Dou "], # 枓
          ["Xun "], # 枔
          ["Zhen "], # 枕
          ["Yao "], # 枖
          ["Lin "], # 林
          ["Rui "], # 枘
          ["E "], # 枙
          ["Mei "], # 枚
          ["Zhao "], # 枛
          ["Guo "], # 果
          ["Zhi "], # 枝
          ["Cong "], # 枞
          ["Yun "], # 枟
          ["Waku "], # 枠
          ["Dou "], # 枡
          ["Shu "], # 枢
          ["Zao "], # 枣
          [" "], # 枤
          ["Li "], # 枥
          ["Haze "], # 枦
          ["Jian "], # 枧
          ["Cheng "], # 枨
          ["Matsu "], # 枩
          ["Qiang "], # 枪
          ["Feng "], # 枫
          ["Nan "], # 枬
          ["Xiao "], # 枭
          ["Xian "], # 枮
          ["Ku "], # 枯
          ["Ping "], # 枰
          ["Yi "], # 枱
          ["Xi "], # 枲
          ["Zhi "], # 枳
          ["Guai "], # 枴
          ["Xiao "], # 枵
          ["Jia "], # 架
          ["Jia "], # 枷
          ["Gou "], # 枸
          ["Fu "], # 枹
          ["Mo "], # 枺
          ["Yi "], # 枻
          ["Ye "], # 枼
          ["Ye "], # 枽
          ["Shi "], # 枾
          ["Nie "], # 枿
          ["Bi "], # 柀
          ["Duo "], # 柁
          ["Yi "], # 柂
          ["Ling "], # 柃
          ["Bing "], # 柄
          ["Ni "], # 柅
          ["La "], # 柆
          ["He "], # 柇
          ["Pan "], # 柈
          ["Fan "], # 柉
          ["Zhong "], # 柊
          ["Dai "], # 柋
          ["Ci "], # 柌
          ["Yang "], # 柍
          ["Fu "], # 柎
          ["Bo "], # 柏
          ["Mou "], # 某
          ["Gan "], # 柑
          ["Qi "], # 柒
          ["Ran "], # 染
          ["Rou "], # 柔
          ["Mao "], # 柕
          ["Zhao "], # 柖
          ["Song "], # 柗
          ["Zhe "], # 柘
          ["Xia "], # 柙
          ["You "], # 柚
          ["Shen "], # 柛
          ["Ju "], # 柜
          ["Tuo "], # 柝
          ["Zuo "], # 柞
          ["Nan "], # 柟
          ["Ning "], # 柠
          ["Yong "], # 柡
          ["Di "], # 柢
          ["Zhi "], # 柣
          ["Zha "], # 柤
          ["Cha "], # 查
          ["Dan "], # 柦
          ["Gu "], # 柧
          ["Pu "], # 柨
          ["Jiu "], # 柩
          ["Ao "], # 柪
          ["Fu "], # 柫
          ["Jian "], # 柬
          ["Bo "], # 柭
          ["Duo "], # 柮
          ["Ke "], # 柯
          ["Nai "], # 柰
          ["Zhu "], # 柱
          ["Bi "], # 柲
          ["Liu "], # 柳
          ["Chai "], # 柴
          ["Zha "], # 柵
          ["Si "], # 柶
          ["Zhu "], # 柷
          ["Pei "], # 柸
          ["Shi "], # 柹
          ["Guai "], # 柺
          ["Cha "], # 査
          ["Yao "], # 柼
          ["Jue "], # 柽
          ["Jiu "], # 柾
          ["Shi "] # 柿
        ],
        [
          ["Zhi "], # 栀
          ["Liu "], # 栁
          ["Mei "], # 栂
          ["Hoy "], # 栃
          ["Rong "], # 栄
          ["Zha "], # 栅
          [" "], # 栆
          ["Biao "], # 标
          ["Zhan "], # 栈
          ["Jie "], # 栉
          ["Long "], # 栊
          ["Dong "], # 栋
          ["Lu "], # 栌
          ["Sayng "], # 栍
          ["Li "], # 栎
          ["Lan "], # 栏
          ["Yong "], # 栐
          ["Shu "], # 树
          ["Xun "], # 栒
          ["Shuan "], # 栓
          ["Qi "], # 栔
          ["Zhen "], # 栕
          ["Qi "], # 栖
          ["Li "], # 栗
          ["Yi "], # 栘
          ["Xiang "], # 栙
          ["Zhen "], # 栚
          ["Li "], # 栛
          ["Su "], # 栜
          ["Gua "], # 栝
          ["Kan "], # 栞
          ["Bing "], # 栟
          ["Ren "], # 栠
          ["Xiao "], # 校
          ["Bo "], # 栢
          ["Ren "], # 栣
          ["Bing "], # 栤
          ["Zi "], # 栥
          ["Chou "], # 栦
          ["Yi "], # 栧
          ["Jie "], # 栨
          ["Xu "], # 栩
          ["Zhu "], # 株
          ["Jian "], # 栫
          ["Zui "], # 栬
          ["Er "], # 栭
          ["Er "], # 栮
          ["You "], # 栯
          ["Fa "], # 栰
          ["Gong "], # 栱
          ["Kao "], # 栲
          ["Lao "], # 栳
          ["Zhan "], # 栴
          ["Li "], # 栵
          ["Yin "], # 栶
          ["Yang "], # 样
          ["He "], # 核
          ["Gen "], # 根
          ["Zhi "], # 栺
          ["Chi "], # 栻
          ["Ge "], # 格
          ["Zai "], # 栽
          ["Luan "], # 栾
          ["Fu "], # 栿
          ["Jie "], # 桀
          ["Hang "], # 桁
          ["Gui "], # 桂
          ["Tao "], # 桃
          ["Guang "], # 桄
          ["Wei "], # 桅
          ["Kuang "], # 框
          ["Ru "], # 桇
          ["An "], # 案
          ["An "], # 桉
          ["Juan "], # 桊
          ["Yi "], # 桋
          ["Zhuo "], # 桌
          ["Ku "], # 桍
          ["Zhi "], # 桎
          ["Qiong "], # 桏
          ["Tong "], # 桐
          ["Sang "], # 桑
          ["Sang "], # 桒
          ["Huan "], # 桓
          ["Jie "], # 桔
          ["Jiu "], # 桕
          ["Xue "], # 桖
          ["Duo "], # 桗
          ["Zhui "], # 桘
          ["Yu "], # 桙
          ["Zan "], # 桚
          ["Kasei "], # 桛
          ["Ying "], # 桜
          ["Masu "], # 桝
          [" "], # 桞
          ["Zhan "], # 桟
          ["Ya "], # 桠
          ["Nao "], # 桡
          ["Zhen "], # 桢
          ["Dang "], # 档
          ["Qi "], # 桤
          ["Qiao "], # 桥
          ["Hua "], # 桦
          ["Kuai "], # 桧
          ["Jiang "], # 桨
          ["Zhuang "], # 桩
          ["Xun "], # 桪
          ["Suo "], # 桫
          ["Sha "], # 桬
          ["Zhen "], # 桭
          ["Bei "], # 桮
          ["Ting "], # 桯
          ["Gua "], # 桰
          ["Jing "], # 桱
          ["Bo "], # 桲
          ["Ben "], # 桳
          ["Fu "], # 桴
          ["Rui "], # 桵
          ["Tong "], # 桶
          ["Jue "], # 桷
          ["Xi "], # 桸
          ["Lang "], # 桹
          ["Liu "], # 桺
          ["Feng "], # 桻
          ["Qi "], # 桼
          ["Wen "], # 桽
          ["Jun "], # 桾
          ["Gan "], # 桿
          ["Cu "], # 梀
          ["Liang "], # 梁
          ["Qiu "], # 梂
          ["Ting "], # 梃
          ["You "], # 梄
          ["Mei "], # 梅
          ["Bang "], # 梆
          ["Long "], # 梇
          ["Peng "], # 梈
          ["Zhuang "], # 梉
          ["Di "], # 梊
          ["Xuan "], # 梋
          ["Tu "], # 梌
          ["Zao "], # 梍
          ["Ao "], # 梎
          ["Gu "], # 梏
          ["Bi "], # 梐
          ["Di "], # 梑
          ["Han "], # 梒
          ["Zi "], # 梓
          ["Zhi "], # 梔
          ["Ren "], # 梕
          ["Bei "], # 梖
          ["Geng "], # 梗
          ["Jian "], # 梘
          ["Huan "], # 梙
          ["Wan "], # 梚
          ["Nuo "], # 梛
          ["Jia "], # 梜
          ["Tiao "], # 條
          ["Ji "], # 梞
          ["Xiao "], # 梟
          ["Lu "], # 梠
          ["Huan "], # 梡
          ["Shao "], # 梢
          ["Cen "], # 梣
          ["Fen "], # 梤
          ["Song "], # 梥
          ["Meng "], # 梦
          ["Wu "], # 梧
          ["Li "], # 梨
          ["Li "], # 梩
          ["Dou "], # 梪
          ["Cen "], # 梫
          ["Ying "], # 梬
          ["Suo "], # 梭
          ["Ju "], # 梮
          ["Ti "], # 梯
          ["Jie "], # 械
          ["Kun "], # 梱
          ["Zhuo "], # 梲
          ["Shu "], # 梳
          ["Chan "], # 梴
          ["Fan "], # 梵
          ["Wei "], # 梶
          ["Jing "], # 梷
          ["Li "], # 梸
          ["Bing "], # 梹
          ["Fumoto "], # 梺
          ["Shikimi "], # 梻
          ["Tao "], # 梼
          ["Zhi "], # 梽
          ["Lai "], # 梾
          ["Lian "], # 梿
          ["Jian "], # 检
          ["Zhuo "], # 棁
          ["Ling "], # 棂
          ["Li "], # 棃
          ["Qi "], # 棄
          ["Bing "], # 棅
          ["Zhun "], # 棆
          ["Cong "], # 棇
          ["Qian "], # 棈
          ["Mian "], # 棉
          ["Qi "], # 棊
          ["Qi "], # 棋
          ["Cai "], # 棌
          ["Gun "], # 棍
          ["Chan "], # 棎
          ["Te "], # 棏
          ["Fei "], # 棐
          ["Pai "], # 棑
          ["Bang "], # 棒
          ["Pou "], # 棓
          ["Hun "], # 棔
          ["Zong "], # 棕
          ["Cheng "], # 棖
          ["Zao "], # 棗
          ["Ji "], # 棘
          ["Li "], # 棙
          ["Peng "], # 棚
          ["Yu "], # 棛
          ["Yu "], # 棜
          ["Gu "], # 棝
          ["Hun "], # 棞
          ["Dong "], # 棟
          ["Tang "], # 棠
          ["Gang "], # 棡
          ["Wang "], # 棢
          ["Di "], # 棣
          ["Xi "], # 棤
          ["Fan "], # 棥
          ["Cheng "], # 棦
          ["Zhan "], # 棧
          ["Qi "], # 棨
          ["Yuan "], # 棩
          ["Yan "], # 棪
          ["Yu "], # 棫
          ["Quan "], # 棬
          ["Yi "], # 棭
          ["Sen "], # 森
          ["Ren "], # 棯
          ["Chui "], # 棰
          ["Leng "], # 棱
          ["Qi "], # 棲
          ["Zhuo "], # 棳
          ["Fu "], # 棴
          ["Ke "], # 棵
          ["Lai "], # 棶
          ["Zou "], # 棷
          ["Zou "], # 棸
          ["Zhuo "], # 棹
          ["Guan "], # 棺
          ["Fen "], # 棻
          ["Fen "], # 棼
          ["Chen "], # 棽
          ["Qiong "], # 棾
          ["Nie "] # 棿
        ],
        [
          ["Wan "], # 椀
          ["Guo "], # 椁
          ["Lu "], # 椂
          ["Hao "], # 椃
          ["Jie "], # 椄
          ["Yi "], # 椅
          ["Chou "], # 椆
          ["Ju "], # 椇
          ["Ju "], # 椈
          ["Cheng "], # 椉
          ["Zuo "], # 椊
          ["Liang "], # 椋
          ["Qiang "], # 椌
          ["Zhi "], # 植
          ["Zhui "], # 椎
          ["Ya "], # 椏
          ["Ju "], # 椐
          ["Bei "], # 椑
          ["Jiao "], # 椒
          ["Zhuo "], # 椓
          ["Zi "], # 椔
          ["Bin "], # 椕
          ["Peng "], # 椖
          ["Ding "], # 椗
          ["Chu "], # 椘
          ["Chang "], # 椙
          ["Kunugi "], # 椚
          ["Momiji "], # 椛
          ["Jian "], # 検
          ["Gui "], # 椝
          ["Xi "], # 椞
          ["Du "], # 椟
          ["Qian "], # 椠
          ["Kunugi "], # 椡
          ["Soko "], # 椢
          ["Shide "], # 椣
          ["Luo "], # 椤
          ["Zhi "], # 椥
          ["Ken "], # 椦
          ["Myeng "], # 椧
          ["Tafu "], # 椨
          [" "], # 椩
          ["Peng "], # 椪
          ["Zhan "], # 椫
          [" "], # 椬
          ["Tuo "], # 椭
          ["Sen "], # 椮
          ["Duo "], # 椯
          ["Ye "], # 椰
          ["Fou "], # 椱
          ["Wei "], # 椲
          ["Wei "], # 椳
          ["Duan "], # 椴
          ["Jia "], # 椵
          ["Zong "], # 椶
          ["Jian "], # 椷
          ["Yi "], # 椸
          ["Shen "], # 椹
          ["Xi "], # 椺
          ["Yan "], # 椻
          ["Yan "], # 椼
          ["Chuan "], # 椽
          ["Zhan "], # 椾
          ["Chun "], # 椿
          ["Yu "], # 楀
          ["He "], # 楁
          ["Zha "], # 楂
          ["Wo "], # 楃
          ["Pian "], # 楄
          ["Bi "], # 楅
          ["Yao "], # 楆
          ["Huo "], # 楇
          ["Xu "], # 楈
          ["Ruo "], # 楉
          ["Yang "], # 楊
          ["La "], # 楋
          ["Yan "], # 楌
          ["Ben "], # 楍
          ["Hun "], # 楎
          ["Kui "], # 楏
          ["Jie "], # 楐
          ["Kui "], # 楑
          ["Si "], # 楒
          ["Feng "], # 楓
          ["Xie "], # 楔
          ["Tuo "], # 楕
          ["Zhi "], # 楖
          ["Jian "], # 楗
          ["Mu "], # 楘
          ["Mao "], # 楙
          ["Chu "], # 楚
          ["Hu "], # 楛
          ["Hu "], # 楜
          ["Lian "], # 楝
          ["Leng "], # 楞
          ["Ting "], # 楟
          ["Nan "], # 楠
          ["Yu "], # 楡
          ["You "], # 楢
          ["Mei "], # 楣
          ["Song "], # 楤
          ["Xuan "], # 楥
          ["Xuan "], # 楦
          ["Ying "], # 楧
          ["Zhen "], # 楨
          ["Pian "], # 楩
          ["Ye "], # 楪
          ["Ji "], # 楫
          ["Jie "], # 楬
          ["Ye "], # 業
          ["Chu "], # 楮
          ["Shun "], # 楯
          ["Yu "], # 楰
          ["Cou "], # 楱
          ["Wei "], # 楲
          ["Mei "], # 楳
          ["Di "], # 楴
          ["Ji "], # 極
          ["Jie "], # 楶
          ["Kai "], # 楷
          ["Qiu "], # 楸
          ["Ying "], # 楹
          ["Rou "], # 楺
          ["Heng "], # 楻
          ["Lou "], # 楼
          ["Le "], # 楽
          ["Hazou "], # 楾
          ["Katsura "], # 楿
          ["Pin "], # 榀
          ["Muro "], # 榁
          ["Gai "], # 概
          ["Tan "], # 榃
          ["Lan "], # 榄
          ["Yun "], # 榅
          ["Yu "], # 榆
          ["Chen "], # 榇
          ["Lu "], # 榈
          ["Ju "], # 榉
          ["Sakaki "], # 榊
          [" "], # 榋
          ["Pi "], # 榌
          ["Xie "], # 榍
          ["Jia "], # 榎
          ["Yi "], # 榏
          ["Zhan "], # 榐
          ["Fu "], # 榑
          ["Nai "], # 榒
          ["Mi "], # 榓
          ["Lang "], # 榔
          ["Rong "], # 榕
          ["Gu "], # 榖
          ["Jian "], # 榗
          ["Ju "], # 榘
          ["Ta "], # 榙
          ["Yao "], # 榚
          ["Zhen "], # 榛
          ["Bang "], # 榜
          ["Sha "], # 榝
          ["Yuan "], # 榞
          ["Zi "], # 榟
          ["Ming "], # 榠
          ["Su "], # 榡
          ["Jia "], # 榢
          ["Yao "], # 榣
          ["Jie "], # 榤
          ["Huang "], # 榥
          ["Gan "], # 榦
          ["Fei "], # 榧
          ["Zha "], # 榨
          ["Qian "], # 榩
          ["Ma "], # 榪
          ["Sun "], # 榫
          ["Yuan "], # 榬
          ["Xie "], # 榭
          ["Rong "], # 榮
          ["Shi "], # 榯
          ["Zhi "], # 榰
          ["Cui "], # 榱
          ["Yun "], # 榲
          ["Ting "], # 榳
          ["Liu "], # 榴
          ["Rong "], # 榵
          ["Tang "], # 榶
          ["Que "], # 榷
          ["Zhai "], # 榸
          ["Si "], # 榹
          ["Sheng "], # 榺
          ["Ta "], # 榻
          ["Ke "], # 榼
          ["Xi "], # 榽
          ["Gu "], # 榾
          ["Qi "], # 榿
          ["Kao "], # 槀
          ["Gao "], # 槁
          ["Sun "], # 槂
          ["Pan "], # 槃
          ["Tao "], # 槄
          ["Ge "], # 槅
          ["Xun "], # 槆
          ["Dian "], # 槇
          ["Nou "], # 槈
          ["Ji "], # 槉
          ["Shuo "], # 槊
          ["Gou "], # 構
          ["Chui "], # 槌
          ["Qiang "], # 槍
          ["Cha "], # 槎
          ["Qian "], # 槏
          ["Huai "], # 槐
          ["Mei "], # 槑
          ["Xu "], # 槒
          ["Gang "], # 槓
          ["Gao "], # 槔
          ["Zhuo "], # 槕
          ["Tuo "], # 槖
          ["Hashi "], # 槗
          ["Yang "], # 様
          ["Dian "], # 槙
          ["Jia "], # 槚
          ["Jian "], # 槛
          ["Zui "], # 槜
          ["Kashi "], # 槝
          ["Ori "], # 槞
          ["Bin "], # 槟
          ["Zhu "], # 槠
          [" "], # 槡
          ["Xi "], # 槢
          ["Qi "], # 槣
          ["Lian "], # 槤
          ["Hui "], # 槥
          ["Yong "], # 槦
          ["Qian "], # 槧
          ["Guo "], # 槨
          ["Gai "], # 槩
          ["Gai "], # 槪
          ["Tuan "], # 槫
          ["Hua "], # 槬
          ["Cu "], # 槭
          ["Sen "], # 槮
          ["Cui "], # 槯
          ["Beng "], # 槰
          ["You "], # 槱
          ["Hu "], # 槲
          ["Jiang "], # 槳
          ["Hu "], # 槴
          ["Huan "], # 槵
          ["Kui "], # 槶
          ["Yi "], # 槷
          ["Nie "], # 槸
          ["Gao "], # 槹
          ["Kang "], # 槺
          ["Gui "], # 槻
          ["Gui "], # 槼
          ["Cao "], # 槽
          ["Man "], # 槾
          ["Jin "] # 槿
        ],
        [
          ["Di "], # 樀
          ["Zhuang "], # 樁
          ["Le "], # 樂
          ["Lang "], # 樃
          ["Chen "], # 樄
          ["Cong "], # 樅
          ["Li "], # 樆
          ["Xiu "], # 樇
          ["Qing "], # 樈
          ["Shuang "], # 樉
          ["Fan "], # 樊
          ["Tong "], # 樋
          ["Guan "], # 樌
          ["Ji "], # 樍
          ["Suo "], # 樎
          ["Lei "], # 樏
          ["Lu "], # 樐
          ["Liang "], # 樑
          ["Mi "], # 樒
          ["Lou "], # 樓
          ["Chao "], # 樔
          ["Su "], # 樕
          ["Ke "], # 樖
          ["Shu "], # 樗
          ["Tang "], # 樘
          ["Biao "], # 標
          ["Lu "], # 樚
          ["Jiu "], # 樛
          ["Shu "], # 樜
          ["Zha "], # 樝
          ["Shu "], # 樞
          ["Zhang "], # 樟
          ["Men "], # 樠
          ["Mo "], # 模
          ["Niao "], # 樢
          ["Yang "], # 樣
          ["Tiao "], # 樤
          ["Peng "], # 樥
          ["Zhu "], # 樦
          ["Sha "], # 樧
          ["Xi "], # 樨
          ["Quan "], # 権
          ["Heng "], # 横
          ["Jian "], # 樫
          ["Cong "], # 樬
          [" "], # 樭
          ["Hokuso "], # 樮
          ["Qiang "], # 樯
          ["Tara "], # 樰
          ["Ying "], # 樱
          ["Er "], # 樲
          ["Xin "], # 樳
          ["Zhi "], # 樴
          ["Qiao "], # 樵
          ["Zui "], # 樶
          ["Cong "], # 樷
          ["Pu "], # 樸
          ["Shu "], # 樹
          ["Hua "], # 樺
          ["Kui "], # 樻
          ["Zhen "], # 樼
          ["Zun "], # 樽
          ["Yue "], # 樾
          ["Zhan "], # 樿
          ["Xi "], # 橀
          ["Xun "], # 橁
          ["Dian "], # 橂
          ["Fa "], # 橃
          ["Gan "], # 橄
          ["Mo "], # 橅
          ["Wu "], # 橆
          ["Qiao "], # 橇
          ["Nao "], # 橈
          ["Lin "], # 橉
          ["Liu "], # 橊
          ["Qiao "], # 橋
          ["Xian "], # 橌
          ["Run "], # 橍
          ["Fan "], # 橎
          ["Zhan "], # 橏
          ["Tuo "], # 橐
          ["Lao "], # 橑
          ["Yun "], # 橒
          ["Shun "], # 橓
          ["Tui "], # 橔
          ["Cheng "], # 橕
          ["Tang "], # 橖
          ["Meng "], # 橗
          ["Ju "], # 橘
          ["Cheng "], # 橙
          ["Su "], # 橚
          ["Jue "], # 橛
          ["Jue "], # 橜
          ["Tan "], # 橝
          ["Hui "], # 橞
          ["Ji "], # 機
          ["Nuo "], # 橠
          ["Xiang "], # 橡
          ["Tuo "], # 橢
          ["Ning "], # 橣
          ["Rui "], # 橤
          ["Zhu "], # 橥
          ["Chuang "], # 橦
          ["Zeng "], # 橧
          ["Fen "], # 橨
          ["Qiong "], # 橩
          ["Ran "], # 橪
          ["Heng "], # 橫
          ["Cen "], # 橬
          ["Gu "], # 橭
          ["Liu "], # 橮
          ["Lao "], # 橯
          ["Gao "], # 橰
          ["Chu "], # 橱
          ["Zusa "], # 橲
          ["Nude "], # 橳
          ["Ca "], # 橴
          ["San "], # 橵
          ["Ji "], # 橶
          ["Dou "], # 橷
          ["Shou "], # 橸
          ["Lu "], # 橹
          [" "], # 橺
          [" "], # 橻
          ["Yuan "], # 橼
          ["Ta "], # 橽
          ["Shu "], # 橾
          ["Jiang "], # 橿
          ["Tan "], # 檀
          ["Lin "], # 檁
          ["Nong "], # 檂
          ["Yin "], # 檃
          ["Xi "], # 檄
          ["Sui "], # 檅
          ["Shan "], # 檆
          ["Zui "], # 檇
          ["Xuan "], # 檈
          ["Cheng "], # 檉
          ["Gan "], # 檊
          ["Ju "], # 檋
          ["Zui "], # 檌
          ["Yi "], # 檍
          ["Qin "], # 檎
          ["Pu "], # 檏
          ["Yan "], # 檐
          ["Lei "], # 檑
          ["Feng "], # 檒
          ["Hui "], # 檓
          ["Dang "], # 檔
          ["Ji "], # 檕
          ["Sui "], # 檖
          ["Bo "], # 檗
          ["Bi "], # 檘
          ["Ding "], # 檙
          ["Chu "], # 檚
          ["Zhua "], # 檛
          ["Kuai "], # 檜
          ["Ji "], # 檝
          ["Jie "], # 檞
          ["Jia "], # 檟
          ["Qing "], # 檠
          ["Zhe "], # 檡
          ["Jian "], # 檢
          ["Qiang "], # 檣
          ["Dao "], # 檤
          ["Yi "], # 檥
          ["Biao "], # 檦
          ["Song "], # 檧
          ["She "], # 檨
          ["Lin "], # 檩
          ["Kunugi "], # 檪
          ["Cha "], # 檫
          ["Meng "], # 檬
          ["Yin "], # 檭
          ["Tao "], # 檮
          ["Tai "], # 檯
          ["Mian "], # 檰
          ["Qi "], # 檱
          ["Toan "], # 檲
          ["Bin "], # 檳
          ["Huo "], # 檴
          ["Ji "], # 檵
          ["Qian "], # 檶
          ["Mi "], # 檷
          ["Ning "], # 檸
          ["Yi "], # 檹
          ["Gao "], # 檺
          ["Jian "], # 檻
          ["Yin "], # 檼
          ["Er "], # 檽
          ["Qing "], # 檾
          ["Yan "], # 檿
          ["Qi "], # 櫀
          ["Mi "], # 櫁
          ["Zhao "], # 櫂
          ["Gui "], # 櫃
          ["Chun "], # 櫄
          ["Ji "], # 櫅
          ["Kui "], # 櫆
          ["Po "], # 櫇
          ["Deng "], # 櫈
          ["Chu "], # 櫉
          [" "], # 櫊
          ["Mian "], # 櫋
          ["You "], # 櫌
          ["Zhi "], # 櫍
          ["Guang "], # 櫎
          ["Qian "], # 櫏
          ["Lei "], # 櫐
          ["Lei "], # 櫑
          ["Sa "], # 櫒
          ["Lu "], # 櫓
          ["Li "], # 櫔
          ["Cuan "], # 櫕
          ["Lu "], # 櫖
          ["Mie "], # 櫗
          ["Hui "], # 櫘
          ["Ou "], # 櫙
          ["Lu "], # 櫚
          ["Jie "], # 櫛
          ["Gao "], # 櫜
          ["Du "], # 櫝
          ["Yuan "], # 櫞
          ["Li "], # 櫟
          ["Fei "], # 櫠
          ["Zhuo "], # 櫡
          ["Sou "], # 櫢
          ["Lian "], # 櫣
          ["Tamo "], # 櫤
          ["Chu "], # 櫥
          [" "], # 櫦
          ["Zhu "], # 櫧
          ["Lu "], # 櫨
          ["Yan "], # 櫩
          ["Li "], # 櫪
          ["Zhu "], # 櫫
          ["Chen "], # 櫬
          ["Jie "], # 櫭
          ["E "], # 櫮
          ["Su "], # 櫯
          ["Huai "], # 櫰
          ["Nie "], # 櫱
          ["Yu "], # 櫲
          ["Long "], # 櫳
          ["Lai "], # 櫴
          [" "], # 櫵
          ["Xian "], # 櫶
          ["Kwi "], # 櫷
          ["Ju "], # 櫸
          ["Xiao "], # 櫹
          ["Ling "], # 櫺
          ["Ying "], # 櫻
          ["Jian "], # 櫼
          ["Yin "], # 櫽
          ["You "], # 櫾
          ["Ying "] # 櫿
        ],
        [
          ["Xiang "], # 欀
          ["Nong "], # 欁
          ["Bo "], # 欂
          ["Chan "], # 欃
          ["Lan "], # 欄
          ["Ju "], # 欅
          ["Shuang "], # 欆
          ["She "], # 欇
          ["Wei "], # 欈
          ["Cong "], # 欉
          ["Quan "], # 權
          ["Qu "], # 欋
          ["Cang "], # 欌
          [" "], # 欍
          ["Yu "], # 欎
          ["Luo "], # 欏
          ["Li "], # 欐
          ["Zan "], # 欑
          ["Luan "], # 欒
          ["Dang "], # 欓
          ["Jue "], # 欔
          ["Em "], # 欕
          ["Lan "], # 欖
          ["Lan "], # 欗
          ["Zhu "], # 欘
          ["Lei "], # 欙
          ["Li "], # 欚
          ["Ba "], # 欛
          ["Nang "], # 欜
          ["Yu "], # 欝
          ["Ling "], # 欞
          ["Tsuki "], # 欟
          ["Qian "], # 欠
          ["Ci "], # 次
          ["Huan "], # 欢
          ["Xin "], # 欣
          ["Yu "], # 欤
          ["Yu "], # 欥
          ["Qian "], # 欦
          ["Ou "], # 欧
          ["Xu "], # 欨
          ["Chao "], # 欩
          ["Chu "], # 欪
          ["Chi "], # 欫
          ["Kai "], # 欬
          ["Yi "], # 欭
          ["Jue "], # 欮
          ["Xi "], # 欯
          ["Xu "], # 欰
          ["Xia "], # 欱
          ["Yu "], # 欲
          ["Kuai "], # 欳
          ["Lang "], # 欴
          ["Kuan "], # 欵
          ["Shuo "], # 欶
          ["Xi "], # 欷
          ["Ai "], # 欸
          ["Yi "], # 欹
          ["Qi "], # 欺
          ["Hu "], # 欻
          ["Chi "], # 欼
          ["Qin "], # 欽
          ["Kuan "], # 款
          ["Kan "], # 欿
          ["Kuan "], # 歀
          ["Kan "], # 歁
          ["Chuan "], # 歂
          ["Sha "], # 歃
          ["Gua "], # 歄
          ["Yin "], # 歅
          ["Xin "], # 歆
          ["Xie "], # 歇
          ["Yu "], # 歈
          ["Qian "], # 歉
          ["Xiao "], # 歊
          ["Yi "], # 歋
          ["Ge "], # 歌
          ["Wu "], # 歍
          ["Tan "], # 歎
          ["Jin "], # 歏
          ["Ou "], # 歐
          ["Hu "], # 歑
          ["Ti "], # 歒
          ["Huan "], # 歓
          ["Xu "], # 歔
          ["Pen "], # 歕
          ["Xi "], # 歖
          ["Xiao "], # 歗
          ["Xu "], # 歘
          ["Xi "], # 歙
          ["Sen "], # 歚
          ["Lian "], # 歛
          ["Chu "], # 歜
          ["Yi "], # 歝
          ["Kan "], # 歞
          ["Yu "], # 歟
          ["Chuo "], # 歠
          ["Huan "], # 歡
          ["Zhi "], # 止
          ["Zheng "], # 正
          ["Ci "], # 此
          ["Bu "], # 步
          ["Wu "], # 武
          ["Qi "], # 歧
          ["Bu "], # 歨
          ["Bu "], # 歩
          ["Wai "], # 歪
          ["Ju "], # 歫
          ["Qian "], # 歬
          ["Chi "], # 歭
          ["Se "], # 歮
          ["Chi "], # 歯
          ["Se "], # 歰
          ["Zhong "], # 歱
          ["Sui "], # 歲
          ["Sui "], # 歳
          ["Li "], # 歴
          ["Cuo "], # 歵
          ["Yu "], # 歶
          ["Li "], # 歷
          ["Gui "], # 歸
          ["Dai "], # 歹
          ["Dai "], # 歺
          ["Si "], # 死
          ["Jian "], # 歼
          ["Zhe "], # 歽
          ["Mo "], # 歾
          ["Mo "], # 歿
          ["Yao "], # 殀
          ["Mo "], # 殁
          ["Cu "], # 殂
          ["Yang "], # 殃
          ["Tian "], # 殄
          ["Sheng "], # 殅
          ["Dai "], # 殆
          ["Shang "], # 殇
          ["Xu "], # 殈
          ["Xun "], # 殉
          ["Shu "], # 殊
          ["Can "], # 残
          ["Jue "], # 殌
          ["Piao "], # 殍
          ["Qia "], # 殎
          ["Qiu "], # 殏
          ["Su "], # 殐
          ["Qing "], # 殑
          ["Yun "], # 殒
          ["Lian "], # 殓
          ["Yi "], # 殔
          ["Fou "], # 殕
          ["Zhi "], # 殖
          ["Ye "], # 殗
          ["Can "], # 殘
          ["Hun "], # 殙
          ["Dan "], # 殚
          ["Ji "], # 殛
          ["Ye "], # 殜
          ["Zhen "], # 殝
          ["Yun "], # 殞
          ["Wen "], # 殟
          ["Chou "], # 殠
          ["Bin "], # 殡
          ["Ti "], # 殢
          ["Jin "], # 殣
          ["Shang "], # 殤
          ["Yin "], # 殥
          ["Diao "], # 殦
          ["Cu "], # 殧
          ["Hui "], # 殨
          ["Cuan "], # 殩
          ["Yi "], # 殪
          ["Dan "], # 殫
          ["Du "], # 殬
          ["Jiang "], # 殭
          ["Lian "], # 殮
          ["Bin "], # 殯
          ["Du "], # 殰
          ["Tsukusu "], # 殱
          ["Jian "], # 殲
          ["Shu "], # 殳
          ["Ou "], # 殴
          ["Duan "], # 段
          ["Zhu "], # 殶
          ["Yin "], # 殷
          ["Qing "], # 殸
          ["Yi "], # 殹
          ["Sha "], # 殺
          ["Que "], # 殻
          ["Ke "], # 殼
          ["Yao "], # 殽
          ["Jun "], # 殾
          ["Dian "], # 殿
          ["Hui "], # 毀
          ["Hui "], # 毁
          ["Gu "], # 毂
          ["Que "], # 毃
          ["Ji "], # 毄
          ["Yi "], # 毅
          ["Ou "], # 毆
          ["Hui "], # 毇
          ["Duan "], # 毈
          ["Yi "], # 毉
          ["Xiao "], # 毊
          ["Wu "], # 毋
          ["Guan "], # 毌
          ["Mu "], # 母
          ["Mei "], # 毎
          ["Mei "], # 每
          ["Ai "], # 毐
          ["Zuo "], # 毑
          ["Du "], # 毒
          ["Yu "], # 毓
          ["Bi "], # 比
          ["Bi "], # 毕
          ["Bi "], # 毖
          ["Pi "], # 毗
          ["Pi "], # 毘
          ["Bi "], # 毙
          ["Chan "], # 毚
          ["Mao "], # 毛
          [" "], # 毜
          [" "], # 毝
          ["Pu "], # 毞
          ["Mushiru "], # 毟
          ["Jia "], # 毠
          ["Zhan "], # 毡
          ["Sai "], # 毢
          ["Mu "], # 毣
          ["Tuo "], # 毤
          ["Xun "], # 毥
          ["Er "], # 毦
          ["Rong "], # 毧
          ["Xian "], # 毨
          ["Ju "], # 毩
          ["Mu "], # 毪
          ["Hao "], # 毫
          ["Qiu "], # 毬
          ["Dou "], # 毭
          ["Mushiru "], # 毮
          ["Tan "], # 毯
          ["Pei "], # 毰
          ["Ju "], # 毱
          ["Duo "], # 毲
          ["Cui "], # 毳
          ["Bi "], # 毴
          ["San "], # 毵
          [" "], # 毶
          ["Mao "], # 毷
          ["Sui "], # 毸
          ["Yu "], # 毹
          ["Yu "], # 毺
          ["Tuo "], # 毻
          ["He "], # 毼
          ["Jian "], # 毽
          ["Ta "], # 毾
          ["San "] # 毿
        ],
        [
          ["Lu "], # 氀
          ["Mu "], # 氁
          ["Li "], # 氂
          ["Tong "], # 氃
          ["Rong "], # 氄
          ["Chang "], # 氅
          ["Pu "], # 氆
          ["Luo "], # 氇
          ["Zhan "], # 氈
          ["Sao "], # 氉
          ["Zhan "], # 氊
          ["Meng "], # 氋
          ["Luo "], # 氌
          ["Qu "], # 氍
          ["Die "], # 氎
          ["Shi "], # 氏
          ["Di "], # 氐
          ["Min "], # 民
          ["Jue "], # 氒
          ["Mang "], # 氓
          ["Qi "], # 气
          ["Pie "], # 氕
          ["Nai "], # 氖
          ["Qi "], # 気
          ["Dao "], # 氘
          ["Xian "], # 氙
          ["Chuan "], # 氚
          ["Fen "], # 氛
          ["Ri "], # 氜
          ["Nei "], # 氝
          [" "], # 氞
          ["Fu "], # 氟
          ["Shen "], # 氠
          ["Dong "], # 氡
          ["Qing "], # 氢
          ["Qi "], # 氣
          ["Yin "], # 氤
          ["Xi "], # 氥
          ["Hai "], # 氦
          ["Yang "], # 氧
          ["An "], # 氨
          ["Ya "], # 氩
          ["Ke "], # 氪
          ["Qing "], # 氫
          ["Ya "], # 氬
          ["Dong "], # 氭
          ["Dan "], # 氮
          ["Lu "], # 氯
          ["Qing "], # 氰
          ["Yang "], # 氱
          ["Yun "], # 氲
          ["Yun "], # 氳
          ["Shui "], # 水
          ["San "], # 氵
          ["Zheng "], # 氶
          ["Bing "], # 氷
          ["Yong "], # 永
          ["Dang "], # 氹
          ["Shitamizu "], # 氺
          ["Le "], # 氻
          ["Ni "], # 氼
          ["Tun "], # 氽
          ["Fan "], # 氾
          ["Gui "], # 氿
          ["Ting "], # 汀
          ["Zhi "], # 汁
          ["Qiu "], # 求
          ["Bin "], # 汃
          ["Ze "], # 汄
          ["Mian "], # 汅
          ["Cuan "], # 汆
          ["Hui "], # 汇
          ["Diao "], # 汈
          ["Yi "], # 汉
          ["Cha "], # 汊
          ["Zhuo "], # 汋
          ["Chuan "], # 汌
          ["Wan "], # 汍
          ["Fan "], # 汎
          ["Dai "], # 汏
          ["Xi "], # 汐
          ["Tuo "], # 汑
          ["Mang "], # 汒
          ["Qiu "], # 汓
          ["Qi "], # 汔
          ["Shan "], # 汕
          ["Pai "], # 汖
          ["Han "], # 汗
          ["Qian "], # 汘
          ["Wu "], # 汙
          ["Wu "], # 汚
          ["Xun "], # 汛
          ["Si "], # 汜
          ["Ru "], # 汝
          ["Gong "], # 汞
          ["Jiang "], # 江
          ["Chi "], # 池
          ["Wu "], # 污
          ["Tsuchi "], # 汢
          [" "], # 汣
          ["Tang "], # 汤
          ["Zhi "], # 汥
          ["Chi "], # 汦
          ["Qian "], # 汧
          ["Mi "], # 汨
          ["Yu "], # 汩
          ["Wang "], # 汪
          ["Qing "], # 汫
          ["Jing "], # 汬
          ["Rui "], # 汭
          ["Jun "], # 汮
          ["Hong "], # 汯
          ["Tai "], # 汰
          ["Quan "], # 汱
          ["Ji "], # 汲
          ["Bian "], # 汳
          ["Bian "], # 汴
          ["Gan "], # 汵
          ["Wen "], # 汶
          ["Zhong "], # 汷
          ["Fang "], # 汸
          ["Xiong "], # 汹
          ["Jue "], # 決
          ["Hang "], # 汻
          ["Niou "], # 汼
          ["Qi "], # 汽
          ["Fen "], # 汾
          ["Xu "], # 汿
          ["Xu "], # 沀
          ["Qin "], # 沁
          ["Yi "], # 沂
          ["Wo "], # 沃
          ["Yun "], # 沄
          ["Yuan "], # 沅
          ["Hang "], # 沆
          ["Yan "], # 沇
          ["Chen "], # 沈
          ["Chen "], # 沉
          ["Dan "], # 沊
          ["You "], # 沋
          ["Dun "], # 沌
          ["Hu "], # 沍
          ["Huo "], # 沎
          ["Qie "], # 沏
          ["Mu "], # 沐
          ["Rou "], # 沑
          ["Mei "], # 沒
          ["Ta "], # 沓
          ["Mian "], # 沔
          ["Wu "], # 沕
          ["Chong "], # 沖
          ["Tian "], # 沗
          ["Bi "], # 沘
          ["Sha "], # 沙
          ["Zhi "], # 沚
          ["Pei "], # 沛
          ["Pan "], # 沜
          ["Zhui "], # 沝
          ["Za "], # 沞
          ["Gou "], # 沟
          ["Liu "], # 沠
          ["Mei "], # 没
          ["Ze "], # 沢
          ["Feng "], # 沣
          ["Ou "], # 沤
          ["Li "], # 沥
          ["Lun "], # 沦
          ["Cang "], # 沧
          ["Feng "], # 沨
          ["Wei "], # 沩
          ["Hu "], # 沪
          ["Mo "], # 沫
          ["Mei "], # 沬
          ["Shu "], # 沭
          ["Ju "], # 沮
          ["Zan "], # 沯
          ["Tuo "], # 沰
          ["Tuo "], # 沱
          ["Tuo "], # 沲
          ["He "], # 河
          ["Li "], # 沴
          ["Mi "], # 沵
          ["Yi "], # 沶
          ["Fa "], # 沷
          ["Fei "], # 沸
          ["You "], # 油
          ["Tian "], # 沺
          ["Zhi "], # 治
          ["Zhao "], # 沼
          ["Gu "], # 沽
          ["Zhan "], # 沾
          ["Yan "], # 沿
          ["Si "], # 泀
          ["Kuang "], # 況
          ["Jiong "], # 泂
          ["Ju "], # 泃
          ["Xie "], # 泄
          ["Qiu "], # 泅
          ["Yi "], # 泆
          ["Jia "], # 泇
          ["Zhong "], # 泈
          ["Quan "], # 泉
          ["Bo "], # 泊
          ["Hui "], # 泋
          ["Mi "], # 泌
          ["Ben "], # 泍
          ["Zhuo "], # 泎
          ["Chu "], # 泏
          ["Le "], # 泐
          ["You "], # 泑
          ["Gu "], # 泒
          ["Hong "], # 泓
          ["Gan "], # 泔
          ["Fa "], # 法
          ["Mao "], # 泖
          ["Si "], # 泗
          ["Hu "], # 泘
          ["Ping "], # 泙
          ["Ci "], # 泚
          ["Fan "], # 泛
          ["Chi "], # 泜
          ["Su "], # 泝
          ["Ning "], # 泞
          ["Cheng "], # 泟
          ["Ling "], # 泠
          ["Pao "], # 泡
          ["Bo "], # 波
          ["Qi "], # 泣
          ["Si "], # 泤
          ["Ni "], # 泥
          ["Ju "], # 泦
          ["Yue "], # 泧
          ["Zhu "], # 注
          ["Sheng "], # 泩
          ["Lei "], # 泪
          ["Xuan "], # 泫
          ["Xue "], # 泬
          ["Fu "], # 泭
          ["Pan "], # 泮
          ["Min "], # 泯
          ["Tai "], # 泰
          ["Yang "], # 泱
          ["Ji "], # 泲
          ["Yong "], # 泳
          ["Guan "], # 泴
          ["Beng "], # 泵
          ["Xue "], # 泶
          ["Long "], # 泷
          ["Lu "], # 泸
          [" "], # 泹
          ["Bo "], # 泺
          ["Xie "], # 泻
          ["Po "], # 泼
          ["Ze "], # 泽
          ["Jing "], # 泾
          ["Yin "] # 泿
        ],
        [
          ["Zhou "], # 洀
          ["Ji "], # 洁
          ["Yi "], # 洂
          ["Hui "], # 洃
          ["Hui "], # 洄
          ["Zui "], # 洅
          ["Cheng "], # 洆
          ["Yin "], # 洇
          ["Wei "], # 洈
          ["Hou "], # 洉
          ["Jian "], # 洊
          ["Yang "], # 洋
          ["Lie "], # 洌
          ["Si "], # 洍
          ["Ji "], # 洎
          ["Er "], # 洏
          ["Xing "], # 洐
          ["Fu "], # 洑
          ["Sa "], # 洒
          ["Suo "], # 洓
          ["Zhi "], # 洔
          ["Yin "], # 洕
          ["Wu "], # 洖
          ["Xi "], # 洗
          ["Kao "], # 洘
          ["Zhu "], # 洙
          ["Jiang "], # 洚
          ["Luo "], # 洛
          [" "], # 洜
          ["An "], # 洝
          ["Dong "], # 洞
          ["Yi "], # 洟
          ["Mou "], # 洠
          ["Lei "], # 洡
          ["Yi "], # 洢
          ["Mi "], # 洣
          ["Quan "], # 洤
          ["Jin "], # 津
          ["Mo "], # 洦
          ["Wei "], # 洧
          ["Xiao "], # 洨
          ["Xie "], # 洩
          ["Hong "], # 洪
          ["Xu "], # 洫
          ["Shuo "], # 洬
          ["Kuang "], # 洭
          ["Tao "], # 洮
          ["Qie "], # 洯
          ["Ju "], # 洰
          ["Er "], # 洱
          ["Zhou "], # 洲
          ["Ru "], # 洳
          ["Ping "], # 洴
          ["Xun "], # 洵
          ["Xiong "], # 洶
          ["Zhi "], # 洷
          ["Guang "], # 洸
          ["Huan "], # 洹
          ["Ming "], # 洺
          ["Huo "], # 活
          ["Wa "], # 洼
          ["Qia "], # 洽
          ["Pai "], # 派
          ["Wu "], # 洿
          ["Qu "], # 浀
          ["Liu "], # 流
          ["Yi "], # 浂
          ["Jia "], # 浃
          ["Jing "], # 浄
          ["Qian "], # 浅
          ["Jiang "], # 浆
          ["Jiao "], # 浇
          ["Cheng "], # 浈
          ["Shi "], # 浉
          ["Zhuo "], # 浊
          ["Ce "], # 测
          ["Pal "], # 浌
          ["Kuai "], # 浍
          ["Ji "], # 济
          ["Liu "], # 浏
          ["Chan "], # 浐
          ["Hun "], # 浑
          ["Hu "], # 浒
          ["Nong "], # 浓
          ["Xun "], # 浔
          ["Jin "], # 浕
          ["Lie "], # 浖
          ["Qiu "], # 浗
          ["Wei "], # 浘
          ["Zhe "], # 浙
          ["Jun "], # 浚
          ["Han "], # 浛
          ["Bang "], # 浜
          ["Mang "], # 浝
          ["Zhuo "], # 浞
          ["You "], # 浟
          ["Xi "], # 浠
          ["Bo "], # 浡
          ["Dou "], # 浢
          ["Wan "], # 浣
          ["Hong "], # 浤
          ["Yi "], # 浥
          ["Pu "], # 浦
          ["Ying "], # 浧
          ["Lan "], # 浨
          ["Hao "], # 浩
          ["Lang "], # 浪
          ["Han "], # 浫
          ["Li "], # 浬
          ["Geng "], # 浭
          ["Fu "], # 浮
          ["Wu "], # 浯
          ["Lian "], # 浰
          ["Chun "], # 浱
          ["Feng "], # 浲
          ["Yi "], # 浳
          ["Yu "], # 浴
          ["Tong "], # 浵
          ["Lao "], # 浶
          ["Hai "], # 海
          ["Jin "], # 浸
          ["Jia "], # 浹
          ["Chong "], # 浺
          ["Weng "], # 浻
          ["Mei "], # 浼
          ["Sui "], # 浽
          ["Cheng "], # 浾
          ["Pei "], # 浿
          ["Xian "], # 涀
          ["Shen "], # 涁
          ["Tu "], # 涂
          ["Kun "], # 涃
          ["Pin "], # 涄
          ["Nie "], # 涅
          ["Han "], # 涆
          ["Jing "], # 涇
          ["Xiao "], # 消
          ["She "], # 涉
          ["Nian "], # 涊
          ["Tu "], # 涋
          ["Yong "], # 涌
          ["Xiao "], # 涍
          ["Xian "], # 涎
          ["Ting "], # 涏
          ["E "], # 涐
          ["Su "], # 涑
          ["Tun "], # 涒
          ["Juan "], # 涓
          ["Cen "], # 涔
          ["Ti "], # 涕
          ["Li "], # 涖
          ["Shui "], # 涗
          ["Si "], # 涘
          ["Lei "], # 涙
          ["Shui "], # 涚
          ["Tao "], # 涛
          ["Du "], # 涜
          ["Lao "], # 涝
          ["Lai "], # 涞
          ["Lian "], # 涟
          ["Wei "], # 涠
          ["Wo "], # 涡
          ["Yun "], # 涢
          ["Huan "], # 涣
          ["Di "], # 涤
          [" "], # 涥
          ["Run "], # 润
          ["Jian "], # 涧
          ["Zhang "], # 涨
          ["Se "], # 涩
          ["Fu "], # 涪
          ["Guan "], # 涫
          ["Xing "], # 涬
          ["Shou "], # 涭
          ["Shuan "], # 涮
          ["Ya "], # 涯
          ["Chuo "], # 涰
          ["Zhang "], # 涱
          ["Ye "], # 液
          ["Kong "], # 涳
          ["Wo "], # 涴
          ["Han "], # 涵
          ["Tuo "], # 涶
          ["Dong "], # 涷
          ["He "], # 涸
          ["Wo "], # 涹
          ["Ju "], # 涺
          ["Gan "], # 涻
          ["Liang "], # 涼
          ["Hun "], # 涽
          ["Ta "], # 涾
          ["Zhuo "], # 涿
          ["Dian "], # 淀
          ["Qie "], # 淁
          ["De "], # 淂
          ["Juan "], # 淃
          ["Zi "], # 淄
          ["Xi "], # 淅
          ["Yao "], # 淆
          ["Qi "], # 淇
          ["Gu "], # 淈
          ["Guo "], # 淉
          ["Han "], # 淊
          ["Lin "], # 淋
          ["Tang "], # 淌
          ["Zhou "], # 淍
          ["Peng "], # 淎
          ["Hao "], # 淏
          ["Chang "], # 淐
          ["Shu "], # 淑
          ["Qi "], # 淒
          ["Fang "], # 淓
          ["Chi "], # 淔
          ["Lu "], # 淕
          ["Nao "], # 淖
          ["Ju "], # 淗
          ["Tao "], # 淘
          ["Cong "], # 淙
          ["Lei "], # 淚
          ["Zhi "], # 淛
          ["Peng "], # 淜
          ["Fei "], # 淝
          ["Song "], # 淞
          ["Tian "], # 淟
          ["Pi "], # 淠
          ["Dan "], # 淡
          ["Yu "], # 淢
          ["Ni "], # 淣
          ["Yu "], # 淤
          ["Lu "], # 淥
          ["Gan "], # 淦
          ["Mi "], # 淧
          ["Jing "], # 淨
          ["Ling "], # 淩
          ["Lun "], # 淪
          ["Yin "], # 淫
          ["Cui "], # 淬
          ["Qu "], # 淭
          ["Huai "], # 淮
          ["Yu "], # 淯
          ["Nian "], # 淰
          ["Shen "], # 深
          ["Piao "], # 淲
          ["Chun "], # 淳
          ["Wa "], # 淴
          ["Yuan "], # 淵
          ["Lai "], # 淶
          ["Hun "], # 混
          ["Qing "], # 淸
          ["Yan "], # 淹
          ["Qian "], # 淺
          ["Tian "], # 添
          ["Miao "], # 淼
          ["Zhi "], # 淽
          ["Yin "], # 淾
          ["Mi "] # 淿
        ],
        [
          ["Ben "], # 渀
          ["Yuan "], # 渁
          ["Wen "], # 渂
          ["Re "], # 渃
          ["Fei "], # 渄
          ["Qing "], # 清
          ["Yuan "], # 渆
          ["Ke "], # 渇
          ["Ji "], # 済
          ["She "], # 渉
          ["Yuan "], # 渊
          ["Shibui "], # 渋
          ["Lu "], # 渌
          ["Zi "], # 渍
          ["Du "], # 渎
          [" "], # 渏
          ["Jian "], # 渐
          ["Min "], # 渑
          ["Pi "], # 渒
          ["Tani "], # 渓
          ["Yu "], # 渔
          ["Yuan "], # 渕
          ["Shen "], # 渖
          ["Shen "], # 渗
          ["Rou "], # 渘
          ["Huan "], # 渙
          ["Zhu "], # 渚
          ["Jian "], # 減
          ["Nuan "], # 渜
          ["Yu "], # 渝
          ["Qiu "], # 渞
          ["Ting "], # 渟
          ["Qu "], # 渠
          ["Du "], # 渡
          ["Feng "], # 渢
          ["Zha "], # 渣
          ["Bo "], # 渤
          ["Wo "], # 渥
          ["Wo "], # 渦
          ["Di "], # 渧
          ["Wei "], # 渨
          ["Wen "], # 温
          ["Ru "], # 渪
          ["Xie "], # 渫
          ["Ce "], # 測
          ["Wei "], # 渭
          ["Ge "], # 渮
          ["Gang "], # 港
          ["Yan "], # 渰
          ["Hong "], # 渱
          ["Xuan "], # 渲
          ["Mi "], # 渳
          ["Ke "], # 渴
          ["Mao "], # 渵
          ["Ying "], # 渶
          ["Yan "], # 渷
          ["You "], # 游
          ["Hong "], # 渹
          ["Miao "], # 渺
          ["Xing "], # 渻
          ["Mei "], # 渼
          ["Zai "], # 渽
          ["Hun "], # 渾
          ["Nai "], # 渿
          ["Kui "], # 湀
          ["Shi "], # 湁
          ["E "], # 湂
          ["Pai "], # 湃
          ["Mei "], # 湄
          ["Lian "], # 湅
          ["Qi "], # 湆
          ["Qi "], # 湇
          ["Mei "], # 湈
          ["Tian "], # 湉
          ["Cou "], # 湊
          ["Wei "], # 湋
          ["Can "], # 湌
          ["Tuan "], # 湍
          ["Mian "], # 湎
          ["Hui "], # 湏
          ["Mo "], # 湐
          ["Xu "], # 湑
          ["Ji "], # 湒
          ["Pen "], # 湓
          ["Jian "], # 湔
          ["Jian "], # 湕
          ["Hu "], # 湖
          ["Feng "], # 湗
          ["Xiang "], # 湘
          ["Yi "], # 湙
          ["Yin "], # 湚
          ["Zhan "], # 湛
          ["Shi "], # 湜
          ["Jie "], # 湝
          ["Cheng "], # 湞
          ["Huang "], # 湟
          ["Tan "], # 湠
          ["Yu "], # 湡
          ["Bi "], # 湢
          ["Min "], # 湣
          ["Shi "], # 湤
          ["Tu "], # 湥
          ["Sheng "], # 湦
          ["Yong "], # 湧
          ["Qu "], # 湨
          ["Zhong "], # 湩
          ["Suei "], # 湪
          ["Jiu "], # 湫
          ["Jiao "], # 湬
          ["Qiou "], # 湭
          ["Yin "], # 湮
          ["Tang "], # 湯
          ["Long "], # 湰
          ["Huo "], # 湱
          ["Yuan "], # 湲
          ["Nan "], # 湳
          ["Ban "], # 湴
          ["You "], # 湵
          ["Quan "], # 湶
          ["Chui "], # 湷
          ["Liang "], # 湸
          ["Chan "], # 湹
          ["Yan "], # 湺
          ["Chun "], # 湻
          ["Nie "], # 湼
          ["Zi "], # 湽
          ["Wan "], # 湾
          ["Shi "], # 湿
          ["Man "], # 満
          ["Ying "], # 溁
          ["Ratsu "], # 溂
          ["Kui "], # 溃
          [" "], # 溄
          ["Jian "], # 溅
          ["Xu "], # 溆
          ["Lu "], # 溇
          ["Gui "], # 溈
          ["Gai "], # 溉
          [" "], # 溊
          [" "], # 溋
          ["Po "], # 溌
          ["Jin "], # 溍
          ["Gui "], # 溎
          ["Tang "], # 溏
          ["Yuan "], # 源
          ["Suo "], # 溑
          ["Yuan "], # 溒
          ["Lian "], # 溓
          ["Yao "], # 溔
          ["Meng "], # 溕
          ["Zhun "], # 準
          ["Sheng "], # 溗
          ["Ke "], # 溘
          ["Tai "], # 溙
          ["Da "], # 溚
          ["Wa "], # 溛
          ["Liu "], # 溜
          ["Gou "], # 溝
          ["Sao "], # 溞
          ["Ming "], # 溟
          ["Zha "], # 溠
          ["Shi "], # 溡
          ["Yi "], # 溢
          ["Lun "], # 溣
          ["Ma "], # 溤
          ["Pu "], # 溥
          ["Wei "], # 溦
          ["Li "], # 溧
          ["Cai "], # 溨
          ["Wu "], # 溩
          ["Xi "], # 溪
          ["Wen "], # 溫
          ["Qiang "], # 溬
          ["Ze "], # 溭
          ["Shi "], # 溮
          ["Su "], # 溯
          ["Yi "], # 溰
          ["Zhen "], # 溱
          ["Sou "], # 溲
          ["Yun "], # 溳
          ["Xiu "], # 溴
          ["Yin "], # 溵
          ["Rong "], # 溶
          ["Hun "], # 溷
          ["Su "], # 溸
          ["Su "], # 溹
          ["Ni "], # 溺
          ["Ta "], # 溻
          ["Shi "], # 溼
          ["Ru "], # 溽
          ["Wei "], # 溾
          ["Pan "], # 溿
          ["Chu "], # 滀
          ["Chu "], # 滁
          ["Pang "], # 滂
          ["Weng "], # 滃
          ["Cang "], # 滄
          ["Mie "], # 滅
          ["He "], # 滆
          ["Dian "], # 滇
          ["Hao "], # 滈
          ["Huang "], # 滉
          ["Xi "], # 滊
          ["Zi "], # 滋
          ["Di "], # 滌
          ["Zhi "], # 滍
          ["Ying "], # 滎
          ["Fu "], # 滏
          ["Jie "], # 滐
          ["Hua "], # 滑
          ["Ge "], # 滒
          ["Zi "], # 滓
          ["Tao "], # 滔
          ["Teng "], # 滕
          ["Sui "], # 滖
          ["Bi "], # 滗
          ["Jiao "], # 滘
          ["Hui "], # 滙
          ["Gun "], # 滚
          ["Yin "], # 滛
          ["Gao "], # 滜
          ["Long "], # 滝
          ["Zhi "], # 滞
          ["Yan "], # 滟
          ["She "], # 滠
          ["Man "], # 满
          ["Ying "], # 滢
          ["Chun "], # 滣
          ["Lu "], # 滤
          ["Lan "], # 滥
          ["Luan "], # 滦
          [" "], # 滧
          ["Bin "], # 滨
          ["Tan "], # 滩
          ["Yu "], # 滪
          ["Sou "], # 滫
          ["Hu "], # 滬
          ["Bi "], # 滭
          ["Biao "], # 滮
          ["Zhi "], # 滯
          ["Jiang "], # 滰
          ["Kou "], # 滱
          ["Shen "], # 滲
          ["Shang "], # 滳
          ["Di "], # 滴
          ["Mi "], # 滵
          ["Ao "], # 滶
          ["Lu "], # 滷
          ["Hu "], # 滸
          ["Hu "], # 滹
          ["You "], # 滺
          ["Chan "], # 滻
          ["Fan "], # 滼
          ["Yong "], # 滽
          ["Gun "], # 滾
          ["Man "] # 滿
        ],
        [
          ["Qing "], # 漀
          ["Yu "], # 漁
          ["Piao "], # 漂
          ["Ji "], # 漃
          ["Ya "], # 漄
          ["Jiao "], # 漅
          ["Qi "], # 漆
          ["Xi "], # 漇
          ["Ji "], # 漈
          ["Lu "], # 漉
          ["Lu "], # 漊
          ["Long "], # 漋
          ["Jin "], # 漌
          ["Guo "], # 漍
          ["Cong "], # 漎
          ["Lou "], # 漏
          ["Zhi "], # 漐
          ["Gai "], # 漑
          ["Qiang "], # 漒
          ["Li "], # 漓
          ["Yan "], # 演
          ["Cao "], # 漕
          ["Jiao "], # 漖
          ["Cong "], # 漗
          ["Qun "], # 漘
          ["Tuan "], # 漙
          ["Ou "], # 漚
          ["Teng "], # 漛
          ["Ye "], # 漜
          ["Xi "], # 漝
          ["Mi "], # 漞
          ["Tang "], # 漟
          ["Mo "], # 漠
          ["Shang "], # 漡
          ["Han "], # 漢
          ["Lian "], # 漣
          ["Lan "], # 漤
          ["Wa "], # 漥
          ["Li "], # 漦
          ["Qian "], # 漧
          ["Feng "], # 漨
          ["Xuan "], # 漩
          ["Yi "], # 漪
          ["Man "], # 漫
          ["Zi "], # 漬
          ["Mang "], # 漭
          ["Kang "], # 漮
          ["Lei "], # 漯
          ["Peng "], # 漰
          ["Shu "], # 漱
          ["Zhang "], # 漲
          ["Zhang "], # 漳
          ["Chong "], # 漴
          ["Xu "], # 漵
          ["Huan "], # 漶
          ["Kuo "], # 漷
          ["Jian "], # 漸
          ["Yan "], # 漹
          ["Chuang "], # 漺
          ["Liao "], # 漻
          ["Cui "], # 漼
          ["Ti "], # 漽
          ["Yang "], # 漾
          ["Jiang "], # 漿
          ["Cong "], # 潀
          ["Ying "], # 潁
          ["Hong "], # 潂
          ["Xun "], # 潃
          ["Shu "], # 潄
          ["Guan "], # 潅
          ["Ying "], # 潆
          ["Xiao "], # 潇
          [" "], # 潈
          [" "], # 潉
          ["Xu "], # 潊
          ["Lian "], # 潋
          ["Zhi "], # 潌
          ["Wei "], # 潍
          ["Pi "], # 潎
          ["Jue "], # 潏
          ["Jiao "], # 潐
          ["Po "], # 潑
          ["Dang "], # 潒
          ["Hui "], # 潓
          ["Jie "], # 潔
          ["Wu "], # 潕
          ["Pa "], # 潖
          ["Ji "], # 潗
          ["Pan "], # 潘
          ["Gui "], # 潙
          ["Xiao "], # 潚
          ["Qian "], # 潛
          ["Qian "], # 潜
          ["Xi "], # 潝
          ["Lu "], # 潞
          ["Xi "], # 潟
          ["Xuan "], # 潠
          ["Dun "], # 潡
          ["Huang "], # 潢
          ["Min "], # 潣
          ["Run "], # 潤
          ["Su "], # 潥
          ["Liao "], # 潦
          ["Zhen "], # 潧
          ["Zhong "], # 潨
          ["Yi "], # 潩
          ["Di "], # 潪
          ["Wan "], # 潫
          ["Dan "], # 潬
          ["Tan "], # 潭
          ["Chao "], # 潮
          ["Xun "], # 潯
          ["Kui "], # 潰
          ["Yie "], # 潱
          ["Shao "], # 潲
          ["Tu "], # 潳
          ["Zhu "], # 潴
          ["San "], # 潵
          ["Hei "], # 潶
          ["Bi "], # 潷
          ["Shan "], # 潸
          ["Chan "], # 潹
          ["Chan "], # 潺
          ["Shu "], # 潻
          ["Tong "], # 潼
          ["Pu "], # 潽
          ["Lin "], # 潾
          ["Wei "], # 潿
          ["Se "], # 澀
          ["Se "], # 澁
          ["Cheng "], # 澂
          ["Jiong "], # 澃
          ["Cheng "], # 澄
          ["Hua "], # 澅
          ["Jiao "], # 澆
          ["Lao "], # 澇
          ["Che "], # 澈
          ["Gan "], # 澉
          ["Cun "], # 澊
          ["Heng "], # 澋
          ["Si "], # 澌
          ["Shu "], # 澍
          ["Peng "], # 澎
          ["Han "], # 澏
          ["Yun "], # 澐
          ["Liu "], # 澑
          ["Hong "], # 澒
          ["Fu "], # 澓
          ["Hao "], # 澔
          ["He "], # 澕
          ["Xian "], # 澖
          ["Jian "], # 澗
          ["Shan "], # 澘
          ["Xi "], # 澙
          ["Oki "], # 澚
          [" "], # 澛
          ["Lan "], # 澜
          [" "], # 澝
          ["Yu "], # 澞
          ["Lin "], # 澟
          ["Min "], # 澠
          ["Zao "], # 澡
          ["Dang "], # 澢
          ["Wan "], # 澣
          ["Ze "], # 澤
          ["Xie "], # 澥
          ["Yu "], # 澦
          ["Li "], # 澧
          ["Shi "], # 澨
          ["Xue "], # 澩
          ["Ling "], # 澪
          ["Man "], # 澫
          ["Zi "], # 澬
          ["Yong "], # 澭
          ["Kuai "], # 澮
          ["Can "], # 澯
          ["Lian "], # 澰
          ["Dian "], # 澱
          ["Ye "], # 澲
          ["Ao "], # 澳
          ["Huan "], # 澴
          ["Zhen "], # 澵
          ["Chan "], # 澶
          ["Man "], # 澷
          ["Dan "], # 澸
          ["Dan "], # 澹
          ["Yi "], # 澺
          ["Sui "], # 澻
          ["Pi "], # 澼
          ["Ju "], # 澽
          ["Ta "], # 澾
          ["Qin "], # 澿
          ["Ji "], # 激
          ["Zhuo "], # 濁
          ["Lian "], # 濂
          ["Nong "], # 濃
          ["Guo "], # 濄
          ["Jin "], # 濅
          ["Fen "], # 濆
          ["Se "], # 濇
          ["Ji "], # 濈
          ["Sui "], # 濉
          ["Hui "], # 濊
          ["Chu "], # 濋
          ["Ta "], # 濌
          ["Song "], # 濍
          ["Ding "], # 濎
          [" "], # 濏
          ["Zhu "], # 濐
          ["Lai "], # 濑
          ["Bin "], # 濒
          ["Lian "], # 濓
          ["Mi "], # 濔
          ["Shi "], # 濕
          ["Shu "], # 濖
          ["Mi "], # 濗
          ["Ning "], # 濘
          ["Ying "], # 濙
          ["Ying "], # 濚
          ["Meng "], # 濛
          ["Jin "], # 濜
          ["Qi "], # 濝
          ["Pi "], # 濞
          ["Ji "], # 濟
          ["Hao "], # 濠
          ["Ru "], # 濡
          ["Zui "], # 濢
          ["Wo "], # 濣
          ["Tao "], # 濤
          ["Yin "], # 濥
          ["Yin "], # 濦
          ["Dui "], # 濧
          ["Ci "], # 濨
          ["Huo "], # 濩
          ["Jing "], # 濪
          ["Lan "], # 濫
          ["Jun "], # 濬
          ["Ai "], # 濭
          ["Pu "], # 濮
          ["Zhuo "], # 濯
          ["Wei "], # 濰
          ["Bin "], # 濱
          ["Gu "], # 濲
          ["Qian "], # 濳
          ["Xing "], # 濴
          ["Hama "], # 濵
          ["Kuo "], # 濶
          ["Fei "], # 濷
          [" "], # 濸
          ["Boku "], # 濹
          ["Jian "], # 濺
          ["Wei "], # 濻
          ["Luo "], # 濼
          ["Zan "], # 濽
          ["Lu "], # 濾
          ["Li "] # 濿
        ],
        [
          ["You "], # 瀀
          ["Yang "], # 瀁
          ["Lu "], # 瀂
          ["Si "], # 瀃
          ["Jie "], # 瀄
          ["Ying "], # 瀅
          ["Du "], # 瀆
          ["Wang "], # 瀇
          ["Hui "], # 瀈
          ["Xie "], # 瀉
          ["Pan "], # 瀊
          ["Shen "], # 瀋
          ["Biao "], # 瀌
          ["Chan "], # 瀍
          ["Mo "], # 瀎
          ["Liu "], # 瀏
          ["Jian "], # 瀐
          ["Pu "], # 瀑
          ["Se "], # 瀒
          ["Cheng "], # 瀓
          ["Gu "], # 瀔
          ["Bin "], # 瀕
          ["Huo "], # 瀖
          ["Xian "], # 瀗
          ["Lu "], # 瀘
          ["Qin "], # 瀙
          ["Han "], # 瀚
          ["Ying "], # 瀛
          ["Yong "], # 瀜
          ["Li "], # 瀝
          ["Jing "], # 瀞
          ["Xiao "], # 瀟
          ["Ying "], # 瀠
          ["Sui "], # 瀡
          ["Wei "], # 瀢
          ["Xie "], # 瀣
          ["Huai "], # 瀤
          ["Hao "], # 瀥
          ["Zhu "], # 瀦
          ["Long "], # 瀧
          ["Lai "], # 瀨
          ["Dui "], # 瀩
          ["Fan "], # 瀪
          ["Hu "], # 瀫
          ["Lai "], # 瀬
          [" "], # 瀭
          [" "], # 瀮
          ["Ying "], # 瀯
          ["Mi "], # 瀰
          ["Ji "], # 瀱
          ["Lian "], # 瀲
          ["Jian "], # 瀳
          ["Ying "], # 瀴
          ["Fen "], # 瀵
          ["Lin "], # 瀶
          ["Yi "], # 瀷
          ["Jian "], # 瀸
          ["Yue "], # 瀹
          ["Chan "], # 瀺
          ["Dai "], # 瀻
          ["Rang "], # 瀼
          ["Jian "], # 瀽
          ["Lan "], # 瀾
          ["Fan "], # 瀿
          ["Shuang "], # 灀
          ["Yuan "], # 灁
          ["Zhuo "], # 灂
          ["Feng "], # 灃
          ["She "], # 灄
          ["Lei "], # 灅
          ["Lan "], # 灆
          ["Cong "], # 灇
          ["Qu "], # 灈
          ["Yong "], # 灉
          ["Qian "], # 灊
          ["Fa "], # 灋
          ["Guan "], # 灌
          ["Que "], # 灍
          ["Yan "], # 灎
          ["Hao "], # 灏
          ["Hyeng "], # 灐
          ["Sa "], # 灑
          ["Zan "], # 灒
          ["Luan "], # 灓
          ["Yan "], # 灔
          ["Li "], # 灕
          ["Mi "], # 灖
          ["Shan "], # 灗
          ["Tan "], # 灘
          ["Dang "], # 灙
          ["Jiao "], # 灚
          ["Chan "], # 灛
          [" "], # 灜
          ["Hao "], # 灝
          ["Ba "], # 灞
          ["Zhu "], # 灟
          ["Lan "], # 灠
          ["Lan "], # 灡
          ["Nang "], # 灢
          ["Wan "], # 灣
          ["Luan "], # 灤
          ["Xun "], # 灥
          ["Xian "], # 灦
          ["Yan "], # 灧
          ["Gan "], # 灨
          ["Yan "], # 灩
          ["Yu "], # 灪
          ["Huo "], # 火
          ["Si "], # 灬
          ["Mie "], # 灭
          ["Guang "], # 灮
          ["Deng "], # 灯
          ["Hui "], # 灰
          ["Xiao "], # 灱
          ["Xiao "], # 灲
          ["Hu "], # 灳
          ["Hong "], # 灴
          ["Ling "], # 灵
          ["Zao "], # 灶
          ["Zhuan "], # 灷
          ["Jiu "], # 灸
          ["Zha "], # 灹
          ["Xie "], # 灺
          ["Chi "], # 灻
          ["Zhuo "], # 灼
          ["Zai "], # 災
          ["Zai "], # 灾
          ["Can "], # 灿
          ["Yang "], # 炀
          ["Qi "], # 炁
          ["Zhong "], # 炂
          ["Fen "], # 炃
          ["Niu "], # 炄
          ["Jiong "], # 炅
          ["Wen "], # 炆
          ["Po "], # 炇
          ["Yi "], # 炈
          ["Lu "], # 炉
          ["Chui "], # 炊
          ["Pi "], # 炋
          ["Kai "], # 炌
          ["Pan "], # 炍
          ["Yan "], # 炎
          ["Kai "], # 炏
          ["Pang "], # 炐
          ["Mu "], # 炑
          ["Chao "], # 炒
          ["Liao "], # 炓
          ["Gui "], # 炔
          ["Kang "], # 炕
          ["Tun "], # 炖
          ["Guang "], # 炗
          ["Xin "], # 炘
          ["Zhi "], # 炙
          ["Guang "], # 炚
          ["Guang "], # 炛
          ["Wei "], # 炜
          ["Qiang "], # 炝
          [" "], # 炞
          ["Da "], # 炟
          ["Xia "], # 炠
          ["Zheng "], # 炡
          ["Zhu "], # 炢
          ["Ke "], # 炣
          ["Zhao "], # 炤
          ["Fu "], # 炥
          ["Ba "], # 炦
          ["Duo "], # 炧
          ["Duo "], # 炨
          ["Ling "], # 炩
          ["Zhuo "], # 炪
          ["Xuan "], # 炫
          ["Ju "], # 炬
          ["Tan "], # 炭
          ["Pao "], # 炮
          ["Jiong "], # 炯
          ["Pao "], # 炰
          ["Tai "], # 炱
          ["Tai "], # 炲
          ["Bing "], # 炳
          ["Yang "], # 炴
          ["Tong "], # 炵
          ["Han "], # 炶
          ["Zhu "], # 炷
          ["Zha "], # 炸
          ["Dian "], # 点
          ["Wei "], # 為
          ["Shi "], # 炻
          ["Lian "], # 炼
          ["Chi "], # 炽
          ["Huang "], # 炾
          [" "], # 炿
          ["Hu "], # 烀
          ["Shuo "], # 烁
          ["Lan "], # 烂
          ["Jing "], # 烃
          ["Jiao "], # 烄
          ["Xu "], # 烅
          ["Xing "], # 烆
          ["Quan "], # 烇
          ["Lie "], # 烈
          ["Huan "], # 烉
          ["Yang "], # 烊
          ["Xiao "], # 烋
          ["Xiu "], # 烌
          ["Xian "], # 烍
          ["Yin "], # 烎
          ["Wu "], # 烏
          ["Zhou "], # 烐
          ["Yao "], # 烑
          ["Shi "], # 烒
          ["Wei "], # 烓
          ["Tong "], # 烔
          ["Xue "], # 烕
          ["Zai "], # 烖
          ["Kai "], # 烗
          ["Hong "], # 烘
          ["Luo "], # 烙
          ["Xia "], # 烚
          ["Zhu "], # 烛
          ["Xuan "], # 烜
          ["Zheng "], # 烝
          ["Po "], # 烞
          ["Yan "], # 烟
          ["Hui "], # 烠
          ["Guang "], # 烡
          ["Zhe "], # 烢
          ["Hui "], # 烣
          ["Kao "], # 烤
          [" "], # 烥
          ["Fan "], # 烦
          ["Shao "], # 烧
          ["Ye "], # 烨
          ["Hui "], # 烩
          [" "], # 烪
          ["Tang "], # 烫
          ["Jin "], # 烬
          ["Re "], # 热
          [" "], # 烮
          ["Xi "], # 烯
          ["Fu "], # 烰
          ["Jiong "], # 烱
          ["Che "], # 烲
          ["Pu "], # 烳
          ["Jing "], # 烴
          ["Zhuo "], # 烵
          ["Ting "], # 烶
          ["Wan "], # 烷
          ["Hai "], # 烸
          ["Peng "], # 烹
          ["Lang "], # 烺
          ["Shan "], # 烻
          ["Hu "], # 烼
          ["Feng "], # 烽
          ["Chi "], # 烾
          ["Rong "] # 烿
        ],
        [
          ["Hu "], # 焀
          ["Xi "], # 焁
          ["Shu "], # 焂
          ["He "], # 焃
          ["Xun "], # 焄
          ["Ku "], # 焅
          ["Jue "], # 焆
          ["Xiao "], # 焇
          ["Xi "], # 焈
          ["Yan "], # 焉
          ["Han "], # 焊
          ["Zhuang "], # 焋
          ["Jun "], # 焌
          ["Di "], # 焍
          ["Xie "], # 焎
          ["Ji "], # 焏
          ["Wu "], # 焐
          [" "], # 焑
          [" "], # 焒
          ["Han "], # 焓
          ["Yan "], # 焔
          ["Huan "], # 焕
          ["Men "], # 焖
          ["Ju "], # 焗
          ["Chou "], # 焘
          ["Bei "], # 焙
          ["Fen "], # 焚
          ["Lin "], # 焛
          ["Kun "], # 焜
          ["Hun "], # 焝
          ["Tun "], # 焞
          ["Xi "], # 焟
          ["Cui "], # 焠
          ["Wu "], # 無
          ["Hong "], # 焢
          ["Ju "], # 焣
          ["Fu "], # 焤
          ["Wo "], # 焥
          ["Jiao "], # 焦
          ["Cong "], # 焧
          ["Feng "], # 焨
          ["Ping "], # 焩
          ["Qiong "], # 焪
          ["Ruo "], # 焫
          ["Xi "], # 焬
          ["Qiong "], # 焭
          ["Xin "], # 焮
          ["Zhuo "], # 焯
          ["Yan "], # 焰
          ["Yan "], # 焱
          ["Yi "], # 焲
          ["Jue "], # 焳
          ["Yu "], # 焴
          ["Gang "], # 焵
          ["Ran "], # 然
          ["Pi "], # 焷
          ["Gu "], # 焸
          [" "], # 焹
          ["Sheng "], # 焺
          ["Chang "], # 焻
          ["Shao "], # 焼
          [" "], # 焽
          [" "], # 焾
          [" "], # 焿
          [" "], # 煀
          ["Chen "], # 煁
          ["He "], # 煂
          ["Kui "], # 煃
          ["Zhong "], # 煄
          ["Duan "], # 煅
          ["Xia "], # 煆
          ["Hui "], # 煇
          ["Feng "], # 煈
          ["Lian "], # 煉
          ["Xuan "], # 煊
          ["Xing "], # 煋
          ["Huang "], # 煌
          ["Jiao "], # 煍
          ["Jian "], # 煎
          ["Bi "], # 煏
          ["Ying "], # 煐
          ["Zhu "], # 煑
          ["Wei "], # 煒
          ["Tuan "], # 煓
          ["Tian "], # 煔
          ["Xi "], # 煕
          ["Nuan "], # 煖
          ["Nuan "], # 煗
          ["Chan "], # 煘
          ["Yan "], # 煙
          ["Jiong "], # 煚
          ["Jiong "], # 煛
          ["Yu "], # 煜
          ["Mei "], # 煝
          ["Sha "], # 煞
          ["Wei "], # 煟
          ["Ye "], # 煠
          ["Xin "], # 煡
          ["Qiong "], # 煢
          ["Rou "], # 煣
          ["Mei "], # 煤
          ["Huan "], # 煥
          ["Xu "], # 煦
          ["Zhao "], # 照
          ["Wei "], # 煨
          ["Fan "], # 煩
          ["Qiu "], # 煪
          ["Sui "], # 煫
          ["Yang "], # 煬
          ["Lie "], # 煭
          ["Zhu "], # 煮
          ["Jie "], # 煯
          ["Gao "], # 煰
          ["Gua "], # 煱
          ["Bao "], # 煲
          ["Hu "], # 煳
          ["Yun "], # 煴
          ["Xia "], # 煵
          [" "], # 煶
          [" "], # 煷
          ["Bian "], # 煸
          ["Gou "], # 煹
          ["Tui "], # 煺
          ["Tang "], # 煻
          ["Chao "], # 煼
          ["Shan "], # 煽
          ["N "], # 煾
          ["Bo "], # 煿
          ["Huang "], # 熀
          ["Xie "], # 熁
          ["Xi "], # 熂
          ["Wu "], # 熃
          ["Xi "], # 熄
          ["Yun "], # 熅
          ["He "], # 熆
          ["He "], # 熇
          ["Xi "], # 熈
          ["Yun "], # 熉
          ["Xiong "], # 熊
          ["Nai "], # 熋
          ["Shan "], # 熌
          ["Qiong "], # 熍
          ["Yao "], # 熎
          ["Xun "], # 熏
          ["Mi "], # 熐
          ["Lian "], # 熑
          ["Ying "], # 熒
          ["Wen "], # 熓
          ["Rong "], # 熔
          ["Oozutsu "], # 熕
          [" "], # 熖
          ["Qiang "], # 熗
          ["Liu "], # 熘
          ["Xi "], # 熙
          ["Bi "], # 熚
          ["Biao "], # 熛
          ["Zong "], # 熜
          ["Lu "], # 熝
          ["Jian "], # 熞
          ["Shou "], # 熟
          ["Yi "], # 熠
          ["Lou "], # 熡
          ["Feng "], # 熢
          ["Sui "], # 熣
          ["Yi "], # 熤
          ["Tong "], # 熥
          ["Jue "], # 熦
          ["Zong "], # 熧
          ["Yun "], # 熨
          ["Hu "], # 熩
          ["Yi "], # 熪
          ["Zhi "], # 熫
          ["Ao "], # 熬
          ["Wei "], # 熭
          ["Liao "], # 熮
          ["Han "], # 熯
          ["Ou "], # 熰
          ["Re "], # 熱
          ["Jiong "], # 熲
          ["Man "], # 熳
          [" "], # 熴
          ["Shang "], # 熵
          ["Cuan "], # 熶
          ["Zeng "], # 熷
          ["Jian "], # 熸
          ["Xi "], # 熹
          ["Xi "], # 熺
          ["Xi "], # 熻
          ["Yi "], # 熼
          ["Xiao "], # 熽
          ["Chi "], # 熾
          ["Huang "], # 熿
          ["Chan "], # 燀
          ["Ye "], # 燁
          ["Qian "], # 燂
          ["Ran "], # 燃
          ["Yan "], # 燄
          ["Xian "], # 燅
          ["Qiao "], # 燆
          ["Zun "], # 燇
          ["Deng "], # 燈
          ["Dun "], # 燉
          ["Shen "], # 燊
          ["Jiao "], # 燋
          ["Fen "], # 燌
          ["Si "], # 燍
          ["Liao "], # 燎
          ["Yu "], # 燏
          ["Lin "], # 燐
          ["Tong "], # 燑
          ["Shao "], # 燒
          ["Fen "], # 燓
          ["Fan "], # 燔
          ["Yan "], # 燕
          ["Xun "], # 燖
          ["Lan "], # 燗
          ["Mei "], # 燘
          ["Tang "], # 燙
          ["Yi "], # 燚
          ["Jing "], # 燛
          ["Men "], # 燜
          [" "], # 燝
          [" "], # 燞
          ["Ying "], # 營
          ["Yu "], # 燠
          ["Yi "], # 燡
          ["Xue "], # 燢
          ["Lan "], # 燣
          ["Tai "], # 燤
          ["Zao "], # 燥
          ["Can "], # 燦
          ["Sui "], # 燧
          ["Xi "], # 燨
          ["Que "], # 燩
          ["Cong "], # 燪
          ["Lian "], # 燫
          ["Hui "], # 燬
          ["Zhu "], # 燭
          ["Xie "], # 燮
          ["Ling "], # 燯
          ["Wei "], # 燰
          ["Yi "], # 燱
          ["Xie "], # 燲
          ["Zhao "], # 燳
          ["Hui "], # 燴
          ["Tatsu "], # 燵
          ["Nung "], # 燶
          ["Lan "], # 燷
          ["Ru "], # 燸
          ["Xian "], # 燹
          ["Kao "], # 燺
          ["Xun "], # 燻
          ["Jin "], # 燼
          ["Chou "], # 燽
          ["Chou "], # 燾
          ["Yao "] # 燿
        ],
        [
          ["He "], # 爀
          ["Lan "], # 爁
          ["Biao "], # 爂
          ["Rong "], # 爃
          ["Li "], # 爄
          ["Mo "], # 爅
          ["Bao "], # 爆
          ["Ruo "], # 爇
          ["Lu "], # 爈
          ["La "], # 爉
          ["Ao "], # 爊
          ["Xun "], # 爋
          ["Kuang "], # 爌
          ["Shuo "], # 爍
          [" "], # 爎
          ["Li "], # 爏
          ["Lu "], # 爐
          ["Jue "], # 爑
          ["Liao "], # 爒
          ["Yan "], # 爓
          ["Xi "], # 爔
          ["Xie "], # 爕
          ["Long "], # 爖
          ["Ye "], # 爗
          [" "], # 爘
          ["Rang "], # 爙
          ["Yue "], # 爚
          ["Lan "], # 爛
          ["Cong "], # 爜
          ["Jue "], # 爝
          ["Tong "], # 爞
          ["Guan "], # 爟
          [" "], # 爠
          ["Che "], # 爡
          ["Mi "], # 爢
          ["Tang "], # 爣
          ["Lan "], # 爤
          ["Zhu "], # 爥
          [" "], # 爦
          ["Ling "], # 爧
          ["Cuan "], # 爨
          ["Yu "], # 爩
          ["Zhua "], # 爪
          ["Tsumekanmuri "], # 爫
          ["Pa "], # 爬
          ["Zheng "], # 爭
          ["Pao "], # 爮
          ["Cheng "], # 爯
          ["Yuan "], # 爰
          ["Ai "], # 爱
          ["Wei "], # 爲
          [" "], # 爳
          ["Jue "], # 爴
          ["Jue "], # 爵
          ["Fu "], # 父
          ["Ye "], # 爷
          ["Ba "], # 爸
          ["Die "], # 爹
          ["Ye "], # 爺
          ["Yao "], # 爻
          ["Zu "], # 爼
          ["Shuang "], # 爽
          ["Er "], # 爾
          ["Qiang "], # 爿
          ["Chuang "], # 牀
          ["Ge "], # 牁
          ["Zang "], # 牂
          ["Die "], # 牃
          ["Qiang "], # 牄
          ["Yong "], # 牅
          ["Qiang "], # 牆
          ["Pian "], # 片
          ["Ban "], # 版
          ["Pan "], # 牉
          ["Shao "], # 牊
          ["Jian "], # 牋
          ["Pai "], # 牌
          ["Du "], # 牍
          ["Chuang "], # 牎
          ["Tou "], # 牏
          ["Zha "], # 牐
          ["Bian "], # 牑
          ["Die "], # 牒
          ["Bang "], # 牓
          ["Bo "], # 牔
          ["Chuang "], # 牕
          ["You "], # 牖
          [" "], # 牗
          ["Du "], # 牘
          ["Ya "], # 牙
          ["Cheng "], # 牚
          ["Niu "], # 牛
          ["Ushihen "], # 牜
          ["Pin "], # 牝
          ["Jiu "], # 牞
          ["Mou "], # 牟
          ["Tuo "], # 牠
          ["Mu "], # 牡
          ["Lao "], # 牢
          ["Ren "], # 牣
          ["Mang "], # 牤
          ["Fang "], # 牥
          ["Mao "], # 牦
          ["Mu "], # 牧
          ["Gang "], # 牨
          ["Wu "], # 物
          ["Yan "], # 牪
          ["Ge "], # 牫
          ["Bei "], # 牬
          ["Si "], # 牭
          ["Jian "], # 牮
          ["Gu "], # 牯
          ["You "], # 牰
          ["Ge "], # 牱
          ["Sheng "], # 牲
          ["Mu "], # 牳
          ["Di "], # 牴
          ["Qian "], # 牵
          ["Quan "], # 牶
          ["Quan "], # 牷
          ["Zi "], # 牸
          ["Te "], # 特
          ["Xi "], # 牺
          ["Mang "], # 牻
          ["Keng "], # 牼
          ["Qian "], # 牽
          ["Wu "], # 牾
          ["Gu "], # 牿
          ["Xi "], # 犀
          ["Li "], # 犁
          ["Li "], # 犂
          ["Pou "], # 犃
          ["Ji "], # 犄
          ["Gang "], # 犅
          ["Zhi "], # 犆
          ["Ben "], # 犇
          ["Quan "], # 犈
          ["Run "], # 犉
          ["Du "], # 犊
          ["Ju "], # 犋
          ["Jia "], # 犌
          ["Jian "], # 犍
          ["Feng "], # 犎
          ["Pian "], # 犏
          ["Ke "], # 犐
          ["Ju "], # 犑
          ["Kao "], # 犒
          ["Chu "], # 犓
          ["Xi "], # 犔
          ["Bei "], # 犕
          ["Luo "], # 犖
          ["Jie "], # 犗
          ["Ma "], # 犘
          ["San "], # 犙
          ["Wei "], # 犚
          ["Li "], # 犛
          ["Dun "], # 犜
          ["Tong "], # 犝
          [" "], # 犞
          ["Jiang "], # 犟
          ["Ikenie "], # 犠
          ["Li "], # 犡
          ["Du "], # 犢
          ["Lie "], # 犣
          ["Pi "], # 犤
          ["Piao "], # 犥
          ["Bao "], # 犦
          ["Xi "], # 犧
          ["Chou "], # 犨
          ["Wei "], # 犩
          ["Kui "], # 犪
          ["Chou "], # 犫
          ["Quan "], # 犬
          ["Fan "], # 犭
          ["Ba "], # 犮
          ["Fan "], # 犯
          ["Qiu "], # 犰
          ["Ji "], # 犱
          ["Cai "], # 犲
          ["Chuo "], # 犳
          ["An "], # 犴
          ["Jie "], # 犵
          ["Zhuang "], # 状
          ["Guang "], # 犷
          ["Ma "], # 犸
          ["You "], # 犹
          ["Kang "], # 犺
          ["Bo "], # 犻
          ["Hou "], # 犼
          ["Ya "], # 犽
          ["Yin "], # 犾
          ["Huan "], # 犿
          ["Zhuang "], # 狀
          ["Yun "], # 狁
          ["Kuang "], # 狂
          ["Niu "], # 狃
          ["Di "], # 狄
          ["Qing "], # 狅
          ["Zhong "], # 狆
          ["Mu "], # 狇
          ["Bei "], # 狈
          ["Pi "], # 狉
          ["Ju "], # 狊
          ["Ni "], # 狋
          ["Sheng "], # 狌
          ["Pao "], # 狍
          ["Xia "], # 狎
          ["Tuo "], # 狏
          ["Hu "], # 狐
          ["Ling "], # 狑
          ["Fei "], # 狒
          ["Pi "], # 狓
          ["Ni "], # 狔
          ["Ao "], # 狕
          ["You "], # 狖
          ["Gou "], # 狗
          ["Yue "], # 狘
          ["Ju "], # 狙
          ["Dan "], # 狚
          ["Po "], # 狛
          ["Gu "], # 狜
          ["Xian "], # 狝
          ["Ning "], # 狞
          ["Huan "], # 狟
          ["Hen "], # 狠
          ["Jiao "], # 狡
          ["He "], # 狢
          ["Zhao "], # 狣
          ["Ji "], # 狤
          ["Xun "], # 狥
          ["Shan "], # 狦
          ["Ta "], # 狧
          ["Rong "], # 狨
          ["Shou "], # 狩
          ["Tong "], # 狪
          ["Lao "], # 狫
          ["Du "], # 独
          ["Xia "], # 狭
          ["Shi "], # 狮
          ["Hua "], # 狯
          ["Zheng "], # 狰
          ["Yu "], # 狱
          ["Sun "], # 狲
          ["Yu "], # 狳
          ["Bi "], # 狴
          ["Mang "], # 狵
          ["Xi "], # 狶
          ["Juan "], # 狷
          ["Li "], # 狸
          ["Xia "], # 狹
          ["Yin "], # 狺
          ["Suan "], # 狻
          ["Lang "], # 狼
          ["Bei "], # 狽
          ["Zhi "], # 狾
          ["Yan "] # 狿
        ],
        [
          ["Sha "], # 猀
          ["Li "], # 猁
          ["Han "], # 猂
          ["Xian "], # 猃
          ["Jing "], # 猄
          ["Pai "], # 猅
          ["Fei "], # 猆
          ["Yao "], # 猇
          ["Ba "], # 猈
          ["Qi "], # 猉
          ["Ni "], # 猊
          ["Biao "], # 猋
          ["Yin "], # 猌
          ["Lai "], # 猍
          ["Xi "], # 猎
          ["Jian "], # 猏
          ["Qiang "], # 猐
          ["Kun "], # 猑
          ["Yan "], # 猒
          ["Guo "], # 猓
          ["Zong "], # 猔
          ["Mi "], # 猕
          ["Chang "], # 猖
          ["Yi "], # 猗
          ["Zhi "], # 猘
          ["Zheng "], # 猙
          ["Ya "], # 猚
          ["Meng "], # 猛
          ["Cai "], # 猜
          ["Cu "], # 猝
          ["She "], # 猞
          ["Kari "], # 猟
          ["Cen "], # 猠
          ["Luo "], # 猡
          ["Hu "], # 猢
          ["Zong "], # 猣
          ["Ji "], # 猤
          ["Wei "], # 猥
          ["Feng "], # 猦
          ["Wo "], # 猧
          ["Yuan "], # 猨
          ["Xing "], # 猩
          ["Zhu "], # 猪
          ["Mao "], # 猫
          ["Wei "], # 猬
          ["Yuan "], # 猭
          ["Xian "], # 献
          ["Tuan "], # 猯
          ["Ya "], # 猰
          ["Nao "], # 猱
          ["Xie "], # 猲
          ["Jia "], # 猳
          ["Hou "], # 猴
          ["Bian "], # 猵
          ["You "], # 猶
          ["You "], # 猷
          ["Mei "], # 猸
          ["Zha "], # 猹
          ["Yao "], # 猺
          ["Sun "], # 猻
          ["Bo "], # 猼
          ["Ming "], # 猽
          ["Hua "], # 猾
          ["Yuan "], # 猿
          ["Sou "], # 獀
          ["Ma "], # 獁
          ["Yuan "], # 獂
          ["Dai "], # 獃
          ["Yu "], # 獄
          ["Shi "], # 獅
          ["Hao "], # 獆
          [" "], # 獇
          ["Yi "], # 獈
          ["Zhen "], # 獉
          ["Chuang "], # 獊
          ["Hao "], # 獋
          ["Man "], # 獌
          ["Jing "], # 獍
          ["Jiang "], # 獎
          ["Mu "], # 獏
          ["Zhang "], # 獐
          ["Chan "], # 獑
          ["Ao "], # 獒
          ["Ao "], # 獓
          ["Hao "], # 獔
          ["Cui "], # 獕
          ["Fen "], # 獖
          ["Jue "], # 獗
          ["Bi "], # 獘
          ["Bi "], # 獙
          ["Huang "], # 獚
          ["Pu "], # 獛
          ["Lin "], # 獜
          ["Yu "], # 獝
          ["Tong "], # 獞
          ["Yao "], # 獟
          ["Liao "], # 獠
          ["Shuo "], # 獡
          ["Xiao "], # 獢
          ["Swu "], # 獣
          ["Ton "], # 獤
          ["Xi "], # 獥
          ["Ge "], # 獦
          ["Juan "], # 獧
          ["Du "], # 獨
          ["Hui "], # 獩
          ["Kuai "], # 獪
          ["Xian "], # 獫
          ["Xie "], # 獬
          ["Ta "], # 獭
          ["Xian "], # 獮
          ["Xun "], # 獯
          ["Ning "], # 獰
          ["Pin "], # 獱
          ["Huo "], # 獲
          ["Nou "], # 獳
          ["Meng "], # 獴
          ["Lie "], # 獵
          ["Nao "], # 獶
          ["Guang "], # 獷
          ["Shou "], # 獸
          ["Lu "], # 獹
          ["Ta "], # 獺
          ["Xian "], # 獻
          ["Mi "], # 獼
          ["Rang "], # 獽
          ["Huan "], # 獾
          ["Nao "], # 獿
          ["Luo "], # 玀
          ["Xian "], # 玁
          ["Qi "], # 玂
          ["Jue "], # 玃
          ["Xuan "], # 玄
          ["Miao "], # 玅
          ["Zi "], # 玆
          ["Lu "], # 率
          ["Lu "], # 玈
          ["Yu "], # 玉
          ["Su "], # 玊
          ["Wang "], # 王
          ["Qiu "], # 玌
          ["Ga "], # 玍
          ["Ding "], # 玎
          ["Le "], # 玏
          ["Ba "], # 玐
          ["Ji "], # 玑
          ["Hong "], # 玒
          ["Di "], # 玓
          ["Quan "], # 玔
          ["Gan "], # 玕
          ["Jiu "], # 玖
          ["Yu "], # 玗
          ["Ji "], # 玘
          ["Yu "], # 玙
          ["Yang "], # 玚
          ["Ma "], # 玛
          ["Gong "], # 玜
          ["Wu "], # 玝
          ["Fu "], # 玞
          ["Wen "], # 玟
          ["Jie "], # 玠
          ["Ya "], # 玡
          ["Fen "], # 玢
          ["Bian "], # 玣
          ["Beng "], # 玤
          ["Yue "], # 玥
          ["Jue "], # 玦
          ["Yun "], # 玧
          ["Jue "], # 玨
          ["Wan "], # 玩
          ["Jian "], # 玪
          ["Mei "], # 玫
          ["Dan "], # 玬
          ["Pi "], # 玭
          ["Wei "], # 玮
          ["Huan "], # 环
          ["Xian "], # 现
          ["Qiang "], # 玱
          ["Ling "], # 玲
          ["Dai "], # 玳
          ["Yi "], # 玴
          ["An "], # 玵
          ["Ping "], # 玶
          ["Dian "], # 玷
          ["Fu "], # 玸
          ["Xuan "], # 玹
          ["Xi "], # 玺
          ["Bo "], # 玻
          ["Ci "], # 玼
          ["Gou "], # 玽
          ["Jia "], # 玾
          ["Shao "], # 玿
          ["Po "], # 珀
          ["Ci "], # 珁
          ["Ke "], # 珂
          ["Ran "], # 珃
          ["Sheng "], # 珄
          ["Shen "], # 珅
          ["Yi "], # 珆
          ["Zu "], # 珇
          ["Jia "], # 珈
          ["Min "], # 珉
          ["Shan "], # 珊
          ["Liu "], # 珋
          ["Bi "], # 珌
          ["Zhen "], # 珍
          ["Zhen "], # 珎
          ["Jue "], # 珏
          ["Fa "], # 珐
          ["Long "], # 珑
          ["Jin "], # 珒
          ["Jiao "], # 珓
          ["Jian "], # 珔
          ["Li "], # 珕
          ["Guang "], # 珖
          ["Xian "], # 珗
          ["Zhou "], # 珘
          ["Gong "], # 珙
          ["Yan "], # 珚
          ["Xiu "], # 珛
          ["Yang "], # 珜
          ["Xu "], # 珝
          ["Luo "], # 珞
          ["Su "], # 珟
          ["Zhu "], # 珠
          ["Qin "], # 珡
          ["Ken "], # 珢
          ["Xun "], # 珣
          ["Bao "], # 珤
          ["Er "], # 珥
          ["Xiang "], # 珦
          ["Yao "], # 珧
          ["Xia "], # 珨
          ["Heng "], # 珩
          ["Gui "], # 珪
          ["Chong "], # 珫
          ["Xu "], # 珬
          ["Ban "], # 班
          ["Pei "], # 珮
          [" "], # 珯
          ["Dang "], # 珰
          ["Ei "], # 珱
          ["Hun "], # 珲
          ["Wen "], # 珳
          ["E "], # 珴
          ["Cheng "], # 珵
          ["Ti "], # 珶
          ["Wu "], # 珷
          ["Wu "], # 珸
          ["Cheng "], # 珹
          ["Jun "], # 珺
          ["Mei "], # 珻
          ["Bei "], # 珼
          ["Ting "], # 珽
          ["Xian "], # 現
          ["Chuo "] # 珿
        ],
        [
          ["Han "], # 琀
          ["Xuan "], # 琁
          ["Yan "], # 琂
          ["Qiu "], # 球
          ["Quan "], # 琄
          ["Lang "], # 琅
          ["Li "], # 理
          ["Xiu "], # 琇
          ["Fu "], # 琈
          ["Liu "], # 琉
          ["Ye "], # 琊
          ["Xi "], # 琋
          ["Ling "], # 琌
          ["Li "], # 琍
          ["Jin "], # 琎
          ["Lian "], # 琏
          ["Suo "], # 琐
          ["Chiisai "], # 琑
          [" "], # 琒
          ["Wan "], # 琓
          ["Dian "], # 琔
          ["Pin "], # 琕
          ["Zhan "], # 琖
          ["Cui "], # 琗
          ["Min "], # 琘
          ["Yu "], # 琙
          ["Ju "], # 琚
          ["Chen "], # 琛
          ["Lai "], # 琜
          ["Wen "], # 琝
          ["Sheng "], # 琞
          ["Wei "], # 琟
          ["Dian "], # 琠
          ["Chu "], # 琡
          ["Zhuo "], # 琢
          ["Pei "], # 琣
          ["Cheng "], # 琤
          ["Hu "], # 琥
          ["Qi "], # 琦
          ["E "], # 琧
          ["Kun "], # 琨
          ["Chang "], # 琩
          ["Qi "], # 琪
          ["Beng "], # 琫
          ["Wan "], # 琬
          ["Lu "], # 琭
          ["Cong "], # 琮
          ["Guan "], # 琯
          ["Yan "], # 琰
          ["Diao "], # 琱
          ["Bei "], # 琲
          ["Lin "], # 琳
          ["Qin "], # 琴
          ["Pi "], # 琵
          ["Pa "], # 琶
          ["Que "], # 琷
          ["Zhuo "], # 琸
          ["Qin "], # 琹
          ["Fa "], # 琺
          [" "], # 琻
          ["Qiong "], # 琼
          ["Du "], # 琽
          ["Jie "], # 琾
          ["Hun "], # 琿
          ["Yu "], # 瑀
          ["Mao "], # 瑁
          ["Mei "], # 瑂
          ["Chun "], # 瑃
          ["Xuan "], # 瑄
          ["Ti "], # 瑅
          ["Xing "], # 瑆
          ["Dai "], # 瑇
          ["Rou "], # 瑈
          ["Min "], # 瑉
          ["Zhen "], # 瑊
          ["Wei "], # 瑋
          ["Ruan "], # 瑌
          ["Huan "], # 瑍
          ["Jie "], # 瑎
          ["Chuan "], # 瑏
          ["Jian "], # 瑐
          ["Zhuan "], # 瑑
          ["Yang "], # 瑒
          ["Lian "], # 瑓
          ["Quan "], # 瑔
          ["Xia "], # 瑕
          ["Duan "], # 瑖
          ["Yuan "], # 瑗
          ["Ye "], # 瑘
          ["Nao "], # 瑙
          ["Hu "], # 瑚
          ["Ying "], # 瑛
          ["Yu "], # 瑜
          ["Huang "], # 瑝
          ["Rui "], # 瑞
          ["Se "], # 瑟
          ["Liu "], # 瑠
          ["Shi "], # 瑡
          ["Rong "], # 瑢
          ["Suo "], # 瑣
          ["Yao "], # 瑤
          ["Wen "], # 瑥
          ["Wu "], # 瑦
          ["Jin "], # 瑧
          ["Jin "], # 瑨
          ["Ying "], # 瑩
          ["Ma "], # 瑪
          ["Tao "], # 瑫
          ["Liu "], # 瑬
          ["Tang "], # 瑭
          ["Li "], # 瑮
          ["Lang "], # 瑯
          ["Gui "], # 瑰
          ["Zhen "], # 瑱
          ["Qiang "], # 瑲
          ["Cuo "], # 瑳
          ["Jue "], # 瑴
          ["Zhao "], # 瑵
          ["Yao "], # 瑶
          ["Ai "], # 瑷
          ["Bin "], # 瑸
          ["Tu "], # 瑹
          ["Chang "], # 瑺
          ["Kun "], # 瑻
          ["Zhuan "], # 瑼
          ["Cong "], # 瑽
          ["Jin "], # 瑾
          ["Yi "], # 瑿
          ["Cui "], # 璀
          ["Cong "], # 璁
          ["Qi "], # 璂
          ["Li "], # 璃
          ["Ying "], # 璄
          ["Suo "], # 璅
          ["Qiu "], # 璆
          ["Xuan "], # 璇
          ["Ao "], # 璈
          ["Lian "], # 璉
          ["Man "], # 璊
          ["Zhang "], # 璋
          ["Yin "], # 璌
          [" "], # 璍
          ["Ying "], # 璎
          ["Zhi "], # 璏
          ["Lu "], # 璐
          ["Wu "], # 璑
          ["Deng "], # 璒
          ["Xiou "], # 璓
          ["Zeng "], # 璔
          ["Xun "], # 璕
          ["Qu "], # 璖
          ["Dang "], # 璗
          ["Lin "], # 璘
          ["Liao "], # 璙
          ["Qiong "], # 璚
          ["Su "], # 璛
          ["Huang "], # 璜
          ["Gui "], # 璝
          ["Pu "], # 璞
          ["Jing "], # 璟
          ["Fan "], # 璠
          ["Jin "], # 璡
          ["Liu "], # 璢
          ["Ji "], # 璣
          [" "], # 璤
          ["Jing "], # 璥
          ["Ai "], # 璦
          ["Bi "], # 璧
          ["Can "], # 璨
          ["Qu "], # 璩
          ["Zao "], # 璪
          ["Dang "], # 璫
          ["Jiao "], # 璬
          ["Gun "], # 璭
          ["Tan "], # 璮
          ["Hui "], # 璯
          ["Huan "], # 環
          ["Se "], # 璱
          ["Sui "], # 璲
          ["Tian "], # 璳
          [" "], # 璴
          ["Yu "], # 璵
          ["Jin "], # 璶
          ["Lu "], # 璷
          ["Bin "], # 璸
          ["Shou "], # 璹
          ["Wen "], # 璺
          ["Zui "], # 璻
          ["Lan "], # 璼
          ["Xi "], # 璽
          ["Ji "], # 璾
          ["Xuan "], # 璿
          ["Ruan "], # 瓀
          ["Huo "], # 瓁
          ["Gai "], # 瓂
          ["Lei "], # 瓃
          ["Du "], # 瓄
          ["Li "], # 瓅
          ["Zhi "], # 瓆
          ["Rou "], # 瓇
          ["Li "], # 瓈
          ["Zan "], # 瓉
          ["Qiong "], # 瓊
          ["Zhe "], # 瓋
          ["Gui "], # 瓌
          ["Sui "], # 瓍
          ["La "], # 瓎
          ["Long "], # 瓏
          ["Lu "], # 瓐
          ["Li "], # 瓑
          ["Zan "], # 瓒
          ["Lan "], # 瓓
          ["Ying "], # 瓔
          ["Mi "], # 瓕
          ["Xiang "], # 瓖
          ["Xi "], # 瓗
          ["Guan "], # 瓘
          ["Dao "], # 瓙
          ["Zan "], # 瓚
          ["Huan "], # 瓛
          ["Gua "], # 瓜
          ["Bo "], # 瓝
          ["Die "], # 瓞
          ["Bao "], # 瓟
          ["Hu "], # 瓠
          ["Zhi "], # 瓡
          ["Piao "], # 瓢
          ["Ban "], # 瓣
          ["Rang "], # 瓤
          ["Li "], # 瓥
          ["Wa "], # 瓦
          ["Dekaguramu "], # 瓧
          ["Jiang "], # 瓨
          ["Qian "], # 瓩
          ["Fan "], # 瓪
          ["Pen "], # 瓫
          ["Fang "], # 瓬
          ["Dan "], # 瓭
          ["Weng "], # 瓮
          ["Ou "], # 瓯
          ["Deshiguramu "], # 瓰
          ["Miriguramu "], # 瓱
          ["Thon "], # 瓲
          ["Hu "], # 瓳
          ["Ling "], # 瓴
          ["Yi "], # 瓵
          ["Ping "], # 瓶
          ["Ci "], # 瓷
          ["Hekutogura "], # 瓸
          ["Juan "], # 瓹
          ["Chang "], # 瓺
          ["Chi "], # 瓻
          ["Sarake "], # 瓼
          ["Dang "], # 瓽
          ["Meng "], # 瓾
          ["Pou "] # 瓿
        ],
        [
          ["Zhui "], # 甀
          ["Ping "], # 甁
          ["Bian "], # 甂
          ["Zhou "], # 甃
          ["Zhen "], # 甄
          ["Senchigura "], # 甅
          ["Ci "], # 甆
          ["Ying "], # 甇
          ["Qi "], # 甈
          ["Xian "], # 甉
          ["Lou "], # 甊
          ["Di "], # 甋
          ["Ou "], # 甌
          ["Meng "], # 甍
          ["Zhuan "], # 甎
          ["Peng "], # 甏
          ["Lin "], # 甐
          ["Zeng "], # 甑
          ["Wu "], # 甒
          ["Pi "], # 甓
          ["Dan "], # 甔
          ["Weng "], # 甕
          ["Ying "], # 甖
          ["Yan "], # 甗
          ["Gan "], # 甘
          ["Dai "], # 甙
          ["Shen "], # 甚
          ["Tian "], # 甛
          ["Tian "], # 甜
          ["Han "], # 甝
          ["Chang "], # 甞
          ["Sheng "], # 生
          ["Qing "], # 甠
          ["Sheng "], # 甡
          ["Chan "], # 產
          ["Chan "], # 産
          ["Rui "], # 甤
          ["Sheng "], # 甥
          ["Su "], # 甦
          ["Sen "], # 甧
          ["Yong "], # 用
          ["Shuai "], # 甩
          ["Lu "], # 甪
          ["Fu "], # 甫
          ["Yong "], # 甬
          ["Beng "], # 甭
          ["Feng "], # 甮
          ["Ning "], # 甯
          ["Tian "], # 田
          ["You "], # 由
          ["Jia "], # 甲
          ["Shen "], # 申
          ["Zha "], # 甴
          ["Dian "], # 电
          ["Fu "], # 甶
          ["Nan "], # 男
          ["Dian "], # 甸
          ["Ping "], # 甹
          ["Ting "], # 町
          ["Hua "], # 画
          ["Ting "], # 甼
          ["Quan "], # 甽
          ["Zi "], # 甾
          ["Meng "], # 甿
          ["Bi "], # 畀
          ["Qi "], # 畁
          ["Liu "], # 畂
          ["Xun "], # 畃
          ["Liu "], # 畄
          ["Chang "], # 畅
          ["Mu "], # 畆
          ["Yun "], # 畇
          ["Fan "], # 畈
          ["Fu "], # 畉
          ["Geng "], # 畊
          ["Tian "], # 畋
          ["Jie "], # 界
          ["Jie "], # 畍
          ["Quan "], # 畎
          ["Wei "], # 畏
          ["Fu "], # 畐
          ["Tian "], # 畑
          ["Mu "], # 畒
          ["Tap "], # 畓
          ["Pan "], # 畔
          ["Jiang "], # 畕
          ["Wa "], # 畖
          ["Da "], # 畗
          ["Nan "], # 畘
          ["Liu "], # 留
          ["Ben "], # 畚
          ["Zhen "], # 畛
          ["Chu "], # 畜
          ["Mu "], # 畝
          ["Mu "], # 畞
          ["Ce "], # 畟
          ["Cen "], # 畠
          ["Gai "], # 畡
          ["Bi "], # 畢
          ["Da "], # 畣
          ["Zhi "], # 畤
          ["Lue "], # 略
          ["Qi "], # 畦
          ["Lue "], # 畧
          ["Pan "], # 畨
          ["Kesa "], # 畩
          ["Fan "], # 番
          ["Hua "], # 畫
          ["Yu "], # 畬
          ["Yu "], # 畭
          ["Mu "], # 畮
          ["Jun "], # 畯
          ["Yi "], # 異
          ["Liu "], # 畱
          ["Yu "], # 畲
          ["Die "], # 畳
          ["Chou "], # 畴
          ["Hua "], # 畵
          ["Dang "], # 當
          ["Chuo "], # 畷
          ["Ji "], # 畸
          ["Wan "], # 畹
          ["Jiang "], # 畺
          ["Sheng "], # 畻
          ["Chang "], # 畼
          ["Tuan "], # 畽
          ["Lei "], # 畾
          ["Ji "], # 畿
          ["Cha "], # 疀
          ["Liu "], # 疁
          ["Tatamu "], # 疂
          ["Tuan "], # 疃
          ["Lin "], # 疄
          ["Jiang "], # 疅
          ["Jiang "], # 疆
          ["Chou "], # 疇
          ["Bo "], # 疈
          ["Die "], # 疉
          ["Die "], # 疊
          ["Pi "], # 疋
          ["Nie "], # 疌
          ["Dan "], # 疍
          ["Shu "], # 疎
          ["Shu "], # 疏
          ["Zhi "], # 疐
          ["Yi "], # 疑
          ["Chuang "], # 疒
          ["Nai "], # 疓
          ["Ding "], # 疔
          ["Bi "], # 疕
          ["Jie "], # 疖
          ["Liao "], # 疗
          ["Gong "], # 疘
          ["Ge "], # 疙
          ["Jiu "], # 疚
          ["Zhou "], # 疛
          ["Xia "], # 疜
          ["Shan "], # 疝
          ["Xu "], # 疞
          ["Nue "], # 疟
          ["Li "], # 疠
          ["Yang "], # 疡
          ["Chen "], # 疢
          ["You "], # 疣
          ["Ba "], # 疤
          ["Jie "], # 疥
          ["Jue "], # 疦
          ["Zhi "], # 疧
          ["Xia "], # 疨
          ["Cui "], # 疩
          ["Bi "], # 疪
          ["Yi "], # 疫
          ["Li "], # 疬
          ["Zong "], # 疭
          ["Chuang "], # 疮
          ["Feng "], # 疯
          ["Zhu "], # 疰
          ["Pao "], # 疱
          ["Pi "], # 疲
          ["Gan "], # 疳
          ["Ke "], # 疴
          ["Ci "], # 疵
          ["Xie "], # 疶
          ["Qi "], # 疷
          ["Dan "], # 疸
          ["Zhen "], # 疹
          ["Fa "], # 疺
          ["Zhi "], # 疻
          ["Teng "], # 疼
          ["Ju "], # 疽
          ["Ji "], # 疾
          ["Fei "], # 疿
          ["Qu "], # 痀
          ["Dian "], # 痁
          ["Jia "], # 痂
          ["Xian "], # 痃
          ["Cha "], # 痄
          ["Bing "], # 病
          ["Ni "], # 痆
          ["Zheng "], # 症
          ["Yong "], # 痈
          ["Jing "], # 痉
          ["Quan "], # 痊
          ["Chong "], # 痋
          ["Tong "], # 痌
          ["Yi "], # 痍
          ["Kai "], # 痎
          ["Wei "], # 痏
          ["Hui "], # 痐
          ["Duo "], # 痑
          ["Yang "], # 痒
          ["Chi "], # 痓
          ["Zhi "], # 痔
          ["Hen "], # 痕
          ["Ya "], # 痖
          ["Mei "], # 痗
          ["Dou "], # 痘
          ["Jing "], # 痙
          ["Xiao "], # 痚
          ["Tong "], # 痛
          ["Tu "], # 痜
          ["Mang "], # 痝
          ["Pi "], # 痞
          ["Xiao "], # 痟
          ["Suan "], # 痠
          ["Pu "], # 痡
          ["Li "], # 痢
          ["Zhi "], # 痣
          ["Cuo "], # 痤
          ["Duo "], # 痥
          ["Wu "], # 痦
          ["Sha "], # 痧
          ["Lao "], # 痨
          ["Shou "], # 痩
          ["Huan "], # 痪
          ["Xian "], # 痫
          ["Yi "], # 痬
          ["Peng "], # 痭
          ["Zhang "], # 痮
          ["Guan "], # 痯
          ["Tan "], # 痰
          ["Fei "], # 痱
          ["Ma "], # 痲
          ["Lin "], # 痳
          ["Chi "], # 痴
          ["Ji "], # 痵
          ["Dian "], # 痶
          ["An "], # 痷
          ["Chi "], # 痸
          ["Bi "], # 痹
          ["Bei "], # 痺
          ["Min "], # 痻
          ["Gu "], # 痼
          ["Dui "], # 痽
          ["E "], # 痾
          ["Wei "] # 痿
        ],
        [
          ["Yu "], # 瘀
          ["Cui "], # 瘁
          ["Ya "], # 瘂
          ["Zhu "], # 瘃
          ["Cu "], # 瘄
          ["Dan "], # 瘅
          ["Shen "], # 瘆
          ["Zhung "], # 瘇
          ["Ji "], # 瘈
          ["Yu "], # 瘉
          ["Hou "], # 瘊
          ["Feng "], # 瘋
          ["La "], # 瘌
          ["Yang "], # 瘍
          ["Shen "], # 瘎
          ["Tu "], # 瘏
          ["Yu "], # 瘐
          ["Gua "], # 瘑
          ["Wen "], # 瘒
          ["Huan "], # 瘓
          ["Ku "], # 瘔
          ["Jia "], # 瘕
          ["Yin "], # 瘖
          ["Yi "], # 瘗
          ["Lu "], # 瘘
          ["Sao "], # 瘙
          ["Jue "], # 瘚
          ["Chi "], # 瘛
          ["Xi "], # 瘜
          ["Guan "], # 瘝
          ["Yi "], # 瘞
          ["Wen "], # 瘟
          ["Ji "], # 瘠
          ["Chuang "], # 瘡
          ["Ban "], # 瘢
          ["Lei "], # 瘣
          ["Liu "], # 瘤
          ["Chai "], # 瘥
          ["Shou "], # 瘦
          ["Nue "], # 瘧
          ["Dian "], # 瘨
          ["Da "], # 瘩
          ["Pie "], # 瘪
          ["Tan "], # 瘫
          ["Zhang "], # 瘬
          ["Biao "], # 瘭
          ["Shen "], # 瘮
          ["Cu "], # 瘯
          ["Luo "], # 瘰
          ["Yi "], # 瘱
          ["Zong "], # 瘲
          ["Chou "], # 瘳
          ["Zhang "], # 瘴
          ["Zhai "], # 瘵
          ["Sou "], # 瘶
          ["Suo "], # 瘷
          ["Que "], # 瘸
          ["Diao "], # 瘹
          ["Lou "], # 瘺
          ["Lu "], # 瘻
          ["Mo "], # 瘼
          ["Jin "], # 瘽
          ["Yin "], # 瘾
          ["Ying "], # 瘿
          ["Huang "], # 癀
          ["Fu "], # 癁
          ["Liao "], # 療
          ["Long "], # 癃
          ["Qiao "], # 癄
          ["Liu "], # 癅
          ["Lao "], # 癆
          ["Xian "], # 癇
          ["Fei "], # 癈
          ["Dan "], # 癉
          ["Yin "], # 癊
          ["He "], # 癋
          ["Yan "], # 癌
          ["Ban "], # 癍
          ["Xian "], # 癎
          ["Guan "], # 癏
          ["Guai "], # 癐
          ["Nong "], # 癑
          ["Yu "], # 癒
          ["Wei "], # 癓
          ["Yi "], # 癔
          ["Yong "], # 癕
          ["Pi "], # 癖
          ["Lei "], # 癗
          ["Li "], # 癘
          ["Shu "], # 癙
          ["Dan "], # 癚
          ["Lin "], # 癛
          ["Dian "], # 癜
          ["Lin "], # 癝
          ["Lai "], # 癞
          ["Pie "], # 癟
          ["Ji "], # 癠
          ["Chi "], # 癡
          ["Yang "], # 癢
          ["Xian "], # 癣
          ["Jie "], # 癤
          ["Zheng "], # 癥
          [" "], # 癦
          ["Li "], # 癧
          ["Huo "], # 癨
          ["Lai "], # 癩
          ["Shaku "], # 癪
          ["Dian "], # 癫
          ["Xian "], # 癬
          ["Ying "], # 癭
          ["Yin "], # 癮
          ["Qu "], # 癯
          ["Yong "], # 癰
          ["Tan "], # 癱
          ["Dian "], # 癲
          ["Luo "], # 癳
          ["Luan "], # 癴
          ["Luan "], # 癵
          ["Bo "], # 癶
          [" "], # 癷
          ["Gui "], # 癸
          ["Po "], # 癹
          ["Fa "], # 発
          ["Deng "], # 登
          ["Fa "], # 發
          ["Bai "], # 白
          ["Bai "], # 百
          ["Qie "], # 癿
          ["Bi "], # 皀
          ["Zao "], # 皁
          ["Zao "], # 皂
          ["Mao "], # 皃
          ["De "], # 的
          ["Pa "], # 皅
          ["Jie "], # 皆
          ["Huang "], # 皇
          ["Gui "], # 皈
          ["Ci "], # 皉
          ["Ling "], # 皊
          ["Gao "], # 皋
          ["Mo "], # 皌
          ["Ji "], # 皍
          ["Jiao "], # 皎
          ["Peng "], # 皏
          ["Gao "], # 皐
          ["Ai "], # 皑
          ["E "], # 皒
          ["Hao "], # 皓
          ["Han "], # 皔
          ["Bi "], # 皕
          ["Wan "], # 皖
          ["Chou "], # 皗
          ["Qian "], # 皘
          ["Xi "], # 皙
          ["Ai "], # 皚
          ["Jiong "], # 皛
          ["Hao "], # 皜
          ["Huang "], # 皝
          ["Hao "], # 皞
          ["Ze "], # 皟
          ["Cui "], # 皠
          ["Hao "], # 皡
          ["Xiao "], # 皢
          ["Ye "], # 皣
          ["Po "], # 皤
          ["Hao "], # 皥
          ["Jiao "], # 皦
          ["Ai "], # 皧
          ["Xing "], # 皨
          ["Huang "], # 皩
          ["Li "], # 皪
          ["Piao "], # 皫
          ["He "], # 皬
          ["Jiao "], # 皭
          ["Pi "], # 皮
          ["Gan "], # 皯
          ["Pao "], # 皰
          ["Zhou "], # 皱
          ["Jun "], # 皲
          ["Qiu "], # 皳
          ["Cun "], # 皴
          ["Que "], # 皵
          ["Zha "], # 皶
          ["Gu "], # 皷
          ["Jun "], # 皸
          ["Jun "], # 皹
          ["Zhou "], # 皺
          ["Zha "], # 皻
          ["Gu "], # 皼
          ["Zhan "], # 皽
          ["Du "], # 皾
          ["Min "], # 皿
          ["Qi "], # 盀
          ["Ying "], # 盁
          ["Yu "], # 盂
          ["Bei "], # 盃
          ["Zhao "], # 盄
          ["Zhong "], # 盅
          ["Pen "], # 盆
          ["He "], # 盇
          ["Ying "], # 盈
          ["He "], # 盉
          ["Yi "], # 益
          ["Bo "], # 盋
          ["Wan "], # 盌
          ["He "], # 盍
          ["Ang "], # 盎
          ["Zhan "], # 盏
          ["Yan "], # 盐
          ["Jian "], # 监
          ["He "], # 盒
          ["Yu "], # 盓
          ["Kui "], # 盔
          ["Fan "], # 盕
          ["Gai "], # 盖
          ["Dao "], # 盗
          ["Pan "], # 盘
          ["Fu "], # 盙
          ["Qiu "], # 盚
          ["Sheng "], # 盛
          ["Dao "], # 盜
          ["Lu "], # 盝
          ["Zhan "], # 盞
          ["Meng "], # 盟
          ["Li "], # 盠
          ["Jin "], # 盡
          ["Xu "], # 盢
          ["Jian "], # 監
          ["Pan "], # 盤
          ["Guan "], # 盥
          ["An "], # 盦
          ["Lu "], # 盧
          ["Shu "], # 盨
          ["Zhou "], # 盩
          ["Dang "], # 盪
          ["An "], # 盫
          ["Gu "], # 盬
          ["Li "], # 盭
          ["Mu "], # 目
          ["Cheng "], # 盯
          ["Gan "], # 盰
          ["Xu "], # 盱
          ["Mang "], # 盲
          ["Mang "], # 盳
          ["Zhi "], # 直
          ["Qi "], # 盵
          ["Ruan "], # 盶
          ["Tian "], # 盷
          ["Xiang "], # 相
          ["Dun "], # 盹
          ["Xin "], # 盺
          ["Xi "], # 盻
          ["Pan "], # 盼
          ["Feng "], # 盽
          ["Dun "], # 盾
          ["Min "] # 盿
        ],
        [
          ["Ming "], # 眀
          ["Sheng "], # 省
          ["Shi "], # 眂
          ["Yun "], # 眃
          ["Mian "], # 眄
          ["Pan "], # 眅
          ["Fang "], # 眆
          ["Miao "], # 眇
          ["Dan "], # 眈
          ["Mei "], # 眉
          ["Mao "], # 眊
          ["Kan "], # 看
          ["Xian "], # 県
          ["Ou "], # 眍
          ["Shi "], # 眎
          ["Yang "], # 眏
          ["Zheng "], # 眐
          ["Yao "], # 眑
          ["Shen "], # 眒
          ["Huo "], # 眓
          ["Da "], # 眔
          ["Zhen "], # 眕
          ["Kuang "], # 眖
          ["Ju "], # 眗
          ["Shen "], # 眘
          ["Chi "], # 眙
          ["Sheng "], # 眚
          ["Mei "], # 眛
          ["Mo "], # 眜
          ["Zhu "], # 眝
          ["Zhen "], # 眞
          ["Zhen "], # 真
          ["Mian "], # 眠
          ["Di "], # 眡
          ["Yuan "], # 眢
          ["Die "], # 眣
          ["Yi "], # 眤
          ["Zi "], # 眥
          ["Zi "], # 眦
          ["Chao "], # 眧
          ["Zha "], # 眨
          ["Xuan "], # 眩
          ["Bing "], # 眪
          ["Mi "], # 眫
          ["Long "], # 眬
          ["Sui "], # 眭
          ["Dong "], # 眮
          ["Mi "], # 眯
          ["Die "], # 眰
          ["Yi "], # 眱
          ["Er "], # 眲
          ["Ming "], # 眳
          ["Xuan "], # 眴
          ["Chi "], # 眵
          ["Kuang "], # 眶
          ["Juan "], # 眷
          ["Mou "], # 眸
          ["Zhen "], # 眹
          ["Tiao "], # 眺
          ["Yang "], # 眻
          ["Yan "], # 眼
          ["Mo "], # 眽
          ["Zhong "], # 眾
          ["Mai "], # 眿
          ["Zhao "], # 着
          ["Zheng "], # 睁
          ["Mei "], # 睂
          ["Jun "], # 睃
          ["Shao "], # 睄
          ["Han "], # 睅
          ["Huan "], # 睆
          ["Di "], # 睇
          ["Cheng "], # 睈
          ["Cuo "], # 睉
          ["Juan "], # 睊
          ["E "], # 睋
          ["Wan "], # 睌
          ["Xian "], # 睍
          ["Xi "], # 睎
          ["Kun "], # 睏
          ["Lai "], # 睐
          ["Jian "], # 睑
          ["Shan "], # 睒
          ["Tian "], # 睓
          ["Hun "], # 睔
          ["Wan "], # 睕
          ["Ling "], # 睖
          ["Shi "], # 睗
          ["Qiong "], # 睘
          ["Lie "], # 睙
          ["Yai "], # 睚
          ["Jing "], # 睛
          ["Zheng "], # 睜
          ["Li "], # 睝
          ["Lai "], # 睞
          ["Sui "], # 睟
          ["Juan "], # 睠
          ["Shui "], # 睡
          ["Sui "], # 睢
          ["Du "], # 督
          ["Bi "], # 睤
          ["Bi "], # 睥
          ["Mu "], # 睦
          ["Hun "], # 睧
          ["Ni "], # 睨
          ["Lu "], # 睩
          ["Yi "], # 睪
          ["Jie "], # 睫
          ["Cai "], # 睬
          ["Zhou "], # 睭
          ["Yu "], # 睮
          ["Hun "], # 睯
          ["Ma "], # 睰
          ["Xia "], # 睱
          ["Xing "], # 睲
          ["Xi "], # 睳
          ["Gun "], # 睴
          ["Cai "], # 睵
          ["Chun "], # 睶
          ["Jian "], # 睷
          ["Mei "], # 睸
          ["Du "], # 睹
          ["Hou "], # 睺
          ["Xuan "], # 睻
          ["Ti "], # 睼
          ["Kui "], # 睽
          ["Gao "], # 睾
          ["Rui "], # 睿
          ["Mou "], # 瞀
          ["Xu "], # 瞁
          ["Fa "], # 瞂
          ["Wen "], # 瞃
          ["Miao "], # 瞄
          ["Chou "], # 瞅
          ["Kui "], # 瞆
          ["Mi "], # 瞇
          ["Weng "], # 瞈
          ["Kou "], # 瞉
          ["Dang "], # 瞊
          ["Chen "], # 瞋
          ["Ke "], # 瞌
          ["Sou "], # 瞍
          ["Xia "], # 瞎
          ["Qiong "], # 瞏
          ["Mao "], # 瞐
          ["Ming "], # 瞑
          ["Man "], # 瞒
          ["Shui "], # 瞓
          ["Ze "], # 瞔
          ["Zhang "], # 瞕
          ["Yi "], # 瞖
          ["Diao "], # 瞗
          ["Ou "], # 瞘
          ["Mo "], # 瞙
          ["Shun "], # 瞚
          ["Cong "], # 瞛
          ["Lou "], # 瞜
          ["Chi "], # 瞝
          ["Man "], # 瞞
          ["Piao "], # 瞟
          ["Cheng "], # 瞠
          ["Ji "], # 瞡
          ["Meng "], # 瞢
          [" "], # 瞣
          ["Run "], # 瞤
          ["Pie "], # 瞥
          ["Xi "], # 瞦
          ["Qiao "], # 瞧
          ["Pu "], # 瞨
          ["Zhu "], # 瞩
          ["Deng "], # 瞪
          ["Shen "], # 瞫
          ["Shun "], # 瞬
          ["Liao "], # 瞭
          ["Che "], # 瞮
          ["Xian "], # 瞯
          ["Kan "], # 瞰
          ["Ye "], # 瞱
          ["Xu "], # 瞲
          ["Tong "], # 瞳
          ["Mou "], # 瞴
          ["Lin "], # 瞵
          ["Kui "], # 瞶
          ["Xian "], # 瞷
          ["Ye "], # 瞸
          ["Ai "], # 瞹
          ["Hui "], # 瞺
          ["Zhan "], # 瞻
          ["Jian "], # 瞼
          ["Gu "], # 瞽
          ["Zhao "], # 瞾
          ["Qu "], # 瞿
          ["Wei "], # 矀
          ["Chou "], # 矁
          ["Sao "], # 矂
          ["Ning "], # 矃
          ["Xun "], # 矄
          ["Yao "], # 矅
          ["Huo "], # 矆
          ["Meng "], # 矇
          ["Mian "], # 矈
          ["Bin "], # 矉
          ["Mian "], # 矊
          ["Li "], # 矋
          ["Kuang "], # 矌
          ["Jue "], # 矍
          ["Xuan "], # 矎
          ["Mian "], # 矏
          ["Huo "], # 矐
          ["Lu "], # 矑
          ["Meng "], # 矒
          ["Long "], # 矓
          ["Guan "], # 矔
          ["Man "], # 矕
          ["Xi "], # 矖
          ["Chu "], # 矗
          ["Tang "], # 矘
          ["Kan "], # 矙
          ["Zhu "], # 矚
          ["Mao "], # 矛
          ["Jin "], # 矜
          ["Lin "], # 矝
          ["Yu "], # 矞
          ["Shuo "], # 矟
          ["Ce "], # 矠
          ["Jue "], # 矡
          ["Shi "], # 矢
          ["Yi "], # 矣
          ["Shen "], # 矤
          ["Zhi "], # 知
          ["Hou "], # 矦
          ["Shen "], # 矧
          ["Ying "], # 矨
          ["Ju "], # 矩
          ["Zhou "], # 矪
          ["Jiao "], # 矫
          ["Cuo "], # 矬
          ["Duan "], # 短
          ["Ai "], # 矮
          ["Jiao "], # 矯
          ["Zeng "], # 矰
          ["Huo "], # 矱
          ["Bai "], # 矲
          ["Shi "], # 石
          ["Ding "], # 矴
          ["Qi "], # 矵
          ["Ji "], # 矶
          ["Zi "], # 矷
          ["Gan "], # 矸
          ["Wu "], # 矹
          ["Tuo "], # 矺
          ["Ku "], # 矻
          ["Qiang "], # 矼
          ["Xi "], # 矽
          ["Fan "], # 矾
          ["Kuang "] # 矿
        ],
        [
          ["Dang "], # 砀
          ["Ma "], # 码
          ["Sha "], # 砂
          ["Dan "], # 砃
          ["Jue "], # 砄
          ["Li "], # 砅
          ["Fu "], # 砆
          ["Min "], # 砇
          ["Nuo "], # 砈
          ["Huo "], # 砉
          ["Kang "], # 砊
          ["Zhi "], # 砋
          ["Qi "], # 砌
          ["Kan "], # 砍
          ["Jie "], # 砎
          ["Fen "], # 砏
          ["E "], # 砐
          ["Ya "], # 砑
          ["Pi "], # 砒
          ["Zhe "], # 砓
          ["Yan "], # 研
          ["Sui "], # 砕
          ["Zhuan "], # 砖
          ["Che "], # 砗
          ["Dun "], # 砘
          ["Pan "], # 砙
          ["Yan "], # 砚
          [" "], # 砛
          ["Feng "], # 砜
          ["Fa "], # 砝
          ["Mo "], # 砞
          ["Zha "], # 砟
          ["Qu "], # 砠
          ["Yu "], # 砡
          ["Luo "], # 砢
          ["Tuo "], # 砣
          ["Tuo "], # 砤
          ["Di "], # 砥
          ["Zhai "], # 砦
          ["Zhen "], # 砧
          ["Ai "], # 砨
          ["Fei "], # 砩
          ["Mu "], # 砪
          ["Zhu "], # 砫
          ["Li "], # 砬
          ["Bian "], # 砭
          ["Nu "], # 砮
          ["Ping "], # 砯
          ["Peng "], # 砰
          ["Ling "], # 砱
          ["Pao "], # 砲
          ["Le "], # 砳
          ["Po "], # 破
          ["Bo "], # 砵
          ["Po "], # 砶
          ["Shen "], # 砷
          ["Za "], # 砸
          ["Nuo "], # 砹
          ["Li "], # 砺
          ["Long "], # 砻
          ["Tong "], # 砼
          [" "], # 砽
          ["Li "], # 砾
          ["Aragane "], # 砿
          ["Chu "], # 础
          ["Keng "], # 硁
          ["Quan "], # 硂
          ["Zhu "], # 硃
          ["Kuang "], # 硄
          ["Huo "], # 硅
          ["E "], # 硆
          ["Nao "], # 硇
          ["Jia "], # 硈
          ["Lu "], # 硉
          ["Wei "], # 硊
          ["Ai "], # 硋
          ["Luo "], # 硌
          ["Ken "], # 硍
          ["Xing "], # 硎
          ["Yan "], # 硏
          ["Tong "], # 硐
          ["Peng "], # 硑
          ["Xi "], # 硒
          [" "], # 硓
          ["Hong "], # 硔
          ["Shuo "], # 硕
          ["Xia "], # 硖
          ["Qiao "], # 硗
          [" "], # 硘
          ["Wei "], # 硙
          ["Qiao "], # 硚
          [" "], # 硛
          ["Keng "], # 硜
          ["Xiao "], # 硝
          ["Que "], # 硞
          ["Chan "], # 硟
          ["Lang "], # 硠
          ["Hong "], # 硡
          ["Yu "], # 硢
          ["Xiao "], # 硣
          ["Xia "], # 硤
          ["Mang "], # 硥
          ["Long "], # 硦
          ["Iong "], # 硧
          ["Che "], # 硨
          ["Che "], # 硩
          ["E "], # 硪
          ["Liu "], # 硫
          ["Ying "], # 硬
          ["Mang "], # 硭
          ["Que "], # 确
          ["Yan "], # 硯
          ["Sha "], # 硰
          ["Kun "], # 硱
          ["Yu "], # 硲
          [" "], # 硳
          ["Kaki "], # 硴
          ["Lu "], # 硵
          ["Chen "], # 硶
          ["Jian "], # 硷
          ["Nue "], # 硸
          ["Song "], # 硹
          ["Zhuo "], # 硺
          ["Keng "], # 硻
          ["Peng "], # 硼
          ["Yan "], # 硽
          ["Zhui "], # 硾
          ["Kong "], # 硿
          ["Ceng "], # 碀
          ["Qi "], # 碁
          ["Zong "], # 碂
          ["Qing "], # 碃
          ["Lin "], # 碄
          ["Jun "], # 碅
          ["Bo "], # 碆
          ["Ding "], # 碇
          ["Min "], # 碈
          ["Diao "], # 碉
          ["Jian "], # 碊
          ["He "], # 碋
          ["Lu "], # 碌
          ["Ai "], # 碍
          ["Sui "], # 碎
          ["Que "], # 碏
          ["Ling "], # 碐
          ["Bei "], # 碑
          ["Yin "], # 碒
          ["Dui "], # 碓
          ["Wu "], # 碔
          ["Qi "], # 碕
          ["Lun "], # 碖
          ["Wan "], # 碗
          ["Dian "], # 碘
          ["Gang "], # 碙
          ["Pei "], # 碚
          ["Qi "], # 碛
          ["Chen "], # 碜
          ["Ruan "], # 碝
          ["Yan "], # 碞
          ["Die "], # 碟
          ["Ding "], # 碠
          ["Du "], # 碡
          ["Tuo "], # 碢
          ["Jie "], # 碣
          ["Ying "], # 碤
          ["Bian "], # 碥
          ["Ke "], # 碦
          ["Bi "], # 碧
          ["Wei "], # 碨
          ["Shuo "], # 碩
          ["Zhen "], # 碪
          ["Duan "], # 碫
          ["Xia "], # 碬
          ["Dang "], # 碭
          ["Ti "], # 碮
          ["Nao "], # 碯
          ["Peng "], # 碰
          ["Jian "], # 碱
          ["Di "], # 碲
          ["Tan "], # 碳
          ["Cha "], # 碴
          ["Seki "], # 碵
          ["Qi "], # 碶
          [" "], # 碷
          ["Feng "], # 碸
          ["Xuan "], # 碹
          ["Que "], # 確
          ["Que "], # 碻
          ["Ma "], # 碼
          ["Gong "], # 碽
          ["Nian "], # 碾
          ["Su "], # 碿
          ["E "], # 磀
          ["Ci "], # 磁
          ["Liu "], # 磂
          ["Si "], # 磃
          ["Tang "], # 磄
          ["Bang "], # 磅
          ["Hua "], # 磆
          ["Pi "], # 磇
          ["Wei "], # 磈
          ["Sang "], # 磉
          ["Lei "], # 磊
          ["Cuo "], # 磋
          ["Zhen "], # 磌
          ["Xia "], # 磍
          ["Qi "], # 磎
          ["Lian "], # 磏
          ["Pan "], # 磐
          ["Wei "], # 磑
          ["Yun "], # 磒
          ["Dui "], # 磓
          ["Zhe "], # 磔
          ["Ke "], # 磕
          ["La "], # 磖
          [" "], # 磗
          ["Qing "], # 磘
          ["Gun "], # 磙
          ["Zhuan "], # 磚
          ["Chan "], # 磛
          ["Qi "], # 磜
          ["Ao "], # 磝
          ["Peng "], # 磞
          ["Lu "], # 磟
          ["Lu "], # 磠
          ["Kan "], # 磡
          ["Qiang "], # 磢
          ["Chen "], # 磣
          ["Yin "], # 磤
          ["Lei "], # 磥
          ["Biao "], # 磦
          ["Qi "], # 磧
          ["Mo "], # 磨
          ["Qi "], # 磩
          ["Cui "], # 磪
          ["Zong "], # 磫
          ["Qing "], # 磬
          ["Chuo "], # 磭
          [" "], # 磮
          ["Ji "], # 磯
          ["Shan "], # 磰
          ["Lao "], # 磱
          ["Qu "], # 磲
          ["Zeng "], # 磳
          ["Deng "], # 磴
          ["Jian "], # 磵
          ["Xi "], # 磶
          ["Lin "], # 磷
          ["Ding "], # 磸
          ["Dian "], # 磹
          ["Huang "], # 磺
          ["Pan "], # 磻
          ["Za "], # 磼
          ["Qiao "], # 磽
          ["Di "], # 磾
          ["Li "] # 磿
        ],
        [
          ["Tani "], # 礀
          ["Jiao "], # 礁
          [" "], # 礂
          ["Zhang "], # 礃
          ["Qiao "], # 礄
          ["Dun "], # 礅
          ["Xian "], # 礆
          ["Yu "], # 礇
          ["Zhui "], # 礈
          ["He "], # 礉
          ["Huo "], # 礊
          ["Zhai "], # 礋
          ["Lei "], # 礌
          ["Ke "], # 礍
          ["Chu "], # 礎
          ["Ji "], # 礏
          ["Que "], # 礐
          ["Dang "], # 礑
          ["Yi "], # 礒
          ["Jiang "], # 礓
          ["Pi "], # 礔
          ["Pi "], # 礕
          ["Yu "], # 礖
          ["Pin "], # 礗
          ["Qi "], # 礘
          ["Ai "], # 礙
          ["Kai "], # 礚
          ["Jian "], # 礛
          ["Yu "], # 礜
          ["Ruan "], # 礝
          ["Meng "], # 礞
          ["Pao "], # 礟
          ["Ci "], # 礠
          [" "], # 礡
          [" "], # 礢
          ["Mie "], # 礣
          ["Ca "], # 礤
          ["Xian "], # 礥
          ["Kuang "], # 礦
          ["Lei "], # 礧
          ["Lei "], # 礨
          ["Zhi "], # 礩
          ["Li "], # 礪
          ["Li "], # 礫
          ["Fan "], # 礬
          ["Que "], # 礭
          ["Pao "], # 礮
          ["Ying "], # 礯
          ["Li "], # 礰
          ["Long "], # 礱
          ["Long "], # 礲
          ["Mo "], # 礳
          ["Bo "], # 礴
          ["Shuang "], # 礵
          ["Guan "], # 礶
          ["Lan "], # 礷
          ["Zan "], # 礸
          ["Yan "], # 礹
          ["Shi "], # 示
          ["Shi "], # 礻
          ["Li "], # 礼
          ["Reng "], # 礽
          ["She "], # 社
          ["Yue "], # 礿
          ["Si "], # 祀
          ["Qi "], # 祁
          ["Ta "], # 祂
          ["Ma "], # 祃
          ["Xie "], # 祄
          ["Xian "], # 祅
          ["Xian "], # 祆
          ["Zhi "], # 祇
          ["Qi "], # 祈
          ["Zhi "], # 祉
          ["Beng "], # 祊
          ["Dui "], # 祋
          ["Zhong "], # 祌
          [" "], # 祍
          ["Yi "], # 祎
          ["Shi "], # 祏
          ["You "], # 祐
          ["Zhi "], # 祑
          ["Tiao "], # 祒
          ["Fu "], # 祓
          ["Fu "], # 祔
          ["Mi "], # 祕
          ["Zu "], # 祖
          ["Zhi "], # 祗
          ["Suan "], # 祘
          ["Mei "], # 祙
          ["Zuo "], # 祚
          ["Qu "], # 祛
          ["Hu "], # 祜
          ["Zhu "], # 祝
          ["Shen "], # 神
          ["Sui "], # 祟
          ["Ci "], # 祠
          ["Chai "], # 祡
          ["Mi "], # 祢
          ["Lu "], # 祣
          ["Yu "], # 祤
          ["Xiang "], # 祥
          ["Wu "], # 祦
          ["Tiao "], # 祧
          ["Piao "], # 票
          ["Zhu "], # 祩
          ["Gui "], # 祪
          ["Xia "], # 祫
          ["Zhi "], # 祬
          ["Ji "], # 祭
          ["Gao "], # 祮
          ["Zhen "], # 祯
          ["Gao "], # 祰
          ["Shui "], # 祱
          ["Jin "], # 祲
          ["Chen "], # 祳
          ["Gai "], # 祴
          ["Kun "], # 祵
          ["Di "], # 祶
          ["Dao "], # 祷
          ["Huo "], # 祸
          ["Tao "], # 祹
          ["Qi "], # 祺
          ["Gu "], # 祻
          ["Guan "], # 祼
          ["Zui "], # 祽
          ["Ling "], # 祾
          ["Lu "], # 祿
          ["Bing "], # 禀
          ["Jin "], # 禁
          ["Dao "], # 禂
          ["Zhi "], # 禃
          ["Lu "], # 禄
          ["Shan "], # 禅
          ["Bei "], # 禆
          ["Zhe "], # 禇
          ["Hui "], # 禈
          ["You "], # 禉
          ["Xi "], # 禊
          ["Yin "], # 禋
          ["Zi "], # 禌
          ["Huo "], # 禍
          ["Zhen "], # 禎
          ["Fu "], # 福
          ["Yuan "], # 禐
          ["Wu "], # 禑
          ["Xian "], # 禒
          ["Yang "], # 禓
          ["Ti "], # 禔
          ["Yi "], # 禕
          ["Mei "], # 禖
          ["Si "], # 禗
          ["Di "], # 禘
          [" "], # 禙
          ["Zhuo "], # 禚
          ["Zhen "], # 禛
          ["Yong "], # 禜
          ["Ji "], # 禝
          ["Gao "], # 禞
          ["Tang "], # 禟
          ["Si "], # 禠
          ["Ma "], # 禡
          ["Ta "], # 禢
          [" "], # 禣
          ["Xuan "], # 禤
          ["Qi "], # 禥
          ["Yu "], # 禦
          ["Xi "], # 禧
          ["Ji "], # 禨
          ["Si "], # 禩
          ["Chan "], # 禪
          ["Tan "], # 禫
          ["Kuai "], # 禬
          ["Sui "], # 禭
          ["Li "], # 禮
          ["Nong "], # 禯
          ["Ni "], # 禰
          ["Dao "], # 禱
          ["Li "], # 禲
          ["Rang "], # 禳
          ["Yue "], # 禴
          ["Ti "], # 禵
          ["Zan "], # 禶
          ["Lei "], # 禷
          ["Rou "], # 禸
          ["Yu "], # 禹
          ["Yu "], # 禺
          ["Chi "], # 离
          ["Xie "], # 禼
          ["Qin "], # 禽
          ["He "], # 禾
          ["Tu "], # 禿
          ["Xiu "], # 秀
          ["Si "], # 私
          ["Ren "], # 秂
          ["Tu "], # 秃
          ["Zi "], # 秄
          ["Cha "], # 秅
          ["Gan "], # 秆
          ["Yi "], # 秇
          ["Xian "], # 秈
          ["Bing "], # 秉
          ["Nian "], # 秊
          ["Qiu "], # 秋
          ["Qiu "], # 秌
          ["Chong "], # 种
          ["Fen "], # 秎
          ["Hao "], # 秏
          ["Yun "], # 秐
          ["Ke "], # 科
          ["Miao "], # 秒
          ["Zhi "], # 秓
          ["Geng "], # 秔
          ["Bi "], # 秕
          ["Zhi "], # 秖
          ["Yu "], # 秗
          ["Mi "], # 秘
          ["Ku "], # 秙
          ["Ban "], # 秚
          ["Pi "], # 秛
          ["Ni "], # 秜
          ["Li "], # 秝
          ["You "], # 秞
          ["Zu "], # 租
          ["Pi "], # 秠
          ["Ba "], # 秡
          ["Ling "], # 秢
          ["Mo "], # 秣
          ["Cheng "], # 秤
          ["Nian "], # 秥
          ["Qin "], # 秦
          ["Yang "], # 秧
          ["Zuo "], # 秨
          ["Zhi "], # 秩
          ["Zhi "], # 秪
          ["Shu "], # 秫
          ["Ju "], # 秬
          ["Zi "], # 秭
          ["Huo "], # 秮
          ["Ji "], # 积
          ["Cheng "], # 称
          ["Tong "], # 秱
          ["Zhi "], # 秲
          ["Huo "], # 秳
          ["He "], # 秴
          ["Yin "], # 秵
          ["Zi "], # 秶
          ["Zhi "], # 秷
          ["Jie "], # 秸
          ["Ren "], # 秹
          ["Du "], # 秺
          ["Yi "], # 移
          ["Zhu "], # 秼
          ["Hui "], # 秽
          ["Nong "], # 秾
          ["Fu "] # 秿
        ],
        [
          ["Xi "], # 稀
          ["Kao "], # 稁
          ["Lang "], # 稂
          ["Fu "], # 稃
          ["Ze "], # 稄
          ["Shui "], # 稅
          ["Lu "], # 稆
          ["Kun "], # 稇
          ["Gan "], # 稈
          ["Geng "], # 稉
          ["Ti "], # 稊
          ["Cheng "], # 程
          ["Tu "], # 稌
          ["Shao "], # 稍
          ["Shui "], # 税
          ["Ya "], # 稏
          ["Lun "], # 稐
          ["Lu "], # 稑
          ["Gu "], # 稒
          ["Zuo "], # 稓
          ["Ren "], # 稔
          ["Zhun "], # 稕
          ["Bang "], # 稖
          ["Bai "], # 稗
          ["Ji "], # 稘
          ["Zhi "], # 稙
          ["Zhi "], # 稚
          ["Kun "], # 稛
          ["Leng "], # 稜
          ["Peng "], # 稝
          ["Ke "], # 稞
          ["Bing "], # 稟
          ["Chou "], # 稠
          ["Zu "], # 稡
          ["Yu "], # 稢
          ["Su "], # 稣
          ["Lue "], # 稤
          [" "], # 稥
          ["Yi "], # 稦
          ["Xi "], # 稧
          ["Bian "], # 稨
          ["Ji "], # 稩
          ["Fu "], # 稪
          ["Bi "], # 稫
          ["Nuo "], # 稬
          ["Jie "], # 稭
          ["Zhong "], # 種
          ["Zong "], # 稯
          ["Xu "], # 稰
          ["Cheng "], # 稱
          ["Dao "], # 稲
          ["Wen "], # 稳
          ["Lian "], # 稴
          ["Zi "], # 稵
          ["Yu "], # 稶
          ["Ji "], # 稷
          ["Xu "], # 稸
          ["Zhen "], # 稹
          ["Zhi "], # 稺
          ["Dao "], # 稻
          ["Jia "], # 稼
          ["Ji "], # 稽
          ["Gao "], # 稾
          ["Gao "], # 稿
          ["Gu "], # 穀
          ["Rong "], # 穁
          ["Sui "], # 穂
          ["You "], # 穃
          ["Ji "], # 穄
          ["Kang "], # 穅
          ["Mu "], # 穆
          ["Shan "], # 穇
          ["Men "], # 穈
          ["Zhi "], # 穉
          ["Ji "], # 穊
          ["Lu "], # 穋
          ["Su "], # 穌
          ["Ji "], # 積
          ["Ying "], # 穎
          ["Wen "], # 穏
          ["Qiu "], # 穐
          ["Se "], # 穑
          [" "], # 穒
          ["Yi "], # 穓
          ["Huang "], # 穔
          ["Qie "], # 穕
          ["Ji "], # 穖
          ["Sui "], # 穗
          ["Xiao "], # 穘
          ["Pu "], # 穙
          ["Jiao "], # 穚
          ["Zhuo "], # 穛
          ["Tong "], # 穜
          ["Sai "], # 穝
          ["Lu "], # 穞
          ["Sui "], # 穟
          ["Nong "], # 穠
          ["Se "], # 穡
          ["Hui "], # 穢
          ["Rang "], # 穣
          ["Nuo "], # 穤
          ["Yu "], # 穥
          ["Bin "], # 穦
          ["Ji "], # 穧
          ["Tui "], # 穨
          ["Wen "], # 穩
          ["Cheng "], # 穪
          ["Huo "], # 穫
          ["Gong "], # 穬
          ["Lu "], # 穭
          ["Biao "], # 穮
          [" "], # 穯
          ["Rang "], # 穰
          ["Zhuo "], # 穱
          ["Li "], # 穲
          ["Zan "], # 穳
          ["Xue "], # 穴
          ["Wa "], # 穵
          ["Jiu "], # 究
          ["Qiong "], # 穷
          ["Xi "], # 穸
          ["Qiong "], # 穹
          ["Kong "], # 空
          ["Yu "], # 穻
          ["Sen "], # 穼
          ["Jing "], # 穽
          ["Yao "], # 穾
          ["Chuan "], # 穿
          ["Zhun "], # 窀
          ["Tu "], # 突
          ["Lao "], # 窂
          ["Qie "], # 窃
          ["Zhai "], # 窄
          ["Yao "], # 窅
          ["Bian "], # 窆
          ["Bao "], # 窇
          ["Yao "], # 窈
          ["Bing "], # 窉
          ["Wa "], # 窊
          ["Zhu "], # 窋
          ["Jiao "], # 窌
          ["Qiao "], # 窍
          ["Diao "], # 窎
          ["Wu "], # 窏
          ["Gui "], # 窐
          ["Yao "], # 窑
          ["Zhi "], # 窒
          ["Chuang "], # 窓
          ["Yao "], # 窔
          ["Tiao "], # 窕
          ["Jiao "], # 窖
          ["Chuang "], # 窗
          ["Jiong "], # 窘
          ["Xiao "], # 窙
          ["Cheng "], # 窚
          ["Kou "], # 窛
          ["Cuan "], # 窜
          ["Wo "], # 窝
          ["Dan "], # 窞
          ["Ku "], # 窟
          ["Ke "], # 窠
          ["Zhui "], # 窡
          ["Xu "], # 窢
          ["Su "], # 窣
          ["Guan "], # 窤
          ["Kui "], # 窥
          ["Dou "], # 窦
          [" "], # 窧
          ["Yin "], # 窨
          ["Wo "], # 窩
          ["Wa "], # 窪
          ["Ya "], # 窫
          ["Yu "], # 窬
          ["Ju "], # 窭
          ["Qiong "], # 窮
          ["Yao "], # 窯
          ["Yao "], # 窰
          ["Tiao "], # 窱
          ["Chao "], # 窲
          ["Yu "], # 窳
          ["Tian "], # 窴
          ["Diao "], # 窵
          ["Ju "], # 窶
          ["Liao "], # 窷
          ["Xi "], # 窸
          ["Wu "], # 窹
          ["Kui "], # 窺
          ["Chuang "], # 窻
          ["Zhao "], # 窼
          [" "], # 窽
          ["Kuan "], # 窾
          ["Long "], # 窿
          ["Cheng "], # 竀
          ["Cui "], # 竁
          ["Piao "], # 竂
          ["Zao "], # 竃
          ["Cuan "], # 竄
          ["Qiao "], # 竅
          ["Qiong "], # 竆
          ["Dou "], # 竇
          ["Zao "], # 竈
          ["Long "], # 竉
          ["Qie "], # 竊
          ["Li "], # 立
          ["Chu "], # 竌
          ["Shi "], # 竍
          ["Fou "], # 竎
          ["Qian "], # 竏
          ["Chu "], # 竐
          ["Hong "], # 竑
          ["Qi "], # 竒
          ["Qian "], # 竓
          ["Gong "], # 竔
          ["Shi "], # 竕
          ["Shu "], # 竖
          ["Miao "], # 竗
          ["Ju "], # 竘
          ["Zhan "], # 站
          ["Zhu "], # 竚
          ["Ling "], # 竛
          ["Long "], # 竜
          ["Bing "], # 竝
          ["Jing "], # 竞
          ["Jing "], # 竟
          ["Zhang "], # 章
          ["Yi "], # 竡
          ["Si "], # 竢
          ["Jun "], # 竣
          ["Hong "], # 竤
          ["Tong "], # 童
          ["Song "], # 竦
          ["Jing "], # 竧
          ["Diao "], # 竨
          ["Yi "], # 竩
          ["Shu "], # 竪
          ["Jing "], # 竫
          ["Qu "], # 竬
          ["Jie "], # 竭
          ["Ping "], # 竮
          ["Duan "], # 端
          ["Shao "], # 竰
          ["Zhuan "], # 竱
          ["Ceng "], # 竲
          ["Deng "], # 竳
          ["Cui "], # 竴
          ["Huai "], # 竵
          ["Jing "], # 競
          ["Kan "], # 竷
          ["Jing "], # 竸
          ["Zhu "], # 竹
          ["Zhu "], # 竺
          ["Le "], # 竻
          ["Peng "], # 竼
          ["Yu "], # 竽
          ["Chi "], # 竾
          ["Gan "] # 竿
        ],
        [
          ["Mang "], # 笀
          ["Zhu "], # 笁
          ["Utsubo "], # 笂
          ["Du "], # 笃
          ["Ji "], # 笄
          ["Xiao "], # 笅
          ["Ba "], # 笆
          ["Suan "], # 笇
          ["Ji "], # 笈
          ["Zhen "], # 笉
          ["Zhao "], # 笊
          ["Sun "], # 笋
          ["Ya "], # 笌
          ["Zhui "], # 笍
          ["Yuan "], # 笎
          ["Hu "], # 笏
          ["Gang "], # 笐
          ["Xiao "], # 笑
          ["Cen "], # 笒
          ["Pi "], # 笓
          ["Bi "], # 笔
          ["Jian "], # 笕
          ["Yi "], # 笖
          ["Dong "], # 笗
          ["Shan "], # 笘
          ["Sheng "], # 笙
          ["Xia "], # 笚
          ["Di "], # 笛
          ["Zhu "], # 笜
          ["Na "], # 笝
          ["Chi "], # 笞
          ["Gu "], # 笟
          ["Li "], # 笠
          ["Qie "], # 笡
          ["Min "], # 笢
          ["Bao "], # 笣
          ["Tiao "], # 笤
          ["Si "], # 笥
          ["Fu "], # 符
          ["Ce "], # 笧
          ["Ben "], # 笨
          ["Pei "], # 笩
          ["Da "], # 笪
          ["Zi "], # 笫
          ["Di "], # 第
          ["Ling "], # 笭
          ["Ze "], # 笮
          ["Nu "], # 笯
          ["Fu "], # 笰
          ["Gou "], # 笱
          ["Fan "], # 笲
          ["Jia "], # 笳
          ["Ge "], # 笴
          ["Fan "], # 笵
          ["Shi "], # 笶
          ["Mao "], # 笷
          ["Po "], # 笸
          ["Sey "], # 笹
          ["Jian "], # 笺
          ["Qiong "], # 笻
          ["Long "], # 笼
          ["Souke "], # 笽
          ["Bian "], # 笾
          ["Luo "], # 笿
          ["Gui "], # 筀
          ["Qu "], # 筁
          ["Chi "], # 筂
          ["Yin "], # 筃
          ["Yao "], # 筄
          ["Xian "], # 筅
          ["Bi "], # 筆
          ["Qiong "], # 筇
          ["Gua "], # 筈
          ["Deng "], # 等
          ["Jiao "], # 筊
          ["Jin "], # 筋
          ["Quan "], # 筌
          ["Sun "], # 筍
          ["Ru "], # 筎
          ["Fa "], # 筏
          ["Kuang "], # 筐
          ["Zhu "], # 筑
          ["Tong "], # 筒
          ["Ji "], # 筓
          ["Da "], # 答
          ["Xing "], # 筕
          ["Ce "], # 策
          ["Zhong "], # 筗
          ["Kou "], # 筘
          ["Lai "], # 筙
          ["Bi "], # 筚
          ["Shai "], # 筛
          ["Dang "], # 筜
          ["Zheng "], # 筝
          ["Ce "], # 筞
          ["Fu "], # 筟
          ["Yun "], # 筠
          ["Tu "], # 筡
          ["Pa "], # 筢
          ["Li "], # 筣
          ["Lang "], # 筤
          ["Ju "], # 筥
          ["Guan "], # 筦
          ["Jian "], # 筧
          ["Han "], # 筨
          ["Tong "], # 筩
          ["Xia "], # 筪
          ["Zhi "], # 筫
          ["Cheng "], # 筬
          ["Suan "], # 筭
          ["Shi "], # 筮
          ["Zhu "], # 筯
          ["Zuo "], # 筰
          ["Xiao "], # 筱
          ["Shao "], # 筲
          ["Ting "], # 筳
          ["Ce "], # 筴
          ["Yan "], # 筵
          ["Gao "], # 筶
          ["Kuai "], # 筷
          ["Gan "], # 筸
          ["Chou "], # 筹
          ["Kago "], # 筺
          ["Gang "], # 筻
          ["Yun "], # 筼
          ["O "], # 筽
          ["Qian "], # 签
          ["Xiao "], # 筿
          ["Jian "], # 简
          ["Pu "], # 箁
          ["Lai "], # 箂
          ["Zou "], # 箃
          ["Bi "], # 箄
          ["Bi "], # 箅
          ["Bi "], # 箆
          ["Ge "], # 箇
          ["Chi "], # 箈
          ["Guai "], # 箉
          ["Yu "], # 箊
          ["Jian "], # 箋
          ["Zhao "], # 箌
          ["Gu "], # 箍
          ["Chi "], # 箎
          ["Zheng "], # 箏
          ["Jing "], # 箐
          ["Sha "], # 箑
          ["Zhou "], # 箒
          ["Lu "], # 箓
          ["Bo "], # 箔
          ["Ji "], # 箕
          ["Lin "], # 箖
          ["Suan "], # 算
          ["Jun "], # 箘
          ["Fu "], # 箙
          ["Zha "], # 箚
          ["Gu "], # 箛
          ["Kong "], # 箜
          ["Qian "], # 箝
          ["Quan "], # 箞
          ["Jun "], # 箟
          ["Chui "], # 箠
          ["Guan "], # 管
          ["Yuan "], # 箢
          ["Ce "], # 箣
          ["Ju "], # 箤
          ["Bo "], # 箥
          ["Ze "], # 箦
          ["Qie "], # 箧
          ["Tuo "], # 箨
          ["Luo "], # 箩
          ["Dan "], # 箪
          ["Xiao "], # 箫
          ["Ruo "], # 箬
          ["Jian "], # 箭
          ["Xuan "], # 箮
          ["Bian "], # 箯
          ["Sun "], # 箰
          ["Xiang "], # 箱
          ["Xian "], # 箲
          ["Ping "], # 箳
          ["Zhen "], # 箴
          ["Sheng "], # 箵
          ["Hu "], # 箶
          ["Shi "], # 箷
          ["Zhu "], # 箸
          ["Yue "], # 箹
          ["Chun "], # 箺
          ["Lu "], # 箻
          ["Wu "], # 箼
          ["Dong "], # 箽
          ["Xiao "], # 箾
          ["Ji "], # 箿
          ["Jie "], # 節
          ["Huang "], # 篁
          ["Xing "], # 篂
          ["Mei "], # 篃
          ["Fan "], # 範
          ["Chui "], # 篅
          ["Zhuan "], # 篆
          ["Pian "], # 篇
          ["Feng "], # 篈
          ["Zhu "], # 築
          ["Hong "], # 篊
          ["Qie "], # 篋
          ["Hou "], # 篌
          ["Qiu "], # 篍
          ["Miao "], # 篎
          ["Qian "], # 篏
          [" "], # 篐
          ["Kui "], # 篑
          ["Sik "], # 篒
          ["Lou "], # 篓
          ["Yun "], # 篔
          ["He "], # 篕
          ["Tang "], # 篖
          ["Yue "], # 篗
          ["Chou "], # 篘
          ["Gao "], # 篙
          ["Fei "], # 篚
          ["Ruo "], # 篛
          ["Zheng "], # 篜
          ["Gou "], # 篝
          ["Nie "], # 篞
          ["Qian "], # 篟
          ["Xiao "], # 篠
          ["Cuan "], # 篡
          ["Gong "], # 篢
          ["Pang "], # 篣
          ["Du "], # 篤
          ["Li "], # 篥
          ["Bi "], # 篦
          ["Zhuo "], # 篧
          ["Chu "], # 篨
          ["Shai "], # 篩
          ["Chi "], # 篪
          ["Zhu "], # 篫
          ["Qiang "], # 篬
          ["Long "], # 篭
          ["Lan "], # 篮
          ["Jian "], # 篯
          ["Bu "], # 篰
          ["Li "], # 篱
          ["Hui "], # 篲
          ["Bi "], # 篳
          ["Di "], # 篴
          ["Cong "], # 篵
          ["Yan "], # 篶
          ["Peng "], # 篷
          ["Sen "], # 篸
          ["Zhuan "], # 篹
          ["Pai "], # 篺
          ["Piao "], # 篻
          ["Dou "], # 篼
          ["Yu "], # 篽
          ["Mie "], # 篾
          ["Zhuan "] # 篿
        ],
        [
          ["Ze "], # 簀
          ["Xi "], # 簁
          ["Guo "], # 簂
          ["Yi "], # 簃
          ["Hu "], # 簄
          ["Chan "], # 簅
          ["Kou "], # 簆
          ["Cu "], # 簇
          ["Ping "], # 簈
          ["Chou "], # 簉
          ["Ji "], # 簊
          ["Gui "], # 簋
          ["Su "], # 簌
          ["Lou "], # 簍
          ["Zha "], # 簎
          ["Lu "], # 簏
          ["Nian "], # 簐
          ["Suo "], # 簑
          ["Cuan "], # 簒
          ["Sasara "], # 簓
          ["Suo "], # 簔
          ["Le "], # 簕
          ["Duan "], # 簖
          ["Yana "], # 簗
          ["Xiao "], # 簘
          ["Bo "], # 簙
          ["Mi "], # 簚
          ["Si "], # 簛
          ["Dang "], # 簜
          ["Liao "], # 簝
          ["Dan "], # 簞
          ["Dian "], # 簟
          ["Fu "], # 簠
          ["Jian "], # 簡
          ["Min "], # 簢
          ["Kui "], # 簣
          ["Dai "], # 簤
          ["Qiao "], # 簥
          ["Deng "], # 簦
          ["Huang "], # 簧
          ["Sun "], # 簨
          ["Lao "], # 簩
          ["Zan "], # 簪
          ["Xiao "], # 簫
          ["Du "], # 簬
          ["Shi "], # 簭
          ["Zan "], # 簮
          [" "], # 簯
          ["Pai "], # 簰
          ["Hata "], # 簱
          ["Pai "], # 簲
          ["Gan "], # 簳
          ["Ju "], # 簴
          ["Du "], # 簵
          ["Lu "], # 簶
          ["Yan "], # 簷
          ["Bo "], # 簸
          ["Dang "], # 簹
          ["Sai "], # 簺
          ["Ke "], # 簻
          ["Long "], # 簼
          ["Qian "], # 簽
          ["Lian "], # 簾
          ["Bo "], # 簿
          ["Zhou "], # 籀
          ["Lai "], # 籁
          [" "], # 籂
          ["Lan "], # 籃
          ["Kui "], # 籄
          ["Yu "], # 籅
          ["Yue "], # 籆
          ["Hao "], # 籇
          ["Zhen "], # 籈
          ["Tai "], # 籉
          ["Ti "], # 籊
          ["Mi "], # 籋
          ["Chou "], # 籌
          ["Ji "], # 籍
          [" "], # 籎
          ["Hata "], # 籏
          ["Teng "], # 籐
          ["Zhuan "], # 籑
          ["Zhou "], # 籒
          ["Fan "], # 籓
          ["Sou "], # 籔
          ["Zhou "], # 籕
          ["Kuji "], # 籖
          ["Zhuo "], # 籗
          ["Teng "], # 籘
          ["Lu "], # 籙
          ["Lu "], # 籚
          ["Jian "], # 籛
          ["Tuo "], # 籜
          ["Ying "], # 籝
          ["Yu "], # 籞
          ["Lai "], # 籟
          ["Long "], # 籠
          ["Shinshi "], # 籡
          ["Lian "], # 籢
          ["Lan "], # 籣
          ["Qian "], # 籤
          ["Yue "], # 籥
          ["Zhong "], # 籦
          ["Qu "], # 籧
          ["Lian "], # 籨
          ["Bian "], # 籩
          ["Duan "], # 籪
          ["Zuan "], # 籫
          ["Li "], # 籬
          ["Si "], # 籭
          ["Luo "], # 籮
          ["Ying "], # 籯
          ["Yue "], # 籰
          ["Zhuo "], # 籱
          ["Xu "], # 籲
          ["Mi "], # 米
          ["Di "], # 籴
          ["Fan "], # 籵
          ["Shen "], # 籶
          ["Zhe "], # 籷
          ["Shen "], # 籸
          ["Nu "], # 籹
          ["Xie "], # 籺
          ["Lei "], # 类
          ["Xian "], # 籼
          ["Zi "], # 籽
          ["Ni "], # 籾
          ["Cun "], # 籿
          [" "], # 粀
          ["Qian "], # 粁
          ["Kume "], # 粂
          ["Bi "], # 粃
          ["Ban "], # 粄
          ["Wu "], # 粅
          ["Sha "], # 粆
          ["Kang "], # 粇
          ["Rou "], # 粈
          ["Fen "], # 粉
          ["Bi "], # 粊
          ["Cui "], # 粋
          [" "], # 粌
          ["Li "], # 粍
          ["Chi "], # 粎
          ["Nukamiso "], # 粏
          ["Ro "], # 粐
          ["Ba "], # 粑
          ["Li "], # 粒
          ["Gan "], # 粓
          ["Ju "], # 粔
          ["Po "], # 粕
          ["Mo "], # 粖
          ["Cu "], # 粗
          ["Nian "], # 粘
          ["Zhou "], # 粙
          ["Li "], # 粚
          ["Su "], # 粛
          ["Tiao "], # 粜
          ["Li "], # 粝
          ["Qi "], # 粞
          ["Su "], # 粟
          ["Hong "], # 粠
          ["Tong "], # 粡
          ["Zi "], # 粢
          ["Ce "], # 粣
          ["Yue "], # 粤
          ["Zhou "], # 粥
          ["Lin "], # 粦
          ["Zhuang "], # 粧
          ["Bai "], # 粨
          [" "], # 粩
          ["Fen "], # 粪
          ["Ji "], # 粫
          [" "], # 粬
          ["Sukumo "], # 粭
          ["Liang "], # 粮
          ["Xian "], # 粯
          ["Fu "], # 粰
          ["Liang "], # 粱
          ["Can "], # 粲
          ["Geng "], # 粳
          ["Li "], # 粴
          ["Yue "], # 粵
          ["Lu "], # 粶
          ["Ju "], # 粷
          ["Qi "], # 粸
          ["Cui "], # 粹
          ["Bai "], # 粺
          ["Zhang "], # 粻
          ["Lin "], # 粼
          ["Zong "], # 粽
          ["Jing "], # 精
          ["Guo "], # 粿
          ["Kouji "], # 糀
          ["San "], # 糁
          ["San "], # 糂
          ["Tang "], # 糃
          ["Bian "], # 糄
          ["Rou "], # 糅
          ["Mian "], # 糆
          ["Hou "], # 糇
          ["Xu "], # 糈
          ["Zong "], # 糉
          ["Hu "], # 糊
          ["Jian "], # 糋
          ["Zan "], # 糌
          ["Ci "], # 糍
          ["Li "], # 糎
          ["Xie "], # 糏
          ["Fu "], # 糐
          ["Ni "], # 糑
          ["Bei "], # 糒
          ["Gu "], # 糓
          ["Xiu "], # 糔
          ["Gao "], # 糕
          ["Tang "], # 糖
          ["Qiu "], # 糗
          ["Sukumo "], # 糘
          ["Cao "], # 糙
          ["Zhuang "], # 糚
          ["Tang "], # 糛
          ["Mi "], # 糜
          ["San "], # 糝
          ["Fen "], # 糞
          ["Zao "], # 糟
          ["Kang "], # 糠
          ["Jiang "], # 糡
          ["Mo "], # 糢
          ["San "], # 糣
          ["San "], # 糤
          ["Nuo "], # 糥
          ["Xi "], # 糦
          ["Liang "], # 糧
          ["Jiang "], # 糨
          ["Kuai "], # 糩
          ["Bo "], # 糪
          ["Huan "], # 糫
          [" "], # 糬
          ["Zong "], # 糭
          ["Xian "], # 糮
          ["Nuo "], # 糯
          ["Tuan "], # 糰
          ["Nie "], # 糱
          ["Li "], # 糲
          ["Zuo "], # 糳
          ["Di "], # 糴
          ["Nie "], # 糵
          ["Tiao "], # 糶
          ["Lan "], # 糷
          ["Mi "], # 糸
          ["Jiao "], # 糹
          ["Jiu "], # 糺
          ["Xi "], # 系
          ["Gong "], # 糼
          ["Zheng "], # 糽
          ["Jiu "], # 糾
          ["You "] # 糿
        ],
        [
          ["Ji "], # 紀
          ["Cha "], # 紁
          ["Zhou "], # 紂
          ["Xun "], # 紃
          ["Yue "], # 約
          ["Hong "], # 紅
          ["Yu "], # 紆
          ["He "], # 紇
          ["Wan "], # 紈
          ["Ren "], # 紉
          ["Wen "], # 紊
          ["Wen "], # 紋
          ["Qiu "], # 紌
          ["Na "], # 納
          ["Zi "], # 紎
          ["Tou "], # 紏
          ["Niu "], # 紐
          ["Fou "], # 紑
          ["Jie "], # 紒
          ["Shu "], # 紓
          ["Chun "], # 純
          ["Pi "], # 紕
          ["Yin "], # 紖
          ["Sha "], # 紗
          ["Hong "], # 紘
          ["Zhi "], # 紙
          ["Ji "], # 級
          ["Fen "], # 紛
          ["Yun "], # 紜
          ["Ren "], # 紝
          ["Dan "], # 紞
          ["Jin "], # 紟
          ["Su "], # 素
          ["Fang "], # 紡
          ["Suo "], # 索
          ["Cui "], # 紣
          ["Jiu "], # 紤
          ["Zha "], # 紥
          ["Kinu "], # 紦
          ["Jin "], # 紧
          ["Fu "], # 紨
          ["Zhi "], # 紩
          ["Ci "], # 紪
          ["Zi "], # 紫
          ["Chou "], # 紬
          ["Hong "], # 紭
          ["Zha "], # 紮
          ["Lei "], # 累
          ["Xi "], # 細
          ["Fu "], # 紱
          ["Xie "], # 紲
          ["Shen "], # 紳
          ["Bei "], # 紴
          ["Zhu "], # 紵
          ["Qu "], # 紶
          ["Ling "], # 紷
          ["Zhu "], # 紸
          ["Shao "], # 紹
          ["Gan "], # 紺
          ["Yang "], # 紻
          ["Fu "], # 紼
          ["Tuo "], # 紽
          ["Zhen "], # 紾
          ["Dai "], # 紿
          ["Zhuo "], # 絀
          ["Shi "], # 絁
          ["Zhong "], # 終
          ["Xian "], # 絃
          ["Zu "], # 組
          ["Jiong "], # 絅
          ["Ban "], # 絆
          ["Ju "], # 絇
          ["Mo "], # 絈
          ["Shu "], # 絉
          ["Zui "], # 絊
          ["Wata "], # 絋
          ["Jing "], # 経
          ["Ren "], # 絍
          ["Heng "], # 絎
          ["Xie "], # 絏
          ["Jie "], # 結
          ["Zhu "], # 絑
          ["Chou "], # 絒
          ["Gua "], # 絓
          ["Bai "], # 絔
          ["Jue "], # 絕
          ["Kuang "], # 絖
          ["Hu "], # 絗
          ["Ci "], # 絘
          ["Geng "], # 絙
          ["Geng "], # 絚
          ["Tao "], # 絛
          ["Xie "], # 絜
          ["Ku "], # 絝
          ["Jiao "], # 絞
          ["Quan "], # 絟
          ["Gai "], # 絠
          ["Luo "], # 絡
          ["Xuan "], # 絢
          ["Bing "], # 絣
          ["Xian "], # 絤
          ["Fu "], # 絥
          ["Gei "], # 給
          ["Tong "], # 絧
          ["Rong "], # 絨
          ["Tiao "], # 絩
          ["Yin "], # 絪
          ["Lei "], # 絫
          ["Xie "], # 絬
          ["Quan "], # 絭
          ["Xu "], # 絮
          ["Lun "], # 絯
          ["Die "], # 絰
          ["Tong "], # 統
          ["Si "], # 絲
          ["Jiang "], # 絳
          ["Xiang "], # 絴
          ["Hui "], # 絵
          ["Jue "], # 絶
          ["Zhi "], # 絷
          ["Jian "], # 絸
          ["Juan "], # 絹
          ["Chi "], # 絺
          ["Mian "], # 絻
          ["Zhen "], # 絼
          ["Lu "], # 絽
          ["Cheng "], # 絾
          ["Qiu "], # 絿
          ["Shu "], # 綀
          ["Bang "], # 綁
          ["Tong "], # 綂
          ["Xiao "], # 綃
          ["Wan "], # 綄
          ["Qin "], # 綅
          ["Geng "], # 綆
          ["Xiu "], # 綇
          ["Ti "], # 綈
          ["Xiu "], # 綉
          ["Xie "], # 綊
          ["Hong "], # 綋
          ["Xi "], # 綌
          ["Fu "], # 綍
          ["Ting "], # 綎
          ["Sui "], # 綏
          ["Dui "], # 綐
          ["Kun "], # 綑
          ["Fu "], # 綒
          ["Jing "], # 經
          ["Hu "], # 綔
          ["Zhi "], # 綕
          ["Yan "], # 綖
          ["Jiong "], # 綗
          ["Feng "], # 綘
          ["Ji "], # 継
          ["Sok "], # 続
          ["Kase "], # 綛
          ["Zong "], # 綜
          ["Lin "], # 綝
          ["Duo "], # 綞
          ["Li "], # 綟
          ["Lu "], # 綠
          ["Liang "], # 綡
          ["Chou "], # 綢
          ["Quan "], # 綣
          ["Shao "], # 綤
          ["Qi "], # 綥
          ["Qi "], # 綦
          ["Zhun "], # 綧
          ["Qi "], # 綨
          ["Wan "], # 綩
          ["Qian "], # 綪
          ["Xian "], # 綫
          ["Shou "], # 綬
          ["Wei "], # 維
          ["Qi "], # 綮
          ["Tao "], # 綯
          ["Wan "], # 綰
          ["Gang "], # 綱
          ["Wang "], # 網
          ["Beng "], # 綳
          ["Zhui "], # 綴
          ["Cai "], # 綵
          ["Guo "], # 綶
          ["Cui "], # 綷
          ["Lun "], # 綸
          ["Liu "], # 綹
          ["Qi "], # 綺
          ["Zhan "], # 綻
          ["Bei "], # 綼
          ["Chuo "], # 綽
          ["Ling "], # 綾
          ["Mian "], # 綿
          ["Qi "], # 緀
          ["Qie "], # 緁
          ["Tan "], # 緂
          ["Zong "], # 緃
          ["Gun "], # 緄
          ["Zou "], # 緅
          ["Yi "], # 緆
          ["Zi "], # 緇
          ["Xing "], # 緈
          ["Liang "], # 緉
          ["Jin "], # 緊
          ["Fei "], # 緋
          ["Rui "], # 緌
          ["Min "], # 緍
          ["Yu "], # 緎
          ["Zong "], # 総
          ["Fan "], # 緐
          ["Lu "], # 緑
          ["Xu "], # 緒
          ["Yingl "], # 緓
          ["Zhang "], # 緔
          ["Kasuri "], # 緕
          ["Xu "], # 緖
          ["Xiang "], # 緗
          ["Jian "], # 緘
          ["Ke "], # 緙
          ["Xian "], # 線
          ["Ruan "], # 緛
          ["Mian "], # 緜
          ["Qi "], # 緝
          ["Duan "], # 緞
          ["Zhong "], # 緟
          ["Di "], # 締
          ["Min "], # 緡
          ["Miao "], # 緢
          ["Yuan "], # 緣
          ["Xie "], # 緤
          ["Bao "], # 緥
          ["Si "], # 緦
          ["Qiu "], # 緧
          ["Bian "], # 編
          ["Huan "], # 緩
          ["Geng "], # 緪
          ["Cong "], # 緫
          ["Mian "], # 緬
          ["Wei "], # 緭
          ["Fu "], # 緮
          ["Wei "], # 緯
          ["Yu "], # 緰
          ["Gou "], # 緱
          ["Miao "], # 緲
          ["Xie "], # 緳
          ["Lian "], # 練
          ["Zong "], # 緵
          ["Bian "], # 緶
          ["Yun "], # 緷
          ["Yin "], # 緸
          ["Ti "], # 緹
          ["Gua "], # 緺
          ["Zhi "], # 緻
          ["Yun "], # 緼
          ["Cheng "], # 緽
          ["Chan "], # 緾
          ["Dai "] # 緿
        ],
        [
          ["Xia "], # 縀
          ["Yuan "], # 縁
          ["Zong "], # 縂
          ["Xu "], # 縃
          ["Nawa "], # 縄
          ["Odoshi "], # 縅
          ["Geng "], # 縆
          ["Sen "], # 縇
          ["Ying "], # 縈
          ["Jin "], # 縉
          ["Yi "], # 縊
          ["Zhui "], # 縋
          ["Ni "], # 縌
          ["Bang "], # 縍
          ["Gu "], # 縎
          ["Pan "], # 縏
          ["Zhou "], # 縐
          ["Jian "], # 縑
          ["Cuo "], # 縒
          ["Quan "], # 縓
          ["Shuang "], # 縔
          ["Yun "], # 縕
          ["Xia "], # 縖
          ["Shuai "], # 縗
          ["Xi "], # 縘
          ["Rong "], # 縙
          ["Tao "], # 縚
          ["Fu "], # 縛
          ["Yun "], # 縜
          ["Zhen "], # 縝
          ["Gao "], # 縞
          ["Ru "], # 縟
          ["Hu "], # 縠
          ["Zai "], # 縡
          ["Teng "], # 縢
          ["Xian "], # 縣
          ["Su "], # 縤
          ["Zhen "], # 縥
          ["Zong "], # 縦
          ["Tao "], # 縧
          ["Horo "], # 縨
          ["Cai "], # 縩
          ["Bi "], # 縪
          ["Feng "], # 縫
          ["Cu "], # 縬
          ["Li "], # 縭
          ["Suo "], # 縮
          ["Yin "], # 縯
          ["Xi "], # 縰
          ["Zong "], # 縱
          ["Lei "], # 縲
          ["Zhuan "], # 縳
          ["Qian "], # 縴
          ["Man "], # 縵
          ["Zhi "], # 縶
          ["Lu "], # 縷
          ["Mo "], # 縸
          ["Piao "], # 縹
          ["Lian "], # 縺
          ["Mi "], # 縻
          ["Xuan "], # 縼
          ["Zong "], # 總
          ["Ji "], # 績
          ["Shan "], # 縿
          ["Sui "], # 繀
          ["Fan "], # 繁
          ["Shuai "], # 繂
          ["Beng "], # 繃
          ["Yi "], # 繄
          ["Sao "], # 繅
          ["Mou "], # 繆
          ["Zhou "], # 繇
          ["Qiang "], # 繈
          ["Hun "], # 繉
          ["Sem "], # 繊
          ["Xi "], # 繋
          ["Jung "], # 繌
          ["Xiu "], # 繍
          ["Ran "], # 繎
          ["Xuan "], # 繏
          ["Hui "], # 繐
          ["Qiao "], # 繑
          ["Zeng "], # 繒
          ["Zuo "], # 繓
          ["Zhi "], # 織
          ["Shan "], # 繕
          ["San "], # 繖
          ["Lin "], # 繗
          ["Yu "], # 繘
          ["Fan "], # 繙
          ["Liao "], # 繚
          ["Chuo "], # 繛
          ["Zun "], # 繜
          ["Jian "], # 繝
          ["Rao "], # 繞
          ["Chan "], # 繟
          ["Rui "], # 繠
          ["Xiu "], # 繡
          ["Hui "], # 繢
          ["Hua "], # 繣
          ["Zuan "], # 繤
          ["Xi "], # 繥
          ["Qiang "], # 繦
          ["Un "], # 繧
          ["Da "], # 繨
          ["Sheng "], # 繩
          ["Hui "], # 繪
          ["Xi "], # 繫
          ["Se "], # 繬
          ["Jian "], # 繭
          ["Jiang "], # 繮
          ["Huan "], # 繯
          ["Zao "], # 繰
          ["Cong "], # 繱
          ["Jie "], # 繲
          ["Jiao "], # 繳
          ["Bo "], # 繴
          ["Chan "], # 繵
          ["Yi "], # 繶
          ["Nao "], # 繷
          ["Sui "], # 繸
          ["Yi "], # 繹
          ["Shai "], # 繺
          ["Xu "], # 繻
          ["Ji "], # 繼
          ["Bin "], # 繽
          ["Qian "], # 繾
          ["Lan "], # 繿
          ["Pu "], # 纀
          ["Xun "], # 纁
          ["Zuan "], # 纂
          ["Qi "], # 纃
          ["Peng "], # 纄
          ["Li "], # 纅
          ["Mo "], # 纆
          ["Lei "], # 纇
          ["Xie "], # 纈
          ["Zuan "], # 纉
          ["Kuang "], # 纊
          ["You "], # 纋
          ["Xu "], # 續
          ["Lei "], # 纍
          ["Xian "], # 纎
          ["Chan "], # 纏
          ["Kou "], # 纐
          ["Lu "], # 纑
          ["Chan "], # 纒
          ["Ying "], # 纓
          ["Cai "], # 纔
          ["Xiang "], # 纕
          ["Xian "], # 纖
          ["Zui "], # 纗
          ["Zuan "], # 纘
          ["Luo "], # 纙
          ["Xi "], # 纚
          ["Dao "], # 纛
          ["Lan "], # 纜
          ["Lei "], # 纝
          ["Lian "], # 纞
          ["Si "], # 纟
          ["Jiu "], # 纠
          ["Yu "], # 纡
          ["Hong "], # 红
          ["Zhou "], # 纣
          ["Xian "], # 纤
          ["He "], # 纥
          ["Yue "], # 约
          ["Ji "], # 级
          ["Wan "], # 纨
          ["Kuang "], # 纩
          ["Ji "], # 纪
          ["Ren "], # 纫
          ["Wei "], # 纬
          ["Yun "], # 纭
          ["Hong "], # 纮
          ["Chun "], # 纯
          ["Pi "], # 纰
          ["Sha "], # 纱
          ["Gang "], # 纲
          ["Na "], # 纳
          ["Ren "], # 纴
          ["Zong "], # 纵
          ["Lun "], # 纶
          ["Fen "], # 纷
          ["Zhi "], # 纸
          ["Wen "], # 纹
          ["Fang "], # 纺
          ["Zhu "], # 纻
          ["Yin "], # 纼
          ["Niu "], # 纽
          ["Shu "], # 纾
          ["Xian "], # 线
          ["Gan "], # 绀
          ["Xie "], # 绁
          ["Fu "], # 绂
          ["Lian "], # 练
          ["Zu "], # 组
          ["Shen "], # 绅
          ["Xi "], # 细
          ["Zhi "], # 织
          ["Zhong "], # 终
          ["Zhou "], # 绉
          ["Ban "], # 绊
          ["Fu "], # 绋
          ["Zhuo "], # 绌
          ["Shao "], # 绍
          ["Yi "], # 绎
          ["Jing "], # 经
          ["Dai "], # 绐
          ["Bang "], # 绑
          ["Rong "], # 绒
          ["Jie "], # 结
          ["Ku "], # 绔
          ["Rao "], # 绕
          ["Die "], # 绖
          ["Heng "], # 绗
          ["Hui "], # 绘
          ["Gei "], # 给
          ["Xuan "], # 绚
          ["Jiang "], # 绛
          ["Luo "], # 络
          ["Jue "], # 绝
          ["Jiao "], # 绞
          ["Tong "], # 统
          ["Geng "], # 绠
          ["Xiao "], # 绡
          ["Juan "], # 绢
          ["Xiu "], # 绣
          ["Xi "], # 绤
          ["Sui "], # 绥
          ["Tao "], # 绦
          ["Ji "], # 继
          ["Ti "], # 绨
          ["Ji "], # 绩
          ["Xu "], # 绪
          ["Ling "], # 绫
          [" "], # 绬
          ["Xu "], # 续
          ["Qi "], # 绮
          ["Fei "], # 绯
          ["Chuo "], # 绰
          ["Zhang "], # 绱
          ["Gun "], # 绲
          ["Sheng "], # 绳
          ["Wei "], # 维
          ["Mian "], # 绵
          ["Shou "], # 绶
          ["Beng "], # 绷
          ["Chou "], # 绸
          ["Tao "], # 绹
          ["Liu "], # 绺
          ["Quan "], # 绻
          ["Zong "], # 综
          ["Zhan "], # 绽
          ["Wan "], # 绾
          ["Lu "] # 绿
        ],
        [
          ["Zhui "], # 缀
          ["Zi "], # 缁
          ["Ke "], # 缂
          ["Xiang "], # 缃
          ["Jian "], # 缄
          ["Mian "], # 缅
          ["Lan "], # 缆
          ["Ti "], # 缇
          ["Miao "], # 缈
          ["Qi "], # 缉
          ["Yun "], # 缊
          ["Hui "], # 缋
          ["Si "], # 缌
          ["Duo "], # 缍
          ["Duan "], # 缎
          ["Bian "], # 缏
          ["Xian "], # 缐
          ["Gou "], # 缑
          ["Zhui "], # 缒
          ["Huan "], # 缓
          ["Di "], # 缔
          ["Lu "], # 缕
          ["Bian "], # 编
          ["Min "], # 缗
          ["Yuan "], # 缘
          ["Jin "], # 缙
          ["Fu "], # 缚
          ["Ru "], # 缛
          ["Zhen "], # 缜
          ["Feng "], # 缝
          ["Shuai "], # 缞
          ["Gao "], # 缟
          ["Chan "], # 缠
          ["Li "], # 缡
          ["Yi "], # 缢
          ["Jian "], # 缣
          ["Bin "], # 缤
          ["Piao "], # 缥
          ["Man "], # 缦
          ["Lei "], # 缧
          ["Ying "], # 缨
          ["Suo "], # 缩
          ["Mou "], # 缪
          ["Sao "], # 缫
          ["Xie "], # 缬
          ["Liao "], # 缭
          ["Shan "], # 缮
          ["Zeng "], # 缯
          ["Jiang "], # 缰
          ["Qian "], # 缱
          ["Zao "], # 缲
          ["Huan "], # 缳
          ["Jiao "], # 缴
          ["Zuan "], # 缵
          ["Fou "], # 缶
          ["Xie "], # 缷
          ["Gang "], # 缸
          ["Fou "], # 缹
          ["Que "], # 缺
          ["Fou "], # 缻
          ["Kaakeru "], # 缼
          ["Bo "], # 缽
          ["Ping "], # 缾
          ["Hou "], # 缿
          [" "], # 罀
          ["Gang "], # 罁
          ["Ying "], # 罂
          ["Ying "], # 罃
          ["Qing "], # 罄
          ["Xia "], # 罅
          ["Guan "], # 罆
          ["Zun "], # 罇
          ["Tan "], # 罈
          ["Chang "], # 罉
          ["Qi "], # 罊
          ["Weng "], # 罋
          ["Ying "], # 罌
          ["Lei "], # 罍
          ["Tan "], # 罎
          ["Lu "], # 罏
          ["Guan "], # 罐
          ["Wang "], # 网
          ["Wang "], # 罒
          ["Gang "], # 罓
          ["Wang "], # 罔
          ["Han "], # 罕
          [" "], # 罖
          ["Luo "], # 罗
          ["Fu "], # 罘
          ["Mi "], # 罙
          ["Fa "], # 罚
          ["Gu "], # 罛
          ["Zhu "], # 罜
          ["Ju "], # 罝
          ["Mao "], # 罞
          ["Gu "], # 罟
          ["Min "], # 罠
          ["Gang "], # 罡
          ["Ba "], # 罢
          ["Gua "], # 罣
          ["Ti "], # 罤
          ["Juan "], # 罥
          ["Fu "], # 罦
          ["Lin "], # 罧
          ["Yan "], # 罨
          ["Zhao "], # 罩
          ["Zui "], # 罪
          ["Gua "], # 罫
          ["Zhuo "], # 罬
          ["Yu "], # 罭
          ["Zhi "], # 置
          ["An "], # 罯
          ["Fa "], # 罰
          ["Nan "], # 罱
          ["Shu "], # 署
          ["Si "], # 罳
          ["Pi "], # 罴
          ["Ma "], # 罵
          ["Liu "], # 罶
          ["Ba "], # 罷
          ["Fa "], # 罸
          ["Li "], # 罹
          ["Chao "], # 罺
          ["Wei "], # 罻
          ["Bi "], # 罼
          ["Ji "], # 罽
          ["Zeng "], # 罾
          ["Tong "], # 罿
          ["Liu "], # 羀
          ["Ji "], # 羁
          ["Juan "], # 羂
          ["Mi "], # 羃
          ["Zhao "], # 羄
          ["Luo "], # 羅
          ["Pi "], # 羆
          ["Ji "], # 羇
          ["Ji "], # 羈
          ["Luan "], # 羉
          ["Yang "], # 羊
          ["Mie "], # 羋
          ["Qiang "], # 羌
          ["Ta "], # 羍
          ["Mei "], # 美
          ["Yang "], # 羏
          ["You "], # 羐
          ["You "], # 羑
          ["Fen "], # 羒
          ["Ba "], # 羓
          ["Gao "], # 羔
          ["Yang "], # 羕
          ["Gu "], # 羖
          ["Qiang "], # 羗
          ["Zang "], # 羘
          ["Gao "], # 羙
          ["Ling "], # 羚
          ["Yi "], # 羛
          ["Zhu "], # 羜
          ["Di "], # 羝
          ["Xiu "], # 羞
          ["Qian "], # 羟
          ["Yi "], # 羠
          ["Xian "], # 羡
          ["Rong "], # 羢
          ["Qun "], # 羣
          ["Qun "], # 群
          ["Qian "], # 羥
          ["Huan "], # 羦
          ["Zui "], # 羧
          ["Xian "], # 羨
          ["Yi "], # 義
          ["Yashinau "], # 羪
          ["Qiang "], # 羫
          ["Xian "], # 羬
          ["Yu "], # 羭
          ["Geng "], # 羮
          ["Jie "], # 羯
          ["Tang "], # 羰
          ["Yuan "], # 羱
          ["Xi "], # 羲
          ["Fan "], # 羳
          ["Shan "], # 羴
          ["Fen "], # 羵
          ["Shan "], # 羶
          ["Lian "], # 羷
          ["Lei "], # 羸
          ["Geng "], # 羹
          ["Nou "], # 羺
          ["Qiang "], # 羻
          ["Chan "], # 羼
          ["Yu "], # 羽
          ["Gong "], # 羾
          ["Yi "], # 羿
          ["Chong "], # 翀
          ["Weng "], # 翁
          ["Fen "], # 翂
          ["Hong "], # 翃
          ["Chi "], # 翄
          ["Chi "], # 翅
          ["Cui "], # 翆
          ["Fu "], # 翇
          ["Xia "], # 翈
          ["Pen "], # 翉
          ["Yi "], # 翊
          ["La "], # 翋
          ["Yi "], # 翌
          ["Pi "], # 翍
          ["Ling "], # 翎
          ["Liu "], # 翏
          ["Zhi "], # 翐
          ["Qu "], # 翑
          ["Xi "], # 習
          ["Xie "], # 翓
          ["Xiang "], # 翔
          ["Xi "], # 翕
          ["Xi "], # 翖
          ["Qi "], # 翗
          ["Qiao "], # 翘
          ["Hui "], # 翙
          ["Hui "], # 翚
          ["Xiao "], # 翛
          ["Se "], # 翜
          ["Hong "], # 翝
          ["Jiang "], # 翞
          ["Di "], # 翟
          ["Cui "], # 翠
          ["Fei "], # 翡
          ["Tao "], # 翢
          ["Sha "], # 翣
          ["Chi "], # 翤
          ["Zhu "], # 翥
          ["Jian "], # 翦
          ["Xuan "], # 翧
          ["Shi "], # 翨
          ["Pian "], # 翩
          ["Zong "], # 翪
          ["Wan "], # 翫
          ["Hui "], # 翬
          ["Hou "], # 翭
          ["He "], # 翮
          ["He "], # 翯
          ["Han "], # 翰
          ["Ao "], # 翱
          ["Piao "], # 翲
          ["Yi "], # 翳
          ["Lian "], # 翴
          ["Qu "], # 翵
          [" "], # 翶
          ["Lin "], # 翷
          ["Pen "], # 翸
          ["Qiao "], # 翹
          ["Ao "], # 翺
          ["Fan "], # 翻
          ["Yi "], # 翼
          ["Hui "], # 翽
          ["Xuan "], # 翾
          ["Dao "] # 翿
        ],
        [
          ["Yao "], # 耀
          ["Lao "], # 老
          [" "], # 耂
          ["Kao "], # 考
          ["Mao "], # 耄
          ["Zhe "], # 者
          ["Qi "], # 耆
          ["Gou "], # 耇
          ["Gou "], # 耈
          ["Gou "], # 耉
          ["Die "], # 耊
          ["Die "], # 耋
          ["Er "], # 而
          ["Shua "], # 耍
          ["Ruan "], # 耎
          ["Er "], # 耏
          ["Nai "], # 耐
          ["Zhuan "], # 耑
          ["Lei "], # 耒
          ["Ting "], # 耓
          ["Zi "], # 耔
          ["Geng "], # 耕
          ["Chao "], # 耖
          ["Hao "], # 耗
          ["Yun "], # 耘
          ["Pa "], # 耙
          ["Pi "], # 耚
          ["Chi "], # 耛
          ["Si "], # 耜
          ["Chu "], # 耝
          ["Jia "], # 耞
          ["Ju "], # 耟
          ["He "], # 耠
          ["Chu "], # 耡
          ["Lao "], # 耢
          ["Lun "], # 耣
          ["Ji "], # 耤
          ["Tang "], # 耥
          ["Ou "], # 耦
          ["Lou "], # 耧
          ["Nou "], # 耨
          ["Gou "], # 耩
          ["Pang "], # 耪
          ["Ze "], # 耫
          ["Lou "], # 耬
          ["Ji "], # 耭
          ["Lao "], # 耮
          ["Huo "], # 耯
          ["You "], # 耰
          ["Mo "], # 耱
          ["Huai "], # 耲
          ["Er "], # 耳
          ["Zhe "], # 耴
          ["Ting "], # 耵
          ["Ye "], # 耶
          ["Da "], # 耷
          ["Song "], # 耸
          ["Qin "], # 耹
          ["Yun "], # 耺
          ["Chi "], # 耻
          ["Dan "], # 耼
          ["Dan "], # 耽
          ["Hong "], # 耾
          ["Geng "], # 耿
          ["Zhi "], # 聀
          [" "], # 聁
          ["Nie "], # 聂
          ["Dan "], # 聃
          ["Zhen "], # 聄
          ["Che "], # 聅
          ["Ling "], # 聆
          ["Zheng "], # 聇
          ["You "], # 聈
          ["Wa "], # 聉
          ["Liao "], # 聊
          ["Long "], # 聋
          ["Zhi "], # 职
          ["Ning "], # 聍
          ["Tiao "], # 聎
          ["Er "], # 聏
          ["Ya "], # 聐
          ["Die "], # 聑
          ["Gua "], # 聒
          [" "], # 聓
          ["Lian "], # 联
          ["Hao "], # 聕
          ["Sheng "], # 聖
          ["Lie "], # 聗
          ["Pin "], # 聘
          ["Jing "], # 聙
          ["Ju "], # 聚
          ["Bi "], # 聛
          ["Di "], # 聜
          ["Guo "], # 聝
          ["Wen "], # 聞
          ["Xu "], # 聟
          ["Ping "], # 聠
          ["Cong "], # 聡
          ["Shikato "], # 聢
          [" "], # 聣
          ["Ting "], # 聤
          ["Yu "], # 聥
          ["Cong "], # 聦
          ["Kui "], # 聧
          ["Tsuraneru "], # 聨
          ["Kui "], # 聩
          ["Cong "], # 聪
          ["Lian "], # 聫
          ["Weng "], # 聬
          ["Kui "], # 聭
          ["Lian "], # 聮
          ["Lian "], # 聯
          ["Cong "], # 聰
          ["Ao "], # 聱
          ["Sheng "], # 聲
          ["Song "], # 聳
          ["Ting "], # 聴
          ["Kui "], # 聵
          ["Nie "], # 聶
          ["Zhi "], # 職
          ["Dan "], # 聸
          ["Ning "], # 聹
          ["Qie "], # 聺
          ["Ji "], # 聻
          ["Ting "], # 聼
          ["Ting "], # 聽
          ["Long "], # 聾
          ["Yu "], # 聿
          ["Yu "], # 肀
          ["Zhao "], # 肁
          ["Si "], # 肂
          ["Su "], # 肃
          ["Yi "], # 肄
          ["Su "], # 肅
          ["Si "], # 肆
          ["Zhao "], # 肇
          ["Zhao "], # 肈
          ["Rou "], # 肉
          ["Yi "], # 肊
          ["Le "], # 肋
          ["Ji "], # 肌
          ["Qiu "], # 肍
          ["Ken "], # 肎
          ["Cao "], # 肏
          ["Ge "], # 肐
          ["Di "], # 肑
          ["Huan "], # 肒
          ["Huang "], # 肓
          ["Yi "], # 肔
          ["Ren "], # 肕
          ["Xiao "], # 肖
          ["Ru "], # 肗
          ["Zhou "], # 肘
          ["Yuan "], # 肙
          ["Du "], # 肚
          ["Gang "], # 肛
          ["Rong "], # 肜
          ["Gan "], # 肝
          ["Cha "], # 肞
          ["Wo "], # 肟
          ["Chang "], # 肠
          ["Gu "], # 股
          ["Zhi "], # 肢
          ["Han "], # 肣
          ["Fu "], # 肤
          ["Fei "], # 肥
          ["Fen "], # 肦
          ["Pei "], # 肧
          ["Pang "], # 肨
          ["Jian "], # 肩
          ["Fang "], # 肪
          ["Zhun "], # 肫
          ["You "], # 肬
          ["Na "], # 肭
          ["Hang "], # 肮
          ["Ken "], # 肯
          ["Ran "], # 肰
          ["Gong "], # 肱
          ["Yu "], # 育
          ["Wen "], # 肳
          ["Yao "], # 肴
          ["Jin "], # 肵
          ["Pi "], # 肶
          ["Qian "], # 肷
          ["Xi "], # 肸
          ["Xi "], # 肹
          ["Fei "], # 肺
          ["Ken "], # 肻
          ["Jing "], # 肼
          ["Tai "], # 肽
          ["Shen "], # 肾
          ["Zhong "], # 肿
          ["Zhang "], # 胀
          ["Xie "], # 胁
          ["Shen "], # 胂
          ["Wei "], # 胃
          ["Zhou "], # 胄
          ["Die "], # 胅
          ["Dan "], # 胆
          ["Fei "], # 胇
          ["Ba "], # 胈
          ["Bo "], # 胉
          ["Qu "], # 胊
          ["Tian "], # 胋
          ["Bei "], # 背
          ["Gua "], # 胍
          ["Tai "], # 胎
          ["Zi "], # 胏
          ["Ku "], # 胐
          ["Zhi "], # 胑
          ["Ni "], # 胒
          ["Ping "], # 胓
          ["Zi "], # 胔
          ["Fu "], # 胕
          ["Pang "], # 胖
          ["Zhen "], # 胗
          ["Xian "], # 胘
          ["Zuo "], # 胙
          ["Pei "], # 胚
          ["Jia "], # 胛
          ["Sheng "], # 胜
          ["Zhi "], # 胝
          ["Bao "], # 胞
          ["Mu "], # 胟
          ["Qu "], # 胠
          ["Hu "], # 胡
          ["Ke "], # 胢
          ["Yi "], # 胣
          ["Yin "], # 胤
          ["Xu "], # 胥
          ["Yang "], # 胦
          ["Long "], # 胧
          ["Dong "], # 胨
          ["Ka "], # 胩
          ["Lu "], # 胪
          ["Jing "], # 胫
          ["Nu "], # 胬
          ["Yan "], # 胭
          ["Pang "], # 胮
          ["Kua "], # 胯
          ["Yi "], # 胰
          ["Guang "], # 胱
          ["Gai "], # 胲
          ["Ge "], # 胳
          ["Dong "], # 胴
          ["Zhi "], # 胵
          ["Xiao "], # 胶
          ["Xiong "], # 胷
          ["Xiong "], # 胸
          ["Er "], # 胹
          ["E "], # 胺
          ["Xing "], # 胻
          ["Pian "], # 胼
          ["Neng "], # 能
          ["Zi "], # 胾
          ["Gui "] # 胿
        ],
        [
          ["Cheng "], # 脀
          ["Tiao "], # 脁
          ["Zhi "], # 脂
          ["Cui "], # 脃
          ["Mei "], # 脄
          ["Xie "], # 脅
          ["Cui "], # 脆
          ["Xie "], # 脇
          ["Mo "], # 脈
          ["Mai "], # 脉
          ["Ji "], # 脊
          ["Obiyaakasu "], # 脋
          [" "], # 脌
          ["Kuai "], # 脍
          ["Sa "], # 脎
          ["Zang "], # 脏
          ["Qi "], # 脐
          ["Nao "], # 脑
          ["Mi "], # 脒
          ["Nong "], # 脓
          ["Luan "], # 脔
          ["Wan "], # 脕
          ["Bo "], # 脖
          ["Wen "], # 脗
          ["Guan "], # 脘
          ["Qiu "], # 脙
          ["Jiao "], # 脚
          ["Jing "], # 脛
          ["Rou "], # 脜
          ["Heng "], # 脝
          ["Cuo "], # 脞
          ["Lie "], # 脟
          ["Shan "], # 脠
          ["Ting "], # 脡
          ["Mei "], # 脢
          ["Chun "], # 脣
          ["Shen "], # 脤
          ["Xie "], # 脥
          ["De "], # 脦
          ["Zui "], # 脧
          ["Cu "], # 脨
          ["Xiu "], # 脩
          ["Xin "], # 脪
          ["Tuo "], # 脫
          ["Pao "], # 脬
          ["Cheng "], # 脭
          ["Nei "], # 脮
          ["Fu "], # 脯
          ["Dou "], # 脰
          ["Tuo "], # 脱
          ["Niao "], # 脲
          ["Noy "], # 脳
          ["Pi "], # 脴
          ["Gu "], # 脵
          ["Gua "], # 脶
          ["Li "], # 脷
          ["Lian "], # 脸
          ["Zhang "], # 脹
          ["Cui "], # 脺
          ["Jie "], # 脻
          ["Liang "], # 脼
          ["Zhou "], # 脽
          ["Pi "], # 脾
          ["Biao "], # 脿
          ["Lun "], # 腀
          ["Pian "], # 腁
          ["Guo "], # 腂
          ["Kui "], # 腃
          ["Chui "], # 腄
          ["Dan "], # 腅
          ["Tian "], # 腆
          ["Nei "], # 腇
          ["Jing "], # 腈
          ["Jie "], # 腉
          ["La "], # 腊
          ["Yi "], # 腋
          ["An "], # 腌
          ["Ren "], # 腍
          ["Shen "], # 腎
          ["Chuo "], # 腏
          ["Fu "], # 腐
          ["Fu "], # 腑
          ["Ju "], # 腒
          ["Fei "], # 腓
          ["Qiang "], # 腔
          ["Wan "], # 腕
          ["Dong "], # 腖
          ["Pi "], # 腗
          ["Guo "], # 腘
          ["Zong "], # 腙
          ["Ding "], # 腚
          ["Wu "], # 腛
          ["Mei "], # 腜
          ["Ruan "], # 腝
          ["Zhuan "], # 腞
          ["Zhi "], # 腟
          ["Cou "], # 腠
          ["Gua "], # 腡
          ["Ou "], # 腢
          ["Di "], # 腣
          ["An "], # 腤
          ["Xing "], # 腥
          ["Nao "], # 腦
          ["Yu "], # 腧
          ["Chuan "], # 腨
          ["Nan "], # 腩
          ["Yun "], # 腪
          ["Zhong "], # 腫
          ["Rou "], # 腬
          ["E "], # 腭
          ["Sai "], # 腮
          ["Tu "], # 腯
          ["Yao "], # 腰
          ["Jian "], # 腱
          ["Wei "], # 腲
          ["Jiao "], # 腳
          ["Yu "], # 腴
          ["Jia "], # 腵
          ["Duan "], # 腶
          ["Bi "], # 腷
          ["Chang "], # 腸
          ["Fu "], # 腹
          ["Xian "], # 腺
          ["Ni "], # 腻
          ["Mian "], # 腼
          ["Wa "], # 腽
          ["Teng "], # 腾
          ["Tui "], # 腿
          ["Bang "], # 膀
          ["Qian "], # 膁
          ["Lu "], # 膂
          ["Wa "], # 膃
          ["Sou "], # 膄
          ["Tang "], # 膅
          ["Su "], # 膆
          ["Zhui "], # 膇
          ["Ge "], # 膈
          ["Yi "], # 膉
          ["Bo "], # 膊
          ["Liao "], # 膋
          ["Ji "], # 膌
          ["Pi "], # 膍
          ["Xie "], # 膎
          ["Gao "], # 膏
          ["Lu "], # 膐
          ["Bin "], # 膑
          ["Ou "], # 膒
          ["Chang "], # 膓
          ["Lu "], # 膔
          ["Guo "], # 膕
          ["Pang "], # 膖
          ["Chuai "], # 膗
          ["Piao "], # 膘
          ["Jiang "], # 膙
          ["Fu "], # 膚
          ["Tang "], # 膛
          ["Mo "], # 膜
          ["Xi "], # 膝
          ["Zhuan "], # 膞
          ["Lu "], # 膟
          ["Jiao "], # 膠
          ["Ying "], # 膡
          ["Lu "], # 膢
          ["Zhi "], # 膣
          ["Tara "], # 膤
          ["Chun "], # 膥
          ["Lian "], # 膦
          ["Tong "], # 膧
          ["Peng "], # 膨
          ["Ni "], # 膩
          ["Zha "], # 膪
          ["Liao "], # 膫
          ["Cui "], # 膬
          ["Gui "], # 膭
          ["Xiao "], # 膮
          ["Teng "], # 膯
          ["Fan "], # 膰
          ["Zhi "], # 膱
          ["Jiao "], # 膲
          ["Shan "], # 膳
          ["Wu "], # 膴
          ["Cui "], # 膵
          ["Run "], # 膶
          ["Xiang "], # 膷
          ["Sui "], # 膸
          ["Fen "], # 膹
          ["Ying "], # 膺
          ["Tan "], # 膻
          ["Zhua "], # 膼
          ["Dan "], # 膽
          ["Kuai "], # 膾
          ["Nong "], # 膿
          ["Tun "], # 臀
          ["Lian "], # 臁
          ["Bi "], # 臂
          ["Yong "], # 臃
          ["Jue "], # 臄
          ["Chu "], # 臅
          ["Yi "], # 臆
          ["Juan "], # 臇
          ["La "], # 臈
          ["Lian "], # 臉
          ["Sao "], # 臊
          ["Tun "], # 臋
          ["Gu "], # 臌
          ["Qi "], # 臍
          ["Cui "], # 臎
          ["Bin "], # 臏
          ["Xun "], # 臐
          ["Ru "], # 臑
          ["Huo "], # 臒
          ["Zang "], # 臓
          ["Xian "], # 臔
          ["Biao "], # 臕
          ["Xing "], # 臖
          ["Kuan "], # 臗
          ["La "], # 臘
          ["Yan "], # 臙
          ["Lu "], # 臚
          ["Huo "], # 臛
          ["Zang "], # 臜
          ["Luo "], # 臝
          ["Qu "], # 臞
          ["Zang "], # 臟
          ["Luan "], # 臠
          ["Ni "], # 臡
          ["Zang "], # 臢
          ["Chen "], # 臣
          ["Qian "], # 臤
          ["Wo "], # 臥
          ["Guang "], # 臦
          ["Zang "], # 臧
          ["Lin "], # 臨
          ["Guang "], # 臩
          ["Zi "], # 自
          ["Jiao "], # 臫
          ["Nie "], # 臬
          ["Chou "], # 臭
          ["Ji "], # 臮
          ["Gao "], # 臯
          ["Chou "], # 臰
          ["Mian "], # 臱
          ["Nie "], # 臲
          ["Zhi "], # 至
          ["Zhi "], # 致
          ["Ge "], # 臵
          ["Jian "], # 臶
          ["Die "], # 臷
          ["Zhi "], # 臸
          ["Xiu "], # 臹
          ["Tai "], # 臺
          ["Zhen "], # 臻
          ["Jiu "], # 臼
          ["Xian "], # 臽
          ["Yu "], # 臾
          ["Cha "] # 臿
        ],
        [
          ["Yao "], # 舀
          ["Yu "], # 舁
          ["Chong "], # 舂
          ["Xi "], # 舃
          ["Xi "], # 舄
          ["Jiu "], # 舅
          ["Yu "], # 舆
          ["Yu "], # 與
          ["Xing "], # 興
          ["Ju "], # 舉
          ["Jiu "], # 舊
          ["Xin "], # 舋
          ["She "], # 舌
          ["She "], # 舍
          ["Yadoru "], # 舎
          ["Jiu "], # 舏
          ["Shi "], # 舐
          ["Tan "], # 舑
          ["Shu "], # 舒
          ["Shi "], # 舓
          ["Tian "], # 舔
          ["Dan "], # 舕
          ["Pu "], # 舖
          ["Pu "], # 舗
          ["Guan "], # 舘
          ["Hua "], # 舙
          ["Tan "], # 舚
          ["Chuan "], # 舛
          ["Shun "], # 舜
          ["Xia "], # 舝
          ["Wu "], # 舞
          ["Zhou "], # 舟
          ["Dao "], # 舠
          ["Gang "], # 舡
          ["Shan "], # 舢
          ["Yi "], # 舣
          [" "], # 舤
          ["Pa "], # 舥
          ["Tai "], # 舦
          ["Fan "], # 舧
          ["Ban "], # 舨
          ["Chuan "], # 舩
          ["Hang "], # 航
          ["Fang "], # 舫
          ["Ban "], # 般
          ["Que "], # 舭
          ["Hesaki "], # 舮
          ["Zhong "], # 舯
          ["Jian "], # 舰
          ["Cang "], # 舱
          ["Ling "], # 舲
          ["Zhu "], # 舳
          ["Ze "], # 舴
          ["Duo "], # 舵
          ["Bo "], # 舶
          ["Xian "], # 舷
          ["Ge "], # 舸
          ["Chuan "], # 船
          ["Jia "], # 舺
          ["Lu "], # 舻
          ["Hong "], # 舼
          ["Pang "], # 舽
          ["Xi "], # 舾
          [" "], # 舿
          ["Fu "], # 艀
          ["Zao "], # 艁
          ["Feng "], # 艂
          ["Li "], # 艃
          ["Shao "], # 艄
          ["Yu "], # 艅
          ["Lang "], # 艆
          ["Ting "], # 艇
          [" "], # 艈
          ["Wei "], # 艉
          ["Bo "], # 艊
          ["Meng "], # 艋
          ["Nian "], # 艌
          ["Ju "], # 艍
          ["Huang "], # 艎
          ["Shou "], # 艏
          ["Zong "], # 艐
          ["Bian "], # 艑
          ["Mao "], # 艒
          ["Die "], # 艓
          [" "], # 艔
          ["Bang "], # 艕
          ["Cha "], # 艖
          ["Yi "], # 艗
          ["Sao "], # 艘
          ["Cang "], # 艙
          ["Cao "], # 艚
          ["Lou "], # 艛
          ["Dai "], # 艜
          ["Sori "], # 艝
          ["Yao "], # 艞
          ["Tong "], # 艟
          ["Yofune "], # 艠
          ["Dang "], # 艡
          ["Tan "], # 艢
          ["Lu "], # 艣
          ["Yi "], # 艤
          ["Jie "], # 艥
          ["Jian "], # 艦
          ["Huo "], # 艧
          ["Meng "], # 艨
          ["Qi "], # 艩
          ["Lu "], # 艪
          ["Lu "], # 艫
          ["Chan "], # 艬
          ["Shuang "], # 艭
          ["Gen "], # 艮
          ["Liang "], # 良
          ["Jian "], # 艰
          ["Jian "], # 艱
          ["Se "], # 色
          ["Yan "], # 艳
          ["Fu "], # 艴
          ["Ping "], # 艵
          ["Yan "], # 艶
          ["Yan "], # 艷
          ["Cao "], # 艸
          ["Cao "], # 艹
          ["Yi "], # 艺
          ["Le "], # 艻
          ["Ting "], # 艼
          ["Qiu "], # 艽
          ["Ai "], # 艾
          ["Nai "], # 艿
          ["Tiao "], # 芀
          ["Jiao "], # 芁
          ["Jie "], # 节
          ["Peng "], # 芃
          ["Wan "], # 芄
          ["Yi "], # 芅
          ["Chai "], # 芆
          ["Mian "], # 芇
          ["Mie "], # 芈
          ["Gan "], # 芉
          ["Qian "], # 芊
          ["Yu "], # 芋
          ["Yu "], # 芌
          ["Shuo "], # 芍
          ["Qiong "], # 芎
          ["Tu "], # 芏
          ["Xia "], # 芐
          ["Qi "], # 芑
          ["Mang "], # 芒
          ["Zi "], # 芓
          ["Hui "], # 芔
          ["Sui "], # 芕
          ["Zhi "], # 芖
          ["Xiang "], # 芗
          ["Bi "], # 芘
          ["Fu "], # 芙
          ["Tun "], # 芚
          ["Wei "], # 芛
          ["Wu "], # 芜
          ["Zhi "], # 芝
          ["Qi "], # 芞
          ["Shan "], # 芟
          ["Wen "], # 芠
          ["Qian "], # 芡
          ["Ren "], # 芢
          ["Fou "], # 芣
          ["Kou "], # 芤
          ["Jie "], # 芥
          ["Lu "], # 芦
          ["Xu "], # 芧
          ["Ji "], # 芨
          ["Qin "], # 芩
          ["Qi "], # 芪
          ["Yuan "], # 芫
          ["Fen "], # 芬
          ["Ba "], # 芭
          ["Rui "], # 芮
          ["Xin "], # 芯
          ["Ji "], # 芰
          ["Hua "], # 花
          ["Hua "], # 芲
          ["Fang "], # 芳
          ["Wu "], # 芴
          ["Jue "], # 芵
          ["Gou "], # 芶
          ["Zhi "], # 芷
          ["Yun "], # 芸
          ["Qin "], # 芹
          ["Ao "], # 芺
          ["Chu "], # 芻
          ["Mao "], # 芼
          ["Ya "], # 芽
          ["Fei "], # 芾
          ["Reng "], # 芿
          ["Hang "], # 苀
          ["Cong "], # 苁
          ["Yin "], # 苂
          ["You "], # 苃
          ["Bian "], # 苄
          ["Yi "], # 苅
          ["Susa "], # 苆
          ["Wei "], # 苇
          ["Li "], # 苈
          ["Pi "], # 苉
          ["E "], # 苊
          ["Xian "], # 苋
          ["Chang "], # 苌
          ["Cang "], # 苍
          ["Meng "], # 苎
          ["Su "], # 苏
          ["Yi "], # 苐
          ["Yuan "], # 苑
          ["Ran "], # 苒
          ["Ling "], # 苓
          ["Tai "], # 苔
          ["Tiao "], # 苕
          ["Di "], # 苖
          ["Miao "], # 苗
          ["Qiong "], # 苘
          ["Li "], # 苙
          ["Yong "], # 苚
          ["Ke "], # 苛
          ["Mu "], # 苜
          ["Pei "], # 苝
          ["Bao "], # 苞
          ["Gou "], # 苟
          ["Min "], # 苠
          ["Yi "], # 苡
          ["Yi "], # 苢
          ["Ju "], # 苣
          ["Pi "], # 苤
          ["Ruo "], # 若
          ["Ku "], # 苦
          ["Zhu "], # 苧
          ["Ni "], # 苨
          ["Bo "], # 苩
          ["Bing "], # 苪
          ["Shan "], # 苫
          ["Qiu "], # 苬
          ["Yao "], # 苭
          ["Xian "], # 苮
          ["Ben "], # 苯
          ["Hong "], # 苰
          ["Ying "], # 英
          ["Zha "], # 苲
          ["Dong "], # 苳
          ["Ju "], # 苴
          ["Die "], # 苵
          ["Nie "], # 苶
          ["Gan "], # 苷
          ["Hu "], # 苸
          ["Ping "], # 苹
          ["Mei "], # 苺
          ["Fu "], # 苻
          ["Sheng "], # 苼
          ["Gu "], # 苽
          ["Bi "], # 苾
          ["Wei "] # 苿
        ],
        [
          ["Fu "], # 茀
          ["Zhuo "], # 茁
          ["Mao "], # 茂
          ["Fan "], # 范
          ["Qie "], # 茄
          ["Mao "], # 茅
          ["Mao "], # 茆
          ["Ba "], # 茇
          ["Zi "], # 茈
          ["Mo "], # 茉
          ["Zi "], # 茊
          ["Di "], # 茋
          ["Chi "], # 茌
          ["Ji "], # 茍
          ["Jing "], # 茎
          ["Long "], # 茏
          [" "], # 茐
          ["Niao "], # 茑
          [" "], # 茒
          ["Xue "], # 茓
          ["Ying "], # 茔
          ["Qiong "], # 茕
          ["Ge "], # 茖
          ["Ming "], # 茗
          ["Li "], # 茘
          ["Rong "], # 茙
          ["Yin "], # 茚
          ["Gen "], # 茛
          ["Qian "], # 茜
          ["Chai "], # 茝
          ["Chen "], # 茞
          ["Yu "], # 茟
          ["Xiu "], # 茠
          ["Zi "], # 茡
          ["Lie "], # 茢
          ["Wu "], # 茣
          ["Ji "], # 茤
          ["Kui "], # 茥
          ["Ce "], # 茦
          ["Chong "], # 茧
          ["Ci "], # 茨
          ["Gou "], # 茩
          ["Guang "], # 茪
          ["Mang "], # 茫
          ["Chi "], # 茬
          ["Jiao "], # 茭
          ["Jiao "], # 茮
          ["Fu "], # 茯
          ["Yu "], # 茰
          ["Zhu "], # 茱
          ["Zi "], # 茲
          ["Jiang "], # 茳
          ["Hui "], # 茴
          ["Yin "], # 茵
          ["Cha "], # 茶
          ["Fa "], # 茷
          ["Rong "], # 茸
          ["Ru "], # 茹
          ["Chong "], # 茺
          ["Mang "], # 茻
          ["Tong "], # 茼
          ["Zhong "], # 茽
          [" "], # 茾
          ["Zhu "], # 茿
          ["Xun "], # 荀
          ["Huan "], # 荁
          ["Kua "], # 荂
          ["Quan "], # 荃
          ["Gai "], # 荄
          ["Da "], # 荅
          ["Jing "], # 荆
          ["Xing "], # 荇
          ["Quan "], # 荈
          ["Cao "], # 草
          ["Jing "], # 荊
          ["Er "], # 荋
          ["An "], # 荌
          ["Shou "], # 荍
          ["Chi "], # 荎
          ["Ren "], # 荏
          ["Jian "], # 荐
          ["Ti "], # 荑
          ["Huang "], # 荒
          ["Ping "], # 荓
          ["Li "], # 荔
          ["Jin "], # 荕
          ["Lao "], # 荖
          ["Shu "], # 荗
          ["Zhuang "], # 荘
          ["Da "], # 荙
          ["Jia "], # 荚
          ["Rao "], # 荛
          ["Bi "], # 荜
          ["Ze "], # 荝
          ["Qiao "], # 荞
          ["Hui "], # 荟
          ["Qi "], # 荠
          ["Dang "], # 荡
          [" "], # 荢
          ["Rong "], # 荣
          ["Hun "], # 荤
          ["Ying "], # 荥
          ["Luo "], # 荦
          ["Ying "], # 荧
          ["Xun "], # 荨
          ["Jin "], # 荩
          ["Sun "], # 荪
          ["Yin "], # 荫
          ["Mai "], # 荬
          ["Hong "], # 荭
          ["Zhou "], # 荮
          ["Yao "], # 药
          ["Du "], # 荰
          ["Wei "], # 荱
          ["Chu "], # 荲
          ["Dou "], # 荳
          ["Fu "], # 荴
          ["Ren "], # 荵
          ["Yin "], # 荶
          ["He "], # 荷
          ["Bi "], # 荸
          ["Bu "], # 荹
          ["Yun "], # 荺
          ["Di "], # 荻
          ["Tu "], # 荼
          ["Sui "], # 荽
          ["Sui "], # 荾
          ["Cheng "], # 荿
          ["Chen "], # 莀
          ["Wu "], # 莁
          ["Bie "], # 莂
          ["Xi "], # 莃
          ["Geng "], # 莄
          ["Li "], # 莅
          ["Fu "], # 莆
          ["Zhu "], # 莇
          ["Mo "], # 莈
          ["Li "], # 莉
          ["Zhuang "], # 莊
          ["Ji "], # 莋
          ["Duo "], # 莌
          ["Qiu "], # 莍
          ["Sha "], # 莎
          ["Suo "], # 莏
          ["Chen "], # 莐
          ["Feng "], # 莑
          ["Ju "], # 莒
          ["Mei "], # 莓
          ["Meng "], # 莔
          ["Xing "], # 莕
          ["Jing "], # 莖
          ["Che "], # 莗
          ["Xin "], # 莘
          ["Jun "], # 莙
          ["Yan "], # 莚
          ["Ting "], # 莛
          ["Diao "], # 莜
          ["Cuo "], # 莝
          ["Wan "], # 莞
          ["Han "], # 莟
          ["You "], # 莠
          ["Cuo "], # 莡
          ["Jia "], # 莢
          ["Wang "], # 莣
          ["You "], # 莤
          ["Niu "], # 莥
          ["Shao "], # 莦
          ["Xian "], # 莧
          ["Lang "], # 莨
          ["Fu "], # 莩
          ["E "], # 莪
          ["Mo "], # 莫
          ["Wen "], # 莬
          ["Jie "], # 莭
          ["Nan "], # 莮
          ["Mu "], # 莯
          ["Kan "], # 莰
          ["Lai "], # 莱
          ["Lian "], # 莲
          ["Shi "], # 莳
          ["Wo "], # 莴
          ["Usagi "], # 莵
          ["Lian "], # 莶
          ["Huo "], # 获
          ["You "], # 莸
          ["Ying "], # 莹
          ["Ying "], # 莺
          ["Nuc "], # 莻
          ["Chun "], # 莼
          ["Mang "], # 莽
          ["Mang "], # 莾
          ["Ci "], # 莿
          ["Wan "], # 菀
          ["Jing "], # 菁
          ["Di "], # 菂
          ["Qu "], # 菃
          ["Dong "], # 菄
          ["Jian "], # 菅
          ["Zou "], # 菆
          ["Gu "], # 菇
          ["La "], # 菈
          ["Lu "], # 菉
          ["Ju "], # 菊
          ["Wei "], # 菋
          ["Jun "], # 菌
          ["Nie "], # 菍
          ["Kun "], # 菎
          ["He "], # 菏
          ["Pu "], # 菐
          ["Zi "], # 菑
          ["Gao "], # 菒
          ["Guo "], # 菓
          ["Fu "], # 菔
          ["Lun "], # 菕
          ["Chang "], # 菖
          ["Chou "], # 菗
          ["Song "], # 菘
          ["Chui "], # 菙
          ["Zhan "], # 菚
          ["Men "], # 菛
          ["Cai "], # 菜
          ["Ba "], # 菝
          ["Li "], # 菞
          ["Tu "], # 菟
          ["Bo "], # 菠
          ["Han "], # 菡
          ["Bao "], # 菢
          ["Qin "], # 菣
          ["Juan "], # 菤
          ["Xi "], # 菥
          ["Qin "], # 菦
          ["Di "], # 菧
          ["Jie "], # 菨
          ["Pu "], # 菩
          ["Dang "], # 菪
          ["Jin "], # 菫
          ["Zhao "], # 菬
          ["Tai "], # 菭
          ["Geng "], # 菮
          ["Hua "], # 華
          ["Gu "], # 菰
          ["Ling "], # 菱
          ["Fei "], # 菲
          ["Jin "], # 菳
          ["An "], # 菴
          ["Wang "], # 菵
          ["Beng "], # 菶
          ["Zhou "], # 菷
          ["Yan "], # 菸
          ["Ju "], # 菹
          ["Jian "], # 菺
          ["Lin "], # 菻
          ["Tan "], # 菼
          ["Shu "], # 菽
          ["Tian "], # 菾
          ["Dao "] # 菿
        ],
        [
          ["Hu "], # 萀
          ["Qi "], # 萁
          ["He "], # 萂
          ["Cui "], # 萃
          ["Tao "], # 萄
          ["Chun "], # 萅
          ["Bei "], # 萆
          ["Chang "], # 萇
          ["Huan "], # 萈
          ["Fei "], # 萉
          ["Lai "], # 萊
          ["Qi "], # 萋
          ["Meng "], # 萌
          ["Ping "], # 萍
          ["Wei "], # 萎
          ["Dan "], # 萏
          ["Sha "], # 萐
          ["Huan "], # 萑
          ["Yan "], # 萒
          ["Yi "], # 萓
          ["Tiao "], # 萔
          ["Qi "], # 萕
          ["Wan "], # 萖
          ["Ce "], # 萗
          ["Nai "], # 萘
          ["Kutabireru "], # 萙
          ["Tuo "], # 萚
          ["Jiu "], # 萛
          ["Tie "], # 萜
          ["Luo "], # 萝
          [" "], # 萞
          [" "], # 萟
          ["Meng "], # 萠
          [" "], # 萡
          ["Yaji "], # 萢
          [" "], # 萣
          ["Ying "], # 萤
          ["Ying "], # 营
          ["Ying "], # 萦
          ["Xiao "], # 萧
          ["Sa "], # 萨
          ["Qiu "], # 萩
          ["Ke "], # 萪
          ["Xiang "], # 萫
          ["Wan "], # 萬
          ["Yu "], # 萭
          ["Yu "], # 萮
          ["Fu "], # 萯
          ["Lian "], # 萰
          ["Xuan "], # 萱
          ["Yuan "], # 萲
          ["Nan "], # 萳
          ["Ze "], # 萴
          ["Wo "], # 萵
          ["Chun "], # 萶
          ["Xiao "], # 萷
          ["Yu "], # 萸
          ["Pian "], # 萹
          ["Mao "], # 萺
          ["An "], # 萻
          ["E "], # 萼
          ["Luo "], # 落
          ["Ying "], # 萾
          ["Huo "], # 萿
          ["Gua "], # 葀
          ["Jiang "], # 葁
          ["Mian "], # 葂
          ["Zuo "], # 葃
          ["Zuo "], # 葄
          ["Ju "], # 葅
          ["Bao "], # 葆
          ["Rou "], # 葇
          ["Xi "], # 葈
          ["Xie "], # 葉
          ["An "], # 葊
          ["Qu "], # 葋
          ["Jian "], # 葌
          ["Fu "], # 葍
          ["Lu "], # 葎
          ["Jing "], # 葏
          ["Pen "], # 葐
          ["Feng "], # 葑
          ["Hong "], # 葒
          ["Hong "], # 葓
          ["Hou "], # 葔
          ["Yan "], # 葕
          ["Tu "], # 葖
          ["Zhu "], # 著
          ["Zi "], # 葘
          ["Xiang "], # 葙
          ["Shen "], # 葚
          ["Ge "], # 葛
          ["Jie "], # 葜
          ["Jing "], # 葝
          ["Mi "], # 葞
          ["Huang "], # 葟
          ["Shen "], # 葠
          ["Pu "], # 葡
          ["Gai "], # 葢
          ["Dong "], # 董
          ["Zhou "], # 葤
          ["Qian "], # 葥
          ["Wei "], # 葦
          ["Bo "], # 葧
          ["Wei "], # 葨
          ["Pa "], # 葩
          ["Ji "], # 葪
          ["Hu "], # 葫
          ["Zang "], # 葬
          ["Jia "], # 葭
          ["Duan "], # 葮
          ["Yao "], # 葯
          ["Jun "], # 葰
          ["Cong "], # 葱
          ["Quan "], # 葲
          ["Wei "], # 葳
          ["Xian "], # 葴
          ["Kui "], # 葵
          ["Ting "], # 葶
          ["Hun "], # 葷
          ["Xi "], # 葸
          ["Shi "], # 葹
          ["Qi "], # 葺
          ["Lan "], # 葻
          ["Zong "], # 葼
          ["Yao "], # 葽
          ["Yuan "], # 葾
          ["Mei "], # 葿
          ["Yun "], # 蒀
          ["Shu "], # 蒁
          ["Di "], # 蒂
          ["Zhuan "], # 蒃
          ["Guan "], # 蒄
          ["Sukumo "], # 蒅
          ["Xue "], # 蒆
          ["Chan "], # 蒇
          ["Kai "], # 蒈
          ["Kui "], # 蒉
          [" "], # 蒊
          ["Jiang "], # 蒋
          ["Lou "], # 蒌
          ["Wei "], # 蒍
          ["Pai "], # 蒎
          [" "], # 蒏
          ["Sou "], # 蒐
          ["Yin "], # 蒑
          ["Shi "], # 蒒
          ["Chun "], # 蒓
          ["Shi "], # 蒔
          ["Yun "], # 蒕
          ["Zhen "], # 蒖
          ["Lang "], # 蒗
          ["Nu "], # 蒘
          ["Meng "], # 蒙
          ["He "], # 蒚
          ["Que "], # 蒛
          ["Suan "], # 蒜
          ["Yuan "], # 蒝
          ["Li "], # 蒞
          ["Ju "], # 蒟
          ["Xi "], # 蒠
          ["Pang "], # 蒡
          ["Chu "], # 蒢
          ["Xu "], # 蒣
          ["Tu "], # 蒤
          ["Liu "], # 蒥
          ["Wo "], # 蒦
          ["Zhen "], # 蒧
          ["Qian "], # 蒨
          ["Zu "], # 蒩
          ["Po "], # 蒪
          ["Cuo "], # 蒫
          ["Yuan "], # 蒬
          ["Chu "], # 蒭
          ["Yu "], # 蒮
          ["Kuai "], # 蒯
          ["Pan "], # 蒰
          ["Pu "], # 蒱
          ["Pu "], # 蒲
          ["Na "], # 蒳
          ["Shuo "], # 蒴
          ["Xi "], # 蒵
          ["Fen "], # 蒶
          ["Yun "], # 蒷
          ["Zheng "], # 蒸
          ["Jian "], # 蒹
          ["Ji "], # 蒺
          ["Ruo "], # 蒻
          ["Cang "], # 蒼
          ["En "], # 蒽
          ["Mi "], # 蒾
          ["Hao "], # 蒿
          ["Sun "], # 蓀
          ["Zhen "], # 蓁
          ["Ming "], # 蓂
          ["Sou "], # 蓃
          ["Xu "], # 蓄
          ["Liu "], # 蓅
          ["Xi "], # 蓆
          ["Gu "], # 蓇
          ["Lang "], # 蓈
          ["Rong "], # 蓉
          ["Weng "], # 蓊
          ["Gai "], # 蓋
          ["Cuo "], # 蓌
          ["Shi "], # 蓍
          ["Tang "], # 蓎
          ["Luo "], # 蓏
          ["Ru "], # 蓐
          ["Suo "], # 蓑
          ["Xian "], # 蓒
          ["Bei "], # 蓓
          ["Yao "], # 蓔
          ["Gui "], # 蓕
          ["Bi "], # 蓖
          ["Zong "], # 蓗
          ["Gun "], # 蓘
          ["Za "], # 蓙
          ["Xiu "], # 蓚
          ["Ce "], # 蓛
          ["Hai "], # 蓜
          ["Lan "], # 蓝
          [" "], # 蓞
          ["Ji "], # 蓟
          ["Li "], # 蓠
          ["Can "], # 蓡
          ["Lang "], # 蓢
          ["Yu "], # 蓣
          [" "], # 蓤
          ["Ying "], # 蓥
          ["Mo "], # 蓦
          ["Diao "], # 蓧
          ["Tiao "], # 蓨
          ["Mao "], # 蓩
          ["Tong "], # 蓪
          ["Zhu "], # 蓫
          ["Peng "], # 蓬
          ["An "], # 蓭
          ["Lian "], # 蓮
          ["Cong "], # 蓯
          ["Xi "], # 蓰
          ["Ping "], # 蓱
          ["Qiu "], # 蓲
          ["Jin "], # 蓳
          ["Chun "], # 蓴
          ["Jie "], # 蓵
          ["Wei "], # 蓶
          ["Tui "], # 蓷
          ["Cao "], # 蓸
          ["Yu "], # 蓹
          ["Yi "], # 蓺
          ["Ji "], # 蓻
          ["Liao "], # 蓼
          ["Bi "], # 蓽
          ["Lu "], # 蓾
          ["Su "] # 蓿
        ],
        [
          ["Bu "], # 蔀
          ["Zhang "], # 蔁
          ["Luo "], # 蔂
          ["Jiang "], # 蔃
          ["Man "], # 蔄
          ["Yan "], # 蔅
          ["Ling "], # 蔆
          ["Ji "], # 蔇
          ["Piao "], # 蔈
          ["Gun "], # 蔉
          ["Han "], # 蔊
          ["Di "], # 蔋
          ["Su "], # 蔌
          ["Lu "], # 蔍
          ["She "], # 蔎
          ["Shang "], # 蔏
          ["Di "], # 蔐
          ["Mie "], # 蔑
          ["Xun "], # 蔒
          ["Man "], # 蔓
          ["Bo "], # 蔔
          ["Di "], # 蔕
          ["Cuo "], # 蔖
          ["Zhe "], # 蔗
          ["Sen "], # 蔘
          ["Xuan "], # 蔙
          ["Wei "], # 蔚
          ["Hu "], # 蔛
          ["Ao "], # 蔜
          ["Mi "], # 蔝
          ["Lou "], # 蔞
          ["Cu "], # 蔟
          ["Zhong "], # 蔠
          ["Cai "], # 蔡
          ["Po "], # 蔢
          ["Jiang "], # 蔣
          ["Mi "], # 蔤
          ["Cong "], # 蔥
          ["Niao "], # 蔦
          ["Hui "], # 蔧
          ["Jun "], # 蔨
          ["Yin "], # 蔩
          ["Jian "], # 蔪
          ["Yan "], # 蔫
          ["Shu "], # 蔬
          ["Yin "], # 蔭
          ["Kui "], # 蔮
          ["Chen "], # 蔯
          ["Hu "], # 蔰
          ["Sha "], # 蔱
          ["Kou "], # 蔲
          ["Qian "], # 蔳
          ["Ma "], # 蔴
          ["Zang "], # 蔵
          ["Sonoko "], # 蔶
          ["Qiang "], # 蔷
          ["Dou "], # 蔸
          ["Lian "], # 蔹
          ["Lin "], # 蔺
          ["Kou "], # 蔻
          ["Ai "], # 蔼
          ["Bi "], # 蔽
          ["Li "], # 蔾
          ["Wei "], # 蔿
          ["Ji "], # 蕀
          ["Xun "], # 蕁
          ["Sheng "], # 蕂
          ["Fan "], # 蕃
          ["Meng "], # 蕄
          ["Ou "], # 蕅
          ["Chan "], # 蕆
          ["Dian "], # 蕇
          ["Xun "], # 蕈
          ["Jiao "], # 蕉
          ["Rui "], # 蕊
          ["Rui "], # 蕋
          ["Lei "], # 蕌
          ["Yu "], # 蕍
          ["Qiao "], # 蕎
          ["Chu "], # 蕏
          ["Hua "], # 蕐
          ["Jian "], # 蕑
          ["Mai "], # 蕒
          ["Yun "], # 蕓
          ["Bao "], # 蕔
          ["You "], # 蕕
          ["Qu "], # 蕖
          ["Lu "], # 蕗
          ["Rao "], # 蕘
          ["Hui "], # 蕙
          ["E "], # 蕚
          ["Teng "], # 蕛
          ["Fei "], # 蕜
          ["Jue "], # 蕝
          ["Zui "], # 蕞
          ["Fa "], # 蕟
          ["Ru "], # 蕠
          ["Fen "], # 蕡
          ["Kui "], # 蕢
          ["Shun "], # 蕣
          ["Rui "], # 蕤
          ["Ya "], # 蕥
          ["Xu "], # 蕦
          ["Fu "], # 蕧
          ["Jue "], # 蕨
          ["Dang "], # 蕩
          ["Wu "], # 蕪
          ["Tong "], # 蕫
          ["Si "], # 蕬
          ["Xiao "], # 蕭
          ["Xi "], # 蕮
          ["Long "], # 蕯
          ["Yun "], # 蕰
          [" "], # 蕱
          ["Qi "], # 蕲
          ["Jian "], # 蕳
          ["Yun "], # 蕴
          ["Sun "], # 蕵
          ["Ling "], # 蕶
          ["Yu "], # 蕷
          ["Xia "], # 蕸
          ["Yong "], # 蕹
          ["Ji "], # 蕺
          ["Hong "], # 蕻
          ["Si "], # 蕼
          ["Nong "], # 蕽
          ["Lei "], # 蕾
          ["Xuan "], # 蕿
          ["Yun "], # 薀
          ["Yu "], # 薁
          ["Xi "], # 薂
          ["Hao "], # 薃
          ["Bo "], # 薄
          ["Hao "], # 薅
          ["Ai "], # 薆
          ["Wei "], # 薇
          ["Hui "], # 薈
          ["Wei "], # 薉
          ["Ji "], # 薊
          ["Ci "], # 薋
          ["Xiang "], # 薌
          ["Luan "], # 薍
          ["Mie "], # 薎
          ["Yi "], # 薏
          ["Leng "], # 薐
          ["Jiang "], # 薑
          ["Can "], # 薒
          ["Shen "], # 薓
          ["Qiang "], # 薔
          ["Lian "], # 薕
          ["Ke "], # 薖
          ["Yuan "], # 薗
          ["Da "], # 薘
          ["Ti "], # 薙
          ["Tang "], # 薚
          ["Xie "], # 薛
          ["Bi "], # 薜
          ["Zhan "], # 薝
          ["Sun "], # 薞
          ["Lian "], # 薟
          ["Fan "], # 薠
          ["Ding "], # 薡
          ["Jie "], # 薢
          ["Gu "], # 薣
          ["Xie "], # 薤
          ["Shu "], # 薥
          ["Jian "], # 薦
          ["Kao "], # 薧
          ["Hong "], # 薨
          ["Sa "], # 薩
          ["Xin "], # 薪
          ["Xun "], # 薫
          ["Yao "], # 薬
          ["Hie "], # 薭
          ["Sou "], # 薮
          ["Shu "], # 薯
          ["Xun "], # 薰
          ["Dui "], # 薱
          ["Pin "], # 薲
          ["Wei "], # 薳
          ["Neng "], # 薴
          ["Chou "], # 薵
          ["Mai "], # 薶
          ["Ru "], # 薷
          ["Piao "], # 薸
          ["Tai "], # 薹
          ["Qi "], # 薺
          ["Zao "], # 薻
          ["Chen "], # 薼
          ["Zhen "], # 薽
          ["Er "], # 薾
          ["Ni "], # 薿
          ["Ying "], # 藀
          ["Gao "], # 藁
          ["Cong "], # 藂
          ["Xiao "], # 藃
          ["Qi "], # 藄
          ["Fa "], # 藅
          ["Jian "], # 藆
          ["Xu "], # 藇
          ["Kui "], # 藈
          ["Jie "], # 藉
          ["Bian "], # 藊
          ["Diao "], # 藋
          ["Mi "], # 藌
          ["Lan "], # 藍
          ["Jin "], # 藎
          ["Cang "], # 藏
          ["Miao "], # 藐
          ["Qiong "], # 藑
          ["Qie "], # 藒
          ["Xian "], # 藓
          [" "], # 藔
          ["Ou "], # 藕
          ["Xian "], # 藖
          ["Su "], # 藗
          ["Lu "], # 藘
          ["Yi "], # 藙
          ["Xu "], # 藚
          ["Xie "], # 藛
          ["Li "], # 藜
          ["Yi "], # 藝
          ["La "], # 藞
          ["Lei "], # 藟
          ["Xiao "], # 藠
          ["Di "], # 藡
          ["Zhi "], # 藢
          ["Bei "], # 藣
          ["Teng "], # 藤
          ["Yao "], # 藥
          ["Mo "], # 藦
          ["Huan "], # 藧
          ["Piao "], # 藨
          ["Fan "], # 藩
          ["Sou "], # 藪
          ["Tan "], # 藫
          ["Tui "], # 藬
          ["Qiong "], # 藭
          ["Qiao "], # 藮
          ["Wei "], # 藯
          ["Liu "], # 藰
          ["Hui "], # 藱
          [" "], # 藲
          ["Gao "], # 藳
          ["Yun "], # 藴
          [" "], # 藵
          ["Li "], # 藶
          ["Shu "], # 藷
          ["Chu "], # 藸
          ["Ai "], # 藹
          ["Lin "], # 藺
          ["Zao "], # 藻
          ["Xuan "], # 藼
          ["Chen "], # 藽
          ["Lai "], # 藾
          ["Huo "] # 藿
        ],
        [
          ["Tuo "], # 蘀
          ["Wu "], # 蘁
          ["Rui "], # 蘂
          ["Rui "], # 蘃
          ["Qi "], # 蘄
          ["Heng "], # 蘅
          ["Lu "], # 蘆
          ["Su "], # 蘇
          ["Tui "], # 蘈
          ["Mang "], # 蘉
          ["Yun "], # 蘊
          ["Pin "], # 蘋
          ["Yu "], # 蘌
          ["Xun "], # 蘍
          ["Ji "], # 蘎
          ["Jiong "], # 蘏
          ["Xian "], # 蘐
          ["Mo "], # 蘑
          ["Hagi "], # 蘒
          ["Su "], # 蘓
          ["Jiong "], # 蘔
          [" "], # 蘕
          ["Nie "], # 蘖
          ["Bo "], # 蘗
          ["Rang "], # 蘘
          ["Yi "], # 蘙
          ["Xian "], # 蘚
          ["Yu "], # 蘛
          ["Ju "], # 蘜
          ["Lian "], # 蘝
          ["Lian "], # 蘞
          ["Yin "], # 蘟
          ["Qiang "], # 蘠
          ["Ying "], # 蘡
          ["Long "], # 蘢
          ["Tong "], # 蘣
          ["Wei "], # 蘤
          ["Yue "], # 蘥
          ["Ling "], # 蘦
          ["Qu "], # 蘧
          ["Yao "], # 蘨
          ["Fan "], # 蘩
          ["Mi "], # 蘪
          ["Lan "], # 蘫
          ["Kui "], # 蘬
          ["Lan "], # 蘭
          ["Ji "], # 蘮
          ["Dang "], # 蘯
          ["Katsura "], # 蘰
          ["Lei "], # 蘱
          ["Lei "], # 蘲
          ["Hua "], # 蘳
          ["Feng "], # 蘴
          ["Zhi "], # 蘵
          ["Wei "], # 蘶
          ["Kui "], # 蘷
          ["Zhan "], # 蘸
          ["Huai "], # 蘹
          ["Li "], # 蘺
          ["Ji "], # 蘻
          ["Mi "], # 蘼
          ["Lei "], # 蘽
          ["Huai "], # 蘾
          ["Luo "], # 蘿
          ["Ji "], # 虀
          ["Kui "], # 虁
          ["Lu "], # 虂
          ["Jian "], # 虃
          ["San "], # 虄
          [" "], # 虅
          ["Lei "], # 虆
          ["Quan "], # 虇
          ["Xiao "], # 虈
          ["Yi "], # 虉
          ["Luan "], # 虊
          ["Men "], # 虋
          ["Bie "], # 虌
          ["Hu "], # 虍
          ["Hu "], # 虎
          ["Lu "], # 虏
          ["Nue "], # 虐
          ["Lu "], # 虑
          ["Si "], # 虒
          ["Xiao "], # 虓
          ["Qian "], # 虔
          ["Chu "], # 處
          ["Hu "], # 虖
          ["Xu "], # 虗
          ["Cuo "], # 虘
          ["Fu "], # 虙
          ["Xu "], # 虚
          ["Xu "], # 虛
          ["Lu "], # 虜
          ["Hu "], # 虝
          ["Yu "], # 虞
          ["Hao "], # 號
          ["Jiao "], # 虠
          ["Ju "], # 虡
          ["Guo "], # 虢
          ["Bao "], # 虣
          ["Yan "], # 虤
          ["Zhan "], # 虥
          ["Zhan "], # 虦
          ["Kui "], # 虧
          ["Ban "], # 虨
          ["Xi "], # 虩
          ["Shu "], # 虪
          ["Chong "], # 虫
          ["Qiu "], # 虬
          ["Diao "], # 虭
          ["Ji "], # 虮
          ["Qiu "], # 虯
          ["Cheng "], # 虰
          ["Shi "], # 虱
          [" "], # 虲
          ["Di "], # 虳
          ["Zhe "], # 虴
          ["She "], # 虵
          ["Yu "], # 虶
          ["Gan "], # 虷
          ["Zi "], # 虸
          ["Hong "], # 虹
          ["Hui "], # 虺
          ["Meng "], # 虻
          ["Ge "], # 虼
          ["Sui "], # 虽
          ["Xia "], # 虾
          ["Chai "], # 虿
          ["Shi "], # 蚀
          ["Yi "], # 蚁
          ["Ma "], # 蚂
          ["Xiang "], # 蚃
          ["Fang "], # 蚄
          ["E "], # 蚅
          ["Pa "], # 蚆
          ["Chi "], # 蚇
          ["Qian "], # 蚈
          ["Wen "], # 蚉
          ["Wen "], # 蚊
          ["Rui "], # 蚋
          ["Bang "], # 蚌
          ["Bi "], # 蚍
          ["Yue "], # 蚎
          ["Yue "], # 蚏
          ["Jun "], # 蚐
          ["Qi "], # 蚑
          ["Ran "], # 蚒
          ["Yin "], # 蚓
          ["Qi "], # 蚔
          ["Tian "], # 蚕
          ["Yuan "], # 蚖
          ["Jue "], # 蚗
          ["Hui "], # 蚘
          ["Qin "], # 蚙
          ["Qi "], # 蚚
          ["Zhong "], # 蚛
          ["Ya "], # 蚜
          ["Ci "], # 蚝
          ["Mu "], # 蚞
          ["Wang "], # 蚟
          ["Fen "], # 蚠
          ["Fen "], # 蚡
          ["Hang "], # 蚢
          ["Gong "], # 蚣
          ["Zao "], # 蚤
          ["Fu "], # 蚥
          ["Ran "], # 蚦
          ["Jie "], # 蚧
          ["Fu "], # 蚨
          ["Chi "], # 蚩
          ["Dou "], # 蚪
          ["Piao "], # 蚫
          ["Xian "], # 蚬
          ["Ni "], # 蚭
          ["Te "], # 蚮
          ["Qiu "], # 蚯
          ["You "], # 蚰
          ["Zha "], # 蚱
          ["Ping "], # 蚲
          ["Chi "], # 蚳
          ["You "], # 蚴
          ["He "], # 蚵
          ["Han "], # 蚶
          ["Ju "], # 蚷
          ["Li "], # 蚸
          ["Fu "], # 蚹
          ["Ran "], # 蚺
          ["Zha "], # 蚻
          ["Gou "], # 蚼
          ["Pi "], # 蚽
          ["Bo "], # 蚾
          ["Xian "], # 蚿
          ["Zhu "], # 蛀
          ["Diao "], # 蛁
          ["Bie "], # 蛂
          ["Bing "], # 蛃
          ["Gu "], # 蛄
          ["Ran "], # 蛅
          ["Qu "], # 蛆
          ["She "], # 蛇
          ["Tie "], # 蛈
          ["Ling "], # 蛉
          ["Gu "], # 蛊
          ["Dan "], # 蛋
          ["Gu "], # 蛌
          ["Ying "], # 蛍
          ["Li "], # 蛎
          ["Cheng "], # 蛏
          ["Qu "], # 蛐
          ["Mou "], # 蛑
          ["Ge "], # 蛒
          ["Ci "], # 蛓
          ["Hui "], # 蛔
          ["Hui "], # 蛕
          ["Mang "], # 蛖
          ["Fu "], # 蛗
          ["Yang "], # 蛘
          ["Wa "], # 蛙
          ["Lie "], # 蛚
          ["Zhu "], # 蛛
          ["Yi "], # 蛜
          ["Xian "], # 蛝
          ["Kuo "], # 蛞
          ["Jiao "], # 蛟
          ["Li "], # 蛠
          ["Yi "], # 蛡
          ["Ping "], # 蛢
          ["Ji "], # 蛣
          ["Ha "], # 蛤
          ["She "], # 蛥
          ["Yi "], # 蛦
          ["Wang "], # 蛧
          ["Mo "], # 蛨
          ["Qiong "], # 蛩
          ["Qie "], # 蛪
          ["Gui "], # 蛫
          ["Gong "], # 蛬
          ["Zhi "], # 蛭
          ["Man "], # 蛮
          ["Ebi "], # 蛯
          ["Zhi "], # 蛰
          ["Jia "], # 蛱
          ["Rao "], # 蛲
          ["Si "], # 蛳
          ["Qi "], # 蛴
          ["Xing "], # 蛵
          ["Lie "], # 蛶
          ["Qiu "], # 蛷
          ["Shao "], # 蛸
          ["Yong "], # 蛹
          ["Jia "], # 蛺
          ["Shui "], # 蛻
          ["Che "], # 蛼
          ["Bai "], # 蛽
          ["E "], # 蛾
          ["Han "] # 蛿
        ],
        [
          ["Shu "], # 蜀
          ["Xuan "], # 蜁
          ["Feng "], # 蜂
          ["Shen "], # 蜃
          ["Zhen "], # 蜄
          ["Fu "], # 蜅
          ["Xian "], # 蜆
          ["Zhe "], # 蜇
          ["Wu "], # 蜈
          ["Fu "], # 蜉
          ["Li "], # 蜊
          ["Lang "], # 蜋
          ["Bi "], # 蜌
          ["Chu "], # 蜍
          ["Yuan "], # 蜎
          ["You "], # 蜏
          ["Jie "], # 蜐
          ["Dan "], # 蜑
          ["Yan "], # 蜒
          ["Ting "], # 蜓
          ["Dian "], # 蜔
          ["Shui "], # 蜕
          ["Hui "], # 蜖
          ["Gua "], # 蜗
          ["Zhi "], # 蜘
          ["Song "], # 蜙
          ["Fei "], # 蜚
          ["Ju "], # 蜛
          ["Mi "], # 蜜
          ["Qi "], # 蜝
          ["Qi "], # 蜞
          ["Yu "], # 蜟
          ["Jun "], # 蜠
          ["Zha "], # 蜡
          ["Meng "], # 蜢
          ["Qiang "], # 蜣
          ["Si "], # 蜤
          ["Xi "], # 蜥
          ["Lun "], # 蜦
          ["Li "], # 蜧
          ["Die "], # 蜨
          ["Tiao "], # 蜩
          ["Tao "], # 蜪
          ["Kun "], # 蜫
          ["Gan "], # 蜬
          ["Han "], # 蜭
          ["Yu "], # 蜮
          ["Bang "], # 蜯
          ["Fei "], # 蜰
          ["Pi "], # 蜱
          ["Wei "], # 蜲
          ["Dun "], # 蜳
          ["Yi "], # 蜴
          ["Yuan "], # 蜵
          ["Su "], # 蜶
          ["Quan "], # 蜷
          ["Qian "], # 蜸
          ["Rui "], # 蜹
          ["Ni "], # 蜺
          ["Qing "], # 蜻
          ["Wei "], # 蜼
          ["Liang "], # 蜽
          ["Guo "], # 蜾
          ["Wan "], # 蜿
          ["Dong "], # 蝀
          ["E "], # 蝁
          ["Ban "], # 蝂
          ["Di "], # 蝃
          ["Wang "], # 蝄
          ["Can "], # 蝅
          ["Yang "], # 蝆
          ["Ying "], # 蝇
          ["Guo "], # 蝈
          ["Chan "], # 蝉
          [" "], # 蝊
          ["La "], # 蝋
          ["Ke "], # 蝌
          ["Ji "], # 蝍
          ["He "], # 蝎
          ["Ting "], # 蝏
          ["Mai "], # 蝐
          ["Xu "], # 蝑
          ["Mian "], # 蝒
          ["Yu "], # 蝓
          ["Jie "], # 蝔
          ["Shi "], # 蝕
          ["Xuan "], # 蝖
          ["Huang "], # 蝗
          ["Yan "], # 蝘
          ["Bian "], # 蝙
          ["Rou "], # 蝚
          ["Wei "], # 蝛
          ["Fu "], # 蝜
          ["Yuan "], # 蝝
          ["Mei "], # 蝞
          ["Wei "], # 蝟
          ["Fu "], # 蝠
          ["Ruan "], # 蝡
          ["Xie "], # 蝢
          ["You "], # 蝣
          ["Qiu "], # 蝤
          ["Mao "], # 蝥
          ["Xia "], # 蝦
          ["Ying "], # 蝧
          ["Shi "], # 蝨
          ["Chong "], # 蝩
          ["Tang "], # 蝪
          ["Zhu "], # 蝫
          ["Zong "], # 蝬
          ["Ti "], # 蝭
          ["Fu "], # 蝮
          ["Yuan "], # 蝯
          ["Hui "], # 蝰
          ["Meng "], # 蝱
          ["La "], # 蝲
          ["Du "], # 蝳
          ["Hu "], # 蝴
          ["Qiu "], # 蝵
          ["Die "], # 蝶
          ["Li "], # 蝷
          ["Gua "], # 蝸
          ["Yun "], # 蝹
          ["Ju "], # 蝺
          ["Nan "], # 蝻
          ["Lou "], # 蝼
          ["Qun "], # 蝽
          ["Rong "], # 蝾
          ["Ying "], # 蝿
          ["Jiang "], # 螀
          [" "], # 螁
          ["Lang "], # 螂
          ["Pang "], # 螃
          ["Si "], # 螄
          ["Xi "], # 螅
          ["Ci "], # 螆
          ["Xi "], # 螇
          ["Yuan "], # 螈
          ["Weng "], # 螉
          ["Lian "], # 螊
          ["Sou "], # 螋
          ["Ban "], # 螌
          ["Rong "], # 融
          ["Rong "], # 螎
          ["Ji "], # 螏
          ["Wu "], # 螐
          ["Qiu "], # 螑
          ["Han "], # 螒
          ["Qin "], # 螓
          ["Yi "], # 螔
          ["Bi "], # 螕
          ["Hua "], # 螖
          ["Tang "], # 螗
          ["Yi "], # 螘
          ["Du "], # 螙
          ["Nai "], # 螚
          ["He "], # 螛
          ["Hu "], # 螜
          ["Hui "], # 螝
          ["Ma "], # 螞
          ["Ming "], # 螟
          ["Yi "], # 螠
          ["Wen "], # 螡
          ["Ying "], # 螢
          ["Teng "], # 螣
          ["Yu "], # 螤
          ["Cang "], # 螥
          ["So "], # 螦
          ["Ebi "], # 螧
          ["Man "], # 螨
          [" "], # 螩
          ["Shang "], # 螪
          ["Zhe "], # 螫
          ["Cao "], # 螬
          ["Chi "], # 螭
          ["Di "], # 螮
          ["Ao "], # 螯
          ["Lu "], # 螰
          ["Wei "], # 螱
          ["Zhi "], # 螲
          ["Tang "], # 螳
          ["Chen "], # 螴
          ["Piao "], # 螵
          ["Qu "], # 螶
          ["Pi "], # 螷
          ["Yu "], # 螸
          ["Jian "], # 螹
          ["Luo "], # 螺
          ["Lou "], # 螻
          ["Qin "], # 螼
          ["Zhong "], # 螽
          ["Yin "], # 螾
          ["Jiang "], # 螿
          ["Shuai "], # 蟀
          ["Wen "], # 蟁
          ["Jiao "], # 蟂
          ["Wan "], # 蟃
          ["Zhi "], # 蟄
          ["Zhe "], # 蟅
          ["Ma "], # 蟆
          ["Ma "], # 蟇
          ["Guo "], # 蟈
          ["Liu "], # 蟉
          ["Mao "], # 蟊
          ["Xi "], # 蟋
          ["Cong "], # 蟌
          ["Li "], # 蟍
          ["Man "], # 蟎
          ["Xiao "], # 蟏
          ["Kamakiri "], # 蟐
          ["Zhang "], # 蟑
          ["Mang "], # 蟒
          ["Xiang "], # 蟓
          ["Mo "], # 蟔
          ["Zui "], # 蟕
          ["Si "], # 蟖
          ["Qiu "], # 蟗
          ["Te "], # 蟘
          ["Zhi "], # 蟙
          ["Peng "], # 蟚
          ["Peng "], # 蟛
          ["Jiao "], # 蟜
          ["Qu "], # 蟝
          ["Bie "], # 蟞
          ["Liao "], # 蟟
          ["Pan "], # 蟠
          ["Gui "], # 蟡
          ["Xi "], # 蟢
          ["Ji "], # 蟣
          ["Zhuan "], # 蟤
          ["Huang "], # 蟥
          ["Fei "], # 蟦
          ["Lao "], # 蟧
          ["Jue "], # 蟨
          ["Jue "], # 蟩
          ["Hui "], # 蟪
          ["Yin "], # 蟫
          ["Chan "], # 蟬
          ["Jiao "], # 蟭
          ["Shan "], # 蟮
          ["Rao "], # 蟯
          ["Xiao "], # 蟰
          ["Mou "], # 蟱
          ["Chong "], # 蟲
          ["Xun "], # 蟳
          ["Si "], # 蟴
          [" "], # 蟵
          ["Cheng "], # 蟶
          ["Dang "], # 蟷
          ["Li "], # 蟸
          ["Xie "], # 蟹
          ["Shan "], # 蟺
          ["Yi "], # 蟻
          ["Jing "], # 蟼
          ["Da "], # 蟽
          ["Chan "], # 蟾
          ["Qi "] # 蟿
        ],
        [
          ["Ci "], # 蠀
          ["Xiang "], # 蠁
          ["She "], # 蠂
          ["Luo "], # 蠃
          ["Qin "], # 蠄
          ["Ying "], # 蠅
          ["Chai "], # 蠆
          ["Li "], # 蠇
          ["Ze "], # 蠈
          ["Xuan "], # 蠉
          ["Lian "], # 蠊
          ["Zhu "], # 蠋
          ["Ze "], # 蠌
          ["Xie "], # 蠍
          ["Mang "], # 蠎
          ["Xie "], # 蠏
          ["Qi "], # 蠐
          ["Rong "], # 蠑
          ["Jian "], # 蠒
          ["Meng "], # 蠓
          ["Hao "], # 蠔
          ["Ruan "], # 蠕
          ["Huo "], # 蠖
          ["Zhuo "], # 蠗
          ["Jie "], # 蠘
          ["Bin "], # 蠙
          ["He "], # 蠚
          ["Mie "], # 蠛
          ["Fan "], # 蠜
          ["Lei "], # 蠝
          ["Jie "], # 蠞
          ["La "], # 蠟
          ["Mi "], # 蠠
          ["Li "], # 蠡
          ["Chun "], # 蠢
          ["Li "], # 蠣
          ["Qiu "], # 蠤
          ["Nie "], # 蠥
          ["Lu "], # 蠦
          ["Du "], # 蠧
          ["Xiao "], # 蠨
          ["Zhu "], # 蠩
          ["Long "], # 蠪
          ["Li "], # 蠫
          ["Long "], # 蠬
          ["Feng "], # 蠭
          ["Ye "], # 蠮
          ["Beng "], # 蠯
          ["Shang "], # 蠰
          ["Gu "], # 蠱
          ["Juan "], # 蠲
          ["Ying "], # 蠳
          [" "], # 蠴
          ["Xi "], # 蠵
          ["Can "], # 蠶
          ["Qu "], # 蠷
          ["Quan "], # 蠸
          ["Du "], # 蠹
          ["Can "], # 蠺
          ["Man "], # 蠻
          ["Jue "], # 蠼
          ["Jie "], # 蠽
          ["Zhu "], # 蠾
          ["Zha "], # 蠿
          ["Xie "], # 血
          ["Huang "], # 衁
          ["Niu "], # 衂
          ["Pei "], # 衃
          ["Nu "], # 衄
          ["Xin "], # 衅
          ["Zhong "], # 衆
          ["Mo "], # 衇
          ["Er "], # 衈
          ["Ke "], # 衉
          ["Mie "], # 衊
          ["Xi "], # 衋
          ["Xing "], # 行
          ["Yan "], # 衍
          ["Kan "], # 衎
          ["Yuan "], # 衏
          [" "], # 衐
          ["Ling "], # 衑
          ["Xuan "], # 衒
          ["Shu "], # 術
          ["Xian "], # 衔
          ["Tong "], # 衕
          ["Long "], # 衖
          ["Jie "], # 街
          ["Xian "], # 衘
          ["Ya "], # 衙
          ["Hu "], # 衚
          ["Wei "], # 衛
          ["Dao "], # 衜
          ["Chong "], # 衝
          ["Wei "], # 衞
          ["Dao "], # 衟
          ["Zhun "], # 衠
          ["Heng "], # 衡
          ["Qu "], # 衢
          ["Yi "], # 衣
          ["Yi "], # 衤
          ["Bu "], # 补
          ["Gan "], # 衦
          ["Yu "], # 衧
          ["Biao "], # 表
          ["Cha "], # 衩
          ["Yi "], # 衪
          ["Shan "], # 衫
          ["Chen "], # 衬
          ["Fu "], # 衭
          ["Gun "], # 衮
          ["Fen "], # 衯
          ["Shuai "], # 衰
          ["Jie "], # 衱
          ["Na "], # 衲
          ["Zhong "], # 衳
          ["Dan "], # 衴
          ["Ri "], # 衵
          ["Zhong "], # 衶
          ["Zhong "], # 衷
          ["Xie "], # 衸
          ["Qi "], # 衹
          ["Xie "], # 衺
          ["Ran "], # 衻
          ["Zhi "], # 衼
          ["Ren "], # 衽
          ["Qin "], # 衾
          ["Jin "], # 衿
          ["Jun "], # 袀
          ["Yuan "], # 袁
          ["Mei "], # 袂
          ["Chai "], # 袃
          ["Ao "], # 袄
          ["Niao "], # 袅
          ["Hui "], # 袆
          ["Ran "], # 袇
          ["Jia "], # 袈
          ["Tuo "], # 袉
          ["Ling "], # 袊
          ["Dai "], # 袋
          ["Bao "], # 袌
          ["Pao "], # 袍
          ["Yao "], # 袎
          ["Zuo "], # 袏
          ["Bi "], # 袐
          ["Shao "], # 袑
          ["Tan "], # 袒
          ["Ju "], # 袓
          ["He "], # 袔
          ["Shu "], # 袕
          ["Xiu "], # 袖
          ["Zhen "], # 袗
          ["Yi "], # 袘
          ["Pa "], # 袙
          ["Bo "], # 袚
          ["Di "], # 袛
          ["Wa "], # 袜
          ["Fu "], # 袝
          ["Gun "], # 袞
          ["Zhi "], # 袟
          ["Zhi "], # 袠
          ["Ran "], # 袡
          ["Pan "], # 袢
          ["Yi "], # 袣
          ["Mao "], # 袤
          ["Tuo "], # 袥
          ["Na "], # 袦
          ["Kou "], # 袧
          ["Xian "], # 袨
          ["Chan "], # 袩
          ["Qu "], # 袪
          ["Bei "], # 被
          ["Gun "], # 袬
          ["Xi "], # 袭
          ["Ne "], # 袮
          ["Bo "], # 袯
          ["Horo "], # 袰
          ["Fu "], # 袱
          ["Yi "], # 袲
          ["Chi "], # 袳
          ["Ku "], # 袴
          ["Ren "], # 袵
          ["Jiang "], # 袶
          ["Jia "], # 袷
          ["Cun "], # 袸
          ["Mo "], # 袹
          ["Jie "], # 袺
          ["Er "], # 袻
          ["Luo "], # 袼
          ["Ru "], # 袽
          ["Zhu "], # 袾
          ["Gui "], # 袿
          ["Yin "], # 裀
          ["Cai "], # 裁
          ["Lie "], # 裂
          ["Kamishimo "], # 裃
          ["Yuki "], # 裄
          ["Zhuang "], # 装
          ["Dang "], # 裆
          [" "], # 裇
          ["Kun "], # 裈
          ["Ken "], # 裉
          ["Niao "], # 裊
          ["Shu "], # 裋
          ["Jia "], # 裌
          ["Kun "], # 裍
          ["Cheng "], # 裎
          ["Li "], # 裏
          ["Juan "], # 裐
          ["Shen "], # 裑
          ["Pou "], # 裒
          ["Ge "], # 裓
          ["Yi "], # 裔
          ["Yu "], # 裕
          ["Zhen "], # 裖
          ["Liu "], # 裗
          ["Qiu "], # 裘
          ["Qun "], # 裙
          ["Ji "], # 裚
          ["Yi "], # 裛
          ["Bu "], # 補
          ["Zhuang "], # 裝
          ["Shui "], # 裞
          ["Sha "], # 裟
          ["Qun "], # 裠
          ["Li "], # 裡
          ["Lian "], # 裢
          ["Lian "], # 裣
          ["Ku "], # 裤
          ["Jian "], # 裥
          ["Fou "], # 裦
          ["Chan "], # 裧
          ["Bi "], # 裨
          ["Gun "], # 裩
          ["Tao "], # 裪
          ["Yuan "], # 裫
          ["Ling "], # 裬
          ["Chi "], # 裭
          ["Chang "], # 裮
          ["Chou "], # 裯
          ["Duo "], # 裰
          ["Biao "], # 裱
          ["Liang "], # 裲
          ["Chang "], # 裳
          ["Pei "], # 裴
          ["Pei "], # 裵
          ["Fei "], # 裶
          ["Yuan "], # 裷
          ["Luo "], # 裸
          ["Guo "], # 裹
          ["Yan "], # 裺
          ["Du "], # 裻
          ["Xi "], # 裼
          ["Zhi "], # 製
          ["Ju "], # 裾
          ["Qi "] # 裿
        ],
        [
          ["Ji "], # 褀
          ["Zhi "], # 褁
          ["Gua "], # 褂
          ["Ken "], # 褃
          ["Che "], # 褄
          ["Ti "], # 褅
          ["Ti "], # 褆
          ["Fu "], # 複
          ["Chong "], # 褈
          ["Xie "], # 褉
          ["Bian "], # 褊
          ["Die "], # 褋
          ["Kun "], # 褌
          ["Duan "], # 褍
          ["Xiu "], # 褎
          ["Xiu "], # 褏
          ["He "], # 褐
          ["Yuan "], # 褑
          ["Bao "], # 褒
          ["Bao "], # 褓
          ["Fu "], # 褔
          ["Yu "], # 褕
          ["Tuan "], # 褖
          ["Yan "], # 褗
          ["Hui "], # 褘
          ["Bei "], # 褙
          ["Chu "], # 褚
          ["Lu "], # 褛
          ["Ena "], # 褜
          ["Hitoe "], # 褝
          ["Yun "], # 褞
          ["Da "], # 褟
          ["Gou "], # 褠
          ["Da "], # 褡
          ["Huai "], # 褢
          ["Rong "], # 褣
          ["Yuan "], # 褤
          ["Ru "], # 褥
          ["Nai "], # 褦
          ["Jiong "], # 褧
          ["Suo "], # 褨
          ["Ban "], # 褩
          ["Tun "], # 褪
          ["Chi "], # 褫
          ["Sang "], # 褬
          ["Niao "], # 褭
          ["Ying "], # 褮
          ["Jie "], # 褯
          ["Qian "], # 褰
          ["Huai "], # 褱
          ["Ku "], # 褲
          ["Lian "], # 褳
          ["Bao "], # 褴
          ["Li "], # 褵
          ["Zhe "], # 褶
          ["Shi "], # 褷
          ["Lu "], # 褸
          ["Yi "], # 褹
          ["Die "], # 褺
          ["Xie "], # 褻
          ["Xian "], # 褼
          ["Wei "], # 褽
          ["Biao "], # 褾
          ["Cao "], # 褿
          ["Ji "], # 襀
          ["Jiang "], # 襁
          ["Sen "], # 襂
          ["Bao "], # 襃
          ["Xiang "], # 襄
          ["Chihaya "], # 襅
          ["Pu "], # 襆
          ["Jian "], # 襇
          ["Zhuan "], # 襈
          ["Jian "], # 襉
          ["Zui "], # 襊
          ["Ji "], # 襋
          ["Dan "], # 襌
          ["Za "], # 襍
          ["Fan "], # 襎
          ["Bo "], # 襏
          ["Xiang "], # 襐
          ["Xin "], # 襑
          ["Bie "], # 襒
          ["Rao "], # 襓
          ["Man "], # 襔
          ["Lan "], # 襕
          ["Ao "], # 襖
          ["Duo "], # 襗
          ["Gui "], # 襘
          ["Cao "], # 襙
          ["Sui "], # 襚
          ["Nong "], # 襛
          ["Chan "], # 襜
          ["Lian "], # 襝
          ["Bi "], # 襞
          ["Jin "], # 襟
          ["Dang "], # 襠
          ["Shu "], # 襡
          ["Tan "], # 襢
          ["Bi "], # 襣
          ["Lan "], # 襤
          ["Pu "], # 襥
          ["Ru "], # 襦
          ["Zhi "], # 襧
          [" "], # 襨
          ["Shu "], # 襩
          ["Wa "], # 襪
          ["Shi "], # 襫
          ["Bai "], # 襬
          ["Xie "], # 襭
          ["Bo "], # 襮
          ["Chen "], # 襯
          ["Lai "], # 襰
          ["Long "], # 襱
          ["Xi "], # 襲
          ["Xian "], # 襳
          ["Lan "], # 襴
          ["Zhe "], # 襵
          ["Dai "], # 襶
          ["Tasuki "], # 襷
          ["Zan "], # 襸
          ["Shi "], # 襹
          ["Jian "], # 襺
          ["Pan "], # 襻
          ["Yi "], # 襼
          ["Ran "], # 襽
          ["Ya "], # 襾
          ["Xi "], # 西
          ["Xi "], # 覀
          ["Yao "], # 要
          ["Feng "], # 覂
          ["Tan "], # 覃
          [" "], # 覄
          ["Biao "], # 覅
          ["Fu "], # 覆
          ["Ba "], # 覇
          ["He "], # 覈
          ["Ji "], # 覉
          ["Ji "], # 覊
          ["Jian "], # 見
          ["Guan "], # 覌
          ["Bian "], # 覍
          ["Yan "], # 覎
          ["Gui "], # 規
          ["Jue "], # 覐
          ["Pian "], # 覑
          ["Mao "], # 覒
          ["Mi "], # 覓
          ["Mi "], # 覔
          ["Mie "], # 覕
          ["Shi "], # 視
          ["Si "], # 覗
          ["Zhan "], # 覘
          ["Luo "], # 覙
          ["Jue "], # 覚
          ["Mi "], # 覛
          ["Tiao "], # 覜
          ["Lian "], # 覝
          ["Yao "], # 覞
          ["Zhi "], # 覟
          ["Jun "], # 覠
          ["Xi "], # 覡
          ["Shan "], # 覢
          ["Wei "], # 覣
          ["Xi "], # 覤
          ["Tian "], # 覥
          ["Yu "], # 覦
          ["Lan "], # 覧
          ["E "], # 覨
          ["Du "], # 覩
          ["Qin "], # 親
          ["Pang "], # 覫
          ["Ji "], # 覬
          ["Ming "], # 覭
          ["Ying "], # 覮
          ["Gou "], # 覯
          ["Qu "], # 覰
          ["Zhan "], # 覱
          ["Jin "], # 覲
          ["Guan "], # 観
          ["Deng "], # 覴
          ["Jian "], # 覵
          ["Luo "], # 覶
          ["Qu "], # 覷
          ["Jian "], # 覸
          ["Wei "], # 覹
          ["Jue "], # 覺
          ["Qu "], # 覻
          ["Luo "], # 覼
          ["Lan "], # 覽
          ["Shen "], # 覾
          ["Di "], # 覿
          ["Guan "], # 觀
          ["Jian "], # 见
          ["Guan "], # 观
          ["Yan "], # 觃
          ["Gui "], # 规
          ["Mi "], # 觅
          ["Shi "], # 视
          ["Zhan "], # 觇
          ["Lan "], # 览
          ["Jue "], # 觉
          ["Ji "], # 觊
          ["Xi "], # 觋
          ["Di "], # 觌
          ["Tian "], # 觍
          ["Yu "], # 觎
          ["Gou "], # 觏
          ["Jin "], # 觐
          ["Qu "], # 觑
          ["Jiao "], # 角
          ["Jiu "], # 觓
          ["Jin "], # 觔
          ["Cu "], # 觕
          ["Jue "], # 觖
          ["Zhi "], # 觗
          ["Chao "], # 觘
          ["Ji "], # 觙
          ["Gu "], # 觚
          ["Dan "], # 觛
          ["Zui "], # 觜
          ["Di "], # 觝
          ["Shang "], # 觞
          ["Hua "], # 觟
          ["Quan "], # 觠
          ["Ge "], # 觡
          ["Chi "], # 觢
          ["Jie "], # 解
          ["Gui "], # 觤
          ["Gong "], # 觥
          ["Hong "], # 触
          ["Jie "], # 觧
          ["Hun "], # 觨
          ["Qiu "], # 觩
          ["Xing "], # 觪
          ["Su "], # 觫
          ["Ni "], # 觬
          ["Ji "], # 觭
          ["Lu "], # 觮
          ["Zhi "], # 觯
          ["Zha "], # 觰
          ["Bi "], # 觱
          ["Xing "], # 觲
          ["Hu "], # 觳
          ["Shang "], # 觴
          ["Gong "], # 觵
          ["Zhi "], # 觶
          ["Xue "], # 觷
          ["Chu "], # 觸
          ["Xi "], # 觹
          ["Yi "], # 觺
          ["Lu "], # 觻
          ["Jue "], # 觼
          ["Xi "], # 觽
          ["Yan "], # 觾
          ["Xi "] # 觿
        ],
        [
          ["Yan "], # 言
          ["Yan "], # 訁
          ["Ding "], # 訂
          ["Fu "], # 訃
          ["Qiu "], # 訄
          ["Qiu "], # 訅
          ["Jiao "], # 訆
          ["Hong "], # 訇
          ["Ji "], # 計
          ["Fan "], # 訉
          ["Xun "], # 訊
          ["Diao "], # 訋
          ["Hong "], # 訌
          ["Cha "], # 訍
          ["Tao "], # 討
          ["Xu "], # 訏
          ["Jie "], # 訐
          ["Yi "], # 訑
          ["Ren "], # 訒
          ["Xun "], # 訓
          ["Yin "], # 訔
          ["Shan "], # 訕
          ["Qi "], # 訖
          ["Tuo "], # 託
          ["Ji "], # 記
          ["Xun "], # 訙
          ["Yin "], # 訚
          ["E "], # 訛
          ["Fen "], # 訜
          ["Ya "], # 訝
          ["Yao "], # 訞
          ["Song "], # 訟
          ["Shen "], # 訠
          ["Yin "], # 訡
          ["Xin "], # 訢
          ["Jue "], # 訣
          ["Xiao "], # 訤
          ["Ne "], # 訥
          ["Chen "], # 訦
          ["You "], # 訧
          ["Zhi "], # 訨
          ["Xiong "], # 訩
          ["Fang "], # 訪
          ["Xin "], # 訫
          ["Chao "], # 訬
          ["She "], # 設
          ["Xian "], # 訮
          ["Sha "], # 訯
          ["Tun "], # 訰
          ["Xu "], # 許
          ["Yi "], # 訲
          ["Yi "], # 訳
          ["Su "], # 訴
          ["Chi "], # 訵
          ["He "], # 訶
          ["Shen "], # 訷
          ["He "], # 訸
          ["Xu "], # 訹
          ["Zhen "], # 診
          ["Zhu "], # 註
          ["Zheng "], # 証
          ["Gou "], # 訽
          ["Zi "], # 訾
          ["Zi "], # 訿
          ["Zhan "], # 詀
          ["Gu "], # 詁
          ["Fu "], # 詂
          ["Quan "], # 詃
          ["Die "], # 詄
          ["Ling "], # 詅
          ["Di "], # 詆
          ["Yang "], # 詇
          ["Li "], # 詈
          ["Nao "], # 詉
          ["Pan "], # 詊
          ["Zhou "], # 詋
          ["Gan "], # 詌
          ["Yi "], # 詍
          ["Ju "], # 詎
          ["Ao "], # 詏
          ["Zha "], # 詐
          ["Tuo "], # 詑
          ["Yi "], # 詒
          ["Qu "], # 詓
          ["Zhao "], # 詔
          ["Ping "], # 評
          ["Bi "], # 詖
          ["Xiong "], # 詗
          ["Qu "], # 詘
          ["Ba "], # 詙
          ["Da "], # 詚
          ["Zu "], # 詛
          ["Tao "], # 詜
          ["Zhu "], # 詝
          ["Ci "], # 詞
          ["Zhe "], # 詟
          ["Yong "], # 詠
          ["Xu "], # 詡
          ["Xun "], # 詢
          ["Yi "], # 詣
          ["Huang "], # 詤
          ["He "], # 詥
          ["Shi "], # 試
          ["Cha "], # 詧
          ["Jiao "], # 詨
          ["Shi "], # 詩
          ["Hen "], # 詪
          ["Cha "], # 詫
          ["Gou "], # 詬
          ["Gui "], # 詭
          ["Quan "], # 詮
          ["Hui "], # 詯
          ["Jie "], # 詰
          ["Hua "], # 話
          ["Gai "], # 該
          ["Xiang "], # 詳
          ["Wei "], # 詴
          ["Shen "], # 詵
          ["Chou "], # 詶
          ["Tong "], # 詷
          ["Mi "], # 詸
          ["Zhan "], # 詹
          ["Ming "], # 詺
          ["E "], # 詻
          ["Hui "], # 詼
          ["Yan "], # 詽
          ["Xiong "], # 詾
          ["Gua "], # 詿
          ["Er "], # 誀
          ["Beng "], # 誁
          ["Tiao "], # 誂
          ["Chi "], # 誃
          ["Lei "], # 誄
          ["Zhu "], # 誅
          ["Kuang "], # 誆
          ["Kua "], # 誇
          ["Wu "], # 誈
          ["Yu "], # 誉
          ["Teng "], # 誊
          ["Ji "], # 誋
          ["Zhi "], # 誌
          ["Ren "], # 認
          ["Su "], # 誎
          ["Lang "], # 誏
          ["E "], # 誐
          ["Kuang "], # 誑
          ["E "], # 誒
          ["Shi "], # 誓
          ["Ting "], # 誔
          ["Dan "], # 誕
          ["Bo "], # 誖
          ["Chan "], # 誗
          ["You "], # 誘
          ["Heng "], # 誙
          ["Qiao "], # 誚
          ["Qin "], # 誛
          ["Shua "], # 誜
          ["An "], # 誝
          ["Yu "], # 語
          ["Xiao "], # 誟
          ["Cheng "], # 誠
          ["Jie "], # 誡
          ["Xian "], # 誢
          ["Wu "], # 誣
          ["Wu "], # 誤
          ["Gao "], # 誥
          ["Song "], # 誦
          ["Pu "], # 誧
          ["Hui "], # 誨
          ["Jing "], # 誩
          ["Shuo "], # 說
          ["Zhen "], # 誫
          ["Shuo "], # 説
          ["Du "], # 読
          ["Yasashi "], # 誮
          ["Chang "], # 誯
          ["Shui "], # 誰
          ["Jie "], # 誱
          ["Ke "], # 課
          ["Qu "], # 誳
          ["Cong "], # 誴
          ["Xiao "], # 誵
          ["Sui "], # 誶
          ["Wang "], # 誷
          ["Xuan "], # 誸
          ["Fei "], # 誹
          ["Chi "], # 誺
          ["Ta "], # 誻
          ["Yi "], # 誼
          ["Na "], # 誽
          ["Yin "], # 誾
          ["Diao "], # 調
          ["Pi "], # 諀
          ["Chuo "], # 諁
          ["Chan "], # 諂
          ["Chen "], # 諃
          ["Zhun "], # 諄
          ["Ji "], # 諅
          ["Qi "], # 諆
          ["Tan "], # 談
          ["Zhui "], # 諈
          ["Wei "], # 諉
          ["Ju "], # 諊
          ["Qing "], # 請
          ["Jian "], # 諌
          ["Zheng "], # 諍
          ["Ze "], # 諎
          ["Zou "], # 諏
          ["Qian "], # 諐
          ["Zhuo "], # 諑
          ["Liang "], # 諒
          ["Jian "], # 諓
          ["Zhu "], # 諔
          ["Hao "], # 諕
          ["Lun "], # 論
          ["Shen "], # 諗
          ["Biao "], # 諘
          ["Huai "], # 諙
          ["Pian "], # 諚
          ["Yu "], # 諛
          ["Die "], # 諜
          ["Xu "], # 諝
          ["Pian "], # 諞
          ["Shi "], # 諟
          ["Xuan "], # 諠
          ["Shi "], # 諡
          ["Hun "], # 諢
          ["Hua "], # 諣
          ["E "], # 諤
          ["Zhong "], # 諥
          ["Di "], # 諦
          ["Xie "], # 諧
          ["Fu "], # 諨
          ["Pu "], # 諩
          ["Ting "], # 諪
          ["Jian "], # 諫
          ["Qi "], # 諬
          ["Yu "], # 諭
          ["Zi "], # 諮
          ["Chuan "], # 諯
          ["Xi "], # 諰
          ["Hui "], # 諱
          ["Yin "], # 諲
          ["An "], # 諳
          ["Xian "], # 諴
          ["Nan "], # 諵
          ["Chen "], # 諶
          ["Feng "], # 諷
          ["Zhu "], # 諸
          ["Yang "], # 諹
          ["Yan "], # 諺
          ["Heng "], # 諻
          ["Xuan "], # 諼
          ["Ge "], # 諽
          ["Nuo "], # 諾
          ["Qi "] # 諿
        ],
        [
          ["Mou "], # 謀
          ["Ye "], # 謁
          ["Wei "], # 謂
          [" "], # 謃
          ["Teng "], # 謄
          ["Zou "], # 謅
          ["Shan "], # 謆
          ["Jian "], # 謇
          ["Bo "], # 謈
          ["Ku "], # 謉
          ["Huang "], # 謊
          ["Huo "], # 謋
          ["Ge "], # 謌
          ["Ying "], # 謍
          ["Mi "], # 謎
          ["Xiao "], # 謏
          ["Mi "], # 謐
          ["Xi "], # 謑
          ["Qiang "], # 謒
          ["Chen "], # 謓
          ["Nue "], # 謔
          ["Ti "], # 謕
          ["Su "], # 謖
          ["Bang "], # 謗
          ["Chi "], # 謘
          ["Qian "], # 謙
          ["Shi "], # 謚
          ["Jiang "], # 講
          ["Yuan "], # 謜
          ["Xie "], # 謝
          ["Xue "], # 謞
          ["Tao "], # 謟
          ["Yao "], # 謠
          ["Yao "], # 謡
          [" "], # 謢
          ["Yu "], # 謣
          ["Biao "], # 謤
          ["Cong "], # 謥
          ["Qing "], # 謦
          ["Li "], # 謧
          ["Mo "], # 謨
          ["Mo "], # 謩
          ["Shang "], # 謪
          ["Zhe "], # 謫
          ["Miu "], # 謬
          ["Jian "], # 謭
          ["Ze "], # 謮
          ["Jie "], # 謯
          ["Lian "], # 謰
          ["Lou "], # 謱
          ["Can "], # 謲
          ["Ou "], # 謳
          ["Guan "], # 謴
          ["Xi "], # 謵
          ["Zhuo "], # 謶
          ["Ao "], # 謷
          ["Ao "], # 謸
          ["Jin "], # 謹
          ["Zhe "], # 謺
          ["Yi "], # 謻
          ["Hu "], # 謼
          ["Jiang "], # 謽
          ["Man "], # 謾
          ["Chao "], # 謿
          ["Han "], # 譀
          ["Hua "], # 譁
          ["Chan "], # 譂
          ["Xu "], # 譃
          ["Zeng "], # 譄
          ["Se "], # 譅
          ["Xi "], # 譆
          ["She "], # 譇
          ["Dui "], # 譈
          ["Zheng "], # 證
          ["Nao "], # 譊
          ["Lan "], # 譋
          ["E "], # 譌
          ["Ying "], # 譍
          ["Jue "], # 譎
          ["Ji "], # 譏
          ["Zun "], # 譐
          ["Jiao "], # 譑
          ["Bo "], # 譒
          ["Hui "], # 譓
          ["Zhuan "], # 譔
          ["Mu "], # 譕
          ["Zen "], # 譖
          ["Zha "], # 譗
          ["Shi "], # 識
          ["Qiao "], # 譙
          ["Tan "], # 譚
          ["Zen "], # 譛
          ["Pu "], # 譜
          ["Sheng "], # 譝
          ["Xuan "], # 譞
          ["Zao "], # 譟
          ["Tan "], # 譠
          ["Dang "], # 譡
          ["Sui "], # 譢
          ["Qian "], # 譣
          ["Ji "], # 譤
          ["Jiao "], # 譥
          ["Jing "], # 警
          ["Lian "], # 譧
          ["Nou "], # 譨
          ["Yi "], # 譩
          ["Ai "], # 譪
          ["Zhan "], # 譫
          ["Pi "], # 譬
          ["Hui "], # 譭
          ["Hua "], # 譮
          ["Yi "], # 譯
          ["Yi "], # 議
          ["Shan "], # 譱
          ["Rang "], # 譲
          ["Nou "], # 譳
          ["Qian "], # 譴
          ["Zhui "], # 譵
          ["Ta "], # 譶
          ["Hu "], # 護
          ["Zhou "], # 譸
          ["Hao "], # 譹
          ["Ye "], # 譺
          ["Ying "], # 譻
          ["Jian "], # 譼
          ["Yu "], # 譽
          ["Jian "], # 譾
          ["Hui "], # 譿
          ["Du "], # 讀
          ["Zhe "], # 讁
          ["Xuan "], # 讂
          ["Zan "], # 讃
          ["Lei "], # 讄
          ["Shen "], # 讅
          ["Wei "], # 讆
          ["Chan "], # 讇
          ["Li "], # 讈
          ["Yi "], # 讉
          ["Bian "], # 變
          ["Zhe "], # 讋
          ["Yan "], # 讌
          ["E "], # 讍
          ["Chou "], # 讎
          ["Wei "], # 讏
          ["Chou "], # 讐
          ["Yao "], # 讑
          ["Chan "], # 讒
          ["Rang "], # 讓
          ["Yin "], # 讔
          ["Lan "], # 讕
          ["Chen "], # 讖
          ["Huo "], # 讗
          ["Zhe "], # 讘
          ["Huan "], # 讙
          ["Zan "], # 讚
          ["Yi "], # 讛
          ["Dang "], # 讜
          ["Zhan "], # 讝
          ["Yan "], # 讞
          ["Du "], # 讟
          ["Yan "], # 讠
          ["Ji "], # 计
          ["Ding "], # 订
          ["Fu "], # 讣
          ["Ren "], # 认
          ["Ji "], # 讥
          ["Jie "], # 讦
          ["Hong "], # 讧
          ["Tao "], # 讨
          ["Rang "], # 让
          ["Shan "], # 讪
          ["Qi "], # 讫
          ["Tuo "], # 讬
          ["Xun "], # 训
          ["Yi "], # 议
          ["Xun "], # 讯
          ["Ji "], # 记
          ["Ren "], # 讱
          ["Jiang "], # 讲
          ["Hui "], # 讳
          ["Ou "], # 讴
          ["Ju "], # 讵
          ["Ya "], # 讶
          ["Ne "], # 讷
          ["Xu "], # 许
          ["E "], # 讹
          ["Lun "], # 论
          ["Xiong "], # 讻
          ["Song "], # 讼
          ["Feng "], # 讽
          ["She "], # 设
          ["Fang "], # 访
          ["Jue "], # 诀
          ["Zheng "], # 证
          ["Gu "], # 诂
          ["He "], # 诃
          ["Ping "], # 评
          ["Zu "], # 诅
          ["Shi "], # 识
          ["Xiong "], # 诇
          ["Zha "], # 诈
          ["Su "], # 诉
          ["Zhen "], # 诊
          ["Di "], # 诋
          ["Zou "], # 诌
          ["Ci "], # 词
          ["Qu "], # 诎
          ["Zhao "], # 诏
          ["Bi "], # 诐
          ["Yi "], # 译
          ["Yi "], # 诒
          ["Kuang "], # 诓
          ["Lei "], # 诔
          ["Shi "], # 试
          ["Gua "], # 诖
          ["Shi "], # 诗
          ["Jie "], # 诘
          ["Hui "], # 诙
          ["Cheng "], # 诚
          ["Zhu "], # 诛
          ["Shen "], # 诜
          ["Hua "], # 话
          ["Dan "], # 诞
          ["Gou "], # 诟
          ["Quan "], # 诠
          ["Gui "], # 诡
          ["Xun "], # 询
          ["Yi "], # 诣
          ["Zheng "], # 诤
          ["Gai "], # 该
          ["Xiang "], # 详
          ["Cha "], # 诧
          ["Hun "], # 诨
          ["Xu "], # 诩
          ["Zhou "], # 诪
          ["Jie "], # 诫
          ["Wu "], # 诬
          ["Yu "], # 语
          ["Qiao "], # 诮
          ["Wu "], # 误
          ["Gao "], # 诰
          ["You "], # 诱
          ["Hui "], # 诲
          ["Kuang "], # 诳
          ["Shuo "], # 说
          ["Song "], # 诵
          ["Ai "], # 诶
          ["Qing "], # 请
          ["Zhu "], # 诸
          ["Zou "], # 诹
          ["Nuo "], # 诺
          ["Du "], # 读
          ["Zhuo "], # 诼
          ["Fei "], # 诽
          ["Ke "], # 课
          ["Wei "] # 诿
        ],
        [
          ["Yu "], # 谀
          ["Shui "], # 谁
          ["Shen "], # 谂
          ["Diao "], # 调
          ["Chan "], # 谄
          ["Liang "], # 谅
          ["Zhun "], # 谆
          ["Sui "], # 谇
          ["Tan "], # 谈
          ["Shen "], # 谉
          ["Yi "], # 谊
          ["Mou "], # 谋
          ["Chen "], # 谌
          ["Die "], # 谍
          ["Huang "], # 谎
          ["Jian "], # 谏
          ["Xie "], # 谐
          ["Nue "], # 谑
          ["Ye "], # 谒
          ["Wei "], # 谓
          ["E "], # 谔
          ["Yu "], # 谕
          ["Xuan "], # 谖
          ["Chan "], # 谗
          ["Zi "], # 谘
          ["An "], # 谙
          ["Yan "], # 谚
          ["Di "], # 谛
          ["Mi "], # 谜
          ["Pian "], # 谝
          ["Xu "], # 谞
          ["Mo "], # 谟
          ["Dang "], # 谠
          ["Su "], # 谡
          ["Xie "], # 谢
          ["Yao "], # 谣
          ["Bang "], # 谤
          ["Shi "], # 谥
          ["Qian "], # 谦
          ["Mi "], # 谧
          ["Jin "], # 谨
          ["Man "], # 谩
          ["Zhe "], # 谪
          ["Jian "], # 谫
          ["Miu "], # 谬
          ["Tan "], # 谭
          ["Zen "], # 谮
          ["Qiao "], # 谯
          ["Lan "], # 谰
          ["Pu "], # 谱
          ["Jue "], # 谲
          ["Yan "], # 谳
          ["Qian "], # 谴
          ["Zhan "], # 谵
          ["Chen "], # 谶
          ["Gu "], # 谷
          ["Qian "], # 谸
          ["Hong "], # 谹
          ["Xia "], # 谺
          ["Jue "], # 谻
          ["Hong "], # 谼
          ["Han "], # 谽
          ["Hong "], # 谾
          ["Xi "], # 谿
          ["Xi "], # 豀
          ["Huo "], # 豁
          ["Liao "], # 豂
          ["Han "], # 豃
          ["Du "], # 豄
          ["Long "], # 豅
          ["Dou "], # 豆
          ["Jiang "], # 豇
          ["Qi "], # 豈
          ["Shi "], # 豉
          ["Li "], # 豊
          ["Deng "], # 豋
          ["Wan "], # 豌
          ["Bi "], # 豍
          ["Shu "], # 豎
          ["Xian "], # 豏
          ["Feng "], # 豐
          ["Zhi "], # 豑
          ["Zhi "], # 豒
          ["Yan "], # 豓
          ["Yan "], # 豔
          ["Shi "], # 豕
          ["Chu "], # 豖
          ["Hui "], # 豗
          ["Tun "], # 豘
          ["Yi "], # 豙
          ["Tun "], # 豚
          ["Yi "], # 豛
          ["Jian "], # 豜
          ["Ba "], # 豝
          ["Hou "], # 豞
          ["E "], # 豟
          ["Cu "], # 豠
          ["Xiang "], # 象
          ["Huan "], # 豢
          ["Jian "], # 豣
          ["Ken "], # 豤
          ["Gai "], # 豥
          ["Qu "], # 豦
          ["Fu "], # 豧
          ["Xi "], # 豨
          ["Bin "], # 豩
          ["Hao "], # 豪
          ["Yu "], # 豫
          ["Zhu "], # 豬
          ["Jia "], # 豭
          [" "], # 豮
          ["Xi "], # 豯
          ["Bo "], # 豰
          ["Wen "], # 豱
          ["Huan "], # 豲
          ["Bin "], # 豳
          ["Di "], # 豴
          ["Zong "], # 豵
          ["Fen "], # 豶
          ["Yi "], # 豷
          ["Zhi "], # 豸
          ["Bao "], # 豹
          ["Chai "], # 豺
          ["Han "], # 豻
          ["Pi "], # 豼
          ["Na "], # 豽
          ["Pi "], # 豾
          ["Gou "], # 豿
          ["Na "], # 貀
          ["You "], # 貁
          ["Diao "], # 貂
          ["Mo "], # 貃
          ["Si "], # 貄
          ["Xiu "], # 貅
          ["Huan "], # 貆
          ["Kun "], # 貇
          ["He "], # 貈
          ["He "], # 貉
          ["Mo "], # 貊
          ["Han "], # 貋
          ["Mao "], # 貌
          ["Li "], # 貍
          ["Ni "], # 貎
          ["Bi "], # 貏
          ["Yu "], # 貐
          ["Jia "], # 貑
          ["Tuan "], # 貒
          ["Mao "], # 貓
          ["Pi "], # 貔
          ["Xi "], # 貕
          ["E "], # 貖
          ["Ju "], # 貗
          ["Mo "], # 貘
          ["Chu "], # 貙
          ["Tan "], # 貚
          ["Huan "], # 貛
          ["Jue "], # 貜
          ["Bei "], # 貝
          ["Zhen "], # 貞
          ["Yuan "], # 貟
          ["Fu "], # 負
          ["Cai "], # 財
          ["Gong "], # 貢
          ["Te "], # 貣
          ["Yi "], # 貤
          ["Hang "], # 貥
          ["Wan "], # 貦
          ["Pin "], # 貧
          ["Huo "], # 貨
          ["Fan "], # 販
          ["Tan "], # 貪
          ["Guan "], # 貫
          ["Ze "], # 責
          ["Zhi "], # 貭
          ["Er "], # 貮
          ["Zhu "], # 貯
          ["Shi "], # 貰
          ["Bi "], # 貱
          ["Zi "], # 貲
          ["Er "], # 貳
          ["Gui "], # 貴
          ["Pian "], # 貵
          ["Bian "], # 貶
          ["Mai "], # 買
          ["Dai "], # 貸
          ["Sheng "], # 貹
          ["Kuang "], # 貺
          ["Fei "], # 費
          ["Tie "], # 貼
          ["Yi "], # 貽
          ["Chi "], # 貾
          ["Mao "], # 貿
          ["He "], # 賀
          ["Bi "], # 賁
          ["Lu "], # 賂
          ["Ren "], # 賃
          ["Hui "], # 賄
          ["Gai "], # 賅
          ["Pian "], # 賆
          ["Zi "], # 資
          ["Jia "], # 賈
          ["Xu "], # 賉
          ["Zei "], # 賊
          ["Jiao "], # 賋
          ["Gai "], # 賌
          ["Zang "], # 賍
          ["Jian "], # 賎
          ["Ying "], # 賏
          ["Xun "], # 賐
          ["Zhen "], # 賑
          ["She "], # 賒
          ["Bin "], # 賓
          ["Bin "], # 賔
          ["Qiu "], # 賕
          ["She "], # 賖
          ["Chuan "], # 賗
          ["Zang "], # 賘
          ["Zhou "], # 賙
          ["Lai "], # 賚
          ["Zan "], # 賛
          ["Si "], # 賜
          ["Chen "], # 賝
          ["Shang "], # 賞
          ["Tian "], # 賟
          ["Pei "], # 賠
          ["Geng "], # 賡
          ["Xian "], # 賢
          ["Mai "], # 賣
          ["Jian "], # 賤
          ["Sui "], # 賥
          ["Fu "], # 賦
          ["Tan "], # 賧
          ["Cong "], # 賨
          ["Cong "], # 賩
          ["Zhi "], # 質
          ["Ji "], # 賫
          ["Zhang "], # 賬
          ["Du "], # 賭
          ["Jin "], # 賮
          ["Xiong "], # 賯
          ["Shun "], # 賰
          ["Yun "], # 賱
          ["Bao "], # 賲
          ["Zai "], # 賳
          ["Lai "], # 賴
          ["Feng "], # 賵
          ["Cang "], # 賶
          ["Ji "], # 賷
          ["Sheng "], # 賸
          ["Ai "], # 賹
          ["Zhuan "], # 賺
          ["Fu "], # 賻
          ["Gou "], # 購
          ["Sai "], # 賽
          ["Ze "], # 賾
          ["Liao "] # 賿
        ],
        [
          ["Wei "], # 贀
          ["Bai "], # 贁
          ["Chen "], # 贂
          ["Zhuan "], # 贃
          ["Zhi "], # 贄
          ["Zhui "], # 贅
          ["Biao "], # 贆
          ["Yun "], # 贇
          ["Zeng "], # 贈
          ["Tan "], # 贉
          ["Zan "], # 贊
          ["Yan "], # 贋
          [" "], # 贌
          ["Shan "], # 贍
          ["Wan "], # 贎
          ["Ying "], # 贏
          ["Jin "], # 贐
          ["Gan "], # 贑
          ["Xian "], # 贒
          ["Zang "], # 贓
          ["Bi "], # 贔
          ["Du "], # 贕
          ["Shu "], # 贖
          ["Yan "], # 贗
          [" "], # 贘
          ["Xuan "], # 贙
          ["Long "], # 贚
          ["Gan "], # 贛
          ["Zang "], # 贜
          ["Bei "], # 贝
          ["Zhen "], # 贞
          ["Fu "], # 负
          ["Yuan "], # 贠
          ["Gong "], # 贡
          ["Cai "], # 财
          ["Ze "], # 责
          ["Xian "], # 贤
          ["Bai "], # 败
          ["Zhang "], # 账
          ["Huo "], # 货
          ["Zhi "], # 质
          ["Fan "], # 贩
          ["Tan "], # 贪
          ["Pin "], # 贫
          ["Bian "], # 贬
          ["Gou "], # 购
          ["Zhu "], # 贮
          ["Guan "], # 贯
          ["Er "], # 贰
          ["Jian "], # 贱
          ["Bi "], # 贲
          ["Shi "], # 贳
          ["Tie "], # 贴
          ["Gui "], # 贵
          ["Kuang "], # 贶
          ["Dai "], # 贷
          ["Mao "], # 贸
          ["Fei "], # 费
          ["He "], # 贺
          ["Yi "], # 贻
          ["Zei "], # 贼
          ["Zhi "], # 贽
          ["Jia "], # 贾
          ["Hui "], # 贿
          ["Zi "], # 赀
          ["Ren "], # 赁
          ["Lu "], # 赂
          ["Zang "], # 赃
          ["Zi "], # 资
          ["Gai "], # 赅
          ["Jin "], # 赆
          ["Qiu "], # 赇
          ["Zhen "], # 赈
          ["Lai "], # 赉
          ["She "], # 赊
          ["Fu "], # 赋
          ["Du "], # 赌
          ["Ji "], # 赍
          ["Shu "], # 赎
          ["Shang "], # 赏
          ["Si "], # 赐
          ["Bi "], # 赑
          ["Zhou "], # 赒
          ["Geng "], # 赓
          ["Pei "], # 赔
          ["Tan "], # 赕
          ["Lai "], # 赖
          ["Feng "], # 赗
          ["Zhui "], # 赘
          ["Fu "], # 赙
          ["Zhuan "], # 赚
          ["Sai "], # 赛
          ["Ze "], # 赜
          ["Yan "], # 赝
          ["Zan "], # 赞
          ["Yun "], # 赟
          ["Zeng "], # 赠
          ["Shan "], # 赡
          ["Ying "], # 赢
          ["Gan "], # 赣
          ["Chi "], # 赤
          ["Xi "], # 赥
          ["She "], # 赦
          ["Nan "], # 赧
          ["Xiong "], # 赨
          ["Xi "], # 赩
          ["Cheng "], # 赪
          ["He "], # 赫
          ["Cheng "], # 赬
          ["Zhe "], # 赭
          ["Xia "], # 赮
          ["Tang "], # 赯
          ["Zou "], # 走
          ["Zou "], # 赱
          ["Li "], # 赲
          ["Jiu "], # 赳
          ["Fu "], # 赴
          ["Zhao "], # 赵
          ["Gan "], # 赶
          ["Qi "], # 起
          ["Shan "], # 赸
          ["Qiong "], # 赹
          ["Qin "], # 赺
          ["Xian "], # 赻
          ["Ci "], # 赼
          ["Jue "], # 赽
          ["Qin "], # 赾
          ["Chi "], # 赿
          ["Ci "], # 趀
          ["Chen "], # 趁
          ["Chen "], # 趂
          ["Die "], # 趃
          ["Ju "], # 趄
          ["Chao "], # 超
          ["Di "], # 趆
          ["Se "], # 趇
          ["Zhan "], # 趈
          ["Zhu "], # 趉
          ["Yue "], # 越
          ["Qu "], # 趋
          ["Jie "], # 趌
          ["Chi "], # 趍
          ["Chu "], # 趎
          ["Gua "], # 趏
          ["Xue "], # 趐
          ["Ci "], # 趑
          ["Tiao "], # 趒
          ["Duo "], # 趓
          ["Lie "], # 趔
          ["Gan "], # 趕
          ["Suo "], # 趖
          ["Cu "], # 趗
          ["Xi "], # 趘
          ["Zhao "], # 趙
          ["Su "], # 趚
          ["Yin "], # 趛
          ["Ju "], # 趜
          ["Jian "], # 趝
          ["Que "], # 趞
          ["Tang "], # 趟
          ["Chuo "], # 趠
          ["Cui "], # 趡
          ["Lu "], # 趢
          ["Qu "], # 趣
          ["Dang "], # 趤
          ["Qiu "], # 趥
          ["Zi "], # 趦
          ["Ti "], # 趧
          ["Qu "], # 趨
          ["Chi "], # 趩
          ["Huang "], # 趪
          ["Qiao "], # 趫
          ["Qiao "], # 趬
          ["Yao "], # 趭
          ["Zao "], # 趮
          ["Ti "], # 趯
          [" "], # 趰
          ["Zan "], # 趱
          ["Zan "], # 趲
          ["Zu "], # 足
          ["Pa "], # 趴
          ["Bao "], # 趵
          ["Ku "], # 趶
          ["Ke "], # 趷
          ["Dun "], # 趸
          ["Jue "], # 趹
          ["Fu "], # 趺
          ["Chen "], # 趻
          ["Jian "], # 趼
          ["Fang "], # 趽
          ["Zhi "], # 趾
          ["Sa "], # 趿
          ["Yue "], # 跀
          ["Pa "], # 跁
          ["Qi "], # 跂
          ["Yue "], # 跃
          ["Qiang "], # 跄
          ["Tuo "], # 跅
          ["Tai "], # 跆
          ["Yi "], # 跇
          ["Nian "], # 跈
          ["Ling "], # 跉
          ["Mei "], # 跊
          ["Ba "], # 跋
          ["Die "], # 跌
          ["Ku "], # 跍
          ["Tuo "], # 跎
          ["Jia "], # 跏
          ["Ci "], # 跐
          ["Pao "], # 跑
          ["Qia "], # 跒
          ["Zhu "], # 跓
          ["Ju "], # 跔
          ["Die "], # 跕
          ["Zhi "], # 跖
          ["Fu "], # 跗
          ["Pan "], # 跘
          ["Ju "], # 跙
          ["Shan "], # 跚
          ["Bo "], # 跛
          ["Ni "], # 跜
          ["Ju "], # 距
          ["Li "], # 跞
          ["Gen "], # 跟
          ["Yi "], # 跠
          ["Ji "], # 跡
          ["Dai "], # 跢
          ["Xian "], # 跣
          ["Jiao "], # 跤
          ["Duo "], # 跥
          ["Zhu "], # 跦
          ["Zhuan "], # 跧
          ["Kua "], # 跨
          ["Zhuai "], # 跩
          ["Gui "], # 跪
          ["Qiong "], # 跫
          ["Kui "], # 跬
          ["Xiang "], # 跭
          ["Chi "], # 跮
          ["Lu "], # 路
          ["Beng "], # 跰
          ["Zhi "], # 跱
          ["Jia "], # 跲
          ["Tiao "], # 跳
          ["Cai "], # 跴
          ["Jian "], # 践
          ["Ta "], # 跶
          ["Qiao "], # 跷
          ["Bi "], # 跸
          ["Xian "], # 跹
          ["Duo "], # 跺
          ["Ji "], # 跻
          ["Ju "], # 跼
          ["Ji "], # 跽
          ["Shu "], # 跾
          ["Tu "] # 跿
        ],
        [
          ["Chu "], # 踀
          ["Jing "], # 踁
          ["Nie "], # 踂
          ["Xiao "], # 踃
          ["Bo "], # 踄
          ["Chi "], # 踅
          ["Qun "], # 踆
          ["Mou "], # 踇
          ["Shu "], # 踈
          ["Lang "], # 踉
          ["Yong "], # 踊
          ["Jiao "], # 踋
          ["Chou "], # 踌
          ["Qiao "], # 踍
          [" "], # 踎
          ["Ta "], # 踏
          ["Jian "], # 踐
          ["Qi "], # 踑
          ["Wo "], # 踒
          ["Wei "], # 踓
          ["Zhuo "], # 踔
          ["Jie "], # 踕
          ["Ji "], # 踖
          ["Nie "], # 踗
          ["Ju "], # 踘
          ["Ju "], # 踙
          ["Lun "], # 踚
          ["Lu "], # 踛
          ["Leng "], # 踜
          ["Huai "], # 踝
          ["Ju "], # 踞
          ["Chi "], # 踟
          ["Wan "], # 踠
          ["Quan "], # 踡
          ["Ti "], # 踢
          ["Bo "], # 踣
          ["Zu "], # 踤
          ["Qie "], # 踥
          ["Ji "], # 踦
          ["Cu "], # 踧
          ["Zong "], # 踨
          ["Cai "], # 踩
          ["Zong "], # 踪
          ["Peng "], # 踫
          ["Zhi "], # 踬
          ["Zheng "], # 踭
          ["Dian "], # 踮
          ["Zhi "], # 踯
          ["Yu "], # 踰
          ["Duo "], # 踱
          ["Dun "], # 踲
          ["Chun "], # 踳
          ["Yong "], # 踴
          ["Zhong "], # 踵
          ["Di "], # 踶
          ["Zhe "], # 踷
          ["Chen "], # 踸
          ["Chuai "], # 踹
          ["Jian "], # 踺
          ["Gua "], # 踻
          ["Tang "], # 踼
          ["Ju "], # 踽
          ["Fu "], # 踾
          ["Zu "], # 踿
          ["Die "], # 蹀
          ["Pian "], # 蹁
          ["Rou "], # 蹂
          ["Nuo "], # 蹃
          ["Ti "], # 蹄
          ["Cha "], # 蹅
          ["Tui "], # 蹆
          ["Jian "], # 蹇
          ["Dao "], # 蹈
          ["Cuo "], # 蹉
          ["Xi "], # 蹊
          ["Ta "], # 蹋
          ["Qiang "], # 蹌
          ["Zhan "], # 蹍
          ["Dian "], # 蹎
          ["Ti "], # 蹏
          ["Ji "], # 蹐
          ["Nie "], # 蹑
          ["Man "], # 蹒
          ["Liu "], # 蹓
          ["Zhan "], # 蹔
          ["Bi "], # 蹕
          ["Chong "], # 蹖
          ["Lu "], # 蹗
          ["Liao "], # 蹘
          ["Cu "], # 蹙
          ["Tang "], # 蹚
          ["Dai "], # 蹛
          ["Suo "], # 蹜
          ["Xi "], # 蹝
          ["Kui "], # 蹞
          ["Ji "], # 蹟
          ["Zhi "], # 蹠
          ["Qiang "], # 蹡
          ["Di "], # 蹢
          ["Man "], # 蹣
          ["Zong "], # 蹤
          ["Lian "], # 蹥
          ["Beng "], # 蹦
          ["Zao "], # 蹧
          ["Nian "], # 蹨
          ["Bie "], # 蹩
          ["Tui "], # 蹪
          ["Ju "], # 蹫
          ["Deng "], # 蹬
          ["Ceng "], # 蹭
          ["Xian "], # 蹮
          ["Fan "], # 蹯
          ["Chu "], # 蹰
          ["Zhong "], # 蹱
          ["Dun "], # 蹲
          ["Bo "], # 蹳
          ["Cu "], # 蹴
          ["Zu "], # 蹵
          ["Jue "], # 蹶
          ["Jue "], # 蹷
          ["Lin "], # 蹸
          ["Ta "], # 蹹
          ["Qiao "], # 蹺
          ["Qiao "], # 蹻
          ["Pu "], # 蹼
          ["Liao "], # 蹽
          ["Dun "], # 蹾
          ["Cuan "], # 蹿
          ["Kuang "], # 躀
          ["Zao "], # 躁
          ["Ta "], # 躂
          ["Bi "], # 躃
          ["Bi "], # 躄
          ["Zhu "], # 躅
          ["Ju "], # 躆
          ["Chu "], # 躇
          ["Qiao "], # 躈
          ["Dun "], # 躉
          ["Chou "], # 躊
          ["Ji "], # 躋
          ["Wu "], # 躌
          ["Yue "], # 躍
          ["Nian "], # 躎
          ["Lin "], # 躏
          ["Lie "], # 躐
          ["Zhi "], # 躑
          ["Li "], # 躒
          ["Zhi "], # 躓
          ["Chan "], # 躔
          ["Chu "], # 躕
          ["Duan "], # 躖
          ["Wei "], # 躗
          ["Long "], # 躘
          ["Lin "], # 躙
          ["Xian "], # 躚
          ["Wei "], # 躛
          ["Zuan "], # 躜
          ["Lan "], # 躝
          ["Xie "], # 躞
          ["Rang "], # 躟
          ["Xie "], # 躠
          ["Nie "], # 躡
          ["Ta "], # 躢
          ["Qu "], # 躣
          ["Jie "], # 躤
          ["Cuan "], # 躥
          ["Zuan "], # 躦
          ["Xi "], # 躧
          ["Kui "], # 躨
          ["Jue "], # 躩
          ["Lin "], # 躪
          ["Shen "], # 身
          ["Gong "], # 躬
          ["Dan "], # 躭
          ["Segare "], # 躮
          ["Qu "], # 躯
          ["Ti "], # 躰
          ["Duo "], # 躱
          ["Duo "], # 躲
          ["Gong "], # 躳
          ["Lang "], # 躴
          ["Nerau "], # 躵
          ["Luo "], # 躶
          ["Ai "], # 躷
          ["Ji "], # 躸
          ["Ju "], # 躹
          ["Tang "], # 躺
          ["Utsuke "], # 躻
          [" "], # 躼
          ["Yan "], # 躽
          ["Shitsuke "], # 躾
          ["Kang "], # 躿
          ["Qu "], # 軀
          ["Lou "], # 軁
          ["Lao "], # 軂
          ["Tuo "], # 軃
          ["Zhi "], # 軄
          ["Yagate "], # 軅
          ["Ti "], # 軆
          ["Dao "], # 軇
          ["Yagate "], # 軈
          ["Yu "], # 軉
          ["Che "], # 車
          ["Ya "], # 軋
          ["Gui "], # 軌
          ["Jun "], # 軍
          ["Wei "], # 軎
          ["Yue "], # 軏
          ["Xin "], # 軐
          ["Di "], # 軑
          ["Xuan "], # 軒
          ["Fan "], # 軓
          ["Ren "], # 軔
          ["Shan "], # 軕
          ["Qiang "], # 軖
          ["Shu "], # 軗
          ["Tun "], # 軘
          ["Chen "], # 軙
          ["Dai "], # 軚
          ["E "], # 軛
          ["Na "], # 軜
          ["Qi "], # 軝
          ["Mao "], # 軞
          ["Ruan "], # 軟
          ["Ren "], # 軠
          ["Fan "], # 軡
          ["Zhuan "], # 転
          ["Hong "], # 軣
          ["Hu "], # 軤
          ["Qu "], # 軥
          ["Huang "], # 軦
          ["Di "], # 軧
          ["Ling "], # 軨
          ["Dai "], # 軩
          ["Ao "], # 軪
          ["Zhen "], # 軫
          ["Fan "], # 軬
          ["Kuang "], # 軭
          ["Ang "], # 軮
          ["Peng "], # 軯
          ["Bei "], # 軰
          ["Gu "], # 軱
          ["Ku "], # 軲
          ["Pao "], # 軳
          ["Zhu "], # 軴
          ["Rong "], # 軵
          ["E "], # 軶
          ["Ba "], # 軷
          ["Zhou "], # 軸
          ["Zhi "], # 軹
          ["Yao "], # 軺
          ["Ke "], # 軻
          ["Yi "], # 軼
          ["Qing "], # 軽
          ["Shi "], # 軾
          ["Ping "] # 軿
        ],
        [
          ["Er "], # 輀
          ["Qiong "], # 輁
          ["Ju "], # 輂
          ["Jiao "], # 較
          ["Guang "], # 輄
          ["Lu "], # 輅
          ["Kai "], # 輆
          ["Quan "], # 輇
          ["Zhou "], # 輈
          ["Zai "], # 載
          ["Zhi "], # 輊
          ["She "], # 輋
          ["Liang "], # 輌
          ["Yu "], # 輍
          ["Shao "], # 輎
          ["You "], # 輏
          ["Huan "], # 輐
          ["Yun "], # 輑
          ["Zhe "], # 輒
          ["Wan "], # 輓
          ["Fu "], # 輔
          ["Qing "], # 輕
          ["Zhou "], # 輖
          ["Ni "], # 輗
          ["Ling "], # 輘
          ["Zhe "], # 輙
          ["Zhan "], # 輚
          ["Liang "], # 輛
          ["Zi "], # 輜
          ["Hui "], # 輝
          ["Wang "], # 輞
          ["Chuo "], # 輟
          ["Guo "], # 輠
          ["Kan "], # 輡
          ["Yi "], # 輢
          ["Peng "], # 輣
          ["Qian "], # 輤
          ["Gun "], # 輥
          ["Nian "], # 輦
          ["Pian "], # 輧
          ["Guan "], # 輨
          ["Bei "], # 輩
          ["Lun "], # 輪
          ["Pai "], # 輫
          ["Liang "], # 輬
          ["Ruan "], # 輭
          ["Rou "], # 輮
          ["Ji "], # 輯
          ["Yang "], # 輰
          ["Xian "], # 輱
          ["Chuan "], # 輲
          ["Cou "], # 輳
          ["Qun "], # 輴
          ["Ge "], # 輵
          ["You "], # 輶
          ["Hong "], # 輷
          ["Shu "], # 輸
          ["Fu "], # 輹
          ["Zi "], # 輺
          ["Fu "], # 輻
          ["Wen "], # 輼
          ["Ben "], # 輽
          ["Zhan "], # 輾
          ["Yu "], # 輿
          ["Wen "], # 轀
          ["Tao "], # 轁
          ["Gu "], # 轂
          ["Zhen "], # 轃
          ["Xia "], # 轄
          ["Yuan "], # 轅
          ["Lu "], # 轆
          ["Jiu "], # 轇
          ["Chao "], # 轈
          ["Zhuan "], # 轉
          ["Wei "], # 轊
          ["Hun "], # 轋
          ["Sori "], # 轌
          ["Che "], # 轍
          ["Jiao "], # 轎
          ["Zhan "], # 轏
          ["Pu "], # 轐
          ["Lao "], # 轑
          ["Fen "], # 轒
          ["Fan "], # 轓
          ["Lin "], # 轔
          ["Ge "], # 轕
          ["Se "], # 轖
          ["Kan "], # 轗
          ["Huan "], # 轘
          ["Yi "], # 轙
          ["Ji "], # 轚
          ["Dui "], # 轛
          ["Er "], # 轜
          ["Yu "], # 轝
          ["Xian "], # 轞
          ["Hong "], # 轟
          ["Lei "], # 轠
          ["Pei "], # 轡
          ["Li "], # 轢
          ["Li "], # 轣
          ["Lu "], # 轤
          ["Lin "], # 轥
          ["Che "], # 车
          ["Ya "], # 轧
          ["Gui "], # 轨
          ["Xuan "], # 轩
          ["Di "], # 轪
          ["Ren "], # 轫
          ["Zhuan "], # 转
          ["E "], # 轭
          ["Lun "], # 轮
          ["Ruan "], # 软
          ["Hong "], # 轰
          ["Ku "], # 轱
          ["Ke "], # 轲
          ["Lu "], # 轳
          ["Zhou "], # 轴
          ["Zhi "], # 轵
          ["Yi "], # 轶
          ["Hu "], # 轷
          ["Zhen "], # 轸
          ["Li "], # 轹
          ["Yao "], # 轺
          ["Qing "], # 轻
          ["Shi "], # 轼
          ["Zai "], # 载
          ["Zhi "], # 轾
          ["Jiao "], # 轿
          ["Zhou "], # 辀
          ["Quan "], # 辁
          ["Lu "], # 辂
          ["Jiao "], # 较
          ["Zhe "], # 辄
          ["Fu "], # 辅
          ["Liang "], # 辆
          ["Nian "], # 辇
          ["Bei "], # 辈
          ["Hui "], # 辉
          ["Gun "], # 辊
          ["Wang "], # 辋
          ["Liang "], # 辌
          ["Chuo "], # 辍
          ["Zi "], # 辎
          ["Cou "], # 辏
          ["Fu "], # 辐
          ["Ji "], # 辑
          ["Wen "], # 辒
          ["Shu "], # 输
          ["Pei "], # 辔
          ["Yuan "], # 辕
          ["Xia "], # 辖
          ["Zhan "], # 辗
          ["Lu "], # 辘
          ["Che "], # 辙
          ["Lin "], # 辚
          ["Xin "], # 辛
          ["Gu "], # 辜
          ["Ci "], # 辝
          ["Ci "], # 辞
          ["Pi "], # 辟
          ["Zui "], # 辠
          ["Bian "], # 辡
          ["La "], # 辢
          ["La "], # 辣
          ["Ci "], # 辤
          ["Xue "], # 辥
          ["Ban "], # 辦
          ["Bian "], # 辧
          ["Bian "], # 辨
          ["Bian "], # 辩
          [" "], # 辪
          ["Bian "], # 辫
          ["Ban "], # 辬
          ["Ci "], # 辭
          ["Bian "], # 辮
          ["Bian "], # 辯
          ["Chen "], # 辰
          ["Ru "], # 辱
          ["Nong "], # 農
          ["Nong "], # 辳
          ["Zhen "], # 辴
          ["Chuo "], # 辵
          ["Chuo "], # 辶
          ["Suberu "], # 辷
          ["Reng "], # 辸
          ["Bian "], # 边
          ["Bian "], # 辺
          ["Sip "], # 辻
          ["Ip "], # 込
          ["Liao "], # 辽
          ["Da "], # 达
          ["Chan "], # 辿
          ["Gan "], # 迀
          ["Qian "], # 迁
          ["Yu "], # 迂
          ["Yu "], # 迃
          ["Qi "], # 迄
          ["Xun "], # 迅
          ["Yi "], # 迆
          ["Guo "], # 过
          ["Mai "], # 迈
          ["Qi "], # 迉
          ["Za "], # 迊
          ["Wang "], # 迋
          ["Jia "], # 迌
          ["Zhun "], # 迍
          ["Ying "], # 迎
          ["Ti "], # 迏
          ["Yun "], # 运
          ["Jin "], # 近
          ["Hang "], # 迒
          ["Ya "], # 迓
          ["Fan "], # 返
          ["Wu "], # 迕
          ["Da "], # 迖
          ["E "], # 迗
          ["Huan "], # 还
          ["Zhe "], # 这
          ["Totemo "], # 迚
          ["Jin "], # 进
          ["Yuan "], # 远
          ["Wei "], # 违
          ["Lian "], # 连
          ["Chi "], # 迟
          ["Che "], # 迠
          ["Ni "], # 迡
          ["Tiao "], # 迢
          ["Zhi "], # 迣
          ["Yi "], # 迤
          ["Jiong "], # 迥
          ["Jia "], # 迦
          ["Chen "], # 迧
          ["Dai "], # 迨
          ["Er "], # 迩
          ["Di "], # 迪
          ["Po "], # 迫
          ["Wang "], # 迬
          ["Die "], # 迭
          ["Ze "], # 迮
          ["Tao "], # 迯
          ["Shu "], # 述
          ["Tuo "], # 迱
          ["Kep "], # 迲
          ["Jing "], # 迳
          ["Hui "], # 迴
          ["Tong "], # 迵
          ["You "], # 迶
          ["Mi "], # 迷
          ["Beng "], # 迸
          ["Ji "], # 迹
          ["Nai "], # 迺
          ["Yi "], # 迻
          ["Jie "], # 迼
          ["Zhui "], # 追
          ["Lie "], # 迾
          ["Xun "] # 迿
        ],
        [
          ["Tui "], # 退
          ["Song "], # 送
          ["Gua "], # 适
          ["Tao "], # 逃
          ["Pang "], # 逄
          ["Hou "], # 逅
          ["Ni "], # 逆
          ["Dun "], # 逇
          ["Jiong "], # 逈
          ["Xuan "], # 选
          ["Xun "], # 逊
          ["Bu "], # 逋
          ["You "], # 逌
          ["Xiao "], # 逍
          ["Qiu "], # 逎
          ["Tou "], # 透
          ["Zhu "], # 逐
          ["Qiu "], # 逑
          ["Di "], # 递
          ["Di "], # 逓
          ["Tu "], # 途
          ["Jing "], # 逕
          ["Ti "], # 逖
          ["Dou "], # 逗
          ["Yi "], # 逘
          ["Zhe "], # 這
          ["Tong "], # 通
          ["Guang "], # 逛
          ["Wu "], # 逜
          ["Shi "], # 逝
          ["Cheng "], # 逞
          ["Su "], # 速
          ["Zao "], # 造
          ["Qun "], # 逡
          ["Feng "], # 逢
          ["Lian "], # 連
          ["Suo "], # 逤
          ["Hui "], # 逥
          ["Li "], # 逦
          ["Sako "], # 逧
          ["Lai "], # 逨
          ["Ben "], # 逩
          ["Cuo "], # 逪
          ["Jue "], # 逫
          ["Beng "], # 逬
          ["Huan "], # 逭
          ["Dai "], # 逮
          ["Lu "], # 逯
          ["You "], # 逰
          ["Zhou "], # 週
          ["Jin "], # 進
          ["Yu "], # 逳
          ["Chuo "], # 逴
          ["Kui "], # 逵
          ["Wei "], # 逶
          ["Ti "], # 逷
          ["Yi "], # 逸
          ["Da "], # 逹
          ["Yuan "], # 逺
          ["Luo "], # 逻
          ["Bi "], # 逼
          ["Nuo "], # 逽
          ["Yu "], # 逾
          ["Dang "], # 逿
          ["Sui "], # 遀
          ["Dun "], # 遁
          ["Sui "], # 遂
          ["Yan "], # 遃
          ["Chuan "], # 遄
          ["Chi "], # 遅
          ["Ti "], # 遆
          ["Yu "], # 遇
          ["Shi "], # 遈
          ["Zhen "], # 遉
          ["You "], # 遊
          ["Yun "], # 運
          ["E "], # 遌
          ["Bian "], # 遍
          ["Guo "], # 過
          ["E "], # 遏
          ["Xia "], # 遐
          ["Huang "], # 遑
          ["Qiu "], # 遒
          ["Dao "], # 道
          ["Da "], # 達
          ["Wei "], # 違
          ["Appare "], # 遖
          ["Yi "], # 遗
          ["Gou "], # 遘
          ["Yao "], # 遙
          ["Chu "], # 遚
          ["Liu "], # 遛
          ["Xun "], # 遜
          ["Ta "], # 遝
          ["Di "], # 遞
          ["Chi "], # 遟
          ["Yuan "], # 遠
          ["Su "], # 遡
          ["Ta "], # 遢
          ["Qian "], # 遣
          [" "], # 遤
          ["Yao "], # 遥
          ["Guan "], # 遦
          ["Zhang "], # 遧
          ["Ao "], # 遨
          ["Shi "], # 適
          ["Ce "], # 遪
          ["Chi "], # 遫
          ["Su "], # 遬
          ["Zao "], # 遭
          ["Zhe "], # 遮
          ["Dun "], # 遯
          ["Di "], # 遰
          ["Lou "], # 遱
          ["Chi "], # 遲
          ["Cuo "], # 遳
          ["Lin "], # 遴
          ["Zun "], # 遵
          ["Rao "], # 遶
          ["Qian "], # 遷
          ["Xuan "], # 選
          ["Yu "], # 遹
          ["Yi "], # 遺
          ["Wu "], # 遻
          ["Liao "], # 遼
          ["Ju "], # 遽
          ["Shi "], # 遾
          ["Bi "], # 避
          ["Yao "], # 邀
          ["Mai "], # 邁
          ["Xie "], # 邂
          ["Sui "], # 邃
          ["Huan "], # 還
          ["Zhan "], # 邅
          ["Teng "], # 邆
          ["Er "], # 邇
          ["Miao "], # 邈
          ["Bian "], # 邉
          ["Bian "], # 邊
          ["La "], # 邋
          ["Li "], # 邌
          ["Yuan "], # 邍
          ["Yao "], # 邎
          ["Luo "], # 邏
          ["Li "], # 邐
          ["Yi "], # 邑
          ["Ting "], # 邒
          ["Deng "], # 邓
          ["Qi "], # 邔
          ["Yong "], # 邕
          ["Shan "], # 邖
          ["Han "], # 邗
          ["Yu "], # 邘
          ["Mang "], # 邙
          ["Ru "], # 邚
          ["Qiong "], # 邛
          [" "], # 邜
          ["Kuang "], # 邝
          ["Fu "], # 邞
          ["Kang "], # 邟
          ["Bin "], # 邠
          ["Fang "], # 邡
          ["Xing "], # 邢
          ["Na "], # 那
          ["Xin "], # 邤
          ["Shen "], # 邥
          ["Bang "], # 邦
          ["Yuan "], # 邧
          ["Cun "], # 邨
          ["Huo "], # 邩
          ["Xie "], # 邪
          ["Bang "], # 邫
          ["Wu "], # 邬
          ["Ju "], # 邭
          ["You "], # 邮
          ["Han "], # 邯
          ["Tai "], # 邰
          ["Qiu "], # 邱
          ["Bi "], # 邲
          ["Pei "], # 邳
          ["Bing "], # 邴
          ["Shao "], # 邵
          ["Bei "], # 邶
          ["Wa "], # 邷
          ["Di "], # 邸
          ["Zou "], # 邹
          ["Ye "], # 邺
          ["Lin "], # 邻
          ["Kuang "], # 邼
          ["Gui "], # 邽
          ["Zhu "], # 邾
          ["Shi "], # 邿
          ["Ku "], # 郀
          ["Yu "], # 郁
          ["Gai "], # 郂
          ["Ge "], # 郃
          ["Xi "], # 郄
          ["Zhi "], # 郅
          ["Ji "], # 郆
          ["Xun "], # 郇
          ["Hou "], # 郈
          ["Xing "], # 郉
          ["Jiao "], # 郊
          ["Xi "], # 郋
          ["Gui "], # 郌
          ["Nuo "], # 郍
          ["Lang "], # 郎
          ["Jia "], # 郏
          ["Kuai "], # 郐
          ["Zheng "], # 郑
          ["Otoko "], # 郒
          ["Yun "], # 郓
          ["Yan "], # 郔
          ["Cheng "], # 郕
          ["Dou "], # 郖
          ["Chi "], # 郗
          ["Lu "], # 郘
          ["Fu "], # 郙
          ["Wu "], # 郚
          ["Fu "], # 郛
          ["Gao "], # 郜
          ["Hao "], # 郝
          ["Lang "], # 郞
          ["Jia "], # 郟
          ["Geng "], # 郠
          ["Jun "], # 郡
          ["Ying "], # 郢
          ["Bo "], # 郣
          ["Xi "], # 郤
          ["Bei "], # 郥
          ["Li "], # 郦
          ["Yun "], # 郧
          ["Bu "], # 部
          ["Xiao "], # 郩
          ["Qi "], # 郪
          ["Pi "], # 郫
          ["Qing "], # 郬
          ["Guo "], # 郭
          ["Zhou "], # 郮
          ["Tan "], # 郯
          ["Zou "], # 郰
          ["Ping "], # 郱
          ["Lai "], # 郲
          ["Ni "], # 郳
          ["Chen "], # 郴
          ["You "], # 郵
          ["Bu "], # 郶
          ["Xiang "], # 郷
          ["Dan "], # 郸
          ["Ju "], # 郹
          ["Yong "], # 郺
          ["Qiao "], # 郻
          ["Yi "], # 郼
          ["Du "], # 都
          ["Yan "], # 郾
          ["Mei "] # 郿
        ],
        [
          ["Ruo "], # 鄀
          ["Bei "], # 鄁
          ["E "], # 鄂
          ["Yu "], # 鄃
          ["Juan "], # 鄄
          ["Yu "], # 鄅
          ["Yun "], # 鄆
          ["Hou "], # 鄇
          ["Kui "], # 鄈
          ["Xiang "], # 鄉
          ["Xiang "], # 鄊
          ["Sou "], # 鄋
          ["Tang "], # 鄌
          ["Ming "], # 鄍
          ["Xi "], # 鄎
          ["Ru "], # 鄏
          ["Chu "], # 鄐
          ["Zi "], # 鄑
          ["Zou "], # 鄒
          ["Ju "], # 鄓
          ["Wu "], # 鄔
          ["Xiang "], # 鄕
          ["Yun "], # 鄖
          ["Hao "], # 鄗
          ["Yong "], # 鄘
          ["Bi "], # 鄙
          ["Mo "], # 鄚
          ["Chao "], # 鄛
          ["Fu "], # 鄜
          ["Liao "], # 鄝
          ["Yin "], # 鄞
          ["Zhuan "], # 鄟
          ["Hu "], # 鄠
          ["Qiao "], # 鄡
          ["Yan "], # 鄢
          ["Zhang "], # 鄣
          ["Fan "], # 鄤
          ["Qiao "], # 鄥
          ["Xu "], # 鄦
          ["Deng "], # 鄧
          ["Bi "], # 鄨
          ["Xin "], # 鄩
          ["Bi "], # 鄪
          ["Ceng "], # 鄫
          ["Wei "], # 鄬
          ["Zheng "], # 鄭
          ["Mao "], # 鄮
          ["Shan "], # 鄯
          ["Lin "], # 鄰
          ["Po "], # 鄱
          ["Dan "], # 鄲
          ["Meng "], # 鄳
          ["Ye "], # 鄴
          ["Cao "], # 鄵
          ["Kuai "], # 鄶
          ["Feng "], # 鄷
          ["Meng "], # 鄸
          ["Zou "], # 鄹
          ["Kuang "], # 鄺
          ["Lian "], # 鄻
          ["Zan "], # 鄼
          ["Chan "], # 鄽
          ["You "], # 鄾
          ["Qi "], # 鄿
          ["Yan "], # 酀
          ["Chan "], # 酁
          ["Zan "], # 酂
          ["Ling "], # 酃
          ["Huan "], # 酄
          ["Xi "], # 酅
          ["Feng "], # 酆
          ["Zan "], # 酇
          ["Li "], # 酈
          ["You "], # 酉
          ["Ding "], # 酊
          ["Qiu "], # 酋
          ["Zhuo "], # 酌
          ["Pei "], # 配
          ["Zhou "], # 酎
          ["Yi "], # 酏
          ["Hang "], # 酐
          ["Yu "], # 酑
          ["Jiu "], # 酒
          ["Yan "], # 酓
          ["Zui "], # 酔
          ["Mao "], # 酕
          ["Dan "], # 酖
          ["Xu "], # 酗
          ["Tou "], # 酘
          ["Zhen "], # 酙
          ["Fen "], # 酚
          ["Sakenomoto "], # 酛
          [" "], # 酜
          ["Yun "], # 酝
          ["Tai "], # 酞
          ["Tian "], # 酟
          ["Qia "], # 酠
          ["Tuo "], # 酡
          ["Zuo "], # 酢
          ["Han "], # 酣
          ["Gu "], # 酤
          ["Su "], # 酥
          ["Po "], # 酦
          ["Chou "], # 酧
          ["Zai "], # 酨
          ["Ming "], # 酩
          ["Luo "], # 酪
          ["Chuo "], # 酫
          ["Chou "], # 酬
          ["You "], # 酭
          ["Tong "], # 酮
          ["Zhi "], # 酯
          ["Xian "], # 酰
          ["Jiang "], # 酱
          ["Cheng "], # 酲
          ["Yin "], # 酳
          ["Tu "], # 酴
          ["Xiao "], # 酵
          ["Mei "], # 酶
          ["Ku "], # 酷
          ["Suan "], # 酸
          ["Lei "], # 酹
          ["Pu "], # 酺
          ["Zui "], # 酻
          ["Hai "], # 酼
          ["Yan "], # 酽
          ["Xi "], # 酾
          ["Niang "], # 酿
          ["Wei "], # 醀
          ["Lu "], # 醁
          ["Lan "], # 醂
          ["Yan "], # 醃
          ["Tao "], # 醄
          ["Pei "], # 醅
          ["Zhan "], # 醆
          ["Chun "], # 醇
          ["Tan "], # 醈
          ["Zui "], # 醉
          ["Chuo "], # 醊
          ["Cu "], # 醋
          ["Kun "], # 醌
          ["Ti "], # 醍
          ["Mian "], # 醎
          ["Du "], # 醏
          ["Hu "], # 醐
          ["Xu "], # 醑
          ["Xing "], # 醒
          ["Tan "], # 醓
          ["Jiu "], # 醔
          ["Chun "], # 醕
          ["Yun "], # 醖
          ["Po "], # 醗
          ["Ke "], # 醘
          ["Sou "], # 醙
          ["Mi "], # 醚
          ["Quan "], # 醛
          ["Chou "], # 醜
          ["Cuo "], # 醝
          ["Yun "], # 醞
          ["Yong "], # 醟
          ["Ang "], # 醠
          ["Zha "], # 醡
          ["Hai "], # 醢
          ["Tang "], # 醣
          ["Jiang "], # 醤
          ["Piao "], # 醥
          ["Shan "], # 醦
          ["Yu "], # 醧
          ["Li "], # 醨
          ["Zao "], # 醩
          ["Lao "], # 醪
          ["Yi "], # 醫
          ["Jiang "], # 醬
          ["Pu "], # 醭
          ["Jiao "], # 醮
          ["Xi "], # 醯
          ["Tan "], # 醰
          ["Po "], # 醱
          ["Nong "], # 醲
          ["Yi "], # 醳
          ["Li "], # 醴
          ["Ju "], # 醵
          ["Jiao "], # 醶
          ["Yi "], # 醷
          ["Niang "], # 醸
          ["Ru "], # 醹
          ["Xun "], # 醺
          ["Chou "], # 醻
          ["Yan "], # 醼
          ["Ling "], # 醽
          ["Mi "], # 醾
          ["Mi "], # 醿
          ["Niang "], # 釀
          ["Xin "], # 釁
          ["Jiao "], # 釂
          ["Xi "], # 釃
          ["Mi "], # 釄
          ["Yan "], # 釅
          ["Bian "], # 釆
          ["Cai "], # 采
          ["Shi "], # 釈
          ["You "], # 釉
          ["Shi "], # 释
          ["Shi "], # 釋
          ["Li "], # 里
          ["Zhong "], # 重
          ["Ye "], # 野
          ["Liang "], # 量
          ["Li "], # 釐
          ["Jin "], # 金
          ["Jin "], # 釒
          ["Qiu "], # 釓
          ["Yi "], # 釔
          ["Diao "], # 釕
          ["Dao "], # 釖
          ["Zhao "], # 釗
          ["Ding "], # 釘
          ["Po "], # 釙
          ["Qiu "], # 釚
          ["He "], # 釛
          ["Fu "], # 釜
          ["Zhen "], # 針
          ["Zhi "], # 釞
          ["Ba "], # 釟
          ["Luan "], # 釠
          ["Fu "], # 釡
          ["Nai "], # 釢
          ["Diao "], # 釣
          ["Shan "], # 釤
          ["Qiao "], # 釥
          ["Kou "], # 釦
          ["Chuan "], # 釧
          ["Zi "], # 釨
          ["Fan "], # 釩
          ["Yu "], # 釪
          ["Hua "], # 釫
          ["Han "], # 釬
          ["Gong "], # 釭
          ["Qi "], # 釮
          ["Mang "], # 釯
          ["Ri "], # 釰
          ["Di "], # 釱
          ["Si "], # 釲
          ["Xi "], # 釳
          ["Yi "], # 釴
          ["Chai "], # 釵
          ["Shi "], # 釶
          ["Tu "], # 釷
          ["Xi "], # 釸
          ["Nu "], # 釹
          ["Qian "], # 釺
          ["Ishiyumi "], # 釻
          ["Jian "], # 釼
          ["Pi "], # 釽
          ["Ye "], # 釾
          ["Yin "] # 釿
        ],
        [
          ["Ba "], # 鈀
          ["Fang "], # 鈁
          ["Chen "], # 鈂
          ["Xing "], # 鈃
          ["Tou "], # 鈄
          ["Yue "], # 鈅
          ["Yan "], # 鈆
          ["Fu "], # 鈇
          ["Pi "], # 鈈
          ["Na "], # 鈉
          ["Xin "], # 鈊
          ["E "], # 鈋
          ["Jue "], # 鈌
          ["Dun "], # 鈍
          ["Gou "], # 鈎
          ["Yin "], # 鈏
          ["Qian "], # 鈐
          ["Ban "], # 鈑
          ["Ji "], # 鈒
          ["Ren "], # 鈓
          ["Chao "], # 鈔
          ["Niu "], # 鈕
          ["Fen "], # 鈖
          ["Yun "], # 鈗
          ["Ji "], # 鈘
          ["Qin "], # 鈙
          ["Pi "], # 鈚
          ["Guo "], # 鈛
          ["Hong "], # 鈜
          ["Yin "], # 鈝
          ["Jun "], # 鈞
          ["Shi "], # 鈟
          ["Yi "], # 鈠
          ["Zhong "], # 鈡
          ["Nie "], # 鈢
          ["Gai "], # 鈣
          ["Ri "], # 鈤
          ["Huo "], # 鈥
          ["Tai "], # 鈦
          ["Kang "], # 鈧
          ["Habaki "], # 鈨
          ["Irori "], # 鈩
          ["Ngaak "], # 鈪
          [" "], # 鈫
          ["Duo "], # 鈬
          ["Zi "], # 鈭
          ["Ni "], # 鈮
          ["Tu "], # 鈯
          ["Shi "], # 鈰
          ["Min "], # 鈱
          ["Gu "], # 鈲
          ["E "], # 鈳
          ["Ling "], # 鈴
          ["Bing "], # 鈵
          ["Yi "], # 鈶
          ["Gu "], # 鈷
          ["Ba "], # 鈸
          ["Pi "], # 鈹
          ["Yu "], # 鈺
          ["Si "], # 鈻
          ["Zuo "], # 鈼
          ["Bu "], # 鈽
          ["You "], # 鈾
          ["Dian "], # 鈿
          ["Jia "], # 鉀
          ["Zhen "], # 鉁
          ["Shi "], # 鉂
          ["Shi "], # 鉃
          ["Tie "], # 鉄
          ["Ju "], # 鉅
          ["Zhan "], # 鉆
          ["Shi "], # 鉇
          ["She "], # 鉈
          ["Xuan "], # 鉉
          ["Zhao "], # 鉊
          ["Bao "], # 鉋
          ["He "], # 鉌
          ["Bi "], # 鉍
          ["Sheng "], # 鉎
          ["Chu "], # 鉏
          ["Shi "], # 鉐
          ["Bo "], # 鉑
          ["Zhu "], # 鉒
          ["Chi "], # 鉓
          ["Za "], # 鉔
          ["Po "], # 鉕
          ["Tong "], # 鉖
          ["Qian "], # 鉗
          ["Fu "], # 鉘
          ["Zhai "], # 鉙
          ["Liu "], # 鉚
          ["Qian "], # 鉛
          ["Fu "], # 鉜
          ["Li "], # 鉝
          ["Yue "], # 鉞
          ["Pi "], # 鉟
          ["Yang "], # 鉠
          ["Ban "], # 鉡
          ["Bo "], # 鉢
          ["Jie "], # 鉣
          ["Gou "], # 鉤
          ["Shu "], # 鉥
          ["Zheng "], # 鉦
          ["Mu "], # 鉧
          ["Ni "], # 鉨
          ["Nie "], # 鉩
          ["Di "], # 鉪
          ["Jia "], # 鉫
          ["Mu "], # 鉬
          ["Dan "], # 鉭
          ["Shen "], # 鉮
          ["Yi "], # 鉯
          ["Si "], # 鉰
          ["Kuang "], # 鉱
          ["Ka "], # 鉲
          ["Bei "], # 鉳
          ["Jian "], # 鉴
          ["Tong "], # 鉵
          ["Xing "], # 鉶
          ["Hong "], # 鉷
          ["Jiao "], # 鉸
          ["Chi "], # 鉹
          ["Er "], # 鉺
          ["Ge "], # 鉻
          ["Bing "], # 鉼
          ["Shi "], # 鉽
          ["Mou "], # 鉾
          ["Jia "], # 鉿
          ["Yin "], # 銀
          ["Jun "], # 銁
          ["Zhou "], # 銂
          ["Chong "], # 銃
          ["Shang "], # 銄
          ["Tong "], # 銅
          ["Mo "], # 銆
          ["Lei "], # 銇
          ["Ji "], # 銈
          ["Yu "], # 銉
          ["Xu "], # 銊
          ["Ren "], # 銋
          ["Zun "], # 銌
          ["Zhi "], # 銍
          ["Qiong "], # 銎
          ["Shan "], # 銏
          ["Chi "], # 銐
          ["Xian "], # 銑
          ["Xing "], # 銒
          ["Quan "], # 銓
          ["Pi "], # 銔
          ["Tie "], # 銕
          ["Zhu "], # 銖
          ["Hou "], # 銗
          ["Ming "], # 銘
          ["Kua "], # 銙
          ["Yao "], # 銚
          ["Xian "], # 銛
          ["Xian "], # 銜
          ["Xiu "], # 銝
          ["Jun "], # 銞
          ["Cha "], # 銟
          ["Lao "], # 銠
          ["Ji "], # 銡
          ["Pi "], # 銢
          ["Ru "], # 銣
          ["Mi "], # 銤
          ["Yi "], # 銥
          ["Yin "], # 銦
          ["Guang "], # 銧
          ["An "], # 銨
          ["Diou "], # 銩
          ["You "], # 銪
          ["Se "], # 銫
          ["Kao "], # 銬
          ["Qian "], # 銭
          ["Luan "], # 銮
          ["Kasugai "], # 銯
          ["Ai "], # 銰
          ["Diao "], # 銱
          ["Han "], # 銲
          ["Rui "], # 銳
          ["Shi "], # 銴
          ["Keng "], # 銵
          ["Qiu "], # 銶
          ["Xiao "], # 銷
          ["Zhe "], # 銸
          ["Xiu "], # 銹
          ["Zang "], # 銺
          ["Ti "], # 銻
          ["Cuo "], # 銼
          ["Gua "], # 銽
          ["Gong "], # 銾
          ["Zhong "], # 銿
          ["Dou "], # 鋀
          ["Lu "], # 鋁
          ["Mei "], # 鋂
          ["Lang "], # 鋃
          ["Wan "], # 鋄
          ["Xin "], # 鋅
          ["Yun "], # 鋆
          ["Bei "], # 鋇
          ["Wu "], # 鋈
          ["Su "], # 鋉
          ["Yu "], # 鋊
          ["Chan "], # 鋋
          ["Ting "], # 鋌
          ["Bo "], # 鋍
          ["Han "], # 鋎
          ["Jia "], # 鋏
          ["Hong "], # 鋐
          ["Cuan "], # 鋑
          ["Feng "], # 鋒
          ["Chan "], # 鋓
          ["Wan "], # 鋔
          ["Zhi "], # 鋕
          ["Si "], # 鋖
          ["Xuan "], # 鋗
          ["Wu "], # 鋘
          ["Wu "], # 鋙
          ["Tiao "], # 鋚
          ["Gong "], # 鋛
          ["Zhuo "], # 鋜
          ["Lue "], # 鋝
          ["Xing "], # 鋞
          ["Qian "], # 鋟
          ["Shen "], # 鋠
          ["Han "], # 鋡
          ["Lue "], # 鋢
          ["Xie "], # 鋣
          ["Chu "], # 鋤
          ["Zheng "], # 鋥
          ["Ju "], # 鋦
          ["Xian "], # 鋧
          ["Tie "], # 鋨
          ["Mang "], # 鋩
          ["Pu "], # 鋪
          ["Li "], # 鋫
          ["Pan "], # 鋬
          ["Rui "], # 鋭
          ["Cheng "], # 鋮
          ["Gao "], # 鋯
          ["Li "], # 鋰
          ["Te "], # 鋱
          ["Pyeng "], # 鋲
          ["Zhu "], # 鋳
          [" "], # 鋴
          ["Tu "], # 鋵
          ["Liu "], # 鋶
          ["Zui "], # 鋷
          ["Ju "], # 鋸
          ["Chang "], # 鋹
          ["Yuan "], # 鋺
          ["Jian "], # 鋻
          ["Gang "], # 鋼
          ["Diao "], # 鋽
          ["Tao "], # 鋾
          ["Chang "] # 鋿
        ],
        [
          ["Lun "], # 錀
          ["Kua "], # 錁
          ["Ling "], # 錂
          ["Bei "], # 錃
          ["Lu "], # 錄
          ["Li "], # 錅
          ["Qiang "], # 錆
          ["Pou "], # 錇
          ["Juan "], # 錈
          ["Min "], # 錉
          ["Zui "], # 錊
          ["Peng "], # 錋
          ["An "], # 錌
          ["Pi "], # 錍
          ["Xian "], # 錎
          ["Ya "], # 錏
          ["Zhui "], # 錐
          ["Lei "], # 錑
          ["A "], # 錒
          ["Kong "], # 錓
          ["Ta "], # 錔
          ["Kun "], # 錕
          ["Du "], # 錖
          ["Wei "], # 錗
          ["Chui "], # 錘
          ["Zi "], # 錙
          ["Zheng "], # 錚
          ["Ben "], # 錛
          ["Nie "], # 錜
          ["Cong "], # 錝
          ["Qun "], # 錞
          ["Tan "], # 錟
          ["Ding "], # 錠
          ["Qi "], # 錡
          ["Qian "], # 錢
          ["Zhuo "], # 錣
          ["Qi "], # 錤
          ["Yu "], # 錥
          ["Jin "], # 錦
          ["Guan "], # 錧
          ["Mao "], # 錨
          ["Chang "], # 錩
          ["Tian "], # 錪
          ["Xi "], # 錫
          ["Lian "], # 錬
          ["Tao "], # 錭
          ["Gu "], # 錮
          ["Cuo "], # 錯
          ["Shu "], # 錰
          ["Zhen "], # 錱
          ["Lu "], # 録
          ["Meng "], # 錳
          ["Lu "], # 錴
          ["Hua "], # 錵
          ["Biao "], # 錶
          ["Ga "], # 錷
          ["Lai "], # 錸
          ["Ken "], # 錹
          ["Kazari "], # 錺
          ["Bu "], # 錻
          ["Nai "], # 錼
          ["Wan "], # 錽
          ["Zan "], # 錾
          [" "], # 錿
          ["De "], # 鍀
          ["Xian "], # 鍁
          [" "], # 鍂
          ["Huo "], # 鍃
          ["Liang "], # 鍄
          [" "], # 鍅
          ["Men "], # 鍆
          ["Kai "], # 鍇
          ["Ying "], # 鍈
          ["Di "], # 鍉
          ["Lian "], # 鍊
          ["Guo "], # 鍋
          ["Xian "], # 鍌
          ["Du "], # 鍍
          ["Tu "], # 鍎
          ["Wei "], # 鍏
          ["Cong "], # 鍐
          ["Fu "], # 鍑
          ["Rou "], # 鍒
          ["Ji "], # 鍓
          ["E "], # 鍔
          ["Rou "], # 鍕
          ["Chen "], # 鍖
          ["Ti "], # 鍗
          ["Zha "], # 鍘
          ["Hong "], # 鍙
          ["Yang "], # 鍚
          ["Duan "], # 鍛
          ["Xia "], # 鍜
          ["Yu "], # 鍝
          ["Keng "], # 鍞
          ["Xing "], # 鍟
          ["Huang "], # 鍠
          ["Wei "], # 鍡
          ["Fu "], # 鍢
          ["Zhao "], # 鍣
          ["Cha "], # 鍤
          ["Qie "], # 鍥
          ["She "], # 鍦
          ["Hong "], # 鍧
          ["Kui "], # 鍨
          ["Tian "], # 鍩
          ["Mou "], # 鍪
          ["Qiao "], # 鍫
          ["Qiao "], # 鍬
          ["Hou "], # 鍭
          ["Tou "], # 鍮
          ["Cong "], # 鍯
          ["Huan "], # 鍰
          ["Ye "], # 鍱
          ["Min "], # 鍲
          ["Jian "], # 鍳
          ["Duan "], # 鍴
          ["Jian "], # 鍵
          ["Song "], # 鍶
          ["Kui "], # 鍷
          ["Hu "], # 鍸
          ["Xuan "], # 鍹
          ["Duo "], # 鍺
          ["Jie "], # 鍻
          ["Zhen "], # 鍼
          ["Bian "], # 鍽
          ["Zhong "], # 鍾
          ["Zi "], # 鍿
          ["Xiu "], # 鎀
          ["Ye "], # 鎁
          ["Mei "], # 鎂
          ["Pai "], # 鎃
          ["Ai "], # 鎄
          ["Jie "], # 鎅
          [" "], # 鎆
          ["Mei "], # 鎇
          ["Chuo "], # 鎈
          ["Ta "], # 鎉
          ["Bang "], # 鎊
          ["Xia "], # 鎋
          ["Lian "], # 鎌
          ["Suo "], # 鎍
          ["Xi "], # 鎎
          ["Liu "], # 鎏
          ["Zu "], # 鎐
          ["Ye "], # 鎑
          ["Nou "], # 鎒
          ["Weng "], # 鎓
          ["Rong "], # 鎔
          ["Tang "], # 鎕
          ["Suo "], # 鎖
          ["Qiang "], # 鎗
          ["Ge "], # 鎘
          ["Shuo "], # 鎙
          ["Chui "], # 鎚
          ["Bo "], # 鎛
          ["Pan "], # 鎜
          ["Sa "], # 鎝
          ["Bi "], # 鎞
          ["Sang "], # 鎟
          ["Gang "], # 鎠
          ["Zi "], # 鎡
          ["Wu "], # 鎢
          ["Ying "], # 鎣
          ["Huang "], # 鎤
          ["Tiao "], # 鎥
          ["Liu "], # 鎦
          ["Kai "], # 鎧
          ["Sun "], # 鎨
          ["Sha "], # 鎩
          ["Sou "], # 鎪
          ["Wan "], # 鎫
          ["Hao "], # 鎬
          ["Zhen "], # 鎭
          ["Zhen "], # 鎮
          ["Luo "], # 鎯
          ["Yi "], # 鎰
          ["Yuan "], # 鎱
          ["Tang "], # 鎲
          ["Nie "], # 鎳
          ["Xi "], # 鎴
          ["Jia "], # 鎵
          ["Ge "], # 鎶
          ["Ma "], # 鎷
          ["Juan "], # 鎸
          ["Kasugai "], # 鎹
          ["Habaki "], # 鎺
          ["Suo "], # 鎻
          [" "], # 鎼
          [" "], # 鎽
          [" "], # 鎾
          ["Na "], # 鎿
          ["Lu "], # 鏀
          ["Suo "], # 鏁
          ["Ou "], # 鏂
          ["Zu "], # 鏃
          ["Tuan "], # 鏄
          ["Xiu "], # 鏅
          ["Guan "], # 鏆
          ["Xuan "], # 鏇
          ["Lian "], # 鏈
          ["Shou "], # 鏉
          ["Ao "], # 鏊
          ["Man "], # 鏋
          ["Mo "], # 鏌
          ["Luo "], # 鏍
          ["Bi "], # 鏎
          ["Wei "], # 鏏
          ["Liu "], # 鏐
          ["Di "], # 鏑
          ["Qiao "], # 鏒
          ["Cong "], # 鏓
          ["Yi "], # 鏔
          ["Lu "], # 鏕
          ["Ao "], # 鏖
          ["Keng "], # 鏗
          ["Qiang "], # 鏘
          ["Cui "], # 鏙
          ["Qi "], # 鏚
          ["Chang "], # 鏛
          ["Tang "], # 鏜
          ["Man "], # 鏝
          ["Yong "], # 鏞
          ["Chan "], # 鏟
          ["Feng "], # 鏠
          ["Jing "], # 鏡
          ["Biao "], # 鏢
          ["Shu "], # 鏣
          ["Lou "], # 鏤
          ["Xiu "], # 鏥
          ["Cong "], # 鏦
          ["Long "], # 鏧
          ["Zan "], # 鏨
          ["Jian "], # 鏩
          ["Cao "], # 鏪
          ["Li "], # 鏫
          ["Xia "], # 鏬
          ["Xi "], # 鏭
          ["Kang "], # 鏮
          [" "], # 鏯
          ["Beng "], # 鏰
          [" "], # 鏱
          [" "], # 鏲
          ["Zheng "], # 鏳
          ["Lu "], # 鏴
          ["Hua "], # 鏵
          ["Ji "], # 鏶
          ["Pu "], # 鏷
          ["Hui "], # 鏸
          ["Qiang "], # 鏹
          ["Po "], # 鏺
          ["Lin "], # 鏻
          ["Suo "], # 鏼
          ["Xiu "], # 鏽
          ["San "], # 鏾
          ["Cheng "] # 鏿
        ],
        [
          ["Kui "], # 鐀
          ["Si "], # 鐁
          ["Liu "], # 鐂
          ["Nao "], # 鐃
          ["Heng "], # 鐄
          ["Pie "], # 鐅
          ["Sui "], # 鐆
          ["Fan "], # 鐇
          ["Qiao "], # 鐈
          ["Quan "], # 鐉
          ["Yang "], # 鐊
          ["Tang "], # 鐋
          ["Xiang "], # 鐌
          ["Jue "], # 鐍
          ["Jiao "], # 鐎
          ["Zun "], # 鐏
          ["Liao "], # 鐐
          ["Jie "], # 鐑
          ["Lao "], # 鐒
          ["Dui "], # 鐓
          ["Tan "], # 鐔
          ["Zan "], # 鐕
          ["Ji "], # 鐖
          ["Jian "], # 鐗
          ["Zhong "], # 鐘
          ["Deng "], # 鐙
          ["Ya "], # 鐚
          ["Ying "], # 鐛
          ["Dui "], # 鐜
          ["Jue "], # 鐝
          ["Nou "], # 鐞
          ["Ti "], # 鐟
          ["Pu "], # 鐠
          ["Tie "], # 鐡
          [" "], # 鐢
          [" "], # 鐣
          ["Ding "], # 鐤
          ["Shan "], # 鐥
          ["Kai "], # 鐦
          ["Jian "], # 鐧
          ["Fei "], # 鐨
          ["Sui "], # 鐩
          ["Lu "], # 鐪
          ["Juan "], # 鐫
          ["Hui "], # 鐬
          ["Yu "], # 鐭
          ["Lian "], # 鐮
          ["Zhuo "], # 鐯
          ["Qiao "], # 鐰
          ["Qian "], # 鐱
          ["Zhuo "], # 鐲
          ["Lei "], # 鐳
          ["Bi "], # 鐴
          ["Tie "], # 鐵
          ["Huan "], # 鐶
          ["Ye "], # 鐷
          ["Duo "], # 鐸
          ["Guo "], # 鐹
          ["Dang "], # 鐺
          ["Ju "], # 鐻
          ["Fen "], # 鐼
          ["Da "], # 鐽
          ["Bei "], # 鐾
          ["Yi "], # 鐿
          ["Ai "], # 鑀
          ["Zong "], # 鑁
          ["Xun "], # 鑂
          ["Diao "], # 鑃
          ["Zhu "], # 鑄
          ["Heng "], # 鑅
          ["Zhui "], # 鑆
          ["Ji "], # 鑇
          ["Nie "], # 鑈
          ["Ta "], # 鑉
          ["Huo "], # 鑊
          ["Qing "], # 鑋
          ["Bin "], # 鑌
          ["Ying "], # 鑍
          ["Kui "], # 鑎
          ["Ning "], # 鑏
          ["Xu "], # 鑐
          ["Jian "], # 鑑
          ["Jian "], # 鑒
          ["Yari "], # 鑓
          ["Cha "], # 鑔
          ["Zhi "], # 鑕
          ["Mie "], # 鑖
          ["Li "], # 鑗
          ["Lei "], # 鑘
          ["Ji "], # 鑙
          ["Zuan "], # 鑚
          ["Kuang "], # 鑛
          ["Shang "], # 鑜
          ["Peng "], # 鑝
          ["La "], # 鑞
          ["Du "], # 鑟
          ["Shuo "], # 鑠
          ["Chuo "], # 鑡
          ["Lu "], # 鑢
          ["Biao "], # 鑣
          ["Bao "], # 鑤
          ["Lu "], # 鑥
          [" "], # 鑦
          [" "], # 鑧
          ["Long "], # 鑨
          ["E "], # 鑩
          ["Lu "], # 鑪
          ["Xin "], # 鑫
          ["Jian "], # 鑬
          ["Lan "], # 鑭
          ["Bo "], # 鑮
          ["Jian "], # 鑯
          ["Yao "], # 鑰
          ["Chan "], # 鑱
          ["Xiang "], # 鑲
          ["Jian "], # 鑳
          ["Xi "], # 鑴
          ["Guan "], # 鑵
          ["Cang "], # 鑶
          ["Nie "], # 鑷
          ["Lei "], # 鑸
          ["Cuan "], # 鑹
          ["Qu "], # 鑺
          ["Pan "], # 鑻
          ["Luo "], # 鑼
          ["Zuan "], # 鑽
          ["Luan "], # 鑾
          ["Zao "], # 鑿
          ["Nie "], # 钀
          ["Jue "], # 钁
          ["Tang "], # 钂
          ["Shu "], # 钃
          ["Lan "], # 钄
          ["Jin "], # 钅
          ["Qiu "], # 钆
          ["Yi "], # 钇
          ["Zhen "], # 针
          ["Ding "], # 钉
          ["Zhao "], # 钊
          ["Po "], # 钋
          ["Diao "], # 钌
          ["Tu "], # 钍
          ["Qian "], # 钎
          ["Chuan "], # 钏
          ["Shan "], # 钐
          ["Ji "], # 钑
          ["Fan "], # 钒
          ["Diao "], # 钓
          ["Men "], # 钔
          ["Nu "], # 钕
          ["Xi "], # 钖
          ["Chai "], # 钗
          ["Xing "], # 钘
          ["Gai "], # 钙
          ["Bu "], # 钚
          ["Tai "], # 钛
          ["Ju "], # 钜
          ["Dun "], # 钝
          ["Chao "], # 钞
          ["Zhong "], # 钟
          ["Na "], # 钠
          ["Bei "], # 钡
          ["Gang "], # 钢
          ["Ban "], # 钣
          ["Qian "], # 钤
          ["Yao "], # 钥
          ["Qin "], # 钦
          ["Jun "], # 钧
          ["Wu "], # 钨
          ["Gou "], # 钩
          ["Kang "], # 钪
          ["Fang "], # 钫
          ["Huo "], # 钬
          ["Tou "], # 钭
          ["Niu "], # 钮
          ["Ba "], # 钯
          ["Yu "], # 钰
          ["Qian "], # 钱
          ["Zheng "], # 钲
          ["Qian "], # 钳
          ["Gu "], # 钴
          ["Bo "], # 钵
          ["E "], # 钶
          ["Po "], # 钷
          ["Bu "], # 钸
          ["Ba "], # 钹
          ["Yue "], # 钺
          ["Zuan "], # 钻
          ["Mu "], # 钼
          ["Dan "], # 钽
          ["Jia "], # 钾
          ["Dian "], # 钿
          ["You "], # 铀
          ["Tie "], # 铁
          ["Bo "], # 铂
          ["Ling "], # 铃
          ["Shuo "], # 铄
          ["Qian "], # 铅
          ["Liu "], # 铆
          ["Bao "], # 铇
          ["Shi "], # 铈
          ["Xuan "], # 铉
          ["She "], # 铊
          ["Bi "], # 铋
          ["Ni "], # 铌
          ["Pi "], # 铍
          ["Duo "], # 铎
          ["Xing "], # 铏
          ["Kao "], # 铐
          ["Lao "], # 铑
          ["Er "], # 铒
          ["Mang "], # 铓
          ["Ya "], # 铔
          ["You "], # 铕
          ["Cheng "], # 铖
          ["Jia "], # 铗
          ["Ye "], # 铘
          ["Nao "], # 铙
          ["Zhi "], # 铚
          ["Dang "], # 铛
          ["Tong "], # 铜
          ["Lu "], # 铝
          ["Diao "], # 铞
          ["Yin "], # 铟
          ["Kai "], # 铠
          ["Zha "], # 铡
          ["Zhu "], # 铢
          ["Xian "], # 铣
          ["Ting "], # 铤
          ["Diu "], # 铥
          ["Xian "], # 铦
          ["Hua "], # 铧
          ["Quan "], # 铨
          ["Sha "], # 铩
          ["Jia "], # 铪
          ["Yao "], # 铫
          ["Ge "], # 铬
          ["Ming "], # 铭
          ["Zheng "], # 铮
          ["Se "], # 铯
          ["Jiao "], # 铰
          ["Yi "], # 铱
          ["Chan "], # 铲
          ["Chong "], # 铳
          ["Tang "], # 铴
          ["An "], # 铵
          ["Yin "], # 银
          ["Ru "], # 铷
          ["Zhu "], # 铸
          ["Lao "], # 铹
          ["Pu "], # 铺
          ["Wu "], # 铻
          ["Lai "], # 铼
          ["Te "], # 铽
          ["Lian "], # 链
          ["Keng "] # 铿
        ],
        [
          ["Xiao "], # 销
          ["Suo "], # 锁
          ["Li "], # 锂
          ["Zheng "], # 锃
          ["Chu "], # 锄
          ["Guo "], # 锅
          ["Gao "], # 锆
          ["Tie "], # 锇
          ["Xiu "], # 锈
          ["Cuo "], # 锉
          ["Lue "], # 锊
          ["Feng "], # 锋
          ["Xin "], # 锌
          ["Liu "], # 锍
          ["Kai "], # 锎
          ["Jian "], # 锏
          ["Rui "], # 锐
          ["Ti "], # 锑
          ["Lang "], # 锒
          ["Qian "], # 锓
          ["Ju "], # 锔
          ["A "], # 锕
          ["Qiang "], # 锖
          ["Duo "], # 锗
          ["Tian "], # 锘
          ["Cuo "], # 错
          ["Mao "], # 锚
          ["Ben "], # 锛
          ["Qi "], # 锜
          ["De "], # 锝
          ["Kua "], # 锞
          ["Kun "], # 锟
          ["Chang "], # 锠
          ["Xi "], # 锡
          ["Gu "], # 锢
          ["Luo "], # 锣
          ["Chui "], # 锤
          ["Zhui "], # 锥
          ["Jin "], # 锦
          ["Zhi "], # 锧
          ["Xian "], # 锨
          ["Juan "], # 锩
          ["Huo "], # 锪
          ["Pou "], # 锫
          ["Tan "], # 锬
          ["Ding "], # 锭
          ["Jian "], # 键
          ["Ju "], # 锯
          ["Meng "], # 锰
          ["Zi "], # 锱
          ["Qie "], # 锲
          ["Ying "], # 锳
          ["Kai "], # 锴
          ["Qiang "], # 锵
          ["Song "], # 锶
          ["E "], # 锷
          ["Cha "], # 锸
          ["Qiao "], # 锹
          ["Zhong "], # 锺
          ["Duan "], # 锻
          ["Sou "], # 锼
          ["Huang "], # 锽
          ["Huan "], # 锾
          ["Ai "], # 锿
          ["Du "], # 镀
          ["Mei "], # 镁
          ["Lou "], # 镂
          ["Zi "], # 镃
          ["Fei "], # 镄
          ["Mei "], # 镅
          ["Mo "], # 镆
          ["Zhen "], # 镇
          ["Bo "], # 镈
          ["Ge "], # 镉
          ["Nie "], # 镊
          ["Tang "], # 镋
          ["Juan "], # 镌
          ["Nie "], # 镍
          ["Na "], # 镎
          ["Liu "], # 镏
          ["Hao "], # 镐
          ["Bang "], # 镑
          ["Yi "], # 镒
          ["Jia "], # 镓
          ["Bin "], # 镔
          ["Rong "], # 镕
          ["Biao "], # 镖
          ["Tang "], # 镗
          ["Man "], # 镘
          ["Luo "], # 镙
          ["Beng "], # 镚
          ["Yong "], # 镛
          ["Jing "], # 镜
          ["Di "], # 镝
          ["Zu "], # 镞
          ["Xuan "], # 镟
          ["Liu "], # 镠
          ["Tan "], # 镡
          ["Jue "], # 镢
          ["Liao "], # 镣
          ["Pu "], # 镤
          ["Lu "], # 镥
          ["Dui "], # 镦
          ["Lan "], # 镧
          ["Pu "], # 镨
          ["Cuan "], # 镩
          ["Qiang "], # 镪
          ["Deng "], # 镫
          ["Huo "], # 镬
          ["Lei "], # 镭
          ["Huan "], # 镮
          ["Zhuo "], # 镯
          ["Lian "], # 镰
          ["Yi "], # 镱
          ["Cha "], # 镲
          ["Biao "], # 镳
          ["La "], # 镴
          ["Chan "], # 镵
          ["Xiang "], # 镶
          ["Chang "], # 長
          ["Chang "], # 镸
          ["Jiu "], # 镹
          ["Ao "], # 镺
          ["Die "], # 镻
          ["Qu "], # 镼
          ["Liao "], # 镽
          ["Mi "], # 镾
          ["Chang "], # 长
          ["Men "], # 門
          ["Ma "], # 閁
          ["Shuan "], # 閂
          ["Shan "], # 閃
          ["Huo "], # 閄
          ["Men "], # 閅
          ["Yan "], # 閆
          ["Bi "], # 閇
          ["Han "], # 閈
          ["Bi "], # 閉
          ["San "], # 閊
          ["Kai "], # 開
          ["Kang "], # 閌
          ["Beng "], # 閍
          ["Hong "], # 閎
          ["Run "], # 閏
          ["San "], # 閐
          ["Xian "], # 閑
          ["Xian "], # 閒
          ["Jian "], # 間
          ["Min "], # 閔
          ["Xia "], # 閕
          ["Yuru "], # 閖
          ["Dou "], # 閗
          ["Zha "], # 閘
          ["Nao "], # 閙
          ["Jian "], # 閚
          ["Peng "], # 閛
          ["Xia "], # 閜
          ["Ling "], # 閝
          ["Bian "], # 閞
          ["Bi "], # 閟
          ["Run "], # 閠
          ["He "], # 閡
          ["Guan "], # 関
          ["Ge "], # 閣
          ["Ge "], # 閤
          ["Fa "], # 閥
          ["Chu "], # 閦
          ["Hong "], # 閧
          ["Gui "], # 閨
          ["Min "], # 閩
          ["Se "], # 閪
          ["Kun "], # 閫
          ["Lang "], # 閬
          ["Lu "], # 閭
          ["Ting "], # 閮
          ["Sha "], # 閯
          ["Ju "], # 閰
          ["Yue "], # 閱
          ["Yue "], # 閲
          ["Chan "], # 閳
          ["Qu "], # 閴
          ["Lin "], # 閵
          ["Chang "], # 閶
          ["Shai "], # 閷
          ["Kun "], # 閸
          ["Yan "], # 閹
          ["Min "], # 閺
          ["Yan "], # 閻
          ["E "], # 閼
          ["Hun "], # 閽
          ["Yu "], # 閾
          ["Wen "], # 閿
          ["Xiang "], # 闀
          ["Bao "], # 闁
          ["Xiang "], # 闂
          ["Qu "], # 闃
          ["Yao "], # 闄
          ["Wen "], # 闅
          ["Ban "], # 闆
          ["An "], # 闇
          ["Wei "], # 闈
          ["Yin "], # 闉
          ["Kuo "], # 闊
          ["Que "], # 闋
          ["Lan "], # 闌
          ["Du "], # 闍
          [" "], # 闎
          ["Phwung "], # 闏
          ["Tian "], # 闐
          ["Nie "], # 闑
          ["Ta "], # 闒
          ["Kai "], # 闓
          ["He "], # 闔
          ["Que "], # 闕
          ["Chuang "], # 闖
          ["Guan "], # 闗
          ["Dou "], # 闘
          ["Qi "], # 闙
          ["Kui "], # 闚
          ["Tang "], # 闛
          ["Guan "], # 關
          ["Piao "], # 闝
          ["Kan "], # 闞
          ["Xi "], # 闟
          ["Hui "], # 闠
          ["Chan "], # 闡
          ["Pi "], # 闢
          ["Dang "], # 闣
          ["Huan "], # 闤
          ["Ta "], # 闥
          ["Wen "], # 闦
          [" "], # 闧
          ["Men "], # 门
          ["Shuan "], # 闩
          ["Shan "], # 闪
          ["Yan "], # 闫
          ["Han "], # 闬
          ["Bi "], # 闭
          ["Wen "], # 问
          ["Chuang "], # 闯
          ["Run "], # 闰
          ["Wei "], # 闱
          ["Xian "], # 闲
          ["Hong "], # 闳
          ["Jian "], # 间
          ["Min "], # 闵
          ["Kang "], # 闶
          ["Men "], # 闷
          ["Zha "], # 闸
          ["Nao "], # 闹
          ["Gui "], # 闺
          ["Wen "], # 闻
          ["Ta "], # 闼
          ["Min "], # 闽
          ["Lu "], # 闾
          ["Kai "] # 闿
        ],
        [
          ["Fa "], # 阀
          ["Ge "], # 阁
          ["He "], # 阂
          ["Kun "], # 阃
          ["Jiu "], # 阄
          ["Yue "], # 阅
          ["Lang "], # 阆
          ["Du "], # 阇
          ["Yu "], # 阈
          ["Yan "], # 阉
          ["Chang "], # 阊
          ["Xi "], # 阋
          ["Wen "], # 阌
          ["Hun "], # 阍
          ["Yan "], # 阎
          ["E "], # 阏
          ["Chan "], # 阐
          ["Lan "], # 阑
          ["Qu "], # 阒
          ["Hui "], # 阓
          ["Kuo "], # 阔
          ["Que "], # 阕
          ["Ge "], # 阖
          ["Tian "], # 阗
          ["Ta "], # 阘
          ["Que "], # 阙
          ["Kan "], # 阚
          ["Huan "], # 阛
          ["Fu "], # 阜
          ["Fu "], # 阝
          ["Le "], # 阞
          ["Dui "], # 队
          ["Xin "], # 阠
          ["Qian "], # 阡
          ["Wu "], # 阢
          ["Yi "], # 阣
          ["Tuo "], # 阤
          ["Yin "], # 阥
          ["Yang "], # 阦
          ["Dou "], # 阧
          ["E "], # 阨
          ["Sheng "], # 阩
          ["Ban "], # 阪
          ["Pei "], # 阫
          ["Keng "], # 阬
          ["Yun "], # 阭
          ["Ruan "], # 阮
          ["Zhi "], # 阯
          ["Pi "], # 阰
          ["Jing "], # 阱
          ["Fang "], # 防
          ["Yang "], # 阳
          ["Yin "], # 阴
          ["Zhen "], # 阵
          ["Jie "], # 阶
          ["Cheng "], # 阷
          ["E "], # 阸
          ["Qu "], # 阹
          ["Di "], # 阺
          ["Zu "], # 阻
          ["Zuo "], # 阼
          ["Dian "], # 阽
          ["Ling "], # 阾
          ["A "], # 阿
          ["Tuo "], # 陀
          ["Tuo "], # 陁
          ["Po "], # 陂
          ["Bing "], # 陃
          ["Fu "], # 附
          ["Ji "], # 际
          ["Lu "], # 陆
          ["Long "], # 陇
          ["Chen "], # 陈
          ["Xing "], # 陉
          ["Duo "], # 陊
          ["Lou "], # 陋
          ["Mo "], # 陌
          ["Jiang "], # 降
          ["Shu "], # 陎
          ["Duo "], # 陏
          ["Xian "], # 限
          ["Er "], # 陑
          ["Gui "], # 陒
          ["Yu "], # 陓
          ["Gai "], # 陔
          ["Shan "], # 陕
          ["Xun "], # 陖
          ["Qiao "], # 陗
          ["Xing "], # 陘
          ["Chun "], # 陙
          ["Fu "], # 陚
          ["Bi "], # 陛
          ["Xia "], # 陜
          ["Shan "], # 陝
          ["Sheng "], # 陞
          ["Zhi "], # 陟
          ["Pu "], # 陠
          ["Dou "], # 陡
          ["Yuan "], # 院
          ["Zhen "], # 陣
          ["Chu "], # 除
          ["Xian "], # 陥
          ["Tou "], # 陦
          ["Nie "], # 陧
          ["Yun "], # 陨
          ["Xian "], # 险
          ["Pei "], # 陪
          ["Pei "], # 陫
          ["Zou "], # 陬
          ["Yi "], # 陭
          ["Dui "], # 陮
          ["Lun "], # 陯
          ["Yin "], # 陰
          ["Ju "], # 陱
          ["Chui "], # 陲
          ["Chen "], # 陳
          ["Pi "], # 陴
          ["Ling "], # 陵
          ["Tao "], # 陶
          ["Xian "], # 陷
          ["Lu "], # 陸
          ["Sheng "], # 陹
          ["Xian "], # 険
          ["Yin "], # 陻
          ["Zhu "], # 陼
          ["Yang "], # 陽
          ["Reng "], # 陾
          ["Shan "], # 陿
          ["Chong "], # 隀
          ["Yan "], # 隁
          ["Yin "], # 隂
          ["Yu "], # 隃
          ["Ti "], # 隄
          ["Yu "], # 隅
          ["Long "], # 隆
          ["Wei "], # 隇
          ["Wei "], # 隈
          ["Nie "], # 隉
          ["Dui "], # 隊
          ["Sui "], # 隋
          ["An "], # 隌
          ["Huang "], # 隍
          ["Jie "], # 階
          ["Sui "], # 随
          ["Yin "], # 隐
          ["Gai "], # 隑
          ["Yan "], # 隒
          ["Hui "], # 隓
          ["Ge "], # 隔
          ["Yun "], # 隕
          ["Wu "], # 隖
          ["Wei "], # 隗
          ["Ai "], # 隘
          ["Xi "], # 隙
          ["Tang "], # 隚
          ["Ji "], # 際
          ["Zhang "], # 障
          ["Dao "], # 隝
          ["Ao "], # 隞
          ["Xi "], # 隟
          ["Yin "], # 隠
          [" "], # 隡
          ["Rao "], # 隢
          ["Lin "], # 隣
          ["Tui "], # 隤
          ["Deng "], # 隥
          ["Pi "], # 隦
          ["Sui "], # 隧
          ["Sui "], # 隨
          ["Yu "], # 隩
          ["Xian "], # 險
          ["Fen "], # 隫
          ["Ni "], # 隬
          ["Er "], # 隭
          ["Ji "], # 隮
          ["Dao "], # 隯
          ["Xi "], # 隰
          ["Yin "], # 隱
          ["E "], # 隲
          ["Hui "], # 隳
          ["Long "], # 隴
          ["Xi "], # 隵
          ["Li "], # 隶
          ["Li "], # 隷
          ["Li "], # 隸
          ["Zhui "], # 隹
          ["He "], # 隺
          ["Zhi "], # 隻
          ["Zhun "], # 隼
          ["Jun "], # 隽
          ["Nan "], # 难
          ["Yi "], # 隿
          ["Que "], # 雀
          ["Yan "], # 雁
          ["Qian "], # 雂
          ["Ya "], # 雃
          ["Xiong "], # 雄
          ["Ya "], # 雅
          ["Ji "], # 集
          ["Gu "], # 雇
          ["Huan "], # 雈
          ["Zhi "], # 雉
          ["Gou "], # 雊
          ["Jun "], # 雋
          ["Ci "], # 雌
          ["Yong "], # 雍
          ["Ju "], # 雎
          ["Chu "], # 雏
          ["Hu "], # 雐
          ["Za "], # 雑
          ["Luo "], # 雒
          ["Yu "], # 雓
          ["Chou "], # 雔
          ["Diao "], # 雕
          ["Sui "], # 雖
          ["Han "], # 雗
          ["Huo "], # 雘
          ["Shuang "], # 雙
          ["Guan "], # 雚
          ["Chu "], # 雛
          ["Za "], # 雜
          ["Yong "], # 雝
          ["Ji "], # 雞
          ["Xi "], # 雟
          ["Chou "], # 雠
          ["Liu "], # 雡
          ["Li "], # 離
          ["Nan "], # 難
          ["Xue "], # 雤
          ["Za "], # 雥
          ["Ji "], # 雦
          ["Ji "], # 雧
          ["Yu "], # 雨
          ["Yu "], # 雩
          ["Xue "], # 雪
          ["Na "], # 雫
          ["Fou "], # 雬
          ["Se "], # 雭
          ["Mu "], # 雮
          ["Wen "], # 雯
          ["Fen "], # 雰
          ["Pang "], # 雱
          ["Yun "], # 雲
          ["Li "], # 雳
          ["Li "], # 雴
          ["Ang "], # 雵
          ["Ling "], # 零
          ["Lei "], # 雷
          ["An "], # 雸
          ["Bao "], # 雹
          ["Meng "], # 雺
          ["Dian "], # 電
          ["Dang "], # 雼
          ["Xing "], # 雽
          ["Wu "], # 雾
          ["Zhao "] # 雿
        ],
        [
          ["Xu "], # 需
          ["Ji "], # 霁
          ["Mu "], # 霂
          ["Chen "], # 霃
          ["Xiao "], # 霄
          ["Zha "], # 霅
          ["Ting "], # 霆
          ["Zhen "], # 震
          ["Pei "], # 霈
          ["Mei "], # 霉
          ["Ling "], # 霊
          ["Qi "], # 霋
          ["Chou "], # 霌
          ["Huo "], # 霍
          ["Sha "], # 霎
          ["Fei "], # 霏
          ["Weng "], # 霐
          ["Zhan "], # 霑
          ["Yin "], # 霒
          ["Ni "], # 霓
          ["Chou "], # 霔
          ["Tun "], # 霕
          ["Lin "], # 霖
          [" "], # 霗
          ["Dong "], # 霘
          ["Ying "], # 霙
          ["Wu "], # 霚
          ["Ling "], # 霛
          ["Shuang "], # 霜
          ["Ling "], # 霝
          ["Xia "], # 霞
          ["Hong "], # 霟
          ["Yin "], # 霠
          ["Mo "], # 霡
          ["Mai "], # 霢
          ["Yun "], # 霣
          ["Liu "], # 霤
          ["Meng "], # 霥
          ["Bin "], # 霦
          ["Wu "], # 霧
          ["Wei "], # 霨
          ["Huo "], # 霩
          ["Yin "], # 霪
          ["Xi "], # 霫
          ["Yi "], # 霬
          ["Ai "], # 霭
          ["Dan "], # 霮
          ["Deng "], # 霯
          ["Xian "], # 霰
          ["Yu "], # 霱
          ["Lu "], # 露
          ["Long "], # 霳
          ["Dai "], # 霴
          ["Ji "], # 霵
          ["Pang "], # 霶
          ["Yang "], # 霷
          ["Ba "], # 霸
          ["Pi "], # 霹
          ["Wei "], # 霺
          [" "], # 霻
          ["Xi "], # 霼
          ["Ji "], # 霽
          ["Mai "], # 霾
          ["Meng "], # 霿
          ["Meng "], # 靀
          ["Lei "], # 靁
          ["Li "], # 靂
          ["Huo "], # 靃
          ["Ai "], # 靄
          ["Fei "], # 靅
          ["Dai "], # 靆
          ["Long "], # 靇
          ["Ling "], # 靈
          ["Ai "], # 靉
          ["Feng "], # 靊
          ["Li "], # 靋
          ["Bao "], # 靌
          [" "], # 靍
          ["He "], # 靎
          ["He "], # 靏
          ["Bing "], # 靐
          ["Qing "], # 靑
          ["Qing "], # 青
          ["Jing "], # 靓
          ["Tian "], # 靔
          ["Zhen "], # 靕
          ["Jing "], # 靖
          ["Cheng "], # 靗
          ["Qing "], # 靘
          ["Jing "], # 静
          ["Jing "], # 靚
          ["Dian "], # 靛
          ["Jing "], # 靜
          ["Tian "], # 靝
          ["Fei "], # 非
          ["Fei "], # 靟
          ["Kao "], # 靠
          ["Mi "], # 靡
          ["Mian "], # 面
          ["Mian "], # 靣
          ["Pao "], # 靤
          ["Ye "], # 靥
          ["Tian "], # 靦
          ["Hui "], # 靧
          ["Ye "], # 靨
          ["Ge "], # 革
          ["Ding "], # 靪
          ["Cha "], # 靫
          ["Jian "], # 靬
          ["Ren "], # 靭
          ["Di "], # 靮
          ["Du "], # 靯
          ["Wu "], # 靰
          ["Ren "], # 靱
          ["Qin "], # 靲
          ["Jin "], # 靳
          ["Xue "], # 靴
          ["Niu "], # 靵
          ["Ba "], # 靶
          ["Yin "], # 靷
          ["Sa "], # 靸
          ["Na "], # 靹
          ["Mo "], # 靺
          ["Zu "], # 靻
          ["Da "], # 靼
          ["Ban "], # 靽
          ["Yi "], # 靾
          ["Yao "], # 靿
          ["Tao "], # 鞀
          ["Tuo "], # 鞁
          ["Jia "], # 鞂
          ["Hong "], # 鞃
          ["Pao "], # 鞄
          ["Yang "], # 鞅
          ["Tomo "], # 鞆
          ["Yin "], # 鞇
          ["Jia "], # 鞈
          ["Tao "], # 鞉
          ["Ji "], # 鞊
          ["Xie "], # 鞋
          ["An "], # 鞌
          ["An "], # 鞍
          ["Hen "], # 鞎
          ["Gong "], # 鞏
          ["Kohaze "], # 鞐
          ["Da "], # 鞑
          ["Qiao "], # 鞒
          ["Ting "], # 鞓
          ["Wan "], # 鞔
          ["Ying "], # 鞕
          ["Sui "], # 鞖
          ["Tiao "], # 鞗
          ["Qiao "], # 鞘
          ["Xuan "], # 鞙
          ["Kong "], # 鞚
          ["Beng "], # 鞛
          ["Ta "], # 鞜
          ["Zhang "], # 鞝
          ["Bing "], # 鞞
          ["Kuo "], # 鞟
          ["Ju "], # 鞠
          ["La "], # 鞡
          ["Xie "], # 鞢
          ["Rou "], # 鞣
          ["Bang "], # 鞤
          ["Yi "], # 鞥
          ["Qiu "], # 鞦
          ["Qiu "], # 鞧
          ["He "], # 鞨
          ["Xiao "], # 鞩
          ["Mu "], # 鞪
          ["Ju "], # 鞫
          ["Jian "], # 鞬
          ["Bian "], # 鞭
          ["Di "], # 鞮
          ["Jian "], # 鞯
          ["On "], # 鞰
          ["Tao "], # 鞱
          ["Gou "], # 鞲
          ["Ta "], # 鞳
          ["Bei "], # 鞴
          ["Xie "], # 鞵
          ["Pan "], # 鞶
          ["Ge "], # 鞷
          ["Bi "], # 鞸
          ["Kuo "], # 鞹
          ["Tang "], # 鞺
          ["Lou "], # 鞻
          ["Gui "], # 鞼
          ["Qiao "], # 鞽
          ["Xue "], # 鞾
          ["Ji "], # 鞿
          ["Jian "], # 韀
          ["Jiang "], # 韁
          ["Chan "], # 韂
          ["Da "], # 韃
          ["Huo "], # 韄
          ["Xian "], # 韅
          ["Qian "], # 韆
          ["Du "], # 韇
          ["Wa "], # 韈
          ["Jian "], # 韉
          ["Lan "], # 韊
          ["Wei "], # 韋
          ["Ren "], # 韌
          ["Fu "], # 韍
          ["Mei "], # 韎
          ["Juan "], # 韏
          ["Ge "], # 韐
          ["Wei "], # 韑
          ["Qiao "], # 韒
          ["Han "], # 韓
          ["Chang "], # 韔
          [" "], # 韕
          ["Rou "], # 韖
          ["Xun "], # 韗
          ["She "], # 韘
          ["Wei "], # 韙
          ["Ge "], # 韚
          ["Bei "], # 韛
          ["Tao "], # 韜
          ["Gou "], # 韝
          ["Yun "], # 韞
          [" "], # 韟
          ["Bi "], # 韠
          ["Wei "], # 韡
          ["Hui "], # 韢
          ["Du "], # 韣
          ["Wa "], # 韤
          ["Du "], # 韥
          ["Wei "], # 韦
          ["Ren "], # 韧
          ["Fu "], # 韨
          ["Han "], # 韩
          ["Wei "], # 韪
          ["Yun "], # 韫
          ["Tao "], # 韬
          ["Jiu "], # 韭
          ["Jiu "], # 韮
          ["Xian "], # 韯
          ["Xie "], # 韰
          ["Xian "], # 韱
          ["Ji "], # 韲
          ["Yin "], # 音
          ["Za "], # 韴
          ["Yun "], # 韵
          ["Shao "], # 韶
          ["Le "], # 韷
          ["Peng "], # 韸
          ["Heng "], # 韹
          ["Ying "], # 韺
          ["Yun "], # 韻
          ["Peng "], # 韼
          ["Yin "], # 韽
          ["Yin "], # 韾
          ["Xiang "] # 響
        ],
        [
          ["Hu "], # 頀
          ["Ye "], # 頁
          ["Ding "], # 頂
          ["Qing "], # 頃
          ["Pan "], # 頄
          ["Xiang "], # 項
          ["Shun "], # 順
          ["Han "], # 頇
          ["Xu "], # 須
          ["Yi "], # 頉
          ["Xu "], # 頊
          ["Gu "], # 頋
          ["Song "], # 頌
          ["Kui "], # 頍
          ["Qi "], # 頎
          ["Hang "], # 頏
          ["Yu "], # 預
          ["Wan "], # 頑
          ["Ban "], # 頒
          ["Dun "], # 頓
          ["Di "], # 頔
          ["Dan "], # 頕
          ["Pan "], # 頖
          ["Po "], # 頗
          ["Ling "], # 領
          ["Ce "], # 頙
          ["Jing "], # 頚
          ["Lei "], # 頛
          ["He "], # 頜
          ["Qiao "], # 頝
          ["E "], # 頞
          ["E "], # 頟
          ["Wei "], # 頠
          ["Jie "], # 頡
          ["Gua "], # 頢
          ["Shen "], # 頣
          ["Yi "], # 頤
          ["Shen "], # 頥
          ["Hai "], # 頦
          ["Dui "], # 頧
          ["Pian "], # 頨
          ["Ping "], # 頩
          ["Lei "], # 頪
          ["Fu "], # 頫
          ["Jia "], # 頬
          ["Tou "], # 頭
          ["Hui "], # 頮
          ["Kui "], # 頯
          ["Jia "], # 頰
          ["Le "], # 頱
          ["Tian "], # 頲
          ["Cheng "], # 頳
          ["Ying "], # 頴
          ["Jun "], # 頵
          ["Hu "], # 頶
          ["Han "], # 頷
          ["Jing "], # 頸
          ["Tui "], # 頹
          ["Tui "], # 頺
          ["Pin "], # 頻
          ["Lai "], # 頼
          ["Tui "], # 頽
          ["Zi "], # 頾
          ["Zi "], # 頿
          ["Chui "], # 顀
          ["Ding "], # 顁
          ["Lai "], # 顂
          ["Yan "], # 顃
          ["Han "], # 顄
          ["Jian "], # 顅
          ["Ke "], # 顆
          ["Cui "], # 顇
          ["Jiong "], # 顈
          ["Qin "], # 顉
          ["Yi "], # 顊
          ["Sai "], # 顋
          ["Ti "], # 題
          ["E "], # 額
          ["E "], # 顎
          ["Yan "], # 顏
          ["Hun "], # 顐
          ["Kan "], # 顑
          ["Yong "], # 顒
          ["Zhuan "], # 顓
          ["Yan "], # 顔
          ["Xian "], # 顕
          ["Xin "], # 顖
          ["Yi "], # 顗
          ["Yuan "], # 願
          ["Sang "], # 顙
          ["Dian "], # 顚
          ["Dian "], # 顛
          ["Jiang "], # 顜
          ["Ku "], # 顝
          ["Lei "], # 類
          ["Liao "], # 顟
          ["Piao "], # 顠
          ["Yi "], # 顡
          ["Man "], # 顢
          ["Qi "], # 顣
          ["Rao "], # 顤
          ["Hao "], # 顥
          ["Qiao "], # 顦
          ["Gu "], # 顧
          ["Xun "], # 顨
          ["Qian "], # 顩
          ["Hui "], # 顪
          ["Zhan "], # 顫
          ["Ru "], # 顬
          ["Hong "], # 顭
          ["Bin "], # 顮
          ["Xian "], # 顯
          ["Pin "], # 顰
          ["Lu "], # 顱
          ["Lan "], # 顲
          ["Nie "], # 顳
          ["Quan "], # 顴
          ["Ye "], # 页
          ["Ding "], # 顶
          ["Qing "], # 顷
          ["Han "], # 顸
          ["Xiang "], # 项
          ["Shun "], # 顺
          ["Xu "], # 须
          ["Xu "], # 顼
          ["Wan "], # 顽
          ["Gu "], # 顾
          ["Dun "], # 顿
          ["Qi "], # 颀
          ["Ban "], # 颁
          ["Song "], # 颂
          ["Hang "], # 颃
          ["Yu "], # 预
          ["Lu "], # 颅
          ["Ling "], # 领
          ["Po "], # 颇
          ["Jing "], # 颈
          ["Jie "], # 颉
          ["Jia "], # 颊
          ["Tian "], # 颋
          ["Han "], # 颌
          ["Ying "], # 颍
          ["Jiong "], # 颎
          ["Hai "], # 颏
          ["Yi "], # 颐
          ["Pin "], # 频
          ["Hui "], # 颒
          ["Tui "], # 颓
          ["Han "], # 颔
          ["Ying "], # 颕
          ["Ying "], # 颖
          ["Ke "], # 颗
          ["Ti "], # 题
          ["Yong "], # 颙
          ["E "], # 颚
          ["Zhuan "], # 颛
          ["Yan "], # 颜
          ["E "], # 额
          ["Nie "], # 颞
          ["Man "], # 颟
          ["Dian "], # 颠
          ["Sang "], # 颡
          ["Hao "], # 颢
          ["Lei "], # 颣
          ["Zhan "], # 颤
          ["Ru "], # 颥
          ["Pin "], # 颦
          ["Quan "], # 颧
          ["Feng "], # 風
          ["Biao "], # 颩
          ["Oroshi "], # 颪
          ["Fu "], # 颫
          ["Xia "], # 颬
          ["Zhan "], # 颭
          ["Biao "], # 颮
          ["Sa "], # 颯
          ["Ba "], # 颰
          ["Tai "], # 颱
          ["Lie "], # 颲
          ["Gua "], # 颳
          ["Xuan "], # 颴
          ["Shao "], # 颵
          ["Ju "], # 颶
          ["Bi "], # 颷
          ["Si "], # 颸
          ["Wei "], # 颹
          ["Yang "], # 颺
          ["Yao "], # 颻
          ["Sou "], # 颼
          ["Kai "], # 颽
          ["Sao "], # 颾
          ["Fan "], # 颿
          ["Liu "], # 飀
          ["Xi "], # 飁
          ["Liao "], # 飂
          ["Piao "], # 飃
          ["Piao "], # 飄
          ["Liu "], # 飅
          ["Biao "], # 飆
          ["Biao "], # 飇
          ["Biao "], # 飈
          ["Liao "], # 飉
          [" "], # 飊
          ["Se "], # 飋
          ["Feng "], # 飌
          ["Biao "], # 飍
          ["Feng "], # 风
          ["Yang "], # 飏
          ["Zhan "], # 飐
          ["Biao "], # 飑
          ["Sa "], # 飒
          ["Ju "], # 飓
          ["Si "], # 飔
          ["Sou "], # 飕
          ["Yao "], # 飖
          ["Liu "], # 飗
          ["Piao "], # 飘
          ["Biao "], # 飙
          ["Biao "], # 飚
          ["Fei "], # 飛
          ["Fan "], # 飜
          ["Fei "], # 飝
          ["Fei "], # 飞
          ["Shi "], # 食
          ["Shi "], # 飠
          ["Can "], # 飡
          ["Ji "], # 飢
          ["Ding "], # 飣
          ["Si "], # 飤
          ["Tuo "], # 飥
          ["Zhan "], # 飦
          ["Sun "], # 飧
          ["Xiang "], # 飨
          ["Tun "], # 飩
          ["Ren "], # 飪
          ["Yu "], # 飫
          ["Juan "], # 飬
          ["Chi "], # 飭
          ["Yin "], # 飮
          ["Fan "], # 飯
          ["Fan "], # 飰
          ["Sun "], # 飱
          ["Yin "], # 飲
          ["Zhu "], # 飳
          ["Yi "], # 飴
          ["Zhai "], # 飵
          ["Bi "], # 飶
          ["Jie "], # 飷
          ["Tao "], # 飸
          ["Liu "], # 飹
          ["Ci "], # 飺
          ["Tie "], # 飻
          ["Si "], # 飼
          ["Bao "], # 飽
          ["Shi "], # 飾
          ["Duo "] # 飿
        ],
        [
          ["Hai "], # 餀
          ["Ren "], # 餁
          ["Tian "], # 餂
          ["Jiao "], # 餃
          ["Jia "], # 餄
          ["Bing "], # 餅
          ["Yao "], # 餆
          ["Tong "], # 餇
          ["Ci "], # 餈
          ["Xiang "], # 餉
          ["Yang "], # 養
          ["Yang "], # 餋
          ["Er "], # 餌
          ["Yan "], # 餍
          ["Le "], # 餎
          ["Yi "], # 餏
          ["Can "], # 餐
          ["Bo "], # 餑
          ["Nei "], # 餒
          ["E "], # 餓
          ["Bu "], # 餔
          ["Jun "], # 餕
          ["Dou "], # 餖
          ["Su "], # 餗
          ["Yu "], # 餘
          ["Shi "], # 餙
          ["Yao "], # 餚
          ["Hun "], # 餛
          ["Guo "], # 餜
          ["Shi "], # 餝
          ["Jian "], # 餞
          ["Zhui "], # 餟
          ["Bing "], # 餠
          ["Xian "], # 餡
          ["Bu "], # 餢
          ["Ye "], # 餣
          ["Tan "], # 餤
          ["Fei "], # 餥
          ["Zhang "], # 餦
          ["Wei "], # 餧
          ["Guan "], # 館
          ["E "], # 餩
          ["Nuan "], # 餪
          ["Hun "], # 餫
          ["Hu "], # 餬
          ["Huang "], # 餭
          ["Tie "], # 餮
          ["Hui "], # 餯
          ["Jian "], # 餰
          ["Hou "], # 餱
          ["He "], # 餲
          ["Xing "], # 餳
          ["Fen "], # 餴
          ["Wei "], # 餵
          ["Gu "], # 餶
          ["Cha "], # 餷
          ["Song "], # 餸
          ["Tang "], # 餹
          ["Bo "], # 餺
          ["Gao "], # 餻
          ["Xi "], # 餼
          ["Kui "], # 餽
          ["Liu "], # 餾
          ["Sou "], # 餿
          ["Tao "], # 饀
          ["Ye "], # 饁
          ["Yun "], # 饂
          ["Mo "], # 饃
          ["Tang "], # 饄
          ["Man "], # 饅
          ["Bi "], # 饆
          ["Yu "], # 饇
          ["Xiu "], # 饈
          ["Jin "], # 饉
          ["San "], # 饊
          ["Kui "], # 饋
          ["Zhuan "], # 饌
          ["Shan "], # 饍
          ["Chi "], # 饎
          ["Dan "], # 饏
          ["Yi "], # 饐
          ["Ji "], # 饑
          ["Rao "], # 饒
          ["Cheng "], # 饓
          ["Yong "], # 饔
          ["Tao "], # 饕
          ["Hui "], # 饖
          ["Xiang "], # 饗
          ["Zhan "], # 饘
          ["Fen "], # 饙
          ["Hai "], # 饚
          ["Meng "], # 饛
          ["Yan "], # 饜
          ["Mo "], # 饝
          ["Chan "], # 饞
          ["Xiang "], # 饟
          ["Luo "], # 饠
          ["Zuan "], # 饡
          ["Nang "], # 饢
          ["Shi "], # 饣
          ["Ding "], # 饤
          ["Ji "], # 饥
          ["Tuo "], # 饦
          ["Xing "], # 饧
          ["Tun "], # 饨
          ["Xi "], # 饩
          ["Ren "], # 饪
          ["Yu "], # 饫
          ["Chi "], # 饬
          ["Fan "], # 饭
          ["Yin "], # 饮
          ["Jian "], # 饯
          ["Shi "], # 饰
          ["Bao "], # 饱
          ["Si "], # 饲
          ["Duo "], # 饳
          ["Yi "], # 饴
          ["Er "], # 饵
          ["Rao "], # 饶
          ["Xiang "], # 饷
          ["Jia "], # 饸
          ["Le "], # 饹
          ["Jiao "], # 饺
          ["Yi "], # 饻
          ["Bing "], # 饼
          ["Bo "], # 饽
          ["Dou "], # 饾
          ["E "], # 饿
          ["Yu "], # 馀
          ["Nei "], # 馁
          ["Jun "], # 馂
          ["Guo "], # 馃
          ["Hun "], # 馄
          ["Xian "], # 馅
          ["Guan "], # 馆
          ["Cha "], # 馇
          ["Kui "], # 馈
          ["Gu "], # 馉
          ["Sou "], # 馊
          ["Chan "], # 馋
          ["Ye "], # 馌
          ["Mo "], # 馍
          ["Bo "], # 馎
          ["Liu "], # 馏
          ["Xiu "], # 馐
          ["Jin "], # 馑
          ["Man "], # 馒
          ["San "], # 馓
          ["Zhuan "], # 馔
          ["Nang "], # 馕
          ["Shou "], # 首
          ["Kui "], # 馗
          ["Guo "], # 馘
          ["Xiang "], # 香
          ["Fen "], # 馚
          ["Ba "], # 馛
          ["Ni "], # 馜
          ["Bi "], # 馝
          ["Bo "], # 馞
          ["Tu "], # 馟
          ["Han "], # 馠
          ["Fei "], # 馡
          ["Jian "], # 馢
          ["An "], # 馣
          ["Ai "], # 馤
          ["Fu "], # 馥
          ["Xian "], # 馦
          ["Wen "], # 馧
          ["Xin "], # 馨
          ["Fen "], # 馩
          ["Bin "], # 馪
          ["Xing "], # 馫
          ["Ma "], # 馬
          ["Yu "], # 馭
          ["Feng "], # 馮
          ["Han "], # 馯
          ["Di "], # 馰
          ["Tuo "], # 馱
          ["Tuo "], # 馲
          ["Chi "], # 馳
          ["Xun "], # 馴
          ["Zhu "], # 馵
          ["Zhi "], # 馶
          ["Pei "], # 馷
          ["Xin "], # 馸
          ["Ri "], # 馹
          ["Sa "], # 馺
          ["Yin "], # 馻
          ["Wen "], # 馼
          ["Zhi "], # 馽
          ["Dan "], # 馾
          ["Lu "], # 馿
          ["You "], # 駀
          ["Bo "], # 駁
          ["Bao "], # 駂
          ["Kuai "], # 駃
          ["Tuo "], # 駄
          ["Yi "], # 駅
          ["Qu "], # 駆
          [" "], # 駇
          ["Qu "], # 駈
          ["Jiong "], # 駉
          ["Bo "], # 駊
          ["Zhao "], # 駋
          ["Yuan "], # 駌
          ["Peng "], # 駍
          ["Zhou "], # 駎
          ["Ju "], # 駏
          ["Zhu "], # 駐
          ["Nu "], # 駑
          ["Ju "], # 駒
          ["Pi "], # 駓
          ["Zang "], # 駔
          ["Jia "], # 駕
          ["Ling "], # 駖
          ["Zhen "], # 駗
          ["Tai "], # 駘
          ["Fu "], # 駙
          ["Yang "], # 駚
          ["Shi "], # 駛
          ["Bi "], # 駜
          ["Tuo "], # 駝
          ["Tuo "], # 駞
          ["Si "], # 駟
          ["Liu "], # 駠
          ["Ma "], # 駡
          ["Pian "], # 駢
          ["Tao "], # 駣
          ["Zhi "], # 駤
          ["Rong "], # 駥
          ["Teng "], # 駦
          ["Dong "], # 駧
          ["Xun "], # 駨
          ["Quan "], # 駩
          ["Shen "], # 駪
          ["Jiong "], # 駫
          ["Er "], # 駬
          ["Hai "], # 駭
          ["Bo "], # 駮
          ["Zhu "], # 駯
          ["Yin "], # 駰
          ["Luo "], # 駱
          ["Shuu "], # 駲
          ["Dan "], # 駳
          ["Xie "], # 駴
          ["Liu "], # 駵
          ["Ju "], # 駶
          ["Song "], # 駷
          ["Qin "], # 駸
          ["Mang "], # 駹
          ["Liang "], # 駺
          ["Han "], # 駻
          ["Tu "], # 駼
          ["Xuan "], # 駽
          ["Tui "], # 駾
          ["Jun "] # 駿
        ],
        [
          ["E "], # 騀
          ["Cheng "], # 騁
          ["Xin "], # 騂
          ["Ai "], # 騃
          ["Lu "], # 騄
          ["Zhui "], # 騅
          ["Zhou "], # 騆
          ["She "], # 騇
          ["Pian "], # 騈
          ["Kun "], # 騉
          ["Tao "], # 騊
          ["Lai "], # 騋
          ["Zong "], # 騌
          ["Ke "], # 騍
          ["Qi "], # 騎
          ["Qi "], # 騏
          ["Yan "], # 騐
          ["Fei "], # 騑
          ["Sao "], # 騒
          ["Yan "], # 験
          ["Jie "], # 騔
          ["Yao "], # 騕
          ["Wu "], # 騖
          ["Pian "], # 騗
          ["Cong "], # 騘
          ["Pian "], # 騙
          ["Qian "], # 騚
          ["Fei "], # 騛
          ["Huang "], # 騜
          ["Jian "], # 騝
          ["Huo "], # 騞
          ["Yu "], # 騟
          ["Ti "], # 騠
          ["Quan "], # 騡
          ["Xia "], # 騢
          ["Zong "], # 騣
          ["Kui "], # 騤
          ["Rou "], # 騥
          ["Si "], # 騦
          ["Gua "], # 騧
          ["Tuo "], # 騨
          ["Kui "], # 騩
          ["Sou "], # 騪
          ["Qian "], # 騫
          ["Cheng "], # 騬
          ["Zhi "], # 騭
          ["Liu "], # 騮
          ["Pang "], # 騯
          ["Teng "], # 騰
          ["Xi "], # 騱
          ["Cao "], # 騲
          ["Du "], # 騳
          ["Yan "], # 騴
          ["Yuan "], # 騵
          ["Zou "], # 騶
          ["Sao "], # 騷
          ["Shan "], # 騸
          ["Li "], # 騹
          ["Zhi "], # 騺
          ["Shuang "], # 騻
          ["Lu "], # 騼
          ["Xi "], # 騽
          ["Luo "], # 騾
          ["Zhang "], # 騿
          ["Mo "], # 驀
          ["Ao "], # 驁
          ["Can "], # 驂
          ["Piao "], # 驃
          ["Cong "], # 驄
          ["Qu "], # 驅
          ["Bi "], # 驆
          ["Zhi "], # 驇
          ["Yu "], # 驈
          ["Xu "], # 驉
          ["Hua "], # 驊
          ["Bo "], # 驋
          ["Su "], # 驌
          ["Xiao "], # 驍
          ["Lin "], # 驎
          ["Chan "], # 驏
          ["Dun "], # 驐
          ["Liu "], # 驑
          ["Tuo "], # 驒
          ["Zeng "], # 驓
          ["Tan "], # 驔
          ["Jiao "], # 驕
          ["Tie "], # 驖
          ["Yan "], # 驗
          ["Luo "], # 驘
          ["Zhan "], # 驙
          ["Jing "], # 驚
          ["Yi "], # 驛
          ["Ye "], # 驜
          ["Tuo "], # 驝
          ["Bin "], # 驞
          ["Zou "], # 驟
          ["Yan "], # 驠
          ["Peng "], # 驡
          ["Lu "], # 驢
          ["Teng "], # 驣
          ["Xiang "], # 驤
          ["Ji "], # 驥
          ["Shuang "], # 驦
          ["Ju "], # 驧
          ["Xi "], # 驨
          ["Huan "], # 驩
          ["Li "], # 驪
          ["Biao "], # 驫
          ["Ma "], # 马
          ["Yu "], # 驭
          ["Tuo "], # 驮
          ["Xun "], # 驯
          ["Chi "], # 驰
          ["Qu "], # 驱
          ["Ri "], # 驲
          ["Bo "], # 驳
          ["Lu "], # 驴
          ["Zang "], # 驵
          ["Shi "], # 驶
          ["Si "], # 驷
          ["Fu "], # 驸
          ["Ju "], # 驹
          ["Zou "], # 驺
          ["Zhu "], # 驻
          ["Tuo "], # 驼
          ["Nu "], # 驽
          ["Jia "], # 驾
          ["Yi "], # 驿
          ["Tai "], # 骀
          ["Xiao "], # 骁
          ["Ma "], # 骂
          ["Yin "], # 骃
          ["Jiao "], # 骄
          ["Hua "], # 骅
          ["Luo "], # 骆
          ["Hai "], # 骇
          ["Pian "], # 骈
          ["Biao "], # 骉
          ["Li "], # 骊
          ["Cheng "], # 骋
          ["Yan "], # 验
          ["Xin "], # 骍
          ["Qin "], # 骎
          ["Jun "], # 骏
          ["Qi "], # 骐
          ["Qi "], # 骑
          ["Ke "], # 骒
          ["Zhui "], # 骓
          ["Zong "], # 骔
          ["Su "], # 骕
          ["Can "], # 骖
          ["Pian "], # 骗
          ["Zhi "], # 骘
          ["Kui "], # 骙
          ["Sao "], # 骚
          ["Wu "], # 骛
          ["Ao "], # 骜
          ["Liu "], # 骝
          ["Qian "], # 骞
          ["Shan "], # 骟
          ["Piao "], # 骠
          ["Luo "], # 骡
          ["Cong "], # 骢
          ["Chan "], # 骣
          ["Zou "], # 骤
          ["Ji "], # 骥
          ["Shuang "], # 骦
          ["Xiang "], # 骧
          ["Gu "], # 骨
          ["Wei "], # 骩
          ["Wei "], # 骪
          ["Wei "], # 骫
          ["Yu "], # 骬
          ["Gan "], # 骭
          ["Yi "], # 骮
          ["Ang "], # 骯
          ["Tou "], # 骰
          ["Xie "], # 骱
          ["Bao "], # 骲
          ["Bi "], # 骳
          ["Chi "], # 骴
          ["Ti "], # 骵
          ["Di "], # 骶
          ["Ku "], # 骷
          ["Hai "], # 骸
          ["Qiao "], # 骹
          ["Gou "], # 骺
          ["Kua "], # 骻
          ["Ge "], # 骼
          ["Tui "], # 骽
          ["Geng "], # 骾
          ["Pian "], # 骿
          ["Bi "], # 髀
          ["Ke "], # 髁
          ["Ka "], # 髂
          ["Yu "], # 髃
          ["Sui "], # 髄
          ["Lou "], # 髅
          ["Bo "], # 髆
          ["Xiao "], # 髇
          ["Pang "], # 髈
          ["Bo "], # 髉
          ["Ci "], # 髊
          ["Kuan "], # 髋
          ["Bin "], # 髌
          ["Mo "], # 髍
          ["Liao "], # 髎
          ["Lou "], # 髏
          ["Nao "], # 髐
          ["Du "], # 髑
          ["Zang "], # 髒
          ["Sui "], # 髓
          ["Ti "], # 體
          ["Bin "], # 髕
          ["Kuan "], # 髖
          ["Lu "], # 髗
          ["Gao "], # 高
          ["Gao "], # 髙
          ["Qiao "], # 髚
          ["Kao "], # 髛
          ["Qiao "], # 髜
          ["Lao "], # 髝
          ["Zao "], # 髞
          ["Biao "], # 髟
          ["Kun "], # 髠
          ["Kun "], # 髡
          ["Ti "], # 髢
          ["Fang "], # 髣
          ["Xiu "], # 髤
          ["Ran "], # 髥
          ["Mao "], # 髦
          ["Dan "], # 髧
          ["Kun "], # 髨
          ["Bin "], # 髩
          ["Fa "], # 髪
          ["Tiao "], # 髫
          ["Peng "], # 髬
          ["Zi "], # 髭
          ["Fa "], # 髮
          ["Ran "], # 髯
          ["Ti "], # 髰
          ["Pao "], # 髱
          ["Pi "], # 髲
          ["Mao "], # 髳
          ["Fu "], # 髴
          ["Er "], # 髵
          ["Rong "], # 髶
          ["Qu "], # 髷
          ["Gong "], # 髸
          ["Xiu "], # 髹
          ["Gua "], # 髺
          ["Ji "], # 髻
          ["Peng "], # 髼
          ["Zhua "], # 髽
          ["Shao "], # 髾
          ["Sha "] # 髿
        ],
        [
          ["Ti "], # 鬀
          ["Li "], # 鬁
          ["Bin "], # 鬂
          ["Zong "], # 鬃
          ["Ti "], # 鬄
          ["Peng "], # 鬅
          ["Song "], # 鬆
          ["Zheng "], # 鬇
          ["Quan "], # 鬈
          ["Zong "], # 鬉
          ["Shun "], # 鬊
          ["Jian "], # 鬋
          ["Duo "], # 鬌
          ["Hu "], # 鬍
          ["La "], # 鬎
          ["Jiu "], # 鬏
          ["Qi "], # 鬐
          ["Lian "], # 鬑
          ["Zhen "], # 鬒
          ["Bin "], # 鬓
          ["Peng "], # 鬔
          ["Mo "], # 鬕
          ["San "], # 鬖
          ["Man "], # 鬗
          ["Man "], # 鬘
          ["Seng "], # 鬙
          ["Xu "], # 鬚
          ["Lie "], # 鬛
          ["Qian "], # 鬜
          ["Qian "], # 鬝
          ["Nong "], # 鬞
          ["Huan "], # 鬟
          ["Kuai "], # 鬠
          ["Ning "], # 鬡
          ["Bin "], # 鬢
          ["Lie "], # 鬣
          ["Rang "], # 鬤
          ["Dou "], # 鬥
          ["Dou "], # 鬦
          ["Nao "], # 鬧
          ["Hong "], # 鬨
          ["Xi "], # 鬩
          ["Dou "], # 鬪
          ["Han "], # 鬫
          ["Dou "], # 鬬
          ["Dou "], # 鬭
          ["Jiu "], # 鬮
          ["Chang "], # 鬯
          ["Yu "], # 鬰
          ["Yu "], # 鬱
          ["Li "], # 鬲
          ["Juan "], # 鬳
          ["Fu "], # 鬴
          ["Qian "], # 鬵
          ["Gui "], # 鬶
          ["Zong "], # 鬷
          ["Liu "], # 鬸
          ["Gui "], # 鬹
          ["Shang "], # 鬺
          ["Yu "], # 鬻
          ["Gui "], # 鬼
          ["Mei "], # 鬽
          ["Ji "], # 鬾
          ["Qi "], # 鬿
          ["Jie "], # 魀
          ["Kui "], # 魁
          ["Hun "], # 魂
          ["Ba "], # 魃
          ["Po "], # 魄
          ["Mei "], # 魅
          ["Xu "], # 魆
          ["Yan "], # 魇
          ["Xiao "], # 魈
          ["Liang "], # 魉
          ["Yu "], # 魊
          ["Tui "], # 魋
          ["Qi "], # 魌
          ["Wang "], # 魍
          ["Liang "], # 魎
          ["Wei "], # 魏
          ["Jian "], # 魐
          ["Chi "], # 魑
          ["Piao "], # 魒
          ["Bi "], # 魓
          ["Mo "], # 魔
          ["Ji "], # 魕
          ["Xu "], # 魖
          ["Chou "], # 魗
          ["Yan "], # 魘
          ["Zhan "], # 魙
          ["Yu "], # 魚
          ["Dao "], # 魛
          ["Ren "], # 魜
          ["Ji "], # 魝
          ["Eri "], # 魞
          ["Gong "], # 魟
          ["Tuo "], # 魠
          ["Diao "], # 魡
          ["Ji "], # 魢
          ["Xu "], # 魣
          ["E "], # 魤
          ["E "], # 魥
          ["Sha "], # 魦
          ["Hang "], # 魧
          ["Tun "], # 魨
          ["Mo "], # 魩
          ["Jie "], # 魪
          ["Shen "], # 魫
          ["Fan "], # 魬
          ["Yuan "], # 魭
          ["Bi "], # 魮
          ["Lu "], # 魯
          ["Wen "], # 魰
          ["Hu "], # 魱
          ["Lu "], # 魲
          ["Za "], # 魳
          ["Fang "], # 魴
          ["Fen "], # 魵
          ["Na "], # 魶
          ["You "], # 魷
          ["Namazu "], # 魸
          ["Todo "], # 魹
          ["He "], # 魺
          ["Xia "], # 魻
          ["Qu "], # 魼
          ["Han "], # 魽
          ["Pi "], # 魾
          ["Ling "], # 魿
          ["Tuo "], # 鮀
          ["Bo "], # 鮁
          ["Qiu "], # 鮂
          ["Ping "], # 鮃
          ["Fu "], # 鮄
          ["Bi "], # 鮅
          ["Ji "], # 鮆
          ["Wei "], # 鮇
          ["Ju "], # 鮈
          ["Diao "], # 鮉
          ["Bo "], # 鮊
          ["You "], # 鮋
          ["Gun "], # 鮌
          ["Pi "], # 鮍
          ["Nian "], # 鮎
          ["Xing "], # 鮏
          ["Tai "], # 鮐
          ["Bao "], # 鮑
          ["Fu "], # 鮒
          ["Zha "], # 鮓
          ["Ju "], # 鮔
          ["Gu "], # 鮕
          ["Kajika "], # 鮖
          ["Tong "], # 鮗
          [" "], # 鮘
          ["Ta "], # 鮙
          ["Jie "], # 鮚
          ["Shu "], # 鮛
          ["Hou "], # 鮜
          ["Xiang "], # 鮝
          ["Er "], # 鮞
          ["An "], # 鮟
          ["Wei "], # 鮠
          ["Tiao "], # 鮡
          ["Zhu "], # 鮢
          ["Yin "], # 鮣
          ["Lie "], # 鮤
          ["Luo "], # 鮥
          ["Tong "], # 鮦
          ["Yi "], # 鮧
          ["Qi "], # 鮨
          ["Bing "], # 鮩
          ["Wei "], # 鮪
          ["Jiao "], # 鮫
          ["Bu "], # 鮬
          ["Gui "], # 鮭
          ["Xian "], # 鮮
          ["Ge "], # 鮯
          ["Hui "], # 鮰
          ["Bora "], # 鮱
          ["Mate "], # 鮲
          ["Kao "], # 鮳
          ["Gori "], # 鮴
          ["Duo "], # 鮵
          ["Jun "], # 鮶
          ["Ti "], # 鮷
          ["Man "], # 鮸
          ["Xiao "], # 鮹
          ["Za "], # 鮺
          ["Sha "], # 鮻
          ["Qin "], # 鮼
          ["Yu "], # 鮽
          ["Nei "], # 鮾
          ["Zhe "], # 鮿
          ["Gun "], # 鯀
          ["Geng "], # 鯁
          ["Su "], # 鯂
          ["Wu "], # 鯃
          ["Qiu "], # 鯄
          ["Ting "], # 鯅
          ["Fu "], # 鯆
          ["Wan "], # 鯇
          ["You "], # 鯈
          ["Li "], # 鯉
          ["Sha "], # 鯊
          ["Sha "], # 鯋
          ["Gao "], # 鯌
          ["Meng "], # 鯍
          ["Ugui "], # 鯎
          ["Asari "], # 鯏
          ["Subashiri "], # 鯐
          ["Kazunoko "], # 鯑
          ["Yong "], # 鯒
          ["Ni "], # 鯓
          ["Zi "], # 鯔
          ["Qi "], # 鯕
          ["Qing "], # 鯖
          ["Xiang "], # 鯗
          ["Nei "], # 鯘
          ["Chun "], # 鯙
          ["Ji "], # 鯚
          ["Diao "], # 鯛
          ["Qie "], # 鯜
          ["Gu "], # 鯝
          ["Zhou "], # 鯞
          ["Dong "], # 鯟
          ["Lai "], # 鯠
          ["Fei "], # 鯡
          ["Ni "], # 鯢
          ["Yi "], # 鯣
          ["Kun "], # 鯤
          ["Lu "], # 鯥
          ["Jiu "], # 鯦
          ["Chang "], # 鯧
          ["Jing "], # 鯨
          ["Lun "], # 鯩
          ["Ling "], # 鯪
          ["Zou "], # 鯫
          ["Li "], # 鯬
          ["Meng "], # 鯭
          ["Zong "], # 鯮
          ["Zhi "], # 鯯
          ["Nian "], # 鯰
          ["Shachi "], # 鯱
          ["Dojou "], # 鯲
          ["Sukesou "], # 鯳
          ["Shi "], # 鯴
          ["Shen "], # 鯵
          ["Hun "], # 鯶
          ["Shi "], # 鯷
          ["Hou "], # 鯸
          ["Xing "], # 鯹
          ["Zhu "], # 鯺
          ["La "], # 鯻
          ["Zong "], # 鯼
          ["Ji "], # 鯽
          ["Bian "], # 鯾
          ["Bian "] # 鯿
        ],
        [
          ["Huan "], # 鰀
          ["Quan "], # 鰁
          ["Ze "], # 鰂
          ["Wei "], # 鰃
          ["Wei "], # 鰄
          ["Yu "], # 鰅
          ["Qun "], # 鰆
          ["Rou "], # 鰇
          ["Die "], # 鰈
          ["Huang "], # 鰉
          ["Lian "], # 鰊
          ["Yan "], # 鰋
          ["Qiu "], # 鰌
          ["Qiu "], # 鰍
          ["Jian "], # 鰎
          ["Bi "], # 鰏
          ["E "], # 鰐
          ["Yang "], # 鰑
          ["Fu "], # 鰒
          ["Sai "], # 鰓
          ["Jian "], # 鰔
          ["Xia "], # 鰕
          ["Tuo "], # 鰖
          ["Hu "], # 鰗
          ["Muroaji "], # 鰘
          ["Ruo "], # 鰙
          ["Haraka "], # 鰚
          ["Wen "], # 鰛
          ["Jian "], # 鰜
          ["Hao "], # 鰝
          ["Wu "], # 鰞
          ["Fang "], # 鰟
          ["Sao "], # 鰠
          ["Liu "], # 鰡
          ["Ma "], # 鰢
          ["Shi "], # 鰣
          ["Shi "], # 鰤
          ["Yin "], # 鰥
          ["Z "], # 鰦
          ["Teng "], # 鰧
          ["Ta "], # 鰨
          ["Yao "], # 鰩
          ["Ge "], # 鰪
          ["Rong "], # 鰫
          ["Qian "], # 鰬
          ["Qi "], # 鰭
          ["Wen "], # 鰮
          ["Ruo "], # 鰯
          ["Hatahata "], # 鰰
          ["Lian "], # 鰱
          ["Ao "], # 鰲
          ["Le "], # 鰳
          ["Hui "], # 鰴
          ["Min "], # 鰵
          ["Ji "], # 鰶
          ["Tiao "], # 鰷
          ["Qu "], # 鰸
          ["Jian "], # 鰹
          ["Sao "], # 鰺
          ["Man "], # 鰻
          ["Xi "], # 鰼
          ["Qiu "], # 鰽
          ["Biao "], # 鰾
          ["Ji "], # 鰿
          ["Ji "], # 鱀
          ["Zhu "], # 鱁
          ["Jiang "], # 鱂
          ["Qiu "], # 鱃
          ["Zhuan "], # 鱄
          ["Yong "], # 鱅
          ["Zhang "], # 鱆
          ["Kang "], # 鱇
          ["Xue "], # 鱈
          ["Bie "], # 鱉
          ["Jue "], # 鱊
          ["Qu "], # 鱋
          ["Xiang "], # 鱌
          ["Bo "], # 鱍
          ["Jiao "], # 鱎
          ["Xun "], # 鱏
          ["Su "], # 鱐
          ["Huang "], # 鱑
          ["Zun "], # 鱒
          ["Shan "], # 鱓
          ["Shan "], # 鱔
          ["Fan "], # 鱕
          ["Jue "], # 鱖
          ["Lin "], # 鱗
          ["Xun "], # 鱘
          ["Miao "], # 鱙
          ["Xi "], # 鱚
          ["Eso "], # 鱛
          ["Kyou "], # 鱜
          ["Fen "], # 鱝
          ["Guan "], # 鱞
          ["Hou "], # 鱟
          ["Kuai "], # 鱠
          ["Zei "], # 鱡
          ["Sao "], # 鱢
          ["Zhan "], # 鱣
          ["Gan "], # 鱤
          ["Gui "], # 鱥
          ["Sheng "], # 鱦
          ["Li "], # 鱧
          ["Chang "], # 鱨
          ["Hatahata "], # 鱩
          ["Shiira "], # 鱪
          ["Mutsu "], # 鱫
          ["Ru "], # 鱬
          ["Ji "], # 鱭
          ["Xu "], # 鱮
          ["Huo "], # 鱯
          ["Shiira "], # 鱰
          ["Li "], # 鱱
          ["Lie "], # 鱲
          ["Li "], # 鱳
          ["Mie "], # 鱴
          ["Zhen "], # 鱵
          ["Xiang "], # 鱶
          ["E "], # 鱷
          ["Lu "], # 鱸
          ["Guan "], # 鱹
          ["Li "], # 鱺
          ["Xian "], # 鱻
          ["Yu "], # 鱼
          ["Dao "], # 鱽
          ["Ji "], # 鱾
          ["You "], # 鱿
          ["Tun "], # 鲀
          ["Lu "], # 鲁
          ["Fang "], # 鲂
          ["Ba "], # 鲃
          ["He "], # 鲄
          ["Bo "], # 鲅
          ["Ping "], # 鲆
          ["Nian "], # 鲇
          ["Lu "], # 鲈
          ["You "], # 鲉
          ["Zha "], # 鲊
          ["Fu "], # 鲋
          ["Bo "], # 鲌
          ["Bao "], # 鲍
          ["Hou "], # 鲎
          ["Pi "], # 鲏
          ["Tai "], # 鲐
          ["Gui "], # 鲑
          ["Jie "], # 鲒
          ["Kao "], # 鲓
          ["Wei "], # 鲔
          ["Er "], # 鲕
          ["Tong "], # 鲖
          ["Ze "], # 鲗
          ["Hou "], # 鲘
          ["Kuai "], # 鲙
          ["Ji "], # 鲚
          ["Jiao "], # 鲛
          ["Xian "], # 鲜
          ["Za "], # 鲝
          ["Xiang "], # 鲞
          ["Xun "], # 鲟
          ["Geng "], # 鲠
          ["Li "], # 鲡
          ["Lian "], # 鲢
          ["Jian "], # 鲣
          ["Li "], # 鲤
          ["Shi "], # 鲥
          ["Tiao "], # 鲦
          ["Gun "], # 鲧
          ["Sha "], # 鲨
          ["Wan "], # 鲩
          ["Jun "], # 鲪
          ["Ji "], # 鲫
          ["Yong "], # 鲬
          ["Qing "], # 鲭
          ["Ling "], # 鲮
          ["Qi "], # 鲯
          ["Zou "], # 鲰
          ["Fei "], # 鲱
          ["Kun "], # 鲲
          ["Chang "], # 鲳
          ["Gu "], # 鲴
          ["Ni "], # 鲵
          ["Nian "], # 鲶
          ["Diao "], # 鲷
          ["Jing "], # 鲸
          ["Shen "], # 鲹
          ["Shi "], # 鲺
          ["Zi "], # 鲻
          ["Fen "], # 鲼
          ["Die "], # 鲽
          ["Bi "], # 鲾
          ["Chang "], # 鲿
          ["Shi "], # 鳀
          ["Wen "], # 鳁
          ["Wei "], # 鳂
          ["Sai "], # 鳃
          ["E "], # 鳄
          ["Qiu "], # 鳅
          ["Fu "], # 鳆
          ["Huang "], # 鳇
          ["Quan "], # 鳈
          ["Jiang "], # 鳉
          ["Bian "], # 鳊
          ["Sao "], # 鳋
          ["Ao "], # 鳌
          ["Qi "], # 鳍
          ["Ta "], # 鳎
          ["Yin "], # 鳏
          ["Yao "], # 鳐
          ["Fang "], # 鳑
          ["Jian "], # 鳒
          ["Le "], # 鳓
          ["Biao "], # 鳔
          ["Xue "], # 鳕
          ["Bie "], # 鳖
          ["Man "], # 鳗
          ["Min "], # 鳘
          ["Yong "], # 鳙
          ["Wei "], # 鳚
          ["Xi "], # 鳛
          ["Jue "], # 鳜
          ["Shan "], # 鳝
          ["Lin "], # 鳞
          ["Zun "], # 鳟
          ["Huo "], # 鳠
          ["Gan "], # 鳡
          ["Li "], # 鳢
          ["Zhan "], # 鳣
          ["Guan "], # 鳤
          ["Niao "], # 鳥
          ["Yi "], # 鳦
          ["Fu "], # 鳧
          ["Li "], # 鳨
          ["Jiu "], # 鳩
          ["Bu "], # 鳪
          ["Yan "], # 鳫
          ["Fu "], # 鳬
          ["Diao "], # 鳭
          ["Ji "], # 鳮
          ["Feng "], # 鳯
          ["Nio "], # 鳰
          ["Gan "], # 鳱
          ["Shi "], # 鳲
          ["Feng "], # 鳳
          ["Ming "], # 鳴
          ["Bao "], # 鳵
          ["Yuan "], # 鳶
          ["Zhi "], # 鳷
          ["Hu "], # 鳸
          ["Qin "], # 鳹
          ["Fu "], # 鳺
          ["Fen "], # 鳻
          ["Wen "], # 鳼
          ["Jian "], # 鳽
          ["Shi "], # 鳾
          ["Yu "] # 鳿
        ],
        [
          ["Fou "], # 鴀
          ["Yiao "], # 鴁
          ["Jue "], # 鴂
          ["Jue "], # 鴃
          ["Pi "], # 鴄
          ["Huan "], # 鴅
          ["Zhen "], # 鴆
          ["Bao "], # 鴇
          ["Yan "], # 鴈
          ["Ya "], # 鴉
          ["Zheng "], # 鴊
          ["Fang "], # 鴋
          ["Feng "], # 鴌
          ["Wen "], # 鴍
          ["Ou "], # 鴎
          ["Te "], # 鴏
          ["Jia "], # 鴐
          ["Nu "], # 鴑
          ["Ling "], # 鴒
          ["Mie "], # 鴓
          ["Fu "], # 鴔
          ["Tuo "], # 鴕
          ["Wen "], # 鴖
          ["Li "], # 鴗
          ["Bian "], # 鴘
          ["Zhi "], # 鴙
          ["Ge "], # 鴚
          ["Yuan "], # 鴛
          ["Zi "], # 鴜
          ["Qu "], # 鴝
          ["Xiao "], # 鴞
          ["Zhi "], # 鴟
          ["Dan "], # 鴠
          ["Ju "], # 鴡
          ["You "], # 鴢
          ["Gu "], # 鴣
          ["Zhong "], # 鴤
          ["Yu "], # 鴥
          ["Yang "], # 鴦
          ["Rong "], # 鴧
          ["Ya "], # 鴨
          ["Tie "], # 鴩
          ["Yu "], # 鴪
          ["Shigi "], # 鴫
          ["Ying "], # 鴬
          ["Zhui "], # 鴭
          ["Wu "], # 鴮
          ["Er "], # 鴯
          ["Gua "], # 鴰
          ["Ai "], # 鴱
          ["Zhi "], # 鴲
          ["Yan "], # 鴳
          ["Heng "], # 鴴
          ["Jiao "], # 鴵
          ["Ji "], # 鴶
          ["Lie "], # 鴷
          ["Zhu "], # 鴸
          ["Ren "], # 鴹
          ["Yi "], # 鴺
          ["Hong "], # 鴻
          ["Luo "], # 鴼
          ["Ru "], # 鴽
          ["Mou "], # 鴾
          ["Ge "], # 鴿
          ["Ren "], # 鵀
          ["Jiao "], # 鵁
          ["Xiu "], # 鵂
          ["Zhou "], # 鵃
          ["Zhi "], # 鵄
          ["Luo "], # 鵅
          ["Chidori "], # 鵆
          ["Toki "], # 鵇
          ["Ten "], # 鵈
          ["Luan "], # 鵉
          ["Jia "], # 鵊
          ["Ji "], # 鵋
          ["Yu "], # 鵌
          ["Huan "], # 鵍
          ["Tuo "], # 鵎
          ["Bu "], # 鵏
          ["Wu "], # 鵐
          ["Juan "], # 鵑
          ["Yu "], # 鵒
          ["Bo "], # 鵓
          ["Xun "], # 鵔
          ["Xun "], # 鵕
          ["Bi "], # 鵖
          ["Xi "], # 鵗
          ["Jun "], # 鵘
          ["Ju "], # 鵙
          ["Tu "], # 鵚
          ["Jing "], # 鵛
          ["Ti "], # 鵜
          ["E "], # 鵝
          ["E "], # 鵞
          ["Kuang "], # 鵟
          ["Hu "], # 鵠
          ["Wu "], # 鵡
          ["Shen "], # 鵢
          ["Lai "], # 鵣
          ["Ikaruga "], # 鵤
          ["Kakesu "], # 鵥
          ["Lu "], # 鵦
          ["Ping "], # 鵧
          ["Shu "], # 鵨
          ["Fu "], # 鵩
          ["An "], # 鵪
          ["Zhao "], # 鵫
          ["Peng "], # 鵬
          ["Qin "], # 鵭
          ["Qian "], # 鵮
          ["Bei "], # 鵯
          ["Diao "], # 鵰
          ["Lu "], # 鵱
          ["Que "], # 鵲
          ["Jian "], # 鵳
          ["Ju "], # 鵴
          ["Tu "], # 鵵
          ["Ya "], # 鵶
          ["Yuan "], # 鵷
          ["Qi "], # 鵸
          ["Li "], # 鵹
          ["Ye "], # 鵺
          ["Zhui "], # 鵻
          ["Kong "], # 鵼
          ["Zhui "], # 鵽
          ["Kun "], # 鵾
          ["Sheng "], # 鵿
          ["Qi "], # 鶀
          ["Jing "], # 鶁
          ["Yi "], # 鶂
          ["Yi "], # 鶃
          ["Jing "], # 鶄
          ["Zi "], # 鶅
          ["Lai "], # 鶆
          ["Dong "], # 鶇
          ["Qi "], # 鶈
          ["Chun "], # 鶉
          ["Geng "], # 鶊
          ["Ju "], # 鶋
          ["Qu "], # 鶌
          ["Isuka "], # 鶍
          ["Kikuitadaki "], # 鶎
          ["Ji "], # 鶏
          ["Shu "], # 鶐
          [" "], # 鶑
          ["Chi "], # 鶒
          ["Miao "], # 鶓
          ["Rou "], # 鶔
          ["An "], # 鶕
          ["Qiu "], # 鶖
          ["Ti "], # 鶗
          ["Hu "], # 鶘
          ["Ti "], # 鶙
          ["E "], # 鶚
          ["Jie "], # 鶛
          ["Mao "], # 鶜
          ["Fu "], # 鶝
          ["Chun "], # 鶞
          ["Tu "], # 鶟
          ["Yan "], # 鶠
          ["He "], # 鶡
          ["Yuan "], # 鶢
          ["Pian "], # 鶣
          ["Yun "], # 鶤
          ["Mei "], # 鶥
          ["Hu "], # 鶦
          ["Ying "], # 鶧
          ["Dun "], # 鶨
          ["Mu "], # 鶩
          ["Ju "], # 鶪
          ["Tsugumi "], # 鶫
          ["Cang "], # 鶬
          ["Fang "], # 鶭
          ["Gu "], # 鶮
          ["Ying "], # 鶯
          ["Yuan "], # 鶰
          ["Xuan "], # 鶱
          ["Weng "], # 鶲
          ["Shi "], # 鶳
          ["He "], # 鶴
          ["Chu "], # 鶵
          ["Tang "], # 鶶
          ["Xia "], # 鶷
          ["Ruo "], # 鶸
          ["Liu "], # 鶹
          ["Ji "], # 鶺
          ["Gu "], # 鶻
          ["Jian "], # 鶼
          ["Zhun "], # 鶽
          ["Han "], # 鶾
          ["Zi "], # 鶿
          ["Zi "], # 鷀
          ["Ni "], # 鷁
          ["Yao "], # 鷂
          ["Yan "], # 鷃
          ["Ji "], # 鷄
          ["Li "], # 鷅
          ["Tian "], # 鷆
          ["Kou "], # 鷇
          ["Ti "], # 鷈
          ["Ti "], # 鷉
          ["Ni "], # 鷊
          ["Tu "], # 鷋
          ["Ma "], # 鷌
          ["Jiao "], # 鷍
          ["Gao "], # 鷎
          ["Tian "], # 鷏
          ["Chen "], # 鷐
          ["Li "], # 鷑
          ["Zhuan "], # 鷒
          ["Zhe "], # 鷓
          ["Ao "], # 鷔
          ["Yao "], # 鷕
          ["Yi "], # 鷖
          ["Ou "], # 鷗
          ["Chi "], # 鷘
          ["Zhi "], # 鷙
          ["Liao "], # 鷚
          ["Rong "], # 鷛
          ["Lou "], # 鷜
          ["Bi "], # 鷝
          ["Shuang "], # 鷞
          ["Zhuo "], # 鷟
          ["Yu "], # 鷠
          ["Wu "], # 鷡
          ["Jue "], # 鷢
          ["Yin "], # 鷣
          ["Quan "], # 鷤
          ["Si "], # 鷥
          ["Jiao "], # 鷦
          ["Yi "], # 鷧
          ["Hua "], # 鷨
          ["Bi "], # 鷩
          ["Ying "], # 鷪
          ["Su "], # 鷫
          ["Huang "], # 鷬
          ["Fan "], # 鷭
          ["Jiao "], # 鷮
          ["Liao "], # 鷯
          ["Yan "], # 鷰
          ["Kao "], # 鷱
          ["Jiu "], # 鷲
          ["Xian "], # 鷳
          ["Xian "], # 鷴
          ["Tu "], # 鷵
          ["Mai "], # 鷶
          ["Zun "], # 鷷
          ["Yu "], # 鷸
          ["Ying "], # 鷹
          ["Lu "], # 鷺
          ["Tuan "], # 鷻
          ["Xian "], # 鷼
          ["Xue "], # 鷽
          ["Yi "], # 鷾
          ["Pi "] # 鷿
        ],
        [
          ["Shu "], # 鸀
          ["Luo "], # 鸁
          ["Qi "], # 鸂
          ["Yi "], # 鸃
          ["Ji "], # 鸄
          ["Zhe "], # 鸅
          ["Yu "], # 鸆
          ["Zhan "], # 鸇
          ["Ye "], # 鸈
          ["Yang "], # 鸉
          ["Pi "], # 鸊
          ["Ning "], # 鸋
          ["Huo "], # 鸌
          ["Mi "], # 鸍
          ["Ying "], # 鸎
          ["Meng "], # 鸏
          ["Di "], # 鸐
          ["Yue "], # 鸑
          ["Yu "], # 鸒
          ["Lei "], # 鸓
          ["Bao "], # 鸔
          ["Lu "], # 鸕
          ["He "], # 鸖
          ["Long "], # 鸗
          ["Shuang "], # 鸘
          ["Yue "], # 鸙
          ["Ying "], # 鸚
          ["Guan "], # 鸛
          ["Qu "], # 鸜
          ["Li "], # 鸝
          ["Luan "], # 鸞
          ["Niao "], # 鸟
          ["Jiu "], # 鸠
          ["Ji "], # 鸡
          ["Yuan "], # 鸢
          ["Ming "], # 鸣
          ["Shi "], # 鸤
          ["Ou "], # 鸥
          ["Ya "], # 鸦
          ["Cang "], # 鸧
          ["Bao "], # 鸨
          ["Zhen "], # 鸩
          ["Gu "], # 鸪
          ["Dong "], # 鸫
          ["Lu "], # 鸬
          ["Ya "], # 鸭
          ["Xiao "], # 鸮
          ["Yang "], # 鸯
          ["Ling "], # 鸰
          ["Zhi "], # 鸱
          ["Qu "], # 鸲
          ["Yuan "], # 鸳
          ["Xue "], # 鸴
          ["Tuo "], # 鸵
          ["Si "], # 鸶
          ["Zhi "], # 鸷
          ["Er "], # 鸸
          ["Gua "], # 鸹
          ["Xiu "], # 鸺
          ["Heng "], # 鸻
          ["Zhou "], # 鸼
          ["Ge "], # 鸽
          ["Luan "], # 鸾
          ["Hong "], # 鸿
          ["Wu "], # 鹀
          ["Bo "], # 鹁
          ["Li "], # 鹂
          ["Juan "], # 鹃
          ["Hu "], # 鹄
          ["E "], # 鹅
          ["Yu "], # 鹆
          ["Xian "], # 鹇
          ["Ti "], # 鹈
          ["Wu "], # 鹉
          ["Que "], # 鹊
          ["Miao "], # 鹋
          ["An "], # 鹌
          ["Kun "], # 鹍
          ["Bei "], # 鹎
          ["Peng "], # 鹏
          ["Qian "], # 鹐
          ["Chun "], # 鹑
          ["Geng "], # 鹒
          ["Yuan "], # 鹓
          ["Su "], # 鹔
          ["Hu "], # 鹕
          ["He "], # 鹖
          ["E "], # 鹗
          ["Gu "], # 鹘
          ["Qiu "], # 鹙
          ["Zi "], # 鹚
          ["Mei "], # 鹛
          ["Mu "], # 鹜
          ["Ni "], # 鹝
          ["Yao "], # 鹞
          ["Weng "], # 鹟
          ["Liu "], # 鹠
          ["Ji "], # 鹡
          ["Ni "], # 鹢
          ["Jian "], # 鹣
          ["He "], # 鹤
          ["Yi "], # 鹥
          ["Ying "], # 鹦
          ["Zhe "], # 鹧
          ["Liao "], # 鹨
          ["Liao "], # 鹩
          ["Jiao "], # 鹪
          ["Jiu "], # 鹫
          ["Yu "], # 鹬
          ["Lu "], # 鹭
          ["Xuan "], # 鹮
          ["Zhan "], # 鹯
          ["Ying "], # 鹰
          ["Huo "], # 鹱
          ["Meng "], # 鹲
          ["Guan "], # 鹳
          ["Shuang "], # 鹴
          ["Lu "], # 鹵
          ["Jin "], # 鹶
          ["Ling "], # 鹷
          ["Jian "], # 鹸
          ["Xian "], # 鹹
          ["Cuo "], # 鹺
          ["Jian "], # 鹻
          ["Jian "], # 鹼
          ["Yan "], # 鹽
          ["Cuo "], # 鹾
          ["Lu "], # 鹿
          ["You "], # 麀
          ["Cu "], # 麁
          ["Ji "], # 麂
          ["Biao "], # 麃
          ["Cu "], # 麄
          ["Biao "], # 麅
          ["Zhu "], # 麆
          ["Jun "], # 麇
          ["Zhu "], # 麈
          ["Jian "], # 麉
          ["Mi "], # 麊
          ["Mi "], # 麋
          ["Wu "], # 麌
          ["Liu "], # 麍
          ["Chen "], # 麎
          ["Jun "], # 麏
          ["Lin "], # 麐
          ["Ni "], # 麑
          ["Qi "], # 麒
          ["Lu "], # 麓
          ["Jiu "], # 麔
          ["Jun "], # 麕
          ["Jing "], # 麖
          ["Li "], # 麗
          ["Xiang "], # 麘
          ["Yan "], # 麙
          ["Jia "], # 麚
          ["Mi "], # 麛
          ["Li "], # 麜
          ["She "], # 麝
          ["Zhang "], # 麞
          ["Lin "], # 麟
          ["Jing "], # 麠
          ["Ji "], # 麡
          ["Ling "], # 麢
          ["Yan "], # 麣
          ["Cu "], # 麤
          ["Mai "], # 麥
          ["Mai "], # 麦
          ["Ge "], # 麧
          ["Chao "], # 麨
          ["Fu "], # 麩
          ["Mian "], # 麪
          ["Mian "], # 麫
          ["Fu "], # 麬
          ["Pao "], # 麭
          ["Qu "], # 麮
          ["Qu "], # 麯
          ["Mou "], # 麰
          ["Fu "], # 麱
          ["Xian "], # 麲
          ["Lai "], # 麳
          ["Qu "], # 麴
          ["Mian "], # 麵
          [" "], # 麶
          ["Feng "], # 麷
          ["Fu "], # 麸
          ["Qu "], # 麹
          ["Mian "], # 麺
          ["Ma "], # 麻
          ["Mo "], # 麼
          ["Mo "], # 麽
          ["Hui "], # 麾
          ["Ma "], # 麿
          ["Zou "], # 黀
          ["Nen "], # 黁
          ["Fen "], # 黂
          ["Huang "], # 黃
          ["Huang "], # 黄
          ["Jin "], # 黅
          ["Guang "], # 黆
          ["Tian "], # 黇
          ["Tou "], # 黈
          ["Heng "], # 黉
          ["Xi "], # 黊
          ["Kuang "], # 黋
          ["Heng "], # 黌
          ["Shu "], # 黍
          ["Li "], # 黎
          ["Nian "], # 黏
          ["Chi "], # 黐
          ["Hei "], # 黑
          ["Hei "], # 黒
          ["Yi "], # 黓
          ["Qian "], # 黔
          ["Dan "], # 黕
          ["Xi "], # 黖
          ["Tuan "], # 黗
          ["Mo "], # 默
          ["Mo "], # 黙
          ["Qian "], # 黚
          ["Dai "], # 黛
          ["Chu "], # 黜
          ["You "], # 黝
          ["Dian "], # 點
          ["Yi "], # 黟
          ["Xia "], # 黠
          ["Yan "], # 黡
          ["Qu "], # 黢
          ["Mei "], # 黣
          ["Yan "], # 黤
          ["Jing "], # 黥
          ["Yu "], # 黦
          ["Li "], # 黧
          ["Dang "], # 黨
          ["Du "], # 黩
          ["Can "], # 黪
          ["Yin "], # 黫
          ["An "], # 黬
          ["Yan "], # 黭
          ["Tan "], # 黮
          ["An "], # 黯
          ["Zhen "], # 黰
          ["Dai "], # 黱
          ["Can "], # 黲
          ["Yi "], # 黳
          ["Mei "], # 黴
          ["Dan "], # 黵
          ["Yan "], # 黶
          ["Du "], # 黷
          ["Lu "], # 黸
          ["Zhi "], # 黹
          ["Fen "], # 黺
          ["Fu "], # 黻
          ["Fu "], # 黼
          ["Min "], # 黽
          ["Min "], # 黾
          ["Yuan "] # 黿
        ],
        [
          ["Cu "], # 鼀
          ["Qu "], # 鼁
          ["Chao "], # 鼂
          ["Wa "], # 鼃
          ["Zhu "], # 鼄
          ["Zhi "], # 鼅
          ["Mang "], # 鼆
          ["Ao "], # 鼇
          ["Bie "], # 鼈
          ["Tuo "], # 鼉
          ["Bi "], # 鼊
          ["Yuan "], # 鼋
          ["Chao "], # 鼌
          ["Tuo "], # 鼍
          ["Ding "], # 鼎
          ["Mi "], # 鼏
          ["Nai "], # 鼐
          ["Ding "], # 鼑
          ["Zi "], # 鼒
          ["Gu "], # 鼓
          ["Gu "], # 鼔
          ["Dong "], # 鼕
          ["Fen "], # 鼖
          ["Tao "], # 鼗
          ["Yuan "], # 鼘
          ["Pi "], # 鼙
          ["Chang "], # 鼚
          ["Gao "], # 鼛
          ["Qi "], # 鼜
          ["Yuan "], # 鼝
          ["Tang "], # 鼞
          ["Teng "], # 鼟
          ["Shu "], # 鼠
          ["Shu "], # 鼡
          ["Fen "], # 鼢
          ["Fei "], # 鼣
          ["Wen "], # 鼤
          ["Ba "], # 鼥
          ["Diao "], # 鼦
          ["Tuo "], # 鼧
          ["Tong "], # 鼨
          ["Qu "], # 鼩
          ["Sheng "], # 鼪
          ["Shi "], # 鼫
          ["You "], # 鼬
          ["Shi "], # 鼭
          ["Ting "], # 鼮
          ["Wu "], # 鼯
          ["Nian "], # 鼰
          ["Jing "], # 鼱
          ["Hun "], # 鼲
          ["Ju "], # 鼳
          ["Yan "], # 鼴
          ["Tu "], # 鼵
          ["Ti "], # 鼶
          ["Xi "], # 鼷
          ["Xian "], # 鼸
          ["Yan "], # 鼹
          ["Lei "], # 鼺
          ["Bi "], # 鼻
          ["Yao "], # 鼼
          ["Qiu "], # 鼽
          ["Han "], # 鼾
          ["Wu "], # 鼿
          ["Wu "], # 齀
          ["Hou "], # 齁
          ["Xi "], # 齂
          ["Ge "], # 齃
          ["Zha "], # 齄
          ["Xiu "], # 齅
          ["Weng "], # 齆
          ["Zha "], # 齇
          ["Nong "], # 齈
          ["Nang "], # 齉
          ["Qi "], # 齊
          ["Zhai "], # 齋
          ["Ji "], # 齌
          ["Zi "], # 齍
          ["Ji "], # 齎
          ["Ji "], # 齏
          ["Qi "], # 齐
          ["Ji "], # 齑
          ["Chi "], # 齒
          ["Chen "], # 齓
          ["Chen "], # 齔
          ["He "], # 齕
          ["Ya "], # 齖
          ["Ken "], # 齗
          ["Xie "], # 齘
          ["Pao "], # 齙
          ["Cuo "], # 齚
          ["Shi "], # 齛
          ["Zi "], # 齜
          ["Chi "], # 齝
          ["Nian "], # 齞
          ["Ju "], # 齟
          ["Tiao "], # 齠
          ["Ling "], # 齡
          ["Ling "], # 齢
          ["Chu "], # 齣
          ["Quan "], # 齤
          ["Xie "], # 齥
          ["Ken "], # 齦
          ["Nie "], # 齧
          ["Jiu "], # 齨
          ["Yao "], # 齩
          ["Chuo "], # 齪
          ["Kun "], # 齫
          ["Yu "], # 齬
          ["Chu "], # 齭
          ["Yi "], # 齮
          ["Ni "], # 齯
          ["Cuo "], # 齰
          ["Zou "], # 齱
          ["Qu "], # 齲
          ["Nen "], # 齳
          ["Xian "], # 齴
          ["Ou "], # 齵
          ["E "], # 齶
          ["Wo "], # 齷
          ["Yi "], # 齸
          ["Chuo "], # 齹
          ["Zou "], # 齺
          ["Dian "], # 齻
          ["Chu "], # 齼
          ["Jin "], # 齽
          ["Ya "], # 齾
          ["Chi "], # 齿
          ["Chen "], # 龀
          ["He "], # 龁
          ["Ken "], # 龂
          ["Ju "], # 龃
          ["Ling "], # 龄
          ["Pao "], # 龅
          ["Tiao "], # 龆
          ["Zi "], # 龇
          ["Ken "], # 龈
          ["Yu "], # 龉
          ["Chuo "], # 龊
          ["Qu "], # 龋
          ["Wo "], # 龌
          ["Long "], # 龍
          ["Pang "], # 龎
          ["Gong "], # 龏
          ["Pang "], # 龐
          ["Yan "], # 龑
          ["Long "], # 龒
          ["Long "], # 龓
          ["Gong "], # 龔
          ["Kan "], # 龕
          ["Ta "], # 龖
          ["Ling "], # 龗
          ["Ta "], # 龘
          ["Long "], # 龙
          ["Gong "], # 龚
          ["Kan "], # 龛
          ["Gui "], # 龜
          ["Qiu "], # 龝
          ["Bie "], # 龞
          ["Gui "], # 龟
          ["Yue "], # 龠
          ["Chui "], # 龡
          ["He "], # 龢
          ["Jue "], # 龣
          ["Xie "], # 龤
          ["Yu "], # 龥
          nil, # 龦
          nil, # 龧
          nil, # 龨
          nil, # 龩
          nil, # 龪
          nil, # 龫
          nil, # 龬
          nil, # 龭
          nil, # 龮
          nil, # 龯
          nil, # 龰
          nil, # 龱
          nil, # 龲
          nil, # 龳
          nil, # 龴
          nil, # 龵
          nil, # 龶
          nil, # 龷
          nil, # 龸
          nil, # 龹
          nil, # 龺
          nil, # 龻
          nil, # 龼
          nil, # 龽
          nil, # 龾
          nil, # 龿
          nil, # 鿀
          nil, # 鿁
          nil, # 鿂
          nil, # 鿃
          nil, # 鿄
          nil, # 鿅
          nil, # 鿆
          nil, # 鿇
          nil, # 鿈
          nil, # 鿉
          nil, # 鿊
          nil, # 鿋
          nil, # 鿌
          nil, # 鿍
          nil, # 鿎
          nil, # 鿏
          nil, # 鿐
          nil, # 鿑
          nil, # 鿒
          nil, # 鿓
          nil, # 鿔
          nil, # 鿕
          nil, # 鿖
          nil, # 鿗
          nil, # 鿘
          nil, # 鿙
          nil, # 鿚
          nil, # 鿛
          nil, # 鿜
          nil, # 鿝
          nil, # 鿞
          nil, # 鿟
          nil, # 鿠
          nil, # 鿡
          nil, # 鿢
          nil, # 鿣
          nil, # 鿤
          nil, # 鿥
          nil, # 鿦
          nil, # 鿧
          nil, # 鿨
          nil, # 鿩
          nil, # 鿪
          nil, # 鿫
          nil, # 鿬
          nil, # 鿭
          nil, # 鿮
          nil, # 鿯
          nil, # 鿰
          nil, # 鿱
          nil, # 鿲
          nil, # 鿳
          nil, # 鿴
          nil, # 鿵
          nil, # 鿶
          nil, # 鿷
          nil, # 鿸
          nil, # 鿹
          nil, # 鿺
          nil, # 鿻
          nil, # 鿼
          nil, # 鿽
          nil, # 鿾
          nil # 鿿
        ],
        [
          ["it"], # ꀀ
          ["ix"], # ꀁ
          ["i"], # ꀂ
          ["ip"], # ꀃ
          ["iet"], # ꀄ
          ["iex"], # ꀅ
          ["ie"], # ꀆ
          ["iep"], # ꀇ
          ["at"], # ꀈ
          ["ax"], # ꀉ
          ["a"], # ꀊ
          ["ap"], # ꀋ
          ["uox"], # ꀌ
          ["uo"], # ꀍ
          ["uop"], # ꀎ
          ["ot"], # ꀏ
          ["ox"], # ꀐ
          ["o"], # ꀑ
          ["op"], # ꀒ
          ["ex"], # ꀓ
          ["e"], # ꀔ
          ["wu"], # ꀕ
          ["bit"], # ꀖ
          ["bix"], # ꀗ
          ["bi"], # ꀘ
          ["bip"], # ꀙ
          ["biet"], # ꀚ
          ["biex"], # ꀛ
          ["bie"], # ꀜ
          ["biep"], # ꀝ
          ["bat"], # ꀞ
          ["bax"], # ꀟ
          ["ba"], # ꀠ
          ["bap"], # ꀡ
          ["buox"], # ꀢ
          ["buo"], # ꀣ
          ["buop"], # ꀤ
          ["bot"], # ꀥ
          ["box"], # ꀦ
          ["bo"], # ꀧ
          ["bop"], # ꀨ
          ["bex"], # ꀩ
          ["be"], # ꀪ
          ["bep"], # ꀫ
          ["but"], # ꀬ
          ["bux"], # ꀭ
          ["bu"], # ꀮ
          ["bup"], # ꀯ
          ["burx"], # ꀰ
          ["bur"], # ꀱ
          ["byt"], # ꀲ
          ["byx"], # ꀳ
          ["by"], # ꀴ
          ["byp"], # ꀵ
          ["byrx"], # ꀶ
          ["byr"], # ꀷ
          ["pit"], # ꀸ
          ["pix"], # ꀹ
          ["pi"], # ꀺ
          ["pip"], # ꀻ
          ["piex"], # ꀼ
          ["pie"], # ꀽ
          ["piep"], # ꀾ
          ["pat"], # ꀿ
          ["pax"], # ꁀ
          ["pa"], # ꁁ
          ["pap"], # ꁂ
          ["puox"], # ꁃ
          ["puo"], # ꁄ
          ["puop"], # ꁅ
          ["pot"], # ꁆ
          ["pox"], # ꁇ
          ["po"], # ꁈ
          ["pop"], # ꁉ
          ["put"], # ꁊ
          ["pux"], # ꁋ
          ["pu"], # ꁌ
          ["pup"], # ꁍ
          ["purx"], # ꁎ
          ["pur"], # ꁏ
          ["pyt"], # ꁐ
          ["pyx"], # ꁑ
          ["py"], # ꁒ
          ["pyp"], # ꁓ
          ["pyrx"], # ꁔ
          ["pyr"], # ꁕ
          ["bbit"], # ꁖ
          ["bbix"], # ꁗ
          ["bbi"], # ꁘ
          ["bbip"], # ꁙ
          ["bbiet"], # ꁚ
          ["bbiex"], # ꁛ
          ["bbie"], # ꁜ
          ["bbiep"], # ꁝ
          ["bbat"], # ꁞ
          ["bbax"], # ꁟ
          ["bba"], # ꁠ
          ["bbap"], # ꁡ
          ["bbuox"], # ꁢ
          ["bbuo"], # ꁣ
          ["bbuop"], # ꁤ
          ["bbot"], # ꁥ
          ["bbox"], # ꁦ
          ["bbo"], # ꁧ
          ["bbop"], # ꁨ
          ["bbex"], # ꁩ
          ["bbe"], # ꁪ
          ["bbep"], # ꁫ
          ["bbut"], # ꁬ
          ["bbux"], # ꁭ
          ["bbu"], # ꁮ
          ["bbup"], # ꁯ
          ["bburx"], # ꁰ
          ["bbur"], # ꁱ
          ["bbyt"], # ꁲ
          ["bbyx"], # ꁳ
          ["bby"], # ꁴ
          ["bbyp"], # ꁵ
          ["nbit"], # ꁶ
          ["nbix"], # ꁷ
          ["nbi"], # ꁸ
          ["nbip"], # ꁹ
          ["nbiex"], # ꁺ
          ["nbie"], # ꁻ
          ["nbiep"], # ꁼ
          ["nbat"], # ꁽ
          ["nbax"], # ꁾ
          ["nba"], # ꁿ
          ["nbap"], # ꂀ
          ["nbot"], # ꂁ
          ["nbox"], # ꂂ
          ["nbo"], # ꂃ
          ["nbop"], # ꂄ
          ["nbut"], # ꂅ
          ["nbux"], # ꂆ
          ["nbu"], # ꂇ
          ["nbup"], # ꂈ
          ["nburx"], # ꂉ
          ["nbur"], # ꂊ
          ["nbyt"], # ꂋ
          ["nbyx"], # ꂌ
          ["nby"], # ꂍ
          ["nbyp"], # ꂎ
          ["nbyrx"], # ꂏ
          ["nbyr"], # ꂐ
          ["hmit"], # ꂑ
          ["hmix"], # ꂒ
          ["hmi"], # ꂓ
          ["hmip"], # ꂔ
          ["hmiex"], # ꂕ
          ["hmie"], # ꂖ
          ["hmiep"], # ꂗ
          ["hmat"], # ꂘ
          ["hmax"], # ꂙ
          ["hma"], # ꂚ
          ["hmap"], # ꂛ
          ["hmuox"], # ꂜ
          ["hmuo"], # ꂝ
          ["hmuop"], # ꂞ
          ["hmot"], # ꂟ
          ["hmox"], # ꂠ
          ["hmo"], # ꂡ
          ["hmop"], # ꂢ
          ["hmut"], # ꂣ
          ["hmux"], # ꂤ
          ["hmu"], # ꂥ
          ["hmup"], # ꂦ
          ["hmurx"], # ꂧ
          ["hmur"], # ꂨ
          ["hmyx"], # ꂩ
          ["hmy"], # ꂪ
          ["hmyp"], # ꂫ
          ["hmyrx"], # ꂬ
          ["hmyr"], # ꂭ
          ["mit"], # ꂮ
          ["mix"], # ꂯ
          ["mi"], # ꂰ
          ["mip"], # ꂱ
          ["miex"], # ꂲ
          ["mie"], # ꂳ
          ["miep"], # ꂴ
          ["mat"], # ꂵ
          ["max"], # ꂶ
          ["ma"], # ꂷ
          ["map"], # ꂸ
          ["muot"], # ꂹ
          ["muox"], # ꂺ
          ["muo"], # ꂻ
          ["muop"], # ꂼ
          ["mot"], # ꂽ
          ["mox"], # ꂾ
          ["mo"], # ꂿ
          ["mop"], # ꃀ
          ["mex"], # ꃁ
          ["me"], # ꃂ
          ["mut"], # ꃃ
          ["mux"], # ꃄ
          ["mu"], # ꃅ
          ["mup"], # ꃆ
          ["murx"], # ꃇ
          ["mur"], # ꃈ
          ["myt"], # ꃉ
          ["myx"], # ꃊ
          ["my"], # ꃋ
          ["myp"], # ꃌ
          ["fit"], # ꃍ
          ["fix"], # ꃎ
          ["fi"], # ꃏ
          ["fip"], # ꃐ
          ["fat"], # ꃑ
          ["fax"], # ꃒ
          ["fa"], # ꃓ
          ["fap"], # ꃔ
          ["fox"], # ꃕ
          ["fo"], # ꃖ
          ["fop"], # ꃗ
          ["fut"], # ꃘ
          ["fux"], # ꃙ
          ["fu"], # ꃚ
          ["fup"], # ꃛ
          ["furx"], # ꃜ
          ["fur"], # ꃝ
          ["fyt"], # ꃞ
          ["fyx"], # ꃟ
          ["fy"], # ꃠ
          ["fyp"], # ꃡ
          ["vit"], # ꃢ
          ["vix"], # ꃣ
          ["vi"], # ꃤ
          ["vip"], # ꃥ
          ["viet"], # ꃦ
          ["viex"], # ꃧ
          ["vie"], # ꃨ
          ["viep"], # ꃩ
          ["vat"], # ꃪ
          ["vax"], # ꃫ
          ["va"], # ꃬ
          ["vap"], # ꃭ
          ["vot"], # ꃮ
          ["vox"], # ꃯ
          ["vo"], # ꃰ
          ["vop"], # ꃱ
          ["vex"], # ꃲ
          ["vep"], # ꃳ
          ["vut"], # ꃴ
          ["vux"], # ꃵ
          ["vu"], # ꃶ
          ["vup"], # ꃷ
          ["vurx"], # ꃸ
          ["vur"], # ꃹ
          ["vyt"], # ꃺ
          ["vyx"], # ꃻ
          ["vy"], # ꃼ
          ["vyp"], # ꃽ
          ["vyrx"], # ꃾ
          ["vyr"] # ꃿ
        ],
        [
          ["dit"], # ꄀ
          ["dix"], # ꄁ
          ["di"], # ꄂ
          ["dip"], # ꄃ
          ["diex"], # ꄄ
          ["die"], # ꄅ
          ["diep"], # ꄆ
          ["dat"], # ꄇ
          ["dax"], # ꄈ
          ["da"], # ꄉ
          ["dap"], # ꄊ
          ["duox"], # ꄋ
          ["duo"], # ꄌ
          ["dot"], # ꄍ
          ["dox"], # ꄎ
          ["do"], # ꄏ
          ["dop"], # ꄐ
          ["dex"], # ꄑ
          ["de"], # ꄒ
          ["dep"], # ꄓ
          ["dut"], # ꄔ
          ["dux"], # ꄕ
          ["du"], # ꄖ
          ["dup"], # ꄗ
          ["durx"], # ꄘ
          ["dur"], # ꄙ
          ["tit"], # ꄚ
          ["tix"], # ꄛ
          ["ti"], # ꄜ
          ["tip"], # ꄝ
          ["tiex"], # ꄞ
          ["tie"], # ꄟ
          ["tiep"], # ꄠ
          ["tat"], # ꄡ
          ["tax"], # ꄢ
          ["ta"], # ꄣ
          ["tap"], # ꄤ
          ["tuot"], # ꄥ
          ["tuox"], # ꄦ
          ["tuo"], # ꄧ
          ["tuop"], # ꄨ
          ["tot"], # ꄩ
          ["tox"], # ꄪ
          ["to"], # ꄫ
          ["top"], # ꄬ
          ["tex"], # ꄭ
          ["te"], # ꄮ
          ["tep"], # ꄯ
          ["tut"], # ꄰ
          ["tux"], # ꄱ
          ["tu"], # ꄲ
          ["tup"], # ꄳ
          ["turx"], # ꄴ
          ["tur"], # ꄵ
          ["ddit"], # ꄶ
          ["ddix"], # ꄷ
          ["ddi"], # ꄸ
          ["ddip"], # ꄹ
          ["ddiex"], # ꄺ
          ["ddie"], # ꄻ
          ["ddiep"], # ꄼ
          ["ddat"], # ꄽ
          ["ddax"], # ꄾ
          ["dda"], # ꄿ
          ["ddap"], # ꅀ
          ["dduox"], # ꅁ
          ["dduo"], # ꅂ
          ["dduop"], # ꅃ
          ["ddot"], # ꅄ
          ["ddox"], # ꅅ
          ["ddo"], # ꅆ
          ["ddop"], # ꅇ
          ["ddex"], # ꅈ
          ["dde"], # ꅉ
          ["ddep"], # ꅊ
          ["ddut"], # ꅋ
          ["ddux"], # ꅌ
          ["ddu"], # ꅍ
          ["ddup"], # ꅎ
          ["ddurx"], # ꅏ
          ["ddur"], # ꅐ
          ["ndit"], # ꅑ
          ["ndix"], # ꅒ
          ["ndi"], # ꅓ
          ["ndip"], # ꅔ
          ["ndiex"], # ꅕ
          ["ndie"], # ꅖ
          ["ndat"], # ꅗ
          ["ndax"], # ꅘ
          ["nda"], # ꅙ
          ["ndap"], # ꅚ
          ["ndot"], # ꅛ
          ["ndox"], # ꅜ
          ["ndo"], # ꅝ
          ["ndop"], # ꅞ
          ["ndex"], # ꅟ
          ["nde"], # ꅠ
          ["ndep"], # ꅡ
          ["ndut"], # ꅢ
          ["ndux"], # ꅣ
          ["ndu"], # ꅤ
          ["ndup"], # ꅥ
          ["ndurx"], # ꅦ
          ["ndur"], # ꅧ
          ["hnit"], # ꅨ
          ["hnix"], # ꅩ
          ["hni"], # ꅪ
          ["hnip"], # ꅫ
          ["hniet"], # ꅬ
          ["hniex"], # ꅭ
          ["hnie"], # ꅮ
          ["hniep"], # ꅯ
          ["hnat"], # ꅰ
          ["hnax"], # ꅱ
          ["hna"], # ꅲ
          ["hnap"], # ꅳ
          ["hnuox"], # ꅴ
          ["hnuo"], # ꅵ
          ["hnot"], # ꅶ
          ["hnox"], # ꅷ
          ["hnop"], # ꅸ
          ["hnex"], # ꅹ
          ["hne"], # ꅺ
          ["hnep"], # ꅻ
          ["hnut"], # ꅼ
          ["nit"], # ꅽ
          ["nix"], # ꅾ
          ["ni"], # ꅿ
          ["nip"], # ꆀ
          ["niex"], # ꆁ
          ["nie"], # ꆂ
          ["niep"], # ꆃ
          ["nax"], # ꆄ
          ["na"], # ꆅ
          ["nap"], # ꆆ
          ["nuox"], # ꆇ
          ["nuo"], # ꆈ
          ["nuop"], # ꆉ
          ["not"], # ꆊ
          ["nox"], # ꆋ
          ["no"], # ꆌ
          ["nop"], # ꆍ
          ["nex"], # ꆎ
          ["ne"], # ꆏ
          ["nep"], # ꆐ
          ["nut"], # ꆑ
          ["nux"], # ꆒ
          ["nu"], # ꆓ
          ["nup"], # ꆔ
          ["nurx"], # ꆕ
          ["nur"], # ꆖ
          ["hlit"], # ꆗ
          ["hlix"], # ꆘ
          ["hli"], # ꆙ
          ["hlip"], # ꆚ
          ["hliex"], # ꆛ
          ["hlie"], # ꆜ
          ["hliep"], # ꆝ
          ["hlat"], # ꆞ
          ["hlax"], # ꆟ
          ["hla"], # ꆠ
          ["hlap"], # ꆡ
          ["hluox"], # ꆢ
          ["hluo"], # ꆣ
          ["hluop"], # ꆤ
          ["hlox"], # ꆥ
          ["hlo"], # ꆦ
          ["hlop"], # ꆧ
          ["hlex"], # ꆨ
          ["hle"], # ꆩ
          ["hlep"], # ꆪ
          ["hlut"], # ꆫ
          ["hlux"], # ꆬ
          ["hlu"], # ꆭ
          ["hlup"], # ꆮ
          ["hlurx"], # ꆯ
          ["hlur"], # ꆰ
          ["hlyt"], # ꆱ
          ["hlyx"], # ꆲ
          ["hly"], # ꆳ
          ["hlyp"], # ꆴ
          ["hlyrx"], # ꆵ
          ["hlyr"], # ꆶ
          ["lit"], # ꆷ
          ["lix"], # ꆸ
          ["li"], # ꆹ
          ["lip"], # ꆺ
          ["liet"], # ꆻ
          ["liex"], # ꆼ
          ["lie"], # ꆽ
          ["liep"], # ꆾ
          ["lat"], # ꆿ
          ["lax"], # ꇀ
          ["la"], # ꇁ
          ["lap"], # ꇂ
          ["luot"], # ꇃ
          ["luox"], # ꇄ
          ["luo"], # ꇅ
          ["luop"], # ꇆ
          ["lot"], # ꇇ
          ["lox"], # ꇈ
          ["lo"], # ꇉ
          ["lop"], # ꇊ
          ["lex"], # ꇋ
          ["le"], # ꇌ
          ["lep"], # ꇍ
          ["lut"], # ꇎ
          ["lux"], # ꇏ
          ["lu"], # ꇐ
          ["lup"], # ꇑ
          ["lurx"], # ꇒ
          ["lur"], # ꇓ
          ["lyt"], # ꇔ
          ["lyx"], # ꇕ
          ["ly"], # ꇖ
          ["lyp"], # ꇗ
          ["lyrx"], # ꇘ
          ["lyr"], # ꇙ
          ["git"], # ꇚ
          ["gix"], # ꇛ
          ["gi"], # ꇜ
          ["gip"], # ꇝ
          ["giet"], # ꇞ
          ["giex"], # ꇟ
          ["gie"], # ꇠ
          ["giep"], # ꇡ
          ["gat"], # ꇢ
          ["gax"], # ꇣ
          ["ga"], # ꇤ
          ["gap"], # ꇥ
          ["guot"], # ꇦ
          ["guox"], # ꇧ
          ["guo"], # ꇨ
          ["guop"], # ꇩ
          ["got"], # ꇪ
          ["gox"], # ꇫ
          ["go"], # ꇬ
          ["gop"], # ꇭ
          ["get"], # ꇮ
          ["gex"], # ꇯ
          ["ge"], # ꇰ
          ["gep"], # ꇱ
          ["gut"], # ꇲ
          ["gux"], # ꇳ
          ["gu"], # ꇴ
          ["gup"], # ꇵ
          ["gurx"], # ꇶ
          ["gur"], # ꇷ
          ["kit"], # ꇸ
          ["kix"], # ꇹ
          ["ki"], # ꇺ
          ["kip"], # ꇻ
          ["kiex"], # ꇼ
          ["kie"], # ꇽ
          ["kiep"], # ꇾ
          ["kat"] # ꇿ
        ],
        [
          ["kax"], # ꈀ
          ["ka"], # ꈁ
          ["kap"], # ꈂ
          ["kuox"], # ꈃ
          ["kuo"], # ꈄ
          ["kuop"], # ꈅ
          ["kot"], # ꈆ
          ["kox"], # ꈇ
          ["ko"], # ꈈ
          ["kop"], # ꈉ
          ["ket"], # ꈊ
          ["kex"], # ꈋ
          ["ke"], # ꈌ
          ["kep"], # ꈍ
          ["kut"], # ꈎ
          ["kux"], # ꈏ
          ["ku"], # ꈐ
          ["kup"], # ꈑ
          ["kurx"], # ꈒ
          ["kur"], # ꈓ
          ["ggit"], # ꈔ
          ["ggix"], # ꈕ
          ["ggi"], # ꈖ
          ["ggiex"], # ꈗ
          ["ggie"], # ꈘ
          ["ggiep"], # ꈙ
          ["ggat"], # ꈚ
          ["ggax"], # ꈛ
          ["gga"], # ꈜ
          ["ggap"], # ꈝ
          ["gguot"], # ꈞ
          ["gguox"], # ꈟ
          ["gguo"], # ꈠ
          ["gguop"], # ꈡ
          ["ggot"], # ꈢ
          ["ggox"], # ꈣ
          ["ggo"], # ꈤ
          ["ggop"], # ꈥ
          ["gget"], # ꈦ
          ["ggex"], # ꈧ
          ["gge"], # ꈨ
          ["ggep"], # ꈩ
          ["ggut"], # ꈪ
          ["ggux"], # ꈫ
          ["ggu"], # ꈬ
          ["ggup"], # ꈭ
          ["ggurx"], # ꈮ
          ["ggur"], # ꈯ
          ["mgiex"], # ꈰ
          ["mgie"], # ꈱ
          ["mgat"], # ꈲ
          ["mgax"], # ꈳ
          ["mga"], # ꈴ
          ["mgap"], # ꈵ
          ["mguox"], # ꈶ
          ["mguo"], # ꈷ
          ["mguop"], # ꈸ
          ["mgot"], # ꈹ
          ["mgox"], # ꈺ
          ["mgo"], # ꈻ
          ["mgop"], # ꈼ
          ["mgex"], # ꈽ
          ["mge"], # ꈾ
          ["mgep"], # ꈿ
          ["mgut"], # ꉀ
          ["mgux"], # ꉁ
          ["mgu"], # ꉂ
          ["mgup"], # ꉃ
          ["mgurx"], # ꉄ
          ["mgur"], # ꉅ
          ["hxit"], # ꉆ
          ["hxix"], # ꉇ
          ["hxi"], # ꉈ
          ["hxip"], # ꉉ
          ["hxiet"], # ꉊ
          ["hxiex"], # ꉋ
          ["hxie"], # ꉌ
          ["hxiep"], # ꉍ
          ["hxat"], # ꉎ
          ["hxax"], # ꉏ
          ["hxa"], # ꉐ
          ["hxap"], # ꉑ
          ["hxuot"], # ꉒ
          ["hxuox"], # ꉓ
          ["hxuo"], # ꉔ
          ["hxuop"], # ꉕ
          ["hxot"], # ꉖ
          ["hxox"], # ꉗ
          ["hxo"], # ꉘ
          ["hxop"], # ꉙ
          ["hxex"], # ꉚ
          ["hxe"], # ꉛ
          ["hxep"], # ꉜ
          ["ngiex"], # ꉝ
          ["ngie"], # ꉞ
          ["ngiep"], # ꉟ
          ["ngat"], # ꉠ
          ["ngax"], # ꉡ
          ["nga"], # ꉢ
          ["ngap"], # ꉣ
          ["nguot"], # ꉤ
          ["nguox"], # ꉥ
          ["nguo"], # ꉦ
          ["ngot"], # ꉧ
          ["ngox"], # ꉨ
          ["ngo"], # ꉩ
          ["ngop"], # ꉪ
          ["ngex"], # ꉫ
          ["nge"], # ꉬ
          ["ngep"], # ꉭ
          ["hit"], # ꉮ
          ["hiex"], # ꉯ
          ["hie"], # ꉰ
          ["hat"], # ꉱ
          ["hax"], # ꉲ
          ["ha"], # ꉳ
          ["hap"], # ꉴ
          ["huot"], # ꉵ
          ["huox"], # ꉶ
          ["huo"], # ꉷ
          ["huop"], # ꉸ
          ["hot"], # ꉹ
          ["hox"], # ꉺ
          ["ho"], # ꉻ
          ["hop"], # ꉼ
          ["hex"], # ꉽ
          ["he"], # ꉾ
          ["hep"], # ꉿ
          ["wat"], # ꊀ
          ["wax"], # ꊁ
          ["wa"], # ꊂ
          ["wap"], # ꊃ
          ["wuox"], # ꊄ
          ["wuo"], # ꊅ
          ["wuop"], # ꊆ
          ["wox"], # ꊇ
          ["wo"], # ꊈ
          ["wop"], # ꊉ
          ["wex"], # ꊊ
          ["we"], # ꊋ
          ["wep"], # ꊌ
          ["zit"], # ꊍ
          ["zix"], # ꊎ
          ["zi"], # ꊏ
          ["zip"], # ꊐ
          ["ziex"], # ꊑ
          ["zie"], # ꊒ
          ["ziep"], # ꊓ
          ["zat"], # ꊔ
          ["zax"], # ꊕ
          ["za"], # ꊖ
          ["zap"], # ꊗ
          ["zuox"], # ꊘ
          ["zuo"], # ꊙ
          ["zuop"], # ꊚ
          ["zot"], # ꊛ
          ["zox"], # ꊜ
          ["zo"], # ꊝ
          ["zop"], # ꊞ
          ["zex"], # ꊟ
          ["ze"], # ꊠ
          ["zep"], # ꊡ
          ["zut"], # ꊢ
          ["zux"], # ꊣ
          ["zu"], # ꊤ
          ["zup"], # ꊥ
          ["zurx"], # ꊦ
          ["zur"], # ꊧ
          ["zyt"], # ꊨ
          ["zyx"], # ꊩ
          ["zy"], # ꊪ
          ["zyp"], # ꊫ
          ["zyrx"], # ꊬ
          ["zyr"], # ꊭ
          ["cit"], # ꊮ
          ["cix"], # ꊯ
          ["ci"], # ꊰ
          ["cip"], # ꊱ
          ["ciet"], # ꊲ
          ["ciex"], # ꊳ
          ["cie"], # ꊴ
          ["ciep"], # ꊵ
          ["cat"], # ꊶ
          ["cax"], # ꊷ
          ["ca"], # ꊸ
          ["cap"], # ꊹ
          ["cuox"], # ꊺ
          ["cuo"], # ꊻ
          ["cuop"], # ꊼ
          ["cot"], # ꊽ
          ["cox"], # ꊾ
          ["co"], # ꊿ
          ["cop"], # ꋀ
          ["cex"], # ꋁ
          ["ce"], # ꋂ
          ["cep"], # ꋃ
          ["cut"], # ꋄ
          ["cux"], # ꋅ
          ["cu"], # ꋆ
          ["cup"], # ꋇ
          ["curx"], # ꋈ
          ["cur"], # ꋉ
          ["cyt"], # ꋊ
          ["cyx"], # ꋋ
          ["cy"], # ꋌ
          ["cyp"], # ꋍ
          ["cyrx"], # ꋎ
          ["cyr"], # ꋏ
          ["zzit"], # ꋐ
          ["zzix"], # ꋑ
          ["zzi"], # ꋒ
          ["zzip"], # ꋓ
          ["zziet"], # ꋔ
          ["zziex"], # ꋕ
          ["zzie"], # ꋖ
          ["zziep"], # ꋗ
          ["zzat"], # ꋘ
          ["zzax"], # ꋙ
          ["zza"], # ꋚ
          ["zzap"], # ꋛ
          ["zzox"], # ꋜ
          ["zzo"], # ꋝ
          ["zzop"], # ꋞ
          ["zzex"], # ꋟ
          ["zze"], # ꋠ
          ["zzep"], # ꋡ
          ["zzux"], # ꋢ
          ["zzu"], # ꋣ
          ["zzup"], # ꋤ
          ["zzurx"], # ꋥ
          ["zzur"], # ꋦ
          ["zzyt"], # ꋧ
          ["zzyx"], # ꋨ
          ["zzy"], # ꋩ
          ["zzyp"], # ꋪ
          ["zzyrx"], # ꋫ
          ["zzyr"], # ꋬ
          ["nzit"], # ꋭ
          ["nzix"], # ꋮ
          ["nzi"], # ꋯ
          ["nzip"], # ꋰ
          ["nziex"], # ꋱ
          ["nzie"], # ꋲ
          ["nziep"], # ꋳ
          ["nzat"], # ꋴ
          ["nzax"], # ꋵ
          ["nza"], # ꋶ
          ["nzap"], # ꋷ
          ["nzuox"], # ꋸ
          ["nzuo"], # ꋹ
          ["nzox"], # ꋺ
          ["nzop"], # ꋻ
          ["nzex"], # ꋼ
          ["nze"], # ꋽ
          ["nzux"], # ꋾ
          ["nzu"] # ꋿ
        ],
        [
          ["nzup"], # ꌀ
          ["nzurx"], # ꌁ
          ["nzur"], # ꌂ
          ["nzyt"], # ꌃ
          ["nzyx"], # ꌄ
          ["nzy"], # ꌅ
          ["nzyp"], # ꌆ
          ["nzyrx"], # ꌇ
          ["nzyr"], # ꌈ
          ["sit"], # ꌉ
          ["six"], # ꌊ
          ["si"], # ꌋ
          ["sip"], # ꌌ
          ["siex"], # ꌍ
          ["sie"], # ꌎ
          ["siep"], # ꌏ
          ["sat"], # ꌐ
          ["sax"], # ꌑ
          ["sa"], # ꌒ
          ["sap"], # ꌓ
          ["suox"], # ꌔ
          ["suo"], # ꌕ
          ["suop"], # ꌖ
          ["sot"], # ꌗ
          ["sox"], # ꌘ
          ["so"], # ꌙ
          ["sop"], # ꌚ
          ["sex"], # ꌛ
          ["se"], # ꌜ
          ["sep"], # ꌝ
          ["sut"], # ꌞ
          ["sux"], # ꌟ
          ["su"], # ꌠ
          ["sup"], # ꌡ
          ["surx"], # ꌢ
          ["sur"], # ꌣ
          ["syt"], # ꌤ
          ["syx"], # ꌥ
          ["sy"], # ꌦ
          ["syp"], # ꌧ
          ["syrx"], # ꌨ
          ["syr"], # ꌩ
          ["ssit"], # ꌪ
          ["ssix"], # ꌫ
          ["ssi"], # ꌬ
          ["ssip"], # ꌭ
          ["ssiex"], # ꌮ
          ["ssie"], # ꌯ
          ["ssiep"], # ꌰ
          ["ssat"], # ꌱ
          ["ssax"], # ꌲ
          ["ssa"], # ꌳ
          ["ssap"], # ꌴ
          ["ssot"], # ꌵ
          ["ssox"], # ꌶ
          ["sso"], # ꌷ
          ["ssop"], # ꌸ
          ["ssex"], # ꌹ
          ["sse"], # ꌺ
          ["ssep"], # ꌻ
          ["ssut"], # ꌼ
          ["ssux"], # ꌽ
          ["ssu"], # ꌾ
          ["ssup"], # ꌿ
          ["ssyt"], # ꍀ
          ["ssyx"], # ꍁ
          ["ssy"], # ꍂ
          ["ssyp"], # ꍃ
          ["ssyrx"], # ꍄ
          ["ssyr"], # ꍅ
          ["zhat"], # ꍆ
          ["zhax"], # ꍇ
          ["zha"], # ꍈ
          ["zhap"], # ꍉ
          ["zhuox"], # ꍊ
          ["zhuo"], # ꍋ
          ["zhuop"], # ꍌ
          ["zhot"], # ꍍ
          ["zhox"], # ꍎ
          ["zho"], # ꍏ
          ["zhop"], # ꍐ
          ["zhet"], # ꍑ
          ["zhex"], # ꍒ
          ["zhe"], # ꍓ
          ["zhep"], # ꍔ
          ["zhut"], # ꍕ
          ["zhux"], # ꍖ
          ["zhu"], # ꍗ
          ["zhup"], # ꍘ
          ["zhurx"], # ꍙ
          ["zhur"], # ꍚ
          ["zhyt"], # ꍛ
          ["zhyx"], # ꍜ
          ["zhy"], # ꍝ
          ["zhyp"], # ꍞ
          ["zhyrx"], # ꍟ
          ["zhyr"], # ꍠ
          ["chat"], # ꍡ
          ["chax"], # ꍢ
          ["cha"], # ꍣ
          ["chap"], # ꍤ
          ["chuot"], # ꍥ
          ["chuox"], # ꍦ
          ["chuo"], # ꍧ
          ["chuop"], # ꍨ
          ["chot"], # ꍩ
          ["chox"], # ꍪ
          ["cho"], # ꍫ
          ["chop"], # ꍬ
          ["chet"], # ꍭ
          ["chex"], # ꍮ
          ["che"], # ꍯ
          ["chep"], # ꍰ
          ["chux"], # ꍱ
          ["chu"], # ꍲ
          ["chup"], # ꍳ
          ["churx"], # ꍴ
          ["chur"], # ꍵ
          ["chyt"], # ꍶ
          ["chyx"], # ꍷ
          ["chy"], # ꍸ
          ["chyp"], # ꍹ
          ["chyrx"], # ꍺ
          ["chyr"], # ꍻ
          ["rrax"], # ꍼ
          ["rra"], # ꍽ
          ["rruox"], # ꍾ
          ["rruo"], # ꍿ
          ["rrot"], # ꎀ
          ["rrox"], # ꎁ
          ["rro"], # ꎂ
          ["rrop"], # ꎃ
          ["rret"], # ꎄ
          ["rrex"], # ꎅ
          ["rre"], # ꎆ
          ["rrep"], # ꎇ
          ["rrut"], # ꎈ
          ["rrux"], # ꎉ
          ["rru"], # ꎊ
          ["rrup"], # ꎋ
          ["rrurx"], # ꎌ
          ["rrur"], # ꎍ
          ["rryt"], # ꎎ
          ["rryx"], # ꎏ
          ["rry"], # ꎐ
          ["rryp"], # ꎑ
          ["rryrx"], # ꎒ
          ["rryr"], # ꎓ
          ["nrat"], # ꎔ
          ["nrax"], # ꎕ
          ["nra"], # ꎖ
          ["nrap"], # ꎗ
          ["nrox"], # ꎘ
          ["nro"], # ꎙ
          ["nrop"], # ꎚ
          ["nret"], # ꎛ
          ["nrex"], # ꎜ
          ["nre"], # ꎝ
          ["nrep"], # ꎞ
          ["nrut"], # ꎟ
          ["nrux"], # ꎠ
          ["nru"], # ꎡ
          ["nrup"], # ꎢ
          ["nrurx"], # ꎣ
          ["nrur"], # ꎤ
          ["nryt"], # ꎥ
          ["nryx"], # ꎦ
          ["nry"], # ꎧ
          ["nryp"], # ꎨ
          ["nryrx"], # ꎩ
          ["nryr"], # ꎪ
          ["shat"], # ꎫ
          ["shax"], # ꎬ
          ["sha"], # ꎭ
          ["shap"], # ꎮ
          ["shuox"], # ꎯ
          ["shuo"], # ꎰ
          ["shuop"], # ꎱ
          ["shot"], # ꎲ
          ["shox"], # ꎳ
          ["sho"], # ꎴ
          ["shop"], # ꎵ
          ["shet"], # ꎶ
          ["shex"], # ꎷ
          ["she"], # ꎸ
          ["shep"], # ꎹ
          ["shut"], # ꎺ
          ["shux"], # ꎻ
          ["shu"], # ꎼ
          ["shup"], # ꎽ
          ["shurx"], # ꎾ
          ["shur"], # ꎿ
          ["shyt"], # ꏀ
          ["shyx"], # ꏁ
          ["shy"], # ꏂ
          ["shyp"], # ꏃ
          ["shyrx"], # ꏄ
          ["shyr"], # ꏅ
          ["rat"], # ꏆ
          ["rax"], # ꏇ
          ["ra"], # ꏈ
          ["rap"], # ꏉ
          ["ruox"], # ꏊ
          ["ruo"], # ꏋ
          ["ruop"], # ꏌ
          ["rot"], # ꏍ
          ["rox"], # ꏎ
          ["ro"], # ꏏ
          ["rop"], # ꏐ
          ["rex"], # ꏑ
          ["re"], # ꏒ
          ["rep"], # ꏓ
          ["rut"], # ꏔ
          ["rux"], # ꏕ
          ["ru"], # ꏖ
          ["rup"], # ꏗ
          ["rurx"], # ꏘ
          ["rur"], # ꏙ
          ["ryt"], # ꏚ
          ["ryx"], # ꏛ
          ["ry"], # ꏜ
          ["ryp"], # ꏝ
          ["ryrx"], # ꏞ
          ["ryr"], # ꏟ
          ["jit"], # ꏠ
          ["jix"], # ꏡ
          ["ji"], # ꏢ
          ["jip"], # ꏣ
          ["jiet"], # ꏤ
          ["jiex"], # ꏥ
          ["jie"], # ꏦ
          ["jiep"], # ꏧ
          ["juot"], # ꏨ
          ["juox"], # ꏩ
          ["juo"], # ꏪ
          ["juop"], # ꏫ
          ["jot"], # ꏬ
          ["jox"], # ꏭ
          ["jo"], # ꏮ
          ["jop"], # ꏯ
          ["jut"], # ꏰ
          ["jux"], # ꏱ
          ["ju"], # ꏲ
          ["jup"], # ꏳ
          ["jurx"], # ꏴ
          ["jur"], # ꏵ
          ["jyt"], # ꏶ
          ["jyx"], # ꏷ
          ["jy"], # ꏸ
          ["jyp"], # ꏹ
          ["jyrx"], # ꏺ
          ["jyr"], # ꏻ
          ["qit"], # ꏼ
          ["qix"], # ꏽ
          ["qi"], # ꏾ
          ["qip"] # ꏿ
        ],
        [
          ["qiet"], # ꐀ
          ["qiex"], # ꐁ
          ["qie"], # ꐂ
          ["qiep"], # ꐃ
          ["quot"], # ꐄ
          ["quox"], # ꐅ
          ["quo"], # ꐆ
          ["quop"], # ꐇ
          ["qot"], # ꐈ
          ["qox"], # ꐉ
          ["qo"], # ꐊ
          ["qop"], # ꐋ
          ["qut"], # ꐌ
          ["qux"], # ꐍ
          ["qu"], # ꐎ
          ["qup"], # ꐏ
          ["qurx"], # ꐐ
          ["qur"], # ꐑ
          ["qyt"], # ꐒ
          ["qyx"], # ꐓ
          ["qy"], # ꐔ
          ["qyp"], # ꐕ
          ["qyrx"], # ꐖ
          ["qyr"], # ꐗ
          ["jjit"], # ꐘ
          ["jjix"], # ꐙ
          ["jji"], # ꐚ
          ["jjip"], # ꐛ
          ["jjiet"], # ꐜ
          ["jjiex"], # ꐝ
          ["jjie"], # ꐞ
          ["jjiep"], # ꐟ
          ["jjuox"], # ꐠ
          ["jjuo"], # ꐡ
          ["jjuop"], # ꐢ
          ["jjot"], # ꐣ
          ["jjox"], # ꐤ
          ["jjo"], # ꐥ
          ["jjop"], # ꐦ
          ["jjut"], # ꐧ
          ["jjux"], # ꐨ
          ["jju"], # ꐩ
          ["jjup"], # ꐪ
          ["jjurx"], # ꐫ
          ["jjur"], # ꐬ
          ["jjyt"], # ꐭ
          ["jjyx"], # ꐮ
          ["jjy"], # ꐯ
          ["jjyp"], # ꐰ
          ["njit"], # ꐱ
          ["njix"], # ꐲ
          ["nji"], # ꐳ
          ["njip"], # ꐴ
          ["njiet"], # ꐵ
          ["njiex"], # ꐶ
          ["njie"], # ꐷ
          ["njiep"], # ꐸ
          ["njuox"], # ꐹ
          ["njuo"], # ꐺ
          ["njot"], # ꐻ
          ["njox"], # ꐼ
          ["njo"], # ꐽ
          ["njop"], # ꐾ
          ["njux"], # ꐿ
          ["nju"], # ꑀ
          ["njup"], # ꑁ
          ["njurx"], # ꑂ
          ["njur"], # ꑃ
          ["njyt"], # ꑄ
          ["njyx"], # ꑅ
          ["njy"], # ꑆ
          ["njyp"], # ꑇ
          ["njyrx"], # ꑈ
          ["njyr"], # ꑉ
          ["nyit"], # ꑊ
          ["nyix"], # ꑋ
          ["nyi"], # ꑌ
          ["nyip"], # ꑍ
          ["nyiet"], # ꑎ
          ["nyiex"], # ꑏ
          ["nyie"], # ꑐ
          ["nyiep"], # ꑑ
          ["nyuox"], # ꑒ
          ["nyuo"], # ꑓ
          ["nyuop"], # ꑔ
          ["nyot"], # ꑕ
          ["nyox"], # ꑖ
          ["nyo"], # ꑗ
          ["nyop"], # ꑘ
          ["nyut"], # ꑙ
          ["nyux"], # ꑚ
          ["nyu"], # ꑛ
          ["nyup"], # ꑜ
          ["xit"], # ꑝ
          ["xix"], # ꑞ
          ["xi"], # ꑟ
          ["xip"], # ꑠ
          ["xiet"], # ꑡ
          ["xiex"], # ꑢ
          ["xie"], # ꑣ
          ["xiep"], # ꑤ
          ["xuox"], # ꑥ
          ["xuo"], # ꑦ
          ["xot"], # ꑧ
          ["xox"], # ꑨ
          ["xo"], # ꑩ
          ["xop"], # ꑪ
          ["xyt"], # ꑫ
          ["xyx"], # ꑬ
          ["xy"], # ꑭ
          ["xyp"], # ꑮ
          ["xyrx"], # ꑯ
          ["xyr"], # ꑰ
          ["yit"], # ꑱ
          ["yix"], # ꑲ
          ["yi"], # ꑳ
          ["yip"], # ꑴ
          ["yiet"], # ꑵ
          ["yiex"], # ꑶ
          ["yie"], # ꑷ
          ["yiep"], # ꑸ
          ["yuot"], # ꑹ
          ["yuox"], # ꑺ
          ["yuo"], # ꑻ
          ["yuop"], # ꑼ
          ["yot"], # ꑽ
          ["yox"], # ꑾ
          ["yo"], # ꑿ
          ["yop"], # ꒀ
          ["yut"], # ꒁ
          ["yux"], # ꒂ
          ["yu"], # ꒃ
          ["yup"], # ꒄ
          ["yurx"], # ꒅ
          ["yur"], # ꒆ
          ["yyt"], # ꒇ
          ["yyx"], # ꒈ
          ["yy"], # ꒉ
          ["yyp"], # ꒊ
          ["yyrx"], # ꒋ
          ["yyr"], # ꒌ
          nil, # ꒍
          nil, # ꒎
          nil, # ꒏
          ["Qot"], # ꒐
          ["Li"], # ꒑
          ["Kit"], # ꒒
          ["Nyip"], # ꒓
          ["Cyp"], # ꒔
          ["Ssi"], # ꒕
          ["Ggop"], # ꒖
          ["Gep"], # ꒗
          ["Mi"], # ꒘
          ["Hxit"], # ꒙
          ["Lyr"], # ꒚
          ["Bbut"], # ꒛
          ["Mop"], # ꒜
          ["Yo"], # ꒝
          ["Put"], # ꒞
          ["Hxuo"], # ꒟
          ["Tat"], # ꒠
          ["Ga"], # ꒡
          nil, # ꒢
          nil, # ꒣
          ["Ddur"], # ꒤
          ["Bur"], # ꒥
          ["Gguo"], # ꒦
          ["Nyop"], # ꒧
          ["Tu"], # ꒨
          ["Op"], # ꒩
          ["Jjut"], # ꒪
          ["Zot"], # ꒫
          ["Pyt"], # ꒬
          ["Hmo"], # ꒭
          ["Yit"], # ꒮
          ["Vur"], # ꒯
          ["Shy"], # ꒰
          ["Vep"], # ꒱
          ["Za"], # ꒲
          ["Jo"], # ꒳
          nil, # ꒴
          ["Jjy"], # ꒵
          ["Got"], # ꒶
          ["Jjie"], # ꒷
          ["Wo"], # ꒸
          ["Du"], # ꒹
          ["Shur"], # ꒺
          ["Lie"], # ꒻
          ["Cy"], # ꒼
          ["Cuop"], # ꒽
          ["Cip"], # ꒾
          ["Hxop"], # ꒿
          ["Shat"], # ꓀
          nil, # ꓁
          ["Shop"], # ꓂
          ["Che"], # ꓃
          ["Zziet"], # ꓄
          nil, # ꓅
          ["Ke"], # ꓆
          nil, # ꓇
          nil, # ꓈
          nil, # ꓉
          nil, # ꓊
          nil, # ꓋
          nil, # ꓌
          nil, # ꓍
          nil, # ꓎
          nil, # ꓏
          nil, # ꓐ
          nil, # ꓑ
          nil, # ꓒ
          nil, # ꓓ
          nil, # ꓔ
          nil, # ꓕ
          nil, # ꓖ
          nil, # ꓗ
          nil, # ꓘ
          nil, # ꓙ
          nil, # ꓚ
          nil, # ꓛ
          nil, # ꓜ
          nil, # ꓝ
          nil, # ꓞ
          nil, # ꓟ
          nil, # ꓠ
          nil, # ꓡ
          nil, # ꓢ
          nil, # ꓣ
          nil, # ꓤ
          nil, # ꓥ
          nil, # ꓦ
          nil, # ꓧ
          nil, # ꓨ
          nil, # ꓩ
          nil, # ꓪ
          nil, # ꓫ
          nil, # ꓬ
          nil, # ꓭ
          nil, # ꓮ
          nil, # ꓯ
          nil, # ꓰ
          nil, # ꓱ
          nil, # ꓲ
          nil, # ꓳ
          nil, # ꓴ
          nil, # ꓵ
          nil, # ꓶ
          nil, # ꓷ
          nil, # ꓸ
          nil, # ꓹ
          nil, # ꓺ
          nil, # ꓻ
          nil, # ꓼ
          nil, # ꓽ
          nil, # ꓾
          nil # ꓿
        ],
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        [
          ["ga"], # 가
          ["gag"], # 각
          ["gagg"], # 갂
          ["gags"], # 갃
          ["gan"], # 간
          ["ganj"], # 갅
          ["ganh"], # 갆
          ["gad"], # 갇
          ["gal"], # 갈
          ["galg"], # 갉
          ["galm"], # 갊
          ["galb"], # 갋
          ["gals"], # 갌
          ["galt"], # 갍
          ["galp"], # 갎
          ["galh"], # 갏
          ["gam"], # 감
          ["gab"], # 갑
          ["gabs"], # 값
          ["gas"], # 갓
          ["gass"], # 갔
          ["gang"], # 강
          ["gaj"], # 갖
          ["gac"], # 갗
          ["gak"], # 갘
          ["gat"], # 같
          ["gap"], # 갚
          ["gah"], # 갛
          ["gae"], # 개
          ["gaeg"], # 객
          ["gaegg"], # 갞
          ["gaegs"], # 갟
          ["gaen"], # 갠
          ["gaenj"], # 갡
          ["gaenh"], # 갢
          ["gaed"], # 갣
          ["gael"], # 갤
          ["gaelg"], # 갥
          ["gaelm"], # 갦
          ["gaelb"], # 갧
          ["gaels"], # 갨
          ["gaelt"], # 갩
          ["gaelp"], # 갪
          ["gaelh"], # 갫
          ["gaem"], # 갬
          ["gaeb"], # 갭
          ["gaebs"], # 갮
          ["gaes"], # 갯
          ["gaess"], # 갰
          ["gaeng"], # 갱
          ["gaej"], # 갲
          ["gaec"], # 갳
          ["gaek"], # 갴
          ["gaet"], # 갵
          ["gaep"], # 갶
          ["gaeh"], # 갷
          ["gya"], # 갸
          ["gyag"], # 갹
          ["gyagg"], # 갺
          ["gyags"], # 갻
          ["gyan"], # 갼
          ["gyanj"], # 갽
          ["gyanh"], # 갾
          ["gyad"], # 갿
          ["gyal"], # 걀
          ["gyalg"], # 걁
          ["gyalm"], # 걂
          ["gyalb"], # 걃
          ["gyals"], # 걄
          ["gyalt"], # 걅
          ["gyalp"], # 걆
          ["gyalh"], # 걇
          ["gyam"], # 걈
          ["gyab"], # 걉
          ["gyabs"], # 걊
          ["gyas"], # 걋
          ["gyass"], # 걌
          ["gyang"], # 걍
          ["gyaj"], # 걎
          ["gyac"], # 걏
          ["gyak"], # 걐
          ["gyat"], # 걑
          ["gyap"], # 걒
          ["gyah"], # 걓
          ["gyae"], # 걔
          ["gyaeg"], # 걕
          ["gyaegg"], # 걖
          ["gyaegs"], # 걗
          ["gyaen"], # 걘
          ["gyaenj"], # 걙
          ["gyaenh"], # 걚
          ["gyaed"], # 걛
          ["gyael"], # 걜
          ["gyaelg"], # 걝
          ["gyaelm"], # 걞
          ["gyaelb"], # 걟
          ["gyaels"], # 걠
          ["gyaelt"], # 걡
          ["gyaelp"], # 걢
          ["gyaelh"], # 걣
          ["gyaem"], # 걤
          ["gyaeb"], # 걥
          ["gyaebs"], # 걦
          ["gyaes"], # 걧
          ["gyaess"], # 걨
          ["gyaeng"], # 걩
          ["gyaej"], # 걪
          ["gyaec"], # 걫
          ["gyaek"], # 걬
          ["gyaet"], # 걭
          ["gyaep"], # 걮
          ["gyaeh"], # 걯
          ["geo"], # 거
          ["geog"], # 걱
          ["geogg"], # 걲
          ["geogs"], # 걳
          ["geon"], # 건
          ["geonj"], # 걵
          ["geonh"], # 걶
          ["geod"], # 걷
          ["geol"], # 걸
          ["geolg"], # 걹
          ["geolm"], # 걺
          ["geolb"], # 걻
          ["geols"], # 걼
          ["geolt"], # 걽
          ["geolp"], # 걾
          ["geolh"], # 걿
          ["geom"], # 검
          ["geob"], # 겁
          ["geobs"], # 겂
          ["geos"], # 것
          ["geoss"], # 겄
          ["geong"], # 겅
          ["geoj"], # 겆
          ["geoc"], # 겇
          ["geok"], # 겈
          ["geot"], # 겉
          ["geop"], # 겊
          ["geoh"], # 겋
          ["ge"], # 게
          ["geg"], # 겍
          ["gegg"], # 겎
          ["gegs"], # 겏
          ["gen"], # 겐
          ["genj"], # 겑
          ["genh"], # 겒
          ["ged"], # 겓
          ["gel"], # 겔
          ["gelg"], # 겕
          ["gelm"], # 겖
          ["gelb"], # 겗
          ["gels"], # 겘
          ["gelt"], # 겙
          ["gelp"], # 겚
          ["gelh"], # 겛
          ["gem"], # 겜
          ["geb"], # 겝
          ["gebs"], # 겞
          ["ges"], # 겟
          ["gess"], # 겠
          ["geng"], # 겡
          ["gej"], # 겢
          ["gec"], # 겣
          ["gek"], # 겤
          ["get"], # 겥
          ["gep"], # 겦
          ["geh"], # 겧
          ["gyeo"], # 겨
          ["gyeog"], # 격
          ["gyeogg"], # 겪
          ["gyeogs"], # 겫
          ["gyeon"], # 견
          ["gyeonj"], # 겭
          ["gyeonh"], # 겮
          ["gyeod"], # 겯
          ["gyeol"], # 결
          ["gyeolg"], # 겱
          ["gyeolm"], # 겲
          ["gyeolb"], # 겳
          ["gyeols"], # 겴
          ["gyeolt"], # 겵
          ["gyeolp"], # 겶
          ["gyeolh"], # 겷
          ["gyeom"], # 겸
          ["gyeob"], # 겹
          ["gyeobs"], # 겺
          ["gyeos"], # 겻
          ["gyeoss"], # 겼
          ["gyeong"], # 경
          ["gyeoj"], # 겾
          ["gyeoc"], # 겿
          ["gyeok"], # 곀
          ["gyeot"], # 곁
          ["gyeop"], # 곂
          ["gyeoh"], # 곃
          ["gye"], # 계
          ["gyeg"], # 곅
          ["gyegg"], # 곆
          ["gyegs"], # 곇
          ["gyen"], # 곈
          ["gyenj"], # 곉
          ["gyenh"], # 곊
          ["gyed"], # 곋
          ["gyel"], # 곌
          ["gyelg"], # 곍
          ["gyelm"], # 곎
          ["gyelb"], # 곏
          ["gyels"], # 곐
          ["gyelt"], # 곑
          ["gyelp"], # 곒
          ["gyelh"], # 곓
          ["gyem"], # 곔
          ["gyeb"], # 곕
          ["gyebs"], # 곖
          ["gyes"], # 곗
          ["gyess"], # 곘
          ["gyeng"], # 곙
          ["gyej"], # 곚
          ["gyec"], # 곛
          ["gyek"], # 곜
          ["gyet"], # 곝
          ["gyep"], # 곞
          ["gyeh"], # 곟
          ["go"], # 고
          ["gog"], # 곡
          ["gogg"], # 곢
          ["gogs"], # 곣
          ["gon"], # 곤
          ["gonj"], # 곥
          ["gonh"], # 곦
          ["god"], # 곧
          ["gol"], # 골
          ["golg"], # 곩
          ["golm"], # 곪
          ["golb"], # 곫
          ["gols"], # 곬
          ["golt"], # 곭
          ["golp"], # 곮
          ["golh"], # 곯
          ["gom"], # 곰
          ["gob"], # 곱
          ["gobs"], # 곲
          ["gos"], # 곳
          ["goss"], # 곴
          ["gong"], # 공
          ["goj"], # 곶
          ["goc"], # 곷
          ["gok"], # 곸
          ["got"], # 곹
          ["gop"], # 곺
          ["goh"], # 곻
          ["gwa"], # 과
          ["gwag"], # 곽
          ["gwagg"], # 곾
          ["gwags"] # 곿
        ],
        [
          ["gwan"], # 관
          ["gwanj"], # 괁
          ["gwanh"], # 괂
          ["gwad"], # 괃
          ["gwal"], # 괄
          ["gwalg"], # 괅
          ["gwalm"], # 괆
          ["gwalb"], # 괇
          ["gwals"], # 괈
          ["gwalt"], # 괉
          ["gwalp"], # 괊
          ["gwalh"], # 괋
          ["gwam"], # 괌
          ["gwab"], # 괍
          ["gwabs"], # 괎
          ["gwas"], # 괏
          ["gwass"], # 괐
          ["gwang"], # 광
          ["gwaj"], # 괒
          ["gwac"], # 괓
          ["gwak"], # 괔
          ["gwat"], # 괕
          ["gwap"], # 괖
          ["gwah"], # 괗
          ["gwae"], # 괘
          ["gwaeg"], # 괙
          ["gwaegg"], # 괚
          ["gwaegs"], # 괛
          ["gwaen"], # 괜
          ["gwaenj"], # 괝
          ["gwaenh"], # 괞
          ["gwaed"], # 괟
          ["gwael"], # 괠
          ["gwaelg"], # 괡
          ["gwaelm"], # 괢
          ["gwaelb"], # 괣
          ["gwaels"], # 괤
          ["gwaelt"], # 괥
          ["gwaelp"], # 괦
          ["gwaelh"], # 괧
          ["gwaem"], # 괨
          ["gwaeb"], # 괩
          ["gwaebs"], # 괪
          ["gwaes"], # 괫
          ["gwaess"], # 괬
          ["gwaeng"], # 괭
          ["gwaej"], # 괮
          ["gwaec"], # 괯
          ["gwaek"], # 괰
          ["gwaet"], # 괱
          ["gwaep"], # 괲
          ["gwaeh"], # 괳
          ["goe"], # 괴
          ["goeg"], # 괵
          ["goegg"], # 괶
          ["goegs"], # 괷
          ["goen"], # 괸
          ["goenj"], # 괹
          ["goenh"], # 괺
          ["goed"], # 괻
          ["goel"], # 괼
          ["goelg"], # 괽
          ["goelm"], # 괾
          ["goelb"], # 괿
          ["goels"], # 굀
          ["goelt"], # 굁
          ["goelp"], # 굂
          ["goelh"], # 굃
          ["goem"], # 굄
          ["goeb"], # 굅
          ["goebs"], # 굆
          ["goes"], # 굇
          ["goess"], # 굈
          ["goeng"], # 굉
          ["goej"], # 굊
          ["goec"], # 굋
          ["goek"], # 굌
          ["goet"], # 굍
          ["goep"], # 굎
          ["goeh"], # 굏
          ["gyo"], # 교
          ["gyog"], # 굑
          ["gyogg"], # 굒
          ["gyogs"], # 굓
          ["gyon"], # 굔
          ["gyonj"], # 굕
          ["gyonh"], # 굖
          ["gyod"], # 굗
          ["gyol"], # 굘
          ["gyolg"], # 굙
          ["gyolm"], # 굚
          ["gyolb"], # 굛
          ["gyols"], # 굜
          ["gyolt"], # 굝
          ["gyolp"], # 굞
          ["gyolh"], # 굟
          ["gyom"], # 굠
          ["gyob"], # 굡
          ["gyobs"], # 굢
          ["gyos"], # 굣
          ["gyoss"], # 굤
          ["gyong"], # 굥
          ["gyoj"], # 굦
          ["gyoc"], # 굧
          ["gyok"], # 굨
          ["gyot"], # 굩
          ["gyop"], # 굪
          ["gyoh"], # 굫
          ["gu"], # 구
          ["gug"], # 국
          ["gugg"], # 굮
          ["gugs"], # 굯
          ["gun"], # 군
          ["gunj"], # 굱
          ["gunh"], # 굲
          ["gud"], # 굳
          ["gul"], # 굴
          ["gulg"], # 굵
          ["gulm"], # 굶
          ["gulb"], # 굷
          ["guls"], # 굸
          ["gult"], # 굹
          ["gulp"], # 굺
          ["gulh"], # 굻
          ["gum"], # 굼
          ["gub"], # 굽
          ["gubs"], # 굾
          ["gus"], # 굿
          ["guss"], # 궀
          ["gung"], # 궁
          ["guj"], # 궂
          ["guc"], # 궃
          ["guk"], # 궄
          ["gut"], # 궅
          ["gup"], # 궆
          ["guh"], # 궇
          ["gweo"], # 궈
          ["gweog"], # 궉
          ["gweogg"], # 궊
          ["gweogs"], # 궋
          ["gweon"], # 권
          ["gweonj"], # 궍
          ["gweonh"], # 궎
          ["gweod"], # 궏
          ["gweol"], # 궐
          ["gweolg"], # 궑
          ["gweolm"], # 궒
          ["gweolb"], # 궓
          ["gweols"], # 궔
          ["gweolt"], # 궕
          ["gweolp"], # 궖
          ["gweolh"], # 궗
          ["gweom"], # 궘
          ["gweob"], # 궙
          ["gweobs"], # 궚
          ["gweos"], # 궛
          ["gweoss"], # 궜
          ["gweong"], # 궝
          ["gweoj"], # 궞
          ["gweoc"], # 궟
          ["gweok"], # 궠
          ["gweot"], # 궡
          ["gweop"], # 궢
          ["gweoh"], # 궣
          ["gwe"], # 궤
          ["gweg"], # 궥
          ["gwegg"], # 궦
          ["gwegs"], # 궧
          ["gwen"], # 궨
          ["gwenj"], # 궩
          ["gwenh"], # 궪
          ["gwed"], # 궫
          ["gwel"], # 궬
          ["gwelg"], # 궭
          ["gwelm"], # 궮
          ["gwelb"], # 궯
          ["gwels"], # 궰
          ["gwelt"], # 궱
          ["gwelp"], # 궲
          ["gwelh"], # 궳
          ["gwem"], # 궴
          ["gweb"], # 궵
          ["gwebs"], # 궶
          ["gwes"], # 궷
          ["gwess"], # 궸
          ["gweng"], # 궹
          ["gwej"], # 궺
          ["gwec"], # 궻
          ["gwek"], # 궼
          ["gwet"], # 궽
          ["gwep"], # 궾
          ["gweh"], # 궿
          ["gwi"], # 귀
          ["gwig"], # 귁
          ["gwigg"], # 귂
          ["gwigs"], # 귃
          ["gwin"], # 귄
          ["gwinj"], # 귅
          ["gwinh"], # 귆
          ["gwid"], # 귇
          ["gwil"], # 귈
          ["gwilg"], # 귉
          ["gwilm"], # 귊
          ["gwilb"], # 귋
          ["gwils"], # 귌
          ["gwilt"], # 귍
          ["gwilp"], # 귎
          ["gwilh"], # 귏
          ["gwim"], # 귐
          ["gwib"], # 귑
          ["gwibs"], # 귒
          ["gwis"], # 귓
          ["gwiss"], # 귔
          ["gwing"], # 귕
          ["gwij"], # 귖
          ["gwic"], # 귗
          ["gwik"], # 귘
          ["gwit"], # 귙
          ["gwip"], # 귚
          ["gwih"], # 귛
          ["gyu"], # 규
          ["gyug"], # 귝
          ["gyugg"], # 귞
          ["gyugs"], # 귟
          ["gyun"], # 균
          ["gyunj"], # 귡
          ["gyunh"], # 귢
          ["gyud"], # 귣
          ["gyul"], # 귤
          ["gyulg"], # 귥
          ["gyulm"], # 귦
          ["gyulb"], # 귧
          ["gyuls"], # 귨
          ["gyult"], # 귩
          ["gyulp"], # 귪
          ["gyulh"], # 귫
          ["gyum"], # 귬
          ["gyub"], # 귭
          ["gyubs"], # 귮
          ["gyus"], # 귯
          ["gyuss"], # 귰
          ["gyung"], # 귱
          ["gyuj"], # 귲
          ["gyuc"], # 귳
          ["gyuk"], # 귴
          ["gyut"], # 귵
          ["gyup"], # 귶
          ["gyuh"], # 귷
          ["geu"], # 그
          ["geug"], # 극
          ["geugg"], # 귺
          ["geugs"], # 귻
          ["geun"], # 근
          ["geunj"], # 귽
          ["geunh"], # 귾
          ["geud"] # 귿
        ],
        [
          ["geul"], # 글
          ["geulg"], # 긁
          ["geulm"], # 긂
          ["geulb"], # 긃
          ["geuls"], # 긄
          ["geult"], # 긅
          ["geulp"], # 긆
          ["geulh"], # 긇
          ["geum"], # 금
          ["geub"], # 급
          ["geubs"], # 긊
          ["geus"], # 긋
          ["geuss"], # 긌
          ["geung"], # 긍
          ["geuj"], # 긎
          ["geuc"], # 긏
          ["geuk"], # 긐
          ["geut"], # 긑
          ["geup"], # 긒
          ["geuh"], # 긓
          ["gyi"], # 긔
          ["gyig"], # 긕
          ["gyigg"], # 긖
          ["gyigs"], # 긗
          ["gyin"], # 긘
          ["gyinj"], # 긙
          ["gyinh"], # 긚
          ["gyid"], # 긛
          ["gyil"], # 긜
          ["gyilg"], # 긝
          ["gyilm"], # 긞
          ["gyilb"], # 긟
          ["gyils"], # 긠
          ["gyilt"], # 긡
          ["gyilp"], # 긢
          ["gyilh"], # 긣
          ["gyim"], # 긤
          ["gyib"], # 긥
          ["gyibs"], # 긦
          ["gyis"], # 긧
          ["gyiss"], # 긨
          ["gying"], # 긩
          ["gyij"], # 긪
          ["gyic"], # 긫
          ["gyik"], # 긬
          ["gyit"], # 긭
          ["gyip"], # 긮
          ["gyih"], # 긯
          ["gi"], # 기
          ["gig"], # 긱
          ["gigg"], # 긲
          ["gigs"], # 긳
          ["gin"], # 긴
          ["ginj"], # 긵
          ["ginh"], # 긶
          ["gid"], # 긷
          ["gil"], # 길
          ["gilg"], # 긹
          ["gilm"], # 긺
          ["gilb"], # 긻
          ["gils"], # 긼
          ["gilt"], # 긽
          ["gilp"], # 긾
          ["gilh"], # 긿
          ["gim"], # 김
          ["gib"], # 깁
          ["gibs"], # 깂
          ["gis"], # 깃
          ["giss"], # 깄
          ["ging"], # 깅
          ["gij"], # 깆
          ["gic"], # 깇
          ["gik"], # 깈
          ["git"], # 깉
          ["gip"], # 깊
          ["gih"], # 깋
          ["gga"], # 까
          ["ggag"], # 깍
          ["ggagg"], # 깎
          ["ggags"], # 깏
          ["ggan"], # 깐
          ["gganj"], # 깑
          ["gganh"], # 깒
          ["ggad"], # 깓
          ["ggal"], # 깔
          ["ggalg"], # 깕
          ["ggalm"], # 깖
          ["ggalb"], # 깗
          ["ggals"], # 깘
          ["ggalt"], # 깙
          ["ggalp"], # 깚
          ["ggalh"], # 깛
          ["ggam"], # 깜
          ["ggab"], # 깝
          ["ggabs"], # 깞
          ["ggas"], # 깟
          ["ggass"], # 깠
          ["ggang"], # 깡
          ["ggaj"], # 깢
          ["ggac"], # 깣
          ["ggak"], # 깤
          ["ggat"], # 깥
          ["ggap"], # 깦
          ["ggah"], # 깧
          ["ggae"], # 깨
          ["ggaeg"], # 깩
          ["ggaegg"], # 깪
          ["ggaegs"], # 깫
          ["ggaen"], # 깬
          ["ggaenj"], # 깭
          ["ggaenh"], # 깮
          ["ggaed"], # 깯
          ["ggael"], # 깰
          ["ggaelg"], # 깱
          ["ggaelm"], # 깲
          ["ggaelb"], # 깳
          ["ggaels"], # 깴
          ["ggaelt"], # 깵
          ["ggaelp"], # 깶
          ["ggaelh"], # 깷
          ["ggaem"], # 깸
          ["ggaeb"], # 깹
          ["ggaebs"], # 깺
          ["ggaes"], # 깻
          ["ggaess"], # 깼
          ["ggaeng"], # 깽
          ["ggaej"], # 깾
          ["ggaec"], # 깿
          ["ggaek"], # 꺀
          ["ggaet"], # 꺁
          ["ggaep"], # 꺂
          ["ggaeh"], # 꺃
          ["ggya"], # 꺄
          ["ggyag"], # 꺅
          ["ggyagg"], # 꺆
          ["ggyags"], # 꺇
          ["ggyan"], # 꺈
          ["ggyanj"], # 꺉
          ["ggyanh"], # 꺊
          ["ggyad"], # 꺋
          ["ggyal"], # 꺌
          ["ggyalg"], # 꺍
          ["ggyalm"], # 꺎
          ["ggyalb"], # 꺏
          ["ggyals"], # 꺐
          ["ggyalt"], # 꺑
          ["ggyalp"], # 꺒
          ["ggyalh"], # 꺓
          ["ggyam"], # 꺔
          ["ggyab"], # 꺕
          ["ggyabs"], # 꺖
          ["ggyas"], # 꺗
          ["ggyass"], # 꺘
          ["ggyang"], # 꺙
          ["ggyaj"], # 꺚
          ["ggyac"], # 꺛
          ["ggyak"], # 꺜
          ["ggyat"], # 꺝
          ["ggyap"], # 꺞
          ["ggyah"], # 꺟
          ["ggyae"], # 꺠
          ["ggyaeg"], # 꺡
          ["ggyaegg"], # 꺢
          ["ggyaegs"], # 꺣
          ["ggyaen"], # 꺤
          ["ggyaenj"], # 꺥
          ["ggyaenh"], # 꺦
          ["ggyaed"], # 꺧
          ["ggyael"], # 꺨
          ["ggyaelg"], # 꺩
          ["ggyaelm"], # 꺪
          ["ggyaelb"], # 꺫
          ["ggyaels"], # 꺬
          ["ggyaelt"], # 꺭
          ["ggyaelp"], # 꺮
          ["ggyaelh"], # 꺯
          ["ggyaem"], # 꺰
          ["ggyaeb"], # 꺱
          ["ggyaebs"], # 꺲
          ["ggyaes"], # 꺳
          ["ggyaess"], # 꺴
          ["ggyaeng"], # 꺵
          ["ggyaej"], # 꺶
          ["ggyaec"], # 꺷
          ["ggyaek"], # 꺸
          ["ggyaet"], # 꺹
          ["ggyaep"], # 꺺
          ["ggyaeh"], # 꺻
          ["ggeo"], # 꺼
          ["ggeog"], # 꺽
          ["ggeogg"], # 꺾
          ["ggeogs"], # 꺿
          ["ggeon"], # 껀
          ["ggeonj"], # 껁
          ["ggeonh"], # 껂
          ["ggeod"], # 껃
          ["ggeol"], # 껄
          ["ggeolg"], # 껅
          ["ggeolm"], # 껆
          ["ggeolb"], # 껇
          ["ggeols"], # 껈
          ["ggeolt"], # 껉
          ["ggeolp"], # 껊
          ["ggeolh"], # 껋
          ["ggeom"], # 껌
          ["ggeob"], # 껍
          ["ggeobs"], # 껎
          ["ggeos"], # 껏
          ["ggeoss"], # 껐
          ["ggeong"], # 껑
          ["ggeoj"], # 껒
          ["ggeoc"], # 껓
          ["ggeok"], # 껔
          ["ggeot"], # 껕
          ["ggeop"], # 껖
          ["ggeoh"], # 껗
          ["gge"], # 께
          ["ggeg"], # 껙
          ["ggegg"], # 껚
          ["ggegs"], # 껛
          ["ggen"], # 껜
          ["ggenj"], # 껝
          ["ggenh"], # 껞
          ["gged"], # 껟
          ["ggel"], # 껠
          ["ggelg"], # 껡
          ["ggelm"], # 껢
          ["ggelb"], # 껣
          ["ggels"], # 껤
          ["ggelt"], # 껥
          ["ggelp"], # 껦
          ["ggelh"], # 껧
          ["ggem"], # 껨
          ["ggeb"], # 껩
          ["ggebs"], # 껪
          ["gges"], # 껫
          ["ggess"], # 껬
          ["ggeng"], # 껭
          ["ggej"], # 껮
          ["ggec"], # 껯
          ["ggek"], # 껰
          ["gget"], # 껱
          ["ggep"], # 껲
          ["ggeh"], # 껳
          ["ggyeo"], # 껴
          ["ggyeog"], # 껵
          ["ggyeogg"], # 껶
          ["ggyeogs"], # 껷
          ["ggyeon"], # 껸
          ["ggyeonj"], # 껹
          ["ggyeonh"], # 껺
          ["ggyeod"], # 껻
          ["ggyeol"], # 껼
          ["ggyeolg"], # 껽
          ["ggyeolm"], # 껾
          ["ggyeolb"] # 껿
        ],
        [
          ["ggyeols"], # 꼀
          ["ggyeolt"], # 꼁
          ["ggyeolp"], # 꼂
          ["ggyeolh"], # 꼃
          ["ggyeom"], # 꼄
          ["ggyeob"], # 꼅
          ["ggyeobs"], # 꼆
          ["ggyeos"], # 꼇
          ["ggyeoss"], # 꼈
          ["ggyeong"], # 꼉
          ["ggyeoj"], # 꼊
          ["ggyeoc"], # 꼋
          ["ggyeok"], # 꼌
          ["ggyeot"], # 꼍
          ["ggyeop"], # 꼎
          ["ggyeoh"], # 꼏
          ["ggye"], # 꼐
          ["ggyeg"], # 꼑
          ["ggyegg"], # 꼒
          ["ggyegs"], # 꼓
          ["ggyen"], # 꼔
          ["ggyenj"], # 꼕
          ["ggyenh"], # 꼖
          ["ggyed"], # 꼗
          ["ggyel"], # 꼘
          ["ggyelg"], # 꼙
          ["ggyelm"], # 꼚
          ["ggyelb"], # 꼛
          ["ggyels"], # 꼜
          ["ggyelt"], # 꼝
          ["ggyelp"], # 꼞
          ["ggyelh"], # 꼟
          ["ggyem"], # 꼠
          ["ggyeb"], # 꼡
          ["ggyebs"], # 꼢
          ["ggyes"], # 꼣
          ["ggyess"], # 꼤
          ["ggyeng"], # 꼥
          ["ggyej"], # 꼦
          ["ggyec"], # 꼧
          ["ggyek"], # 꼨
          ["ggyet"], # 꼩
          ["ggyep"], # 꼪
          ["ggyeh"], # 꼫
          ["ggo"], # 꼬
          ["ggog"], # 꼭
          ["ggogg"], # 꼮
          ["ggogs"], # 꼯
          ["ggon"], # 꼰
          ["ggonj"], # 꼱
          ["ggonh"], # 꼲
          ["ggod"], # 꼳
          ["ggol"], # 꼴
          ["ggolg"], # 꼵
          ["ggolm"], # 꼶
          ["ggolb"], # 꼷
          ["ggols"], # 꼸
          ["ggolt"], # 꼹
          ["ggolp"], # 꼺
          ["ggolh"], # 꼻
          ["ggom"], # 꼼
          ["ggob"], # 꼽
          ["ggobs"], # 꼾
          ["ggos"], # 꼿
          ["ggoss"], # 꽀
          ["ggong"], # 꽁
          ["ggoj"], # 꽂
          ["ggoc"], # 꽃
          ["ggok"], # 꽄
          ["ggot"], # 꽅
          ["ggop"], # 꽆
          ["ggoh"], # 꽇
          ["ggwa"], # 꽈
          ["ggwag"], # 꽉
          ["ggwagg"], # 꽊
          ["ggwags"], # 꽋
          ["ggwan"], # 꽌
          ["ggwanj"], # 꽍
          ["ggwanh"], # 꽎
          ["ggwad"], # 꽏
          ["ggwal"], # 꽐
          ["ggwalg"], # 꽑
          ["ggwalm"], # 꽒
          ["ggwalb"], # 꽓
          ["ggwals"], # 꽔
          ["ggwalt"], # 꽕
          ["ggwalp"], # 꽖
          ["ggwalh"], # 꽗
          ["ggwam"], # 꽘
          ["ggwab"], # 꽙
          ["ggwabs"], # 꽚
          ["ggwas"], # 꽛
          ["ggwass"], # 꽜
          ["ggwang"], # 꽝
          ["ggwaj"], # 꽞
          ["ggwac"], # 꽟
          ["ggwak"], # 꽠
          ["ggwat"], # 꽡
          ["ggwap"], # 꽢
          ["ggwah"], # 꽣
          ["ggwae"], # 꽤
          ["ggwaeg"], # 꽥
          ["ggwaegg"], # 꽦
          ["ggwaegs"], # 꽧
          ["ggwaen"], # 꽨
          ["ggwaenj"], # 꽩
          ["ggwaenh"], # 꽪
          ["ggwaed"], # 꽫
          ["ggwael"], # 꽬
          ["ggwaelg"], # 꽭
          ["ggwaelm"], # 꽮
          ["ggwaelb"], # 꽯
          ["ggwaels"], # 꽰
          ["ggwaelt"], # 꽱
          ["ggwaelp"], # 꽲
          ["ggwaelh"], # 꽳
          ["ggwaem"], # 꽴
          ["ggwaeb"], # 꽵
          ["ggwaebs"], # 꽶
          ["ggwaes"], # 꽷
          ["ggwaess"], # 꽸
          ["ggwaeng"], # 꽹
          ["ggwaej"], # 꽺
          ["ggwaec"], # 꽻
          ["ggwaek"], # 꽼
          ["ggwaet"], # 꽽
          ["ggwaep"], # 꽾
          ["ggwaeh"], # 꽿
          ["ggoe"], # 꾀
          ["ggoeg"], # 꾁
          ["ggoegg"], # 꾂
          ["ggoegs"], # 꾃
          ["ggoen"], # 꾄
          ["ggoenj"], # 꾅
          ["ggoenh"], # 꾆
          ["ggoed"], # 꾇
          ["ggoel"], # 꾈
          ["ggoelg"], # 꾉
          ["ggoelm"], # 꾊
          ["ggoelb"], # 꾋
          ["ggoels"], # 꾌
          ["ggoelt"], # 꾍
          ["ggoelp"], # 꾎
          ["ggoelh"], # 꾏
          ["ggoem"], # 꾐
          ["ggoeb"], # 꾑
          ["ggoebs"], # 꾒
          ["ggoes"], # 꾓
          ["ggoess"], # 꾔
          ["ggoeng"], # 꾕
          ["ggoej"], # 꾖
          ["ggoec"], # 꾗
          ["ggoek"], # 꾘
          ["ggoet"], # 꾙
          ["ggoep"], # 꾚
          ["ggoeh"], # 꾛
          ["ggyo"], # 꾜
          ["ggyog"], # 꾝
          ["ggyogg"], # 꾞
          ["ggyogs"], # 꾟
          ["ggyon"], # 꾠
          ["ggyonj"], # 꾡
          ["ggyonh"], # 꾢
          ["ggyod"], # 꾣
          ["ggyol"], # 꾤
          ["ggyolg"], # 꾥
          ["ggyolm"], # 꾦
          ["ggyolb"], # 꾧
          ["ggyols"], # 꾨
          ["ggyolt"], # 꾩
          ["ggyolp"], # 꾪
          ["ggyolh"], # 꾫
          ["ggyom"], # 꾬
          ["ggyob"], # 꾭
          ["ggyobs"], # 꾮
          ["ggyos"], # 꾯
          ["ggyoss"], # 꾰
          ["ggyong"], # 꾱
          ["ggyoj"], # 꾲
          ["ggyoc"], # 꾳
          ["ggyok"], # 꾴
          ["ggyot"], # 꾵
          ["ggyop"], # 꾶
          ["ggyoh"], # 꾷
          ["ggu"], # 꾸
          ["ggug"], # 꾹
          ["ggugg"], # 꾺
          ["ggugs"], # 꾻
          ["ggun"], # 꾼
          ["ggunj"], # 꾽
          ["ggunh"], # 꾾
          ["ggud"], # 꾿
          ["ggul"], # 꿀
          ["ggulg"], # 꿁
          ["ggulm"], # 꿂
          ["ggulb"], # 꿃
          ["gguls"], # 꿄
          ["ggult"], # 꿅
          ["ggulp"], # 꿆
          ["ggulh"], # 꿇
          ["ggum"], # 꿈
          ["ggub"], # 꿉
          ["ggubs"], # 꿊
          ["ggus"], # 꿋
          ["gguss"], # 꿌
          ["ggung"], # 꿍
          ["gguj"], # 꿎
          ["gguc"], # 꿏
          ["gguk"], # 꿐
          ["ggut"], # 꿑
          ["ggup"], # 꿒
          ["gguh"], # 꿓
          ["ggweo"], # 꿔
          ["ggweog"], # 꿕
          ["ggweogg"], # 꿖
          ["ggweogs"], # 꿗
          ["ggweon"], # 꿘
          ["ggweonj"], # 꿙
          ["ggweonh"], # 꿚
          ["ggweod"], # 꿛
          ["ggweol"], # 꿜
          ["ggweolg"], # 꿝
          ["ggweolm"], # 꿞
          ["ggweolb"], # 꿟
          ["ggweols"], # 꿠
          ["ggweolt"], # 꿡
          ["ggweolp"], # 꿢
          ["ggweolh"], # 꿣
          ["ggweom"], # 꿤
          ["ggweob"], # 꿥
          ["ggweobs"], # 꿦
          ["ggweos"], # 꿧
          ["ggweoss"], # 꿨
          ["ggweong"], # 꿩
          ["ggweoj"], # 꿪
          ["ggweoc"], # 꿫
          ["ggweok"], # 꿬
          ["ggweot"], # 꿭
          ["ggweop"], # 꿮
          ["ggweoh"], # 꿯
          ["ggwe"], # 꿰
          ["ggweg"], # 꿱
          ["ggwegg"], # 꿲
          ["ggwegs"], # 꿳
          ["ggwen"], # 꿴
          ["ggwenj"], # 꿵
          ["ggwenh"], # 꿶
          ["ggwed"], # 꿷
          ["ggwel"], # 꿸
          ["ggwelg"], # 꿹
          ["ggwelm"], # 꿺
          ["ggwelb"], # 꿻
          ["ggwels"], # 꿼
          ["ggwelt"], # 꿽
          ["ggwelp"], # 꿾
          ["ggwelh"] # 꿿
        ],
        [
          ["ggwem"], # 뀀
          ["ggweb"], # 뀁
          ["ggwebs"], # 뀂
          ["ggwes"], # 뀃
          ["ggwess"], # 뀄
          ["ggweng"], # 뀅
          ["ggwej"], # 뀆
          ["ggwec"], # 뀇
          ["ggwek"], # 뀈
          ["ggwet"], # 뀉
          ["ggwep"], # 뀊
          ["ggweh"], # 뀋
          ["ggwi"], # 뀌
          ["ggwig"], # 뀍
          ["ggwigg"], # 뀎
          ["ggwigs"], # 뀏
          ["ggwin"], # 뀐
          ["ggwinj"], # 뀑
          ["ggwinh"], # 뀒
          ["ggwid"], # 뀓
          ["ggwil"], # 뀔
          ["ggwilg"], # 뀕
          ["ggwilm"], # 뀖
          ["ggwilb"], # 뀗
          ["ggwils"], # 뀘
          ["ggwilt"], # 뀙
          ["ggwilp"], # 뀚
          ["ggwilh"], # 뀛
          ["ggwim"], # 뀜
          ["ggwib"], # 뀝
          ["ggwibs"], # 뀞
          ["ggwis"], # 뀟
          ["ggwiss"], # 뀠
          ["ggwing"], # 뀡
          ["ggwij"], # 뀢
          ["ggwic"], # 뀣
          ["ggwik"], # 뀤
          ["ggwit"], # 뀥
          ["ggwip"], # 뀦
          ["ggwih"], # 뀧
          ["ggyu"], # 뀨
          ["ggyug"], # 뀩
          ["ggyugg"], # 뀪
          ["ggyugs"], # 뀫
          ["ggyun"], # 뀬
          ["ggyunj"], # 뀭
          ["ggyunh"], # 뀮
          ["ggyud"], # 뀯
          ["ggyul"], # 뀰
          ["ggyulg"], # 뀱
          ["ggyulm"], # 뀲
          ["ggyulb"], # 뀳
          ["ggyuls"], # 뀴
          ["ggyult"], # 뀵
          ["ggyulp"], # 뀶
          ["ggyulh"], # 뀷
          ["ggyum"], # 뀸
          ["ggyub"], # 뀹
          ["ggyubs"], # 뀺
          ["ggyus"], # 뀻
          ["ggyuss"], # 뀼
          ["ggyung"], # 뀽
          ["ggyuj"], # 뀾
          ["ggyuc"], # 뀿
          ["ggyuk"], # 끀
          ["ggyut"], # 끁
          ["ggyup"], # 끂
          ["ggyuh"], # 끃
          ["ggeu"], # 끄
          ["ggeug"], # 끅
          ["ggeugg"], # 끆
          ["ggeugs"], # 끇
          ["ggeun"], # 끈
          ["ggeunj"], # 끉
          ["ggeunh"], # 끊
          ["ggeud"], # 끋
          ["ggeul"], # 끌
          ["ggeulg"], # 끍
          ["ggeulm"], # 끎
          ["ggeulb"], # 끏
          ["ggeuls"], # 끐
          ["ggeult"], # 끑
          ["ggeulp"], # 끒
          ["ggeulh"], # 끓
          ["ggeum"], # 끔
          ["ggeub"], # 끕
          ["ggeubs"], # 끖
          ["ggeus"], # 끗
          ["ggeuss"], # 끘
          ["ggeung"], # 끙
          ["ggeuj"], # 끚
          ["ggeuc"], # 끛
          ["ggeuk"], # 끜
          ["ggeut"], # 끝
          ["ggeup"], # 끞
          ["ggeuh"], # 끟
          ["ggyi"], # 끠
          ["ggyig"], # 끡
          ["ggyigg"], # 끢
          ["ggyigs"], # 끣
          ["ggyin"], # 끤
          ["ggyinj"], # 끥
          ["ggyinh"], # 끦
          ["ggyid"], # 끧
          ["ggyil"], # 끨
          ["ggyilg"], # 끩
          ["ggyilm"], # 끪
          ["ggyilb"], # 끫
          ["ggyils"], # 끬
          ["ggyilt"], # 끭
          ["ggyilp"], # 끮
          ["ggyilh"], # 끯
          ["ggyim"], # 끰
          ["ggyib"], # 끱
          ["ggyibs"], # 끲
          ["ggyis"], # 끳
          ["ggyiss"], # 끴
          ["ggying"], # 끵
          ["ggyij"], # 끶
          ["ggyic"], # 끷
          ["ggyik"], # 끸
          ["ggyit"], # 끹
          ["ggyip"], # 끺
          ["ggyih"], # 끻
          ["ggi"], # 끼
          ["ggig"], # 끽
          ["ggigg"], # 끾
          ["ggigs"], # 끿
          ["ggin"], # 낀
          ["gginj"], # 낁
          ["gginh"], # 낂
          ["ggid"], # 낃
          ["ggil"], # 낄
          ["ggilg"], # 낅
          ["ggilm"], # 낆
          ["ggilb"], # 낇
          ["ggils"], # 낈
          ["ggilt"], # 낉
          ["ggilp"], # 낊
          ["ggilh"], # 낋
          ["ggim"], # 낌
          ["ggib"], # 낍
          ["ggibs"], # 낎
          ["ggis"], # 낏
          ["ggiss"], # 낐
          ["gging"], # 낑
          ["ggij"], # 낒
          ["ggic"], # 낓
          ["ggik"], # 낔
          ["ggit"], # 낕
          ["ggip"], # 낖
          ["ggih"], # 낗
          ["na"], # 나
          ["nag"], # 낙
          ["nagg"], # 낚
          ["nags"], # 낛
          ["nan"], # 난
          ["nanj"], # 낝
          ["nanh"], # 낞
          ["nad"], # 낟
          ["nal"], # 날
          ["nalg"], # 낡
          ["nalm"], # 낢
          ["nalb"], # 낣
          ["nals"], # 낤
          ["nalt"], # 낥
          ["nalp"], # 낦
          ["nalh"], # 낧
          ["nam"], # 남
          ["nab"], # 납
          ["nabs"], # 낪
          ["nas"], # 낫
          ["nass"], # 났
          ["nang"], # 낭
          ["naj"], # 낮
          ["nac"], # 낯
          ["nak"], # 낰
          ["nat"], # 낱
          ["nap"], # 낲
          ["nah"], # 낳
          ["nae"], # 내
          ["naeg"], # 낵
          ["naegg"], # 낶
          ["naegs"], # 낷
          ["naen"], # 낸
          ["naenj"], # 낹
          ["naenh"], # 낺
          ["naed"], # 낻
          ["nael"], # 낼
          ["naelg"], # 낽
          ["naelm"], # 낾
          ["naelb"], # 낿
          ["naels"], # 냀
          ["naelt"], # 냁
          ["naelp"], # 냂
          ["naelh"], # 냃
          ["naem"], # 냄
          ["naeb"], # 냅
          ["naebs"], # 냆
          ["naes"], # 냇
          ["naess"], # 냈
          ["naeng"], # 냉
          ["naej"], # 냊
          ["naec"], # 냋
          ["naek"], # 냌
          ["naet"], # 냍
          ["naep"], # 냎
          ["naeh"], # 냏
          ["nya"], # 냐
          ["nyag"], # 냑
          ["nyagg"], # 냒
          ["nyags"], # 냓
          ["nyan"], # 냔
          ["nyanj"], # 냕
          ["nyanh"], # 냖
          ["nyad"], # 냗
          ["nyal"], # 냘
          ["nyalg"], # 냙
          ["nyalm"], # 냚
          ["nyalb"], # 냛
          ["nyals"], # 냜
          ["nyalt"], # 냝
          ["nyalp"], # 냞
          ["nyalh"], # 냟
          ["nyam"], # 냠
          ["nyab"], # 냡
          ["nyabs"], # 냢
          ["nyas"], # 냣
          ["nyass"], # 냤
          ["nyang"], # 냥
          ["nyaj"], # 냦
          ["nyac"], # 냧
          ["nyak"], # 냨
          ["nyat"], # 냩
          ["nyap"], # 냪
          ["nyah"], # 냫
          ["nyae"], # 냬
          ["nyaeg"], # 냭
          ["nyaegg"], # 냮
          ["nyaegs"], # 냯
          ["nyaen"], # 냰
          ["nyaenj"], # 냱
          ["nyaenh"], # 냲
          ["nyaed"], # 냳
          ["nyael"], # 냴
          ["nyaelg"], # 냵
          ["nyaelm"], # 냶
          ["nyaelb"], # 냷
          ["nyaels"], # 냸
          ["nyaelt"], # 냹
          ["nyaelp"], # 냺
          ["nyaelh"], # 냻
          ["nyaem"], # 냼
          ["nyaeb"], # 냽
          ["nyaebs"], # 냾
          ["nyaes"] # 냿
        ],
        [
          ["nyaess"], # 넀
          ["nyaeng"], # 넁
          ["nyaej"], # 넂
          ["nyaec"], # 넃
          ["nyaek"], # 넄
          ["nyaet"], # 넅
          ["nyaep"], # 넆
          ["nyaeh"], # 넇
          ["neo"], # 너
          ["neog"], # 넉
          ["neogg"], # 넊
          ["neogs"], # 넋
          ["neon"], # 넌
          ["neonj"], # 넍
          ["neonh"], # 넎
          ["neod"], # 넏
          ["neol"], # 널
          ["neolg"], # 넑
          ["neolm"], # 넒
          ["neolb"], # 넓
          ["neols"], # 넔
          ["neolt"], # 넕
          ["neolp"], # 넖
          ["neolh"], # 넗
          ["neom"], # 넘
          ["neob"], # 넙
          ["neobs"], # 넚
          ["neos"], # 넛
          ["neoss"], # 넜
          ["neong"], # 넝
          ["neoj"], # 넞
          ["neoc"], # 넟
          ["neok"], # 넠
          ["neot"], # 넡
          ["neop"], # 넢
          ["neoh"], # 넣
          ["ne"], # 네
          ["neg"], # 넥
          ["negg"], # 넦
          ["negs"], # 넧
          ["nen"], # 넨
          ["nenj"], # 넩
          ["nenh"], # 넪
          ["ned"], # 넫
          ["nel"], # 넬
          ["nelg"], # 넭
          ["nelm"], # 넮
          ["nelb"], # 넯
          ["nels"], # 넰
          ["nelt"], # 넱
          ["nelp"], # 넲
          ["nelh"], # 넳
          ["nem"], # 넴
          ["neb"], # 넵
          ["nebs"], # 넶
          ["nes"], # 넷
          ["ness"], # 넸
          ["neng"], # 넹
          ["nej"], # 넺
          ["nec"], # 넻
          ["nek"], # 넼
          ["net"], # 넽
          ["nep"], # 넾
          ["neh"], # 넿
          ["nyeo"], # 녀
          ["nyeog"], # 녁
          ["nyeogg"], # 녂
          ["nyeogs"], # 녃
          ["nyeon"], # 년
          ["nyeonj"], # 녅
          ["nyeonh"], # 녆
          ["nyeod"], # 녇
          ["nyeol"], # 녈
          ["nyeolg"], # 녉
          ["nyeolm"], # 녊
          ["nyeolb"], # 녋
          ["nyeols"], # 녌
          ["nyeolt"], # 녍
          ["nyeolp"], # 녎
          ["nyeolh"], # 녏
          ["nyeom"], # 념
          ["nyeob"], # 녑
          ["nyeobs"], # 녒
          ["nyeos"], # 녓
          ["nyeoss"], # 녔
          ["nyeong"], # 녕
          ["nyeoj"], # 녖
          ["nyeoc"], # 녗
          ["nyeok"], # 녘
          ["nyeot"], # 녙
          ["nyeop"], # 녚
          ["nyeoh"], # 녛
          ["nye"], # 녜
          ["nyeg"], # 녝
          ["nyegg"], # 녞
          ["nyegs"], # 녟
          ["nyen"], # 녠
          ["nyenj"], # 녡
          ["nyenh"], # 녢
          ["nyed"], # 녣
          ["nyel"], # 녤
          ["nyelg"], # 녥
          ["nyelm"], # 녦
          ["nyelb"], # 녧
          ["nyels"], # 녨
          ["nyelt"], # 녩
          ["nyelp"], # 녪
          ["nyelh"], # 녫
          ["nyem"], # 녬
          ["nyeb"], # 녭
          ["nyebs"], # 녮
          ["nyes"], # 녯
          ["nyess"], # 녰
          ["nyeng"], # 녱
          ["nyej"], # 녲
          ["nyec"], # 녳
          ["nyek"], # 녴
          ["nyet"], # 녵
          ["nyep"], # 녶
          ["nyeh"], # 녷
          ["no"], # 노
          ["nog"], # 녹
          ["nogg"], # 녺
          ["nogs"], # 녻
          ["non"], # 논
          ["nonj"], # 녽
          ["nonh"], # 녾
          ["nod"], # 녿
          ["nol"], # 놀
          ["nolg"], # 놁
          ["nolm"], # 놂
          ["nolb"], # 놃
          ["nols"], # 놄
          ["nolt"], # 놅
          ["nolp"], # 놆
          ["nolh"], # 놇
          ["nom"], # 놈
          ["nob"], # 놉
          ["nobs"], # 놊
          ["nos"], # 놋
          ["noss"], # 놌
          ["nong"], # 농
          ["noj"], # 놎
          ["noc"], # 놏
          ["nok"], # 놐
          ["not"], # 놑
          ["nop"], # 높
          ["noh"], # 놓
          ["nwa"], # 놔
          ["nwag"], # 놕
          ["nwagg"], # 놖
          ["nwags"], # 놗
          ["nwan"], # 놘
          ["nwanj"], # 놙
          ["nwanh"], # 놚
          ["nwad"], # 놛
          ["nwal"], # 놜
          ["nwalg"], # 놝
          ["nwalm"], # 놞
          ["nwalb"], # 놟
          ["nwals"], # 놠
          ["nwalt"], # 놡
          ["nwalp"], # 놢
          ["nwalh"], # 놣
          ["nwam"], # 놤
          ["nwab"], # 놥
          ["nwabs"], # 놦
          ["nwas"], # 놧
          ["nwass"], # 놨
          ["nwang"], # 놩
          ["nwaj"], # 놪
          ["nwac"], # 놫
          ["nwak"], # 놬
          ["nwat"], # 놭
          ["nwap"], # 놮
          ["nwah"], # 놯
          ["nwae"], # 놰
          ["nwaeg"], # 놱
          ["nwaegg"], # 놲
          ["nwaegs"], # 놳
          ["nwaen"], # 놴
          ["nwaenj"], # 놵
          ["nwaenh"], # 놶
          ["nwaed"], # 놷
          ["nwael"], # 놸
          ["nwaelg"], # 놹
          ["nwaelm"], # 놺
          ["nwaelb"], # 놻
          ["nwaels"], # 놼
          ["nwaelt"], # 놽
          ["nwaelp"], # 놾
          ["nwaelh"], # 놿
          ["nwaem"], # 뇀
          ["nwaeb"], # 뇁
          ["nwaebs"], # 뇂
          ["nwaes"], # 뇃
          ["nwaess"], # 뇄
          ["nwaeng"], # 뇅
          ["nwaej"], # 뇆
          ["nwaec"], # 뇇
          ["nwaek"], # 뇈
          ["nwaet"], # 뇉
          ["nwaep"], # 뇊
          ["nwaeh"], # 뇋
          ["noe"], # 뇌
          ["noeg"], # 뇍
          ["noegg"], # 뇎
          ["noegs"], # 뇏
          ["noen"], # 뇐
          ["noenj"], # 뇑
          ["noenh"], # 뇒
          ["noed"], # 뇓
          ["noel"], # 뇔
          ["noelg"], # 뇕
          ["noelm"], # 뇖
          ["noelb"], # 뇗
          ["noels"], # 뇘
          ["noelt"], # 뇙
          ["noelp"], # 뇚
          ["noelh"], # 뇛
          ["noem"], # 뇜
          ["noeb"], # 뇝
          ["noebs"], # 뇞
          ["noes"], # 뇟
          ["noess"], # 뇠
          ["noeng"], # 뇡
          ["noej"], # 뇢
          ["noec"], # 뇣
          ["noek"], # 뇤
          ["noet"], # 뇥
          ["noep"], # 뇦
          ["noeh"], # 뇧
          ["nyo"], # 뇨
          ["nyog"], # 뇩
          ["nyogg"], # 뇪
          ["nyogs"], # 뇫
          ["nyon"], # 뇬
          ["nyonj"], # 뇭
          ["nyonh"], # 뇮
          ["nyod"], # 뇯
          ["nyol"], # 뇰
          ["nyolg"], # 뇱
          ["nyolm"], # 뇲
          ["nyolb"], # 뇳
          ["nyols"], # 뇴
          ["nyolt"], # 뇵
          ["nyolp"], # 뇶
          ["nyolh"], # 뇷
          ["nyom"], # 뇸
          ["nyob"], # 뇹
          ["nyobs"], # 뇺
          ["nyos"], # 뇻
          ["nyoss"], # 뇼
          ["nyong"], # 뇽
          ["nyoj"], # 뇾
          ["nyoc"] # 뇿
        ],
        [
          ["nyok"], # 눀
          ["nyot"], # 눁
          ["nyop"], # 눂
          ["nyoh"], # 눃
          ["nu"], # 누
          ["nug"], # 눅
          ["nugg"], # 눆
          ["nugs"], # 눇
          ["nun"], # 눈
          ["nunj"], # 눉
          ["nunh"], # 눊
          ["nud"], # 눋
          ["nul"], # 눌
          ["nulg"], # 눍
          ["nulm"], # 눎
          ["nulb"], # 눏
          ["nuls"], # 눐
          ["nult"], # 눑
          ["nulp"], # 눒
          ["nulh"], # 눓
          ["num"], # 눔
          ["nub"], # 눕
          ["nubs"], # 눖
          ["nus"], # 눗
          ["nuss"], # 눘
          ["nung"], # 눙
          ["nuj"], # 눚
          ["nuc"], # 눛
          ["nuk"], # 눜
          ["nut"], # 눝
          ["nup"], # 눞
          ["nuh"], # 눟
          ["nweo"], # 눠
          ["nweog"], # 눡
          ["nweogg"], # 눢
          ["nweogs"], # 눣
          ["nweon"], # 눤
          ["nweonj"], # 눥
          ["nweonh"], # 눦
          ["nweod"], # 눧
          ["nweol"], # 눨
          ["nweolg"], # 눩
          ["nweolm"], # 눪
          ["nweolb"], # 눫
          ["nweols"], # 눬
          ["nweolt"], # 눭
          ["nweolp"], # 눮
          ["nweolh"], # 눯
          ["nweom"], # 눰
          ["nweob"], # 눱
          ["nweobs"], # 눲
          ["nweos"], # 눳
          ["nweoss"], # 눴
          ["nweong"], # 눵
          ["nweoj"], # 눶
          ["nweoc"], # 눷
          ["nweok"], # 눸
          ["nweot"], # 눹
          ["nweop"], # 눺
          ["nweoh"], # 눻
          ["nwe"], # 눼
          ["nweg"], # 눽
          ["nwegg"], # 눾
          ["nwegs"], # 눿
          ["nwen"], # 뉀
          ["nwenj"], # 뉁
          ["nwenh"], # 뉂
          ["nwed"], # 뉃
          ["nwel"], # 뉄
          ["nwelg"], # 뉅
          ["nwelm"], # 뉆
          ["nwelb"], # 뉇
          ["nwels"], # 뉈
          ["nwelt"], # 뉉
          ["nwelp"], # 뉊
          ["nwelh"], # 뉋
          ["nwem"], # 뉌
          ["nweb"], # 뉍
          ["nwebs"], # 뉎
          ["nwes"], # 뉏
          ["nwess"], # 뉐
          ["nweng"], # 뉑
          ["nwej"], # 뉒
          ["nwec"], # 뉓
          ["nwek"], # 뉔
          ["nwet"], # 뉕
          ["nwep"], # 뉖
          ["nweh"], # 뉗
          ["nwi"], # 뉘
          ["nwig"], # 뉙
          ["nwigg"], # 뉚
          ["nwigs"], # 뉛
          ["nwin"], # 뉜
          ["nwinj"], # 뉝
          ["nwinh"], # 뉞
          ["nwid"], # 뉟
          ["nwil"], # 뉠
          ["nwilg"], # 뉡
          ["nwilm"], # 뉢
          ["nwilb"], # 뉣
          ["nwils"], # 뉤
          ["nwilt"], # 뉥
          ["nwilp"], # 뉦
          ["nwilh"], # 뉧
          ["nwim"], # 뉨
          ["nwib"], # 뉩
          ["nwibs"], # 뉪
          ["nwis"], # 뉫
          ["nwiss"], # 뉬
          ["nwing"], # 뉭
          ["nwij"], # 뉮
          ["nwic"], # 뉯
          ["nwik"], # 뉰
          ["nwit"], # 뉱
          ["nwip"], # 뉲
          ["nwih"], # 뉳
          ["nyu"], # 뉴
          ["nyug"], # 뉵
          ["nyugg"], # 뉶
          ["nyugs"], # 뉷
          ["nyun"], # 뉸
          ["nyunj"], # 뉹
          ["nyunh"], # 뉺
          ["nyud"], # 뉻
          ["nyul"], # 뉼
          ["nyulg"], # 뉽
          ["nyulm"], # 뉾
          ["nyulb"], # 뉿
          ["nyuls"], # 늀
          ["nyult"], # 늁
          ["nyulp"], # 늂
          ["nyulh"], # 늃
          ["nyum"], # 늄
          ["nyub"], # 늅
          ["nyubs"], # 늆
          ["nyus"], # 늇
          ["nyuss"], # 늈
          ["nyung"], # 늉
          ["nyuj"], # 늊
          ["nyuc"], # 늋
          ["nyuk"], # 늌
          ["nyut"], # 늍
          ["nyup"], # 늎
          ["nyuh"], # 늏
          ["neu"], # 느
          ["neug"], # 늑
          ["neugg"], # 늒
          ["neugs"], # 늓
          ["neun"], # 는
          ["neunj"], # 늕
          ["neunh"], # 늖
          ["neud"], # 늗
          ["neul"], # 늘
          ["neulg"], # 늙
          ["neulm"], # 늚
          ["neulb"], # 늛
          ["neuls"], # 늜
          ["neult"], # 늝
          ["neulp"], # 늞
          ["neulh"], # 늟
          ["neum"], # 늠
          ["neub"], # 늡
          ["neubs"], # 늢
          ["neus"], # 늣
          ["neuss"], # 늤
          ["neung"], # 능
          ["neuj"], # 늦
          ["neuc"], # 늧
          ["neuk"], # 늨
          ["neut"], # 늩
          ["neup"], # 늪
          ["neuh"], # 늫
          ["nyi"], # 늬
          ["nyig"], # 늭
          ["nyigg"], # 늮
          ["nyigs"], # 늯
          ["nyin"], # 늰
          ["nyinj"], # 늱
          ["nyinh"], # 늲
          ["nyid"], # 늳
          ["nyil"], # 늴
          ["nyilg"], # 늵
          ["nyilm"], # 늶
          ["nyilb"], # 늷
          ["nyils"], # 늸
          ["nyilt"], # 늹
          ["nyilp"], # 늺
          ["nyilh"], # 늻
          ["nyim"], # 늼
          ["nyib"], # 늽
          ["nyibs"], # 늾
          ["nyis"], # 늿
          ["nyiss"], # 닀
          ["nying"], # 닁
          ["nyij"], # 닂
          ["nyic"], # 닃
          ["nyik"], # 닄
          ["nyit"], # 닅
          ["nyip"], # 닆
          ["nyih"], # 닇
          ["ni"], # 니
          ["nig"], # 닉
          ["nigg"], # 닊
          ["nigs"], # 닋
          ["nin"], # 닌
          ["ninj"], # 닍
          ["ninh"], # 닎
          ["nid"], # 닏
          ["nil"], # 닐
          ["nilg"], # 닑
          ["nilm"], # 닒
          ["nilb"], # 닓
          ["nils"], # 닔
          ["nilt"], # 닕
          ["nilp"], # 닖
          ["nilh"], # 닗
          ["nim"], # 님
          ["nib"], # 닙
          ["nibs"], # 닚
          ["nis"], # 닛
          ["niss"], # 닜
          ["ning"], # 닝
          ["nij"], # 닞
          ["nic"], # 닟
          ["nik"], # 닠
          ["nit"], # 닡
          ["nip"], # 닢
          ["nih"], # 닣
          ["da"], # 다
          ["dag"], # 닥
          ["dagg"], # 닦
          ["dags"], # 닧
          ["dan"], # 단
          ["danj"], # 닩
          ["danh"], # 닪
          ["dad"], # 닫
          ["dal"], # 달
          ["dalg"], # 닭
          ["dalm"], # 닮
          ["dalb"], # 닯
          ["dals"], # 닰
          ["dalt"], # 닱
          ["dalp"], # 닲
          ["dalh"], # 닳
          ["dam"], # 담
          ["dab"], # 답
          ["dabs"], # 닶
          ["das"], # 닷
          ["dass"], # 닸
          ["dang"], # 당
          ["daj"], # 닺
          ["dac"], # 닻
          ["dak"], # 닼
          ["dat"], # 닽
          ["dap"], # 닾
          ["dah"] # 닿
        ],
        [
          ["dae"], # 대
          ["daeg"], # 댁
          ["daegg"], # 댂
          ["daegs"], # 댃
          ["daen"], # 댄
          ["daenj"], # 댅
          ["daenh"], # 댆
          ["daed"], # 댇
          ["dael"], # 댈
          ["daelg"], # 댉
          ["daelm"], # 댊
          ["daelb"], # 댋
          ["daels"], # 댌
          ["daelt"], # 댍
          ["daelp"], # 댎
          ["daelh"], # 댏
          ["daem"], # 댐
          ["daeb"], # 댑
          ["daebs"], # 댒
          ["daes"], # 댓
          ["daess"], # 댔
          ["daeng"], # 댕
          ["daej"], # 댖
          ["daec"], # 댗
          ["daek"], # 댘
          ["daet"], # 댙
          ["daep"], # 댚
          ["daeh"], # 댛
          ["dya"], # 댜
          ["dyag"], # 댝
          ["dyagg"], # 댞
          ["dyags"], # 댟
          ["dyan"], # 댠
          ["dyanj"], # 댡
          ["dyanh"], # 댢
          ["dyad"], # 댣
          ["dyal"], # 댤
          ["dyalg"], # 댥
          ["dyalm"], # 댦
          ["dyalb"], # 댧
          ["dyals"], # 댨
          ["dyalt"], # 댩
          ["dyalp"], # 댪
          ["dyalh"], # 댫
          ["dyam"], # 댬
          ["dyab"], # 댭
          ["dyabs"], # 댮
          ["dyas"], # 댯
          ["dyass"], # 댰
          ["dyang"], # 댱
          ["dyaj"], # 댲
          ["dyac"], # 댳
          ["dyak"], # 댴
          ["dyat"], # 댵
          ["dyap"], # 댶
          ["dyah"], # 댷
          ["dyae"], # 댸
          ["dyaeg"], # 댹
          ["dyaegg"], # 댺
          ["dyaegs"], # 댻
          ["dyaen"], # 댼
          ["dyaenj"], # 댽
          ["dyaenh"], # 댾
          ["dyaed"], # 댿
          ["dyael"], # 덀
          ["dyaelg"], # 덁
          ["dyaelm"], # 덂
          ["dyaelb"], # 덃
          ["dyaels"], # 덄
          ["dyaelt"], # 덅
          ["dyaelp"], # 덆
          ["dyaelh"], # 덇
          ["dyaem"], # 덈
          ["dyaeb"], # 덉
          ["dyaebs"], # 덊
          ["dyaes"], # 덋
          ["dyaess"], # 덌
          ["dyaeng"], # 덍
          ["dyaej"], # 덎
          ["dyaec"], # 덏
          ["dyaek"], # 덐
          ["dyaet"], # 덑
          ["dyaep"], # 덒
          ["dyaeh"], # 덓
          ["deo"], # 더
          ["deog"], # 덕
          ["deogg"], # 덖
          ["deogs"], # 덗
          ["deon"], # 던
          ["deonj"], # 덙
          ["deonh"], # 덚
          ["deod"], # 덛
          ["deol"], # 덜
          ["deolg"], # 덝
          ["deolm"], # 덞
          ["deolb"], # 덟
          ["deols"], # 덠
          ["deolt"], # 덡
          ["deolp"], # 덢
          ["deolh"], # 덣
          ["deom"], # 덤
          ["deob"], # 덥
          ["deobs"], # 덦
          ["deos"], # 덧
          ["deoss"], # 덨
          ["deong"], # 덩
          ["deoj"], # 덪
          ["deoc"], # 덫
          ["deok"], # 덬
          ["deot"], # 덭
          ["deop"], # 덮
          ["deoh"], # 덯
          ["de"], # 데
          ["deg"], # 덱
          ["degg"], # 덲
          ["degs"], # 덳
          ["den"], # 덴
          ["denj"], # 덵
          ["denh"], # 덶
          ["ded"], # 덷
          ["del"], # 델
          ["delg"], # 덹
          ["delm"], # 덺
          ["delb"], # 덻
          ["dels"], # 덼
          ["delt"], # 덽
          ["delp"], # 덾
          ["delh"], # 덿
          ["dem"], # 뎀
          ["deb"], # 뎁
          ["debs"], # 뎂
          ["des"], # 뎃
          ["dess"], # 뎄
          ["deng"], # 뎅
          ["dej"], # 뎆
          ["dec"], # 뎇
          ["dek"], # 뎈
          ["det"], # 뎉
          ["dep"], # 뎊
          ["deh"], # 뎋
          ["dyeo"], # 뎌
          ["dyeog"], # 뎍
          ["dyeogg"], # 뎎
          ["dyeogs"], # 뎏
          ["dyeon"], # 뎐
          ["dyeonj"], # 뎑
          ["dyeonh"], # 뎒
          ["dyeod"], # 뎓
          ["dyeol"], # 뎔
          ["dyeolg"], # 뎕
          ["dyeolm"], # 뎖
          ["dyeolb"], # 뎗
          ["dyeols"], # 뎘
          ["dyeolt"], # 뎙
          ["dyeolp"], # 뎚
          ["dyeolh"], # 뎛
          ["dyeom"], # 뎜
          ["dyeob"], # 뎝
          ["dyeobs"], # 뎞
          ["dyeos"], # 뎟
          ["dyeoss"], # 뎠
          ["dyeong"], # 뎡
          ["dyeoj"], # 뎢
          ["dyeoc"], # 뎣
          ["dyeok"], # 뎤
          ["dyeot"], # 뎥
          ["dyeop"], # 뎦
          ["dyeoh"], # 뎧
          ["dye"], # 뎨
          ["dyeg"], # 뎩
          ["dyegg"], # 뎪
          ["dyegs"], # 뎫
          ["dyen"], # 뎬
          ["dyenj"], # 뎭
          ["dyenh"], # 뎮
          ["dyed"], # 뎯
          ["dyel"], # 뎰
          ["dyelg"], # 뎱
          ["dyelm"], # 뎲
          ["dyelb"], # 뎳
          ["dyels"], # 뎴
          ["dyelt"], # 뎵
          ["dyelp"], # 뎶
          ["dyelh"], # 뎷
          ["dyem"], # 뎸
          ["dyeb"], # 뎹
          ["dyebs"], # 뎺
          ["dyes"], # 뎻
          ["dyess"], # 뎼
          ["dyeng"], # 뎽
          ["dyej"], # 뎾
          ["dyec"], # 뎿
          ["dyek"], # 돀
          ["dyet"], # 돁
          ["dyep"], # 돂
          ["dyeh"], # 돃
          ["do"], # 도
          ["dog"], # 독
          ["dogg"], # 돆
          ["dogs"], # 돇
          ["don"], # 돈
          ["donj"], # 돉
          ["donh"], # 돊
          ["dod"], # 돋
          ["dol"], # 돌
          ["dolg"], # 돍
          ["dolm"], # 돎
          ["dolb"], # 돏
          ["dols"], # 돐
          ["dolt"], # 돑
          ["dolp"], # 돒
          ["dolh"], # 돓
          ["dom"], # 돔
          ["dob"], # 돕
          ["dobs"], # 돖
          ["dos"], # 돗
          ["doss"], # 돘
          ["dong"], # 동
          ["doj"], # 돚
          ["doc"], # 돛
          ["dok"], # 돜
          ["dot"], # 돝
          ["dop"], # 돞
          ["doh"], # 돟
          ["dwa"], # 돠
          ["dwag"], # 돡
          ["dwagg"], # 돢
          ["dwags"], # 돣
          ["dwan"], # 돤
          ["dwanj"], # 돥
          ["dwanh"], # 돦
          ["dwad"], # 돧
          ["dwal"], # 돨
          ["dwalg"], # 돩
          ["dwalm"], # 돪
          ["dwalb"], # 돫
          ["dwals"], # 돬
          ["dwalt"], # 돭
          ["dwalp"], # 돮
          ["dwalh"], # 돯
          ["dwam"], # 돰
          ["dwab"], # 돱
          ["dwabs"], # 돲
          ["dwas"], # 돳
          ["dwass"], # 돴
          ["dwang"], # 돵
          ["dwaj"], # 돶
          ["dwac"], # 돷
          ["dwak"], # 돸
          ["dwat"], # 돹
          ["dwap"], # 돺
          ["dwah"], # 돻
          ["dwae"], # 돼
          ["dwaeg"], # 돽
          ["dwaegg"], # 돾
          ["dwaegs"] # 돿
        ],
        [
          ["dwaen"], # 됀
          ["dwaenj"], # 됁
          ["dwaenh"], # 됂
          ["dwaed"], # 됃
          ["dwael"], # 됄
          ["dwaelg"], # 됅
          ["dwaelm"], # 됆
          ["dwaelb"], # 됇
          ["dwaels"], # 됈
          ["dwaelt"], # 됉
          ["dwaelp"], # 됊
          ["dwaelh"], # 됋
          ["dwaem"], # 됌
          ["dwaeb"], # 됍
          ["dwaebs"], # 됎
          ["dwaes"], # 됏
          ["dwaess"], # 됐
          ["dwaeng"], # 됑
          ["dwaej"], # 됒
          ["dwaec"], # 됓
          ["dwaek"], # 됔
          ["dwaet"], # 됕
          ["dwaep"], # 됖
          ["dwaeh"], # 됗
          ["doe"], # 되
          ["doeg"], # 됙
          ["doegg"], # 됚
          ["doegs"], # 됛
          ["doen"], # 된
          ["doenj"], # 됝
          ["doenh"], # 됞
          ["doed"], # 됟
          ["doel"], # 될
          ["doelg"], # 됡
          ["doelm"], # 됢
          ["doelb"], # 됣
          ["doels"], # 됤
          ["doelt"], # 됥
          ["doelp"], # 됦
          ["doelh"], # 됧
          ["doem"], # 됨
          ["doeb"], # 됩
          ["doebs"], # 됪
          ["does"], # 됫
          ["doess"], # 됬
          ["doeng"], # 됭
          ["doej"], # 됮
          ["doec"], # 됯
          ["doek"], # 됰
          ["doet"], # 됱
          ["doep"], # 됲
          ["doeh"], # 됳
          ["dyo"], # 됴
          ["dyog"], # 됵
          ["dyogg"], # 됶
          ["dyogs"], # 됷
          ["dyon"], # 됸
          ["dyonj"], # 됹
          ["dyonh"], # 됺
          ["dyod"], # 됻
          ["dyol"], # 됼
          ["dyolg"], # 됽
          ["dyolm"], # 됾
          ["dyolb"], # 됿
          ["dyols"], # 둀
          ["dyolt"], # 둁
          ["dyolp"], # 둂
          ["dyolh"], # 둃
          ["dyom"], # 둄
          ["dyob"], # 둅
          ["dyobs"], # 둆
          ["dyos"], # 둇
          ["dyoss"], # 둈
          ["dyong"], # 둉
          ["dyoj"], # 둊
          ["dyoc"], # 둋
          ["dyok"], # 둌
          ["dyot"], # 둍
          ["dyop"], # 둎
          ["dyoh"], # 둏
          ["du"], # 두
          ["dug"], # 둑
          ["dugg"], # 둒
          ["dugs"], # 둓
          ["dun"], # 둔
          ["dunj"], # 둕
          ["dunh"], # 둖
          ["dud"], # 둗
          ["dul"], # 둘
          ["dulg"], # 둙
          ["dulm"], # 둚
          ["dulb"], # 둛
          ["duls"], # 둜
          ["dult"], # 둝
          ["dulp"], # 둞
          ["dulh"], # 둟
          ["dum"], # 둠
          ["dub"], # 둡
          ["dubs"], # 둢
          ["dus"], # 둣
          ["duss"], # 둤
          ["dung"], # 둥
          ["duj"], # 둦
          ["duc"], # 둧
          ["duk"], # 둨
          ["dut"], # 둩
          ["dup"], # 둪
          ["duh"], # 둫
          ["dweo"], # 둬
          ["dweog"], # 둭
          ["dweogg"], # 둮
          ["dweogs"], # 둯
          ["dweon"], # 둰
          ["dweonj"], # 둱
          ["dweonh"], # 둲
          ["dweod"], # 둳
          ["dweol"], # 둴
          ["dweolg"], # 둵
          ["dweolm"], # 둶
          ["dweolb"], # 둷
          ["dweols"], # 둸
          ["dweolt"], # 둹
          ["dweolp"], # 둺
          ["dweolh"], # 둻
          ["dweom"], # 둼
          ["dweob"], # 둽
          ["dweobs"], # 둾
          ["dweos"], # 둿
          ["dweoss"], # 뒀
          ["dweong"], # 뒁
          ["dweoj"], # 뒂
          ["dweoc"], # 뒃
          ["dweok"], # 뒄
          ["dweot"], # 뒅
          ["dweop"], # 뒆
          ["dweoh"], # 뒇
          ["dwe"], # 뒈
          ["dweg"], # 뒉
          ["dwegg"], # 뒊
          ["dwegs"], # 뒋
          ["dwen"], # 뒌
          ["dwenj"], # 뒍
          ["dwenh"], # 뒎
          ["dwed"], # 뒏
          ["dwel"], # 뒐
          ["dwelg"], # 뒑
          ["dwelm"], # 뒒
          ["dwelb"], # 뒓
          ["dwels"], # 뒔
          ["dwelt"], # 뒕
          ["dwelp"], # 뒖
          ["dwelh"], # 뒗
          ["dwem"], # 뒘
          ["dweb"], # 뒙
          ["dwebs"], # 뒚
          ["dwes"], # 뒛
          ["dwess"], # 뒜
          ["dweng"], # 뒝
          ["dwej"], # 뒞
          ["dwec"], # 뒟
          ["dwek"], # 뒠
          ["dwet"], # 뒡
          ["dwep"], # 뒢
          ["dweh"], # 뒣
          ["dwi"], # 뒤
          ["dwig"], # 뒥
          ["dwigg"], # 뒦
          ["dwigs"], # 뒧
          ["dwin"], # 뒨
          ["dwinj"], # 뒩
          ["dwinh"], # 뒪
          ["dwid"], # 뒫
          ["dwil"], # 뒬
          ["dwilg"], # 뒭
          ["dwilm"], # 뒮
          ["dwilb"], # 뒯
          ["dwils"], # 뒰
          ["dwilt"], # 뒱
          ["dwilp"], # 뒲
          ["dwilh"], # 뒳
          ["dwim"], # 뒴
          ["dwib"], # 뒵
          ["dwibs"], # 뒶
          ["dwis"], # 뒷
          ["dwiss"], # 뒸
          ["dwing"], # 뒹
          ["dwij"], # 뒺
          ["dwic"], # 뒻
          ["dwik"], # 뒼
          ["dwit"], # 뒽
          ["dwip"], # 뒾
          ["dwih"], # 뒿
          ["dyu"], # 듀
          ["dyug"], # 듁
          ["dyugg"], # 듂
          ["dyugs"], # 듃
          ["dyun"], # 듄
          ["dyunj"], # 듅
          ["dyunh"], # 듆
          ["dyud"], # 듇
          ["dyul"], # 듈
          ["dyulg"], # 듉
          ["dyulm"], # 듊
          ["dyulb"], # 듋
          ["dyuls"], # 듌
          ["dyult"], # 듍
          ["dyulp"], # 듎
          ["dyulh"], # 듏
          ["dyum"], # 듐
          ["dyub"], # 듑
          ["dyubs"], # 듒
          ["dyus"], # 듓
          ["dyuss"], # 듔
          ["dyung"], # 듕
          ["dyuj"], # 듖
          ["dyuc"], # 듗
          ["dyuk"], # 듘
          ["dyut"], # 듙
          ["dyup"], # 듚
          ["dyuh"], # 듛
          ["deu"], # 드
          ["deug"], # 득
          ["deugg"], # 듞
          ["deugs"], # 듟
          ["deun"], # 든
          ["deunj"], # 듡
          ["deunh"], # 듢
          ["deud"], # 듣
          ["deul"], # 들
          ["deulg"], # 듥
          ["deulm"], # 듦
          ["deulb"], # 듧
          ["deuls"], # 듨
          ["deult"], # 듩
          ["deulp"], # 듪
          ["deulh"], # 듫
          ["deum"], # 듬
          ["deub"], # 듭
          ["deubs"], # 듮
          ["deus"], # 듯
          ["deuss"], # 듰
          ["deung"], # 등
          ["deuj"], # 듲
          ["deuc"], # 듳
          ["deuk"], # 듴
          ["deut"], # 듵
          ["deup"], # 듶
          ["deuh"], # 듷
          ["dyi"], # 듸
          ["dyig"], # 듹
          ["dyigg"], # 듺
          ["dyigs"], # 듻
          ["dyin"], # 듼
          ["dyinj"], # 듽
          ["dyinh"], # 듾
          ["dyid"] # 듿
        ],
        [
          ["dyil"], # 딀
          ["dyilg"], # 딁
          ["dyilm"], # 딂
          ["dyilb"], # 딃
          ["dyils"], # 딄
          ["dyilt"], # 딅
          ["dyilp"], # 딆
          ["dyilh"], # 딇
          ["dyim"], # 딈
          ["dyib"], # 딉
          ["dyibs"], # 딊
          ["dyis"], # 딋
          ["dyiss"], # 딌
          ["dying"], # 딍
          ["dyij"], # 딎
          ["dyic"], # 딏
          ["dyik"], # 딐
          ["dyit"], # 딑
          ["dyip"], # 딒
          ["dyih"], # 딓
          ["di"], # 디
          ["dig"], # 딕
          ["digg"], # 딖
          ["digs"], # 딗
          ["din"], # 딘
          ["dinj"], # 딙
          ["dinh"], # 딚
          ["did"], # 딛
          ["dil"], # 딜
          ["dilg"], # 딝
          ["dilm"], # 딞
          ["dilb"], # 딟
          ["dils"], # 딠
          ["dilt"], # 딡
          ["dilp"], # 딢
          ["dilh"], # 딣
          ["dim"], # 딤
          ["dib"], # 딥
          ["dibs"], # 딦
          ["dis"], # 딧
          ["diss"], # 딨
          ["ding"], # 딩
          ["dij"], # 딪
          ["dic"], # 딫
          ["dik"], # 딬
          ["dit"], # 딭
          ["dip"], # 딮
          ["dih"], # 딯
          ["dda"], # 따
          ["ddag"], # 딱
          ["ddagg"], # 딲
          ["ddags"], # 딳
          ["ddan"], # 딴
          ["ddanj"], # 딵
          ["ddanh"], # 딶
          ["ddad"], # 딷
          ["ddal"], # 딸
          ["ddalg"], # 딹
          ["ddalm"], # 딺
          ["ddalb"], # 딻
          ["ddals"], # 딼
          ["ddalt"], # 딽
          ["ddalp"], # 딾
          ["ddalh"], # 딿
          ["ddam"], # 땀
          ["ddab"], # 땁
          ["ddabs"], # 땂
          ["ddas"], # 땃
          ["ddass"], # 땄
          ["ddang"], # 땅
          ["ddaj"], # 땆
          ["ddac"], # 땇
          ["ddak"], # 땈
          ["ddat"], # 땉
          ["ddap"], # 땊
          ["ddah"], # 땋
          ["ddae"], # 때
          ["ddaeg"], # 땍
          ["ddaegg"], # 땎
          ["ddaegs"], # 땏
          ["ddaen"], # 땐
          ["ddaenj"], # 땑
          ["ddaenh"], # 땒
          ["ddaed"], # 땓
          ["ddael"], # 땔
          ["ddaelg"], # 땕
          ["ddaelm"], # 땖
          ["ddaelb"], # 땗
          ["ddaels"], # 땘
          ["ddaelt"], # 땙
          ["ddaelp"], # 땚
          ["ddaelh"], # 땛
          ["ddaem"], # 땜
          ["ddaeb"], # 땝
          ["ddaebs"], # 땞
          ["ddaes"], # 땟
          ["ddaess"], # 땠
          ["ddaeng"], # 땡
          ["ddaej"], # 땢
          ["ddaec"], # 땣
          ["ddaek"], # 땤
          ["ddaet"], # 땥
          ["ddaep"], # 땦
          ["ddaeh"], # 땧
          ["ddya"], # 땨
          ["ddyag"], # 땩
          ["ddyagg"], # 땪
          ["ddyags"], # 땫
          ["ddyan"], # 땬
          ["ddyanj"], # 땭
          ["ddyanh"], # 땮
          ["ddyad"], # 땯
          ["ddyal"], # 땰
          ["ddyalg"], # 땱
          ["ddyalm"], # 땲
          ["ddyalb"], # 땳
          ["ddyals"], # 땴
          ["ddyalt"], # 땵
          ["ddyalp"], # 땶
          ["ddyalh"], # 땷
          ["ddyam"], # 땸
          ["ddyab"], # 땹
          ["ddyabs"], # 땺
          ["ddyas"], # 땻
          ["ddyass"], # 땼
          ["ddyang"], # 땽
          ["ddyaj"], # 땾
          ["ddyac"], # 땿
          ["ddyak"], # 떀
          ["ddyat"], # 떁
          ["ddyap"], # 떂
          ["ddyah"], # 떃
          ["ddyae"], # 떄
          ["ddyaeg"], # 떅
          ["ddyaegg"], # 떆
          ["ddyaegs"], # 떇
          ["ddyaen"], # 떈
          ["ddyaenj"], # 떉
          ["ddyaenh"], # 떊
          ["ddyaed"], # 떋
          ["ddyael"], # 떌
          ["ddyaelg"], # 떍
          ["ddyaelm"], # 떎
          ["ddyaelb"], # 떏
          ["ddyaels"], # 떐
          ["ddyaelt"], # 떑
          ["ddyaelp"], # 떒
          ["ddyaelh"], # 떓
          ["ddyaem"], # 떔
          ["ddyaeb"], # 떕
          ["ddyaebs"], # 떖
          ["ddyaes"], # 떗
          ["ddyaess"], # 떘
          ["ddyaeng"], # 떙
          ["ddyaej"], # 떚
          ["ddyaec"], # 떛
          ["ddyaek"], # 떜
          ["ddyaet"], # 떝
          ["ddyaep"], # 떞
          ["ddyaeh"], # 떟
          ["ddeo"], # 떠
          ["ddeog"], # 떡
          ["ddeogg"], # 떢
          ["ddeogs"], # 떣
          ["ddeon"], # 떤
          ["ddeonj"], # 떥
          ["ddeonh"], # 떦
          ["ddeod"], # 떧
          ["ddeol"], # 떨
          ["ddeolg"], # 떩
          ["ddeolm"], # 떪
          ["ddeolb"], # 떫
          ["ddeols"], # 떬
          ["ddeolt"], # 떭
          ["ddeolp"], # 떮
          ["ddeolh"], # 떯
          ["ddeom"], # 떰
          ["ddeob"], # 떱
          ["ddeobs"], # 떲
          ["ddeos"], # 떳
          ["ddeoss"], # 떴
          ["ddeong"], # 떵
          ["ddeoj"], # 떶
          ["ddeoc"], # 떷
          ["ddeok"], # 떸
          ["ddeot"], # 떹
          ["ddeop"], # 떺
          ["ddeoh"], # 떻
          ["dde"], # 떼
          ["ddeg"], # 떽
          ["ddegg"], # 떾
          ["ddegs"], # 떿
          ["dden"], # 뗀
          ["ddenj"], # 뗁
          ["ddenh"], # 뗂
          ["dded"], # 뗃
          ["ddel"], # 뗄
          ["ddelg"], # 뗅
          ["ddelm"], # 뗆
          ["ddelb"], # 뗇
          ["ddels"], # 뗈
          ["ddelt"], # 뗉
          ["ddelp"], # 뗊
          ["ddelh"], # 뗋
          ["ddem"], # 뗌
          ["ddeb"], # 뗍
          ["ddebs"], # 뗎
          ["ddes"], # 뗏
          ["ddess"], # 뗐
          ["ddeng"], # 뗑
          ["ddej"], # 뗒
          ["ddec"], # 뗓
          ["ddek"], # 뗔
          ["ddet"], # 뗕
          ["ddep"], # 뗖
          ["ddeh"], # 뗗
          ["ddyeo"], # 뗘
          ["ddyeog"], # 뗙
          ["ddyeogg"], # 뗚
          ["ddyeogs"], # 뗛
          ["ddyeon"], # 뗜
          ["ddyeonj"], # 뗝
          ["ddyeonh"], # 뗞
          ["ddyeod"], # 뗟
          ["ddyeol"], # 뗠
          ["ddyeolg"], # 뗡
          ["ddyeolm"], # 뗢
          ["ddyeolb"], # 뗣
          ["ddyeols"], # 뗤
          ["ddyeolt"], # 뗥
          ["ddyeolp"], # 뗦
          ["ddyeolh"], # 뗧
          ["ddyeom"], # 뗨
          ["ddyeob"], # 뗩
          ["ddyeobs"], # 뗪
          ["ddyeos"], # 뗫
          ["ddyeoss"], # 뗬
          ["ddyeong"], # 뗭
          ["ddyeoj"], # 뗮
          ["ddyeoc"], # 뗯
          ["ddyeok"], # 뗰
          ["ddyeot"], # 뗱
          ["ddyeop"], # 뗲
          ["ddyeoh"], # 뗳
          ["ddye"], # 뗴
          ["ddyeg"], # 뗵
          ["ddyegg"], # 뗶
          ["ddyegs"], # 뗷
          ["ddyen"], # 뗸
          ["ddyenj"], # 뗹
          ["ddyenh"], # 뗺
          ["ddyed"], # 뗻
          ["ddyel"], # 뗼
          ["ddyelg"], # 뗽
          ["ddyelm"], # 뗾
          ["ddyelb"] # 뗿
        ],
        [
          ["ddyels"], # 똀
          ["ddyelt"], # 똁
          ["ddyelp"], # 똂
          ["ddyelh"], # 똃
          ["ddyem"], # 똄
          ["ddyeb"], # 똅
          ["ddyebs"], # 똆
          ["ddyes"], # 똇
          ["ddyess"], # 똈
          ["ddyeng"], # 똉
          ["ddyej"], # 똊
          ["ddyec"], # 똋
          ["ddyek"], # 똌
          ["ddyet"], # 똍
          ["ddyep"], # 똎
          ["ddyeh"], # 똏
          ["ddo"], # 또
          ["ddog"], # 똑
          ["ddogg"], # 똒
          ["ddogs"], # 똓
          ["ddon"], # 똔
          ["ddonj"], # 똕
          ["ddonh"], # 똖
          ["ddod"], # 똗
          ["ddol"], # 똘
          ["ddolg"], # 똙
          ["ddolm"], # 똚
          ["ddolb"], # 똛
          ["ddols"], # 똜
          ["ddolt"], # 똝
          ["ddolp"], # 똞
          ["ddolh"], # 똟
          ["ddom"], # 똠
          ["ddob"], # 똡
          ["ddobs"], # 똢
          ["ddos"], # 똣
          ["ddoss"], # 똤
          ["ddong"], # 똥
          ["ddoj"], # 똦
          ["ddoc"], # 똧
          ["ddok"], # 똨
          ["ddot"], # 똩
          ["ddop"], # 똪
          ["ddoh"], # 똫
          ["ddwa"], # 똬
          ["ddwag"], # 똭
          ["ddwagg"], # 똮
          ["ddwags"], # 똯
          ["ddwan"], # 똰
          ["ddwanj"], # 똱
          ["ddwanh"], # 똲
          ["ddwad"], # 똳
          ["ddwal"], # 똴
          ["ddwalg"], # 똵
          ["ddwalm"], # 똶
          ["ddwalb"], # 똷
          ["ddwals"], # 똸
          ["ddwalt"], # 똹
          ["ddwalp"], # 똺
          ["ddwalh"], # 똻
          ["ddwam"], # 똼
          ["ddwab"], # 똽
          ["ddwabs"], # 똾
          ["ddwas"], # 똿
          ["ddwass"], # 뙀
          ["ddwang"], # 뙁
          ["ddwaj"], # 뙂
          ["ddwac"], # 뙃
          ["ddwak"], # 뙄
          ["ddwat"], # 뙅
          ["ddwap"], # 뙆
          ["ddwah"], # 뙇
          ["ddwae"], # 뙈
          ["ddwaeg"], # 뙉
          ["ddwaegg"], # 뙊
          ["ddwaegs"], # 뙋
          ["ddwaen"], # 뙌
          ["ddwaenj"], # 뙍
          ["ddwaenh"], # 뙎
          ["ddwaed"], # 뙏
          ["ddwael"], # 뙐
          ["ddwaelg"], # 뙑
          ["ddwaelm"], # 뙒
          ["ddwaelb"], # 뙓
          ["ddwaels"], # 뙔
          ["ddwaelt"], # 뙕
          ["ddwaelp"], # 뙖
          ["ddwaelh"], # 뙗
          ["ddwaem"], # 뙘
          ["ddwaeb"], # 뙙
          ["ddwaebs"], # 뙚
          ["ddwaes"], # 뙛
          ["ddwaess"], # 뙜
          ["ddwaeng"], # 뙝
          ["ddwaej"], # 뙞
          ["ddwaec"], # 뙟
          ["ddwaek"], # 뙠
          ["ddwaet"], # 뙡
          ["ddwaep"], # 뙢
          ["ddwaeh"], # 뙣
          ["ddoe"], # 뙤
          ["ddoeg"], # 뙥
          ["ddoegg"], # 뙦
          ["ddoegs"], # 뙧
          ["ddoen"], # 뙨
          ["ddoenj"], # 뙩
          ["ddoenh"], # 뙪
          ["ddoed"], # 뙫
          ["ddoel"], # 뙬
          ["ddoelg"], # 뙭
          ["ddoelm"], # 뙮
          ["ddoelb"], # 뙯
          ["ddoels"], # 뙰
          ["ddoelt"], # 뙱
          ["ddoelp"], # 뙲
          ["ddoelh"], # 뙳
          ["ddoem"], # 뙴
          ["ddoeb"], # 뙵
          ["ddoebs"], # 뙶
          ["ddoes"], # 뙷
          ["ddoess"], # 뙸
          ["ddoeng"], # 뙹
          ["ddoej"], # 뙺
          ["ddoec"], # 뙻
          ["ddoek"], # 뙼
          ["ddoet"], # 뙽
          ["ddoep"], # 뙾
          ["ddoeh"], # 뙿
          ["ddyo"], # 뚀
          ["ddyog"], # 뚁
          ["ddyogg"], # 뚂
          ["ddyogs"], # 뚃
          ["ddyon"], # 뚄
          ["ddyonj"], # 뚅
          ["ddyonh"], # 뚆
          ["ddyod"], # 뚇
          ["ddyol"], # 뚈
          ["ddyolg"], # 뚉
          ["ddyolm"], # 뚊
          ["ddyolb"], # 뚋
          ["ddyols"], # 뚌
          ["ddyolt"], # 뚍
          ["ddyolp"], # 뚎
          ["ddyolh"], # 뚏
          ["ddyom"], # 뚐
          ["ddyob"], # 뚑
          ["ddyobs"], # 뚒
          ["ddyos"], # 뚓
          ["ddyoss"], # 뚔
          ["ddyong"], # 뚕
          ["ddyoj"], # 뚖
          ["ddyoc"], # 뚗
          ["ddyok"], # 뚘
          ["ddyot"], # 뚙
          ["ddyop"], # 뚚
          ["ddyoh"], # 뚛
          ["ddu"], # 뚜
          ["ddug"], # 뚝
          ["ddugg"], # 뚞
          ["ddugs"], # 뚟
          ["ddun"], # 뚠
          ["ddunj"], # 뚡
          ["ddunh"], # 뚢
          ["ddud"], # 뚣
          ["ddul"], # 뚤
          ["ddulg"], # 뚥
          ["ddulm"], # 뚦
          ["ddulb"], # 뚧
          ["dduls"], # 뚨
          ["ddult"], # 뚩
          ["ddulp"], # 뚪
          ["ddulh"], # 뚫
          ["ddum"], # 뚬
          ["ddub"], # 뚭
          ["ddubs"], # 뚮
          ["ddus"], # 뚯
          ["dduss"], # 뚰
          ["ddung"], # 뚱
          ["dduj"], # 뚲
          ["dduc"], # 뚳
          ["dduk"], # 뚴
          ["ddut"], # 뚵
          ["ddup"], # 뚶
          ["dduh"], # 뚷
          ["ddweo"], # 뚸
          ["ddweog"], # 뚹
          ["ddweogg"], # 뚺
          ["ddweogs"], # 뚻
          ["ddweon"], # 뚼
          ["ddweonj"], # 뚽
          ["ddweonh"], # 뚾
          ["ddweod"], # 뚿
          ["ddweol"], # 뛀
          ["ddweolg"], # 뛁
          ["ddweolm"], # 뛂
          ["ddweolb"], # 뛃
          ["ddweols"], # 뛄
          ["ddweolt"], # 뛅
          ["ddweolp"], # 뛆
          ["ddweolh"], # 뛇
          ["ddweom"], # 뛈
          ["ddweob"], # 뛉
          ["ddweobs"], # 뛊
          ["ddweos"], # 뛋
          ["ddweoss"], # 뛌
          ["ddweong"], # 뛍
          ["ddweoj"], # 뛎
          ["ddweoc"], # 뛏
          ["ddweok"], # 뛐
          ["ddweot"], # 뛑
          ["ddweop"], # 뛒
          ["ddweoh"], # 뛓
          ["ddwe"], # 뛔
          ["ddweg"], # 뛕
          ["ddwegg"], # 뛖
          ["ddwegs"], # 뛗
          ["ddwen"], # 뛘
          ["ddwenj"], # 뛙
          ["ddwenh"], # 뛚
          ["ddwed"], # 뛛
          ["ddwel"], # 뛜
          ["ddwelg"], # 뛝
          ["ddwelm"], # 뛞
          ["ddwelb"], # 뛟
          ["ddwels"], # 뛠
          ["ddwelt"], # 뛡
          ["ddwelp"], # 뛢
          ["ddwelh"], # 뛣
          ["ddwem"], # 뛤
          ["ddweb"], # 뛥
          ["ddwebs"], # 뛦
          ["ddwes"], # 뛧
          ["ddwess"], # 뛨
          ["ddweng"], # 뛩
          ["ddwej"], # 뛪
          ["ddwec"], # 뛫
          ["ddwek"], # 뛬
          ["ddwet"], # 뛭
          ["ddwep"], # 뛮
          ["ddweh"], # 뛯
          ["ddwi"], # 뛰
          ["ddwig"], # 뛱
          ["ddwigg"], # 뛲
          ["ddwigs"], # 뛳
          ["ddwin"], # 뛴
          ["ddwinj"], # 뛵
          ["ddwinh"], # 뛶
          ["ddwid"], # 뛷
          ["ddwil"], # 뛸
          ["ddwilg"], # 뛹
          ["ddwilm"], # 뛺
          ["ddwilb"], # 뛻
          ["ddwils"], # 뛼
          ["ddwilt"], # 뛽
          ["ddwilp"], # 뛾
          ["ddwilh"] # 뛿
        ],
        [
          ["ddwim"], # 뜀
          ["ddwib"], # 뜁
          ["ddwibs"], # 뜂
          ["ddwis"], # 뜃
          ["ddwiss"], # 뜄
          ["ddwing"], # 뜅
          ["ddwij"], # 뜆
          ["ddwic"], # 뜇
          ["ddwik"], # 뜈
          ["ddwit"], # 뜉
          ["ddwip"], # 뜊
          ["ddwih"], # 뜋
          ["ddyu"], # 뜌
          ["ddyug"], # 뜍
          ["ddyugg"], # 뜎
          ["ddyugs"], # 뜏
          ["ddyun"], # 뜐
          ["ddyunj"], # 뜑
          ["ddyunh"], # 뜒
          ["ddyud"], # 뜓
          ["ddyul"], # 뜔
          ["ddyulg"], # 뜕
          ["ddyulm"], # 뜖
          ["ddyulb"], # 뜗
          ["ddyuls"], # 뜘
          ["ddyult"], # 뜙
          ["ddyulp"], # 뜚
          ["ddyulh"], # 뜛
          ["ddyum"], # 뜜
          ["ddyub"], # 뜝
          ["ddyubs"], # 뜞
          ["ddyus"], # 뜟
          ["ddyuss"], # 뜠
          ["ddyung"], # 뜡
          ["ddyuj"], # 뜢
          ["ddyuc"], # 뜣
          ["ddyuk"], # 뜤
          ["ddyut"], # 뜥
          ["ddyup"], # 뜦
          ["ddyuh"], # 뜧
          ["ddeu"], # 뜨
          ["ddeug"], # 뜩
          ["ddeugg"], # 뜪
          ["ddeugs"], # 뜫
          ["ddeun"], # 뜬
          ["ddeunj"], # 뜭
          ["ddeunh"], # 뜮
          ["ddeud"], # 뜯
          ["ddeul"], # 뜰
          ["ddeulg"], # 뜱
          ["ddeulm"], # 뜲
          ["ddeulb"], # 뜳
          ["ddeuls"], # 뜴
          ["ddeult"], # 뜵
          ["ddeulp"], # 뜶
          ["ddeulh"], # 뜷
          ["ddeum"], # 뜸
          ["ddeub"], # 뜹
          ["ddeubs"], # 뜺
          ["ddeus"], # 뜻
          ["ddeuss"], # 뜼
          ["ddeung"], # 뜽
          ["ddeuj"], # 뜾
          ["ddeuc"], # 뜿
          ["ddeuk"], # 띀
          ["ddeut"], # 띁
          ["ddeup"], # 띂
          ["ddeuh"], # 띃
          ["ddyi"], # 띄
          ["ddyig"], # 띅
          ["ddyigg"], # 띆
          ["ddyigs"], # 띇
          ["ddyin"], # 띈
          ["ddyinj"], # 띉
          ["ddyinh"], # 띊
          ["ddyid"], # 띋
          ["ddyil"], # 띌
          ["ddyilg"], # 띍
          ["ddyilm"], # 띎
          ["ddyilb"], # 띏
          ["ddyils"], # 띐
          ["ddyilt"], # 띑
          ["ddyilp"], # 띒
          ["ddyilh"], # 띓
          ["ddyim"], # 띔
          ["ddyib"], # 띕
          ["ddyibs"], # 띖
          ["ddyis"], # 띗
          ["ddyiss"], # 띘
          ["ddying"], # 띙
          ["ddyij"], # 띚
          ["ddyic"], # 띛
          ["ddyik"], # 띜
          ["ddyit"], # 띝
          ["ddyip"], # 띞
          ["ddyih"], # 띟
          ["ddi"], # 띠
          ["ddig"], # 띡
          ["ddigg"], # 띢
          ["ddigs"], # 띣
          ["ddin"], # 띤
          ["ddinj"], # 띥
          ["ddinh"], # 띦
          ["ddid"], # 띧
          ["ddil"], # 띨
          ["ddilg"], # 띩
          ["ddilm"], # 띪
          ["ddilb"], # 띫
          ["ddils"], # 띬
          ["ddilt"], # 띭
          ["ddilp"], # 띮
          ["ddilh"], # 띯
          ["ddim"], # 띰
          ["ddib"], # 띱
          ["ddibs"], # 띲
          ["ddis"], # 띳
          ["ddiss"], # 띴
          ["dding"], # 띵
          ["ddij"], # 띶
          ["ddic"], # 띷
          ["ddik"], # 띸
          ["ddit"], # 띹
          ["ddip"], # 띺
          ["ddih"], # 띻
          ["ra"], # 라
          ["rag"], # 락
          ["ragg"], # 띾
          ["rags"], # 띿
          ["ran"], # 란
          ["ranj"], # 랁
          ["ranh"], # 랂
          ["rad"], # 랃
          ["ral"], # 랄
          ["ralg"], # 랅
          ["ralm"], # 랆
          ["ralb"], # 랇
          ["rals"], # 랈
          ["ralt"], # 랉
          ["ralp"], # 랊
          ["ralh"], # 랋
          ["ram"], # 람
          ["rab"], # 랍
          ["rabs"], # 랎
          ["ras"], # 랏
          ["rass"], # 랐
          ["rang"], # 랑
          ["raj"], # 랒
          ["rac"], # 랓
          ["rak"], # 랔
          ["rat"], # 랕
          ["rap"], # 랖
          ["rah"], # 랗
          ["rae"], # 래
          ["raeg"], # 랙
          ["raegg"], # 랚
          ["raegs"], # 랛
          ["raen"], # 랜
          ["raenj"], # 랝
          ["raenh"], # 랞
          ["raed"], # 랟
          ["rael"], # 랠
          ["raelg"], # 랡
          ["raelm"], # 랢
          ["raelb"], # 랣
          ["raels"], # 랤
          ["raelt"], # 랥
          ["raelp"], # 랦
          ["raelh"], # 랧
          ["raem"], # 램
          ["raeb"], # 랩
          ["raebs"], # 랪
          ["raes"], # 랫
          ["raess"], # 랬
          ["raeng"], # 랭
          ["raej"], # 랮
          ["raec"], # 랯
          ["raek"], # 랰
          ["raet"], # 랱
          ["raep"], # 랲
          ["raeh"], # 랳
          ["rya"], # 랴
          ["ryag"], # 략
          ["ryagg"], # 랶
          ["ryags"], # 랷
          ["ryan"], # 랸
          ["ryanj"], # 랹
          ["ryanh"], # 랺
          ["ryad"], # 랻
          ["ryal"], # 랼
          ["ryalg"], # 랽
          ["ryalm"], # 랾
          ["ryalb"], # 랿
          ["ryals"], # 럀
          ["ryalt"], # 럁
          ["ryalp"], # 럂
          ["ryalh"], # 럃
          ["ryam"], # 럄
          ["ryab"], # 럅
          ["ryabs"], # 럆
          ["ryas"], # 럇
          ["ryass"], # 럈
          ["ryang"], # 량
          ["ryaj"], # 럊
          ["ryac"], # 럋
          ["ryak"], # 럌
          ["ryat"], # 럍
          ["ryap"], # 럎
          ["ryah"], # 럏
          ["ryae"], # 럐
          ["ryaeg"], # 럑
          ["ryaegg"], # 럒
          ["ryaegs"], # 럓
          ["ryaen"], # 럔
          ["ryaenj"], # 럕
          ["ryaenh"], # 럖
          ["ryaed"], # 럗
          ["ryael"], # 럘
          ["ryaelg"], # 럙
          ["ryaelm"], # 럚
          ["ryaelb"], # 럛
          ["ryaels"], # 럜
          ["ryaelt"], # 럝
          ["ryaelp"], # 럞
          ["ryaelh"], # 럟
          ["ryaem"], # 럠
          ["ryaeb"], # 럡
          ["ryaebs"], # 럢
          ["ryaes"], # 럣
          ["ryaess"], # 럤
          ["ryaeng"], # 럥
          ["ryaej"], # 럦
          ["ryaec"], # 럧
          ["ryaek"], # 럨
          ["ryaet"], # 럩
          ["ryaep"], # 럪
          ["ryaeh"], # 럫
          ["reo"], # 러
          ["reog"], # 럭
          ["reogg"], # 럮
          ["reogs"], # 럯
          ["reon"], # 런
          ["reonj"], # 럱
          ["reonh"], # 럲
          ["reod"], # 럳
          ["reol"], # 럴
          ["reolg"], # 럵
          ["reolm"], # 럶
          ["reolb"], # 럷
          ["reols"], # 럸
          ["reolt"], # 럹
          ["reolp"], # 럺
          ["reolh"], # 럻
          ["reom"], # 럼
          ["reob"], # 럽
          ["reobs"], # 럾
          ["reos"] # 럿
        ],
        [
          ["reoss"], # 렀
          ["reong"], # 렁
          ["reoj"], # 렂
          ["reoc"], # 렃
          ["reok"], # 렄
          ["reot"], # 렅
          ["reop"], # 렆
          ["reoh"], # 렇
          ["re"], # 레
          ["reg"], # 렉
          ["regg"], # 렊
          ["regs"], # 렋
          ["ren"], # 렌
          ["renj"], # 렍
          ["renh"], # 렎
          ["red"], # 렏
          ["rel"], # 렐
          ["relg"], # 렑
          ["relm"], # 렒
          ["relb"], # 렓
          ["rels"], # 렔
          ["relt"], # 렕
          ["relp"], # 렖
          ["relh"], # 렗
          ["rem"], # 렘
          ["reb"], # 렙
          ["rebs"], # 렚
          ["res"], # 렛
          ["ress"], # 렜
          ["reng"], # 렝
          ["rej"], # 렞
          ["rec"], # 렟
          ["rek"], # 렠
          ["ret"], # 렡
          ["rep"], # 렢
          ["reh"], # 렣
          ["ryeo"], # 려
          ["ryeog"], # 력
          ["ryeogg"], # 렦
          ["ryeogs"], # 렧
          ["ryeon"], # 련
          ["ryeonj"], # 렩
          ["ryeonh"], # 렪
          ["ryeod"], # 렫
          ["ryeol"], # 렬
          ["ryeolg"], # 렭
          ["ryeolm"], # 렮
          ["ryeolb"], # 렯
          ["ryeols"], # 렰
          ["ryeolt"], # 렱
          ["ryeolp"], # 렲
          ["ryeolh"], # 렳
          ["ryeom"], # 렴
          ["ryeob"], # 렵
          ["ryeobs"], # 렶
          ["ryeos"], # 렷
          ["ryeoss"], # 렸
          ["ryeong"], # 령
          ["ryeoj"], # 렺
          ["ryeoc"], # 렻
          ["ryeok"], # 렼
          ["ryeot"], # 렽
          ["ryeop"], # 렾
          ["ryeoh"], # 렿
          ["rye"], # 례
          ["ryeg"], # 롁
          ["ryegg"], # 롂
          ["ryegs"], # 롃
          ["ryen"], # 롄
          ["ryenj"], # 롅
          ["ryenh"], # 롆
          ["ryed"], # 롇
          ["ryel"], # 롈
          ["ryelg"], # 롉
          ["ryelm"], # 롊
          ["ryelb"], # 롋
          ["ryels"], # 롌
          ["ryelt"], # 롍
          ["ryelp"], # 롎
          ["ryelh"], # 롏
          ["ryem"], # 롐
          ["ryeb"], # 롑
          ["ryebs"], # 롒
          ["ryes"], # 롓
          ["ryess"], # 롔
          ["ryeng"], # 롕
          ["ryej"], # 롖
          ["ryec"], # 롗
          ["ryek"], # 롘
          ["ryet"], # 롙
          ["ryep"], # 롚
          ["ryeh"], # 롛
          ["ro"], # 로
          ["rog"], # 록
          ["rogg"], # 롞
          ["rogs"], # 롟
          ["ron"], # 론
          ["ronj"], # 롡
          ["ronh"], # 롢
          ["rod"], # 롣
          ["rol"], # 롤
          ["rolg"], # 롥
          ["rolm"], # 롦
          ["rolb"], # 롧
          ["rols"], # 롨
          ["rolt"], # 롩
          ["rolp"], # 롪
          ["rolh"], # 롫
          ["rom"], # 롬
          ["rob"], # 롭
          ["robs"], # 롮
          ["ros"], # 롯
          ["ross"], # 롰
          ["rong"], # 롱
          ["roj"], # 롲
          ["roc"], # 롳
          ["rok"], # 롴
          ["rot"], # 롵
          ["rop"], # 롶
          ["roh"], # 롷
          ["rwa"], # 롸
          ["rwag"], # 롹
          ["rwagg"], # 롺
          ["rwags"], # 롻
          ["rwan"], # 롼
          ["rwanj"], # 롽
          ["rwanh"], # 롾
          ["rwad"], # 롿
          ["rwal"], # 뢀
          ["rwalg"], # 뢁
          ["rwalm"], # 뢂
          ["rwalb"], # 뢃
          ["rwals"], # 뢄
          ["rwalt"], # 뢅
          ["rwalp"], # 뢆
          ["rwalh"], # 뢇
          ["rwam"], # 뢈
          ["rwab"], # 뢉
          ["rwabs"], # 뢊
          ["rwas"], # 뢋
          ["rwass"], # 뢌
          ["rwang"], # 뢍
          ["rwaj"], # 뢎
          ["rwac"], # 뢏
          ["rwak"], # 뢐
          ["rwat"], # 뢑
          ["rwap"], # 뢒
          ["rwah"], # 뢓
          ["rwae"], # 뢔
          ["rwaeg"], # 뢕
          ["rwaegg"], # 뢖
          ["rwaegs"], # 뢗
          ["rwaen"], # 뢘
          ["rwaenj"], # 뢙
          ["rwaenh"], # 뢚
          ["rwaed"], # 뢛
          ["rwael"], # 뢜
          ["rwaelg"], # 뢝
          ["rwaelm"], # 뢞
          ["rwaelb"], # 뢟
          ["rwaels"], # 뢠
          ["rwaelt"], # 뢡
          ["rwaelp"], # 뢢
          ["rwaelh"], # 뢣
          ["rwaem"], # 뢤
          ["rwaeb"], # 뢥
          ["rwaebs"], # 뢦
          ["rwaes"], # 뢧
          ["rwaess"], # 뢨
          ["rwaeng"], # 뢩
          ["rwaej"], # 뢪
          ["rwaec"], # 뢫
          ["rwaek"], # 뢬
          ["rwaet"], # 뢭
          ["rwaep"], # 뢮
          ["rwaeh"], # 뢯
          ["roe"], # 뢰
          ["roeg"], # 뢱
          ["roegg"], # 뢲
          ["roegs"], # 뢳
          ["roen"], # 뢴
          ["roenj"], # 뢵
          ["roenh"], # 뢶
          ["roed"], # 뢷
          ["roel"], # 뢸
          ["roelg"], # 뢹
          ["roelm"], # 뢺
          ["roelb"], # 뢻
          ["roels"], # 뢼
          ["roelt"], # 뢽
          ["roelp"], # 뢾
          ["roelh"], # 뢿
          ["roem"], # 룀
          ["roeb"], # 룁
          ["roebs"], # 룂
          ["roes"], # 룃
          ["roess"], # 룄
          ["roeng"], # 룅
          ["roej"], # 룆
          ["roec"], # 룇
          ["roek"], # 룈
          ["roet"], # 룉
          ["roep"], # 룊
          ["roeh"], # 룋
          ["ryo"], # 료
          ["ryog"], # 룍
          ["ryogg"], # 룎
          ["ryogs"], # 룏
          ["ryon"], # 룐
          ["ryonj"], # 룑
          ["ryonh"], # 룒
          ["ryod"], # 룓
          ["ryol"], # 룔
          ["ryolg"], # 룕
          ["ryolm"], # 룖
          ["ryolb"], # 룗
          ["ryols"], # 룘
          ["ryolt"], # 룙
          ["ryolp"], # 룚
          ["ryolh"], # 룛
          ["ryom"], # 룜
          ["ryob"], # 룝
          ["ryobs"], # 룞
          ["ryos"], # 룟
          ["ryoss"], # 룠
          ["ryong"], # 룡
          ["ryoj"], # 룢
          ["ryoc"], # 룣
          ["ryok"], # 룤
          ["ryot"], # 룥
          ["ryop"], # 룦
          ["ryoh"], # 룧
          ["ru"], # 루
          ["rug"], # 룩
          ["rugg"], # 룪
          ["rugs"], # 룫
          ["run"], # 룬
          ["runj"], # 룭
          ["runh"], # 룮
          ["rud"], # 룯
          ["rul"], # 룰
          ["rulg"], # 룱
          ["rulm"], # 룲
          ["rulb"], # 룳
          ["ruls"], # 룴
          ["rult"], # 룵
          ["rulp"], # 룶
          ["rulh"], # 룷
          ["rum"], # 룸
          ["rub"], # 룹
          ["rubs"], # 룺
          ["rus"], # 룻
          ["russ"], # 룼
          ["rung"], # 룽
          ["ruj"], # 룾
          ["ruc"] # 룿
        ],
        [
          ["ruk"], # 뤀
          ["rut"], # 뤁
          ["rup"], # 뤂
          ["ruh"], # 뤃
          ["rweo"], # 뤄
          ["rweog"], # 뤅
          ["rweogg"], # 뤆
          ["rweogs"], # 뤇
          ["rweon"], # 뤈
          ["rweonj"], # 뤉
          ["rweonh"], # 뤊
          ["rweod"], # 뤋
          ["rweol"], # 뤌
          ["rweolg"], # 뤍
          ["rweolm"], # 뤎
          ["rweolb"], # 뤏
          ["rweols"], # 뤐
          ["rweolt"], # 뤑
          ["rweolp"], # 뤒
          ["rweolh"], # 뤓
          ["rweom"], # 뤔
          ["rweob"], # 뤕
          ["rweobs"], # 뤖
          ["rweos"], # 뤗
          ["rweoss"], # 뤘
          ["rweong"], # 뤙
          ["rweoj"], # 뤚
          ["rweoc"], # 뤛
          ["rweok"], # 뤜
          ["rweot"], # 뤝
          ["rweop"], # 뤞
          ["rweoh"], # 뤟
          ["rwe"], # 뤠
          ["rweg"], # 뤡
          ["rwegg"], # 뤢
          ["rwegs"], # 뤣
          ["rwen"], # 뤤
          ["rwenj"], # 뤥
          ["rwenh"], # 뤦
          ["rwed"], # 뤧
          ["rwel"], # 뤨
          ["rwelg"], # 뤩
          ["rwelm"], # 뤪
          ["rwelb"], # 뤫
          ["rwels"], # 뤬
          ["rwelt"], # 뤭
          ["rwelp"], # 뤮
          ["rwelh"], # 뤯
          ["rwem"], # 뤰
          ["rweb"], # 뤱
          ["rwebs"], # 뤲
          ["rwes"], # 뤳
          ["rwess"], # 뤴
          ["rweng"], # 뤵
          ["rwej"], # 뤶
          ["rwec"], # 뤷
          ["rwek"], # 뤸
          ["rwet"], # 뤹
          ["rwep"], # 뤺
          ["rweh"], # 뤻
          ["rwi"], # 뤼
          ["rwig"], # 뤽
          ["rwigg"], # 뤾
          ["rwigs"], # 뤿
          ["rwin"], # 륀
          ["rwinj"], # 륁
          ["rwinh"], # 륂
          ["rwid"], # 륃
          ["rwil"], # 륄
          ["rwilg"], # 륅
          ["rwilm"], # 륆
          ["rwilb"], # 륇
          ["rwils"], # 륈
          ["rwilt"], # 륉
          ["rwilp"], # 륊
          ["rwilh"], # 륋
          ["rwim"], # 륌
          ["rwib"], # 륍
          ["rwibs"], # 륎
          ["rwis"], # 륏
          ["rwiss"], # 륐
          ["rwing"], # 륑
          ["rwij"], # 륒
          ["rwic"], # 륓
          ["rwik"], # 륔
          ["rwit"], # 륕
          ["rwip"], # 륖
          ["rwih"], # 륗
          ["ryu"], # 류
          ["ryug"], # 륙
          ["ryugg"], # 륚
          ["ryugs"], # 륛
          ["ryun"], # 륜
          ["ryunj"], # 륝
          ["ryunh"], # 륞
          ["ryud"], # 륟
          ["ryul"], # 률
          ["ryulg"], # 륡
          ["ryulm"], # 륢
          ["ryulb"], # 륣
          ["ryuls"], # 륤
          ["ryult"], # 륥
          ["ryulp"], # 륦
          ["ryulh"], # 륧
          ["ryum"], # 륨
          ["ryub"], # 륩
          ["ryubs"], # 륪
          ["ryus"], # 륫
          ["ryuss"], # 륬
          ["ryung"], # 륭
          ["ryuj"], # 륮
          ["ryuc"], # 륯
          ["ryuk"], # 륰
          ["ryut"], # 륱
          ["ryup"], # 륲
          ["ryuh"], # 륳
          ["reu"], # 르
          ["reug"], # 륵
          ["reugg"], # 륶
          ["reugs"], # 륷
          ["reun"], # 른
          ["reunj"], # 륹
          ["reunh"], # 륺
          ["reud"], # 륻
          ["reul"], # 를
          ["reulg"], # 륽
          ["reulm"], # 륾
          ["reulb"], # 륿
          ["reuls"], # 릀
          ["reult"], # 릁
          ["reulp"], # 릂
          ["reulh"], # 릃
          ["reum"], # 름
          ["reub"], # 릅
          ["reubs"], # 릆
          ["reus"], # 릇
          ["reuss"], # 릈
          ["reung"], # 릉
          ["reuj"], # 릊
          ["reuc"], # 릋
          ["reuk"], # 릌
          ["reut"], # 릍
          ["reup"], # 릎
          ["reuh"], # 릏
          ["ryi"], # 릐
          ["ryig"], # 릑
          ["ryigg"], # 릒
          ["ryigs"], # 릓
          ["ryin"], # 릔
          ["ryinj"], # 릕
          ["ryinh"], # 릖
          ["ryid"], # 릗
          ["ryil"], # 릘
          ["ryilg"], # 릙
          ["ryilm"], # 릚
          ["ryilb"], # 릛
          ["ryils"], # 릜
          ["ryilt"], # 릝
          ["ryilp"], # 릞
          ["ryilh"], # 릟
          ["ryim"], # 릠
          ["ryib"], # 릡
          ["ryibs"], # 릢
          ["ryis"], # 릣
          ["ryiss"], # 릤
          ["rying"], # 릥
          ["ryij"], # 릦
          ["ryic"], # 릧
          ["ryik"], # 릨
          ["ryit"], # 릩
          ["ryip"], # 릪
          ["ryih"], # 릫
          ["ri"], # 리
          ["rig"], # 릭
          ["rigg"], # 릮
          ["rigs"], # 릯
          ["rin"], # 린
          ["rinj"], # 릱
          ["rinh"], # 릲
          ["rid"], # 릳
          ["ril"], # 릴
          ["rilg"], # 릵
          ["rilm"], # 릶
          ["rilb"], # 릷
          ["rils"], # 릸
          ["rilt"], # 릹
          ["rilp"], # 릺
          ["rilh"], # 릻
          ["rim"], # 림
          ["rib"], # 립
          ["ribs"], # 릾
          ["ris"], # 릿
          ["riss"], # 맀
          ["ring"], # 링
          ["rij"], # 맂
          ["ric"], # 맃
          ["rik"], # 맄
          ["rit"], # 맅
          ["rip"], # 맆
          ["rih"], # 맇
          ["ma"], # 마
          ["mag"], # 막
          ["magg"], # 맊
          ["mags"], # 맋
          ["man"], # 만
          ["manj"], # 맍
          ["manh"], # 많
          ["mad"], # 맏
          ["mal"], # 말
          ["malg"], # 맑
          ["malm"], # 맒
          ["malb"], # 맓
          ["mals"], # 맔
          ["malt"], # 맕
          ["malp"], # 맖
          ["malh"], # 맗
          ["mam"], # 맘
          ["mab"], # 맙
          ["mabs"], # 맚
          ["mas"], # 맛
          ["mass"], # 맜
          ["mang"], # 망
          ["maj"], # 맞
          ["mac"], # 맟
          ["mak"], # 맠
          ["mat"], # 맡
          ["map"], # 맢
          ["mah"], # 맣
          ["mae"], # 매
          ["maeg"], # 맥
          ["maegg"], # 맦
          ["maegs"], # 맧
          ["maen"], # 맨
          ["maenj"], # 맩
          ["maenh"], # 맪
          ["maed"], # 맫
          ["mael"], # 맬
          ["maelg"], # 맭
          ["maelm"], # 맮
          ["maelb"], # 맯
          ["maels"], # 맰
          ["maelt"], # 맱
          ["maelp"], # 맲
          ["maelh"], # 맳
          ["maem"], # 맴
          ["maeb"], # 맵
          ["maebs"], # 맶
          ["maes"], # 맷
          ["maess"], # 맸
          ["maeng"], # 맹
          ["maej"], # 맺
          ["maec"], # 맻
          ["maek"], # 맼
          ["maet"], # 맽
          ["maep"], # 맾
          ["maeh"] # 맿
        ],
        [
          ["mya"], # 먀
          ["myag"], # 먁
          ["myagg"], # 먂
          ["myags"], # 먃
          ["myan"], # 먄
          ["myanj"], # 먅
          ["myanh"], # 먆
          ["myad"], # 먇
          ["myal"], # 먈
          ["myalg"], # 먉
          ["myalm"], # 먊
          ["myalb"], # 먋
          ["myals"], # 먌
          ["myalt"], # 먍
          ["myalp"], # 먎
          ["myalh"], # 먏
          ["myam"], # 먐
          ["myab"], # 먑
          ["myabs"], # 먒
          ["myas"], # 먓
          ["myass"], # 먔
          ["myang"], # 먕
          ["myaj"], # 먖
          ["myac"], # 먗
          ["myak"], # 먘
          ["myat"], # 먙
          ["myap"], # 먚
          ["myah"], # 먛
          ["myae"], # 먜
          ["myaeg"], # 먝
          ["myaegg"], # 먞
          ["myaegs"], # 먟
          ["myaen"], # 먠
          ["myaenj"], # 먡
          ["myaenh"], # 먢
          ["myaed"], # 먣
          ["myael"], # 먤
          ["myaelg"], # 먥
          ["myaelm"], # 먦
          ["myaelb"], # 먧
          ["myaels"], # 먨
          ["myaelt"], # 먩
          ["myaelp"], # 먪
          ["myaelh"], # 먫
          ["myaem"], # 먬
          ["myaeb"], # 먭
          ["myaebs"], # 먮
          ["myaes"], # 먯
          ["myaess"], # 먰
          ["myaeng"], # 먱
          ["myaej"], # 먲
          ["myaec"], # 먳
          ["myaek"], # 먴
          ["myaet"], # 먵
          ["myaep"], # 먶
          ["myaeh"], # 먷
          ["meo"], # 머
          ["meog"], # 먹
          ["meogg"], # 먺
          ["meogs"], # 먻
          ["meon"], # 먼
          ["meonj"], # 먽
          ["meonh"], # 먾
          ["meod"], # 먿
          ["meol"], # 멀
          ["meolg"], # 멁
          ["meolm"], # 멂
          ["meolb"], # 멃
          ["meols"], # 멄
          ["meolt"], # 멅
          ["meolp"], # 멆
          ["meolh"], # 멇
          ["meom"], # 멈
          ["meob"], # 멉
          ["meobs"], # 멊
          ["meos"], # 멋
          ["meoss"], # 멌
          ["meong"], # 멍
          ["meoj"], # 멎
          ["meoc"], # 멏
          ["meok"], # 멐
          ["meot"], # 멑
          ["meop"], # 멒
          ["meoh"], # 멓
          ["me"], # 메
          ["meg"], # 멕
          ["megg"], # 멖
          ["megs"], # 멗
          ["men"], # 멘
          ["menj"], # 멙
          ["menh"], # 멚
          ["med"], # 멛
          ["mel"], # 멜
          ["melg"], # 멝
          ["melm"], # 멞
          ["melb"], # 멟
          ["mels"], # 멠
          ["melt"], # 멡
          ["melp"], # 멢
          ["melh"], # 멣
          ["mem"], # 멤
          ["meb"], # 멥
          ["mebs"], # 멦
          ["mes"], # 멧
          ["mess"], # 멨
          ["meng"], # 멩
          ["mej"], # 멪
          ["mec"], # 멫
          ["mek"], # 멬
          ["met"], # 멭
          ["mep"], # 멮
          ["meh"], # 멯
          ["myeo"], # 며
          ["myeog"], # 멱
          ["myeogg"], # 멲
          ["myeogs"], # 멳
          ["myeon"], # 면
          ["myeonj"], # 멵
          ["myeonh"], # 멶
          ["myeod"], # 멷
          ["myeol"], # 멸
          ["myeolg"], # 멹
          ["myeolm"], # 멺
          ["myeolb"], # 멻
          ["myeols"], # 멼
          ["myeolt"], # 멽
          ["myeolp"], # 멾
          ["myeolh"], # 멿
          ["myeom"], # 몀
          ["myeob"], # 몁
          ["myeobs"], # 몂
          ["myeos"], # 몃
          ["myeoss"], # 몄
          ["myeong"], # 명
          ["myeoj"], # 몆
          ["myeoc"], # 몇
          ["myeok"], # 몈
          ["myeot"], # 몉
          ["myeop"], # 몊
          ["myeoh"], # 몋
          ["mye"], # 몌
          ["myeg"], # 몍
          ["myegg"], # 몎
          ["myegs"], # 몏
          ["myen"], # 몐
          ["myenj"], # 몑
          ["myenh"], # 몒
          ["myed"], # 몓
          ["myel"], # 몔
          ["myelg"], # 몕
          ["myelm"], # 몖
          ["myelb"], # 몗
          ["myels"], # 몘
          ["myelt"], # 몙
          ["myelp"], # 몚
          ["myelh"], # 몛
          ["myem"], # 몜
          ["myeb"], # 몝
          ["myebs"], # 몞
          ["myes"], # 몟
          ["myess"], # 몠
          ["myeng"], # 몡
          ["myej"], # 몢
          ["myec"], # 몣
          ["myek"], # 몤
          ["myet"], # 몥
          ["myep"], # 몦
          ["myeh"], # 몧
          ["mo"], # 모
          ["mog"], # 목
          ["mogg"], # 몪
          ["mogs"], # 몫
          ["mon"], # 몬
          ["monj"], # 몭
          ["monh"], # 몮
          ["mod"], # 몯
          ["mol"], # 몰
          ["molg"], # 몱
          ["molm"], # 몲
          ["molb"], # 몳
          ["mols"], # 몴
          ["molt"], # 몵
          ["molp"], # 몶
          ["molh"], # 몷
          ["mom"], # 몸
          ["mob"], # 몹
          ["mobs"], # 몺
          ["mos"], # 못
          ["moss"], # 몼
          ["mong"], # 몽
          ["moj"], # 몾
          ["moc"], # 몿
          ["mok"], # 뫀
          ["mot"], # 뫁
          ["mop"], # 뫂
          ["moh"], # 뫃
          ["mwa"], # 뫄
          ["mwag"], # 뫅
          ["mwagg"], # 뫆
          ["mwags"], # 뫇
          ["mwan"], # 뫈
          ["mwanj"], # 뫉
          ["mwanh"], # 뫊
          ["mwad"], # 뫋
          ["mwal"], # 뫌
          ["mwalg"], # 뫍
          ["mwalm"], # 뫎
          ["mwalb"], # 뫏
          ["mwals"], # 뫐
          ["mwalt"], # 뫑
          ["mwalp"], # 뫒
          ["mwalh"], # 뫓
          ["mwam"], # 뫔
          ["mwab"], # 뫕
          ["mwabs"], # 뫖
          ["mwas"], # 뫗
          ["mwass"], # 뫘
          ["mwang"], # 뫙
          ["mwaj"], # 뫚
          ["mwac"], # 뫛
          ["mwak"], # 뫜
          ["mwat"], # 뫝
          ["mwap"], # 뫞
          ["mwah"], # 뫟
          ["mwae"], # 뫠
          ["mwaeg"], # 뫡
          ["mwaegg"], # 뫢
          ["mwaegs"], # 뫣
          ["mwaen"], # 뫤
          ["mwaenj"], # 뫥
          ["mwaenh"], # 뫦
          ["mwaed"], # 뫧
          ["mwael"], # 뫨
          ["mwaelg"], # 뫩
          ["mwaelm"], # 뫪
          ["mwaelb"], # 뫫
          ["mwaels"], # 뫬
          ["mwaelt"], # 뫭
          ["mwaelp"], # 뫮
          ["mwaelh"], # 뫯
          ["mwaem"], # 뫰
          ["mwaeb"], # 뫱
          ["mwaebs"], # 뫲
          ["mwaes"], # 뫳
          ["mwaess"], # 뫴
          ["mwaeng"], # 뫵
          ["mwaej"], # 뫶
          ["mwaec"], # 뫷
          ["mwaek"], # 뫸
          ["mwaet"], # 뫹
          ["mwaep"], # 뫺
          ["mwaeh"], # 뫻
          ["moe"], # 뫼
          ["moeg"], # 뫽
          ["moegg"], # 뫾
          ["moegs"] # 뫿
        ],
        [
          ["moen"], # 묀
          ["moenj"], # 묁
          ["moenh"], # 묂
          ["moed"], # 묃
          ["moel"], # 묄
          ["moelg"], # 묅
          ["moelm"], # 묆
          ["moelb"], # 묇
          ["moels"], # 묈
          ["moelt"], # 묉
          ["moelp"], # 묊
          ["moelh"], # 묋
          ["moem"], # 묌
          ["moeb"], # 묍
          ["moebs"], # 묎
          ["moes"], # 묏
          ["moess"], # 묐
          ["moeng"], # 묑
          ["moej"], # 묒
          ["moec"], # 묓
          ["moek"], # 묔
          ["moet"], # 묕
          ["moep"], # 묖
          ["moeh"], # 묗
          ["myo"], # 묘
          ["myog"], # 묙
          ["myogg"], # 묚
          ["myogs"], # 묛
          ["myon"], # 묜
          ["myonj"], # 묝
          ["myonh"], # 묞
          ["myod"], # 묟
          ["myol"], # 묠
          ["myolg"], # 묡
          ["myolm"], # 묢
          ["myolb"], # 묣
          ["myols"], # 묤
          ["myolt"], # 묥
          ["myolp"], # 묦
          ["myolh"], # 묧
          ["myom"], # 묨
          ["myob"], # 묩
          ["myobs"], # 묪
          ["myos"], # 묫
          ["myoss"], # 묬
          ["myong"], # 묭
          ["myoj"], # 묮
          ["myoc"], # 묯
          ["myok"], # 묰
          ["myot"], # 묱
          ["myop"], # 묲
          ["myoh"], # 묳
          ["mu"], # 무
          ["mug"], # 묵
          ["mugg"], # 묶
          ["mugs"], # 묷
          ["mun"], # 문
          ["munj"], # 묹
          ["munh"], # 묺
          ["mud"], # 묻
          ["mul"], # 물
          ["mulg"], # 묽
          ["mulm"], # 묾
          ["mulb"], # 묿
          ["muls"], # 뭀
          ["mult"], # 뭁
          ["mulp"], # 뭂
          ["mulh"], # 뭃
          ["mum"], # 뭄
          ["mub"], # 뭅
          ["mubs"], # 뭆
          ["mus"], # 뭇
          ["muss"], # 뭈
          ["mung"], # 뭉
          ["muj"], # 뭊
          ["muc"], # 뭋
          ["muk"], # 뭌
          ["mut"], # 뭍
          ["mup"], # 뭎
          ["muh"], # 뭏
          ["mweo"], # 뭐
          ["mweog"], # 뭑
          ["mweogg"], # 뭒
          ["mweogs"], # 뭓
          ["mweon"], # 뭔
          ["mweonj"], # 뭕
          ["mweonh"], # 뭖
          ["mweod"], # 뭗
          ["mweol"], # 뭘
          ["mweolg"], # 뭙
          ["mweolm"], # 뭚
          ["mweolb"], # 뭛
          ["mweols"], # 뭜
          ["mweolt"], # 뭝
          ["mweolp"], # 뭞
          ["mweolh"], # 뭟
          ["mweom"], # 뭠
          ["mweob"], # 뭡
          ["mweobs"], # 뭢
          ["mweos"], # 뭣
          ["mweoss"], # 뭤
          ["mweong"], # 뭥
          ["mweoj"], # 뭦
          ["mweoc"], # 뭧
          ["mweok"], # 뭨
          ["mweot"], # 뭩
          ["mweop"], # 뭪
          ["mweoh"], # 뭫
          ["mwe"], # 뭬
          ["mweg"], # 뭭
          ["mwegg"], # 뭮
          ["mwegs"], # 뭯
          ["mwen"], # 뭰
          ["mwenj"], # 뭱
          ["mwenh"], # 뭲
          ["mwed"], # 뭳
          ["mwel"], # 뭴
          ["mwelg"], # 뭵
          ["mwelm"], # 뭶
          ["mwelb"], # 뭷
          ["mwels"], # 뭸
          ["mwelt"], # 뭹
          ["mwelp"], # 뭺
          ["mwelh"], # 뭻
          ["mwem"], # 뭼
          ["mweb"], # 뭽
          ["mwebs"], # 뭾
          ["mwes"], # 뭿
          ["mwess"], # 뮀
          ["mweng"], # 뮁
          ["mwej"], # 뮂
          ["mwec"], # 뮃
          ["mwek"], # 뮄
          ["mwet"], # 뮅
          ["mwep"], # 뮆
          ["mweh"], # 뮇
          ["mwi"], # 뮈
          ["mwig"], # 뮉
          ["mwigg"], # 뮊
          ["mwigs"], # 뮋
          ["mwin"], # 뮌
          ["mwinj"], # 뮍
          ["mwinh"], # 뮎
          ["mwid"], # 뮏
          ["mwil"], # 뮐
          ["mwilg"], # 뮑
          ["mwilm"], # 뮒
          ["mwilb"], # 뮓
          ["mwils"], # 뮔
          ["mwilt"], # 뮕
          ["mwilp"], # 뮖
          ["mwilh"], # 뮗
          ["mwim"], # 뮘
          ["mwib"], # 뮙
          ["mwibs"], # 뮚
          ["mwis"], # 뮛
          ["mwiss"], # 뮜
          ["mwing"], # 뮝
          ["mwij"], # 뮞
          ["mwic"], # 뮟
          ["mwik"], # 뮠
          ["mwit"], # 뮡
          ["mwip"], # 뮢
          ["mwih"], # 뮣
          ["myu"], # 뮤
          ["myug"], # 뮥
          ["myugg"], # 뮦
          ["myugs"], # 뮧
          ["myun"], # 뮨
          ["myunj"], # 뮩
          ["myunh"], # 뮪
          ["myud"], # 뮫
          ["myul"], # 뮬
          ["myulg"], # 뮭
          ["myulm"], # 뮮
          ["myulb"], # 뮯
          ["myuls"], # 뮰
          ["myult"], # 뮱
          ["myulp"], # 뮲
          ["myulh"], # 뮳
          ["myum"], # 뮴
          ["myub"], # 뮵
          ["myubs"], # 뮶
          ["myus"], # 뮷
          ["myuss"], # 뮸
          ["myung"], # 뮹
          ["myuj"], # 뮺
          ["myuc"], # 뮻
          ["myuk"], # 뮼
          ["myut"], # 뮽
          ["myup"], # 뮾
          ["myuh"], # 뮿
          ["meu"], # 므
          ["meug"], # 믁
          ["meugg"], # 믂
          ["meugs"], # 믃
          ["meun"], # 믄
          ["meunj"], # 믅
          ["meunh"], # 믆
          ["meud"], # 믇
          ["meul"], # 믈
          ["meulg"], # 믉
          ["meulm"], # 믊
          ["meulb"], # 믋
          ["meuls"], # 믌
          ["meult"], # 믍
          ["meulp"], # 믎
          ["meulh"], # 믏
          ["meum"], # 믐
          ["meub"], # 믑
          ["meubs"], # 믒
          ["meus"], # 믓
          ["meuss"], # 믔
          ["meung"], # 믕
          ["meuj"], # 믖
          ["meuc"], # 믗
          ["meuk"], # 믘
          ["meut"], # 믙
          ["meup"], # 믚
          ["meuh"], # 믛
          ["myi"], # 믜
          ["myig"], # 믝
          ["myigg"], # 믞
          ["myigs"], # 믟
          ["myin"], # 믠
          ["myinj"], # 믡
          ["myinh"], # 믢
          ["myid"], # 믣
          ["myil"], # 믤
          ["myilg"], # 믥
          ["myilm"], # 믦
          ["myilb"], # 믧
          ["myils"], # 믨
          ["myilt"], # 믩
          ["myilp"], # 믪
          ["myilh"], # 믫
          ["myim"], # 믬
          ["myib"], # 믭
          ["myibs"], # 믮
          ["myis"], # 믯
          ["myiss"], # 믰
          ["mying"], # 믱
          ["myij"], # 믲
          ["myic"], # 믳
          ["myik"], # 믴
          ["myit"], # 믵
          ["myip"], # 믶
          ["myih"], # 믷
          ["mi"], # 미
          ["mig"], # 믹
          ["migg"], # 믺
          ["migs"], # 믻
          ["min"], # 민
          ["minj"], # 믽
          ["minh"], # 믾
          ["mid"] # 믿
        ],
        [
          ["mil"], # 밀
          ["milg"], # 밁
          ["milm"], # 밂
          ["milb"], # 밃
          ["mils"], # 밄
          ["milt"], # 밅
          ["milp"], # 밆
          ["milh"], # 밇
          ["mim"], # 밈
          ["mib"], # 밉
          ["mibs"], # 밊
          ["mis"], # 밋
          ["miss"], # 밌
          ["ming"], # 밍
          ["mij"], # 밎
          ["mic"], # 및
          ["mik"], # 밐
          ["mit"], # 밑
          ["mip"], # 밒
          ["mih"], # 밓
          ["ba"], # 바
          ["bag"], # 박
          ["bagg"], # 밖
          ["bags"], # 밗
          ["ban"], # 반
          ["banj"], # 밙
          ["banh"], # 밚
          ["bad"], # 받
          ["bal"], # 발
          ["balg"], # 밝
          ["balm"], # 밞
          ["balb"], # 밟
          ["bals"], # 밠
          ["balt"], # 밡
          ["balp"], # 밢
          ["balh"], # 밣
          ["bam"], # 밤
          ["bab"], # 밥
          ["babs"], # 밦
          ["bas"], # 밧
          ["bass"], # 밨
          ["bang"], # 방
          ["baj"], # 밪
          ["bac"], # 밫
          ["bak"], # 밬
          ["bat"], # 밭
          ["bap"], # 밮
          ["bah"], # 밯
          ["bae"], # 배
          ["baeg"], # 백
          ["baegg"], # 밲
          ["baegs"], # 밳
          ["baen"], # 밴
          ["baenj"], # 밵
          ["baenh"], # 밶
          ["baed"], # 밷
          ["bael"], # 밸
          ["baelg"], # 밹
          ["baelm"], # 밺
          ["baelb"], # 밻
          ["baels"], # 밼
          ["baelt"], # 밽
          ["baelp"], # 밾
          ["baelh"], # 밿
          ["baem"], # 뱀
          ["baeb"], # 뱁
          ["baebs"], # 뱂
          ["baes"], # 뱃
          ["baess"], # 뱄
          ["baeng"], # 뱅
          ["baej"], # 뱆
          ["baec"], # 뱇
          ["baek"], # 뱈
          ["baet"], # 뱉
          ["baep"], # 뱊
          ["baeh"], # 뱋
          ["bya"], # 뱌
          ["byag"], # 뱍
          ["byagg"], # 뱎
          ["byags"], # 뱏
          ["byan"], # 뱐
          ["byanj"], # 뱑
          ["byanh"], # 뱒
          ["byad"], # 뱓
          ["byal"], # 뱔
          ["byalg"], # 뱕
          ["byalm"], # 뱖
          ["byalb"], # 뱗
          ["byals"], # 뱘
          ["byalt"], # 뱙
          ["byalp"], # 뱚
          ["byalh"], # 뱛
          ["byam"], # 뱜
          ["byab"], # 뱝
          ["byabs"], # 뱞
          ["byas"], # 뱟
          ["byass"], # 뱠
          ["byang"], # 뱡
          ["byaj"], # 뱢
          ["byac"], # 뱣
          ["byak"], # 뱤
          ["byat"], # 뱥
          ["byap"], # 뱦
          ["byah"], # 뱧
          ["byae"], # 뱨
          ["byaeg"], # 뱩
          ["byaegg"], # 뱪
          ["byaegs"], # 뱫
          ["byaen"], # 뱬
          ["byaenj"], # 뱭
          ["byaenh"], # 뱮
          ["byaed"], # 뱯
          ["byael"], # 뱰
          ["byaelg"], # 뱱
          ["byaelm"], # 뱲
          ["byaelb"], # 뱳
          ["byaels"], # 뱴
          ["byaelt"], # 뱵
          ["byaelp"], # 뱶
          ["byaelh"], # 뱷
          ["byaem"], # 뱸
          ["byaeb"], # 뱹
          ["byaebs"], # 뱺
          ["byaes"], # 뱻
          ["byaess"], # 뱼
          ["byaeng"], # 뱽
          ["byaej"], # 뱾
          ["byaec"], # 뱿
          ["byaek"], # 벀
          ["byaet"], # 벁
          ["byaep"], # 벂
          ["byaeh"], # 벃
          ["beo"], # 버
          ["beog"], # 벅
          ["beogg"], # 벆
          ["beogs"], # 벇
          ["beon"], # 번
          ["beonj"], # 벉
          ["beonh"], # 벊
          ["beod"], # 벋
          ["beol"], # 벌
          ["beolg"], # 벍
          ["beolm"], # 벎
          ["beolb"], # 벏
          ["beols"], # 벐
          ["beolt"], # 벑
          ["beolp"], # 벒
          ["beolh"], # 벓
          ["beom"], # 범
          ["beob"], # 법
          ["beobs"], # 벖
          ["beos"], # 벗
          ["beoss"], # 벘
          ["beong"], # 벙
          ["beoj"], # 벚
          ["beoc"], # 벛
          ["beok"], # 벜
          ["beot"], # 벝
          ["beop"], # 벞
          ["beoh"], # 벟
          ["be"], # 베
          ["beg"], # 벡
          ["begg"], # 벢
          ["begs"], # 벣
          ["ben"], # 벤
          ["benj"], # 벥
          ["benh"], # 벦
          ["bed"], # 벧
          ["bel"], # 벨
          ["belg"], # 벩
          ["belm"], # 벪
          ["belb"], # 벫
          ["bels"], # 벬
          ["belt"], # 벭
          ["belp"], # 벮
          ["belh"], # 벯
          ["bem"], # 벰
          ["beb"], # 벱
          ["bebs"], # 벲
          ["bes"], # 벳
          ["bess"], # 벴
          ["beng"], # 벵
          ["bej"], # 벶
          ["bec"], # 벷
          ["bek"], # 벸
          ["bet"], # 벹
          ["bep"], # 벺
          ["beh"], # 벻
          ["byeo"], # 벼
          ["byeog"], # 벽
          ["byeogg"], # 벾
          ["byeogs"], # 벿
          ["byeon"], # 변
          ["byeonj"], # 볁
          ["byeonh"], # 볂
          ["byeod"], # 볃
          ["byeol"], # 별
          ["byeolg"], # 볅
          ["byeolm"], # 볆
          ["byeolb"], # 볇
          ["byeols"], # 볈
          ["byeolt"], # 볉
          ["byeolp"], # 볊
          ["byeolh"], # 볋
          ["byeom"], # 볌
          ["byeob"], # 볍
          ["byeobs"], # 볎
          ["byeos"], # 볏
          ["byeoss"], # 볐
          ["byeong"], # 병
          ["byeoj"], # 볒
          ["byeoc"], # 볓
          ["byeok"], # 볔
          ["byeot"], # 볕
          ["byeop"], # 볖
          ["byeoh"], # 볗
          ["bye"], # 볘
          ["byeg"], # 볙
          ["byegg"], # 볚
          ["byegs"], # 볛
          ["byen"], # 볜
          ["byenj"], # 볝
          ["byenh"], # 볞
          ["byed"], # 볟
          ["byel"], # 볠
          ["byelg"], # 볡
          ["byelm"], # 볢
          ["byelb"], # 볣
          ["byels"], # 볤
          ["byelt"], # 볥
          ["byelp"], # 볦
          ["byelh"], # 볧
          ["byem"], # 볨
          ["byeb"], # 볩
          ["byebs"], # 볪
          ["byes"], # 볫
          ["byess"], # 볬
          ["byeng"], # 볭
          ["byej"], # 볮
          ["byec"], # 볯
          ["byek"], # 볰
          ["byet"], # 볱
          ["byep"], # 볲
          ["byeh"], # 볳
          ["bo"], # 보
          ["bog"], # 복
          ["bogg"], # 볶
          ["bogs"], # 볷
          ["bon"], # 본
          ["bonj"], # 볹
          ["bonh"], # 볺
          ["bod"], # 볻
          ["bol"], # 볼
          ["bolg"], # 볽
          ["bolm"], # 볾
          ["bolb"] # 볿
        ],
        [
          ["bols"], # 봀
          ["bolt"], # 봁
          ["bolp"], # 봂
          ["bolh"], # 봃
          ["bom"], # 봄
          ["bob"], # 봅
          ["bobs"], # 봆
          ["bos"], # 봇
          ["boss"], # 봈
          ["bong"], # 봉
          ["boj"], # 봊
          ["boc"], # 봋
          ["bok"], # 봌
          ["bot"], # 봍
          ["bop"], # 봎
          ["boh"], # 봏
          ["bwa"], # 봐
          ["bwag"], # 봑
          ["bwagg"], # 봒
          ["bwags"], # 봓
          ["bwan"], # 봔
          ["bwanj"], # 봕
          ["bwanh"], # 봖
          ["bwad"], # 봗
          ["bwal"], # 봘
          ["bwalg"], # 봙
          ["bwalm"], # 봚
          ["bwalb"], # 봛
          ["bwals"], # 봜
          ["bwalt"], # 봝
          ["bwalp"], # 봞
          ["bwalh"], # 봟
          ["bwam"], # 봠
          ["bwab"], # 봡
          ["bwabs"], # 봢
          ["bwas"], # 봣
          ["bwass"], # 봤
          ["bwang"], # 봥
          ["bwaj"], # 봦
          ["bwac"], # 봧
          ["bwak"], # 봨
          ["bwat"], # 봩
          ["bwap"], # 봪
          ["bwah"], # 봫
          ["bwae"], # 봬
          ["bwaeg"], # 봭
          ["bwaegg"], # 봮
          ["bwaegs"], # 봯
          ["bwaen"], # 봰
          ["bwaenj"], # 봱
          ["bwaenh"], # 봲
          ["bwaed"], # 봳
          ["bwael"], # 봴
          ["bwaelg"], # 봵
          ["bwaelm"], # 봶
          ["bwaelb"], # 봷
          ["bwaels"], # 봸
          ["bwaelt"], # 봹
          ["bwaelp"], # 봺
          ["bwaelh"], # 봻
          ["bwaem"], # 봼
          ["bwaeb"], # 봽
          ["bwaebs"], # 봾
          ["bwaes"], # 봿
          ["bwaess"], # 뵀
          ["bwaeng"], # 뵁
          ["bwaej"], # 뵂
          ["bwaec"], # 뵃
          ["bwaek"], # 뵄
          ["bwaet"], # 뵅
          ["bwaep"], # 뵆
          ["bwaeh"], # 뵇
          ["boe"], # 뵈
          ["boeg"], # 뵉
          ["boegg"], # 뵊
          ["boegs"], # 뵋
          ["boen"], # 뵌
          ["boenj"], # 뵍
          ["boenh"], # 뵎
          ["boed"], # 뵏
          ["boel"], # 뵐
          ["boelg"], # 뵑
          ["boelm"], # 뵒
          ["boelb"], # 뵓
          ["boels"], # 뵔
          ["boelt"], # 뵕
          ["boelp"], # 뵖
          ["boelh"], # 뵗
          ["boem"], # 뵘
          ["boeb"], # 뵙
          ["boebs"], # 뵚
          ["boes"], # 뵛
          ["boess"], # 뵜
          ["boeng"], # 뵝
          ["boej"], # 뵞
          ["boec"], # 뵟
          ["boek"], # 뵠
          ["boet"], # 뵡
          ["boep"], # 뵢
          ["boeh"], # 뵣
          ["byo"], # 뵤
          ["byog"], # 뵥
          ["byogg"], # 뵦
          ["byogs"], # 뵧
          ["byon"], # 뵨
          ["byonj"], # 뵩
          ["byonh"], # 뵪
          ["byod"], # 뵫
          ["byol"], # 뵬
          ["byolg"], # 뵭
          ["byolm"], # 뵮
          ["byolb"], # 뵯
          ["byols"], # 뵰
          ["byolt"], # 뵱
          ["byolp"], # 뵲
          ["byolh"], # 뵳
          ["byom"], # 뵴
          ["byob"], # 뵵
          ["byobs"], # 뵶
          ["byos"], # 뵷
          ["byoss"], # 뵸
          ["byong"], # 뵹
          ["byoj"], # 뵺
          ["byoc"], # 뵻
          ["byok"], # 뵼
          ["byot"], # 뵽
          ["byop"], # 뵾
          ["byoh"], # 뵿
          ["bu"], # 부
          ["bug"], # 북
          ["bugg"], # 붂
          ["bugs"], # 붃
          ["bun"], # 분
          ["bunj"], # 붅
          ["bunh"], # 붆
          ["bud"], # 붇
          ["bul"], # 불
          ["bulg"], # 붉
          ["bulm"], # 붊
          ["bulb"], # 붋
          ["buls"], # 붌
          ["bult"], # 붍
          ["bulp"], # 붎
          ["bulh"], # 붏
          ["bum"], # 붐
          ["bub"], # 붑
          ["bubs"], # 붒
          ["bus"], # 붓
          ["buss"], # 붔
          ["bung"], # 붕
          ["buj"], # 붖
          ["buc"], # 붗
          ["buk"], # 붘
          ["but"], # 붙
          ["bup"], # 붚
          ["buh"], # 붛
          ["bweo"], # 붜
          ["bweog"], # 붝
          ["bweogg"], # 붞
          ["bweogs"], # 붟
          ["bweon"], # 붠
          ["bweonj"], # 붡
          ["bweonh"], # 붢
          ["bweod"], # 붣
          ["bweol"], # 붤
          ["bweolg"], # 붥
          ["bweolm"], # 붦
          ["bweolb"], # 붧
          ["bweols"], # 붨
          ["bweolt"], # 붩
          ["bweolp"], # 붪
          ["bweolh"], # 붫
          ["bweom"], # 붬
          ["bweob"], # 붭
          ["bweobs"], # 붮
          ["bweos"], # 붯
          ["bweoss"], # 붰
          ["bweong"], # 붱
          ["bweoj"], # 붲
          ["bweoc"], # 붳
          ["bweok"], # 붴
          ["bweot"], # 붵
          ["bweop"], # 붶
          ["bweoh"], # 붷
          ["bwe"], # 붸
          ["bweg"], # 붹
          ["bwegg"], # 붺
          ["bwegs"], # 붻
          ["bwen"], # 붼
          ["bwenj"], # 붽
          ["bwenh"], # 붾
          ["bwed"], # 붿
          ["bwel"], # 뷀
          ["bwelg"], # 뷁
          ["bwelm"], # 뷂
          ["bwelb"], # 뷃
          ["bwels"], # 뷄
          ["bwelt"], # 뷅
          ["bwelp"], # 뷆
          ["bwelh"], # 뷇
          ["bwem"], # 뷈
          ["bweb"], # 뷉
          ["bwebs"], # 뷊
          ["bwes"], # 뷋
          ["bwess"], # 뷌
          ["bweng"], # 뷍
          ["bwej"], # 뷎
          ["bwec"], # 뷏
          ["bwek"], # 뷐
          ["bwet"], # 뷑
          ["bwep"], # 뷒
          ["bweh"], # 뷓
          ["bwi"], # 뷔
          ["bwig"], # 뷕
          ["bwigg"], # 뷖
          ["bwigs"], # 뷗
          ["bwin"], # 뷘
          ["bwinj"], # 뷙
          ["bwinh"], # 뷚
          ["bwid"], # 뷛
          ["bwil"], # 뷜
          ["bwilg"], # 뷝
          ["bwilm"], # 뷞
          ["bwilb"], # 뷟
          ["bwils"], # 뷠
          ["bwilt"], # 뷡
          ["bwilp"], # 뷢
          ["bwilh"], # 뷣
          ["bwim"], # 뷤
          ["bwib"], # 뷥
          ["bwibs"], # 뷦
          ["bwis"], # 뷧
          ["bwiss"], # 뷨
          ["bwing"], # 뷩
          ["bwij"], # 뷪
          ["bwic"], # 뷫
          ["bwik"], # 뷬
          ["bwit"], # 뷭
          ["bwip"], # 뷮
          ["bwih"], # 뷯
          ["byu"], # 뷰
          ["byug"], # 뷱
          ["byugg"], # 뷲
          ["byugs"], # 뷳
          ["byun"], # 뷴
          ["byunj"], # 뷵
          ["byunh"], # 뷶
          ["byud"], # 뷷
          ["byul"], # 뷸
          ["byulg"], # 뷹
          ["byulm"], # 뷺
          ["byulb"], # 뷻
          ["byuls"], # 뷼
          ["byult"], # 뷽
          ["byulp"], # 뷾
          ["byulh"] # 뷿
        ],
        [
          ["byum"], # 븀
          ["byub"], # 븁
          ["byubs"], # 븂
          ["byus"], # 븃
          ["byuss"], # 븄
          ["byung"], # 븅
          ["byuj"], # 븆
          ["byuc"], # 븇
          ["byuk"], # 븈
          ["byut"], # 븉
          ["byup"], # 븊
          ["byuh"], # 븋
          ["beu"], # 브
          ["beug"], # 븍
          ["beugg"], # 븎
          ["beugs"], # 븏
          ["beun"], # 븐
          ["beunj"], # 븑
          ["beunh"], # 븒
          ["beud"], # 븓
          ["beul"], # 블
          ["beulg"], # 븕
          ["beulm"], # 븖
          ["beulb"], # 븗
          ["beuls"], # 븘
          ["beult"], # 븙
          ["beulp"], # 븚
          ["beulh"], # 븛
          ["beum"], # 븜
          ["beub"], # 븝
          ["beubs"], # 븞
          ["beus"], # 븟
          ["beuss"], # 븠
          ["beung"], # 븡
          ["beuj"], # 븢
          ["beuc"], # 븣
          ["beuk"], # 븤
          ["beut"], # 븥
          ["beup"], # 븦
          ["beuh"], # 븧
          ["byi"], # 븨
          ["byig"], # 븩
          ["byigg"], # 븪
          ["byigs"], # 븫
          ["byin"], # 븬
          ["byinj"], # 븭
          ["byinh"], # 븮
          ["byid"], # 븯
          ["byil"], # 븰
          ["byilg"], # 븱
          ["byilm"], # 븲
          ["byilb"], # 븳
          ["byils"], # 븴
          ["byilt"], # 븵
          ["byilp"], # 븶
          ["byilh"], # 븷
          ["byim"], # 븸
          ["byib"], # 븹
          ["byibs"], # 븺
          ["byis"], # 븻
          ["byiss"], # 븼
          ["bying"], # 븽
          ["byij"], # 븾
          ["byic"], # 븿
          ["byik"], # 빀
          ["byit"], # 빁
          ["byip"], # 빂
          ["byih"], # 빃
          ["bi"], # 비
          ["big"], # 빅
          ["bigg"], # 빆
          ["bigs"], # 빇
          ["bin"], # 빈
          ["binj"], # 빉
          ["binh"], # 빊
          ["bid"], # 빋
          ["bil"], # 빌
          ["bilg"], # 빍
          ["bilm"], # 빎
          ["bilb"], # 빏
          ["bils"], # 빐
          ["bilt"], # 빑
          ["bilp"], # 빒
          ["bilh"], # 빓
          ["bim"], # 빔
          ["bib"], # 빕
          ["bibs"], # 빖
          ["bis"], # 빗
          ["biss"], # 빘
          ["bing"], # 빙
          ["bij"], # 빚
          ["bic"], # 빛
          ["bik"], # 빜
          ["bit"], # 빝
          ["bip"], # 빞
          ["bih"], # 빟
          ["bba"], # 빠
          ["bbag"], # 빡
          ["bbagg"], # 빢
          ["bbags"], # 빣
          ["bban"], # 빤
          ["bbanj"], # 빥
          ["bbanh"], # 빦
          ["bbad"], # 빧
          ["bbal"], # 빨
          ["bbalg"], # 빩
          ["bbalm"], # 빪
          ["bbalb"], # 빫
          ["bbals"], # 빬
          ["bbalt"], # 빭
          ["bbalp"], # 빮
          ["bbalh"], # 빯
          ["bbam"], # 빰
          ["bbab"], # 빱
          ["bbabs"], # 빲
          ["bbas"], # 빳
          ["bbass"], # 빴
          ["bbang"], # 빵
          ["bbaj"], # 빶
          ["bbac"], # 빷
          ["bbak"], # 빸
          ["bbat"], # 빹
          ["bbap"], # 빺
          ["bbah"], # 빻
          ["bbae"], # 빼
          ["bbaeg"], # 빽
          ["bbaegg"], # 빾
          ["bbaegs"], # 빿
          ["bbaen"], # 뺀
          ["bbaenj"], # 뺁
          ["bbaenh"], # 뺂
          ["bbaed"], # 뺃
          ["bbael"], # 뺄
          ["bbaelg"], # 뺅
          ["bbaelm"], # 뺆
          ["bbaelb"], # 뺇
          ["bbaels"], # 뺈
          ["bbaelt"], # 뺉
          ["bbaelp"], # 뺊
          ["bbaelh"], # 뺋
          ["bbaem"], # 뺌
          ["bbaeb"], # 뺍
          ["bbaebs"], # 뺎
          ["bbaes"], # 뺏
          ["bbaess"], # 뺐
          ["bbaeng"], # 뺑
          ["bbaej"], # 뺒
          ["bbaec"], # 뺓
          ["bbaek"], # 뺔
          ["bbaet"], # 뺕
          ["bbaep"], # 뺖
          ["bbaeh"], # 뺗
          ["bbya"], # 뺘
          ["bbyag"], # 뺙
          ["bbyagg"], # 뺚
          ["bbyags"], # 뺛
          ["bbyan"], # 뺜
          ["bbyanj"], # 뺝
          ["bbyanh"], # 뺞
          ["bbyad"], # 뺟
          ["bbyal"], # 뺠
          ["bbyalg"], # 뺡
          ["bbyalm"], # 뺢
          ["bbyalb"], # 뺣
          ["bbyals"], # 뺤
          ["bbyalt"], # 뺥
          ["bbyalp"], # 뺦
          ["bbyalh"], # 뺧
          ["bbyam"], # 뺨
          ["bbyab"], # 뺩
          ["bbyabs"], # 뺪
          ["bbyas"], # 뺫
          ["bbyass"], # 뺬
          ["bbyang"], # 뺭
          ["bbyaj"], # 뺮
          ["bbyac"], # 뺯
          ["bbyak"], # 뺰
          ["bbyat"], # 뺱
          ["bbyap"], # 뺲
          ["bbyah"], # 뺳
          ["bbyae"], # 뺴
          ["bbyaeg"], # 뺵
          ["bbyaegg"], # 뺶
          ["bbyaegs"], # 뺷
          ["bbyaen"], # 뺸
          ["bbyaenj"], # 뺹
          ["bbyaenh"], # 뺺
          ["bbyaed"], # 뺻
          ["bbyael"], # 뺼
          ["bbyaelg"], # 뺽
          ["bbyaelm"], # 뺾
          ["bbyaelb"], # 뺿
          ["bbyaels"], # 뻀
          ["bbyaelt"], # 뻁
          ["bbyaelp"], # 뻂
          ["bbyaelh"], # 뻃
          ["bbyaem"], # 뻄
          ["bbyaeb"], # 뻅
          ["bbyaebs"], # 뻆
          ["bbyaes"], # 뻇
          ["bbyaess"], # 뻈
          ["bbyaeng"], # 뻉
          ["bbyaej"], # 뻊
          ["bbyaec"], # 뻋
          ["bbyaek"], # 뻌
          ["bbyaet"], # 뻍
          ["bbyaep"], # 뻎
          ["bbyaeh"], # 뻏
          ["bbeo"], # 뻐
          ["bbeog"], # 뻑
          ["bbeogg"], # 뻒
          ["bbeogs"], # 뻓
          ["bbeon"], # 뻔
          ["bbeonj"], # 뻕
          ["bbeonh"], # 뻖
          ["bbeod"], # 뻗
          ["bbeol"], # 뻘
          ["bbeolg"], # 뻙
          ["bbeolm"], # 뻚
          ["bbeolb"], # 뻛
          ["bbeols"], # 뻜
          ["bbeolt"], # 뻝
          ["bbeolp"], # 뻞
          ["bbeolh"], # 뻟
          ["bbeom"], # 뻠
          ["bbeob"], # 뻡
          ["bbeobs"], # 뻢
          ["bbeos"], # 뻣
          ["bbeoss"], # 뻤
          ["bbeong"], # 뻥
          ["bbeoj"], # 뻦
          ["bbeoc"], # 뻧
          ["bbeok"], # 뻨
          ["bbeot"], # 뻩
          ["bbeop"], # 뻪
          ["bbeoh"], # 뻫
          ["bbe"], # 뻬
          ["bbeg"], # 뻭
          ["bbegg"], # 뻮
          ["bbegs"], # 뻯
          ["bben"], # 뻰
          ["bbenj"], # 뻱
          ["bbenh"], # 뻲
          ["bbed"], # 뻳
          ["bbel"], # 뻴
          ["bbelg"], # 뻵
          ["bbelm"], # 뻶
          ["bbelb"], # 뻷
          ["bbels"], # 뻸
          ["bbelt"], # 뻹
          ["bbelp"], # 뻺
          ["bbelh"], # 뻻
          ["bbem"], # 뻼
          ["bbeb"], # 뻽
          ["bbebs"], # 뻾
          ["bbes"] # 뻿
        ],
        [
          ["bbess"], # 뼀
          ["bbeng"], # 뼁
          ["bbej"], # 뼂
          ["bbec"], # 뼃
          ["bbek"], # 뼄
          ["bbet"], # 뼅
          ["bbep"], # 뼆
          ["bbeh"], # 뼇
          ["bbyeo"], # 뼈
          ["bbyeog"], # 뼉
          ["bbyeogg"], # 뼊
          ["bbyeogs"], # 뼋
          ["bbyeon"], # 뼌
          ["bbyeonj"], # 뼍
          ["bbyeonh"], # 뼎
          ["bbyeod"], # 뼏
          ["bbyeol"], # 뼐
          ["bbyeolg"], # 뼑
          ["bbyeolm"], # 뼒
          ["bbyeolb"], # 뼓
          ["bbyeols"], # 뼔
          ["bbyeolt"], # 뼕
          ["bbyeolp"], # 뼖
          ["bbyeolh"], # 뼗
          ["bbyeom"], # 뼘
          ["bbyeob"], # 뼙
          ["bbyeobs"], # 뼚
          ["bbyeos"], # 뼛
          ["bbyeoss"], # 뼜
          ["bbyeong"], # 뼝
          ["bbyeoj"], # 뼞
          ["bbyeoc"], # 뼟
          ["bbyeok"], # 뼠
          ["bbyeot"], # 뼡
          ["bbyeop"], # 뼢
          ["bbyeoh"], # 뼣
          ["bbye"], # 뼤
          ["bbyeg"], # 뼥
          ["bbyegg"], # 뼦
          ["bbyegs"], # 뼧
          ["bbyen"], # 뼨
          ["bbyenj"], # 뼩
          ["bbyenh"], # 뼪
          ["bbyed"], # 뼫
          ["bbyel"], # 뼬
          ["bbyelg"], # 뼭
          ["bbyelm"], # 뼮
          ["bbyelb"], # 뼯
          ["bbyels"], # 뼰
          ["bbyelt"], # 뼱
          ["bbyelp"], # 뼲
          ["bbyelh"], # 뼳
          ["bbyem"], # 뼴
          ["bbyeb"], # 뼵
          ["bbyebs"], # 뼶
          ["bbyes"], # 뼷
          ["bbyess"], # 뼸
          ["bbyeng"], # 뼹
          ["bbyej"], # 뼺
          ["bbyec"], # 뼻
          ["bbyek"], # 뼼
          ["bbyet"], # 뼽
          ["bbyep"], # 뼾
          ["bbyeh"], # 뼿
          ["bbo"], # 뽀
          ["bbog"], # 뽁
          ["bbogg"], # 뽂
          ["bbogs"], # 뽃
          ["bbon"], # 뽄
          ["bbonj"], # 뽅
          ["bbonh"], # 뽆
          ["bbod"], # 뽇
          ["bbol"], # 뽈
          ["bbolg"], # 뽉
          ["bbolm"], # 뽊
          ["bbolb"], # 뽋
          ["bbols"], # 뽌
          ["bbolt"], # 뽍
          ["bbolp"], # 뽎
          ["bbolh"], # 뽏
          ["bbom"], # 뽐
          ["bbob"], # 뽑
          ["bbobs"], # 뽒
          ["bbos"], # 뽓
          ["bboss"], # 뽔
          ["bbong"], # 뽕
          ["bboj"], # 뽖
          ["bboc"], # 뽗
          ["bbok"], # 뽘
          ["bbot"], # 뽙
          ["bbop"], # 뽚
          ["bboh"], # 뽛
          ["bbwa"], # 뽜
          ["bbwag"], # 뽝
          ["bbwagg"], # 뽞
          ["bbwags"], # 뽟
          ["bbwan"], # 뽠
          ["bbwanj"], # 뽡
          ["bbwanh"], # 뽢
          ["bbwad"], # 뽣
          ["bbwal"], # 뽤
          ["bbwalg"], # 뽥
          ["bbwalm"], # 뽦
          ["bbwalb"], # 뽧
          ["bbwals"], # 뽨
          ["bbwalt"], # 뽩
          ["bbwalp"], # 뽪
          ["bbwalh"], # 뽫
          ["bbwam"], # 뽬
          ["bbwab"], # 뽭
          ["bbwabs"], # 뽮
          ["bbwas"], # 뽯
          ["bbwass"], # 뽰
          ["bbwang"], # 뽱
          ["bbwaj"], # 뽲
          ["bbwac"], # 뽳
          ["bbwak"], # 뽴
          ["bbwat"], # 뽵
          ["bbwap"], # 뽶
          ["bbwah"], # 뽷
          ["bbwae"], # 뽸
          ["bbwaeg"], # 뽹
          ["bbwaegg"], # 뽺
          ["bbwaegs"], # 뽻
          ["bbwaen"], # 뽼
          ["bbwaenj"], # 뽽
          ["bbwaenh"], # 뽾
          ["bbwaed"], # 뽿
          ["bbwael"], # 뾀
          ["bbwaelg"], # 뾁
          ["bbwaelm"], # 뾂
          ["bbwaelb"], # 뾃
          ["bbwaels"], # 뾄
          ["bbwaelt"], # 뾅
          ["bbwaelp"], # 뾆
          ["bbwaelh"], # 뾇
          ["bbwaem"], # 뾈
          ["bbwaeb"], # 뾉
          ["bbwaebs"], # 뾊
          ["bbwaes"], # 뾋
          ["bbwaess"], # 뾌
          ["bbwaeng"], # 뾍
          ["bbwaej"], # 뾎
          ["bbwaec"], # 뾏
          ["bbwaek"], # 뾐
          ["bbwaet"], # 뾑
          ["bbwaep"], # 뾒
          ["bbwaeh"], # 뾓
          ["bboe"], # 뾔
          ["bboeg"], # 뾕
          ["bboegg"], # 뾖
          ["bboegs"], # 뾗
          ["bboen"], # 뾘
          ["bboenj"], # 뾙
          ["bboenh"], # 뾚
          ["bboed"], # 뾛
          ["bboel"], # 뾜
          ["bboelg"], # 뾝
          ["bboelm"], # 뾞
          ["bboelb"], # 뾟
          ["bboels"], # 뾠
          ["bboelt"], # 뾡
          ["bboelp"], # 뾢
          ["bboelh"], # 뾣
          ["bboem"], # 뾤
          ["bboeb"], # 뾥
          ["bboebs"], # 뾦
          ["bboes"], # 뾧
          ["bboess"], # 뾨
          ["bboeng"], # 뾩
          ["bboej"], # 뾪
          ["bboec"], # 뾫
          ["bboek"], # 뾬
          ["bboet"], # 뾭
          ["bboep"], # 뾮
          ["bboeh"], # 뾯
          ["bbyo"], # 뾰
          ["bbyog"], # 뾱
          ["bbyogg"], # 뾲
          ["bbyogs"], # 뾳
          ["bbyon"], # 뾴
          ["bbyonj"], # 뾵
          ["bbyonh"], # 뾶
          ["bbyod"], # 뾷
          ["bbyol"], # 뾸
          ["bbyolg"], # 뾹
          ["bbyolm"], # 뾺
          ["bbyolb"], # 뾻
          ["bbyols"], # 뾼
          ["bbyolt"], # 뾽
          ["bbyolp"], # 뾾
          ["bbyolh"], # 뾿
          ["bbyom"], # 뿀
          ["bbyob"], # 뿁
          ["bbyobs"], # 뿂
          ["bbyos"], # 뿃
          ["bbyoss"], # 뿄
          ["bbyong"], # 뿅
          ["bbyoj"], # 뿆
          ["bbyoc"], # 뿇
          ["bbyok"], # 뿈
          ["bbyot"], # 뿉
          ["bbyop"], # 뿊
          ["bbyoh"], # 뿋
          ["bbu"], # 뿌
          ["bbug"], # 뿍
          ["bbugg"], # 뿎
          ["bbugs"], # 뿏
          ["bbun"], # 뿐
          ["bbunj"], # 뿑
          ["bbunh"], # 뿒
          ["bbud"], # 뿓
          ["bbul"], # 뿔
          ["bbulg"], # 뿕
          ["bbulm"], # 뿖
          ["bbulb"], # 뿗
          ["bbuls"], # 뿘
          ["bbult"], # 뿙
          ["bbulp"], # 뿚
          ["bbulh"], # 뿛
          ["bbum"], # 뿜
          ["bbub"], # 뿝
          ["bbubs"], # 뿞
          ["bbus"], # 뿟
          ["bbuss"], # 뿠
          ["bbung"], # 뿡
          ["bbuj"], # 뿢
          ["bbuc"], # 뿣
          ["bbuk"], # 뿤
          ["bbut"], # 뿥
          ["bbup"], # 뿦
          ["bbuh"], # 뿧
          ["bbweo"], # 뿨
          ["bbweog"], # 뿩
          ["bbweogg"], # 뿪
          ["bbweogs"], # 뿫
          ["bbweon"], # 뿬
          ["bbweonj"], # 뿭
          ["bbweonh"], # 뿮
          ["bbweod"], # 뿯
          ["bbweol"], # 뿰
          ["bbweolg"], # 뿱
          ["bbweolm"], # 뿲
          ["bbweolb"], # 뿳
          ["bbweols"], # 뿴
          ["bbweolt"], # 뿵
          ["bbweolp"], # 뿶
          ["bbweolh"], # 뿷
          ["bbweom"], # 뿸
          ["bbweob"], # 뿹
          ["bbweobs"], # 뿺
          ["bbweos"], # 뿻
          ["bbweoss"], # 뿼
          ["bbweong"], # 뿽
          ["bbweoj"], # 뿾
          ["bbweoc"] # 뿿
        ],
        [
          ["bbweok"], # 쀀
          ["bbweot"], # 쀁
          ["bbweop"], # 쀂
          ["bbweoh"], # 쀃
          ["bbwe"], # 쀄
          ["bbweg"], # 쀅
          ["bbwegg"], # 쀆
          ["bbwegs"], # 쀇
          ["bbwen"], # 쀈
          ["bbwenj"], # 쀉
          ["bbwenh"], # 쀊
          ["bbwed"], # 쀋
          ["bbwel"], # 쀌
          ["bbwelg"], # 쀍
          ["bbwelm"], # 쀎
          ["bbwelb"], # 쀏
          ["bbwels"], # 쀐
          ["bbwelt"], # 쀑
          ["bbwelp"], # 쀒
          ["bbwelh"], # 쀓
          ["bbwem"], # 쀔
          ["bbweb"], # 쀕
          ["bbwebs"], # 쀖
          ["bbwes"], # 쀗
          ["bbwess"], # 쀘
          ["bbweng"], # 쀙
          ["bbwej"], # 쀚
          ["bbwec"], # 쀛
          ["bbwek"], # 쀜
          ["bbwet"], # 쀝
          ["bbwep"], # 쀞
          ["bbweh"], # 쀟
          ["bbwi"], # 쀠
          ["bbwig"], # 쀡
          ["bbwigg"], # 쀢
          ["bbwigs"], # 쀣
          ["bbwin"], # 쀤
          ["bbwinj"], # 쀥
          ["bbwinh"], # 쀦
          ["bbwid"], # 쀧
          ["bbwil"], # 쀨
          ["bbwilg"], # 쀩
          ["bbwilm"], # 쀪
          ["bbwilb"], # 쀫
          ["bbwils"], # 쀬
          ["bbwilt"], # 쀭
          ["bbwilp"], # 쀮
          ["bbwilh"], # 쀯
          ["bbwim"], # 쀰
          ["bbwib"], # 쀱
          ["bbwibs"], # 쀲
          ["bbwis"], # 쀳
          ["bbwiss"], # 쀴
          ["bbwing"], # 쀵
          ["bbwij"], # 쀶
          ["bbwic"], # 쀷
          ["bbwik"], # 쀸
          ["bbwit"], # 쀹
          ["bbwip"], # 쀺
          ["bbwih"], # 쀻
          ["bbyu"], # 쀼
          ["bbyug"], # 쀽
          ["bbyugg"], # 쀾
          ["bbyugs"], # 쀿
          ["bbyun"], # 쁀
          ["bbyunj"], # 쁁
          ["bbyunh"], # 쁂
          ["bbyud"], # 쁃
          ["bbyul"], # 쁄
          ["bbyulg"], # 쁅
          ["bbyulm"], # 쁆
          ["bbyulb"], # 쁇
          ["bbyuls"], # 쁈
          ["bbyult"], # 쁉
          ["bbyulp"], # 쁊
          ["bbyulh"], # 쁋
          ["bbyum"], # 쁌
          ["bbyub"], # 쁍
          ["bbyubs"], # 쁎
          ["bbyus"], # 쁏
          ["bbyuss"], # 쁐
          ["bbyung"], # 쁑
          ["bbyuj"], # 쁒
          ["bbyuc"], # 쁓
          ["bbyuk"], # 쁔
          ["bbyut"], # 쁕
          ["bbyup"], # 쁖
          ["bbyuh"], # 쁗
          ["bbeu"], # 쁘
          ["bbeug"], # 쁙
          ["bbeugg"], # 쁚
          ["bbeugs"], # 쁛
          ["bbeun"], # 쁜
          ["bbeunj"], # 쁝
          ["bbeunh"], # 쁞
          ["bbeud"], # 쁟
          ["bbeul"], # 쁠
          ["bbeulg"], # 쁡
          ["bbeulm"], # 쁢
          ["bbeulb"], # 쁣
          ["bbeuls"], # 쁤
          ["bbeult"], # 쁥
          ["bbeulp"], # 쁦
          ["bbeulh"], # 쁧
          ["bbeum"], # 쁨
          ["bbeub"], # 쁩
          ["bbeubs"], # 쁪
          ["bbeus"], # 쁫
          ["bbeuss"], # 쁬
          ["bbeung"], # 쁭
          ["bbeuj"], # 쁮
          ["bbeuc"], # 쁯
          ["bbeuk"], # 쁰
          ["bbeut"], # 쁱
          ["bbeup"], # 쁲
          ["bbeuh"], # 쁳
          ["bbyi"], # 쁴
          ["bbyig"], # 쁵
          ["bbyigg"], # 쁶
          ["bbyigs"], # 쁷
          ["bbyin"], # 쁸
          ["bbyinj"], # 쁹
          ["bbyinh"], # 쁺
          ["bbyid"], # 쁻
          ["bbyil"], # 쁼
          ["bbyilg"], # 쁽
          ["bbyilm"], # 쁾
          ["bbyilb"], # 쁿
          ["bbyils"], # 삀
          ["bbyilt"], # 삁
          ["bbyilp"], # 삂
          ["bbyilh"], # 삃
          ["bbyim"], # 삄
          ["bbyib"], # 삅
          ["bbyibs"], # 삆
          ["bbyis"], # 삇
          ["bbyiss"], # 삈
          ["bbying"], # 삉
          ["bbyij"], # 삊
          ["bbyic"], # 삋
          ["bbyik"], # 삌
          ["bbyit"], # 삍
          ["bbyip"], # 삎
          ["bbyih"], # 삏
          ["bbi"], # 삐
          ["bbig"], # 삑
          ["bbigg"], # 삒
          ["bbigs"], # 삓
          ["bbin"], # 삔
          ["bbinj"], # 삕
          ["bbinh"], # 삖
          ["bbid"], # 삗
          ["bbil"], # 삘
          ["bbilg"], # 삙
          ["bbilm"], # 삚
          ["bbilb"], # 삛
          ["bbils"], # 삜
          ["bbilt"], # 삝
          ["bbilp"], # 삞
          ["bbilh"], # 삟
          ["bbim"], # 삠
          ["bbib"], # 삡
          ["bbibs"], # 삢
          ["bbis"], # 삣
          ["bbiss"], # 삤
          ["bbing"], # 삥
          ["bbij"], # 삦
          ["bbic"], # 삧
          ["bbik"], # 삨
          ["bbit"], # 삩
          ["bbip"], # 삪
          ["bbih"], # 삫
          ["sa"], # 사
          ["sag"], # 삭
          ["sagg"], # 삮
          ["sags"], # 삯
          ["san"], # 산
          ["sanj"], # 삱
          ["sanh"], # 삲
          ["sad"], # 삳
          ["sal"], # 살
          ["salg"], # 삵
          ["salm"], # 삶
          ["salb"], # 삷
          ["sals"], # 삸
          ["salt"], # 삹
          ["salp"], # 삺
          ["salh"], # 삻
          ["sam"], # 삼
          ["sab"], # 삽
          ["sabs"], # 삾
          ["sas"], # 삿
          ["sass"], # 샀
          ["sang"], # 상
          ["saj"], # 샂
          ["sac"], # 샃
          ["sak"], # 샄
          ["sat"], # 샅
          ["sap"], # 샆
          ["sah"], # 샇
          ["sae"], # 새
          ["saeg"], # 색
          ["saegg"], # 샊
          ["saegs"], # 샋
          ["saen"], # 샌
          ["saenj"], # 샍
          ["saenh"], # 샎
          ["saed"], # 샏
          ["sael"], # 샐
          ["saelg"], # 샑
          ["saelm"], # 샒
          ["saelb"], # 샓
          ["saels"], # 샔
          ["saelt"], # 샕
          ["saelp"], # 샖
          ["saelh"], # 샗
          ["saem"], # 샘
          ["saeb"], # 샙
          ["saebs"], # 샚
          ["saes"], # 샛
          ["saess"], # 샜
          ["saeng"], # 생
          ["saej"], # 샞
          ["saec"], # 샟
          ["saek"], # 샠
          ["saet"], # 샡
          ["saep"], # 샢
          ["saeh"], # 샣
          ["sya"], # 샤
          ["syag"], # 샥
          ["syagg"], # 샦
          ["syags"], # 샧
          ["syan"], # 샨
          ["syanj"], # 샩
          ["syanh"], # 샪
          ["syad"], # 샫
          ["syal"], # 샬
          ["syalg"], # 샭
          ["syalm"], # 샮
          ["syalb"], # 샯
          ["syals"], # 샰
          ["syalt"], # 샱
          ["syalp"], # 샲
          ["syalh"], # 샳
          ["syam"], # 샴
          ["syab"], # 샵
          ["syabs"], # 샶
          ["syas"], # 샷
          ["syass"], # 샸
          ["syang"], # 샹
          ["syaj"], # 샺
          ["syac"], # 샻
          ["syak"], # 샼
          ["syat"], # 샽
          ["syap"], # 샾
          ["syah"] # 샿
        ],
        [
          ["syae"], # 섀
          ["syaeg"], # 섁
          ["syaegg"], # 섂
          ["syaegs"], # 섃
          ["syaen"], # 섄
          ["syaenj"], # 섅
          ["syaenh"], # 섆
          ["syaed"], # 섇
          ["syael"], # 섈
          ["syaelg"], # 섉
          ["syaelm"], # 섊
          ["syaelb"], # 섋
          ["syaels"], # 섌
          ["syaelt"], # 섍
          ["syaelp"], # 섎
          ["syaelh"], # 섏
          ["syaem"], # 섐
          ["syaeb"], # 섑
          ["syaebs"], # 섒
          ["syaes"], # 섓
          ["syaess"], # 섔
          ["syaeng"], # 섕
          ["syaej"], # 섖
          ["syaec"], # 섗
          ["syaek"], # 섘
          ["syaet"], # 섙
          ["syaep"], # 섚
          ["syaeh"], # 섛
          ["seo"], # 서
          ["seog"], # 석
          ["seogg"], # 섞
          ["seogs"], # 섟
          ["seon"], # 선
          ["seonj"], # 섡
          ["seonh"], # 섢
          ["seod"], # 섣
          ["seol"], # 설
          ["seolg"], # 섥
          ["seolm"], # 섦
          ["seolb"], # 섧
          ["seols"], # 섨
          ["seolt"], # 섩
          ["seolp"], # 섪
          ["seolh"], # 섫
          ["seom"], # 섬
          ["seob"], # 섭
          ["seobs"], # 섮
          ["seos"], # 섯
          ["seoss"], # 섰
          ["seong"], # 성
          ["seoj"], # 섲
          ["seoc"], # 섳
          ["seok"], # 섴
          ["seot"], # 섵
          ["seop"], # 섶
          ["seoh"], # 섷
          ["se"], # 세
          ["seg"], # 섹
          ["segg"], # 섺
          ["segs"], # 섻
          ["sen"], # 센
          ["senj"], # 섽
          ["senh"], # 섾
          ["sed"], # 섿
          ["sel"], # 셀
          ["selg"], # 셁
          ["selm"], # 셂
          ["selb"], # 셃
          ["sels"], # 셄
          ["selt"], # 셅
          ["selp"], # 셆
          ["selh"], # 셇
          ["sem"], # 셈
          ["seb"], # 셉
          ["sebs"], # 셊
          ["ses"], # 셋
          ["sess"], # 셌
          ["seng"], # 셍
          ["sej"], # 셎
          ["sec"], # 셏
          ["sek"], # 셐
          ["set"], # 셑
          ["sep"], # 셒
          ["seh"], # 셓
          ["syeo"], # 셔
          ["syeog"], # 셕
          ["syeogg"], # 셖
          ["syeogs"], # 셗
          ["syeon"], # 션
          ["syeonj"], # 셙
          ["syeonh"], # 셚
          ["syeod"], # 셛
          ["syeol"], # 셜
          ["syeolg"], # 셝
          ["syeolm"], # 셞
          ["syeolb"], # 셟
          ["syeols"], # 셠
          ["syeolt"], # 셡
          ["syeolp"], # 셢
          ["syeolh"], # 셣
          ["syeom"], # 셤
          ["syeob"], # 셥
          ["syeobs"], # 셦
          ["syeos"], # 셧
          ["syeoss"], # 셨
          ["syeong"], # 셩
          ["syeoj"], # 셪
          ["syeoc"], # 셫
          ["syeok"], # 셬
          ["syeot"], # 셭
          ["syeop"], # 셮
          ["syeoh"], # 셯
          ["sye"], # 셰
          ["syeg"], # 셱
          ["syegg"], # 셲
          ["syegs"], # 셳
          ["syen"], # 셴
          ["syenj"], # 셵
          ["syenh"], # 셶
          ["syed"], # 셷
          ["syel"], # 셸
          ["syelg"], # 셹
          ["syelm"], # 셺
          ["syelb"], # 셻
          ["syels"], # 셼
          ["syelt"], # 셽
          ["syelp"], # 셾
          ["syelh"], # 셿
          ["syem"], # 솀
          ["syeb"], # 솁
          ["syebs"], # 솂
          ["syes"], # 솃
          ["syess"], # 솄
          ["syeng"], # 솅
          ["syej"], # 솆
          ["syec"], # 솇
          ["syek"], # 솈
          ["syet"], # 솉
          ["syep"], # 솊
          ["syeh"], # 솋
          ["so"], # 소
          ["sog"], # 속
          ["sogg"], # 솎
          ["sogs"], # 솏
          ["son"], # 손
          ["sonj"], # 솑
          ["sonh"], # 솒
          ["sod"], # 솓
          ["sol"], # 솔
          ["solg"], # 솕
          ["solm"], # 솖
          ["solb"], # 솗
          ["sols"], # 솘
          ["solt"], # 솙
          ["solp"], # 솚
          ["solh"], # 솛
          ["som"], # 솜
          ["sob"], # 솝
          ["sobs"], # 솞
          ["sos"], # 솟
          ["soss"], # 솠
          ["song"], # 송
          ["soj"], # 솢
          ["soc"], # 솣
          ["sok"], # 솤
          ["sot"], # 솥
          ["sop"], # 솦
          ["soh"], # 솧
          ["swa"], # 솨
          ["swag"], # 솩
          ["swagg"], # 솪
          ["swags"], # 솫
          ["swan"], # 솬
          ["swanj"], # 솭
          ["swanh"], # 솮
          ["swad"], # 솯
          ["swal"], # 솰
          ["swalg"], # 솱
          ["swalm"], # 솲
          ["swalb"], # 솳
          ["swals"], # 솴
          ["swalt"], # 솵
          ["swalp"], # 솶
          ["swalh"], # 솷
          ["swam"], # 솸
          ["swab"], # 솹
          ["swabs"], # 솺
          ["swas"], # 솻
          ["swass"], # 솼
          ["swang"], # 솽
          ["swaj"], # 솾
          ["swac"], # 솿
          ["swak"], # 쇀
          ["swat"], # 쇁
          ["swap"], # 쇂
          ["swah"], # 쇃
          ["swae"], # 쇄
          ["swaeg"], # 쇅
          ["swaegg"], # 쇆
          ["swaegs"], # 쇇
          ["swaen"], # 쇈
          ["swaenj"], # 쇉
          ["swaenh"], # 쇊
          ["swaed"], # 쇋
          ["swael"], # 쇌
          ["swaelg"], # 쇍
          ["swaelm"], # 쇎
          ["swaelb"], # 쇏
          ["swaels"], # 쇐
          ["swaelt"], # 쇑
          ["swaelp"], # 쇒
          ["swaelh"], # 쇓
          ["swaem"], # 쇔
          ["swaeb"], # 쇕
          ["swaebs"], # 쇖
          ["swaes"], # 쇗
          ["swaess"], # 쇘
          ["swaeng"], # 쇙
          ["swaej"], # 쇚
          ["swaec"], # 쇛
          ["swaek"], # 쇜
          ["swaet"], # 쇝
          ["swaep"], # 쇞
          ["swaeh"], # 쇟
          ["soe"], # 쇠
          ["soeg"], # 쇡
          ["soegg"], # 쇢
          ["soegs"], # 쇣
          ["soen"], # 쇤
          ["soenj"], # 쇥
          ["soenh"], # 쇦
          ["soed"], # 쇧
          ["soel"], # 쇨
          ["soelg"], # 쇩
          ["soelm"], # 쇪
          ["soelb"], # 쇫
          ["soels"], # 쇬
          ["soelt"], # 쇭
          ["soelp"], # 쇮
          ["soelh"], # 쇯
          ["soem"], # 쇰
          ["soeb"], # 쇱
          ["soebs"], # 쇲
          ["soes"], # 쇳
          ["soess"], # 쇴
          ["soeng"], # 쇵
          ["soej"], # 쇶
          ["soec"], # 쇷
          ["soek"], # 쇸
          ["soet"], # 쇹
          ["soep"], # 쇺
          ["soeh"], # 쇻
          ["syo"], # 쇼
          ["syog"], # 쇽
          ["syogg"], # 쇾
          ["syogs"] # 쇿
        ],
        [
          ["syon"], # 숀
          ["syonj"], # 숁
          ["syonh"], # 숂
          ["syod"], # 숃
          ["syol"], # 숄
          ["syolg"], # 숅
          ["syolm"], # 숆
          ["syolb"], # 숇
          ["syols"], # 숈
          ["syolt"], # 숉
          ["syolp"], # 숊
          ["syolh"], # 숋
          ["syom"], # 숌
          ["syob"], # 숍
          ["syobs"], # 숎
          ["syos"], # 숏
          ["syoss"], # 숐
          ["syong"], # 숑
          ["syoj"], # 숒
          ["syoc"], # 숓
          ["syok"], # 숔
          ["syot"], # 숕
          ["syop"], # 숖
          ["syoh"], # 숗
          ["su"], # 수
          ["sug"], # 숙
          ["sugg"], # 숚
          ["sugs"], # 숛
          ["sun"], # 순
          ["sunj"], # 숝
          ["sunh"], # 숞
          ["sud"], # 숟
          ["sul"], # 술
          ["sulg"], # 숡
          ["sulm"], # 숢
          ["sulb"], # 숣
          ["suls"], # 숤
          ["sult"], # 숥
          ["sulp"], # 숦
          ["sulh"], # 숧
          ["sum"], # 숨
          ["sub"], # 숩
          ["subs"], # 숪
          ["sus"], # 숫
          ["suss"], # 숬
          ["sung"], # 숭
          ["suj"], # 숮
          ["suc"], # 숯
          ["suk"], # 숰
          ["sut"], # 숱
          ["sup"], # 숲
          ["suh"], # 숳
          ["sweo"], # 숴
          ["sweog"], # 숵
          ["sweogg"], # 숶
          ["sweogs"], # 숷
          ["sweon"], # 숸
          ["sweonj"], # 숹
          ["sweonh"], # 숺
          ["sweod"], # 숻
          ["sweol"], # 숼
          ["sweolg"], # 숽
          ["sweolm"], # 숾
          ["sweolb"], # 숿
          ["sweols"], # 쉀
          ["sweolt"], # 쉁
          ["sweolp"], # 쉂
          ["sweolh"], # 쉃
          ["sweom"], # 쉄
          ["sweob"], # 쉅
          ["sweobs"], # 쉆
          ["sweos"], # 쉇
          ["sweoss"], # 쉈
          ["sweong"], # 쉉
          ["sweoj"], # 쉊
          ["sweoc"], # 쉋
          ["sweok"], # 쉌
          ["sweot"], # 쉍
          ["sweop"], # 쉎
          ["sweoh"], # 쉏
          ["swe"], # 쉐
          ["sweg"], # 쉑
          ["swegg"], # 쉒
          ["swegs"], # 쉓
          ["swen"], # 쉔
          ["swenj"], # 쉕
          ["swenh"], # 쉖
          ["swed"], # 쉗
          ["swel"], # 쉘
          ["swelg"], # 쉙
          ["swelm"], # 쉚
          ["swelb"], # 쉛
          ["swels"], # 쉜
          ["swelt"], # 쉝
          ["swelp"], # 쉞
          ["swelh"], # 쉟
          ["swem"], # 쉠
          ["sweb"], # 쉡
          ["swebs"], # 쉢
          ["swes"], # 쉣
          ["swess"], # 쉤
          ["sweng"], # 쉥
          ["swej"], # 쉦
          ["swec"], # 쉧
          ["swek"], # 쉨
          ["swet"], # 쉩
          ["swep"], # 쉪
          ["sweh"], # 쉫
          ["swi"], # 쉬
          ["swig"], # 쉭
          ["swigg"], # 쉮
          ["swigs"], # 쉯
          ["swin"], # 쉰
          ["swinj"], # 쉱
          ["swinh"], # 쉲
          ["swid"], # 쉳
          ["swil"], # 쉴
          ["swilg"], # 쉵
          ["swilm"], # 쉶
          ["swilb"], # 쉷
          ["swils"], # 쉸
          ["swilt"], # 쉹
          ["swilp"], # 쉺
          ["swilh"], # 쉻
          ["swim"], # 쉼
          ["swib"], # 쉽
          ["swibs"], # 쉾
          ["swis"], # 쉿
          ["swiss"], # 슀
          ["swing"], # 슁
          ["swij"], # 슂
          ["swic"], # 슃
          ["swik"], # 슄
          ["swit"], # 슅
          ["swip"], # 슆
          ["swih"], # 슇
          ["syu"], # 슈
          ["syug"], # 슉
          ["syugg"], # 슊
          ["syugs"], # 슋
          ["syun"], # 슌
          ["syunj"], # 슍
          ["syunh"], # 슎
          ["syud"], # 슏
          ["syul"], # 슐
          ["syulg"], # 슑
          ["syulm"], # 슒
          ["syulb"], # 슓
          ["syuls"], # 슔
          ["syult"], # 슕
          ["syulp"], # 슖
          ["syulh"], # 슗
          ["syum"], # 슘
          ["syub"], # 슙
          ["syubs"], # 슚
          ["syus"], # 슛
          ["syuss"], # 슜
          ["syung"], # 슝
          ["syuj"], # 슞
          ["syuc"], # 슟
          ["syuk"], # 슠
          ["syut"], # 슡
          ["syup"], # 슢
          ["syuh"], # 슣
          ["seu"], # 스
          ["seug"], # 슥
          ["seugg"], # 슦
          ["seugs"], # 슧
          ["seun"], # 슨
          ["seunj"], # 슩
          ["seunh"], # 슪
          ["seud"], # 슫
          ["seul"], # 슬
          ["seulg"], # 슭
          ["seulm"], # 슮
          ["seulb"], # 슯
          ["seuls"], # 슰
          ["seult"], # 슱
          ["seulp"], # 슲
          ["seulh"], # 슳
          ["seum"], # 슴
          ["seub"], # 습
          ["seubs"], # 슶
          ["seus"], # 슷
          ["seuss"], # 슸
          ["seung"], # 승
          ["seuj"], # 슺
          ["seuc"], # 슻
          ["seuk"], # 슼
          ["seut"], # 슽
          ["seup"], # 슾
          ["seuh"], # 슿
          ["syi"], # 싀
          ["syig"], # 싁
          ["syigg"], # 싂
          ["syigs"], # 싃
          ["syin"], # 싄
          ["syinj"], # 싅
          ["syinh"], # 싆
          ["syid"], # 싇
          ["syil"], # 싈
          ["syilg"], # 싉
          ["syilm"], # 싊
          ["syilb"], # 싋
          ["syils"], # 싌
          ["syilt"], # 싍
          ["syilp"], # 싎
          ["syilh"], # 싏
          ["syim"], # 싐
          ["syib"], # 싑
          ["syibs"], # 싒
          ["syis"], # 싓
          ["syiss"], # 싔
          ["sying"], # 싕
          ["syij"], # 싖
          ["syic"], # 싗
          ["syik"], # 싘
          ["syit"], # 싙
          ["syip"], # 싚
          ["syih"], # 싛
          ["si"], # 시
          ["sig"], # 식
          ["sigg"], # 싞
          ["sigs"], # 싟
          ["sin"], # 신
          ["sinj"], # 싡
          ["sinh"], # 싢
          ["sid"], # 싣
          ["sil"], # 실
          ["silg"], # 싥
          ["silm"], # 싦
          ["silb"], # 싧
          ["sils"], # 싨
          ["silt"], # 싩
          ["silp"], # 싪
          ["silh"], # 싫
          ["sim"], # 심
          ["sib"], # 십
          ["sibs"], # 싮
          ["sis"], # 싯
          ["siss"], # 싰
          ["sing"], # 싱
          ["sij"], # 싲
          ["sic"], # 싳
          ["sik"], # 싴
          ["sit"], # 싵
          ["sip"], # 싶
          ["sih"], # 싷
          ["ssa"], # 싸
          ["ssag"], # 싹
          ["ssagg"], # 싺
          ["ssags"], # 싻
          ["ssan"], # 싼
          ["ssanj"], # 싽
          ["ssanh"], # 싾
          ["ssad"] # 싿
        ],
        [
          ["ssal"], # 쌀
          ["ssalg"], # 쌁
          ["ssalm"], # 쌂
          ["ssalb"], # 쌃
          ["ssals"], # 쌄
          ["ssalt"], # 쌅
          ["ssalp"], # 쌆
          ["ssalh"], # 쌇
          ["ssam"], # 쌈
          ["ssab"], # 쌉
          ["ssabs"], # 쌊
          ["ssas"], # 쌋
          ["ssass"], # 쌌
          ["ssang"], # 쌍
          ["ssaj"], # 쌎
          ["ssac"], # 쌏
          ["ssak"], # 쌐
          ["ssat"], # 쌑
          ["ssap"], # 쌒
          ["ssah"], # 쌓
          ["ssae"], # 쌔
          ["ssaeg"], # 쌕
          ["ssaegg"], # 쌖
          ["ssaegs"], # 쌗
          ["ssaen"], # 쌘
          ["ssaenj"], # 쌙
          ["ssaenh"], # 쌚
          ["ssaed"], # 쌛
          ["ssael"], # 쌜
          ["ssaelg"], # 쌝
          ["ssaelm"], # 쌞
          ["ssaelb"], # 쌟
          ["ssaels"], # 쌠
          ["ssaelt"], # 쌡
          ["ssaelp"], # 쌢
          ["ssaelh"], # 쌣
          ["ssaem"], # 쌤
          ["ssaeb"], # 쌥
          ["ssaebs"], # 쌦
          ["ssaes"], # 쌧
          ["ssaess"], # 쌨
          ["ssaeng"], # 쌩
          ["ssaej"], # 쌪
          ["ssaec"], # 쌫
          ["ssaek"], # 쌬
          ["ssaet"], # 쌭
          ["ssaep"], # 쌮
          ["ssaeh"], # 쌯
          ["ssya"], # 쌰
          ["ssyag"], # 쌱
          ["ssyagg"], # 쌲
          ["ssyags"], # 쌳
          ["ssyan"], # 쌴
          ["ssyanj"], # 쌵
          ["ssyanh"], # 쌶
          ["ssyad"], # 쌷
          ["ssyal"], # 쌸
          ["ssyalg"], # 쌹
          ["ssyalm"], # 쌺
          ["ssyalb"], # 쌻
          ["ssyals"], # 쌼
          ["ssyalt"], # 쌽
          ["ssyalp"], # 쌾
          ["ssyalh"], # 쌿
          ["ssyam"], # 썀
          ["ssyab"], # 썁
          ["ssyabs"], # 썂
          ["ssyas"], # 썃
          ["ssyass"], # 썄
          ["ssyang"], # 썅
          ["ssyaj"], # 썆
          ["ssyac"], # 썇
          ["ssyak"], # 썈
          ["ssyat"], # 썉
          ["ssyap"], # 썊
          ["ssyah"], # 썋
          ["ssyae"], # 썌
          ["ssyaeg"], # 썍
          ["ssyaegg"], # 썎
          ["ssyaegs"], # 썏
          ["ssyaen"], # 썐
          ["ssyaenj"], # 썑
          ["ssyaenh"], # 썒
          ["ssyaed"], # 썓
          ["ssyael"], # 썔
          ["ssyaelg"], # 썕
          ["ssyaelm"], # 썖
          ["ssyaelb"], # 썗
          ["ssyaels"], # 썘
          ["ssyaelt"], # 썙
          ["ssyaelp"], # 썚
          ["ssyaelh"], # 썛
          ["ssyaem"], # 썜
          ["ssyaeb"], # 썝
          ["ssyaebs"], # 썞
          ["ssyaes"], # 썟
          ["ssyaess"], # 썠
          ["ssyaeng"], # 썡
          ["ssyaej"], # 썢
          ["ssyaec"], # 썣
          ["ssyaek"], # 썤
          ["ssyaet"], # 썥
          ["ssyaep"], # 썦
          ["ssyaeh"], # 썧
          ["sseo"], # 써
          ["sseog"], # 썩
          ["sseogg"], # 썪
          ["sseogs"], # 썫
          ["sseon"], # 썬
          ["sseonj"], # 썭
          ["sseonh"], # 썮
          ["sseod"], # 썯
          ["sseol"], # 썰
          ["sseolg"], # 썱
          ["sseolm"], # 썲
          ["sseolb"], # 썳
          ["sseols"], # 썴
          ["sseolt"], # 썵
          ["sseolp"], # 썶
          ["sseolh"], # 썷
          ["sseom"], # 썸
          ["sseob"], # 썹
          ["sseobs"], # 썺
          ["sseos"], # 썻
          ["sseoss"], # 썼
          ["sseong"], # 썽
          ["sseoj"], # 썾
          ["sseoc"], # 썿
          ["sseok"], # 쎀
          ["sseot"], # 쎁
          ["sseop"], # 쎂
          ["sseoh"], # 쎃
          ["sse"], # 쎄
          ["sseg"], # 쎅
          ["ssegg"], # 쎆
          ["ssegs"], # 쎇
          ["ssen"], # 쎈
          ["ssenj"], # 쎉
          ["ssenh"], # 쎊
          ["ssed"], # 쎋
          ["ssel"], # 쎌
          ["sselg"], # 쎍
          ["sselm"], # 쎎
          ["sselb"], # 쎏
          ["ssels"], # 쎐
          ["sselt"], # 쎑
          ["sselp"], # 쎒
          ["sselh"], # 쎓
          ["ssem"], # 쎔
          ["sseb"], # 쎕
          ["ssebs"], # 쎖
          ["sses"], # 쎗
          ["ssess"], # 쎘
          ["sseng"], # 쎙
          ["ssej"], # 쎚
          ["ssec"], # 쎛
          ["ssek"], # 쎜
          ["sset"], # 쎝
          ["ssep"], # 쎞
          ["sseh"], # 쎟
          ["ssyeo"], # 쎠
          ["ssyeog"], # 쎡
          ["ssyeogg"], # 쎢
          ["ssyeogs"], # 쎣
          ["ssyeon"], # 쎤
          ["ssyeonj"], # 쎥
          ["ssyeonh"], # 쎦
          ["ssyeod"], # 쎧
          ["ssyeol"], # 쎨
          ["ssyeolg"], # 쎩
          ["ssyeolm"], # 쎪
          ["ssyeolb"], # 쎫
          ["ssyeols"], # 쎬
          ["ssyeolt"], # 쎭
          ["ssyeolp"], # 쎮
          ["ssyeolh"], # 쎯
          ["ssyeom"], # 쎰
          ["ssyeob"], # 쎱
          ["ssyeobs"], # 쎲
          ["ssyeos"], # 쎳
          ["ssyeoss"], # 쎴
          ["ssyeong"], # 쎵
          ["ssyeoj"], # 쎶
          ["ssyeoc"], # 쎷
          ["ssyeok"], # 쎸
          ["ssyeot"], # 쎹
          ["ssyeop"], # 쎺
          ["ssyeoh"], # 쎻
          ["ssye"], # 쎼
          ["ssyeg"], # 쎽
          ["ssyegg"], # 쎾
          ["ssyegs"], # 쎿
          ["ssyen"], # 쏀
          ["ssyenj"], # 쏁
          ["ssyenh"], # 쏂
          ["ssyed"], # 쏃
          ["ssyel"], # 쏄
          ["ssyelg"], # 쏅
          ["ssyelm"], # 쏆
          ["ssyelb"], # 쏇
          ["ssyels"], # 쏈
          ["ssyelt"], # 쏉
          ["ssyelp"], # 쏊
          ["ssyelh"], # 쏋
          ["ssyem"], # 쏌
          ["ssyeb"], # 쏍
          ["ssyebs"], # 쏎
          ["ssyes"], # 쏏
          ["ssyess"], # 쏐
          ["ssyeng"], # 쏑
          ["ssyej"], # 쏒
          ["ssyec"], # 쏓
          ["ssyek"], # 쏔
          ["ssyet"], # 쏕
          ["ssyep"], # 쏖
          ["ssyeh"], # 쏗
          ["sso"], # 쏘
          ["ssog"], # 쏙
          ["ssogg"], # 쏚
          ["ssogs"], # 쏛
          ["sson"], # 쏜
          ["ssonj"], # 쏝
          ["ssonh"], # 쏞
          ["ssod"], # 쏟
          ["ssol"], # 쏠
          ["ssolg"], # 쏡
          ["ssolm"], # 쏢
          ["ssolb"], # 쏣
          ["ssols"], # 쏤
          ["ssolt"], # 쏥
          ["ssolp"], # 쏦
          ["ssolh"], # 쏧
          ["ssom"], # 쏨
          ["ssob"], # 쏩
          ["ssobs"], # 쏪
          ["ssos"], # 쏫
          ["ssoss"], # 쏬
          ["ssong"], # 쏭
          ["ssoj"], # 쏮
          ["ssoc"], # 쏯
          ["ssok"], # 쏰
          ["ssot"], # 쏱
          ["ssop"], # 쏲
          ["ssoh"], # 쏳
          ["sswa"], # 쏴
          ["sswag"], # 쏵
          ["sswagg"], # 쏶
          ["sswags"], # 쏷
          ["sswan"], # 쏸
          ["sswanj"], # 쏹
          ["sswanh"], # 쏺
          ["sswad"], # 쏻
          ["sswal"], # 쏼
          ["sswalg"], # 쏽
          ["sswalm"], # 쏾
          ["sswalb"] # 쏿
        ],
        [
          ["sswals"], # 쐀
          ["sswalt"], # 쐁
          ["sswalp"], # 쐂
          ["sswalh"], # 쐃
          ["sswam"], # 쐄
          ["sswab"], # 쐅
          ["sswabs"], # 쐆
          ["sswas"], # 쐇
          ["sswass"], # 쐈
          ["sswang"], # 쐉
          ["sswaj"], # 쐊
          ["sswac"], # 쐋
          ["sswak"], # 쐌
          ["sswat"], # 쐍
          ["sswap"], # 쐎
          ["sswah"], # 쐏
          ["sswae"], # 쐐
          ["sswaeg"], # 쐑
          ["sswaegg"], # 쐒
          ["sswaegs"], # 쐓
          ["sswaen"], # 쐔
          ["sswaenj"], # 쐕
          ["sswaenh"], # 쐖
          ["sswaed"], # 쐗
          ["sswael"], # 쐘
          ["sswaelg"], # 쐙
          ["sswaelm"], # 쐚
          ["sswaelb"], # 쐛
          ["sswaels"], # 쐜
          ["sswaelt"], # 쐝
          ["sswaelp"], # 쐞
          ["sswaelh"], # 쐟
          ["sswaem"], # 쐠
          ["sswaeb"], # 쐡
          ["sswaebs"], # 쐢
          ["sswaes"], # 쐣
          ["sswaess"], # 쐤
          ["sswaeng"], # 쐥
          ["sswaej"], # 쐦
          ["sswaec"], # 쐧
          ["sswaek"], # 쐨
          ["sswaet"], # 쐩
          ["sswaep"], # 쐪
          ["sswaeh"], # 쐫
          ["ssoe"], # 쐬
          ["ssoeg"], # 쐭
          ["ssoegg"], # 쐮
          ["ssoegs"], # 쐯
          ["ssoen"], # 쐰
          ["ssoenj"], # 쐱
          ["ssoenh"], # 쐲
          ["ssoed"], # 쐳
          ["ssoel"], # 쐴
          ["ssoelg"], # 쐵
          ["ssoelm"], # 쐶
          ["ssoelb"], # 쐷
          ["ssoels"], # 쐸
          ["ssoelt"], # 쐹
          ["ssoelp"], # 쐺
          ["ssoelh"], # 쐻
          ["ssoem"], # 쐼
          ["ssoeb"], # 쐽
          ["ssoebs"], # 쐾
          ["ssoes"], # 쐿
          ["ssoess"], # 쑀
          ["ssoeng"], # 쑁
          ["ssoej"], # 쑂
          ["ssoec"], # 쑃
          ["ssoek"], # 쑄
          ["ssoet"], # 쑅
          ["ssoep"], # 쑆
          ["ssoeh"], # 쑇
          ["ssyo"], # 쑈
          ["ssyog"], # 쑉
          ["ssyogg"], # 쑊
          ["ssyogs"], # 쑋
          ["ssyon"], # 쑌
          ["ssyonj"], # 쑍
          ["ssyonh"], # 쑎
          ["ssyod"], # 쑏
          ["ssyol"], # 쑐
          ["ssyolg"], # 쑑
          ["ssyolm"], # 쑒
          ["ssyolb"], # 쑓
          ["ssyols"], # 쑔
          ["ssyolt"], # 쑕
          ["ssyolp"], # 쑖
          ["ssyolh"], # 쑗
          ["ssyom"], # 쑘
          ["ssyob"], # 쑙
          ["ssyobs"], # 쑚
          ["ssyos"], # 쑛
          ["ssyoss"], # 쑜
          ["ssyong"], # 쑝
          ["ssyoj"], # 쑞
          ["ssyoc"], # 쑟
          ["ssyok"], # 쑠
          ["ssyot"], # 쑡
          ["ssyop"], # 쑢
          ["ssyoh"], # 쑣
          ["ssu"], # 쑤
          ["ssug"], # 쑥
          ["ssugg"], # 쑦
          ["ssugs"], # 쑧
          ["ssun"], # 쑨
          ["ssunj"], # 쑩
          ["ssunh"], # 쑪
          ["ssud"], # 쑫
          ["ssul"], # 쑬
          ["ssulg"], # 쑭
          ["ssulm"], # 쑮
          ["ssulb"], # 쑯
          ["ssuls"], # 쑰
          ["ssult"], # 쑱
          ["ssulp"], # 쑲
          ["ssulh"], # 쑳
          ["ssum"], # 쑴
          ["ssub"], # 쑵
          ["ssubs"], # 쑶
          ["ssus"], # 쑷
          ["ssuss"], # 쑸
          ["ssung"], # 쑹
          ["ssuj"], # 쑺
          ["ssuc"], # 쑻
          ["ssuk"], # 쑼
          ["ssut"], # 쑽
          ["ssup"], # 쑾
          ["ssuh"], # 쑿
          ["ssweo"], # 쒀
          ["ssweog"], # 쒁
          ["ssweogg"], # 쒂
          ["ssweogs"], # 쒃
          ["ssweon"], # 쒄
          ["ssweonj"], # 쒅
          ["ssweonh"], # 쒆
          ["ssweod"], # 쒇
          ["ssweol"], # 쒈
          ["ssweolg"], # 쒉
          ["ssweolm"], # 쒊
          ["ssweolb"], # 쒋
          ["ssweols"], # 쒌
          ["ssweolt"], # 쒍
          ["ssweolp"], # 쒎
          ["ssweolh"], # 쒏
          ["ssweom"], # 쒐
          ["ssweob"], # 쒑
          ["ssweobs"], # 쒒
          ["ssweos"], # 쒓
          ["ssweoss"], # 쒔
          ["ssweong"], # 쒕
          ["ssweoj"], # 쒖
          ["ssweoc"], # 쒗
          ["ssweok"], # 쒘
          ["ssweot"], # 쒙
          ["ssweop"], # 쒚
          ["ssweoh"], # 쒛
          ["sswe"], # 쒜
          ["ssweg"], # 쒝
          ["sswegg"], # 쒞
          ["sswegs"], # 쒟
          ["sswen"], # 쒠
          ["sswenj"], # 쒡
          ["sswenh"], # 쒢
          ["sswed"], # 쒣
          ["sswel"], # 쒤
          ["sswelg"], # 쒥
          ["sswelm"], # 쒦
          ["sswelb"], # 쒧
          ["sswels"], # 쒨
          ["sswelt"], # 쒩
          ["sswelp"], # 쒪
          ["sswelh"], # 쒫
          ["sswem"], # 쒬
          ["ssweb"], # 쒭
          ["sswebs"], # 쒮
          ["sswes"], # 쒯
          ["sswess"], # 쒰
          ["ssweng"], # 쒱
          ["sswej"], # 쒲
          ["sswec"], # 쒳
          ["sswek"], # 쒴
          ["sswet"], # 쒵
          ["sswep"], # 쒶
          ["ssweh"], # 쒷
          ["sswi"], # 쒸
          ["sswig"], # 쒹
          ["sswigg"], # 쒺
          ["sswigs"], # 쒻
          ["sswin"], # 쒼
          ["sswinj"], # 쒽
          ["sswinh"], # 쒾
          ["sswid"], # 쒿
          ["sswil"], # 쓀
          ["sswilg"], # 쓁
          ["sswilm"], # 쓂
          ["sswilb"], # 쓃
          ["sswils"], # 쓄
          ["sswilt"], # 쓅
          ["sswilp"], # 쓆
          ["sswilh"], # 쓇
          ["sswim"], # 쓈
          ["sswib"], # 쓉
          ["sswibs"], # 쓊
          ["sswis"], # 쓋
          ["sswiss"], # 쓌
          ["sswing"], # 쓍
          ["sswij"], # 쓎
          ["sswic"], # 쓏
          ["sswik"], # 쓐
          ["sswit"], # 쓑
          ["sswip"], # 쓒
          ["sswih"], # 쓓
          ["ssyu"], # 쓔
          ["ssyug"], # 쓕
          ["ssyugg"], # 쓖
          ["ssyugs"], # 쓗
          ["ssyun"], # 쓘
          ["ssyunj"], # 쓙
          ["ssyunh"], # 쓚
          ["ssyud"], # 쓛
          ["ssyul"], # 쓜
          ["ssyulg"], # 쓝
          ["ssyulm"], # 쓞
          ["ssyulb"], # 쓟
          ["ssyuls"], # 쓠
          ["ssyult"], # 쓡
          ["ssyulp"], # 쓢
          ["ssyulh"], # 쓣
          ["ssyum"], # 쓤
          ["ssyub"], # 쓥
          ["ssyubs"], # 쓦
          ["ssyus"], # 쓧
          ["ssyuss"], # 쓨
          ["ssyung"], # 쓩
          ["ssyuj"], # 쓪
          ["ssyuc"], # 쓫
          ["ssyuk"], # 쓬
          ["ssyut"], # 쓭
          ["ssyup"], # 쓮
          ["ssyuh"], # 쓯
          ["sseu"], # 쓰
          ["sseug"], # 쓱
          ["sseugg"], # 쓲
          ["sseugs"], # 쓳
          ["sseun"], # 쓴
          ["sseunj"], # 쓵
          ["sseunh"], # 쓶
          ["sseud"], # 쓷
          ["sseul"], # 쓸
          ["sseulg"], # 쓹
          ["sseulm"], # 쓺
          ["sseulb"], # 쓻
          ["sseuls"], # 쓼
          ["sseult"], # 쓽
          ["sseulp"], # 쓾
          ["sseulh"] # 쓿
        ],
        [
          ["sseum"], # 씀
          ["sseub"], # 씁
          ["sseubs"], # 씂
          ["sseus"], # 씃
          ["sseuss"], # 씄
          ["sseung"], # 씅
          ["sseuj"], # 씆
          ["sseuc"], # 씇
          ["sseuk"], # 씈
          ["sseut"], # 씉
          ["sseup"], # 씊
          ["sseuh"], # 씋
          ["ssyi"], # 씌
          ["ssyig"], # 씍
          ["ssyigg"], # 씎
          ["ssyigs"], # 씏
          ["ssyin"], # 씐
          ["ssyinj"], # 씑
          ["ssyinh"], # 씒
          ["ssyid"], # 씓
          ["ssyil"], # 씔
          ["ssyilg"], # 씕
          ["ssyilm"], # 씖
          ["ssyilb"], # 씗
          ["ssyils"], # 씘
          ["ssyilt"], # 씙
          ["ssyilp"], # 씚
          ["ssyilh"], # 씛
          ["ssyim"], # 씜
          ["ssyib"], # 씝
          ["ssyibs"], # 씞
          ["ssyis"], # 씟
          ["ssyiss"], # 씠
          ["ssying"], # 씡
          ["ssyij"], # 씢
          ["ssyic"], # 씣
          ["ssyik"], # 씤
          ["ssyit"], # 씥
          ["ssyip"], # 씦
          ["ssyih"], # 씧
          ["ssi"], # 씨
          ["ssig"], # 씩
          ["ssigg"], # 씪
          ["ssigs"], # 씫
          ["ssin"], # 씬
          ["ssinj"], # 씭
          ["ssinh"], # 씮
          ["ssid"], # 씯
          ["ssil"], # 씰
          ["ssilg"], # 씱
          ["ssilm"], # 씲
          ["ssilb"], # 씳
          ["ssils"], # 씴
          ["ssilt"], # 씵
          ["ssilp"], # 씶
          ["ssilh"], # 씷
          ["ssim"], # 씸
          ["ssib"], # 씹
          ["ssibs"], # 씺
          ["ssis"], # 씻
          ["ssiss"], # 씼
          ["ssing"], # 씽
          ["ssij"], # 씾
          ["ssic"], # 씿
          ["ssik"], # 앀
          ["ssit"], # 앁
          ["ssip"], # 앂
          ["ssih"], # 앃
          ["a"], # 아
          ["ag"], # 악
          ["agg"], # 앆
          ["ags"], # 앇
          ["an"], # 안
          ["anj"], # 앉
          ["anh"], # 않
          ["ad"], # 앋
          ["al"], # 알
          ["alg"], # 앍
          ["alm"], # 앎
          ["alb"], # 앏
          ["als"], # 앐
          ["alt"], # 앑
          ["alp"], # 앒
          ["alh"], # 앓
          ["am"], # 암
          ["ab"], # 압
          ["abs"], # 앖
          ["as"], # 앗
          ["ass"], # 았
          ["ang"], # 앙
          ["aj"], # 앚
          ["ac"], # 앛
          ["ak"], # 앜
          ["at"], # 앝
          ["ap"], # 앞
          ["ah"], # 앟
          ["ae"], # 애
          ["aeg"], # 액
          ["aegg"], # 앢
          ["aegs"], # 앣
          ["aen"], # 앤
          ["aenj"], # 앥
          ["aenh"], # 앦
          ["aed"], # 앧
          ["ael"], # 앨
          ["aelg"], # 앩
          ["aelm"], # 앪
          ["aelb"], # 앫
          ["aels"], # 앬
          ["aelt"], # 앭
          ["aelp"], # 앮
          ["aelh"], # 앯
          ["aem"], # 앰
          ["aeb"], # 앱
          ["aebs"], # 앲
          ["aes"], # 앳
          ["aess"], # 앴
          ["aeng"], # 앵
          ["aej"], # 앶
          ["aec"], # 앷
          ["aek"], # 앸
          ["aet"], # 앹
          ["aep"], # 앺
          ["aeh"], # 앻
          ["ya"], # 야
          ["yag"], # 약
          ["yagg"], # 앾
          ["yags"], # 앿
          ["yan"], # 얀
          ["yanj"], # 얁
          ["yanh"], # 얂
          ["yad"], # 얃
          ["yal"], # 얄
          ["yalg"], # 얅
          ["yalm"], # 얆
          ["yalb"], # 얇
          ["yals"], # 얈
          ["yalt"], # 얉
          ["yalp"], # 얊
          ["yalh"], # 얋
          ["yam"], # 얌
          ["yab"], # 얍
          ["yabs"], # 얎
          ["yas"], # 얏
          ["yass"], # 얐
          ["yang"], # 양
          ["yaj"], # 얒
          ["yac"], # 얓
          ["yak"], # 얔
          ["yat"], # 얕
          ["yap"], # 얖
          ["yah"], # 얗
          ["yae"], # 얘
          ["yaeg"], # 얙
          ["yaegg"], # 얚
          ["yaegs"], # 얛
          ["yaen"], # 얜
          ["yaenj"], # 얝
          ["yaenh"], # 얞
          ["yaed"], # 얟
          ["yael"], # 얠
          ["yaelg"], # 얡
          ["yaelm"], # 얢
          ["yaelb"], # 얣
          ["yaels"], # 얤
          ["yaelt"], # 얥
          ["yaelp"], # 얦
          ["yaelh"], # 얧
          ["yaem"], # 얨
          ["yaeb"], # 얩
          ["yaebs"], # 얪
          ["yaes"], # 얫
          ["yaess"], # 얬
          ["yaeng"], # 얭
          ["yaej"], # 얮
          ["yaec"], # 얯
          ["yaek"], # 얰
          ["yaet"], # 얱
          ["yaep"], # 얲
          ["yaeh"], # 얳
          ["eo"], # 어
          ["eog"], # 억
          ["eogg"], # 얶
          ["eogs"], # 얷
          ["eon"], # 언
          ["eonj"], # 얹
          ["eonh"], # 얺
          ["eod"], # 얻
          ["eol"], # 얼
          ["eolg"], # 얽
          ["eolm"], # 얾
          ["eolb"], # 얿
          ["eols"], # 엀
          ["eolt"], # 엁
          ["eolp"], # 엂
          ["eolh"], # 엃
          ["eom"], # 엄
          ["eob"], # 업
          ["eobs"], # 없
          ["eos"], # 엇
          ["eoss"], # 었
          ["eong"], # 엉
          ["eoj"], # 엊
          ["eoc"], # 엋
          ["eok"], # 엌
          ["eot"], # 엍
          ["eop"], # 엎
          ["eoh"], # 엏
          ["e"], # 에
          ["eg"], # 엑
          ["egg"], # 엒
          ["egs"], # 엓
          ["en"], # 엔
          ["enj"], # 엕
          ["enh"], # 엖
          ["ed"], # 엗
          ["el"], # 엘
          ["elg"], # 엙
          ["elm"], # 엚
          ["elb"], # 엛
          ["els"], # 엜
          ["elt"], # 엝
          ["elp"], # 엞
          ["elh"], # 엟
          ["em"], # 엠
          ["eb"], # 엡
          ["ebs"], # 엢
          ["es"], # 엣
          ["ess"], # 엤
          ["eng"], # 엥
          ["ej"], # 엦
          ["ec"], # 엧
          ["ek"], # 엨
          ["et"], # 엩
          ["ep"], # 엪
          ["eh"], # 엫
          ["yeo"], # 여
          ["yeog"], # 역
          ["yeogg"], # 엮
          ["yeogs"], # 엯
          ["yeon"], # 연
          ["yeonj"], # 엱
          ["yeonh"], # 엲
          ["yeod"], # 엳
          ["yeol"], # 열
          ["yeolg"], # 엵
          ["yeolm"], # 엶
          ["yeolb"], # 엷
          ["yeols"], # 엸
          ["yeolt"], # 엹
          ["yeolp"], # 엺
          ["yeolh"], # 엻
          ["yeom"], # 염
          ["yeob"], # 엽
          ["yeobs"], # 엾
          ["yeos"] # 엿
        ],
        [
          ["yeoss"], # 였
          ["yeong"], # 영
          ["yeoj"], # 옂
          ["yeoc"], # 옃
          ["yeok"], # 옄
          ["yeot"], # 옅
          ["yeop"], # 옆
          ["yeoh"], # 옇
          ["ye"], # 예
          ["yeg"], # 옉
          ["yegg"], # 옊
          ["yegs"], # 옋
          ["yen"], # 옌
          ["yenj"], # 옍
          ["yenh"], # 옎
          ["yed"], # 옏
          ["yel"], # 옐
          ["yelg"], # 옑
          ["yelm"], # 옒
          ["yelb"], # 옓
          ["yels"], # 옔
          ["yelt"], # 옕
          ["yelp"], # 옖
          ["yelh"], # 옗
          ["yem"], # 옘
          ["yeb"], # 옙
          ["yebs"], # 옚
          ["yes"], # 옛
          ["yess"], # 옜
          ["yeng"], # 옝
          ["yej"], # 옞
          ["yec"], # 옟
          ["yek"], # 옠
          ["yet"], # 옡
          ["yep"], # 옢
          ["yeh"], # 옣
          ["o"], # 오
          ["og"], # 옥
          ["ogg"], # 옦
          ["ogs"], # 옧
          ["on"], # 온
          ["onj"], # 옩
          ["onh"], # 옪
          ["od"], # 옫
          ["ol"], # 올
          ["olg"], # 옭
          ["olm"], # 옮
          ["olb"], # 옯
          ["ols"], # 옰
          ["olt"], # 옱
          ["olp"], # 옲
          ["olh"], # 옳
          ["om"], # 옴
          ["ob"], # 옵
          ["obs"], # 옶
          ["os"], # 옷
          ["oss"], # 옸
          ["ong"], # 옹
          ["oj"], # 옺
          ["oc"], # 옻
          ["ok"], # 옼
          ["ot"], # 옽
          ["op"], # 옾
          ["oh"], # 옿
          ["wa"], # 와
          ["wag"], # 왁
          ["wagg"], # 왂
          ["wags"], # 왃
          ["wan"], # 완
          ["wanj"], # 왅
          ["wanh"], # 왆
          ["wad"], # 왇
          ["wal"], # 왈
          ["walg"], # 왉
          ["walm"], # 왊
          ["walb"], # 왋
          ["wals"], # 왌
          ["walt"], # 왍
          ["walp"], # 왎
          ["walh"], # 왏
          ["wam"], # 왐
          ["wab"], # 왑
          ["wabs"], # 왒
          ["was"], # 왓
          ["wass"], # 왔
          ["wang"], # 왕
          ["waj"], # 왖
          ["wac"], # 왗
          ["wak"], # 왘
          ["wat"], # 왙
          ["wap"], # 왚
          ["wah"], # 왛
          ["wae"], # 왜
          ["waeg"], # 왝
          ["waegg"], # 왞
          ["waegs"], # 왟
          ["waen"], # 왠
          ["waenj"], # 왡
          ["waenh"], # 왢
          ["waed"], # 왣
          ["wael"], # 왤
          ["waelg"], # 왥
          ["waelm"], # 왦
          ["waelb"], # 왧
          ["waels"], # 왨
          ["waelt"], # 왩
          ["waelp"], # 왪
          ["waelh"], # 왫
          ["waem"], # 왬
          ["waeb"], # 왭
          ["waebs"], # 왮
          ["waes"], # 왯
          ["waess"], # 왰
          ["waeng"], # 왱
          ["waej"], # 왲
          ["waec"], # 왳
          ["waek"], # 왴
          ["waet"], # 왵
          ["waep"], # 왶
          ["waeh"], # 왷
          ["oe"], # 외
          ["oeg"], # 왹
          ["oegg"], # 왺
          ["oegs"], # 왻
          ["oen"], # 왼
          ["oenj"], # 왽
          ["oenh"], # 왾
          ["oed"], # 왿
          ["oel"], # 욀
          ["oelg"], # 욁
          ["oelm"], # 욂
          ["oelb"], # 욃
          ["oels"], # 욄
          ["oelt"], # 욅
          ["oelp"], # 욆
          ["oelh"], # 욇
          ["oem"], # 욈
          ["oeb"], # 욉
          ["oebs"], # 욊
          ["oes"], # 욋
          ["oess"], # 욌
          ["oeng"], # 욍
          ["oej"], # 욎
          ["oec"], # 욏
          ["oek"], # 욐
          ["oet"], # 욑
          ["oep"], # 욒
          ["oeh"], # 욓
          ["yo"], # 요
          ["yog"], # 욕
          ["yogg"], # 욖
          ["yogs"], # 욗
          ["yon"], # 욘
          ["yonj"], # 욙
          ["yonh"], # 욚
          ["yod"], # 욛
          ["yol"], # 욜
          ["yolg"], # 욝
          ["yolm"], # 욞
          ["yolb"], # 욟
          ["yols"], # 욠
          ["yolt"], # 욡
          ["yolp"], # 욢
          ["yolh"], # 욣
          ["yom"], # 욤
          ["yob"], # 욥
          ["yobs"], # 욦
          ["yos"], # 욧
          ["yoss"], # 욨
          ["yong"], # 용
          ["yoj"], # 욪
          ["yoc"], # 욫
          ["yok"], # 욬
          ["yot"], # 욭
          ["yop"], # 욮
          ["yoh"], # 욯
          ["u"], # 우
          ["ug"], # 욱
          ["ugg"], # 욲
          ["ugs"], # 욳
          ["un"], # 운
          ["unj"], # 욵
          ["unh"], # 욶
          ["ud"], # 욷
          ["ul"], # 울
          ["ulg"], # 욹
          ["ulm"], # 욺
          ["ulb"], # 욻
          ["uls"], # 욼
          ["ult"], # 욽
          ["ulp"], # 욾
          ["ulh"], # 욿
          ["um"], # 움
          ["ub"], # 웁
          ["ubs"], # 웂
          ["us"], # 웃
          ["uss"], # 웄
          ["ung"], # 웅
          ["uj"], # 웆
          ["uc"], # 웇
          ["uk"], # 웈
          ["ut"], # 웉
          ["up"], # 웊
          ["uh"], # 웋
          ["weo"], # 워
          ["weog"], # 웍
          ["weogg"], # 웎
          ["weogs"], # 웏
          ["weon"], # 원
          ["weonj"], # 웑
          ["weonh"], # 웒
          ["weod"], # 웓
          ["weol"], # 월
          ["weolg"], # 웕
          ["weolm"], # 웖
          ["weolb"], # 웗
          ["weols"], # 웘
          ["weolt"], # 웙
          ["weolp"], # 웚
          ["weolh"], # 웛
          ["weom"], # 웜
          ["weob"], # 웝
          ["weobs"], # 웞
          ["weos"], # 웟
          ["weoss"], # 웠
          ["weong"], # 웡
          ["weoj"], # 웢
          ["weoc"], # 웣
          ["weok"], # 웤
          ["weot"], # 웥
          ["weop"], # 웦
          ["weoh"], # 웧
          ["we"], # 웨
          ["weg"], # 웩
          ["wegg"], # 웪
          ["wegs"], # 웫
          ["wen"], # 웬
          ["wenj"], # 웭
          ["wenh"], # 웮
          ["wed"], # 웯
          ["wel"], # 웰
          ["welg"], # 웱
          ["welm"], # 웲
          ["welb"], # 웳
          ["wels"], # 웴
          ["welt"], # 웵
          ["welp"], # 웶
          ["welh"], # 웷
          ["wem"], # 웸
          ["web"], # 웹
          ["webs"], # 웺
          ["wes"], # 웻
          ["wess"], # 웼
          ["weng"], # 웽
          ["wej"], # 웾
          ["wec"] # 웿
        ],
        [
          ["wek"], # 윀
          ["wet"], # 윁
          ["wep"], # 윂
          ["weh"], # 윃
          ["wi"], # 위
          ["wig"], # 윅
          ["wigg"], # 윆
          ["wigs"], # 윇
          ["win"], # 윈
          ["winj"], # 윉
          ["winh"], # 윊
          ["wid"], # 윋
          ["wil"], # 윌
          ["wilg"], # 윍
          ["wilm"], # 윎
          ["wilb"], # 윏
          ["wils"], # 윐
          ["wilt"], # 윑
          ["wilp"], # 윒
          ["wilh"], # 윓
          ["wim"], # 윔
          ["wib"], # 윕
          ["wibs"], # 윖
          ["wis"], # 윗
          ["wiss"], # 윘
          ["wing"], # 윙
          ["wij"], # 윚
          ["wic"], # 윛
          ["wik"], # 윜
          ["wit"], # 윝
          ["wip"], # 윞
          ["wih"], # 윟
          ["yu"], # 유
          ["yug"], # 육
          ["yugg"], # 윢
          ["yugs"], # 윣
          ["yun"], # 윤
          ["yunj"], # 윥
          ["yunh"], # 윦
          ["yud"], # 윧
          ["yul"], # 율
          ["yulg"], # 윩
          ["yulm"], # 윪
          ["yulb"], # 윫
          ["yuls"], # 윬
          ["yult"], # 윭
          ["yulp"], # 윮
          ["yulh"], # 윯
          ["yum"], # 윰
          ["yub"], # 윱
          ["yubs"], # 윲
          ["yus"], # 윳
          ["yuss"], # 윴
          ["yung"], # 융
          ["yuj"], # 윶
          ["yuc"], # 윷
          ["yuk"], # 윸
          ["yut"], # 윹
          ["yup"], # 윺
          ["yuh"], # 윻
          ["eu"], # 으
          ["eug"], # 윽
          ["eugg"], # 윾
          ["eugs"], # 윿
          ["eun"], # 은
          ["eunj"], # 읁
          ["eunh"], # 읂
          ["eud"], # 읃
          ["eul"], # 을
          ["eulg"], # 읅
          ["eulm"], # 읆
          ["eulb"], # 읇
          ["euls"], # 읈
          ["eult"], # 읉
          ["eulp"], # 읊
          ["eulh"], # 읋
          ["eum"], # 음
          ["eub"], # 읍
          ["eubs"], # 읎
          ["eus"], # 읏
          ["euss"], # 읐
          ["eung"], # 응
          ["euj"], # 읒
          ["euc"], # 읓
          ["euk"], # 읔
          ["eut"], # 읕
          ["eup"], # 읖
          ["euh"], # 읗
          ["yi"], # 의
          ["yig"], # 읙
          ["yigg"], # 읚
          ["yigs"], # 읛
          ["yin"], # 읜
          ["yinj"], # 읝
          ["yinh"], # 읞
          ["yid"], # 읟
          ["yil"], # 읠
          ["yilg"], # 읡
          ["yilm"], # 읢
          ["yilb"], # 읣
          ["yils"], # 읤
          ["yilt"], # 읥
          ["yilp"], # 읦
          ["yilh"], # 읧
          ["yim"], # 읨
          ["yib"], # 읩
          ["yibs"], # 읪
          ["yis"], # 읫
          ["yiss"], # 읬
          ["ying"], # 읭
          ["yij"], # 읮
          ["yic"], # 읯
          ["yik"], # 읰
          ["yit"], # 읱
          ["yip"], # 읲
          ["yih"], # 읳
          ["i"], # 이
          ["ig"], # 익
          ["igg"], # 읶
          ["igs"], # 읷
          ["in"], # 인
          ["inj"], # 읹
          ["inh"], # 읺
          ["id"], # 읻
          ["il"], # 일
          ["ilg"], # 읽
          ["ilm"], # 읾
          ["ilb"], # 읿
          ["ils"], # 잀
          ["ilt"], # 잁
          ["ilp"], # 잂
          ["ilh"], # 잃
          ["im"], # 임
          ["ib"], # 입
          ["ibs"], # 잆
          ["is"], # 잇
          ["iss"], # 있
          ["ing"], # 잉
          ["ij"], # 잊
          ["ic"], # 잋
          ["ik"], # 잌
          ["it"], # 잍
          ["ip"], # 잎
          ["ih"], # 잏
          ["ja"], # 자
          ["jag"], # 작
          ["jagg"], # 잒
          ["jags"], # 잓
          ["jan"], # 잔
          ["janj"], # 잕
          ["janh"], # 잖
          ["jad"], # 잗
          ["jal"], # 잘
          ["jalg"], # 잙
          ["jalm"], # 잚
          ["jalb"], # 잛
          ["jals"], # 잜
          ["jalt"], # 잝
          ["jalp"], # 잞
          ["jalh"], # 잟
          ["jam"], # 잠
          ["jab"], # 잡
          ["jabs"], # 잢
          ["jas"], # 잣
          ["jass"], # 잤
          ["jang"], # 장
          ["jaj"], # 잦
          ["jac"], # 잧
          ["jak"], # 잨
          ["jat"], # 잩
          ["jap"], # 잪
          ["jah"], # 잫
          ["jae"], # 재
          ["jaeg"], # 잭
          ["jaegg"], # 잮
          ["jaegs"], # 잯
          ["jaen"], # 잰
          ["jaenj"], # 잱
          ["jaenh"], # 잲
          ["jaed"], # 잳
          ["jael"], # 잴
          ["jaelg"], # 잵
          ["jaelm"], # 잶
          ["jaelb"], # 잷
          ["jaels"], # 잸
          ["jaelt"], # 잹
          ["jaelp"], # 잺
          ["jaelh"], # 잻
          ["jaem"], # 잼
          ["jaeb"], # 잽
          ["jaebs"], # 잾
          ["jaes"], # 잿
          ["jaess"], # 쟀
          ["jaeng"], # 쟁
          ["jaej"], # 쟂
          ["jaec"], # 쟃
          ["jaek"], # 쟄
          ["jaet"], # 쟅
          ["jaep"], # 쟆
          ["jaeh"], # 쟇
          ["jya"], # 쟈
          ["jyag"], # 쟉
          ["jyagg"], # 쟊
          ["jyags"], # 쟋
          ["jyan"], # 쟌
          ["jyanj"], # 쟍
          ["jyanh"], # 쟎
          ["jyad"], # 쟏
          ["jyal"], # 쟐
          ["jyalg"], # 쟑
          ["jyalm"], # 쟒
          ["jyalb"], # 쟓
          ["jyals"], # 쟔
          ["jyalt"], # 쟕
          ["jyalp"], # 쟖
          ["jyalh"], # 쟗
          ["jyam"], # 쟘
          ["jyab"], # 쟙
          ["jyabs"], # 쟚
          ["jyas"], # 쟛
          ["jyass"], # 쟜
          ["jyang"], # 쟝
          ["jyaj"], # 쟞
          ["jyac"], # 쟟
          ["jyak"], # 쟠
          ["jyat"], # 쟡
          ["jyap"], # 쟢
          ["jyah"], # 쟣
          ["jyae"], # 쟤
          ["jyaeg"], # 쟥
          ["jyaegg"], # 쟦
          ["jyaegs"], # 쟧
          ["jyaen"], # 쟨
          ["jyaenj"], # 쟩
          ["jyaenh"], # 쟪
          ["jyaed"], # 쟫
          ["jyael"], # 쟬
          ["jyaelg"], # 쟭
          ["jyaelm"], # 쟮
          ["jyaelb"], # 쟯
          ["jyaels"], # 쟰
          ["jyaelt"], # 쟱
          ["jyaelp"], # 쟲
          ["jyaelh"], # 쟳
          ["jyaem"], # 쟴
          ["jyaeb"], # 쟵
          ["jyaebs"], # 쟶
          ["jyaes"], # 쟷
          ["jyaess"], # 쟸
          ["jyaeng"], # 쟹
          ["jyaej"], # 쟺
          ["jyaec"], # 쟻
          ["jyaek"], # 쟼
          ["jyaet"], # 쟽
          ["jyaep"], # 쟾
          ["jyaeh"] # 쟿
        ],
        [
          ["jeo"], # 저
          ["jeog"], # 적
          ["jeogg"], # 젂
          ["jeogs"], # 젃
          ["jeon"], # 전
          ["jeonj"], # 젅
          ["jeonh"], # 젆
          ["jeod"], # 젇
          ["jeol"], # 절
          ["jeolg"], # 젉
          ["jeolm"], # 젊
          ["jeolb"], # 젋
          ["jeols"], # 젌
          ["jeolt"], # 젍
          ["jeolp"], # 젎
          ["jeolh"], # 젏
          ["jeom"], # 점
          ["jeob"], # 접
          ["jeobs"], # 젒
          ["jeos"], # 젓
          ["jeoss"], # 젔
          ["jeong"], # 정
          ["jeoj"], # 젖
          ["jeoc"], # 젗
          ["jeok"], # 젘
          ["jeot"], # 젙
          ["jeop"], # 젚
          ["jeoh"], # 젛
          ["je"], # 제
          ["jeg"], # 젝
          ["jegg"], # 젞
          ["jegs"], # 젟
          ["jen"], # 젠
          ["jenj"], # 젡
          ["jenh"], # 젢
          ["jed"], # 젣
          ["jel"], # 젤
          ["jelg"], # 젥
          ["jelm"], # 젦
          ["jelb"], # 젧
          ["jels"], # 젨
          ["jelt"], # 젩
          ["jelp"], # 젪
          ["jelh"], # 젫
          ["jem"], # 젬
          ["jeb"], # 젭
          ["jebs"], # 젮
          ["jes"], # 젯
          ["jess"], # 젰
          ["jeng"], # 젱
          ["jej"], # 젲
          ["jec"], # 젳
          ["jek"], # 젴
          ["jet"], # 젵
          ["jep"], # 젶
          ["jeh"], # 젷
          ["jyeo"], # 져
          ["jyeog"], # 젹
          ["jyeogg"], # 젺
          ["jyeogs"], # 젻
          ["jyeon"], # 젼
          ["jyeonj"], # 젽
          ["jyeonh"], # 젾
          ["jyeod"], # 젿
          ["jyeol"], # 졀
          ["jyeolg"], # 졁
          ["jyeolm"], # 졂
          ["jyeolb"], # 졃
          ["jyeols"], # 졄
          ["jyeolt"], # 졅
          ["jyeolp"], # 졆
          ["jyeolh"], # 졇
          ["jyeom"], # 졈
          ["jyeob"], # 졉
          ["jyeobs"], # 졊
          ["jyeos"], # 졋
          ["jyeoss"], # 졌
          ["jyeong"], # 졍
          ["jyeoj"], # 졎
          ["jyeoc"], # 졏
          ["jyeok"], # 졐
          ["jyeot"], # 졑
          ["jyeop"], # 졒
          ["jyeoh"], # 졓
          ["jye"], # 졔
          ["jyeg"], # 졕
          ["jyegg"], # 졖
          ["jyegs"], # 졗
          ["jyen"], # 졘
          ["jyenj"], # 졙
          ["jyenh"], # 졚
          ["jyed"], # 졛
          ["jyel"], # 졜
          ["jyelg"], # 졝
          ["jyelm"], # 졞
          ["jyelb"], # 졟
          ["jyels"], # 졠
          ["jyelt"], # 졡
          ["jyelp"], # 졢
          ["jyelh"], # 졣
          ["jyem"], # 졤
          ["jyeb"], # 졥
          ["jyebs"], # 졦
          ["jyes"], # 졧
          ["jyess"], # 졨
          ["jyeng"], # 졩
          ["jyej"], # 졪
          ["jyec"], # 졫
          ["jyek"], # 졬
          ["jyet"], # 졭
          ["jyep"], # 졮
          ["jyeh"], # 졯
          ["jo"], # 조
          ["jog"], # 족
          ["jogg"], # 졲
          ["jogs"], # 졳
          ["jon"], # 존
          ["jonj"], # 졵
          ["jonh"], # 졶
          ["jod"], # 졷
          ["jol"], # 졸
          ["jolg"], # 졹
          ["jolm"], # 졺
          ["jolb"], # 졻
          ["jols"], # 졼
          ["jolt"], # 졽
          ["jolp"], # 졾
          ["jolh"], # 졿
          ["jom"], # 좀
          ["job"], # 좁
          ["jobs"], # 좂
          ["jos"], # 좃
          ["joss"], # 좄
          ["jong"], # 종
          ["joj"], # 좆
          ["joc"], # 좇
          ["jok"], # 좈
          ["jot"], # 좉
          ["jop"], # 좊
          ["joh"], # 좋
          ["jwa"], # 좌
          ["jwag"], # 좍
          ["jwagg"], # 좎
          ["jwags"], # 좏
          ["jwan"], # 좐
          ["jwanj"], # 좑
          ["jwanh"], # 좒
          ["jwad"], # 좓
          ["jwal"], # 좔
          ["jwalg"], # 좕
          ["jwalm"], # 좖
          ["jwalb"], # 좗
          ["jwals"], # 좘
          ["jwalt"], # 좙
          ["jwalp"], # 좚
          ["jwalh"], # 좛
          ["jwam"], # 좜
          ["jwab"], # 좝
          ["jwabs"], # 좞
          ["jwas"], # 좟
          ["jwass"], # 좠
          ["jwang"], # 좡
          ["jwaj"], # 좢
          ["jwac"], # 좣
          ["jwak"], # 좤
          ["jwat"], # 좥
          ["jwap"], # 좦
          ["jwah"], # 좧
          ["jwae"], # 좨
          ["jwaeg"], # 좩
          ["jwaegg"], # 좪
          ["jwaegs"], # 좫
          ["jwaen"], # 좬
          ["jwaenj"], # 좭
          ["jwaenh"], # 좮
          ["jwaed"], # 좯
          ["jwael"], # 좰
          ["jwaelg"], # 좱
          ["jwaelm"], # 좲
          ["jwaelb"], # 좳
          ["jwaels"], # 좴
          ["jwaelt"], # 좵
          ["jwaelp"], # 좶
          ["jwaelh"], # 좷
          ["jwaem"], # 좸
          ["jwaeb"], # 좹
          ["jwaebs"], # 좺
          ["jwaes"], # 좻
          ["jwaess"], # 좼
          ["jwaeng"], # 좽
          ["jwaej"], # 좾
          ["jwaec"], # 좿
          ["jwaek"], # 죀
          ["jwaet"], # 죁
          ["jwaep"], # 죂
          ["jwaeh"], # 죃
          ["joe"], # 죄
          ["joeg"], # 죅
          ["joegg"], # 죆
          ["joegs"], # 죇
          ["joen"], # 죈
          ["joenj"], # 죉
          ["joenh"], # 죊
          ["joed"], # 죋
          ["joel"], # 죌
          ["joelg"], # 죍
          ["joelm"], # 죎
          ["joelb"], # 죏
          ["joels"], # 죐
          ["joelt"], # 죑
          ["joelp"], # 죒
          ["joelh"], # 죓
          ["joem"], # 죔
          ["joeb"], # 죕
          ["joebs"], # 죖
          ["joes"], # 죗
          ["joess"], # 죘
          ["joeng"], # 죙
          ["joej"], # 죚
          ["joec"], # 죛
          ["joek"], # 죜
          ["joet"], # 죝
          ["joep"], # 죞
          ["joeh"], # 죟
          ["jyo"], # 죠
          ["jyog"], # 죡
          ["jyogg"], # 죢
          ["jyogs"], # 죣
          ["jyon"], # 죤
          ["jyonj"], # 죥
          ["jyonh"], # 죦
          ["jyod"], # 죧
          ["jyol"], # 죨
          ["jyolg"], # 죩
          ["jyolm"], # 죪
          ["jyolb"], # 죫
          ["jyols"], # 죬
          ["jyolt"], # 죭
          ["jyolp"], # 죮
          ["jyolh"], # 죯
          ["jyom"], # 죰
          ["jyob"], # 죱
          ["jyobs"], # 죲
          ["jyos"], # 죳
          ["jyoss"], # 죴
          ["jyong"], # 죵
          ["jyoj"], # 죶
          ["jyoc"], # 죷
          ["jyok"], # 죸
          ["jyot"], # 죹
          ["jyop"], # 죺
          ["jyoh"], # 죻
          ["ju"], # 주
          ["jug"], # 죽
          ["jugg"], # 죾
          ["jugs"] # 죿
        ],
        [
          ["jun"], # 준
          ["junj"], # 줁
          ["junh"], # 줂
          ["jud"], # 줃
          ["jul"], # 줄
          ["julg"], # 줅
          ["julm"], # 줆
          ["julb"], # 줇
          ["juls"], # 줈
          ["jult"], # 줉
          ["julp"], # 줊
          ["julh"], # 줋
          ["jum"], # 줌
          ["jub"], # 줍
          ["jubs"], # 줎
          ["jus"], # 줏
          ["juss"], # 줐
          ["jung"], # 중
          ["juj"], # 줒
          ["juc"], # 줓
          ["juk"], # 줔
          ["jut"], # 줕
          ["jup"], # 줖
          ["juh"], # 줗
          ["jweo"], # 줘
          ["jweog"], # 줙
          ["jweogg"], # 줚
          ["jweogs"], # 줛
          ["jweon"], # 줜
          ["jweonj"], # 줝
          ["jweonh"], # 줞
          ["jweod"], # 줟
          ["jweol"], # 줠
          ["jweolg"], # 줡
          ["jweolm"], # 줢
          ["jweolb"], # 줣
          ["jweols"], # 줤
          ["jweolt"], # 줥
          ["jweolp"], # 줦
          ["jweolh"], # 줧
          ["jweom"], # 줨
          ["jweob"], # 줩
          ["jweobs"], # 줪
          ["jweos"], # 줫
          ["jweoss"], # 줬
          ["jweong"], # 줭
          ["jweoj"], # 줮
          ["jweoc"], # 줯
          ["jweok"], # 줰
          ["jweot"], # 줱
          ["jweop"], # 줲
          ["jweoh"], # 줳
          ["jwe"], # 줴
          ["jweg"], # 줵
          ["jwegg"], # 줶
          ["jwegs"], # 줷
          ["jwen"], # 줸
          ["jwenj"], # 줹
          ["jwenh"], # 줺
          ["jwed"], # 줻
          ["jwel"], # 줼
          ["jwelg"], # 줽
          ["jwelm"], # 줾
          ["jwelb"], # 줿
          ["jwels"], # 쥀
          ["jwelt"], # 쥁
          ["jwelp"], # 쥂
          ["jwelh"], # 쥃
          ["jwem"], # 쥄
          ["jweb"], # 쥅
          ["jwebs"], # 쥆
          ["jwes"], # 쥇
          ["jwess"], # 쥈
          ["jweng"], # 쥉
          ["jwej"], # 쥊
          ["jwec"], # 쥋
          ["jwek"], # 쥌
          ["jwet"], # 쥍
          ["jwep"], # 쥎
          ["jweh"], # 쥏
          ["jwi"], # 쥐
          ["jwig"], # 쥑
          ["jwigg"], # 쥒
          ["jwigs"], # 쥓
          ["jwin"], # 쥔
          ["jwinj"], # 쥕
          ["jwinh"], # 쥖
          ["jwid"], # 쥗
          ["jwil"], # 쥘
          ["jwilg"], # 쥙
          ["jwilm"], # 쥚
          ["jwilb"], # 쥛
          ["jwils"], # 쥜
          ["jwilt"], # 쥝
          ["jwilp"], # 쥞
          ["jwilh"], # 쥟
          ["jwim"], # 쥠
          ["jwib"], # 쥡
          ["jwibs"], # 쥢
          ["jwis"], # 쥣
          ["jwiss"], # 쥤
          ["jwing"], # 쥥
          ["jwij"], # 쥦
          ["jwic"], # 쥧
          ["jwik"], # 쥨
          ["jwit"], # 쥩
          ["jwip"], # 쥪
          ["jwih"], # 쥫
          ["jyu"], # 쥬
          ["jyug"], # 쥭
          ["jyugg"], # 쥮
          ["jyugs"], # 쥯
          ["jyun"], # 쥰
          ["jyunj"], # 쥱
          ["jyunh"], # 쥲
          ["jyud"], # 쥳
          ["jyul"], # 쥴
          ["jyulg"], # 쥵
          ["jyulm"], # 쥶
          ["jyulb"], # 쥷
          ["jyuls"], # 쥸
          ["jyult"], # 쥹
          ["jyulp"], # 쥺
          ["jyulh"], # 쥻
          ["jyum"], # 쥼
          ["jyub"], # 쥽
          ["jyubs"], # 쥾
          ["jyus"], # 쥿
          ["jyuss"], # 즀
          ["jyung"], # 즁
          ["jyuj"], # 즂
          ["jyuc"], # 즃
          ["jyuk"], # 즄
          ["jyut"], # 즅
          ["jyup"], # 즆
          ["jyuh"], # 즇
          ["jeu"], # 즈
          ["jeug"], # 즉
          ["jeugg"], # 즊
          ["jeugs"], # 즋
          ["jeun"], # 즌
          ["jeunj"], # 즍
          ["jeunh"], # 즎
          ["jeud"], # 즏
          ["jeul"], # 즐
          ["jeulg"], # 즑
          ["jeulm"], # 즒
          ["jeulb"], # 즓
          ["jeuls"], # 즔
          ["jeult"], # 즕
          ["jeulp"], # 즖
          ["jeulh"], # 즗
          ["jeum"], # 즘
          ["jeub"], # 즙
          ["jeubs"], # 즚
          ["jeus"], # 즛
          ["jeuss"], # 즜
          ["jeung"], # 증
          ["jeuj"], # 즞
          ["jeuc"], # 즟
          ["jeuk"], # 즠
          ["jeut"], # 즡
          ["jeup"], # 즢
          ["jeuh"], # 즣
          ["jyi"], # 즤
          ["jyig"], # 즥
          ["jyigg"], # 즦
          ["jyigs"], # 즧
          ["jyin"], # 즨
          ["jyinj"], # 즩
          ["jyinh"], # 즪
          ["jyid"], # 즫
          ["jyil"], # 즬
          ["jyilg"], # 즭
          ["jyilm"], # 즮
          ["jyilb"], # 즯
          ["jyils"], # 즰
          ["jyilt"], # 즱
          ["jyilp"], # 즲
          ["jyilh"], # 즳
          ["jyim"], # 즴
          ["jyib"], # 즵
          ["jyibs"], # 즶
          ["jyis"], # 즷
          ["jyiss"], # 즸
          ["jying"], # 즹
          ["jyij"], # 즺
          ["jyic"], # 즻
          ["jyik"], # 즼
          ["jyit"], # 즽
          ["jyip"], # 즾
          ["jyih"], # 즿
          ["ji"], # 지
          ["jig"], # 직
          ["jigg"], # 짂
          ["jigs"], # 짃
          ["jin"], # 진
          ["jinj"], # 짅
          ["jinh"], # 짆
          ["jid"], # 짇
          ["jil"], # 질
          ["jilg"], # 짉
          ["jilm"], # 짊
          ["jilb"], # 짋
          ["jils"], # 짌
          ["jilt"], # 짍
          ["jilp"], # 짎
          ["jilh"], # 짏
          ["jim"], # 짐
          ["jib"], # 집
          ["jibs"], # 짒
          ["jis"], # 짓
          ["jiss"], # 짔
          ["jing"], # 징
          ["jij"], # 짖
          ["jic"], # 짗
          ["jik"], # 짘
          ["jit"], # 짙
          ["jip"], # 짚
          ["jih"], # 짛
          ["jja"], # 짜
          ["jjag"], # 짝
          ["jjagg"], # 짞
          ["jjags"], # 짟
          ["jjan"], # 짠
          ["jjanj"], # 짡
          ["jjanh"], # 짢
          ["jjad"], # 짣
          ["jjal"], # 짤
          ["jjalg"], # 짥
          ["jjalm"], # 짦
          ["jjalb"], # 짧
          ["jjals"], # 짨
          ["jjalt"], # 짩
          ["jjalp"], # 짪
          ["jjalh"], # 짫
          ["jjam"], # 짬
          ["jjab"], # 짭
          ["jjabs"], # 짮
          ["jjas"], # 짯
          ["jjass"], # 짰
          ["jjang"], # 짱
          ["jjaj"], # 짲
          ["jjac"], # 짳
          ["jjak"], # 짴
          ["jjat"], # 짵
          ["jjap"], # 짶
          ["jjah"], # 짷
          ["jjae"], # 째
          ["jjaeg"], # 짹
          ["jjaegg"], # 짺
          ["jjaegs"], # 짻
          ["jjaen"], # 짼
          ["jjaenj"], # 짽
          ["jjaenh"], # 짾
          ["jjaed"] # 짿
        ],
        [
          ["jjael"], # 쨀
          ["jjaelg"], # 쨁
          ["jjaelm"], # 쨂
          ["jjaelb"], # 쨃
          ["jjaels"], # 쨄
          ["jjaelt"], # 쨅
          ["jjaelp"], # 쨆
          ["jjaelh"], # 쨇
          ["jjaem"], # 쨈
          ["jjaeb"], # 쨉
          ["jjaebs"], # 쨊
          ["jjaes"], # 쨋
          ["jjaess"], # 쨌
          ["jjaeng"], # 쨍
          ["jjaej"], # 쨎
          ["jjaec"], # 쨏
          ["jjaek"], # 쨐
          ["jjaet"], # 쨑
          ["jjaep"], # 쨒
          ["jjaeh"], # 쨓
          ["jjya"], # 쨔
          ["jjyag"], # 쨕
          ["jjyagg"], # 쨖
          ["jjyags"], # 쨗
          ["jjyan"], # 쨘
          ["jjyanj"], # 쨙
          ["jjyanh"], # 쨚
          ["jjyad"], # 쨛
          ["jjyal"], # 쨜
          ["jjyalg"], # 쨝
          ["jjyalm"], # 쨞
          ["jjyalb"], # 쨟
          ["jjyals"], # 쨠
          ["jjyalt"], # 쨡
          ["jjyalp"], # 쨢
          ["jjyalh"], # 쨣
          ["jjyam"], # 쨤
          ["jjyab"], # 쨥
          ["jjyabs"], # 쨦
          ["jjyas"], # 쨧
          ["jjyass"], # 쨨
          ["jjyang"], # 쨩
          ["jjyaj"], # 쨪
          ["jjyac"], # 쨫
          ["jjyak"], # 쨬
          ["jjyat"], # 쨭
          ["jjyap"], # 쨮
          ["jjyah"], # 쨯
          ["jjyae"], # 쨰
          ["jjyaeg"], # 쨱
          ["jjyaegg"], # 쨲
          ["jjyaegs"], # 쨳
          ["jjyaen"], # 쨴
          ["jjyaenj"], # 쨵
          ["jjyaenh"], # 쨶
          ["jjyaed"], # 쨷
          ["jjyael"], # 쨸
          ["jjyaelg"], # 쨹
          ["jjyaelm"], # 쨺
          ["jjyaelb"], # 쨻
          ["jjyaels"], # 쨼
          ["jjyaelt"], # 쨽
          ["jjyaelp"], # 쨾
          ["jjyaelh"], # 쨿
          ["jjyaem"], # 쩀
          ["jjyaeb"], # 쩁
          ["jjyaebs"], # 쩂
          ["jjyaes"], # 쩃
          ["jjyaess"], # 쩄
          ["jjyaeng"], # 쩅
          ["jjyaej"], # 쩆
          ["jjyaec"], # 쩇
          ["jjyaek"], # 쩈
          ["jjyaet"], # 쩉
          ["jjyaep"], # 쩊
          ["jjyaeh"], # 쩋
          ["jjeo"], # 쩌
          ["jjeog"], # 쩍
          ["jjeogg"], # 쩎
          ["jjeogs"], # 쩏
          ["jjeon"], # 쩐
          ["jjeonj"], # 쩑
          ["jjeonh"], # 쩒
          ["jjeod"], # 쩓
          ["jjeol"], # 쩔
          ["jjeolg"], # 쩕
          ["jjeolm"], # 쩖
          ["jjeolb"], # 쩗
          ["jjeols"], # 쩘
          ["jjeolt"], # 쩙
          ["jjeolp"], # 쩚
          ["jjeolh"], # 쩛
          ["jjeom"], # 쩜
          ["jjeob"], # 쩝
          ["jjeobs"], # 쩞
          ["jjeos"], # 쩟
          ["jjeoss"], # 쩠
          ["jjeong"], # 쩡
          ["jjeoj"], # 쩢
          ["jjeoc"], # 쩣
          ["jjeok"], # 쩤
          ["jjeot"], # 쩥
          ["jjeop"], # 쩦
          ["jjeoh"], # 쩧
          ["jje"], # 쩨
          ["jjeg"], # 쩩
          ["jjegg"], # 쩪
          ["jjegs"], # 쩫
          ["jjen"], # 쩬
          ["jjenj"], # 쩭
          ["jjenh"], # 쩮
          ["jjed"], # 쩯
          ["jjel"], # 쩰
          ["jjelg"], # 쩱
          ["jjelm"], # 쩲
          ["jjelb"], # 쩳
          ["jjels"], # 쩴
          ["jjelt"], # 쩵
          ["jjelp"], # 쩶
          ["jjelh"], # 쩷
          ["jjem"], # 쩸
          ["jjeb"], # 쩹
          ["jjebs"], # 쩺
          ["jjes"], # 쩻
          ["jjess"], # 쩼
          ["jjeng"], # 쩽
          ["jjej"], # 쩾
          ["jjec"], # 쩿
          ["jjek"], # 쪀
          ["jjet"], # 쪁
          ["jjep"], # 쪂
          ["jjeh"], # 쪃
          ["jjyeo"], # 쪄
          ["jjyeog"], # 쪅
          ["jjyeogg"], # 쪆
          ["jjyeogs"], # 쪇
          ["jjyeon"], # 쪈
          ["jjyeonj"], # 쪉
          ["jjyeonh"], # 쪊
          ["jjyeod"], # 쪋
          ["jjyeol"], # 쪌
          ["jjyeolg"], # 쪍
          ["jjyeolm"], # 쪎
          ["jjyeolb"], # 쪏
          ["jjyeols"], # 쪐
          ["jjyeolt"], # 쪑
          ["jjyeolp"], # 쪒
          ["jjyeolh"], # 쪓
          ["jjyeom"], # 쪔
          ["jjyeob"], # 쪕
          ["jjyeobs"], # 쪖
          ["jjyeos"], # 쪗
          ["jjyeoss"], # 쪘
          ["jjyeong"], # 쪙
          ["jjyeoj"], # 쪚
          ["jjyeoc"], # 쪛
          ["jjyeok"], # 쪜
          ["jjyeot"], # 쪝
          ["jjyeop"], # 쪞
          ["jjyeoh"], # 쪟
          ["jjye"], # 쪠
          ["jjyeg"], # 쪡
          ["jjyegg"], # 쪢
          ["jjyegs"], # 쪣
          ["jjyen"], # 쪤
          ["jjyenj"], # 쪥
          ["jjyenh"], # 쪦
          ["jjyed"], # 쪧
          ["jjyel"], # 쪨
          ["jjyelg"], # 쪩
          ["jjyelm"], # 쪪
          ["jjyelb"], # 쪫
          ["jjyels"], # 쪬
          ["jjyelt"], # 쪭
          ["jjyelp"], # 쪮
          ["jjyelh"], # 쪯
          ["jjyem"], # 쪰
          ["jjyeb"], # 쪱
          ["jjyebs"], # 쪲
          ["jjyes"], # 쪳
          ["jjyess"], # 쪴
          ["jjyeng"], # 쪵
          ["jjyej"], # 쪶
          ["jjyec"], # 쪷
          ["jjyek"], # 쪸
          ["jjyet"], # 쪹
          ["jjyep"], # 쪺
          ["jjyeh"], # 쪻
          ["jjo"], # 쪼
          ["jjog"], # 쪽
          ["jjogg"], # 쪾
          ["jjogs"], # 쪿
          ["jjon"], # 쫀
          ["jjonj"], # 쫁
          ["jjonh"], # 쫂
          ["jjod"], # 쫃
          ["jjol"], # 쫄
          ["jjolg"], # 쫅
          ["jjolm"], # 쫆
          ["jjolb"], # 쫇
          ["jjols"], # 쫈
          ["jjolt"], # 쫉
          ["jjolp"], # 쫊
          ["jjolh"], # 쫋
          ["jjom"], # 쫌
          ["jjob"], # 쫍
          ["jjobs"], # 쫎
          ["jjos"], # 쫏
          ["jjoss"], # 쫐
          ["jjong"], # 쫑
          ["jjoj"], # 쫒
          ["jjoc"], # 쫓
          ["jjok"], # 쫔
          ["jjot"], # 쫕
          ["jjop"], # 쫖
          ["jjoh"], # 쫗
          ["jjwa"], # 쫘
          ["jjwag"], # 쫙
          ["jjwagg"], # 쫚
          ["jjwags"], # 쫛
          ["jjwan"], # 쫜
          ["jjwanj"], # 쫝
          ["jjwanh"], # 쫞
          ["jjwad"], # 쫟
          ["jjwal"], # 쫠
          ["jjwalg"], # 쫡
          ["jjwalm"], # 쫢
          ["jjwalb"], # 쫣
          ["jjwals"], # 쫤
          ["jjwalt"], # 쫥
          ["jjwalp"], # 쫦
          ["jjwalh"], # 쫧
          ["jjwam"], # 쫨
          ["jjwab"], # 쫩
          ["jjwabs"], # 쫪
          ["jjwas"], # 쫫
          ["jjwass"], # 쫬
          ["jjwang"], # 쫭
          ["jjwaj"], # 쫮
          ["jjwac"], # 쫯
          ["jjwak"], # 쫰
          ["jjwat"], # 쫱
          ["jjwap"], # 쫲
          ["jjwah"], # 쫳
          ["jjwae"], # 쫴
          ["jjwaeg"], # 쫵
          ["jjwaegg"], # 쫶
          ["jjwaegs"], # 쫷
          ["jjwaen"], # 쫸
          ["jjwaenj"], # 쫹
          ["jjwaenh"], # 쫺
          ["jjwaed"], # 쫻
          ["jjwael"], # 쫼
          ["jjwaelg"], # 쫽
          ["jjwaelm"], # 쫾
          ["jjwaelb"] # 쫿
        ],
        [
          ["jjwaels"], # 쬀
          ["jjwaelt"], # 쬁
          ["jjwaelp"], # 쬂
          ["jjwaelh"], # 쬃
          ["jjwaem"], # 쬄
          ["jjwaeb"], # 쬅
          ["jjwaebs"], # 쬆
          ["jjwaes"], # 쬇
          ["jjwaess"], # 쬈
          ["jjwaeng"], # 쬉
          ["jjwaej"], # 쬊
          ["jjwaec"], # 쬋
          ["jjwaek"], # 쬌
          ["jjwaet"], # 쬍
          ["jjwaep"], # 쬎
          ["jjwaeh"], # 쬏
          ["jjoe"], # 쬐
          ["jjoeg"], # 쬑
          ["jjoegg"], # 쬒
          ["jjoegs"], # 쬓
          ["jjoen"], # 쬔
          ["jjoenj"], # 쬕
          ["jjoenh"], # 쬖
          ["jjoed"], # 쬗
          ["jjoel"], # 쬘
          ["jjoelg"], # 쬙
          ["jjoelm"], # 쬚
          ["jjoelb"], # 쬛
          ["jjoels"], # 쬜
          ["jjoelt"], # 쬝
          ["jjoelp"], # 쬞
          ["jjoelh"], # 쬟
          ["jjoem"], # 쬠
          ["jjoeb"], # 쬡
          ["jjoebs"], # 쬢
          ["jjoes"], # 쬣
          ["jjoess"], # 쬤
          ["jjoeng"], # 쬥
          ["jjoej"], # 쬦
          ["jjoec"], # 쬧
          ["jjoek"], # 쬨
          ["jjoet"], # 쬩
          ["jjoep"], # 쬪
          ["jjoeh"], # 쬫
          ["jjyo"], # 쬬
          ["jjyog"], # 쬭
          ["jjyogg"], # 쬮
          ["jjyogs"], # 쬯
          ["jjyon"], # 쬰
          ["jjyonj"], # 쬱
          ["jjyonh"], # 쬲
          ["jjyod"], # 쬳
          ["jjyol"], # 쬴
          ["jjyolg"], # 쬵
          ["jjyolm"], # 쬶
          ["jjyolb"], # 쬷
          ["jjyols"], # 쬸
          ["jjyolt"], # 쬹
          ["jjyolp"], # 쬺
          ["jjyolh"], # 쬻
          ["jjyom"], # 쬼
          ["jjyob"], # 쬽
          ["jjyobs"], # 쬾
          ["jjyos"], # 쬿
          ["jjyoss"], # 쭀
          ["jjyong"], # 쭁
          ["jjyoj"], # 쭂
          ["jjyoc"], # 쭃
          ["jjyok"], # 쭄
          ["jjyot"], # 쭅
          ["jjyop"], # 쭆
          ["jjyoh"], # 쭇
          ["jju"], # 쭈
          ["jjug"], # 쭉
          ["jjugg"], # 쭊
          ["jjugs"], # 쭋
          ["jjun"], # 쭌
          ["jjunj"], # 쭍
          ["jjunh"], # 쭎
          ["jjud"], # 쭏
          ["jjul"], # 쭐
          ["jjulg"], # 쭑
          ["jjulm"], # 쭒
          ["jjulb"], # 쭓
          ["jjuls"], # 쭔
          ["jjult"], # 쭕
          ["jjulp"], # 쭖
          ["jjulh"], # 쭗
          ["jjum"], # 쭘
          ["jjub"], # 쭙
          ["jjubs"], # 쭚
          ["jjus"], # 쭛
          ["jjuss"], # 쭜
          ["jjung"], # 쭝
          ["jjuj"], # 쭞
          ["jjuc"], # 쭟
          ["jjuk"], # 쭠
          ["jjut"], # 쭡
          ["jjup"], # 쭢
          ["jjuh"], # 쭣
          ["jjweo"], # 쭤
          ["jjweog"], # 쭥
          ["jjweogg"], # 쭦
          ["jjweogs"], # 쭧
          ["jjweon"], # 쭨
          ["jjweonj"], # 쭩
          ["jjweonh"], # 쭪
          ["jjweod"], # 쭫
          ["jjweol"], # 쭬
          ["jjweolg"], # 쭭
          ["jjweolm"], # 쭮
          ["jjweolb"], # 쭯
          ["jjweols"], # 쭰
          ["jjweolt"], # 쭱
          ["jjweolp"], # 쭲
          ["jjweolh"], # 쭳
          ["jjweom"], # 쭴
          ["jjweob"], # 쭵
          ["jjweobs"], # 쭶
          ["jjweos"], # 쭷
          ["jjweoss"], # 쭸
          ["jjweong"], # 쭹
          ["jjweoj"], # 쭺
          ["jjweoc"], # 쭻
          ["jjweok"], # 쭼
          ["jjweot"], # 쭽
          ["jjweop"], # 쭾
          ["jjweoh"], # 쭿
          ["jjwe"], # 쮀
          ["jjweg"], # 쮁
          ["jjwegg"], # 쮂
          ["jjwegs"], # 쮃
          ["jjwen"], # 쮄
          ["jjwenj"], # 쮅
          ["jjwenh"], # 쮆
          ["jjwed"], # 쮇
          ["jjwel"], # 쮈
          ["jjwelg"], # 쮉
          ["jjwelm"], # 쮊
          ["jjwelb"], # 쮋
          ["jjwels"], # 쮌
          ["jjwelt"], # 쮍
          ["jjwelp"], # 쮎
          ["jjwelh"], # 쮏
          ["jjwem"], # 쮐
          ["jjweb"], # 쮑
          ["jjwebs"], # 쮒
          ["jjwes"], # 쮓
          ["jjwess"], # 쮔
          ["jjweng"], # 쮕
          ["jjwej"], # 쮖
          ["jjwec"], # 쮗
          ["jjwek"], # 쮘
          ["jjwet"], # 쮙
          ["jjwep"], # 쮚
          ["jjweh"], # 쮛
          ["jjwi"], # 쮜
          ["jjwig"], # 쮝
          ["jjwigg"], # 쮞
          ["jjwigs"], # 쮟
          ["jjwin"], # 쮠
          ["jjwinj"], # 쮡
          ["jjwinh"], # 쮢
          ["jjwid"], # 쮣
          ["jjwil"], # 쮤
          ["jjwilg"], # 쮥
          ["jjwilm"], # 쮦
          ["jjwilb"], # 쮧
          ["jjwils"], # 쮨
          ["jjwilt"], # 쮩
          ["jjwilp"], # 쮪
          ["jjwilh"], # 쮫
          ["jjwim"], # 쮬
          ["jjwib"], # 쮭
          ["jjwibs"], # 쮮
          ["jjwis"], # 쮯
          ["jjwiss"], # 쮰
          ["jjwing"], # 쮱
          ["jjwij"], # 쮲
          ["jjwic"], # 쮳
          ["jjwik"], # 쮴
          ["jjwit"], # 쮵
          ["jjwip"], # 쮶
          ["jjwih"], # 쮷
          ["jjyu"], # 쮸
          ["jjyug"], # 쮹
          ["jjyugg"], # 쮺
          ["jjyugs"], # 쮻
          ["jjyun"], # 쮼
          ["jjyunj"], # 쮽
          ["jjyunh"], # 쮾
          ["jjyud"], # 쮿
          ["jjyul"], # 쯀
          ["jjyulg"], # 쯁
          ["jjyulm"], # 쯂
          ["jjyulb"], # 쯃
          ["jjyuls"], # 쯄
          ["jjyult"], # 쯅
          ["jjyulp"], # 쯆
          ["jjyulh"], # 쯇
          ["jjyum"], # 쯈
          ["jjyub"], # 쯉
          ["jjyubs"], # 쯊
          ["jjyus"], # 쯋
          ["jjyuss"], # 쯌
          ["jjyung"], # 쯍
          ["jjyuj"], # 쯎
          ["jjyuc"], # 쯏
          ["jjyuk"], # 쯐
          ["jjyut"], # 쯑
          ["jjyup"], # 쯒
          ["jjyuh"], # 쯓
          ["jjeu"], # 쯔
          ["jjeug"], # 쯕
          ["jjeugg"], # 쯖
          ["jjeugs"], # 쯗
          ["jjeun"], # 쯘
          ["jjeunj"], # 쯙
          ["jjeunh"], # 쯚
          ["jjeud"], # 쯛
          ["jjeul"], # 쯜
          ["jjeulg"], # 쯝
          ["jjeulm"], # 쯞
          ["jjeulb"], # 쯟
          ["jjeuls"], # 쯠
          ["jjeult"], # 쯡
          ["jjeulp"], # 쯢
          ["jjeulh"], # 쯣
          ["jjeum"], # 쯤
          ["jjeub"], # 쯥
          ["jjeubs"], # 쯦
          ["jjeus"], # 쯧
          ["jjeuss"], # 쯨
          ["jjeung"], # 쯩
          ["jjeuj"], # 쯪
          ["jjeuc"], # 쯫
          ["jjeuk"], # 쯬
          ["jjeut"], # 쯭
          ["jjeup"], # 쯮
          ["jjeuh"], # 쯯
          ["jjyi"], # 쯰
          ["jjyig"], # 쯱
          ["jjyigg"], # 쯲
          ["jjyigs"], # 쯳
          ["jjyin"], # 쯴
          ["jjyinj"], # 쯵
          ["jjyinh"], # 쯶
          ["jjyid"], # 쯷
          ["jjyil"], # 쯸
          ["jjyilg"], # 쯹
          ["jjyilm"], # 쯺
          ["jjyilb"], # 쯻
          ["jjyils"], # 쯼
          ["jjyilt"], # 쯽
          ["jjyilp"], # 쯾
          ["jjyilh"] # 쯿
        ],
        [
          ["jjyim"], # 찀
          ["jjyib"], # 찁
          ["jjyibs"], # 찂
          ["jjyis"], # 찃
          ["jjyiss"], # 찄
          ["jjying"], # 찅
          ["jjyij"], # 찆
          ["jjyic"], # 찇
          ["jjyik"], # 찈
          ["jjyit"], # 찉
          ["jjyip"], # 찊
          ["jjyih"], # 찋
          ["jji"], # 찌
          ["jjig"], # 찍
          ["jjigg"], # 찎
          ["jjigs"], # 찏
          ["jjin"], # 찐
          ["jjinj"], # 찑
          ["jjinh"], # 찒
          ["jjid"], # 찓
          ["jjil"], # 찔
          ["jjilg"], # 찕
          ["jjilm"], # 찖
          ["jjilb"], # 찗
          ["jjils"], # 찘
          ["jjilt"], # 찙
          ["jjilp"], # 찚
          ["jjilh"], # 찛
          ["jjim"], # 찜
          ["jjib"], # 찝
          ["jjibs"], # 찞
          ["jjis"], # 찟
          ["jjiss"], # 찠
          ["jjing"], # 찡
          ["jjij"], # 찢
          ["jjic"], # 찣
          ["jjik"], # 찤
          ["jjit"], # 찥
          ["jjip"], # 찦
          ["jjih"], # 찧
          ["ca"], # 차
          ["cag"], # 착
          ["cagg"], # 찪
          ["cags"], # 찫
          ["can"], # 찬
          ["canj"], # 찭
          ["canh"], # 찮
          ["cad"], # 찯
          ["cal"], # 찰
          ["calg"], # 찱
          ["calm"], # 찲
          ["calb"], # 찳
          ["cals"], # 찴
          ["calt"], # 찵
          ["calp"], # 찶
          ["calh"], # 찷
          ["cam"], # 참
          ["cab"], # 찹
          ["cabs"], # 찺
          ["cas"], # 찻
          ["cass"], # 찼
          ["cang"], # 창
          ["caj"], # 찾
          ["cac"], # 찿
          ["cak"], # 챀
          ["cat"], # 챁
          ["cap"], # 챂
          ["cah"], # 챃
          ["cae"], # 채
          ["caeg"], # 책
          ["caegg"], # 챆
          ["caegs"], # 챇
          ["caen"], # 챈
          ["caenj"], # 챉
          ["caenh"], # 챊
          ["caed"], # 챋
          ["cael"], # 챌
          ["caelg"], # 챍
          ["caelm"], # 챎
          ["caelb"], # 챏
          ["caels"], # 챐
          ["caelt"], # 챑
          ["caelp"], # 챒
          ["caelh"], # 챓
          ["caem"], # 챔
          ["caeb"], # 챕
          ["caebs"], # 챖
          ["caes"], # 챗
          ["caess"], # 챘
          ["caeng"], # 챙
          ["caej"], # 챚
          ["caec"], # 챛
          ["caek"], # 챜
          ["caet"], # 챝
          ["caep"], # 챞
          ["caeh"], # 챟
          ["cya"], # 챠
          ["cyag"], # 챡
          ["cyagg"], # 챢
          ["cyags"], # 챣
          ["cyan"], # 챤
          ["cyanj"], # 챥
          ["cyanh"], # 챦
          ["cyad"], # 챧
          ["cyal"], # 챨
          ["cyalg"], # 챩
          ["cyalm"], # 챪
          ["cyalb"], # 챫
          ["cyals"], # 챬
          ["cyalt"], # 챭
          ["cyalp"], # 챮
          ["cyalh"], # 챯
          ["cyam"], # 챰
          ["cyab"], # 챱
          ["cyabs"], # 챲
          ["cyas"], # 챳
          ["cyass"], # 챴
          ["cyang"], # 챵
          ["cyaj"], # 챶
          ["cyac"], # 챷
          ["cyak"], # 챸
          ["cyat"], # 챹
          ["cyap"], # 챺
          ["cyah"], # 챻
          ["cyae"], # 챼
          ["cyaeg"], # 챽
          ["cyaegg"], # 챾
          ["cyaegs"], # 챿
          ["cyaen"], # 첀
          ["cyaenj"], # 첁
          ["cyaenh"], # 첂
          ["cyaed"], # 첃
          ["cyael"], # 첄
          ["cyaelg"], # 첅
          ["cyaelm"], # 첆
          ["cyaelb"], # 첇
          ["cyaels"], # 첈
          ["cyaelt"], # 첉
          ["cyaelp"], # 첊
          ["cyaelh"], # 첋
          ["cyaem"], # 첌
          ["cyaeb"], # 첍
          ["cyaebs"], # 첎
          ["cyaes"], # 첏
          ["cyaess"], # 첐
          ["cyaeng"], # 첑
          ["cyaej"], # 첒
          ["cyaec"], # 첓
          ["cyaek"], # 첔
          ["cyaet"], # 첕
          ["cyaep"], # 첖
          ["cyaeh"], # 첗
          ["ceo"], # 처
          ["ceog"], # 척
          ["ceogg"], # 첚
          ["ceogs"], # 첛
          ["ceon"], # 천
          ["ceonj"], # 첝
          ["ceonh"], # 첞
          ["ceod"], # 첟
          ["ceol"], # 철
          ["ceolg"], # 첡
          ["ceolm"], # 첢
          ["ceolb"], # 첣
          ["ceols"], # 첤
          ["ceolt"], # 첥
          ["ceolp"], # 첦
          ["ceolh"], # 첧
          ["ceom"], # 첨
          ["ceob"], # 첩
          ["ceobs"], # 첪
          ["ceos"], # 첫
          ["ceoss"], # 첬
          ["ceong"], # 청
          ["ceoj"], # 첮
          ["ceoc"], # 첯
          ["ceok"], # 첰
          ["ceot"], # 첱
          ["ceop"], # 첲
          ["ceoh"], # 첳
          ["ce"], # 체
          ["ceg"], # 첵
          ["cegg"], # 첶
          ["cegs"], # 첷
          ["cen"], # 첸
          ["cenj"], # 첹
          ["cenh"], # 첺
          ["ced"], # 첻
          ["cel"], # 첼
          ["celg"], # 첽
          ["celm"], # 첾
          ["celb"], # 첿
          ["cels"], # 쳀
          ["celt"], # 쳁
          ["celp"], # 쳂
          ["celh"], # 쳃
          ["cem"], # 쳄
          ["ceb"], # 쳅
          ["cebs"], # 쳆
          ["ces"], # 쳇
          ["cess"], # 쳈
          ["ceng"], # 쳉
          ["cej"], # 쳊
          ["cec"], # 쳋
          ["cek"], # 쳌
          ["cet"], # 쳍
          ["cep"], # 쳎
          ["ceh"], # 쳏
          ["cyeo"], # 쳐
          ["cyeog"], # 쳑
          ["cyeogg"], # 쳒
          ["cyeogs"], # 쳓
          ["cyeon"], # 쳔
          ["cyeonj"], # 쳕
          ["cyeonh"], # 쳖
          ["cyeod"], # 쳗
          ["cyeol"], # 쳘
          ["cyeolg"], # 쳙
          ["cyeolm"], # 쳚
          ["cyeolb"], # 쳛
          ["cyeols"], # 쳜
          ["cyeolt"], # 쳝
          ["cyeolp"], # 쳞
          ["cyeolh"], # 쳟
          ["cyeom"], # 쳠
          ["cyeob"], # 쳡
          ["cyeobs"], # 쳢
          ["cyeos"], # 쳣
          ["cyeoss"], # 쳤
          ["cyeong"], # 쳥
          ["cyeoj"], # 쳦
          ["cyeoc"], # 쳧
          ["cyeok"], # 쳨
          ["cyeot"], # 쳩
          ["cyeop"], # 쳪
          ["cyeoh"], # 쳫
          ["cye"], # 쳬
          ["cyeg"], # 쳭
          ["cyegg"], # 쳮
          ["cyegs"], # 쳯
          ["cyen"], # 쳰
          ["cyenj"], # 쳱
          ["cyenh"], # 쳲
          ["cyed"], # 쳳
          ["cyel"], # 쳴
          ["cyelg"], # 쳵
          ["cyelm"], # 쳶
          ["cyelb"], # 쳷
          ["cyels"], # 쳸
          ["cyelt"], # 쳹
          ["cyelp"], # 쳺
          ["cyelh"], # 쳻
          ["cyem"], # 쳼
          ["cyeb"], # 쳽
          ["cyebs"], # 쳾
          ["cyes"] # 쳿
        ],
        [
          ["cyess"], # 촀
          ["cyeng"], # 촁
          ["cyej"], # 촂
          ["cyec"], # 촃
          ["cyek"], # 촄
          ["cyet"], # 촅
          ["cyep"], # 촆
          ["cyeh"], # 촇
          ["co"], # 초
          ["cog"], # 촉
          ["cogg"], # 촊
          ["cogs"], # 촋
          ["con"], # 촌
          ["conj"], # 촍
          ["conh"], # 촎
          ["cod"], # 촏
          ["col"], # 촐
          ["colg"], # 촑
          ["colm"], # 촒
          ["colb"], # 촓
          ["cols"], # 촔
          ["colt"], # 촕
          ["colp"], # 촖
          ["colh"], # 촗
          ["com"], # 촘
          ["cob"], # 촙
          ["cobs"], # 촚
          ["cos"], # 촛
          ["coss"], # 촜
          ["cong"], # 총
          ["coj"], # 촞
          ["coc"], # 촟
          ["cok"], # 촠
          ["cot"], # 촡
          ["cop"], # 촢
          ["coh"], # 촣
          ["cwa"], # 촤
          ["cwag"], # 촥
          ["cwagg"], # 촦
          ["cwags"], # 촧
          ["cwan"], # 촨
          ["cwanj"], # 촩
          ["cwanh"], # 촪
          ["cwad"], # 촫
          ["cwal"], # 촬
          ["cwalg"], # 촭
          ["cwalm"], # 촮
          ["cwalb"], # 촯
          ["cwals"], # 촰
          ["cwalt"], # 촱
          ["cwalp"], # 촲
          ["cwalh"], # 촳
          ["cwam"], # 촴
          ["cwab"], # 촵
          ["cwabs"], # 촶
          ["cwas"], # 촷
          ["cwass"], # 촸
          ["cwang"], # 촹
          ["cwaj"], # 촺
          ["cwac"], # 촻
          ["cwak"], # 촼
          ["cwat"], # 촽
          ["cwap"], # 촾
          ["cwah"], # 촿
          ["cwae"], # 쵀
          ["cwaeg"], # 쵁
          ["cwaegg"], # 쵂
          ["cwaegs"], # 쵃
          ["cwaen"], # 쵄
          ["cwaenj"], # 쵅
          ["cwaenh"], # 쵆
          ["cwaed"], # 쵇
          ["cwael"], # 쵈
          ["cwaelg"], # 쵉
          ["cwaelm"], # 쵊
          ["cwaelb"], # 쵋
          ["cwaels"], # 쵌
          ["cwaelt"], # 쵍
          ["cwaelp"], # 쵎
          ["cwaelh"], # 쵏
          ["cwaem"], # 쵐
          ["cwaeb"], # 쵑
          ["cwaebs"], # 쵒
          ["cwaes"], # 쵓
          ["cwaess"], # 쵔
          ["cwaeng"], # 쵕
          ["cwaej"], # 쵖
          ["cwaec"], # 쵗
          ["cwaek"], # 쵘
          ["cwaet"], # 쵙
          ["cwaep"], # 쵚
          ["cwaeh"], # 쵛
          ["coe"], # 최
          ["coeg"], # 쵝
          ["coegg"], # 쵞
          ["coegs"], # 쵟
          ["coen"], # 쵠
          ["coenj"], # 쵡
          ["coenh"], # 쵢
          ["coed"], # 쵣
          ["coel"], # 쵤
          ["coelg"], # 쵥
          ["coelm"], # 쵦
          ["coelb"], # 쵧
          ["coels"], # 쵨
          ["coelt"], # 쵩
          ["coelp"], # 쵪
          ["coelh"], # 쵫
          ["coem"], # 쵬
          ["coeb"], # 쵭
          ["coebs"], # 쵮
          ["coes"], # 쵯
          ["coess"], # 쵰
          ["coeng"], # 쵱
          ["coej"], # 쵲
          ["coec"], # 쵳
          ["coek"], # 쵴
          ["coet"], # 쵵
          ["coep"], # 쵶
          ["coeh"], # 쵷
          ["cyo"], # 쵸
          ["cyog"], # 쵹
          ["cyogg"], # 쵺
          ["cyogs"], # 쵻
          ["cyon"], # 쵼
          ["cyonj"], # 쵽
          ["cyonh"], # 쵾
          ["cyod"], # 쵿
          ["cyol"], # 춀
          ["cyolg"], # 춁
          ["cyolm"], # 춂
          ["cyolb"], # 춃
          ["cyols"], # 춄
          ["cyolt"], # 춅
          ["cyolp"], # 춆
          ["cyolh"], # 춇
          ["cyom"], # 춈
          ["cyob"], # 춉
          ["cyobs"], # 춊
          ["cyos"], # 춋
          ["cyoss"], # 춌
          ["cyong"], # 춍
          ["cyoj"], # 춎
          ["cyoc"], # 춏
          ["cyok"], # 춐
          ["cyot"], # 춑
          ["cyop"], # 춒
          ["cyoh"], # 춓
          ["cu"], # 추
          ["cug"], # 축
          ["cugg"], # 춖
          ["cugs"], # 춗
          ["cun"], # 춘
          ["cunj"], # 춙
          ["cunh"], # 춚
          ["cud"], # 춛
          ["cul"], # 출
          ["culg"], # 춝
          ["culm"], # 춞
          ["culb"], # 춟
          ["culs"], # 춠
          ["cult"], # 춡
          ["culp"], # 춢
          ["culh"], # 춣
          ["cum"], # 춤
          ["cub"], # 춥
          ["cubs"], # 춦
          ["cus"], # 춧
          ["cuss"], # 춨
          ["cung"], # 충
          ["cuj"], # 춪
          ["cuc"], # 춫
          ["cuk"], # 춬
          ["cut"], # 춭
          ["cup"], # 춮
          ["cuh"], # 춯
          ["cweo"], # 춰
          ["cweog"], # 춱
          ["cweogg"], # 춲
          ["cweogs"], # 춳
          ["cweon"], # 춴
          ["cweonj"], # 춵
          ["cweonh"], # 춶
          ["cweod"], # 춷
          ["cweol"], # 춸
          ["cweolg"], # 춹
          ["cweolm"], # 춺
          ["cweolb"], # 춻
          ["cweols"], # 춼
          ["cweolt"], # 춽
          ["cweolp"], # 춾
          ["cweolh"], # 춿
          ["cweom"], # 췀
          ["cweob"], # 췁
          ["cweobs"], # 췂
          ["cweos"], # 췃
          ["cweoss"], # 췄
          ["cweong"], # 췅
          ["cweoj"], # 췆
          ["cweoc"], # 췇
          ["cweok"], # 췈
          ["cweot"], # 췉
          ["cweop"], # 췊
          ["cweoh"], # 췋
          ["cwe"], # 췌
          ["cweg"], # 췍
          ["cwegg"], # 췎
          ["cwegs"], # 췏
          ["cwen"], # 췐
          ["cwenj"], # 췑
          ["cwenh"], # 췒
          ["cwed"], # 췓
          ["cwel"], # 췔
          ["cwelg"], # 췕
          ["cwelm"], # 췖
          ["cwelb"], # 췗
          ["cwels"], # 췘
          ["cwelt"], # 췙
          ["cwelp"], # 췚
          ["cwelh"], # 췛
          ["cwem"], # 췜
          ["cweb"], # 췝
          ["cwebs"], # 췞
          ["cwes"], # 췟
          ["cwess"], # 췠
          ["cweng"], # 췡
          ["cwej"], # 췢
          ["cwec"], # 췣
          ["cwek"], # 췤
          ["cwet"], # 췥
          ["cwep"], # 췦
          ["cweh"], # 췧
          ["cwi"], # 취
          ["cwig"], # 췩
          ["cwigg"], # 췪
          ["cwigs"], # 췫
          ["cwin"], # 췬
          ["cwinj"], # 췭
          ["cwinh"], # 췮
          ["cwid"], # 췯
          ["cwil"], # 췰
          ["cwilg"], # 췱
          ["cwilm"], # 췲
          ["cwilb"], # 췳
          ["cwils"], # 췴
          ["cwilt"], # 췵
          ["cwilp"], # 췶
          ["cwilh"], # 췷
          ["cwim"], # 췸
          ["cwib"], # 췹
          ["cwibs"], # 췺
          ["cwis"], # 췻
          ["cwiss"], # 췼
          ["cwing"], # 췽
          ["cwij"], # 췾
          ["cwic"] # 췿
        ],
        [
          ["cwik"], # 츀
          ["cwit"], # 츁
          ["cwip"], # 츂
          ["cwih"], # 츃
          ["cyu"], # 츄
          ["cyug"], # 츅
          ["cyugg"], # 츆
          ["cyugs"], # 츇
          ["cyun"], # 츈
          ["cyunj"], # 츉
          ["cyunh"], # 츊
          ["cyud"], # 츋
          ["cyul"], # 츌
          ["cyulg"], # 츍
          ["cyulm"], # 츎
          ["cyulb"], # 츏
          ["cyuls"], # 츐
          ["cyult"], # 츑
          ["cyulp"], # 츒
          ["cyulh"], # 츓
          ["cyum"], # 츔
          ["cyub"], # 츕
          ["cyubs"], # 츖
          ["cyus"], # 츗
          ["cyuss"], # 츘
          ["cyung"], # 츙
          ["cyuj"], # 츚
          ["cyuc"], # 츛
          ["cyuk"], # 츜
          ["cyut"], # 츝
          ["cyup"], # 츞
          ["cyuh"], # 츟
          ["ceu"], # 츠
          ["ceug"], # 측
          ["ceugg"], # 츢
          ["ceugs"], # 츣
          ["ceun"], # 츤
          ["ceunj"], # 츥
          ["ceunh"], # 츦
          ["ceud"], # 츧
          ["ceul"], # 츨
          ["ceulg"], # 츩
          ["ceulm"], # 츪
          ["ceulb"], # 츫
          ["ceuls"], # 츬
          ["ceult"], # 츭
          ["ceulp"], # 츮
          ["ceulh"], # 츯
          ["ceum"], # 츰
          ["ceub"], # 츱
          ["ceubs"], # 츲
          ["ceus"], # 츳
          ["ceuss"], # 츴
          ["ceung"], # 층
          ["ceuj"], # 츶
          ["ceuc"], # 츷
          ["ceuk"], # 츸
          ["ceut"], # 츹
          ["ceup"], # 츺
          ["ceuh"], # 츻
          ["cyi"], # 츼
          ["cyig"], # 츽
          ["cyigg"], # 츾
          ["cyigs"], # 츿
          ["cyin"], # 칀
          ["cyinj"], # 칁
          ["cyinh"], # 칂
          ["cyid"], # 칃
          ["cyil"], # 칄
          ["cyilg"], # 칅
          ["cyilm"], # 칆
          ["cyilb"], # 칇
          ["cyils"], # 칈
          ["cyilt"], # 칉
          ["cyilp"], # 칊
          ["cyilh"], # 칋
          ["cyim"], # 칌
          ["cyib"], # 칍
          ["cyibs"], # 칎
          ["cyis"], # 칏
          ["cyiss"], # 칐
          ["cying"], # 칑
          ["cyij"], # 칒
          ["cyic"], # 칓
          ["cyik"], # 칔
          ["cyit"], # 칕
          ["cyip"], # 칖
          ["cyih"], # 칗
          ["ci"], # 치
          ["cig"], # 칙
          ["cigg"], # 칚
          ["cigs"], # 칛
          ["cin"], # 친
          ["cinj"], # 칝
          ["cinh"], # 칞
          ["cid"], # 칟
          ["cil"], # 칠
          ["cilg"], # 칡
          ["cilm"], # 칢
          ["cilb"], # 칣
          ["cils"], # 칤
          ["cilt"], # 칥
          ["cilp"], # 칦
          ["cilh"], # 칧
          ["cim"], # 침
          ["cib"], # 칩
          ["cibs"], # 칪
          ["cis"], # 칫
          ["ciss"], # 칬
          ["cing"], # 칭
          ["cij"], # 칮
          ["cic"], # 칯
          ["cik"], # 칰
          ["cit"], # 칱
          ["cip"], # 칲
          ["cih"], # 칳
          ["ka"], # 카
          ["kag"], # 칵
          ["kagg"], # 칶
          ["kags"], # 칷
          ["kan"], # 칸
          ["kanj"], # 칹
          ["kanh"], # 칺
          ["kad"], # 칻
          ["kal"], # 칼
          ["kalg"], # 칽
          ["kalm"], # 칾
          ["kalb"], # 칿
          ["kals"], # 캀
          ["kalt"], # 캁
          ["kalp"], # 캂
          ["kalh"], # 캃
          ["kam"], # 캄
          ["kab"], # 캅
          ["kabs"], # 캆
          ["kas"], # 캇
          ["kass"], # 캈
          ["kang"], # 캉
          ["kaj"], # 캊
          ["kac"], # 캋
          ["kak"], # 캌
          ["kat"], # 캍
          ["kap"], # 캎
          ["kah"], # 캏
          ["kae"], # 캐
          ["kaeg"], # 캑
          ["kaegg"], # 캒
          ["kaegs"], # 캓
          ["kaen"], # 캔
          ["kaenj"], # 캕
          ["kaenh"], # 캖
          ["kaed"], # 캗
          ["kael"], # 캘
          ["kaelg"], # 캙
          ["kaelm"], # 캚
          ["kaelb"], # 캛
          ["kaels"], # 캜
          ["kaelt"], # 캝
          ["kaelp"], # 캞
          ["kaelh"], # 캟
          ["kaem"], # 캠
          ["kaeb"], # 캡
          ["kaebs"], # 캢
          ["kaes"], # 캣
          ["kaess"], # 캤
          ["kaeng"], # 캥
          ["kaej"], # 캦
          ["kaec"], # 캧
          ["kaek"], # 캨
          ["kaet"], # 캩
          ["kaep"], # 캪
          ["kaeh"], # 캫
          ["kya"], # 캬
          ["kyag"], # 캭
          ["kyagg"], # 캮
          ["kyags"], # 캯
          ["kyan"], # 캰
          ["kyanj"], # 캱
          ["kyanh"], # 캲
          ["kyad"], # 캳
          ["kyal"], # 캴
          ["kyalg"], # 캵
          ["kyalm"], # 캶
          ["kyalb"], # 캷
          ["kyals"], # 캸
          ["kyalt"], # 캹
          ["kyalp"], # 캺
          ["kyalh"], # 캻
          ["kyam"], # 캼
          ["kyab"], # 캽
          ["kyabs"], # 캾
          ["kyas"], # 캿
          ["kyass"], # 컀
          ["kyang"], # 컁
          ["kyaj"], # 컂
          ["kyac"], # 컃
          ["kyak"], # 컄
          ["kyat"], # 컅
          ["kyap"], # 컆
          ["kyah"], # 컇
          ["kyae"], # 컈
          ["kyaeg"], # 컉
          ["kyaegg"], # 컊
          ["kyaegs"], # 컋
          ["kyaen"], # 컌
          ["kyaenj"], # 컍
          ["kyaenh"], # 컎
          ["kyaed"], # 컏
          ["kyael"], # 컐
          ["kyaelg"], # 컑
          ["kyaelm"], # 컒
          ["kyaelb"], # 컓
          ["kyaels"], # 컔
          ["kyaelt"], # 컕
          ["kyaelp"], # 컖
          ["kyaelh"], # 컗
          ["kyaem"], # 컘
          ["kyaeb"], # 컙
          ["kyaebs"], # 컚
          ["kyaes"], # 컛
          ["kyaess"], # 컜
          ["kyaeng"], # 컝
          ["kyaej"], # 컞
          ["kyaec"], # 컟
          ["kyaek"], # 컠
          ["kyaet"], # 컡
          ["kyaep"], # 컢
          ["kyaeh"], # 컣
          ["keo"], # 커
          ["keog"], # 컥
          ["keogg"], # 컦
          ["keogs"], # 컧
          ["keon"], # 컨
          ["keonj"], # 컩
          ["keonh"], # 컪
          ["keod"], # 컫
          ["keol"], # 컬
          ["keolg"], # 컭
          ["keolm"], # 컮
          ["keolb"], # 컯
          ["keols"], # 컰
          ["keolt"], # 컱
          ["keolp"], # 컲
          ["keolh"], # 컳
          ["keom"], # 컴
          ["keob"], # 컵
          ["keobs"], # 컶
          ["keos"], # 컷
          ["keoss"], # 컸
          ["keong"], # 컹
          ["keoj"], # 컺
          ["keoc"], # 컻
          ["keok"], # 컼
          ["keot"], # 컽
          ["keop"], # 컾
          ["keoh"] # 컿
        ],
        [
          ["ke"], # 케
          ["keg"], # 켁
          ["kegg"], # 켂
          ["kegs"], # 켃
          ["ken"], # 켄
          ["kenj"], # 켅
          ["kenh"], # 켆
          ["ked"], # 켇
          ["kel"], # 켈
          ["kelg"], # 켉
          ["kelm"], # 켊
          ["kelb"], # 켋
          ["kels"], # 켌
          ["kelt"], # 켍
          ["kelp"], # 켎
          ["kelh"], # 켏
          ["kem"], # 켐
          ["keb"], # 켑
          ["kebs"], # 켒
          ["kes"], # 켓
          ["kess"], # 켔
          ["keng"], # 켕
          ["kej"], # 켖
          ["kec"], # 켗
          ["kek"], # 켘
          ["ket"], # 켙
          ["kep"], # 켚
          ["keh"], # 켛
          ["kyeo"], # 켜
          ["kyeog"], # 켝
          ["kyeogg"], # 켞
          ["kyeogs"], # 켟
          ["kyeon"], # 켠
          ["kyeonj"], # 켡
          ["kyeonh"], # 켢
          ["kyeod"], # 켣
          ["kyeol"], # 켤
          ["kyeolg"], # 켥
          ["kyeolm"], # 켦
          ["kyeolb"], # 켧
          ["kyeols"], # 켨
          ["kyeolt"], # 켩
          ["kyeolp"], # 켪
          ["kyeolh"], # 켫
          ["kyeom"], # 켬
          ["kyeob"], # 켭
          ["kyeobs"], # 켮
          ["kyeos"], # 켯
          ["kyeoss"], # 켰
          ["kyeong"], # 켱
          ["kyeoj"], # 켲
          ["kyeoc"], # 켳
          ["kyeok"], # 켴
          ["kyeot"], # 켵
          ["kyeop"], # 켶
          ["kyeoh"], # 켷
          ["kye"], # 켸
          ["kyeg"], # 켹
          ["kyegg"], # 켺
          ["kyegs"], # 켻
          ["kyen"], # 켼
          ["kyenj"], # 켽
          ["kyenh"], # 켾
          ["kyed"], # 켿
          ["kyel"], # 콀
          ["kyelg"], # 콁
          ["kyelm"], # 콂
          ["kyelb"], # 콃
          ["kyels"], # 콄
          ["kyelt"], # 콅
          ["kyelp"], # 콆
          ["kyelh"], # 콇
          ["kyem"], # 콈
          ["kyeb"], # 콉
          ["kyebs"], # 콊
          ["kyes"], # 콋
          ["kyess"], # 콌
          ["kyeng"], # 콍
          ["kyej"], # 콎
          ["kyec"], # 콏
          ["kyek"], # 콐
          ["kyet"], # 콑
          ["kyep"], # 콒
          ["kyeh"], # 콓
          ["ko"], # 코
          ["kog"], # 콕
          ["kogg"], # 콖
          ["kogs"], # 콗
          ["kon"], # 콘
          ["konj"], # 콙
          ["konh"], # 콚
          ["kod"], # 콛
          ["kol"], # 콜
          ["kolg"], # 콝
          ["kolm"], # 콞
          ["kolb"], # 콟
          ["kols"], # 콠
          ["kolt"], # 콡
          ["kolp"], # 콢
          ["kolh"], # 콣
          ["kom"], # 콤
          ["kob"], # 콥
          ["kobs"], # 콦
          ["kos"], # 콧
          ["koss"], # 콨
          ["kong"], # 콩
          ["koj"], # 콪
          ["koc"], # 콫
          ["kok"], # 콬
          ["kot"], # 콭
          ["kop"], # 콮
          ["koh"], # 콯
          ["kwa"], # 콰
          ["kwag"], # 콱
          ["kwagg"], # 콲
          ["kwags"], # 콳
          ["kwan"], # 콴
          ["kwanj"], # 콵
          ["kwanh"], # 콶
          ["kwad"], # 콷
          ["kwal"], # 콸
          ["kwalg"], # 콹
          ["kwalm"], # 콺
          ["kwalb"], # 콻
          ["kwals"], # 콼
          ["kwalt"], # 콽
          ["kwalp"], # 콾
          ["kwalh"], # 콿
          ["kwam"], # 쾀
          ["kwab"], # 쾁
          ["kwabs"], # 쾂
          ["kwas"], # 쾃
          ["kwass"], # 쾄
          ["kwang"], # 쾅
          ["kwaj"], # 쾆
          ["kwac"], # 쾇
          ["kwak"], # 쾈
          ["kwat"], # 쾉
          ["kwap"], # 쾊
          ["kwah"], # 쾋
          ["kwae"], # 쾌
          ["kwaeg"], # 쾍
          ["kwaegg"], # 쾎
          ["kwaegs"], # 쾏
          ["kwaen"], # 쾐
          ["kwaenj"], # 쾑
          ["kwaenh"], # 쾒
          ["kwaed"], # 쾓
          ["kwael"], # 쾔
          ["kwaelg"], # 쾕
          ["kwaelm"], # 쾖
          ["kwaelb"], # 쾗
          ["kwaels"], # 쾘
          ["kwaelt"], # 쾙
          ["kwaelp"], # 쾚
          ["kwaelh"], # 쾛
          ["kwaem"], # 쾜
          ["kwaeb"], # 쾝
          ["kwaebs"], # 쾞
          ["kwaes"], # 쾟
          ["kwaess"], # 쾠
          ["kwaeng"], # 쾡
          ["kwaej"], # 쾢
          ["kwaec"], # 쾣
          ["kwaek"], # 쾤
          ["kwaet"], # 쾥
          ["kwaep"], # 쾦
          ["kwaeh"], # 쾧
          ["koe"], # 쾨
          ["koeg"], # 쾩
          ["koegg"], # 쾪
          ["koegs"], # 쾫
          ["koen"], # 쾬
          ["koenj"], # 쾭
          ["koenh"], # 쾮
          ["koed"], # 쾯
          ["koel"], # 쾰
          ["koelg"], # 쾱
          ["koelm"], # 쾲
          ["koelb"], # 쾳
          ["koels"], # 쾴
          ["koelt"], # 쾵
          ["koelp"], # 쾶
          ["koelh"], # 쾷
          ["koem"], # 쾸
          ["koeb"], # 쾹
          ["koebs"], # 쾺
          ["koes"], # 쾻
          ["koess"], # 쾼
          ["koeng"], # 쾽
          ["koej"], # 쾾
          ["koec"], # 쾿
          ["koek"], # 쿀
          ["koet"], # 쿁
          ["koep"], # 쿂
          ["koeh"], # 쿃
          ["kyo"], # 쿄
          ["kyog"], # 쿅
          ["kyogg"], # 쿆
          ["kyogs"], # 쿇
          ["kyon"], # 쿈
          ["kyonj"], # 쿉
          ["kyonh"], # 쿊
          ["kyod"], # 쿋
          ["kyol"], # 쿌
          ["kyolg"], # 쿍
          ["kyolm"], # 쿎
          ["kyolb"], # 쿏
          ["kyols"], # 쿐
          ["kyolt"], # 쿑
          ["kyolp"], # 쿒
          ["kyolh"], # 쿓
          ["kyom"], # 쿔
          ["kyob"], # 쿕
          ["kyobs"], # 쿖
          ["kyos"], # 쿗
          ["kyoss"], # 쿘
          ["kyong"], # 쿙
          ["kyoj"], # 쿚
          ["kyoc"], # 쿛
          ["kyok"], # 쿜
          ["kyot"], # 쿝
          ["kyop"], # 쿞
          ["kyoh"], # 쿟
          ["ku"], # 쿠
          ["kug"], # 쿡
          ["kugg"], # 쿢
          ["kugs"], # 쿣
          ["kun"], # 쿤
          ["kunj"], # 쿥
          ["kunh"], # 쿦
          ["kud"], # 쿧
          ["kul"], # 쿨
          ["kulg"], # 쿩
          ["kulm"], # 쿪
          ["kulb"], # 쿫
          ["kuls"], # 쿬
          ["kult"], # 쿭
          ["kulp"], # 쿮
          ["kulh"], # 쿯
          ["kum"], # 쿰
          ["kub"], # 쿱
          ["kubs"], # 쿲
          ["kus"], # 쿳
          ["kuss"], # 쿴
          ["kung"], # 쿵
          ["kuj"], # 쿶
          ["kuc"], # 쿷
          ["kuk"], # 쿸
          ["kut"], # 쿹
          ["kup"], # 쿺
          ["kuh"], # 쿻
          ["kweo"], # 쿼
          ["kweog"], # 쿽
          ["kweogg"], # 쿾
          ["kweogs"] # 쿿
        ],
        [
          ["kweon"], # 퀀
          ["kweonj"], # 퀁
          ["kweonh"], # 퀂
          ["kweod"], # 퀃
          ["kweol"], # 퀄
          ["kweolg"], # 퀅
          ["kweolm"], # 퀆
          ["kweolb"], # 퀇
          ["kweols"], # 퀈
          ["kweolt"], # 퀉
          ["kweolp"], # 퀊
          ["kweolh"], # 퀋
          ["kweom"], # 퀌
          ["kweob"], # 퀍
          ["kweobs"], # 퀎
          ["kweos"], # 퀏
          ["kweoss"], # 퀐
          ["kweong"], # 퀑
          ["kweoj"], # 퀒
          ["kweoc"], # 퀓
          ["kweok"], # 퀔
          ["kweot"], # 퀕
          ["kweop"], # 퀖
          ["kweoh"], # 퀗
          ["kwe"], # 퀘
          ["kweg"], # 퀙
          ["kwegg"], # 퀚
          ["kwegs"], # 퀛
          ["kwen"], # 퀜
          ["kwenj"], # 퀝
          ["kwenh"], # 퀞
          ["kwed"], # 퀟
          ["kwel"], # 퀠
          ["kwelg"], # 퀡
          ["kwelm"], # 퀢
          ["kwelb"], # 퀣
          ["kwels"], # 퀤
          ["kwelt"], # 퀥
          ["kwelp"], # 퀦
          ["kwelh"], # 퀧
          ["kwem"], # 퀨
          ["kweb"], # 퀩
          ["kwebs"], # 퀪
          ["kwes"], # 퀫
          ["kwess"], # 퀬
          ["kweng"], # 퀭
          ["kwej"], # 퀮
          ["kwec"], # 퀯
          ["kwek"], # 퀰
          ["kwet"], # 퀱
          ["kwep"], # 퀲
          ["kweh"], # 퀳
          ["kwi"], # 퀴
          ["kwig"], # 퀵
          ["kwigg"], # 퀶
          ["kwigs"], # 퀷
          ["kwin"], # 퀸
          ["kwinj"], # 퀹
          ["kwinh"], # 퀺
          ["kwid"], # 퀻
          ["kwil"], # 퀼
          ["kwilg"], # 퀽
          ["kwilm"], # 퀾
          ["kwilb"], # 퀿
          ["kwils"], # 큀
          ["kwilt"], # 큁
          ["kwilp"], # 큂
          ["kwilh"], # 큃
          ["kwim"], # 큄
          ["kwib"], # 큅
          ["kwibs"], # 큆
          ["kwis"], # 큇
          ["kwiss"], # 큈
          ["kwing"], # 큉
          ["kwij"], # 큊
          ["kwic"], # 큋
          ["kwik"], # 큌
          ["kwit"], # 큍
          ["kwip"], # 큎
          ["kwih"], # 큏
          ["kyu"], # 큐
          ["kyug"], # 큑
          ["kyugg"], # 큒
          ["kyugs"], # 큓
          ["kyun"], # 큔
          ["kyunj"], # 큕
          ["kyunh"], # 큖
          ["kyud"], # 큗
          ["kyul"], # 큘
          ["kyulg"], # 큙
          ["kyulm"], # 큚
          ["kyulb"], # 큛
          ["kyuls"], # 큜
          ["kyult"], # 큝
          ["kyulp"], # 큞
          ["kyulh"], # 큟
          ["kyum"], # 큠
          ["kyub"], # 큡
          ["kyubs"], # 큢
          ["kyus"], # 큣
          ["kyuss"], # 큤
          ["kyung"], # 큥
          ["kyuj"], # 큦
          ["kyuc"], # 큧
          ["kyuk"], # 큨
          ["kyut"], # 큩
          ["kyup"], # 큪
          ["kyuh"], # 큫
          ["keu"], # 크
          ["keug"], # 큭
          ["keugg"], # 큮
          ["keugs"], # 큯
          ["keun"], # 큰
          ["keunj"], # 큱
          ["keunh"], # 큲
          ["keud"], # 큳
          ["keul"], # 클
          ["keulg"], # 큵
          ["keulm"], # 큶
          ["keulb"], # 큷
          ["keuls"], # 큸
          ["keult"], # 큹
          ["keulp"], # 큺
          ["keulh"], # 큻
          ["keum"], # 큼
          ["keub"], # 큽
          ["keubs"], # 큾
          ["keus"], # 큿
          ["keuss"], # 킀
          ["keung"], # 킁
          ["keuj"], # 킂
          ["keuc"], # 킃
          ["keuk"], # 킄
          ["keut"], # 킅
          ["keup"], # 킆
          ["keuh"], # 킇
          ["kyi"], # 킈
          ["kyig"], # 킉
          ["kyigg"], # 킊
          ["kyigs"], # 킋
          ["kyin"], # 킌
          ["kyinj"], # 킍
          ["kyinh"], # 킎
          ["kyid"], # 킏
          ["kyil"], # 킐
          ["kyilg"], # 킑
          ["kyilm"], # 킒
          ["kyilb"], # 킓
          ["kyils"], # 킔
          ["kyilt"], # 킕
          ["kyilp"], # 킖
          ["kyilh"], # 킗
          ["kyim"], # 킘
          ["kyib"], # 킙
          ["kyibs"], # 킚
          ["kyis"], # 킛
          ["kyiss"], # 킜
          ["kying"], # 킝
          ["kyij"], # 킞
          ["kyic"], # 킟
          ["kyik"], # 킠
          ["kyit"], # 킡
          ["kyip"], # 킢
          ["kyih"], # 킣
          ["ki"], # 키
          ["kig"], # 킥
          ["kigg"], # 킦
          ["kigs"], # 킧
          ["kin"], # 킨
          ["kinj"], # 킩
          ["kinh"], # 킪
          ["kid"], # 킫
          ["kil"], # 킬
          ["kilg"], # 킭
          ["kilm"], # 킮
          ["kilb"], # 킯
          ["kils"], # 킰
          ["kilt"], # 킱
          ["kilp"], # 킲
          ["kilh"], # 킳
          ["kim"], # 킴
          ["kib"], # 킵
          ["kibs"], # 킶
          ["kis"], # 킷
          ["kiss"], # 킸
          ["king"], # 킹
          ["kij"], # 킺
          ["kic"], # 킻
          ["kik"], # 킼
          ["kit"], # 킽
          ["kip"], # 킾
          ["kih"], # 킿
          ["ta"], # 타
          ["tag"], # 탁
          ["tagg"], # 탂
          ["tags"], # 탃
          ["tan"], # 탄
          ["tanj"], # 탅
          ["tanh"], # 탆
          ["tad"], # 탇
          ["tal"], # 탈
          ["talg"], # 탉
          ["talm"], # 탊
          ["talb"], # 탋
          ["tals"], # 탌
          ["talt"], # 탍
          ["talp"], # 탎
          ["talh"], # 탏
          ["tam"], # 탐
          ["tab"], # 탑
          ["tabs"], # 탒
          ["tas"], # 탓
          ["tass"], # 탔
          ["tang"], # 탕
          ["taj"], # 탖
          ["tac"], # 탗
          ["tak"], # 탘
          ["tat"], # 탙
          ["tap"], # 탚
          ["tah"], # 탛
          ["tae"], # 태
          ["taeg"], # 택
          ["taegg"], # 탞
          ["taegs"], # 탟
          ["taen"], # 탠
          ["taenj"], # 탡
          ["taenh"], # 탢
          ["taed"], # 탣
          ["tael"], # 탤
          ["taelg"], # 탥
          ["taelm"], # 탦
          ["taelb"], # 탧
          ["taels"], # 탨
          ["taelt"], # 탩
          ["taelp"], # 탪
          ["taelh"], # 탫
          ["taem"], # 탬
          ["taeb"], # 탭
          ["taebs"], # 탮
          ["taes"], # 탯
          ["taess"], # 탰
          ["taeng"], # 탱
          ["taej"], # 탲
          ["taec"], # 탳
          ["taek"], # 탴
          ["taet"], # 탵
          ["taep"], # 탶
          ["taeh"], # 탷
          ["tya"], # 탸
          ["tyag"], # 탹
          ["tyagg"], # 탺
          ["tyags"], # 탻
          ["tyan"], # 탼
          ["tyanj"], # 탽
          ["tyanh"], # 탾
          ["tyad"] # 탿
        ],
        [
          ["tyal"], # 턀
          ["tyalg"], # 턁
          ["tyalm"], # 턂
          ["tyalb"], # 턃
          ["tyals"], # 턄
          ["tyalt"], # 턅
          ["tyalp"], # 턆
          ["tyalh"], # 턇
          ["tyam"], # 턈
          ["tyab"], # 턉
          ["tyabs"], # 턊
          ["tyas"], # 턋
          ["tyass"], # 턌
          ["tyang"], # 턍
          ["tyaj"], # 턎
          ["tyac"], # 턏
          ["tyak"], # 턐
          ["tyat"], # 턑
          ["tyap"], # 턒
          ["tyah"], # 턓
          ["tyae"], # 턔
          ["tyaeg"], # 턕
          ["tyaegg"], # 턖
          ["tyaegs"], # 턗
          ["tyaen"], # 턘
          ["tyaenj"], # 턙
          ["tyaenh"], # 턚
          ["tyaed"], # 턛
          ["tyael"], # 턜
          ["tyaelg"], # 턝
          ["tyaelm"], # 턞
          ["tyaelb"], # 턟
          ["tyaels"], # 턠
          ["tyaelt"], # 턡
          ["tyaelp"], # 턢
          ["tyaelh"], # 턣
          ["tyaem"], # 턤
          ["tyaeb"], # 턥
          ["tyaebs"], # 턦
          ["tyaes"], # 턧
          ["tyaess"], # 턨
          ["tyaeng"], # 턩
          ["tyaej"], # 턪
          ["tyaec"], # 턫
          ["tyaek"], # 턬
          ["tyaet"], # 턭
          ["tyaep"], # 턮
          ["tyaeh"], # 턯
          ["teo"], # 터
          ["teog"], # 턱
          ["teogg"], # 턲
          ["teogs"], # 턳
          ["teon"], # 턴
          ["teonj"], # 턵
          ["teonh"], # 턶
          ["teod"], # 턷
          ["teol"], # 털
          ["teolg"], # 턹
          ["teolm"], # 턺
          ["teolb"], # 턻
          ["teols"], # 턼
          ["teolt"], # 턽
          ["teolp"], # 턾
          ["teolh"], # 턿
          ["teom"], # 텀
          ["teob"], # 텁
          ["teobs"], # 텂
          ["teos"], # 텃
          ["teoss"], # 텄
          ["teong"], # 텅
          ["teoj"], # 텆
          ["teoc"], # 텇
          ["teok"], # 텈
          ["teot"], # 텉
          ["teop"], # 텊
          ["teoh"], # 텋
          ["te"], # 테
          ["teg"], # 텍
          ["tegg"], # 텎
          ["tegs"], # 텏
          ["ten"], # 텐
          ["tenj"], # 텑
          ["tenh"], # 텒
          ["ted"], # 텓
          ["tel"], # 텔
          ["telg"], # 텕
          ["telm"], # 텖
          ["telb"], # 텗
          ["tels"], # 텘
          ["telt"], # 텙
          ["telp"], # 텚
          ["telh"], # 텛
          ["tem"], # 템
          ["teb"], # 텝
          ["tebs"], # 텞
          ["tes"], # 텟
          ["tess"], # 텠
          ["teng"], # 텡
          ["tej"], # 텢
          ["tec"], # 텣
          ["tek"], # 텤
          ["tet"], # 텥
          ["tep"], # 텦
          ["teh"], # 텧
          ["tyeo"], # 텨
          ["tyeog"], # 텩
          ["tyeogg"], # 텪
          ["tyeogs"], # 텫
          ["tyeon"], # 텬
          ["tyeonj"], # 텭
          ["tyeonh"], # 텮
          ["tyeod"], # 텯
          ["tyeol"], # 텰
          ["tyeolg"], # 텱
          ["tyeolm"], # 텲
          ["tyeolb"], # 텳
          ["tyeols"], # 텴
          ["tyeolt"], # 텵
          ["tyeolp"], # 텶
          ["tyeolh"], # 텷
          ["tyeom"], # 텸
          ["tyeob"], # 텹
          ["tyeobs"], # 텺
          ["tyeos"], # 텻
          ["tyeoss"], # 텼
          ["tyeong"], # 텽
          ["tyeoj"], # 텾
          ["tyeoc"], # 텿
          ["tyeok"], # 톀
          ["tyeot"], # 톁
          ["tyeop"], # 톂
          ["tyeoh"], # 톃
          ["tye"], # 톄
          ["tyeg"], # 톅
          ["tyegg"], # 톆
          ["tyegs"], # 톇
          ["tyen"], # 톈
          ["tyenj"], # 톉
          ["tyenh"], # 톊
          ["tyed"], # 톋
          ["tyel"], # 톌
          ["tyelg"], # 톍
          ["tyelm"], # 톎
          ["tyelb"], # 톏
          ["tyels"], # 톐
          ["tyelt"], # 톑
          ["tyelp"], # 톒
          ["tyelh"], # 톓
          ["tyem"], # 톔
          ["tyeb"], # 톕
          ["tyebs"], # 톖
          ["tyes"], # 톗
          ["tyess"], # 톘
          ["tyeng"], # 톙
          ["tyej"], # 톚
          ["tyec"], # 톛
          ["tyek"], # 톜
          ["tyet"], # 톝
          ["tyep"], # 톞
          ["tyeh"], # 톟
          ["to"], # 토
          ["tog"], # 톡
          ["togg"], # 톢
          ["togs"], # 톣
          ["ton"], # 톤
          ["tonj"], # 톥
          ["tonh"], # 톦
          ["tod"], # 톧
          ["tol"], # 톨
          ["tolg"], # 톩
          ["tolm"], # 톪
          ["tolb"], # 톫
          ["tols"], # 톬
          ["tolt"], # 톭
          ["tolp"], # 톮
          ["tolh"], # 톯
          ["tom"], # 톰
          ["tob"], # 톱
          ["tobs"], # 톲
          ["tos"], # 톳
          ["toss"], # 톴
          ["tong"], # 통
          ["toj"], # 톶
          ["toc"], # 톷
          ["tok"], # 톸
          ["tot"], # 톹
          ["top"], # 톺
          ["toh"], # 톻
          ["twa"], # 톼
          ["twag"], # 톽
          ["twagg"], # 톾
          ["twags"], # 톿
          ["twan"], # 퇀
          ["twanj"], # 퇁
          ["twanh"], # 퇂
          ["twad"], # 퇃
          ["twal"], # 퇄
          ["twalg"], # 퇅
          ["twalm"], # 퇆
          ["twalb"], # 퇇
          ["twals"], # 퇈
          ["twalt"], # 퇉
          ["twalp"], # 퇊
          ["twalh"], # 퇋
          ["twam"], # 퇌
          ["twab"], # 퇍
          ["twabs"], # 퇎
          ["twas"], # 퇏
          ["twass"], # 퇐
          ["twang"], # 퇑
          ["twaj"], # 퇒
          ["twac"], # 퇓
          ["twak"], # 퇔
          ["twat"], # 퇕
          ["twap"], # 퇖
          ["twah"], # 퇗
          ["twae"], # 퇘
          ["twaeg"], # 퇙
          ["twaegg"], # 퇚
          ["twaegs"], # 퇛
          ["twaen"], # 퇜
          ["twaenj"], # 퇝
          ["twaenh"], # 퇞
          ["twaed"], # 퇟
          ["twael"], # 퇠
          ["twaelg"], # 퇡
          ["twaelm"], # 퇢
          ["twaelb"], # 퇣
          ["twaels"], # 퇤
          ["twaelt"], # 퇥
          ["twaelp"], # 퇦
          ["twaelh"], # 퇧
          ["twaem"], # 퇨
          ["twaeb"], # 퇩
          ["twaebs"], # 퇪
          ["twaes"], # 퇫
          ["twaess"], # 퇬
          ["twaeng"], # 퇭
          ["twaej"], # 퇮
          ["twaec"], # 퇯
          ["twaek"], # 퇰
          ["twaet"], # 퇱
          ["twaep"], # 퇲
          ["twaeh"], # 퇳
          ["toe"], # 퇴
          ["toeg"], # 퇵
          ["toegg"], # 퇶
          ["toegs"], # 퇷
          ["toen"], # 퇸
          ["toenj"], # 퇹
          ["toenh"], # 퇺
          ["toed"], # 퇻
          ["toel"], # 퇼
          ["toelg"], # 퇽
          ["toelm"], # 퇾
          ["toelb"] # 퇿
        ],
        [
          ["toels"], # 툀
          ["toelt"], # 툁
          ["toelp"], # 툂
          ["toelh"], # 툃
          ["toem"], # 툄
          ["toeb"], # 툅
          ["toebs"], # 툆
          ["toes"], # 툇
          ["toess"], # 툈
          ["toeng"], # 툉
          ["toej"], # 툊
          ["toec"], # 툋
          ["toek"], # 툌
          ["toet"], # 툍
          ["toep"], # 툎
          ["toeh"], # 툏
          ["tyo"], # 툐
          ["tyog"], # 툑
          ["tyogg"], # 툒
          ["tyogs"], # 툓
          ["tyon"], # 툔
          ["tyonj"], # 툕
          ["tyonh"], # 툖
          ["tyod"], # 툗
          ["tyol"], # 툘
          ["tyolg"], # 툙
          ["tyolm"], # 툚
          ["tyolb"], # 툛
          ["tyols"], # 툜
          ["tyolt"], # 툝
          ["tyolp"], # 툞
          ["tyolh"], # 툟
          ["tyom"], # 툠
          ["tyob"], # 툡
          ["tyobs"], # 툢
          ["tyos"], # 툣
          ["tyoss"], # 툤
          ["tyong"], # 툥
          ["tyoj"], # 툦
          ["tyoc"], # 툧
          ["tyok"], # 툨
          ["tyot"], # 툩
          ["tyop"], # 툪
          ["tyoh"], # 툫
          ["tu"], # 투
          ["tug"], # 툭
          ["tugg"], # 툮
          ["tugs"], # 툯
          ["tun"], # 툰
          ["tunj"], # 툱
          ["tunh"], # 툲
          ["tud"], # 툳
          ["tul"], # 툴
          ["tulg"], # 툵
          ["tulm"], # 툶
          ["tulb"], # 툷
          ["tuls"], # 툸
          ["tult"], # 툹
          ["tulp"], # 툺
          ["tulh"], # 툻
          ["tum"], # 툼
          ["tub"], # 툽
          ["tubs"], # 툾
          ["tus"], # 툿
          ["tuss"], # 퉀
          ["tung"], # 퉁
          ["tuj"], # 퉂
          ["tuc"], # 퉃
          ["tuk"], # 퉄
          ["tut"], # 퉅
          ["tup"], # 퉆
          ["tuh"], # 퉇
          ["tweo"], # 퉈
          ["tweog"], # 퉉
          ["tweogg"], # 퉊
          ["tweogs"], # 퉋
          ["tweon"], # 퉌
          ["tweonj"], # 퉍
          ["tweonh"], # 퉎
          ["tweod"], # 퉏
          ["tweol"], # 퉐
          ["tweolg"], # 퉑
          ["tweolm"], # 퉒
          ["tweolb"], # 퉓
          ["tweols"], # 퉔
          ["tweolt"], # 퉕
          ["tweolp"], # 퉖
          ["tweolh"], # 퉗
          ["tweom"], # 퉘
          ["tweob"], # 퉙
          ["tweobs"], # 퉚
          ["tweos"], # 퉛
          ["tweoss"], # 퉜
          ["tweong"], # 퉝
          ["tweoj"], # 퉞
          ["tweoc"], # 퉟
          ["tweok"], # 퉠
          ["tweot"], # 퉡
          ["tweop"], # 퉢
          ["tweoh"], # 퉣
          ["twe"], # 퉤
          ["tweg"], # 퉥
          ["twegg"], # 퉦
          ["twegs"], # 퉧
          ["twen"], # 퉨
          ["twenj"], # 퉩
          ["twenh"], # 퉪
          ["twed"], # 퉫
          ["twel"], # 퉬
          ["twelg"], # 퉭
          ["twelm"], # 퉮
          ["twelb"], # 퉯
          ["twels"], # 퉰
          ["twelt"], # 퉱
          ["twelp"], # 퉲
          ["twelh"], # 퉳
          ["twem"], # 퉴
          ["tweb"], # 퉵
          ["twebs"], # 퉶
          ["twes"], # 퉷
          ["twess"], # 퉸
          ["tweng"], # 퉹
          ["twej"], # 퉺
          ["twec"], # 퉻
          ["twek"], # 퉼
          ["twet"], # 퉽
          ["twep"], # 퉾
          ["tweh"], # 퉿
          ["twi"], # 튀
          ["twig"], # 튁
          ["twigg"], # 튂
          ["twigs"], # 튃
          ["twin"], # 튄
          ["twinj"], # 튅
          ["twinh"], # 튆
          ["twid"], # 튇
          ["twil"], # 튈
          ["twilg"], # 튉
          ["twilm"], # 튊
          ["twilb"], # 튋
          ["twils"], # 튌
          ["twilt"], # 튍
          ["twilp"], # 튎
          ["twilh"], # 튏
          ["twim"], # 튐
          ["twib"], # 튑
          ["twibs"], # 튒
          ["twis"], # 튓
          ["twiss"], # 튔
          ["twing"], # 튕
          ["twij"], # 튖
          ["twic"], # 튗
          ["twik"], # 튘
          ["twit"], # 튙
          ["twip"], # 튚
          ["twih"], # 튛
          ["tyu"], # 튜
          ["tyug"], # 튝
          ["tyugg"], # 튞
          ["tyugs"], # 튟
          ["tyun"], # 튠
          ["tyunj"], # 튡
          ["tyunh"], # 튢
          ["tyud"], # 튣
          ["tyul"], # 튤
          ["tyulg"], # 튥
          ["tyulm"], # 튦
          ["tyulb"], # 튧
          ["tyuls"], # 튨
          ["tyult"], # 튩
          ["tyulp"], # 튪
          ["tyulh"], # 튫
          ["tyum"], # 튬
          ["tyub"], # 튭
          ["tyubs"], # 튮
          ["tyus"], # 튯
          ["tyuss"], # 튰
          ["tyung"], # 튱
          ["tyuj"], # 튲
          ["tyuc"], # 튳
          ["tyuk"], # 튴
          ["tyut"], # 튵
          ["tyup"], # 튶
          ["tyuh"], # 튷
          ["teu"], # 트
          ["teug"], # 특
          ["teugg"], # 튺
          ["teugs"], # 튻
          ["teun"], # 튼
          ["teunj"], # 튽
          ["teunh"], # 튾
          ["teud"], # 튿
          ["teul"], # 틀
          ["teulg"], # 틁
          ["teulm"], # 틂
          ["teulb"], # 틃
          ["teuls"], # 틄
          ["teult"], # 틅
          ["teulp"], # 틆
          ["teulh"], # 틇
          ["teum"], # 틈
          ["teub"], # 틉
          ["teubs"], # 틊
          ["teus"], # 틋
          ["teuss"], # 틌
          ["teung"], # 틍
          ["teuj"], # 틎
          ["teuc"], # 틏
          ["teuk"], # 틐
          ["teut"], # 틑
          ["teup"], # 틒
          ["teuh"], # 틓
          ["tyi"], # 틔
          ["tyig"], # 틕
          ["tyigg"], # 틖
          ["tyigs"], # 틗
          ["tyin"], # 틘
          ["tyinj"], # 틙
          ["tyinh"], # 틚
          ["tyid"], # 틛
          ["tyil"], # 틜
          ["tyilg"], # 틝
          ["tyilm"], # 틞
          ["tyilb"], # 틟
          ["tyils"], # 틠
          ["tyilt"], # 틡
          ["tyilp"], # 틢
          ["tyilh"], # 틣
          ["tyim"], # 틤
          ["tyib"], # 틥
          ["tyibs"], # 틦
          ["tyis"], # 틧
          ["tyiss"], # 틨
          ["tying"], # 틩
          ["tyij"], # 틪
          ["tyic"], # 틫
          ["tyik"], # 틬
          ["tyit"], # 틭
          ["tyip"], # 틮
          ["tyih"], # 틯
          ["ti"], # 티
          ["tig"], # 틱
          ["tigg"], # 틲
          ["tigs"], # 틳
          ["tin"], # 틴
          ["tinj"], # 틵
          ["tinh"], # 틶
          ["tid"], # 틷
          ["til"], # 틸
          ["tilg"], # 틹
          ["tilm"], # 틺
          ["tilb"], # 틻
          ["tils"], # 틼
          ["tilt"], # 틽
          ["tilp"], # 틾
          ["tilh"] # 틿
        ],
        [
          ["tim"], # 팀
          ["tib"], # 팁
          ["tibs"], # 팂
          ["tis"], # 팃
          ["tiss"], # 팄
          ["ting"], # 팅
          ["tij"], # 팆
          ["tic"], # 팇
          ["tik"], # 팈
          ["tit"], # 팉
          ["tip"], # 팊
          ["tih"], # 팋
          ["pa"], # 파
          ["pag"], # 팍
          ["pagg"], # 팎
          ["pags"], # 팏
          ["pan"], # 판
          ["panj"], # 팑
          ["panh"], # 팒
          ["pad"], # 팓
          ["pal"], # 팔
          ["palg"], # 팕
          ["palm"], # 팖
          ["palb"], # 팗
          ["pals"], # 팘
          ["palt"], # 팙
          ["palp"], # 팚
          ["palh"], # 팛
          ["pam"], # 팜
          ["pab"], # 팝
          ["pabs"], # 팞
          ["pas"], # 팟
          ["pass"], # 팠
          ["pang"], # 팡
          ["paj"], # 팢
          ["pac"], # 팣
          ["pak"], # 팤
          ["pat"], # 팥
          ["pap"], # 팦
          ["pah"], # 팧
          ["pae"], # 패
          ["paeg"], # 팩
          ["paegg"], # 팪
          ["paegs"], # 팫
          ["paen"], # 팬
          ["paenj"], # 팭
          ["paenh"], # 팮
          ["paed"], # 팯
          ["pael"], # 팰
          ["paelg"], # 팱
          ["paelm"], # 팲
          ["paelb"], # 팳
          ["paels"], # 팴
          ["paelt"], # 팵
          ["paelp"], # 팶
          ["paelh"], # 팷
          ["paem"], # 팸
          ["paeb"], # 팹
          ["paebs"], # 팺
          ["paes"], # 팻
          ["paess"], # 팼
          ["paeng"], # 팽
          ["paej"], # 팾
          ["paec"], # 팿
          ["paek"], # 퍀
          ["paet"], # 퍁
          ["paep"], # 퍂
          ["paeh"], # 퍃
          ["pya"], # 퍄
          ["pyag"], # 퍅
          ["pyagg"], # 퍆
          ["pyags"], # 퍇
          ["pyan"], # 퍈
          ["pyanj"], # 퍉
          ["pyanh"], # 퍊
          ["pyad"], # 퍋
          ["pyal"], # 퍌
          ["pyalg"], # 퍍
          ["pyalm"], # 퍎
          ["pyalb"], # 퍏
          ["pyals"], # 퍐
          ["pyalt"], # 퍑
          ["pyalp"], # 퍒
          ["pyalh"], # 퍓
          ["pyam"], # 퍔
          ["pyab"], # 퍕
          ["pyabs"], # 퍖
          ["pyas"], # 퍗
          ["pyass"], # 퍘
          ["pyang"], # 퍙
          ["pyaj"], # 퍚
          ["pyac"], # 퍛
          ["pyak"], # 퍜
          ["pyat"], # 퍝
          ["pyap"], # 퍞
          ["pyah"], # 퍟
          ["pyae"], # 퍠
          ["pyaeg"], # 퍡
          ["pyaegg"], # 퍢
          ["pyaegs"], # 퍣
          ["pyaen"], # 퍤
          ["pyaenj"], # 퍥
          ["pyaenh"], # 퍦
          ["pyaed"], # 퍧
          ["pyael"], # 퍨
          ["pyaelg"], # 퍩
          ["pyaelm"], # 퍪
          ["pyaelb"], # 퍫
          ["pyaels"], # 퍬
          ["pyaelt"], # 퍭
          ["pyaelp"], # 퍮
          ["pyaelh"], # 퍯
          ["pyaem"], # 퍰
          ["pyaeb"], # 퍱
          ["pyaebs"], # 퍲
          ["pyaes"], # 퍳
          ["pyaess"], # 퍴
          ["pyaeng"], # 퍵
          ["pyaej"], # 퍶
          ["pyaec"], # 퍷
          ["pyaek"], # 퍸
          ["pyaet"], # 퍹
          ["pyaep"], # 퍺
          ["pyaeh"], # 퍻
          ["peo"], # 퍼
          ["peog"], # 퍽
          ["peogg"], # 퍾
          ["peogs"], # 퍿
          ["peon"], # 펀
          ["peonj"], # 펁
          ["peonh"], # 펂
          ["peod"], # 펃
          ["peol"], # 펄
          ["peolg"], # 펅
          ["peolm"], # 펆
          ["peolb"], # 펇
          ["peols"], # 펈
          ["peolt"], # 펉
          ["peolp"], # 펊
          ["peolh"], # 펋
          ["peom"], # 펌
          ["peob"], # 펍
          ["peobs"], # 펎
          ["peos"], # 펏
          ["peoss"], # 펐
          ["peong"], # 펑
          ["peoj"], # 펒
          ["peoc"], # 펓
          ["peok"], # 펔
          ["peot"], # 펕
          ["peop"], # 펖
          ["peoh"], # 펗
          ["pe"], # 페
          ["peg"], # 펙
          ["pegg"], # 펚
          ["pegs"], # 펛
          ["pen"], # 펜
          ["penj"], # 펝
          ["penh"], # 펞
          ["ped"], # 펟
          ["pel"], # 펠
          ["pelg"], # 펡
          ["pelm"], # 펢
          ["pelb"], # 펣
          ["pels"], # 펤
          ["pelt"], # 펥
          ["pelp"], # 펦
          ["pelh"], # 펧
          ["pem"], # 펨
          ["peb"], # 펩
          ["pebs"], # 펪
          ["pes"], # 펫
          ["pess"], # 펬
          ["peng"], # 펭
          ["pej"], # 펮
          ["pec"], # 펯
          ["pek"], # 펰
          ["pet"], # 펱
          ["pep"], # 펲
          ["peh"], # 펳
          ["pyeo"], # 펴
          ["pyeog"], # 펵
          ["pyeogg"], # 펶
          ["pyeogs"], # 펷
          ["pyeon"], # 편
          ["pyeonj"], # 펹
          ["pyeonh"], # 펺
          ["pyeod"], # 펻
          ["pyeol"], # 펼
          ["pyeolg"], # 펽
          ["pyeolm"], # 펾
          ["pyeolb"], # 펿
          ["pyeols"], # 폀
          ["pyeolt"], # 폁
          ["pyeolp"], # 폂
          ["pyeolh"], # 폃
          ["pyeom"], # 폄
          ["pyeob"], # 폅
          ["pyeobs"], # 폆
          ["pyeos"], # 폇
          ["pyeoss"], # 폈
          ["pyeong"], # 평
          ["pyeoj"], # 폊
          ["pyeoc"], # 폋
          ["pyeok"], # 폌
          ["pyeot"], # 폍
          ["pyeop"], # 폎
          ["pyeoh"], # 폏
          ["pye"], # 폐
          ["pyeg"], # 폑
          ["pyegg"], # 폒
          ["pyegs"], # 폓
          ["pyen"], # 폔
          ["pyenj"], # 폕
          ["pyenh"], # 폖
          ["pyed"], # 폗
          ["pyel"], # 폘
          ["pyelg"], # 폙
          ["pyelm"], # 폚
          ["pyelb"], # 폛
          ["pyels"], # 폜
          ["pyelt"], # 폝
          ["pyelp"], # 폞
          ["pyelh"], # 폟
          ["pyem"], # 폠
          ["pyeb"], # 폡
          ["pyebs"], # 폢
          ["pyes"], # 폣
          ["pyess"], # 폤
          ["pyeng"], # 폥
          ["pyej"], # 폦
          ["pyec"], # 폧
          ["pyek"], # 폨
          ["pyet"], # 폩
          ["pyep"], # 폪
          ["pyeh"], # 폫
          ["po"], # 포
          ["pog"], # 폭
          ["pogg"], # 폮
          ["pogs"], # 폯
          ["pon"], # 폰
          ["ponj"], # 폱
          ["ponh"], # 폲
          ["pod"], # 폳
          ["pol"], # 폴
          ["polg"], # 폵
          ["polm"], # 폶
          ["polb"], # 폷
          ["pols"], # 폸
          ["polt"], # 폹
          ["polp"], # 폺
          ["polh"], # 폻
          ["pom"], # 폼
          ["pob"], # 폽
          ["pobs"], # 폾
          ["pos"] # 폿
        ],
        [
          ["poss"], # 퐀
          ["pong"], # 퐁
          ["poj"], # 퐂
          ["poc"], # 퐃
          ["pok"], # 퐄
          ["pot"], # 퐅
          ["pop"], # 퐆
          ["poh"], # 퐇
          ["pwa"], # 퐈
          ["pwag"], # 퐉
          ["pwagg"], # 퐊
          ["pwags"], # 퐋
          ["pwan"], # 퐌
          ["pwanj"], # 퐍
          ["pwanh"], # 퐎
          ["pwad"], # 퐏
          ["pwal"], # 퐐
          ["pwalg"], # 퐑
          ["pwalm"], # 퐒
          ["pwalb"], # 퐓
          ["pwals"], # 퐔
          ["pwalt"], # 퐕
          ["pwalp"], # 퐖
          ["pwalh"], # 퐗
          ["pwam"], # 퐘
          ["pwab"], # 퐙
          ["pwabs"], # 퐚
          ["pwas"], # 퐛
          ["pwass"], # 퐜
          ["pwang"], # 퐝
          ["pwaj"], # 퐞
          ["pwac"], # 퐟
          ["pwak"], # 퐠
          ["pwat"], # 퐡
          ["pwap"], # 퐢
          ["pwah"], # 퐣
          ["pwae"], # 퐤
          ["pwaeg"], # 퐥
          ["pwaegg"], # 퐦
          ["pwaegs"], # 퐧
          ["pwaen"], # 퐨
          ["pwaenj"], # 퐩
          ["pwaenh"], # 퐪
          ["pwaed"], # 퐫
          ["pwael"], # 퐬
          ["pwaelg"], # 퐭
          ["pwaelm"], # 퐮
          ["pwaelb"], # 퐯
          ["pwaels"], # 퐰
          ["pwaelt"], # 퐱
          ["pwaelp"], # 퐲
          ["pwaelh"], # 퐳
          ["pwaem"], # 퐴
          ["pwaeb"], # 퐵
          ["pwaebs"], # 퐶
          ["pwaes"], # 퐷
          ["pwaess"], # 퐸
          ["pwaeng"], # 퐹
          ["pwaej"], # 퐺
          ["pwaec"], # 퐻
          ["pwaek"], # 퐼
          ["pwaet"], # 퐽
          ["pwaep"], # 퐾
          ["pwaeh"], # 퐿
          ["poe"], # 푀
          ["poeg"], # 푁
          ["poegg"], # 푂
          ["poegs"], # 푃
          ["poen"], # 푄
          ["poenj"], # 푅
          ["poenh"], # 푆
          ["poed"], # 푇
          ["poel"], # 푈
          ["poelg"], # 푉
          ["poelm"], # 푊
          ["poelb"], # 푋
          ["poels"], # 푌
          ["poelt"], # 푍
          ["poelp"], # 푎
          ["poelh"], # 푏
          ["poem"], # 푐
          ["poeb"], # 푑
          ["poebs"], # 푒
          ["poes"], # 푓
          ["poess"], # 푔
          ["poeng"], # 푕
          ["poej"], # 푖
          ["poec"], # 푗
          ["poek"], # 푘
          ["poet"], # 푙
          ["poep"], # 푚
          ["poeh"], # 푛
          ["pyo"], # 표
          ["pyog"], # 푝
          ["pyogg"], # 푞
          ["pyogs"], # 푟
          ["pyon"], # 푠
          ["pyonj"], # 푡
          ["pyonh"], # 푢
          ["pyod"], # 푣
          ["pyol"], # 푤
          ["pyolg"], # 푥
          ["pyolm"], # 푦
          ["pyolb"], # 푧
          ["pyols"], # 푨
          ["pyolt"], # 푩
          ["pyolp"], # 푪
          ["pyolh"], # 푫
          ["pyom"], # 푬
          ["pyob"], # 푭
          ["pyobs"], # 푮
          ["pyos"], # 푯
          ["pyoss"], # 푰
          ["pyong"], # 푱
          ["pyoj"], # 푲
          ["pyoc"], # 푳
          ["pyok"], # 푴
          ["pyot"], # 푵
          ["pyop"], # 푶
          ["pyoh"], # 푷
          ["pu"], # 푸
          ["pug"], # 푹
          ["pugg"], # 푺
          ["pugs"], # 푻
          ["pun"], # 푼
          ["punj"], # 푽
          ["punh"], # 푾
          ["pud"], # 푿
          ["pul"], # 풀
          ["pulg"], # 풁
          ["pulm"], # 풂
          ["pulb"], # 풃
          ["puls"], # 풄
          ["pult"], # 풅
          ["pulp"], # 풆
          ["pulh"], # 풇
          ["pum"], # 품
          ["pub"], # 풉
          ["pubs"], # 풊
          ["pus"], # 풋
          ["puss"], # 풌
          ["pung"], # 풍
          ["puj"], # 풎
          ["puc"], # 풏
          ["puk"], # 풐
          ["put"], # 풑
          ["pup"], # 풒
          ["puh"], # 풓
          ["pweo"], # 풔
          ["pweog"], # 풕
          ["pweogg"], # 풖
          ["pweogs"], # 풗
          ["pweon"], # 풘
          ["pweonj"], # 풙
          ["pweonh"], # 풚
          ["pweod"], # 풛
          ["pweol"], # 풜
          ["pweolg"], # 풝
          ["pweolm"], # 풞
          ["pweolb"], # 풟
          ["pweols"], # 풠
          ["pweolt"], # 풡
          ["pweolp"], # 풢
          ["pweolh"], # 풣
          ["pweom"], # 풤
          ["pweob"], # 풥
          ["pweobs"], # 풦
          ["pweos"], # 풧
          ["pweoss"], # 풨
          ["pweong"], # 풩
          ["pweoj"], # 풪
          ["pweoc"], # 풫
          ["pweok"], # 풬
          ["pweot"], # 풭
          ["pweop"], # 풮
          ["pweoh"], # 풯
          ["pwe"], # 풰
          ["pweg"], # 풱
          ["pwegg"], # 풲
          ["pwegs"], # 풳
          ["pwen"], # 풴
          ["pwenj"], # 풵
          ["pwenh"], # 풶
          ["pwed"], # 풷
          ["pwel"], # 풸
          ["pwelg"], # 풹
          ["pwelm"], # 풺
          ["pwelb"], # 풻
          ["pwels"], # 풼
          ["pwelt"], # 풽
          ["pwelp"], # 풾
          ["pwelh"], # 풿
          ["pwem"], # 퓀
          ["pweb"], # 퓁
          ["pwebs"], # 퓂
          ["pwes"], # 퓃
          ["pwess"], # 퓄
          ["pweng"], # 퓅
          ["pwej"], # 퓆
          ["pwec"], # 퓇
          ["pwek"], # 퓈
          ["pwet"], # 퓉
          ["pwep"], # 퓊
          ["pweh"], # 퓋
          ["pwi"], # 퓌
          ["pwig"], # 퓍
          ["pwigg"], # 퓎
          ["pwigs"], # 퓏
          ["pwin"], # 퓐
          ["pwinj"], # 퓑
          ["pwinh"], # 퓒
          ["pwid"], # 퓓
          ["pwil"], # 퓔
          ["pwilg"], # 퓕
          ["pwilm"], # 퓖
          ["pwilb"], # 퓗
          ["pwils"], # 퓘
          ["pwilt"], # 퓙
          ["pwilp"], # 퓚
          ["pwilh"], # 퓛
          ["pwim"], # 퓜
          ["pwib"], # 퓝
          ["pwibs"], # 퓞
          ["pwis"], # 퓟
          ["pwiss"], # 퓠
          ["pwing"], # 퓡
          ["pwij"], # 퓢
          ["pwic"], # 퓣
          ["pwik"], # 퓤
          ["pwit"], # 퓥
          ["pwip"], # 퓦
          ["pwih"], # 퓧
          ["pyu"], # 퓨
          ["pyug"], # 퓩
          ["pyugg"], # 퓪
          ["pyugs"], # 퓫
          ["pyun"], # 퓬
          ["pyunj"], # 퓭
          ["pyunh"], # 퓮
          ["pyud"], # 퓯
          ["pyul"], # 퓰
          ["pyulg"], # 퓱
          ["pyulm"], # 퓲
          ["pyulb"], # 퓳
          ["pyuls"], # 퓴
          ["pyult"], # 퓵
          ["pyulp"], # 퓶
          ["pyulh"], # 퓷
          ["pyum"], # 퓸
          ["pyub"], # 퓹
          ["pyubs"], # 퓺
          ["pyus"], # 퓻
          ["pyuss"], # 퓼
          ["pyung"], # 퓽
          ["pyuj"], # 퓾
          ["pyuc"] # 퓿
        ],
        [
          ["pyuk"], # 픀
          ["pyut"], # 픁
          ["pyup"], # 픂
          ["pyuh"], # 픃
          ["peu"], # 프
          ["peug"], # 픅
          ["peugg"], # 픆
          ["peugs"], # 픇
          ["peun"], # 픈
          ["peunj"], # 픉
          ["peunh"], # 픊
          ["peud"], # 픋
          ["peul"], # 플
          ["peulg"], # 픍
          ["peulm"], # 픎
          ["peulb"], # 픏
          ["peuls"], # 픐
          ["peult"], # 픑
          ["peulp"], # 픒
          ["peulh"], # 픓
          ["peum"], # 픔
          ["peub"], # 픕
          ["peubs"], # 픖
          ["peus"], # 픗
          ["peuss"], # 픘
          ["peung"], # 픙
          ["peuj"], # 픚
          ["peuc"], # 픛
          ["peuk"], # 픜
          ["peut"], # 픝
          ["peup"], # 픞
          ["peuh"], # 픟
          ["pyi"], # 픠
          ["pyig"], # 픡
          ["pyigg"], # 픢
          ["pyigs"], # 픣
          ["pyin"], # 픤
          ["pyinj"], # 픥
          ["pyinh"], # 픦
          ["pyid"], # 픧
          ["pyil"], # 픨
          ["pyilg"], # 픩
          ["pyilm"], # 픪
          ["pyilb"], # 픫
          ["pyils"], # 픬
          ["pyilt"], # 픭
          ["pyilp"], # 픮
          ["pyilh"], # 픯
          ["pyim"], # 픰
          ["pyib"], # 픱
          ["pyibs"], # 픲
          ["pyis"], # 픳
          ["pyiss"], # 픴
          ["pying"], # 픵
          ["pyij"], # 픶
          ["pyic"], # 픷
          ["pyik"], # 픸
          ["pyit"], # 픹
          ["pyip"], # 픺
          ["pyih"], # 픻
          ["pi"], # 피
          ["pig"], # 픽
          ["pigg"], # 픾
          ["pigs"], # 픿
          ["pin"], # 핀
          ["pinj"], # 핁
          ["pinh"], # 핂
          ["pid"], # 핃
          ["pil"], # 필
          ["pilg"], # 핅
          ["pilm"], # 핆
          ["pilb"], # 핇
          ["pils"], # 핈
          ["pilt"], # 핉
          ["pilp"], # 핊
          ["pilh"], # 핋
          ["pim"], # 핌
          ["pib"], # 핍
          ["pibs"], # 핎
          ["pis"], # 핏
          ["piss"], # 핐
          ["ping"], # 핑
          ["pij"], # 핒
          ["pic"], # 핓
          ["pik"], # 핔
          ["pit"], # 핕
          ["pip"], # 핖
          ["pih"], # 핗
          ["ha"], # 하
          ["hag"], # 학
          ["hagg"], # 핚
          ["hags"], # 핛
          ["han"], # 한
          ["hanj"], # 핝
          ["hanh"], # 핞
          ["had"], # 핟
          ["hal"], # 할
          ["halg"], # 핡
          ["halm"], # 핢
          ["halb"], # 핣
          ["hals"], # 핤
          ["halt"], # 핥
          ["halp"], # 핦
          ["halh"], # 핧
          ["ham"], # 함
          ["hab"], # 합
          ["habs"], # 핪
          ["has"], # 핫
          ["hass"], # 핬
          ["hang"], # 항
          ["haj"], # 핮
          ["hac"], # 핯
          ["hak"], # 핰
          ["hat"], # 핱
          ["hap"], # 핲
          ["hah"], # 핳
          ["hae"], # 해
          ["haeg"], # 핵
          ["haegg"], # 핶
          ["haegs"], # 핷
          ["haen"], # 핸
          ["haenj"], # 핹
          ["haenh"], # 핺
          ["haed"], # 핻
          ["hael"], # 핼
          ["haelg"], # 핽
          ["haelm"], # 핾
          ["haelb"], # 핿
          ["haels"], # 햀
          ["haelt"], # 햁
          ["haelp"], # 햂
          ["haelh"], # 햃
          ["haem"], # 햄
          ["haeb"], # 햅
          ["haebs"], # 햆
          ["haes"], # 햇
          ["haess"], # 했
          ["haeng"], # 행
          ["haej"], # 햊
          ["haec"], # 햋
          ["haek"], # 햌
          ["haet"], # 햍
          ["haep"], # 햎
          ["haeh"], # 햏
          ["hya"], # 햐
          ["hyag"], # 햑
          ["hyagg"], # 햒
          ["hyags"], # 햓
          ["hyan"], # 햔
          ["hyanj"], # 햕
          ["hyanh"], # 햖
          ["hyad"], # 햗
          ["hyal"], # 햘
          ["hyalg"], # 햙
          ["hyalm"], # 햚
          ["hyalb"], # 햛
          ["hyals"], # 햜
          ["hyalt"], # 햝
          ["hyalp"], # 햞
          ["hyalh"], # 햟
          ["hyam"], # 햠
          ["hyab"], # 햡
          ["hyabs"], # 햢
          ["hyas"], # 햣
          ["hyass"], # 햤
          ["hyang"], # 향
          ["hyaj"], # 햦
          ["hyac"], # 햧
          ["hyak"], # 햨
          ["hyat"], # 햩
          ["hyap"], # 햪
          ["hyah"], # 햫
          ["hyae"], # 햬
          ["hyaeg"], # 햭
          ["hyaegg"], # 햮
          ["hyaegs"], # 햯
          ["hyaen"], # 햰
          ["hyaenj"], # 햱
          ["hyaenh"], # 햲
          ["hyaed"], # 햳
          ["hyael"], # 햴
          ["hyaelg"], # 햵
          ["hyaelm"], # 햶
          ["hyaelb"], # 햷
          ["hyaels"], # 햸
          ["hyaelt"], # 햹
          ["hyaelp"], # 햺
          ["hyaelh"], # 햻
          ["hyaem"], # 햼
          ["hyaeb"], # 햽
          ["hyaebs"], # 햾
          ["hyaes"], # 햿
          ["hyaess"], # 헀
          ["hyaeng"], # 헁
          ["hyaej"], # 헂
          ["hyaec"], # 헃
          ["hyaek"], # 헄
          ["hyaet"], # 헅
          ["hyaep"], # 헆
          ["hyaeh"], # 헇
          ["heo"], # 허
          ["heog"], # 헉
          ["heogg"], # 헊
          ["heogs"], # 헋
          ["heon"], # 헌
          ["heonj"], # 헍
          ["heonh"], # 헎
          ["heod"], # 헏
          ["heol"], # 헐
          ["heolg"], # 헑
          ["heolm"], # 헒
          ["heolb"], # 헓
          ["heols"], # 헔
          ["heolt"], # 헕
          ["heolp"], # 헖
          ["heolh"], # 헗
          ["heom"], # 험
          ["heob"], # 헙
          ["heobs"], # 헚
          ["heos"], # 헛
          ["heoss"], # 헜
          ["heong"], # 헝
          ["heoj"], # 헞
          ["heoc"], # 헟
          ["heok"], # 헠
          ["heot"], # 헡
          ["heop"], # 헢
          ["heoh"], # 헣
          ["he"], # 헤
          ["heg"], # 헥
          ["hegg"], # 헦
          ["hegs"], # 헧
          ["hen"], # 헨
          ["henj"], # 헩
          ["henh"], # 헪
          ["hed"], # 헫
          ["hel"], # 헬
          ["helg"], # 헭
          ["helm"], # 헮
          ["helb"], # 헯
          ["hels"], # 헰
          ["helt"], # 헱
          ["help"], # 헲
          ["helh"], # 헳
          ["hem"], # 헴
          ["heb"], # 헵
          ["hebs"], # 헶
          ["hes"], # 헷
          ["hess"], # 헸
          ["heng"], # 헹
          ["hej"], # 헺
          ["hec"], # 헻
          ["hek"], # 헼
          ["het"], # 헽
          ["hep"], # 헾
          ["heh"] # 헿
        ],
        [
          ["hyeo"], # 혀
          ["hyeog"], # 혁
          ["hyeogg"], # 혂
          ["hyeogs"], # 혃
          ["hyeon"], # 현
          ["hyeonj"], # 혅
          ["hyeonh"], # 혆
          ["hyeod"], # 혇
          ["hyeol"], # 혈
          ["hyeolg"], # 혉
          ["hyeolm"], # 혊
          ["hyeolb"], # 혋
          ["hyeols"], # 혌
          ["hyeolt"], # 혍
          ["hyeolp"], # 혎
          ["hyeolh"], # 혏
          ["hyeom"], # 혐
          ["hyeob"], # 협
          ["hyeobs"], # 혒
          ["hyeos"], # 혓
          ["hyeoss"], # 혔
          ["hyeong"], # 형
          ["hyeoj"], # 혖
          ["hyeoc"], # 혗
          ["hyeok"], # 혘
          ["hyeot"], # 혙
          ["hyeop"], # 혚
          ["hyeoh"], # 혛
          ["hye"], # 혜
          ["hyeg"], # 혝
          ["hyegg"], # 혞
          ["hyegs"], # 혟
          ["hyen"], # 혠
          ["hyenj"], # 혡
          ["hyenh"], # 혢
          ["hyed"], # 혣
          ["hyel"], # 혤
          ["hyelg"], # 혥
          ["hyelm"], # 혦
          ["hyelb"], # 혧
          ["hyels"], # 혨
          ["hyelt"], # 혩
          ["hyelp"], # 혪
          ["hyelh"], # 혫
          ["hyem"], # 혬
          ["hyeb"], # 혭
          ["hyebs"], # 혮
          ["hyes"], # 혯
          ["hyess"], # 혰
          ["hyeng"], # 혱
          ["hyej"], # 혲
          ["hyec"], # 혳
          ["hyek"], # 혴
          ["hyet"], # 혵
          ["hyep"], # 혶
          ["hyeh"], # 혷
          ["ho"], # 호
          ["hog"], # 혹
          ["hogg"], # 혺
          ["hogs"], # 혻
          ["hon"], # 혼
          ["honj"], # 혽
          ["honh"], # 혾
          ["hod"], # 혿
          ["hol"], # 홀
          ["holg"], # 홁
          ["holm"], # 홂
          ["holb"], # 홃
          ["hols"], # 홄
          ["holt"], # 홅
          ["holp"], # 홆
          ["holh"], # 홇
          ["hom"], # 홈
          ["hob"], # 홉
          ["hobs"], # 홊
          ["hos"], # 홋
          ["hoss"], # 홌
          ["hong"], # 홍
          ["hoj"], # 홎
          ["hoc"], # 홏
          ["hok"], # 홐
          ["hot"], # 홑
          ["hop"], # 홒
          ["hoh"], # 홓
          ["hwa"], # 화
          ["hwag"], # 확
          ["hwagg"], # 홖
          ["hwags"], # 홗
          ["hwan"], # 환
          ["hwanj"], # 홙
          ["hwanh"], # 홚
          ["hwad"], # 홛
          ["hwal"], # 활
          ["hwalg"], # 홝
          ["hwalm"], # 홞
          ["hwalb"], # 홟
          ["hwals"], # 홠
          ["hwalt"], # 홡
          ["hwalp"], # 홢
          ["hwalh"], # 홣
          ["hwam"], # 홤
          ["hwab"], # 홥
          ["hwabs"], # 홦
          ["hwas"], # 홧
          ["hwass"], # 홨
          ["hwang"], # 황
          ["hwaj"], # 홪
          ["hwac"], # 홫
          ["hwak"], # 홬
          ["hwat"], # 홭
          ["hwap"], # 홮
          ["hwah"], # 홯
          ["hwae"], # 홰
          ["hwaeg"], # 홱
          ["hwaegg"], # 홲
          ["hwaegs"], # 홳
          ["hwaen"], # 홴
          ["hwaenj"], # 홵
          ["hwaenh"], # 홶
          ["hwaed"], # 홷
          ["hwael"], # 홸
          ["hwaelg"], # 홹
          ["hwaelm"], # 홺
          ["hwaelb"], # 홻
          ["hwaels"], # 홼
          ["hwaelt"], # 홽
          ["hwaelp"], # 홾
          ["hwaelh"], # 홿
          ["hwaem"], # 횀
          ["hwaeb"], # 횁
          ["hwaebs"], # 횂
          ["hwaes"], # 횃
          ["hwaess"], # 횄
          ["hwaeng"], # 횅
          ["hwaej"], # 횆
          ["hwaec"], # 횇
          ["hwaek"], # 횈
          ["hwaet"], # 횉
          ["hwaep"], # 횊
          ["hwaeh"], # 횋
          ["hoe"], # 회
          ["hoeg"], # 획
          ["hoegg"], # 횎
          ["hoegs"], # 횏
          ["hoen"], # 횐
          ["hoenj"], # 횑
          ["hoenh"], # 횒
          ["hoed"], # 횓
          ["hoel"], # 횔
          ["hoelg"], # 횕
          ["hoelm"], # 횖
          ["hoelb"], # 횗
          ["hoels"], # 횘
          ["hoelt"], # 횙
          ["hoelp"], # 횚
          ["hoelh"], # 횛
          ["hoem"], # 횜
          ["hoeb"], # 횝
          ["hoebs"], # 횞
          ["hoes"], # 횟
          ["hoess"], # 횠
          ["hoeng"], # 횡
          ["hoej"], # 횢
          ["hoec"], # 횣
          ["hoek"], # 횤
          ["hoet"], # 횥
          ["hoep"], # 횦
          ["hoeh"], # 횧
          ["hyo"], # 효
          ["hyog"], # 횩
          ["hyogg"], # 횪
          ["hyogs"], # 횫
          ["hyon"], # 횬
          ["hyonj"], # 횭
          ["hyonh"], # 횮
          ["hyod"], # 횯
          ["hyol"], # 횰
          ["hyolg"], # 횱
          ["hyolm"], # 횲
          ["hyolb"], # 횳
          ["hyols"], # 횴
          ["hyolt"], # 횵
          ["hyolp"], # 횶
          ["hyolh"], # 횷
          ["hyom"], # 횸
          ["hyob"], # 횹
          ["hyobs"], # 횺
          ["hyos"], # 횻
          ["hyoss"], # 횼
          ["hyong"], # 횽
          ["hyoj"], # 횾
          ["hyoc"], # 횿
          ["hyok"], # 훀
          ["hyot"], # 훁
          ["hyop"], # 훂
          ["hyoh"], # 훃
          ["hu"], # 후
          ["hug"], # 훅
          ["hugg"], # 훆
          ["hugs"], # 훇
          ["hun"], # 훈
          ["hunj"], # 훉
          ["hunh"], # 훊
          ["hud"], # 훋
          ["hul"], # 훌
          ["hulg"], # 훍
          ["hulm"], # 훎
          ["hulb"], # 훏
          ["huls"], # 훐
          ["hult"], # 훑
          ["hulp"], # 훒
          ["hulh"], # 훓
          ["hum"], # 훔
          ["hub"], # 훕
          ["hubs"], # 훖
          ["hus"], # 훗
          ["huss"], # 훘
          ["hung"], # 훙
          ["huj"], # 훚
          ["huc"], # 훛
          ["huk"], # 훜
          ["hut"], # 훝
          ["hup"], # 훞
          ["huh"], # 훟
          ["hweo"], # 훠
          ["hweog"], # 훡
          ["hweogg"], # 훢
          ["hweogs"], # 훣
          ["hweon"], # 훤
          ["hweonj"], # 훥
          ["hweonh"], # 훦
          ["hweod"], # 훧
          ["hweol"], # 훨
          ["hweolg"], # 훩
          ["hweolm"], # 훪
          ["hweolb"], # 훫
          ["hweols"], # 훬
          ["hweolt"], # 훭
          ["hweolp"], # 훮
          ["hweolh"], # 훯
          ["hweom"], # 훰
          ["hweob"], # 훱
          ["hweobs"], # 훲
          ["hweos"], # 훳
          ["hweoss"], # 훴
          ["hweong"], # 훵
          ["hweoj"], # 훶
          ["hweoc"], # 훷
          ["hweok"], # 훸
          ["hweot"], # 훹
          ["hweop"], # 훺
          ["hweoh"], # 훻
          ["hwe"], # 훼
          ["hweg"], # 훽
          ["hwegg"], # 훾
          ["hwegs"] # 훿
        ],
        [
          ["hwen"], # 휀
          ["hwenj"], # 휁
          ["hwenh"], # 휂
          ["hwed"], # 휃
          ["hwel"], # 휄
          ["hwelg"], # 휅
          ["hwelm"], # 휆
          ["hwelb"], # 휇
          ["hwels"], # 휈
          ["hwelt"], # 휉
          ["hwelp"], # 휊
          ["hwelh"], # 휋
          ["hwem"], # 휌
          ["hweb"], # 휍
          ["hwebs"], # 휎
          ["hwes"], # 휏
          ["hwess"], # 휐
          ["hweng"], # 휑
          ["hwej"], # 휒
          ["hwec"], # 휓
          ["hwek"], # 휔
          ["hwet"], # 휕
          ["hwep"], # 휖
          ["hweh"], # 휗
          ["hwi"], # 휘
          ["hwig"], # 휙
          ["hwigg"], # 휚
          ["hwigs"], # 휛
          ["hwin"], # 휜
          ["hwinj"], # 휝
          ["hwinh"], # 휞
          ["hwid"], # 휟
          ["hwil"], # 휠
          ["hwilg"], # 휡
          ["hwilm"], # 휢
          ["hwilb"], # 휣
          ["hwils"], # 휤
          ["hwilt"], # 휥
          ["hwilp"], # 휦
          ["hwilh"], # 휧
          ["hwim"], # 휨
          ["hwib"], # 휩
          ["hwibs"], # 휪
          ["hwis"], # 휫
          ["hwiss"], # 휬
          ["hwing"], # 휭
          ["hwij"], # 휮
          ["hwic"], # 휯
          ["hwik"], # 휰
          ["hwit"], # 휱
          ["hwip"], # 휲
          ["hwih"], # 휳
          ["hyu"], # 휴
          ["hyug"], # 휵
          ["hyugg"], # 휶
          ["hyugs"], # 휷
          ["hyun"], # 휸
          ["hyunj"], # 휹
          ["hyunh"], # 휺
          ["hyud"], # 휻
          ["hyul"], # 휼
          ["hyulg"], # 휽
          ["hyulm"], # 휾
          ["hyulb"], # 휿
          ["hyuls"], # 흀
          ["hyult"], # 흁
          ["hyulp"], # 흂
          ["hyulh"], # 흃
          ["hyum"], # 흄
          ["hyub"], # 흅
          ["hyubs"], # 흆
          ["hyus"], # 흇
          ["hyuss"], # 흈
          ["hyung"], # 흉
          ["hyuj"], # 흊
          ["hyuc"], # 흋
          ["hyuk"], # 흌
          ["hyut"], # 흍
          ["hyup"], # 흎
          ["hyuh"], # 흏
          ["heu"], # 흐
          ["heug"], # 흑
          ["heugg"], # 흒
          ["heugs"], # 흓
          ["heun"], # 흔
          ["heunj"], # 흕
          ["heunh"], # 흖
          ["heud"], # 흗
          ["heul"], # 흘
          ["heulg"], # 흙
          ["heulm"], # 흚
          ["heulb"], # 흛
          ["heuls"], # 흜
          ["heult"], # 흝
          ["heulp"], # 흞
          ["heulh"], # 흟
          ["heum"], # 흠
          ["heub"], # 흡
          ["heubs"], # 흢
          ["heus"], # 흣
          ["heuss"], # 흤
          ["heung"], # 흥
          ["heuj"], # 흦
          ["heuc"], # 흧
          ["heuk"], # 흨
          ["heut"], # 흩
          ["heup"], # 흪
          ["heuh"], # 흫
          ["hyi"], # 희
          ["hyig"], # 흭
          ["hyigg"], # 흮
          ["hyigs"], # 흯
          ["hyin"], # 흰
          ["hyinj"], # 흱
          ["hyinh"], # 흲
          ["hyid"], # 흳
          ["hyil"], # 흴
          ["hyilg"], # 흵
          ["hyilm"], # 흶
          ["hyilb"], # 흷
          ["hyils"], # 흸
          ["hyilt"], # 흹
          ["hyilp"], # 흺
          ["hyilh"], # 흻
          ["hyim"], # 흼
          ["hyib"], # 흽
          ["hyibs"], # 흾
          ["hyis"], # 흿
          ["hyiss"], # 힀
          ["hying"], # 힁
          ["hyij"], # 힂
          ["hyic"], # 힃
          ["hyik"], # 힄
          ["hyit"], # 힅
          ["hyip"], # 힆
          ["hyih"], # 힇
          ["hi"], # 히
          ["hig"], # 힉
          ["higg"], # 힊
          ["higs"], # 힋
          ["hin"], # 힌
          ["hinj"], # 힍
          ["hinh"], # 힎
          ["hid"], # 힏
          ["hil"], # 힐
          ["hilg"], # 힑
          ["hilm"], # 힒
          ["hilb"], # 힓
          ["hils"], # 힔
          ["hilt"], # 힕
          ["hilp"], # 힖
          ["hilh"], # 힗
          ["him"], # 힘
          ["hib"], # 힙
          ["hibs"], # 힚
          ["his"], # 힛
          ["hiss"], # 힜
          ["hing"], # 힝
          ["hij"], # 힞
          ["hic"], # 힟
          ["hik"], # 힠
          ["hit"], # 힡
          ["hip"], # 힢
          ["hih"], # 힣
          nil, # 힤
          nil, # 힥
          nil, # 힦
          nil, # 힧
          nil, # 힨
          nil, # 힩
          nil, # 힪
          nil, # 힫
          nil, # 힬
          nil, # 힭
          nil, # 힮
          nil, # 힯
          nil, # ힰ
          nil, # ힱ
          nil, # ힲ
          nil, # ힳ
          nil, # ힴ
          nil, # ힵ
          nil, # ힶ
          nil, # ힷ
          nil, # ힸ
          nil, # ힹ
          nil, # ힺ
          nil, # ힻ
          nil, # ힼ
          nil, # ힽ
          nil, # ힾ
          nil, # ힿ
          nil, # ퟀ
          nil, # ퟁ
          nil, # ퟂ
          nil, # ퟃ
          nil, # ퟄ
          nil, # ퟅ
          nil, # ퟆ
          nil, # ퟇
          nil, # ퟈
          nil, # ퟉
          nil, # ퟊
          nil, # ퟋ
          nil, # ퟌ
          nil, # ퟍ
          nil, # ퟎ
          nil, # ퟏ
          nil, # ퟐ
          nil, # ퟑ
          nil, # ퟒ
          nil, # ퟓ
          nil, # ퟔ
          nil, # ퟕ
          nil, # ퟖ
          nil, # ퟗ
          nil, # ퟘ
          nil, # ퟙ
          nil, # ퟚ
          nil, # ퟛ
          nil, # ퟜ
          nil, # ퟝ
          nil, # ퟞ
          nil, # ퟟ
          nil, # ퟠ
          nil, # ퟡ
          nil, # ퟢ
          nil, # ퟣ
          nil, # ퟤ
          nil, # ퟥ
          nil, # ퟦ
          nil, # ퟧ
          nil, # ퟨ
          nil, # ퟩ
          nil, # ퟪ
          nil, # ퟫ
          nil, # ퟬ
          nil, # ퟭ
          nil, # ퟮ
          nil, # ퟯ
          nil, # ퟰ
          nil, # ퟱ
          nil, # ퟲ
          nil, # ퟳ
          nil, # ퟴ
          nil, # ퟵ
          nil, # ퟶ
          nil, # ퟷ
          nil, # ퟸ
          nil, # ퟹ
          nil, # ퟺ
          nil, # ퟻ
          nil, # ퟼
          nil, # ퟽
          nil, # ퟾
          nil # ퟿
        ],
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        nil,
        [
          ["Kay "], # 豈
          ["Kayng "], # 更
          ["Ke "], # 車
          ["Ko "], # 賈
          ["Kol "], # 滑
          ["Koc "], # 串
          ["Kwi "], # 句
          ["Kwi "], # 龜
          ["Kyun "], # 龜
          ["Kul "], # 契
          ["Kum "], # 金
          ["Na "], # 喇
          ["Na "], # 奈
          ["Na "], # 懶
          ["La "], # 癩
          ["Na "], # 羅
          ["Na "], # 蘿
          ["Na "], # 螺
          ["Na "], # 裸
          ["Na "], # 邏
          ["Nak "], # 樂
          ["Nak "], # 洛
          ["Nak "], # 烙
          ["Nak "], # 珞
          ["Nak "], # 落
          ["Nak "], # 酪
          ["Nak "], # 駱
          ["Nan "], # 亂
          ["Nan "], # 卵
          ["Nan "], # 欄
          ["Nan "], # 爛
          ["Nan "], # 蘭
          ["Nan "], # 鸞
          ["Nam "], # 嵐
          ["Nam "], # 濫
          ["Nam "], # 藍
          ["Nam "], # 襤
          ["Nap "], # 拉
          ["Nap "], # 臘
          ["Nap "], # 蠟
          ["Nang "], # 廊
          ["Nang "], # 朗
          ["Nang "], # 浪
          ["Nang "], # 狼
          ["Nang "], # 郎
          ["Nay "], # 來
          ["Nayng "], # 冷
          ["No "], # 勞
          ["No "], # 擄
          ["No "], # 櫓
          ["No "], # 爐
          ["No "], # 盧
          ["No "], # 老
          ["No "], # 蘆
          ["No "], # 虜
          ["No "], # 路
          ["No "], # 露
          ["No "], # 魯
          ["No "], # 鷺
          ["Nok "], # 碌
          ["Nok "], # 祿
          ["Nok "], # 綠
          ["Nok "], # 菉
          ["Nok "], # 錄
          ["Nok "], # 鹿
          ["Non "], # 論
          ["Nong "], # 壟
          ["Nong "], # 弄
          ["Nong "], # 籠
          ["Nong "], # 聾
          ["Noy "], # 牢
          ["Noy "], # 磊
          ["Noy "], # 賂
          ["Noy "], # 雷
          ["Nwu "], # 壘
          ["Nwu "], # 屢
          ["Nwu "], # 樓
          ["Nwu "], # 淚
          ["Nwu "], # 漏
          ["Nwu "], # 累
          ["Nwu "], # 縷
          ["Nwu "], # 陋
          ["Nuk "], # 勒
          ["Nuk "], # 肋
          ["Num "], # 凜
          ["Nung "], # 凌
          ["Nung "], # 稜
          ["Nung "], # 綾
          ["Nung "], # 菱
          ["Nung "], # 陵
          ["Twu "], # 讀
          ["La "], # 拏
          ["Lak "], # 樂
          ["Lak "], # 諾
          ["Lan "], # 丹
          ["Lyeng "], # 寧
          ["Lo "], # 怒
          ["Lyul "], # 率
          ["Li "], # 異
          ["Pey "], # 北
          ["Pen "], # 磻
          ["Pyen "], # 便
          ["Pwu "], # 復
          ["Pwul "], # 不
          ["Pi "], # 泌
          ["Sak "], # 數
          ["Sak "], # 索
          ["Sam "], # 參
          ["Sayk "], # 塞
          ["Sayng "], # 省
          ["Sep "], # 葉
          ["Sey "], # 說
          ["Sway "], # 殺
          ["Sin "], # 辰
          ["Sim "], # 沈
          ["Sip "], # 拾
          ["Ya "], # 若
          ["Yak "], # 掠
          ["Yak "], # 略
          ["Yang "], # 亮
          ["Yang "], # 兩
          ["Yang "], # 凉
          ["Yang "], # 梁
          ["Yang "], # 糧
          ["Yang "], # 良
          ["Yang "], # 諒
          ["Yang "], # 量
          ["Ye "], # 勵
          ["Ye "], # 呂
          ["Ye "], # 女
          ["Ye "], # 廬
          ["Ye "], # 旅
          ["Ye "], # 濾
          ["Ye "], # 礪
          ["Ye "], # 閭
          ["Ye "], # 驪
          ["Ye "], # 麗
          ["Ye "], # 黎
          ["Yek "], # 力
          ["Yek "], # 曆
          ["Yek "], # 歷
          ["Yek "], # 轢
          ["Yen "], # 年
          ["Yen "], # 憐
          ["Yen "], # 戀
          ["Yen "], # 撚
          ["Yen "], # 漣
          ["Yen "], # 煉
          ["Yen "], # 璉
          ["Yen "], # 秊
          ["Yen "], # 練
          ["Yen "], # 聯
          ["Yen "], # 輦
          ["Yen "], # 蓮
          ["Yen "], # 連
          ["Yen "], # 鍊
          ["Yel "], # 列
          ["Yel "], # 劣
          ["Yel "], # 咽
          ["Yel "], # 烈
          ["Yel "], # 裂
          ["Yel "], # 說
          ["Yem "], # 廉
          ["Yem "], # 念
          ["Yem "], # 捻
          ["Yem "], # 殮
          ["Yem "], # 簾
          ["Yep "], # 獵
          ["Yeng "], # 令
          ["Yeng "], # 囹
          ["Yeng "], # 寧
          ["Yeng "], # 嶺
          ["Yeng "], # 怜
          ["Yeng "], # 玲
          ["Yeng "], # 瑩
          ["Yeng "], # 羚
          ["Yeng "], # 聆
          ["Yeng "], # 鈴
          ["Yeng "], # 零
          ["Yeng "], # 靈
          ["Yeng "], # 領
          ["Yey "], # 例
          ["Yey "], # 禮
          ["Yey "], # 醴
          ["Yey "], # 隸
          ["O "], # 惡
          ["Yo "], # 了
          ["Yo "], # 僚
          ["Yo "], # 寮
          ["Yo "], # 尿
          ["Yo "], # 料
          ["Yo "], # 樂
          ["Yo "], # 燎
          ["Yo "], # 療
          ["Yo "], # 蓼
          ["Yo "], # 遼
          ["Yong "], # 龍
          ["Wun "], # 暈
          ["Wen "], # 阮
          ["Yu "], # 劉
          ["Yu "], # 杻
          ["Yu "], # 柳
          ["Yu "], # 流
          ["Yu "], # 溜
          ["Yu "], # 琉
          ["Yu "], # 留
          ["Yu "], # 硫
          ["Yu "], # 紐
          ["Yu "], # 類
          ["Yuk "], # 六
          ["Yuk "], # 戮
          ["Yuk "], # 陸
          ["Yun "], # 倫
          ["Yun "], # 崙
          ["Yun "], # 淪
          ["Yun "], # 輪
          ["Yul "], # 律
          ["Yul "], # 慄
          ["Yul "], # 栗
          ["Yul "], # 率
          ["Yung "], # 隆
          ["I "], # 利
          ["I "], # 吏
          ["I "], # 履
          ["I "], # 易
          ["I "], # 李
          ["I "], # 梨
          ["I "], # 泥
          ["I "], # 理
          ["I "], # 痢
          ["I "], # 罹
          ["I "], # 裏
          ["I "], # 裡
          ["I "], # 里
          ["I "], # 離
          ["Ik "], # 匿
          ["Ik "], # 溺
          ["In "], # 吝
          ["In "], # 燐
          ["In "], # 璘
          ["In "], # 藺
          ["In "], # 隣
          ["In "], # 鱗
          ["In "], # 麟
          ["Im "], # 林
          ["Im "], # 淋
          ["Im "], # 臨
          ["Ip "], # 立
          ["Ip "], # 笠
          ["Ip "], # 粒
          ["Cang "], # 狀
          ["Cek "], # 炙
          ["Ci "], # 識
          ["Cip "], # 什
          ["Cha "], # 茶
          ["Chek "] # 刺
        ],
        [
          ["Chey "], # 切
          ["Thak "], # 度
          ["Thak "], # 拓
          ["Thang "], # 糖
          ["Thayk "], # 宅
          ["Thong "], # 洞
          ["Pho "], # 暴
          ["Phok "], # 輻
          ["Hang "], # 行
          ["Hang "], # 降
          ["Hyen "], # 見
          ["Hwak "], # 廓
          ["Wu "], # 兀
          ["Huo "], # 嗀
          [" "], # 﨎
          [" "], # 﨏
          ["Zhong "], # 塚
          [" "], # 﨑
          ["Qing "], # 晴
          [" "], # 﨓
          [" "], # 﨔
          ["Xi "], # 凞
          ["Zhu "], # 猪
          ["Yi "], # 益
          ["Li "], # 礼
          ["Shen "], # 神
          ["Xiang "], # 祥
          ["Fu "], # 福
          ["Jing "], # 靖
          ["Jing "], # 精
          ["Yu "], # 羽
          [" "], # 﨟
          ["Hagi "], # 蘒
          [" "], # 﨡
          ["Zhu "], # 諸
          [" "], # 﨣
          [" "], # 﨤
          ["Yi "], # 逸
          ["Du "], # 都
          [" "], # 﨧
          [" "], # 﨨
          [" "], # 﨩
          ["Fan "], # 飯
          ["Si "], # 飼
          ["Guan "], # 館
          nil, # 鶴
          nil, # 郞
          nil, # 隷
          nil, # 侮
          nil, # 僧
          nil, # 免
          nil, # 勉
          nil, # 勤
          nil, # 卑
          nil, # 喝
          nil, # 嘆
          nil, # 器
          nil, # 塀
          nil, # 墨
          nil, # 層
          nil, # 屮
          nil, # 悔
          nil, # 慨
          nil, # 憎
          nil, # 懲
          nil, # 敏
          nil, # 既
          nil, # 暑
          nil, # 梅
          nil, # 海
          nil, # 渚
          nil, # 漢
          nil, # 煮
          nil, # 爫
          nil, # 琢
          nil, # 碑
          nil, # 社
          nil, # 祉
          nil, # 祈
          nil, # 祐
          nil, # 祖
          nil, # 祝
          nil, # 禍
          nil, # 禎
          nil, # 穀
          nil, # 突
          nil, # 節
          nil, # 練
          nil, # 縉
          nil, # 繁
          nil, # 署
          nil, # 者
          nil, # 臭
          nil, # 艹
          nil, # 艹
          nil, # 著
          nil, # 褐
          nil, # 視
          nil, # 謁
          nil, # 謹
          nil, # 賓
          nil, # 贈
          nil, # 辶
          nil, # 逸
          nil, # 難
          nil, # 響
          nil, # 頻
          nil, # 恵
          nil, # 𤋮
          nil, # 舘
          nil, # 﩮
          nil, # 﩯
          nil, # 並
          nil, # 况
          nil, # 全
          nil, # 侀
          nil, # 充
          nil, # 冀
          nil, # 勇
          nil, # 勺
          nil, # 喝
          nil, # 啕
          nil, # 喙
          nil, # 嗢
          nil, # 塚
          nil, # 墳
          nil, # 奄
          nil, # 奔
          nil, # 婢
          nil, # 嬨
          nil, # 廒
          nil, # 廙
          nil, # 彩
          nil, # 徭
          nil, # 惘
          nil, # 慎
          nil, # 愈
          nil, # 憎
          nil, # 慠
          nil, # 懲
          nil, # 戴
          nil, # 揄
          nil, # 搜
          nil, # 摒
          nil, # 敖
          nil, # 晴
          nil, # 朗
          nil, # 望
          nil, # 杖
          nil, # 歹
          nil, # 殺
          nil, # 流
          nil, # 滛
          nil, # 滋
          nil, # 漢
          nil, # 瀞
          nil, # 煮
          nil, # 瞧
          nil, # 爵
          nil, # 犯
          nil, # 猪
          nil, # 瑱
          nil, # 甆
          nil, # 画
          nil, # 瘝
          nil, # 瘟
          nil, # 益
          nil, # 盛
          nil, # 直
          nil, # 睊
          nil, # 着
          nil, # 磌
          nil, # 窱
          nil, # 節
          nil, # 类
          nil, # 絛
          nil, # 練
          nil, # 缾
          nil, # 者
          nil, # 荒
          nil, # 華
          nil, # 蝹
          nil, # 襁
          nil, # 覆
          nil, # 視
          nil, # 調
          nil, # 諸
          nil, # 請
          nil, # 謁
          nil, # 諾
          nil, # 諭
          nil, # 謹
          nil, # 變
          nil, # 贈
          nil, # 輸
          nil, # 遲
          nil, # 醙
          nil, # 鉶
          nil, # 陼
          nil, # 難
          nil, # 靖
          nil, # 韛
          nil, # 響
          nil, # 頋
          nil, # 頻
          nil, # 鬒
          nil, # 龜
          nil, # 𢡊
          nil, # 𢡄
          nil, # 𣏕
          nil, # 㮝
          nil, # 䀘
          nil, # 䀹
          nil, # 𥉉
          nil, # 𥳐
          nil, # 𧻓
          nil, # 齃
          nil, # 龎
          nil, # 﫚
          nil, # 﫛
          nil, # 﫜
          nil, # 﫝
          nil, # 﫞
          nil, # 﫟
          nil, # 﫠
          nil, # 﫡
          nil, # 﫢
          nil, # 﫣
          nil, # 﫤
          nil, # 﫥
          nil, # 﫦
          nil, # 﫧
          nil, # 﫨
          nil, # 﫩
          nil, # 﫪
          nil, # 﫫
          nil, # 﫬
          nil, # 﫭
          nil, # 﫮
          nil, # 﫯
          nil, # 﫰
          nil, # 﫱
          nil, # 﫲
          nil, # 﫳
          nil, # 﫴
          nil, # 﫵
          nil, # 﫶
          nil, # 﫷
          nil, # 﫸
          nil, # 﫹
          nil, # 﫺
          nil, # 﫻
          nil, # 﫼
          nil, # 﫽
          nil, # 﫾
          nil # 﫿
        ],
        [
          ["ff"], # ﬀ
          ["fi"], # ﬁ
          ["fl"], # ﬂ
          ["ffi"], # ﬃ
          ["ffl"], # ﬄ
          ["st"], # ﬅ
          ["st"], # ﬆ
          nil, # ﬇
          nil, # ﬈
          nil, # ﬉
          nil, # ﬊
          nil, # ﬋
          nil, # ﬌
          nil, # ﬍
          nil, # ﬎
          nil, # ﬏
          nil, # ﬐
          nil, # ﬑
          nil, # ﬒
          ["mn"], # ﬓ
          ["me"], # ﬔ
          ["mi"], # ﬕ
          ["vn"], # ﬖ
          ["mkh"], # ﬗ
          nil, # ﬘
          nil, # ﬙
          nil, # ﬚
          nil, # ﬛
          nil, # ﬜
          ["yi"], # יִ
          nil, # ﬞ
          ["ay"], # ײַ
          ["`"], # ﬠ
          nil, # ﬡ
          ["d"], # ﬢ
          ["h"], # ﬣ
          ["k"], # ﬤ
          ["l"], # ﬥ
          ["m"], # ﬦ
          ["m"], # ﬧ
          ["t"], # ﬨ
          ["+"], # ﬩
          ["sh"], # שׁ
          ["s"], # שׂ
          ["sh"], # שּׁ
          ["s"], # שּׂ
          ["a"], # אַ
          ["a"], # אָ
          nil, # אּ
          ["b"], # בּ
          ["g"], # גּ
          ["d"], # דּ
          ["h"], # הּ
          ["v"], # וּ
          ["z"], # זּ
          nil, # ﬷
          ["t"], # טּ
          ["y"], # יּ
          ["k"], # ךּ
          ["k"], # כּ
          ["l"], # לּ
          nil, # ﬽
          ["l"], # מּ
          nil, # ﬿
          ["n"], # נּ
          ["n"], # סּ
          nil, # ﭂
          ["p"], # ףּ
          ["p"], # פּ
          nil, # ﭅
          ["ts"], # צּ
          ["ts"], # קּ
          ["r"], # רּ
          ["sh"], # שּ
          ["t"], # תּ
          ["vo"], # וֹ
          ["b"], # בֿ
          ["k"], # כֿ
          ["p"], # פֿ
          ["l"], # ﭏ
          nil, # ﭐ
          nil, # ﭑ
          nil, # ﭒ
          nil, # ﭓ
          nil, # ﭔ
          nil, # ﭕ
          nil, # ﭖ
          nil, # ﭗ
          nil, # ﭘ
          nil, # ﭙ
          nil, # ﭚ
          nil, # ﭛ
          nil, # ﭜ
          nil, # ﭝ
          nil, # ﭞ
          nil, # ﭟ
          nil, # ﭠ
          nil, # ﭡ
          nil, # ﭢ
          nil, # ﭣ
          nil, # ﭤ
          nil, # ﭥ
          nil, # ﭦ
          nil, # ﭧ
          nil, # ﭨ
          nil, # ﭩ
          nil, # ﭪ
          nil, # ﭫ
          nil, # ﭬ
          nil, # ﭭ
          nil, # ﭮ
          nil, # ﭯ
          nil, # ﭰ
          nil, # ﭱ
          nil, # ﭲ
          nil, # ﭳ
          nil, # ﭴ
          nil, # ﭵ
          nil, # ﭶ
          nil, # ﭷ
          nil, # ﭸ
          nil, # ﭹ
          nil, # ﭺ
          nil, # ﭻ
          nil, # ﭼ
          nil, # ﭽ
          nil, # ﭾ
          nil, # ﭿ
          nil, # ﮀ
          nil, # ﮁ
          nil, # ﮂ
          nil, # ﮃ
          nil, # ﮄ
          nil, # ﮅ
          nil, # ﮆ
          nil, # ﮇ
          nil, # ﮈ
          nil, # ﮉ
          nil, # ﮊ
          nil, # ﮋ
          nil, # ﮌ
          nil, # ﮍ
          nil, # ﮎ
          nil, # ﮏ
          nil, # ﮐ
          nil, # ﮑ
          nil, # ﮒ
          nil, # ﮓ
          nil, # ﮔ
          nil, # ﮕ
          nil, # ﮖ
          nil, # ﮗ
          nil, # ﮘ
          nil, # ﮙ
          nil, # ﮚ
          nil, # ﮛ
          nil, # ﮜ
          nil, # ﮝ
          nil, # ﮞ
          nil, # ﮟ
          nil, # ﮠ
          nil, # ﮡ
          nil, # ﮢ
          nil, # ﮣ
          nil, # ﮤ
          nil, # ﮥ
          nil, # ﮦ
          nil, # ﮧ
          nil, # ﮨ
          nil, # ﮩ
          nil, # ﮪ
          nil, # ﮫ
          nil, # ﮬ
          nil, # ﮭ
          nil, # ﮮ
          nil, # ﮯ
          nil, # ﮰ
          nil, # ﮱ
          nil, # ﮲
          nil, # ﮳
          nil, # ﮴
          nil, # ﮵
          nil, # ﮶
          nil, # ﮷
          nil, # ﮸
          nil, # ﮹
          nil, # ﮺
          nil, # ﮻
          nil, # ﮼
          nil, # ﮽
          nil, # ﮾
          nil, # ﮿
          nil, # ﯀
          nil, # ﯁
          nil, # ﯂
          nil, # ﯃
          nil, # ﯄
          nil, # ﯅
          nil, # ﯆
          nil, # ﯇
          nil, # ﯈
          nil, # ﯉
          nil, # ﯊
          nil, # ﯋
          nil, # ﯌
          nil, # ﯍
          nil, # ﯎
          nil, # ﯏
          nil, # ﯐
          nil, # ﯑
          nil, # ﯒
          nil, # ﯓ
          nil, # ﯔ
          nil, # ﯕ
          nil, # ﯖ
          nil, # ﯗ
          nil, # ﯘ
          nil, # ﯙ
          nil, # ﯚ
          nil, # ﯛ
          nil, # ﯜ
          nil, # ﯝ
          nil, # ﯞ
          nil, # ﯟ
          nil, # ﯠ
          nil, # ﯡ
          nil, # ﯢ
          nil, # ﯣ
          nil, # ﯤ
          nil, # ﯥ
          nil, # ﯦ
          nil, # ﯧ
          nil, # ﯨ
          nil, # ﯩ
          nil, # ﯪ
          nil, # ﯫ
          nil, # ﯬ
          nil, # ﯭ
          nil, # ﯮ
          nil, # ﯯ
          nil, # ﯰ
          nil, # ﯱ
          nil, # ﯲ
          nil, # ﯳ
          nil, # ﯴ
          nil, # ﯵ
          nil, # ﯶ
          nil, # ﯷ
          nil, # ﯸ
          nil, # ﯹ
          nil, # ﯺ
          nil, # ﯻ
          nil, # ﯼ
          nil, # ﯽ
          nil, # ﯾ
          nil # ﯿ
        ],
        [
          nil, # ﰀ
          nil, # ﰁ
          nil, # ﰂ
          nil, # ﰃ
          nil, # ﰄ
          nil, # ﰅ
          nil, # ﰆ
          nil, # ﰇ
          nil, # ﰈ
          nil, # ﰉ
          nil, # ﰊ
          nil, # ﰋ
          nil, # ﰌ
          nil, # ﰍ
          nil, # ﰎ
          nil, # ﰏ
          nil, # ﰐ
          nil, # ﰑ
          nil, # ﰒ
          nil, # ﰓ
          nil, # ﰔ
          nil, # ﰕ
          nil, # ﰖ
          nil, # ﰗ
          nil, # ﰘ
          nil, # ﰙ
          nil, # ﰚ
          nil, # ﰛ
          nil, # ﰜ
          nil, # ﰝ
          nil, # ﰞ
          nil, # ﰟ
          nil, # ﰠ
          nil, # ﰡ
          nil, # ﰢ
          nil, # ﰣ
          nil, # ﰤ
          nil, # ﰥ
          nil, # ﰦ
          nil, # ﰧ
          nil, # ﰨ
          nil, # ﰩ
          nil, # ﰪ
          nil, # ﰫ
          nil, # ﰬ
          nil, # ﰭ
          nil, # ﰮ
          nil, # ﰯ
          nil, # ﰰ
          nil, # ﰱ
          nil, # ﰲ
          nil, # ﰳ
          nil, # ﰴ
          nil, # ﰵ
          nil, # ﰶ
          nil, # ﰷ
          nil, # ﰸ
          nil, # ﰹ
          nil, # ﰺ
          nil, # ﰻ
          nil, # ﰼ
          nil, # ﰽ
          nil, # ﰾ
          nil, # ﰿ
          nil, # ﱀ
          nil, # ﱁ
          nil, # ﱂ
          nil, # ﱃ
          nil, # ﱄ
          nil, # ﱅ
          nil, # ﱆ
          nil, # ﱇ
          nil, # ﱈ
          nil, # ﱉ
          nil, # ﱊ
          nil, # ﱋ
          nil, # ﱌ
          nil, # ﱍ
          nil, # ﱎ
          nil, # ﱏ
          nil, # ﱐ
          nil, # ﱑ
          nil, # ﱒ
          nil, # ﱓ
          nil, # ﱔ
          nil, # ﱕ
          nil, # ﱖ
          nil, # ﱗ
          nil, # ﱘ
          nil, # ﱙ
          nil, # ﱚ
          nil, # ﱛ
          nil, # ﱜ
          nil, # ﱝ
          nil, # ﱞ
          nil, # ﱟ
          nil, # ﱠ
          nil, # ﱡ
          nil, # ﱢ
          nil, # ﱣ
          nil, # ﱤ
          nil, # ﱥ
          nil, # ﱦ
          nil, # ﱧ
          nil, # ﱨ
          nil, # ﱩ
          nil, # ﱪ
          nil, # ﱫ
          nil, # ﱬ
          nil, # ﱭ
          nil, # ﱮ
          nil, # ﱯ
          nil, # ﱰ
          nil, # ﱱ
          nil, # ﱲ
          nil, # ﱳ
          nil, # ﱴ
          nil, # ﱵ
          nil, # ﱶ
          nil, # ﱷ
          nil, # ﱸ
          nil, # ﱹ
          nil, # ﱺ
          nil, # ﱻ
          nil, # ﱼ
          nil, # ﱽ
          nil, # ﱾ
          nil, # ﱿ
          nil, # ﲀ
          nil, # ﲁ
          nil, # ﲂ
          nil, # ﲃ
          nil, # ﲄ
          nil, # ﲅ
          nil, # ﲆ
          nil, # ﲇ
          nil, # ﲈ
          nil, # ﲉ
          nil, # ﲊ
          nil, # ﲋ
          nil, # ﲌ
          nil, # ﲍ
          nil, # ﲎ
          nil, # ﲏ
          nil, # ﲐ
          nil, # ﲑ
          nil, # ﲒ
          nil, # ﲓ
          nil, # ﲔ
          nil, # ﲕ
          nil, # ﲖ
          nil, # ﲗ
          nil, # ﲘ
          nil, # ﲙ
          nil, # ﲚ
          nil, # ﲛ
          nil, # ﲜ
          nil, # ﲝ
          nil, # ﲞ
          nil, # ﲟ
          nil, # ﲠ
          nil, # ﲡ
          nil, # ﲢ
          nil, # ﲣ
          nil, # ﲤ
          nil, # ﲥ
          nil, # ﲦ
          nil, # ﲧ
          nil, # ﲨ
          nil, # ﲩ
          nil, # ﲪ
          nil, # ﲫ
          nil, # ﲬ
          nil, # ﲭ
          nil, # ﲮ
          nil, # ﲯ
          nil, # ﲰ
          nil, # ﲱ
          nil, # ﲲ
          nil, # ﲳ
          nil, # ﲴ
          nil, # ﲵ
          nil, # ﲶ
          nil, # ﲷ
          nil, # ﲸ
          nil, # ﲹ
          nil, # ﲺ
          nil, # ﲻ
          nil, # ﲼ
          nil, # ﲽ
          nil, # ﲾ
          nil, # ﲿ
          nil, # ﳀ
          nil, # ﳁ
          nil, # ﳂ
          nil, # ﳃ
          nil, # ﳄ
          nil, # ﳅ
          nil, # ﳆ
          nil, # ﳇ
          nil, # ﳈ
          nil, # ﳉ
          nil, # ﳊ
          nil, # ﳋ
          nil, # ﳌ
          nil, # ﳍ
          nil, # ﳎ
          nil, # ﳏ
          nil, # ﳐ
          nil, # ﳑ
          nil, # ﳒ
          nil, # ﳓ
          nil, # ﳔ
          nil, # ﳕ
          nil, # ﳖ
          nil, # ﳗ
          nil, # ﳘ
          nil, # ﳙ
          nil, # ﳚ
          nil, # ﳛ
          nil, # ﳜ
          nil, # ﳝ
          nil, # ﳞ
          nil, # ﳟ
          nil, # ﳠ
          nil, # ﳡ
          nil, # ﳢ
          nil, # ﳣ
          nil, # ﳤ
          nil, # ﳥ
          nil, # ﳦ
          nil, # ﳧ
          nil, # ﳨ
          nil, # ﳩ
          nil, # ﳪ
          nil, # ﳫ
          nil, # ﳬ
          nil, # ﳭ
          nil, # ﳮ
          nil, # ﳯ
          nil, # ﳰ
          nil, # ﳱ
          nil, # ﳲ
          nil, # ﳳ
          nil, # ﳴ
          nil, # ﳵ
          nil, # ﳶ
          nil, # ﳷ
          nil, # ﳸ
          nil, # ﳹ
          nil, # ﳺ
          nil, # ﳻ
          nil, # ﳼ
          nil, # ﳽ
          nil, # ﳾ
          nil # ﳿ
        ],
        [
          nil, # ﴀ
          nil, # ﴁ
          nil, # ﴂ
          nil, # ﴃ
          nil, # ﴄ
          nil, # ﴅ
          nil, # ﴆ
          nil, # ﴇ
          nil, # ﴈ
          nil, # ﴉ
          nil, # ﴊ
          nil, # ﴋ
          nil, # ﴌ
          nil, # ﴍ
          nil, # ﴎ
          nil, # ﴏ
          nil, # ﴐ
          nil, # ﴑ
          nil, # ﴒ
          nil, # ﴓ
          nil, # ﴔ
          nil, # ﴕ
          nil, # ﴖ
          nil, # ﴗ
          nil, # ﴘ
          nil, # ﴙ
          nil, # ﴚ
          nil, # ﴛ
          nil, # ﴜ
          nil, # ﴝ
          nil, # ﴞ
          nil, # ﴟ
          nil, # ﴠ
          nil, # ﴡ
          nil, # ﴢ
          nil, # ﴣ
          nil, # ﴤ
          nil, # ﴥ
          nil, # ﴦ
          nil, # ﴧ
          nil, # ﴨ
          nil, # ﴩ
          nil, # ﴪ
          nil, # ﴫ
          nil, # ﴬ
          nil, # ﴭ
          nil, # ﴮ
          nil, # ﴯ
          nil, # ﴰ
          nil, # ﴱ
          nil, # ﴲ
          nil, # ﴳ
          nil, # ﴴ
          nil, # ﴵ
          nil, # ﴶ
          nil, # ﴷ
          nil, # ﴸ
          nil, # ﴹ
          nil, # ﴺ
          nil, # ﴻ
          nil, # ﴼ
          nil, # ﴽ
          nil, # ﴾
          nil, # ﴿
          nil, # ﵀
          nil, # ﵁
          nil, # ﵂
          nil, # ﵃
          nil, # ﵄
          nil, # ﵅
          nil, # ﵆
          nil, # ﵇
          nil, # ﵈
          nil, # ﵉
          nil, # ﵊
          nil, # ﵋
          nil, # ﵌
          nil, # ﵍
          nil, # ﵎
          nil, # ﵏
          nil, # ﵐ
          nil, # ﵑ
          nil, # ﵒ
          nil, # ﵓ
          nil, # ﵔ
          nil, # ﵕ
          nil, # ﵖ
          nil, # ﵗ
          nil, # ﵘ
          nil, # ﵙ
          nil, # ﵚ
          nil, # ﵛ
          nil, # ﵜ
          nil, # ﵝ
          nil, # ﵞ
          nil, # ﵟ
          nil, # ﵠ
          nil, # ﵡ
          nil, # ﵢ
          nil, # ﵣ
          nil, # ﵤ
          nil, # ﵥ
          nil, # ﵦ
          nil, # ﵧ
          nil, # ﵨ
          nil, # ﵩ
          nil, # ﵪ
          nil, # ﵫ
          nil, # ﵬ
          nil, # ﵭ
          nil, # ﵮ
          nil, # ﵯ
          nil, # ﵰ
          nil, # ﵱ
          nil, # ﵲ
          nil, # ﵳ
          nil, # ﵴ
          nil, # ﵵ
          nil, # ﵶ
          nil, # ﵷ
          nil, # ﵸ
          nil, # ﵹ
          nil, # ﵺ
          nil, # ﵻ
          nil, # ﵼ
          nil, # ﵽ
          nil, # ﵾ
          nil, # ﵿ
          nil, # ﶀ
          nil, # ﶁ
          nil, # ﶂ
          nil, # ﶃ
          nil, # ﶄ
          nil, # ﶅ
          nil, # ﶆ
          nil, # ﶇ
          nil, # ﶈ
          nil, # ﶉ
          nil, # ﶊ
          nil, # ﶋ
          nil, # ﶌ
          nil, # ﶍ
          nil, # ﶎ
          nil, # ﶏ
          nil, # ﶐
          nil, # ﶑
          nil, # ﶒ
          nil, # ﶓ
          nil, # ﶔ
          nil, # ﶕ
          nil, # ﶖ
          nil, # ﶗ
          nil, # ﶘ
          nil, # ﶙ
          nil, # ﶚ
          nil, # ﶛ
          nil, # ﶜ
          nil, # ﶝ
          nil, # ﶞ
          nil, # ﶟ
          nil, # ﶠ
          nil, # ﶡ
          nil, # ﶢ
          nil, # ﶣ
          nil, # ﶤ
          nil, # ﶥ
          nil, # ﶦ
          nil, # ﶧ
          nil, # ﶨ
          nil, # ﶩ
          nil, # ﶪ
          nil, # ﶫ
          nil, # ﶬ
          nil, # ﶭ
          nil, # ﶮ
          nil, # ﶯ
          nil, # ﶰ
          nil, # ﶱ
          nil, # ﶲ
          nil, # ﶳ
          nil, # ﶴ
          nil, # ﶵ
          nil, # ﶶ
          nil, # ﶷ
          nil, # ﶸ
          nil, # ﶹ
          nil, # ﶺ
          nil, # ﶻ
          nil, # ﶼ
          nil, # ﶽ
          nil, # ﶾ
          nil, # ﶿ
          nil, # ﷀ
          nil, # ﷁ
          nil, # ﷂ
          nil, # ﷃ
          nil, # ﷄ
          nil, # ﷅ
          nil, # ﷆ
          nil, # ﷇ
          nil, # ﷈
          nil, # ﷉
          nil, # ﷊
          nil, # ﷋
          nil, # ﷌
          nil, # ﷍
          nil, # ﷎
          nil, # ﷏
          nil, # ﷐
          nil, # ﷑
          nil, # ﷒
          nil, # ﷓
          nil, # ﷔
          nil, # ﷕
          nil, # ﷖
          nil, # ﷗
          nil, # ﷘
          nil, # ﷙
          nil, # ﷚
          nil, # ﷛
          nil, # ﷜
          nil, # ﷝
          nil, # ﷞
          nil, # ﷟
          nil, # ﷠
          nil, # ﷡
          nil, # ﷢
          nil, # ﷣
          nil, # ﷤
          nil, # ﷥
          nil, # ﷦
          nil, # ﷧
          nil, # ﷨
          nil, # ﷩
          nil, # ﷪
          nil, # ﷫
          nil, # ﷬
          nil, # ﷭
          nil, # ﷮
          nil, # ﷯
          nil, # ﷰ
          nil, # ﷱ
          nil, # ﷲ
          nil, # ﷳ
          nil, # ﷴ
          nil, # ﷵ
          nil, # ﷶ
          nil, # ﷷ
          nil, # ﷸ
          nil, # ﷹ
          nil, # ﷺ
          nil, # ﷻ
          nil, # ﷼
          nil, # ﷽
          nil, # ﷾
          nil # ﷿
        ],
        [
          nil, # ︀
          nil, # ︁
          nil, # ︂
          nil, # ︃
          nil, # ︄
          nil, # ︅
          nil, # ︆
          nil, # ︇
          nil, # ︈
          nil, # ︉
          nil, # ︊
          nil, # ︋
          nil, # ︌
          nil, # ︍
          nil, # ︎
          nil, # ️
          nil, # ︐
          nil, # ︑
          nil, # ︒
          nil, # ︓
          nil, # ︔
          nil, # ︕
          nil, # ︖
          nil, # ︗
          nil, # ︘
          nil, # ︙
          nil, # ︚
          nil, # ︛
          nil, # ︜
          nil, # ︝
          nil, # ︞
          nil, # ︟
          nil, # ︠
          nil, # ︡
          nil, # ︢
          ["~"], # ︣
          nil, # ︤
          nil, # ︥
          nil, # ︦
          nil, # ︧
          nil, # ︨
          nil, # ︩
          nil, # ︪
          nil, # ︫
          nil, # ︬
          nil, # ︭
          nil, # ︮
          nil, # ︯
          [".."], # ︰
          ["--"], # ︱
          ["-"], # ︲
          ["_"], # ︳
          ["_"], # ︴
          ["("], # ︵
          [") "], # ︶
          ["{"], # ︷
          ["} "], # ︸
          ["["], # ︹
          ["] "], # ︺
          ["[("], # ︻
          [")] "], # ︼
          ["<<"], # ︽
          [">> "], # ︾
          ["<"], # ︿
          ["> "], # ﹀
          ["["], # ﹁
          ["] "], # ﹂
          ["{"], # ﹃
          ["}"], # ﹄
          nil, # ﹅
          nil, # ﹆
          nil, # ﹇
          nil, # ﹈
          nil, # ﹉
          nil, # ﹊
          nil, # ﹋
          nil, # ﹌
          nil, # ﹍
          nil, # ﹎
          nil, # ﹏
          [","], # ﹐
          [","], # ﹑
          ["."], # ﹒
          nil, # ﹓
          [";"], # ﹔
          [":"], # ﹕
          ["?"], # ﹖
          ["!"], # ﹗
          ["-"], # ﹘
          ["("], # ﹙
          [")"], # ﹚
          ["{"], # ﹛
          ["}"], # ﹜
          ["{"], # ﹝
          ["}"], # ﹞
          ["#"], # ﹟
          ["&"], # ﹠
          ["*"], # ﹡
          ["+"], # ﹢
          ["-"], # ﹣
          ["<"], # ﹤
          [">"], # ﹥
          ["="], # ﹦
          nil, # ﹧
          ["\\"], # ﹨
          ["$"], # ﹩
          ["%"], # ﹪
          ["@"], # ﹫
          nil, # ﹬
          nil, # ﹭
          nil, # ﹮
          nil, # ﹯
          nil, # ﹰ
          nil, # ﹱ
          nil, # ﹲ
          nil, # ﹳ
          nil, # ﹴ
          nil, # ﹵
          nil, # ﹶ
          nil, # ﹷ
          nil, # ﹸ
          nil, # ﹹ
          nil, # ﹺ
          nil, # ﹻ
          nil, # ﹼ
          nil, # ﹽ
          nil, # ﹾ
          nil, # ﹿ
          nil, # ﺀ
          nil, # ﺁ
          nil, # ﺂ
          nil, # ﺃ
          nil, # ﺄ
          nil, # ﺅ
          nil, # ﺆ
          nil, # ﺇ
          nil, # ﺈ
          nil, # ﺉ
          nil, # ﺊ
          nil, # ﺋ
          nil, # ﺌ
          nil, # ﺍ
          nil, # ﺎ
          nil, # ﺏ
          nil, # ﺐ
          nil, # ﺑ
          nil, # ﺒ
          nil, # ﺓ
          nil, # ﺔ
          nil, # ﺕ
          nil, # ﺖ
          nil, # ﺗ
          nil, # ﺘ
          nil, # ﺙ
          nil, # ﺚ
          nil, # ﺛ
          nil, # ﺜ
          nil, # ﺝ
          nil, # ﺞ
          nil, # ﺟ
          nil, # ﺠ
          nil, # ﺡ
          nil, # ﺢ
          nil, # ﺣ
          nil, # ﺤ
          nil, # ﺥ
          nil, # ﺦ
          nil, # ﺧ
          nil, # ﺨ
          nil, # ﺩ
          nil, # ﺪ
          nil, # ﺫ
          nil, # ﺬ
          nil, # ﺭ
          nil, # ﺮ
          nil, # ﺯ
          nil, # ﺰ
          nil, # ﺱ
          nil, # ﺲ
          nil, # ﺳ
          nil, # ﺴ
          nil, # ﺵ
          nil, # ﺶ
          nil, # ﺷ
          nil, # ﺸ
          nil, # ﺹ
          nil, # ﺺ
          nil, # ﺻ
          nil, # ﺼ
          nil, # ﺽ
          nil, # ﺾ
          nil, # ﺿ
          nil, # ﻀ
          nil, # ﻁ
          nil, # ﻂ
          nil, # ﻃ
          nil, # ﻄ
          nil, # ﻅ
          nil, # ﻆ
          nil, # ﻇ
          nil, # ﻈ
          nil, # ﻉ
          nil, # ﻊ
          nil, # ﻋ
          nil, # ﻌ
          nil, # ﻍ
          nil, # ﻎ
          nil, # ﻏ
          nil, # ﻐ
          nil, # ﻑ
          nil, # ﻒ
          nil, # ﻓ
          nil, # ﻔ
          nil, # ﻕ
          nil, # ﻖ
          nil, # ﻗ
          nil, # ﻘ
          nil, # ﻙ
          nil, # ﻚ
          nil, # ﻛ
          nil, # ﻜ
          nil, # ﻝ
          nil, # ﻞ
          nil, # ﻟ
          nil, # ﻠ
          nil, # ﻡ
          nil, # ﻢ
          nil, # ﻣ
          nil, # ﻤ
          nil, # ﻥ
          nil, # ﻦ
          nil, # ﻧ
          nil, # ﻨ
          nil, # ﻩ
          nil, # ﻪ
          nil, # ﻫ
          nil, # ﻬ
          nil, # ﻭ
          nil, # ﻮ
          nil, # ﻯ
          nil, # ﻰ
          nil, # ﻱ
          nil, # ﻲ
          nil, # ﻳ
          nil, # ﻴ
          nil, # ﻵ
          nil, # ﻶ
          nil, # ﻷ
          nil, # ﻸ
          nil, # ﻹ
          nil, # ﻺ
          nil, # ﻻ
          nil, # ﻼ
          nil, # ﻽
          nil, # ﻾
          nil # ﻿
        ],
        [
          nil, # ＀
          ["!"], # ！
          ["\""], # ＂
          ["#"], # ＃
          ["$"], # ＄
          ["%"], # ％
          ["&"], # ＆
          ["'"], # ＇
          ["("], # （
          [")"], # ）
          ["*"], # ＊
          ["+"], # ＋
          [","], # ，
          ["-"], # －
          ["."], # ．
          ["/"], # ／
          ["0"], # ０
          ["1"], # １
          ["2"], # ２
          ["3"], # ３
          ["4"], # ４
          ["5"], # ５
          ["6"], # ６
          ["7"], # ７
          ["8"], # ８
          ["9"], # ９
          [":"], # ：
          [";"], # ；
          ["<"], # ＜
          ["="], # ＝
          [">"], # ＞
          ["?"], # ？
          ["@"], # ＠
          ["A"], # Ａ
          ["B"], # Ｂ
          ["C"], # Ｃ
          ["D"], # Ｄ
          ["E"], # Ｅ
          ["F"], # Ｆ
          ["G"], # Ｇ
          ["H"], # Ｈ
          ["I"], # Ｉ
          ["J"], # Ｊ
          ["K"], # Ｋ
          ["L"], # Ｌ
          ["M"], # Ｍ
          ["N"], # Ｎ
          ["O"], # Ｏ
          ["P"], # Ｐ
          ["Q"], # Ｑ
          ["R"], # Ｒ
          ["S"], # Ｓ
          ["T"], # Ｔ
          ["U"], # Ｕ
          ["V"], # Ｖ
          ["W"], # Ｗ
          ["X"], # Ｘ
          ["Y"], # Ｙ
          ["Z"], # Ｚ
          ["["], # ［
          ["\\"], # ＼
          ["]"], # ］
          ["^"], # ＾
          ["_"], # ＿
          ["`"], # ｀
          ["a"], # ａ
          ["b"], # ｂ
          ["c"], # ｃ
          ["d"], # ｄ
          ["e"], # ｅ
          ["f"], # ｆ
          ["g"], # ｇ
          ["h"], # ｈ
          ["i"], # ｉ
          ["j"], # ｊ
          ["k"], # ｋ
          ["l"], # ｌ
          ["m"], # ｍ
          ["n"], # ｎ
          ["o"], # ｏ
          ["p"], # ｐ
          ["q"], # ｑ
          ["r"], # ｒ
          ["s"], # ｓ
          ["t"], # ｔ
          ["u"], # ｕ
          ["v"], # ｖ
          ["w"], # ｗ
          ["x"], # ｘ
          ["y"], # ｙ
          ["z"], # ｚ
          ["{"], # ｛
          ["|"], # ｜
          ["}"], # ｝
          ["~"], # ～
          nil, # ｟
          nil, # ｠
          ["."], # ｡
          ["["], # ｢
          ["]"], # ｣
          [","], # ､
          ["*"], # ･
          ["wo"], # ｦ
          ["a"], # ｧ
          ["i"], # ｨ
          ["u"], # ｩ
          ["e"], # ｪ
          ["o"], # ｫ
          ["ya"], # ｬ
          ["yu"], # ｭ
          ["yo"], # ｮ
          ["tu"], # ｯ
          ["+"], # ｰ
          ["a"], # ｱ
          ["i"], # ｲ
          ["u"], # ｳ
          ["e"], # ｴ
          ["o"], # ｵ
          ["ka"], # ｶ
          ["ki"], # ｷ
          ["ku"], # ｸ
          ["ke"], # ｹ
          ["ko"], # ｺ
          ["sa"], # ｻ
          ["si"], # ｼ
          ["su"], # ｽ
          ["se"], # ｾ
          ["so"], # ｿ
          ["ta"], # ﾀ
          ["ti"], # ﾁ
          ["tu"], # ﾂ
          ["te"], # ﾃ
          ["to"], # ﾄ
          ["na"], # ﾅ
          ["ni"], # ﾆ
          ["nu"], # ﾇ
          ["ne"], # ﾈ
          ["no"], # ﾉ
          ["ha"], # ﾊ
          ["hi"], # ﾋ
          ["hu"], # ﾌ
          ["he"], # ﾍ
          ["ho"], # ﾎ
          ["ma"], # ﾏ
          ["mi"], # ﾐ
          ["mu"], # ﾑ
          ["me"], # ﾒ
          ["mo"], # ﾓ
          ["ya"], # ﾔ
          ["yu"], # ﾕ
          ["yo"], # ﾖ
          ["ra"], # ﾗ
          ["ri"], # ﾘ
          ["ru"], # ﾙ
          ["re"], # ﾚ
          ["ro"], # ﾛ
          ["wa"], # ﾜ
          ["n"], # ﾝ
          [":"], # ﾞ
          [";"], # ﾟ
          nil, # ﾠ
          ["g"], # ﾡ
          ["gg"], # ﾢ
          ["gs"], # ﾣ
          ["n"], # ﾤ
          ["nj"], # ﾥ
          ["nh"], # ﾦ
          ["d"], # ﾧ
          ["dd"], # ﾨ
          ["r"], # ﾩ
          ["lg"], # ﾪ
          ["lm"], # ﾫ
          ["lb"], # ﾬ
          ["ls"], # ﾭ
          ["lt"], # ﾮ
          ["lp"], # ﾯ
          ["rh"], # ﾰ
          ["m"], # ﾱ
          ["b"], # ﾲ
          ["bb"], # ﾳ
          ["bs"], # ﾴ
          ["s"], # ﾵ
          ["ss"], # ﾶ
          nil, # ﾷ
          ["j"], # ﾸ
          ["jj"], # ﾹ
          ["c"], # ﾺ
          ["k"], # ﾻ
          ["t"], # ﾼ
          ["p"], # ﾽ
          ["h"], # ﾾ
          nil, # ﾿
          nil, # ￀
          nil, # ￁
          ["a"], # ￂ
          ["ae"], # ￃ
          ["ya"], # ￄ
          ["yae"], # ￅ
          ["eo"], # ￆ
          ["e"], # ￇ
          nil, # ￈
          nil, # ￉
          ["yeo"], # ￊ
          ["ye"], # ￋ
          ["o"], # ￌ
          ["wa"], # ￍ
          ["wae"], # ￎ
          ["oe"], # ￏ
          nil, # ￐
          nil, # ￑
          ["yo"], # ￒ
          ["u"], # ￓ
          ["weo"], # ￔ
          ["we"], # ￕ
          ["wi"], # ￖ
          ["yu"], # ￗ
          nil, # ￘
          nil, # ￙
          ["eu"], # ￚ
          ["yi"], # ￛ
          ["i"], # ￜ
          nil, # ￝
          nil, # ￞
          nil, # ￟
          ["/C"], # ￠
          ["PS"], # ￡
          ["!"], # ￢
          ["-"], # ￣
          ["|"], # ￤
          ["Y="], # ￥
          ["W="], # ￦
          nil, # ￧
          ["|"], # ￨
          ["-"], # ￩
          ["|"], # ￪
          ["-"], # ￫
          ["|"], # ￬
          ["#"], # ￭
          ["O"], # ￮
          nil, # ￯
          nil, # ￰
          nil, # ￱
          nil, # ￲
          nil, # ￳
          nil, # ￴
          nil, # ￵
          nil, # ￶
          nil, # ￷
          nil, # ￸
          ["{"], # ￹
          ["|"], # ￺
          ["}"], # ￻
          nil, # ￼
          nil, # �
          nil, # ￾
          nil # ￿
        ]
      ]
    end
  end
end
